#!/bin/tcsh -vf 

# Set MATH alias - takes an arithmetic assignment statement
# as argument, e.g., newvar = var1 + var2
# Separate all items and operators in the expression with blanks
alias MATH 'set \!:1 = `echo "\!:3-$" | bc -l`' 
#
rm -f for*
set ap = 00
set KURUCZ = $HOME/atlas/winterschool

set EXE = ${KURUCZ}/bin/
set LIN = ${KURUCZ}/lines/
set MOL = ${KURUCZ}/molecules/

set wmin = 585  # no decimal point here (see below)
set wmax = 595
#set wmin = 592  # no decimal point here (see below)
#set wmax = 594
set nrot = 3    # 3 rotational velocities
set rot1 = 0.0
set rot2 = 2.0
set rot3 = 4.0

set glog = 4.44
set temp = 5777
set logmet = 0.0
set v = 0.86

MATH check = ${logmet}*10
set icheck = "`echo ${check} | sed  -e 's/\.//' `" 
echo $icheck
if ( ${icheck} < 0 ) then
 set strmet = ${logmet}
else 
 set strmet = p${logmet}
endif

set grav =  "`echo ${glog} | sed  -e 's/\.//'`"
set met =  "`echo ${strmet} | sed  -e 's/\.//' -e 's/-/m/'`"
 
cat ${KURUCZ}/utilities/topINT.txt asunodfnew.mod > SUN.MOD
set  model =  SUN.MOD 
set  teff  = t${temp}

ln -s  ${LIN}he1tables.dat fort.18
ln -s ${LIN}molecules.dat  fort.2
ln -s ${LIN}continua.dat   fort.17
echo $model

${EXE}xnfpelsyn.exe < $model

${EXE}synbeg.exe <<EOF
AIR         ${wmin}.0     ${wmax}.0    600000.      ${v}    0     30    .0001     1    0
AIRorVAC  WLBEG     WLEND     RESOLU    TURBV  IFNLTE LINOUT CUTOFF        NREAD
EOF

ln -s ${LIN}gfhy0600.100 fort.11
${EXE}rgfalllinesnew.exe
rm -f fort.11

#ln -s ${LIN}cog.txt fort.11
#${EXE}rgfalllinesnew.exe
#rm -f fort.11

if (0) then   # 0 means leave out molecules
  ln -s ${MOL}oh.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}ch.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}nh.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}mgh.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}sih.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}cnax.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}cnbx.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}c2ax.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}c2ba.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}c2da.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}c2ea.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}coax.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
  ln -s ${MOL}coxx.dat fort.11
  ${EXE}rmolecasc.exe
  rm -f fort.11
endif

${EXE}synthe.exe
set  outint = ${teff}${glog}${ap}${met}.int
cat <<EOF >fort.25
0.0       0.        1.        0.        0.        0.        0.        0.
0.
RHOXJ     R1        R101      PH1       PC1       PSI1      PRDDOP    PRDPOW
EOF

${EXE}spectrv.exe < ${model}
mv fort.7 ${outint}
ln -s ${outint} fort.1

${EXE}rotate.exe <<EOF
    ${nrot}   50
       ${rot1}       ${rot2}       ${rot3}
EOF

rm -f fort.*
set pippo = 1
while ( $pippo <= $nrot)
set  outspec = ${teff}g${grav}${met}a${ap}_r${pippo}.flx
mv ROT${pippo} ${outspec}
ln -s  ${outspec}  fort.1

set   asc = ${teff}g${grav}a${ap}${met}_w${wmin}_${wmax}_r${pippo}.dat 
set   lines = ${teff}g${grav}a${ap}${met}_w${wmin}_${wmax}_r${pippo}_lin.dat
rm -f fort.2
ln -s  $lines fort.3 
ln -s $asc    fort.2 
ln -s  dmp.dmp fort.4

${EXE}syntoascanga.exe
rm -f for*
date
@ pippo+=1
end
