      subroutine ATLAS9
c     revised 18jan00
C     needed by WIDTH
C     TAPE1 ROSSELAND OPACITY TABLES TO BE READ IF ABUNDANCE NOT 1X SOLAR
C     TAPE2 MOLECULAR EQUILIBRIUM CONSTANTS
C     TAPE5 INPUT
C     TAPE6 OUTPUT
C     TAPE7 MODEL AND OR FLUX OUTPUT
C     TAPE9 LINE DISTRIBUTION FUNCTION INPUT
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
C     COMMON /BIGLIT/WAVELIT(1213),WAVEBIG(329)
      COMMON /BIGLIT/WAVEDF(1213,2)
      COMMON /CONT/ABTOTC(kw),ALPHAC(kw),TAUNUC(kw),SNUC(kw),HNUC(kw),
     1             JNUC(kw),JMINSC(kw),RESIDC(kw)
      REAL*8 JNUC,JMINSC
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
      COMMON /EDENS/EDENS(kw),IFEDNS
      COMMON /FILENAME/FILENAME
      CHARACTER*60 FILENAME
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /FRESET/FRESET(1563),RCOSET(1563),NULO,NUHI,NUMNU
      COMMON /HEIGHT/HEIGHT(kw)
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /IFOP/IFOP(20)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
      COMMON /MUS/ANGLE(20),SURFI(20),NMU
      COMMON /OPS/AHYD(kw),AH2P(kw),AHMIN(kw),SIGH(kw),AHE1(kw),
     1       AHE2(kw),AHEMIN(kw),SIGHE(kw),ACOOL(kw),ALUKE(kw),AHOT(kw),
     2            SIGEL(kw),SIGH2(kw),AHLINE(kw),ALINES(kw),SIGLIN(kw),
     3            AXLINE(kw),SIGXL(kw),AXCONT(kw),SIGX(kw),SHYD(kw),
     4            SHMIN(kw),SHLINE(kw),SXLINE(kw),SXCONT(kw)
      COMMON /OPTOT/ACONT(kw),SCONT(kw),ALINE(kw),SLINE(kw),SIGMAC(kw),
     1              SIGMAL(kw)
      COMMON /PTOTAL/PTOTAL(kw)
      COMMON /PUT/PUT,IPUT
      COMMON /PZERO/PZERO,PCON,PRADK0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /RAD/ ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TAUSHJ/TAUNU(kw),SNU(kw),HNU(kw),JNU(kw),JMINS(kw)
      REAL*8 JNU,JMINS
      COMMON /STEPLG/STEPLG,TAU1LG,KRHOX
      COMMON /TEFF/TEFF,GRAV,GLOG
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      COMMON /WAVEY/WBEGIN,DELTAW,IFWAVE
      COMMON /XABUND/XABUND(99),WTMOLE
      COMMON /XNF/XNFC(kw,6),XNFN(kw,6),XNFO(kw,6),XNFNE(kw,6),
     1            XNFMG(kw,6),XNFSI(kw,6),XNFS(kw,6),XNFFE(kw,5)
      COMMON /XNFP/XNFPC(kw,4),XNFPN(kw,5),XNFPO(kw,6),XNFPNE(kw,6),
     1             XNFPAL(kw,1),XNFPMG(kw,2),XNFPSI(kw,2),XNFPCA(kw,2),
     2             XNFPFE(kw,1),XNFPCH(kw),XNFPOH(kw)
      DIMENSION PART(kw,6)
C     K=1.38054E-16
C     H=6.6256E-27
C     C=2.997925E10
C     E=1.60210E-19
C     ATMASS=1.660E-24
C
C
C     INPUT SECTION
C     PREFIX P  PRESSURE
C     PREFIX T  TEMPERATURE
C     PREFIX X  ABUNDANCE FRACTION
C     PREFIX F  IONIZATION FRACTION
C     PREFIX R  FREQUENCY INTEGRAL OR INTEGRATION COEFFICIENT
C     PREFIX A OR AB  MASS ABSORPTION COEFFICIENT
C     PREFIX XNFP  NUMBER DENSITY OVER PARTITION FUNCTION
C     ALPHA IS THE FRACTION OF OPACITY CAUSED BY SCATTERING
C     NLTEON=0 LTE
C     NLTEON=1 NLTE
C     BHYD  STATISTICAL EQUILIBRIUM FACTOR FOR HYDROGEN
C     BMIN  STATISTICAL EQUILIBRIUM FACTOR FOR HMINUS
C     ABUND CONTAINS THE NORMALLY ASSUMED ABUNDANCES
C     ELEM CONTAINS THE LETTER CODES FOR ELEMENTS
C     RCOSET HAS INTEGRATION COEFFICIENTS FOR THE FREQUENCIES IN FRESET
C     NUMNU  NUMBER OF FREQUENCIES IN THE FREQUENCY SET
C     NULO  NUMBER OF THE FREQUENCY AT WHICH INTEGRATION STARTS
C     NUHI  NUMBER OF THE FREQUENCY AT WHICH INTEGRATION STOPS
C     IFCORR  TEMPERATURE CORRECTION ON OR OFF
C     IFPRES PRESSURE INTEGRATION ON OR OFF
C     IFSURF=0  CALCULATE FLUX FOR EVERY DEPTH
C     IFSURF=1  CALCULATE FLUX AT SURFACE ONLY
C     IFSURF=2  CALCULATE INTENSITY AT SURFACE
C     IFSCAT=0 NO SCATTERING IN SOURCE FUNCTION  SNU=BNU
C     IFSCAT=1 SCATTERING IN SOURCE FUNCTION  SOLVE MATRIX EQUATION
C     IFMOL=1 SET UP EQUILIBRIUM EQUATIONS FOR NUMBER DENSITIES
C     IFMOL=0  ASSUME NO MOLECULES AND ITERATE FOR NUMBER DENSITIES
C     NUMITS  NUMBER OF ITERATIONS
C     FREQID IS A LABEL FOR THE FREQUENCY SET
C     XSCALE IS A SCALING FACTOR FOR METAL ABUNDANCES
C     IFPRNT(I)=0 DO NOT PRINT ANYTHING FOR ITERATION I
C     IFPRNT(I)=1 PRINT MINIMAL SUMMARY TABLE AT END OF ITERATION
C     IFPRNT(I)=2 PRINT ALL FREQUENCY INDEPENDENT DATA
C     IFPRNT(I)=3 PRINT SNU,TAUNU,JNU,ETC.
C     IFPRNT(I)=4 PRINT OPACITIES
C     IFPNCH(I)=0 DO NOT PUNCH FOR ITERATION I
C     IFPNCH(I)=1 PUNCH STRUCTURE
C     IFPNCH(I)=2 PUNCH STRUCTURE AND SURFACE FLUX OR INTENSITY
C     IFPNCH(I)=5 PUNCH 2 AND MOLECULAR NUMBER DENSITIES/PART FNS
C     FOR IFSURF=2 HAVE NMU ANGLES
C     IFWAVE=1 STEP NUMNU WAVELENGTHS STARTING AT WBEGIN BY WSTEP
C     XABUND ARE THE ABUNDANCES USED IN THE MODEL
      ITEMP=0
C     BDFXXXBIG OR BDFXXXLIT
C     OPEN(UNIT=9,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
C     BDFXXXBIG0,1,2,4,8 OR BDFXXXLIT0,1,2,4,8
C     OPEN(UNIT=20,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
C     OPEN(UNIT=21,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
C     OPEN(UNIT=22,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
C     OPEN(UNIT=24,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
C     OPEN(UNIT=28,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
C
C     FILES BLOCKED FOR CDROM
C     BDFXXXBIG OR BDFXXXLIT
      OPEN(UNIT=9,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED)
c     1 RECORDTYPE='FIXED',RECL=7056)
C     BDFXXXBIG0,1,2,4,8 OR BDFXXXLIT0,1,2,4,8
C     OPEN(UNIT=20,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED,
C    1 RECORDTYPE='FIXED',RECL=7056)
C     OPEN(UNIT=21,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED,
C    1 RECORDTYPE='FIXED',RECL=7056)
C     OPEN(UNIT=22,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED,
C    1 RECORDTYPE='FIXED',RECL=7056)
C     OPEN(UNIT=24,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED,
C    1 RECORDTYPE='FIXED',RECL=7056)
C     OPEN(UNIT=28,FORM='UNFORMATTED',STATUS='OLD',READONLY,SHARED,
C    1 RECORDTYPE='FIXED',RECL=7056)
    1 CALL READIN(1)
C     CALL READMOL
C
C     ITERATION SECTION
      DO 100 ITERAT=1,NUMITS
      ITER=ITERAT
C     CHANGING ITEMP TELLS THE SUBROUTINES THEY HAVE A NEW TEMPERATURE
      ITEMP=ITEMP+ITER
C
      IF(IFPRES.EQ.0)GO TO 12
C     INTEGRATE EQUATION OF HYDROSTATIC EQUILIBRIUM
      PZERO=PCON+PRADK0+PTURB0
      DO 11 J=1,NRHOX
C     PTOTAL(J)=GRAV*RHOX(J)
      PTOTAL(J)=GRAV*RHOX(J)+PZERO
 3323 P(J)=GRAV*RHOX(J)-PRAD(J)-PTURB(J)-PCON
      IF(P(J).GT.0.)GO TO 11
      P(J)=GRAV*RHOX(J)-(PRAD(J)-PRAD(1))-PTURB(J)-PCON
      IF(P(J).GT.0.)GO TO 11
	if(p(j).lt.0.)p(j)=p(j-1)
      CALL W(6HJ     ,DFLOAT(J),1)
      CALL W(6HP     ,P,J)
      CALL W(6HPZERO ,PZERO,1)
      CALL W(6HACCRAD,ACCRAD,NRHOX)
      CALL W(6HPRAD  ,PRAD,NRHOX)
c      CALL EXIT
   11 CONTINUE
  111 CONTINUE
C  11 P(J)=PTOTAL(J)-PRAD(J)-PTURB(J)
      IFEDNS=0
      CALL POPS(0.D0,1,XNE)
   12 CONTINUE
      CALL POPS(1.01D0,11,XNFPH)
      CALL POPS(2.02D0,11,XNFPHE)
      CALL POPS(6.03D0,11,XNFPC)
      CALL POPS(7.04D0,11,XNFPN)
      CALL POPS(8.05D0,11,XNFPO)
      CALL POPS(10.05D0,11,XNFPNE)
      CALL POPS(12.01D0,11,XNFPMG)
      CALL POPS(13.00D0,11,XNFPAL)
      CALL POPS(14.01D0,11,XNFPSI)
      CALL POPS(20.01D0,11,XNFPCA)
      CALL POPS(26.00D0,11,XNFPFE)
      IF(IFMOL.EQ.0)THEN
      CALL POPS(1.01D0,12,XNFH)
      CALL POPS(2.02D0,12,XNFHE)
      CALL POPS(6.05D0,12,XNFC)
      CALL POPS(7.05D0,12,XNFN)
      CALL POPS(8.05D0,12,XNFO)
      CALL POPS(10.05D0,12,XNFNE)
      CALL POPS(12.05D0,12,XNFMG)
      CALL POPS(14.05D0,12,XNFSI)
      CALL POPS(16.05D0,12,XNFS)
      CALL POPS(26.04D0,12,XNFFE)
      ENDIF
      IF(IFMOL.EQ.1)THEN
      CALL POPS(106.00D0,11,XNFPCH)
      CALL POPS(108.00D0,11,XNFPOH)
C     CALL W(6HXNFPCH,XNFPCH,NRHOX)
C     CALL W(6HXNFPOH,XNFPOH,NRHOX)
C     THE POPS WILL NOT RETURN NUMBER DENSITIES WHEN MOLECULES ARE ON
C     SO WE COMPUTE NUMBER DENSITIES/PART FUNCTIONS  AND PART FUNCTIONS
      CALL POPS(6.05D0,11,XNFC)
      CALL POPS(7.05D0,11,XNFN)
      CALL POPS(8.05D0,11,XNFO)
      CALL POPS(10.05D0,11,XNFNE)
      CALL POPS(12.05D0,11,XNFMG)
      CALL POPS(14.05D0,11,XNFSI)
      CALL POPS(16.05D0,11,XNFS)
      CALL POPS(26.04D0,11,XNFFE)
      DO 444 J=1,NRHOX
      CALL PFSAHA(J,1,1,3,PART)
      XNFH(J,1)=XNFPH(J,1)*PART(J,1)
      XNFH(J,2)=XNFPH(J,2)
      CALL PFSAHA(J,2,2,13,PART)
      XNFHE(J,1)=XNFPHE(J,1)*PART(J,1)
      XNFHE(J,2)=XNFPHE(J,2)*PART(J,2)
      XNFHE(J,3)=XNFPHE(J,3)
      CALL PFSAHA(J,6,6,13,PART)
      XNFC(J,1)=XNFC(J,1)*PART(J,1)
      XNFC(J,2)=XNFC(J,2)*PART(J,2)
      XNFC(J,3)=XNFC(J,3)*PART(J,3)
      XNFC(J,4)=XNFC(J,4)*PART(J,4)
      XNFC(J,5)=XNFC(J,5)*PART(J,5)
      XNFC(J,6)=XNFC(J,6)*PART(J,6)
      CALL PFSAHA(J,7,6,13,PART)
      XNFN(J,1)=XNFN(J,1)*PART(J,1)
      XNFN(J,2)=XNFN(J,2)*PART(J,2)
      XNFN(J,3)=XNFN(J,3)*PART(J,3)
      XNFN(J,4)=XNFN(J,4)*PART(J,4)
      XNFN(J,5)=XNFN(J,5)*PART(J,5)
      XNFN(J,6)=XNFN(J,6)*PART(J,6)
      CALL PFSAHA(J,8,6,13,PART)
      XNFO(J,1)=XNFO(J,1)*PART(J,1)
      XNFO(J,2)=XNFO(J,2)*PART(J,2)
      XNFO(J,3)=XNFO(J,3)*PART(J,3)
      XNFO(J,4)=XNFO(J,4)*PART(J,4)
      XNFO(J,5)=XNFO(J,5)*PART(J,5)
      XNFO(J,6)=XNFO(J,6)*PART(J,6)
      CALL PFSAHA(J,10,6,13,PART)
      XNFNE(J,1)=XNFNE(J,1)*PART(J,1)
      XNFNE(J,2)=XNFNE(J,2)*PART(J,2)
      XNFNE(J,3)=XNFNE(J,3)*PART(J,3)
      XNFNE(J,4)=XNFNE(J,4)*PART(J,4)
      XNFNE(J,5)=XNFNE(J,5)*PART(J,5)
      XNFNE(J,6)=XNFNE(J,6)*PART(J,6)
      CALL PFSAHA(J,12,6,13,PART)
      XNFMG(J,1)=XNFMG(J,1)*PART(J,1)
      XNFMG(J,2)=XNFMG(J,2)*PART(J,2)
      XNFMG(J,3)=XNFMG(J,3)*PART(J,3)
      XNFMG(J,4)=XNFMG(J,4)*PART(J,4)
      XNFMG(J,5)=XNFMG(J,5)*PART(J,5)
      XNFMG(J,6)=XNFMG(J,6)*PART(J,6)
      CALL PFSAHA(J,14,6,13,PART)
      XNFSI(J,1)=XNFSI(J,1)*PART(J,1)
      XNFSI(J,2)=XNFSI(J,2)*PART(J,2)
      XNFSI(J,3)=XNFSI(J,3)*PART(J,3)
      XNFSI(J,4)=XNFSI(J,4)*PART(J,4)
      XNFSI(J,5)=XNFSI(J,5)*PART(J,5)
      XNFSI(J,6)=XNFSI(J,6)*PART(J,6)
      CALL PFSAHA(J,16,6,13,PART)
      XNFS(J,1)=XNFS(J,1)*PART(J,1)
      XNFS(J,2)=XNFS(J,2)*PART(J,2)
      XNFS(J,3)=XNFS(J,3)*PART(J,3)
      XNFS(J,4)=XNFS(J,4)*PART(J,4)
      XNFS(J,5)=XNFS(J,5)*PART(J,5)
      XNFS(J,6)=XNFS(J,6)*PART(J,6)
      CALL PFSAHA(J,26,5,13,PART)
      XNFFE(J,1)=XNFFE(J,1)*PART(J,1)
      XNFFE(J,2)=XNFFE(J,2)*PART(J,2)
      XNFFE(J,3)=XNFFE(J,3)*PART(J,3)
      XNFFE(J,4)=XNFFE(J,4)*PART(J,4)
      XNFFE(J,5)=XNFFE(J,5)*PART(J,5)
  444 CONTINUE
      ENDIF
C
      CALL PUTOUT(1)
C
C     ERASE FREQUENCY INTEGRALS
      IF(IFCORR.EQ.1)CALL TCORR(1,0)
      CALL ROSS(1,0)
      CALL RADIAP(1,0)
      IF(NLTEON.EQ.1)CALL STATEQ(1,0)
C
C     FREQUENCY INTEGRATION SECTION
      DO 25 NU=NULO,NUHI
      IF(IFWAVE.EQ.0)GO TO 21
      IF(WBEGIN.GT.1.E10)GO TO 210
      WAVE=WBEGIN+DFLOAT(NU-NULO)*DELTAW
      FREQ=2.997925E17/WAVE
      RCO=ABS(DELTAW/WAVE*FREQ)
      GO TO 22
C     EQUALLY SPACED FREQUENCIES
  210 FREQ=WBEGIN+DFLOAT(NU-NULO)*DELTAW
      RCO=DELTAW
      GO TO 22
   21 FREQ=FRESET(NU)
      RCO=RCOSET(NU)
   22 FREQLG=DLOG(FREQ)
      DO 20 J=1,NRHOX
      EHVKT(J)=EXP(-FREQ*HKT(J))
      STIM(J)=1.-EHVKT(J)
C  20 BNU(J)=1.47439E-47*FREQ**3*EHVKT(J)/STIM(J)
C     FOR UNDERFLOW ON UNIVAC
      FREQ15=FREQ/1.E15
   20 BNU(J)=1.47439E-2*FREQ15**3*EHVKT(J)/STIM(J)
      IF(IFOP(15).EQ.1)GO TO 60
      IF(IFOP(16).EQ.1)GO TO 60
      CALL PUTOUT(2)
      N=1
      CALL KAPP(N,NSTEPS,STEPWT)
      CALL JOSH(IFSCAT,IFSURF,freq)
C
      DO 7654 J=1,NRHOX
C      IF(SNU(J).LT.0.)CALL ABORT
C      IF(JNU(J).LT.0.)CALL ABORT
C      IF(HNU(J).LT.0.)CALL ABORT
      IF(SNU(J).LT.0.)CALL EXIT
      IF(JNU(J).LT.0.)CALL EXIT
      IF(HNU(J).LT.0.)CALL EXIT
 7654 CONTINUE
C
      RCOWT=RCO*STEPWT
      IF(IFSURF.GT.0)GO TO 53
      IF(IFCORR.EQ.1)CALL TCORR(2,RCOWT)
      CALL RADIAP(2,RCOWT)
      CALL ROSS(2,RCOWT)
      IF(NLTEON.EQ.1)CALL STATEQ(2,RCOWT)
C     THIS PASSES VALUE OF STEPWT TO PUTOUT
   53 PUT=STEPWT
      IPUT=NSTEPS
      CALL PUTOUT(3)
      CALL PUTOUT(4)
      GO TO 25
C
   60 N=0
      CALL KAPP(N,NSTEPS,STEPWT)
      CALL JOSH(IFSCAT,IFSURF,freq)
      IF(IFSURF.EQ.2)HNU(1)=SURFI(1)
      IF(IFSURF.EQ.2)CONTIN=SURFI(1)
      IF(IFSURF.LT.2)CONTIN=HNU(1)
      PUT=CONTIN
      CALL PUTOUT(2)
      IF(IFSURF.GT.0)GO TO 700
      DO 70 J=1,NRHOX
      ABTOTC(J)=ABTOT(J)
      ALPHAC(J)=ALPHA(J)
      TAUNUC(J)=TAUNU(J)
      SNUC(J)=SNU(J)
      HNUC(J)=HNU(J)
      JNUC(J)=JNU(J)
      JMINSC(J)=JMINS(J)
   70 RESIDC(J)=0.
  700 SUMWT=0.
      RESIDC(1)=0.
C
      N=1
      GO TO 72
C
   24 N=N+1
C     if(n.gt.1)go to 72
cc      IF(RESIDC(1).GT..9995)GO TO 79
      IF(RESIDC(1).GT..998.AND.IFSURF.GT.0)GO TO 79
      IF(IFSURF.GT.0)GO TO 72
      DO 71 J=1,NRHOX
cc      IF(RESIDC(J).LT..998 )GO TO 72
      IF(RESIDC(J).LT.1.00)GO TO 72
C     IF(RESIDC(J).LT..999 )GO TO 72
   71 CONTINUE
   79 STEPWT=1.-SUMWT
      N=N+1
      IF(STEPWT.LT..0001)STEPWT=0.
      N=NSTEPS+1
      RESIDC(1)=1.
      IF(IFSURF.EQ.1)HNU(1)=CONTIN
      IF(IFSURF.EQ.2)SURFI(1)=CONTIN
      IF(IFSURF.GT.0)GO TO 770
      DO 75 J=1,NRHOX
      ABTOT(J)=ABTOTC(J)
      ALPHA(J)=ALPHAC(J)
      TAUNU(J)=TAUNUC(J)
      SNU(J)=SNUC(J)
      HNU(J)=HNUC(J)
      JNU(J)=JNUC(J)
   75 JMINS(J)=JMINSC(J)
      GO TO 76
   72 CALL LINOP(N,NSTEPS,STEPWT)
      DO 73 J=1,NRHOX
   73 ALINE(J)=ALINES(J)
      CALL JOSH(IFSCAT,IFSURF,freq)
      IF(IFSURF.EQ.2)HNU(1)=SURFI(1)
      RESIDC(1)=1.
      IF(IFSURF.EQ.1.AND.CONTIN.GT.0.)RESIDC(1)=HNU(1)/CONTIN
      IF(IFSURF.EQ.2.AND.CONTIN.GT.0.)RESIDC(1)=SURFI(1)/CONTIN
      IF(IFSURF.GT.0)GO TO 770
   76 DO 77 J=1,NRHOX
      RESIDC(J)=1.
      IF(HNUC(J).GT.0.)RESIDC(J)=HNU(J)/HNUC(J)
   77 CONTINUE
  770 SUMWT=SUMWT+STEPWT
   78 RCOWT=RCO*STEPWT
C
      IF(STEPWT.EQ.0.)GO TO 23
      IF(IFSURF.GT.0)GO TO 23
      IF(IFCORR.EQ.1)CALL TCORR(2,RCOWT)
      CALL RADIAP(2,RCOWT)
      CALL ROSS(2,RCOWT)
      IF(NLTEON.EQ.1)CALL STATEQ(2,RCOWT)
C     THIS PASSES VALUE OF STEPWT TO PUTOUT
   23 PUT=STEPWT
      IPUT=NSTEPS
      CALL PUTOUT(3)
      IF(N.LT.NSTEPS)GO TO 24
      IF(N.EQ.NSTEPS)GO TO 79
      CALL PUTOUT(4)
   25 CONTINUE
      IF(IFSURF.GT.0)GO TO 1
C
C     FINISH ITERATION
      CALL ROSS(3,0)
      CALL HIGH
      CALL RADIAP(3,0)
      IF(IFPRES.EQ.1.AND.IFCONV.EQ.1)CALL CONVEC
      IF(IFCORR.EQ.1)CALL TCORR(3,0)
      IF(NLTEON.EQ.1)CALL STATEQ(3,0)
      IF(IFTURB.EQ.1)CALL TURB
      CALL PUTOUT(5)
C
  100 CONTINUE
c	do 1131 j=1,nrhox
c	ptot=ptotal(j)-pzero
c	pgas=ptot-prad(j)-pturb(j)-pcon
c	if(pgas.le.0.)write(6,666)j,ptot,pgas,prad(j)
666	format(1x,i5,2x,1pe15.4,2x,1pe15.4,2x,1pe15.4)
1131	continue
      GO TO 1
      END
      SUBROUTINE PUTOUT(MODE)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /FRESET/FRESET(1563),RCOSET(1563),NULO,NUHI,NUMNU
      COMMON /HEIGHT/HEIGHT(kw)
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /IFOP/IFOP(20)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
      COMMON /MUS/ANGLE(20),SURFI(20),NMU
      COMMON /OPS/AHYD(kw),AH2P(kw),AHMIN(kw),SIGH(kw),AHE1(kw),
     1       AHE2(kw),AHEMIN(kw),SIGHE(kw),ACOOL(kw),ALUKE(kw),AHOT(kw),
     2            SIGEL(kw),SIGH2(kw),AHLINE(kw),ALINES(kw),SIGLIN(kw),
     3            AXLINE(kw),SIGXL(kw),AXCONT(kw),SIGX(kw),SHYD(kw),
     4            SHMIN(kw),SHLINE(kw),SXLINE(kw),SXCONT(kw)
      COMMON /OPTOT/ACONT(kw),SCONT(kw),ALINE(kw),SLINE(kw),SIGMAC(kw),
     1              SIGMAL(kw)
      COMMON /PTOTAL/PTOTAL(kw)
      COMMON /PZERO/PZERO,PCON,PRADK0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /PUT/PUT,IPUT
      COMMON /RAD/ ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TAUSHJ/TAUNU(kw),SNU(kw),HNU(kw),JNU(kw),JMINS(kw)
      REAL*8 JNU,JMINS
      COMMON /TEFF/TEFF,GRAV,GLOG
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      COMMON /WAVEY/WBEGIN,DELTAW,IFWAVE
      COMMON /XABUND/XABUND(99),WTMOLE
      COMMON /RR/RJMINSNU(kw),RDIAGJNU(kw)
      DIMENSION SURFIN(20),F(20),DUMMY(kw,25),ABLOG(20)
	dimension flxcnvratio(kw)
      EQUIVALENCE (DUMMY(1,1),AHYD(1)),(F(1),STIM(1))
      DATA ON,OFF/3HON ,3HOFF/
C
      GO TO(100,200,300,400,500),MODE
C
C     HEADINGS
  100 IF(IFPRNT(ITER).EQ.0)RETURN
      IFHEAD=0
      NU=NULO-1
      IF(IFPNCH(ITER).LT.2)RETURN
      WRITE(7,111)TEFF,GLOG,WLTE,TITLE
  111 FORMAT(5HTEFF ,F7.0,9H  GRAVITY,F8.5,1X,A4/6HTITLE ,74A1)
      IF(IFSURF.NE.2)RETURN
      WRITE(7,112)NMU,(ANGLE(MU),MU=1,NMU)
  112 FORMAT(I3,' ANGLES',10F7.4/10X,10F7.4)
      RETURN
C
C     INITIALIZE SUMS OVER STEPS
  200 HSURF=0.
C     HNU(1)=0.
      WAVE=2.997925E17/FREQ
      NU=NU+1
      DO 201 MU=1,NMU
  201 SURFIN(MU)=0.
      N=0
      CONTIN=PUT
      RETURN
C
C     SUM OVER STEPS AND STEP DEPENDENT QUANTITIES
  300 N=N+1
      NSTEPS=IPUT
      STEPWT=PUT
      HSURF=HSURF+HNU(1)*STEPWT
      DO 301 MU=1,NMU
  301 SURFIN(MU)=SURFIN(MU)+SURFI(MU)*STEPWT
      IF(IFPRNT(ITER).EQ.0)RETURN
      IF(NSTEPS.EQ.1)GO TO 310
      IF(IFHEAD.EQ.0)WRITE(6,101)
      IFHEAD=1
C     IF(N.EQ.1)WRITE(6,303)
      IF(N.EQ.1.AND.IFPRNT(ITER).GT.1)WRITE(6,303)
  303 FORMAT(1H0)
      RESID=1.
      IF(CONTIN.GT.0.)RESID=HNU(1)/CONTIN
      HNULG=DLOG10(DMAX1(HNU(1),1.D-50))
C     HNULG=DLOG10(DMAX1(HNU(1),1.D-30))
C     HNULG=DLOG10(HNU(1))
      HNUMG=-2.5*HNULG
      DO 340 JTAU1=1,NRHOX
      IF(TAUNU(JTAU1).GT.1.)GO TO 341
  340 CONTINUE
  341 CONTINUE
C     RHOX1=DLOG10(RHOX1)
C     IDUM=MAP1(TAUNU,RHOX,NRHOX,1.D0,RHOX1,1)
cc      TAUEND=DLOG10(TAUNU(NRHOX))
      IF(IFPRNT(ITER).GT.1)
     1WRITE(6,305)STEPWT,HNU(1),HNULG,HNUMG,RESID,JTAU1,TAUEND
  305 FORMAT(61X,F10.8,1PE13.4,0PF12.5,F10.3,F9.5,I6,F6.2)
  310 IF(IFPRNT(ITER).EQ.4)GO TO 320
      IF(IFPRNT(ITER).NE.3)RETURN
      WRITE(6,312)WAVE,FREQ,(J,RHOX(J),TAUNU(J),ABTOT(J),
     1ALPHA(J),BNU(J),SNU(J),JNU(J),JMINS(J),HNU(J),
     2RJMINSNU(J),RDIAGJNU(J),J=1,NRHOX)
C     1ALPHA(J),BNU(J),SNU(J),JNU(J),JMINS(J),HNU(J),J=1,NRHOX)
  312 FORMAT(1H1//6X,10HWAVELENGTH,F9.3,3X,9HFREQUENCY,1PE13.6/
     1/12X,4HRHOX,7X,5HTAUNU,6X,5HABTOT,5X,5HALPHA,8X,3HBNU,8X,3HSNU,
     2 8X,3HJNU,7X,5HJMINS,7X,3HHNU/(5X,I3,1P11E11.3))
C     2 8X,3HJNU,7X,5HJMINS,7X,3HHNU/(6X,I2,1P9E11.3))
      RETURN
  320 WRITE(6,321)
  321 FORMAT( 126H1       AHYD  AH2P AHMIN  SIGH  AHE1 AHE2 AHEMIN SIGHE
     1 ACOOL ALUKE AHOT SIGEL SIGH2 AHLINEALINESSIGLINAXLINE SIGXLAXCONT
     2  SIGX)
      DO 325 J=1,NRHOX
      DO 322 I=1,20
      ABLOG(I)=0.
      IF(DUMMY(J,I).GT.1.D-99)ABLOG(I)=DLOG10(DUMMY(J,I))
  322 CONTINUE
  325 WRITE(6,326)J,ABLOG,J
  326 FORMAT(I4,2X,20F6.2,1X,I3)
      RETURN
C
C     PRINT SUMS OVER STEPS
C 400 IF(IFPRNT(ITER).EQ.0)RETURN
  400 IF(NSTEPS.EQ.1)CONTIN=HSURF
      IF(CONTIN.GT.0.)RESID=HSURF/CONTIN
      IF(HSURF.LE.0.)HSURF=1.D-50
C      IF(HSURF.LE.0.)HSURF=1.E-30
      IF(IFPRNT(ITER).LE.1)GO TO 410
      DO 440 JTAU1=1,NRHOX
      IF(TAUNU(JTAU1).GT.1.)GO TO 441
  440 CONTINUE
  441 CONTINUE
C     IDUM=MAP1(TAUNU,RHOX,NRHOX,1.D0,RHOX1,1)
C     RHOX1=DLOG10(RHOX1)
      TAUEND=DLOG10(TAUNU(NRHOX))
      IF(NSTEPS.GT.1)JTAU1=0
      IF(NSTEPS.GT.1)TAUEND=0.
      IF(IFSURF.NE.0.AND.IFSURF.NE.1)GO TO 405
      IF(IFHEAD.EQ.0)WRITE(6,101)
  101 FORMAT(1H1/////10X,4HWAVE,7X,7HHLAMBDA,7X,5HLOG H,7X,3HMAG,
     1 10X,9HFREQUENCY,8X,3HHNU,10X,5HLOG H,7X,3HMAG,10X,6HTAUONE,
     2 6H TAUNU)
      IFHEAD=1
      HLAM=HSURF*FREQ/WAVE
      HNULG=DLOG10(HSURF)
      HLAMLG=DLOG10(HLAM)
      HLAMMG=-2.5*HLAMLG
      HNUMG=-2.5*HNULG
      WRITE(6,1401)
 1401 FORMAT(1H )
      WRITE (6,401)NU,WAVE,HLAM,HLAMLG,HLAMMG,FREQ,HSURF,HNULG,HNUMG,
     1RESID,JTAU1,TAUEND,NU
  401 FORMAT(I6,F10.3,1PE13.4,0PF12.5,F10.3,1PE20.6,E13.4,0PF12.5,F10.3,
     1F9.5,I6,F6.2,I5)
  405 IF(IFSURF.NE.2)GO TO 410
      IF(IFHEAD.EQ.0)WRITE(6,102)
  102 FORMAT(1H1/////10X,4HWAVE,5X,9HFREQUENCY,3X,12HTAUONE TAUNU,
     15(17H   MU  INTENSITY ))
      IFHEAD=1
      WRITE(6,406)NU,WAVE,FREQ,JTAU1,TAUEND,
     1(ANGLE(MU),SURFIN(MU),MU=1,NMU)
  406 FORMAT(I6,F9.3,1PE15.6,I6,0PF6.2,5(0PF7.4,1PE10.3)/
     1(42X,5(0PF7.4,1PE10.3)))
  410 IF(IFPNCH(ITER).LT.2)RETURN
      IF(IFSURF.GT.2)RETURN
      IF(IFSURF.EQ.2)GO TO 415
      WRITE(7,411)NU,WAVE,FREQ,HSURF,CONTIN,RESID
  411 FORMAT(4HFLUX,I5,F9.2,1PE20.6,E13.4,E13.4,0PF10.5)
      IF(NU.EQ.NUHI)WRITE(7,411)
      RETURN
C  415 WRITE(7,416)FREQ,(ANGLE(MU),SURFIN(MU),MU=1,NMU)
C  416 FORMAT(9HINTENSITY,1PE15.6,1X,3(0PF6.4,1PE10.3)/
C     1(5(0PF6.4,1PE10.3)))
  415 WRITE(7,416)NU,WAVE,FREQ,(SURFIN(MU),MU=1,NMU)
  416 FORMAT(9HINTENSITY,I5,F9.2,1PE15.6/(1P8E10.3))
      IF(NU.EQ.NUHI)WRITE(7,416)
      RETURN
C
C     SUMMARIES
  500 IF(IFPRNT(ITER).EQ.0)GO TO 550
C      IF(IFPRNT(ITER).EQ.1)GO TO 540
      WRITE(6,501)(J,RHOX(J),PTOTAL(J),PTURB(J),GRDADB(J),DLTDLP(J),
     1VELSND(J),DLRDLT(J),HEATCP(J),HSCALE(J),VCONV(J),FLXCNV(J),
     2J=1,NRHOX)
  501 FORMAT(1H1/////132H        RHOX       PTOTAL     PTURB      GRDADB+
     1     DLTDLP     VELSND     DLRDLT     HEATCP     HSCALE     VCONV +
     2     FLXCNV            /(I4,1P11E11.3))
      WRITE(6,502)FLUX
  502 FORMAT(1H0,108X,4HFLUX,1PE12.4)
      WRITE(6,503)(J,XNATOM(J),RADEN(J),PRADK(J),XNFPH(J,1),XNFPH(J,2),
     1XNFPHE(J,1),XNFPHE(J,2),XNFPHE(J,3),VTURB(J),
     2FLXCNV0(J),FLXCNV1(J),J=1,NRHOX)
  503 FORMAT(1H1/////132H       XNATOM      RADEN      PRADK     XNFPH1 +
     1    XNFPH2     XNFPHE1    XNFPHE2    XNFPHE3     VTURB            +
     2                       /(I4,1P11E11.3))
      CALL W(6HPRADK0,PRADK0,1)
  540 WRITE(6,541)TEFF,GLOG,TITLE,ITER
  541 FORMAT(1H1//////5H TEFF,F8.0,8H   LOG G,F9.5,10X,74A1,2X,
     1 9HITERATION,I3)
      DO 539 J=1,NRHOX
      IF(IFCORR.EQ.0)FLXRAD(J)=FLUX-FLXCNV(J)
  539 FLXCNVratio(J)=FLXCNV(J)/(FLXCNV(J)+FLXRAD(J))
      WRITE(6,542)(J,RHOX(J),T(J),P(J),XNE(J),RHO(J),ABROSS(J),
     1HEIGHT(J),TAUROS(J),FLXCNVratio(J),ACCRAD(J),FLXERR(J),FLXDRV(J),
     2J=1,NRHOX)
  542 FORMAT(132H0                                    ELECTRON          +
     1   ROSSELAND    HEIGHT   ROSSELAND   FRACTION  RADIATIVE        PE
     2R CENT FLUX /132H        RHOX      TEMP    PRESSURE    NUMBER    D
     3ENSITY      MEAN       (KM)      DEPTH    CONV FLUX  ACCELERATION +
     4   ERROR    DERIV/(I4,1PE10.3,0PF9.1,1P8E11.3,0PF12.3,F9.3))
  550 IF(IFPNCH(ITER).EQ.0)RETURN
C
C     PUNCHOUT
      A=OFF
      IF(IFCONV.EQ.1)A=ON
      B=OFF
      IF(IFTURB.EQ.1)B=ON
      WRITE(7,552) TEFF,GLOG,WLTE,TITLE,IFOP,A,MIXLTH,B,TRBFDG,
     1TRBPOW,TRBSND,TRBCON,XSCALE,(IZ,ABUND(IZ),IZ=1,99)
C    1TRBPOW,TRBSND,TRBCON,XSCALE,(IZ,ABUND(IZ),IZ=1,2)
  552 FORMAT(5HTEFF ,F7.0,9H  GRAVITY,F8.5,1X,A4/6HTITLE ,74A1
     1/13H OPACITY IFOP20I2/12H CONVECTION A3,F6.2,12H TURBULENCE A3,
     24F6.2/16HABUNDANCE SCALE ,F9.5,17H ABUNDANCE CHANGE,2(I2,F8.5)/
     3(17H ABUNDANCE CHANGE,6(I3,F7.2)))
      WRITE(7,554)NRHOX,(RHOX(J),T(J),P(J),XNE(J),ABROSS(J),ACCRAD(J),
     1VTURB(J),FLXCNV(J),VCONV(J),VELSND(J),J=1,NRHOX)
  554 FORMAT('READ DECK6',I3,' RHOX,T,P,XNE,ABROSS,ACCRAD,VTURB,
     1 FLXCNV,VCONV,VELSND'/(1PE15.8,0PF9.1,1P8E10.3))
      WRITE(7,555)PRADK0
  555 FORMAT(5HPRADK,1PE11.4)
      IF(NLTEON.EQ.0)GO TO 560
      WRITE(7,556)NRHOX,(RHOX(J),(BHYD(J,I),I=1,6),BMIN(J),J=1,NRHOX)
  556 FORMAT(27HREAD DEPARTURE COEFFICIENTSI3,21H RHOX  BHYD 1-6  BMIN/
     1(1PE11.4,0P7F9.4))
  560 IF(IFWAVE.EQ.1)GO TO 570
C     WRITE(7,562)NUMNU,NULO,NUHI,FREQID,(NU,FRESET(NU),RCOSET(NU),
C    1NU=1,NUMNU)
C 562 FORMAT(16HREAD FREQUENCIES3I4,3X6A1/(I5,1P2E17.8,I5,2E17.8))
  570 WRITE(7,571)ITER
  571 FORMAT(5HBEGIN,20X,10HITERATION I3,10H COMPLETED )
      CLOSE(UNIT=7)
      RETURN
      END
      SUBROUTINE TCORR(MODE,RCOWT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /FRESET/FRESET(1563),RCOSET(1563),NULO,NUHI,NUMNU
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /PTOTAL/PTOTAL(kw)
      COMMON /PZERO/PZERO,PCON,PRADK0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /RAD/ ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /STEPLG/STEPLG,TAU1LG,KRHOX
      COMMON /TAUSHJ/TAUNU(kw),SNU(kw),HNU(kw),JNU(kw),JMINS(kw)
      REAL*8 JNU,JMINS
      COMMON /TEFF/TEFF,GRAV,GLOG
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      COMMON /RR/RJMINSNU(kw),RDIAGJNU(kw)
	common/tsmooth/j1smooth,j2smooth,wtjm1,wtj,wtjp1,tsmooth(kw)
      DIMENSION RJMINS(kw),RDABH(kw),RDIAGJ(kw),OLDT1(kw)
      DIMENSION DABTOT(kw),DTDRHX(kw),HRATIO(kw),CODRHX(kw),G(kw),
     1GFLUX(kw),DDLT(kw),DTAU(kw),DTFLUX(kw),DTLAMB(kw),DUM(kw),
     2TINTEG(kw),DTSURF(kw),T1(kw),CNVFLX(kw),GRDEFF(kw),RHOXL(kw)
      DIMENSION DABROS(kw)
      DIMENSION TAUSTD(kw),TPLUS(kw),TNEW1(kw),TNEW2(kw)
      DIMENSION AB1(kw),PTOT1(kw),P1(kw),AB2(kw),PTOT2(kw),P2(kw)
      DIMENSION PPP(kw),RRR(kw),DRHOX(kw)
      DIMENSION PRDNEW(kw),pturbnew(kw)
      DIMENSION DDEL(kw)
      DIMENSION DUM1(kw),DUM2(kw),DUM3(kw),DUM4(kw),DUM5(kw)
      DIMENSION DUM6(kw),DUM7(kw),DUM8(kw),dum9(kw),dum10(kw)
      DIMENSION CCCCCC(kw)
C))))))))))))))))))))))))
      GO TO (10,20,30),MODE
C     ERASE FREQUENCY INTEGRALS
   10 DO 11 J=1,NRHOX
      RJMINS(J)=0.
      RDABH(J)=0.
      RDIAGJ(J)=0.
   11 FLXRAD(J)=0.
      RETURN
C
C     FREQUENCY INTEGRATION
C((((((((((((((((((((((((
C  20 DO 21 J=1,NRHOX
   20 CALL DERIV(RHOX,ABTOT,DABTOT,NRHOX)
      DO 21 J=1,NRHOX
      RDABH(J)=RDABH(J)+DABTOT(J)/ABTOT(J)*HNU(J)*RCOWT
C))))))))))))))))))))))))
C      RJMINS(J)=RJMINS(J)+ABTOT(J)*JMINS(J)*RCOWT
      RJMINSNU(J)=ABTOT(J)*JMINS(J)*RCOWT
      RJMINS(J)=RJMINS(J)+RJMINSNU(J)
   21 FLXRAD(J)=FLXRAD(J)+HNU(J)*RCOWT
      TERM2=0.
      DO 24 J=1,NRHOX
      TERM1=TERM2
      IF(J.NE.NRHOX)D=TAUNU(J+1)-TAUNU(J)
      D=MAX(1.D-10,D)
	if(teff.ge.4500.)then
c	if(teff.ge.3500.)then
      IF(D.LE..01)go to 23
      EX=0.
      IF(D.LT.10.)EX=EXPI(3,D)
      TERM2=.5*(D+EX-.5)/D
      GO TO 22
	endif
	if(teff.lt.4500.)then
c	if(teff.lt.3500.)then
	ex=0.
	if(d.lt.10.)ex=expi(3,D)
c	if(d.gt.0.01.and.d.lt.0.02)ex=0.
	if(d.gt.0.005.and.d.lt.0.02)ex=0.
c	if(d.gt.0.0075.and.d.lt.0.02)ex=0.
      TERM2=.5*(D+EX-.5)/D
	go to 22
	endif
   23 TERM2=(.922784335098467-DLOG(D))*D/4.+D**2/12.-D**3/96.+D**4/720.
C   23 TERM2=(.922784335098467-DLOG(D))*D*(.25+D*(8.33333333333333E-2+D*
C     1(1.04166666666667E-2+D*1.38888888888889E-3)))
   22 DIAGJ=TERM1+TERM2
      DBDT=BNU(J)*FREQ*HKT(J)/T(J)/STIM(J)
      IF(NUMNU.EQ.1)DBDT=FLUX*16./T(J)
C   24 RDIAGJ(J)=RDIAGJ(J)+ABTOT(J)*(DIAGJ-1.)/(1.-ALPHA(J)*DIAGJ)*
C     1(1.-ALPHA(J))*DBDT*RCOWT
      RDIAGJNU(J)=ABTOT(J)*(DIAGJ-1.)/(1.-ALPHA(J)*DIAGJ)*
     1(1.-ALPHA(J))*DBDT*RCOWT
   24 RDIAGJ(J)=RDIAGJ(J)+RDIAGJNU(J)
      RETURN
C
C     AVRETT-KROOK TAU CORRECTION MODIFIED FOR CONVECTION
   30 CALL DERIV(RHOX,T,DTDRHX,NRHOX)
      CALL DERIV(RHOX,DLTDLP,DDLT,NRHOX)
C((((((((((((((((((((((((
      CALL DERIV(RHOX,ABROSS,DABROS,NRHOX)
      DO 3100 J=1,NRHOX
      CNVFLX(J)=0.
      IF(IFCONV.EQ.1)CNVFLX(J)=FLXCNV(J)
      IF(J.LT.3)CNVFLX(J)=0.
 3100 CONTINUE
      DO 3101 J=2,NRHOX-1
 3101 CCCCCC(J)=.25*CNVFLX(J-1)+.5*CNVFLX(J)+.25*CNVFLX(J+1)
	cccccc(nrhox)=.25*cnvflx(nrhox-2)+.25*cnvflx(nrhox-1)+.5*cnvflx(nrhox)
      DO 3102 J=2,NRHOX
      CNVFLX(J)=CCCCCC(J)
      flxcnv(j)=cnvflx(j)
 3102 continue 
      DO 31 J=1,NRHOX
      RDABH(J)=RDABH(J)-FLXRAD(J)*DABROS(J)/ABROSS(J)
C))))))))))))))))))))))))
      DEL=1.
      D=0.
      IF(CNVFLX(J).GT.0..AND.FLXCNV0(J).GT.0.)THEN
      DEL=DLTDLP(J)-GRDADB(J)
      VCO=.5*MIXLTH*SQRT(MAX(-.5*PTOTAL(J)/RHO(J)*DLRDLT(J),0.D0))
      FLUXCO=.5*RHO(J)*HEATCP(J)*T(J)*MIXLTH/12.5664
      IF(MIXLTH.GT.0.AND.VCO.GT.0.)D=8.*5.6697E-5*T(J)**4/
     1(ABROSS(J)*HSCALE(J)*RHO(J))/(FLUXCO*12.5664)/VCO
	taub=abross(j)*rho(j)*mixlth*hscale(j)
	d=d*taub**2/(2.+taub**2)
      D=D**2/2.
      DDEL(J)=(1.+D/(D+DEL))/DEL
      ENDIF
      CNVFL=0.
cc      IF(CNVFLX(J)/FLXRAD(J).GT.1.E-3.AND.FLXCNV0(J)/FLXRAD(J).GT.1.E-3)
cc     1CNVFL=CNVFLX(J)
      IF(CNVFLX(J)/FLXRAD(J).GT.1.E-5.AND.FLXCNV0(J)/FLXRAD(J).GT.1.E-5)
     1CNVFL=CNVFLX(J)
C  31 CODRHX(J)=(RDABH(J)+CNVFLX(J)*(DTDRHX(J)/T(J)*(1.-9.*D/(D+DEL))+
   31 CODRHX(J)=(RDABH(J)+CNVFL    *(DTDRHX(J)/T(J)*(1.-9.*D/(D+DEL))+
     1 1.5*DDLT(J)/DEL*(1.+D/(D+DEL))))/(FLXRAD(J)+CNVFLX(J)*
     2 1.5*DLTDLP(J)/DEL*(1.+D/(D+DEL)))
      CODRHX(1)=0.
      CODRHX(2)=0.
C     CALL INTEG(RHOX,CODRHX,G,NRHOX)
      CALL INTEG(RHOX,CODRHX,G,NRHOX,0.D0)
      DO 32 J=1,NRHOX
      G(J)=EXP(G(J))
   32 GFLUX(J)=G(J)*(FLXRAD(J)+CNVFLX(J)-FLUX)/(FLXRAD(J)+CNVFLX(J)*
     1 1.5*DLTDLP(J)*DDEL(J))
C     BUG
C    1 1.5*DLTDLP(J)/DEL*(1.+D/(D+DEL)))
C((((((((((((((((((((((((
C     CALL INTEG(RHOX,GFLUX,DRHOX,NRHOX)
C     CALL INTEG(TAUROS,GFLUX,DTAU,NRHOX)
      CALL INTEG(TAUROS,GFLUX,DTAU,NRHOX,0.D0)
      DO 33 J=1,NRHOX
C     DRHOX(J)=DRHOX(J)/G(J)
C     DRHOX(J)=DMAX1(-TAUROS(J)/ABROSS(J)/2.,DMIN1(TAUROS(J)/ABROSS(J),
C    1DRHOX(J)))
C  33 DTFLUX(J)=-DRHOX(J)*DTDRHX(J)
      DTAU(J)=DTAU(J)/G(J)
      if(teff.gt.4250.)
	1 DTAU(J)=DMAX1(-TAUROS(J)/3.,DMIN1(TAUROS(J)/3.,DTAU(J)))
      If(teff.le.4250.)
	1 DTAU(J)=DMAX1(-TAUROS(J)/5.,DMIN1(TAUROS(J)/5.,DTAU(J)))
      If(teff.lt.3750..and.glog.gt.3.5)
	1 DTAU(J)=DMAX1(-TAUROS(J)/10.,DMIN1(TAUROS(J)/10.,DTAU(J)))
   33 DTFLUX(J)=-DTAU(J)*DTDRHX(J)/ABROSS(J)
c      DO 3301 J=1,NRHOX
c      IF(TAUROS(J).GE..03)GO TO 3302
c 3301 CONTINUE
c      DO 3300 I=1,J
c 3300 DTFLUX(I)=DTFLUX(I)*.5
c 3302 CONTINUE
C))))))))))))))))))))))))
cc      DTFLUX(1)=0.
cc      DTFLUX(2)=0.
C
      DO 41 J=1,NRHOX
   41 FLXERR(J)=(FLXRAD(J)+CNVFLX(J)-FLUX)/FLUX*100.
      CALL DERIV(TAUROS,FLXERR,FLXDRV,NRHOX)
      TEFF25=TEFF/25.
      DO 43 J=1,NRHOX
      IF(CNVFLX(J)/FLXRAD(J).LT.1.E-5)
     1FLXDRV(J)=RJMINS(J)/ABROSS(J)/FLUX*100.
       DTLAMB(J)=-FLXDRV(J)*FLUX/100./RDIAGJ(J)*ABROSS(J)
      IF(CNVFLX(J)/FLXRAD(J).LT.1.E-5.AND.TAUROS(J).LT.1.)go to 42
c      IF(CNVFLX(J)/FLXRAD(J).LT.1.E-5.AND.TAUROS(J).LT.0.01)go to 42
c      IF(TAUROS(J).LT.0.3)GO TO 42
c      IF(TAUROS(J).LT.0.001)GO TO 42
      DTLAMB(J)=0.
      DTLAMB(J-1)=DTLAMB(J-1)/2.
      DTLAMB(J-2)=DTLAMB(J-2)/2.
      DTLAMB(J-3)=DTLAMB(J-3)/2.
      DTLAMB(J-4)=DTLAMB(J-4)/2.
      DTLAMB(J-5)=DTLAMB(J-5)/2.
C     FUDGE TO AVOID VERY LARGE TEMPERATURE CORRECTIONS
   42 DTLAMB(J)=DMAX1(-TEFF25,DMIN1(TEFF25,DTLAMB(J)))
   43 CONTINUE
C
      DTSUR=(FLUX-FLXRAD(1))/FLUX*.25*T(1)
      DTSUR=DMAX1(-TEFF25,DMIN1(TEFF25,DTSUR))
      DO 45 J=1,NRHOX
   45 DUM(J)=DTFLUX(J)+DTLAMB(J)
C     CALL INTEG(TAUROS,DUM,TINTEG,NRHOX)
      CALL INTEG(TAUROS,DUM,TINTEG,NRHOX,0.D0)
      IDUM=MAP1(TAUROS,TINTEG,NRHOX,.1D0,TONE,1)
      IDUM=MAP1(TAUROS,TINTEG,NRHOX,2.D0,TTWO,1)
      TAV=(TTWO-TONE)/2.
      IF(DTSUR*TAV.LE.0.)TAV=0.
      IF(ABS(TAV).GT.ABS(DTSUR))TAV=DTSUR
      DTSUR=DTSUR-TAV
      DO 5050 J=1,NRHOX
 5050 HRATIO(J)=CNVFLX(J)/(CNVFLX(J)+FLXRAD(J))
      IDUM=MAP1(TAUROS,HRATIO,NRHOX,1.D0,HRATIO1,1)
      DO 49 J=1,NRHOX
   49 DTSURF(J)=DTSUR*(1.-HRATIO1)
C
      DO 50 J=1,NRHOX
C      HRATIO(J)=CNVFLX(J)/(CNVFLX(J)+FLXRAD(J))
C
C     REDUCE SURFACE CORRECTION TO THE FRACTION OF RADIATIVE FLUX
      DTSURF(J)=DTSURF(J)*(1.-HRATIO(J))
C
   50 T1(J)=DTFLUX(J)+DTLAMB(J)+DTSURF(J)
C     IF(IFPRNT(ITER).LE.1)GO TO 60
      IF(IFPRNT(ITER).EQ.0)GO TO 60
      WRITE(6,100) (J,RHOX(J),T(J),DTLAMB(J),DTSURF(J),DTFLUX(J),T1(J),
     1HRATIO(J),FLXERR(J),FLXDRV(J),J=1,NRHOX)
  100 FORMAT(1H1///95H0         RHOX        T      DTLAMB   DTSURF   DTF
     1LUX      T1   CONV/TOTAL      ERROR     DERIV/
     2(I4,1PE12.4,0PF10.1,4F9.1,1X,1PE11.3,1X,0P2F10.3))
C
   60 DO 61 J=1,NRHOX
      IF(IFCONV.EQ.1.AND.HRATIO(J).GT.0.)GO TO 62
c      IF(IFCONV.EQ.1.AND.J.GE.NRHOX/2)GO TO 62
      IF(IFCONV.EQ.1.AND.J.GE.NRHOX/3)GO TO 62
      IF(ITER.EQ.1)GO TO 62
      IF(OLDT1(J)*T1(J).GT.0..AND.ABS(OLDT1(J)).GT.ABS(T1(J)))
     1 T1(J)=T1(J)*1.25
      IF(OLDT1(J)*T1(J).LT.0.)T1(J)=T1(J)*.5
   62 OLDT1(J)=T1(J)
C  61 T(J)=T(J)+T1(J)
   61 CONTINUE
C
C((((((((((((((((((((((((
C
C     DETERMINE RHOX CORRECTION TO MAINTAIN CONSTANT TAUROS
      DO 501 J=1,NRHOX
      TPLUS(J)=T(J)+T1(J)
  501 TAUSTD(J)=10.**(TAU1LG+DFLOAT(J-1)*STEPLG)
C     PREVENT EXTRAPOLATION OUTWARD AT THE SURFACE
c      IF(TAUROS(1).GT.TAUSTD(1))THEN
c      TAUROS(1)=TAUSTD(1)
c      RHOXSTD=MIN(TAUSTD(1)/ABROSS(1),RHOX(1))
c      P(1)=RHOXSTD/RHOX(1)*P(1)
c      PRAD(1)=RHOXSTD/RHOX(1)*PRAD(1)
c      XNE(1)=RHOXSTD/RHOX(1)*XNE(1)
c      RHOX(1)=RHOXSTD
c      ENDIF
      IDUM=MAP1(TAUROS,T,NRHOX,TAUSTD,TNEW1,NRHOX)
      IDUM=MAP1(TAUROS,PRAD,NRHOX,TAUSTD,PRDNEW,NRHOX)
      IDUM=MAP1(TAUROS,Pturb,NRHOX,TAUSTD,pturbnew,NRHOX)
      CALL TTAUP(TNEW1,TAUSTD,AB1,PTOT1,P1,PRDNEW,
	1 PTURBnew, VTURB,GRAV,NRHOX,0)
      IDUM=MAP1(TAUROS,TPLUS,NRHOX,TAUSTD,TNEW2,NRHOX)
      CALL TTAUP(TNEW2,TAUSTD,AB2,PTOT2,P2,PRDNEW,
	1 PTURBnew,VTURB,GRAV,NRHOX,0)
      DO 503 J=1,NRHOX
C     PPP=(RHOX2-RHOX1)/RHOX1
  503 PPP(J)=(PTOT2(J)-PTOT1(J))/PTOT1(J)
      IDUM=MAP1(TAUSTD,PPP,NRHOX,TAUROS,RRR,NRHOX)
      DO 505 J=1,NRHOX
  505 DRHOX(J)=RRR(J)*RHOX(J)
cc      DRHOX(1)=0.
cc      DRHOX(2)=0.
cc      DRHOX(3)=0.
cc      DRHOX(4)=DRHOX(4)/16.
cc      DRHOX(5)=DRHOX(5)/8.
cc      DRHOX(6)=DRHOX(6)/4.
cc      DRHOX(7)=DRHOX(7)/2.
C))))))))))))))))))))))))
C
      DO 65 J=1,NRHOX
   65 T(J)=T(J)+T1(J)
C     SMOOTH TEMPERATURE DISTRIBUTION
      IF(J1SMOOTH.GT.0)THEN
      DO 3001 J=J1SMOOTH,J2SMOOTH
 3001 TSMOOTH(J)=WTJM1*T(J-1)+WTJ*T(J)+WTJP1*T(J+1)
      DO 3002 J=J1SMOOTH,J2SMOOTH
 3002 T(J)=TSMOOTH(J)
      ENDIF
C     FORCE MONOTONICITY
	if(teff.gt.4250)then
      DO 6050 I=2,NRHOX
      J=NRHOX+1-I
cc      T(J)=MIN(T(J),T(J+1)-1.)
      T(J)=MIN(T(J),T(J+1)-0.01)
 6050 CONTINUE
	endif
C     MINIMUM TEMPERATURE
      DO 6051 J=1,NRHOX
c      T(J)=MAX(T(J),2089.0D0)
      T(J)=MAX(T(J),1995.0D0)
 6051 CONTINUE
C
CC     FUDGES TO MAKE UP FOR BAD STARTING GUESSES
CC((((((((((((((((((((((((
      IFUDGE=0
CC))))))))))))))))))))))))
C      IF(IFCONV.EQ.1)GO TO 71
C      IF(ITER.GT.1)GO TO 80
C      IF(FLXERR(NRHOX).LT.90..AND.FLXERR(NRHOX).GT.-50.)GO TO 80
C      DO 70 J=1,NRHOX
C   70 T(J)=TEFF*(.75*(.710+TAUROS(J)-.1331*EXP(-3.4488*TAUROS(J))))**.25
CC((((((((((((((((((((((((
C      IFUDGE=1
CC))))))))))))))))))))))))
C      GO TO 80
C   71 DO 72 J=1,NRHOX
C      IF(FLXERR(J).GT.1000.)GO TO 73
C   72 CONTINUE
C      GO TO 80
C   73 DO 74 J=1,NRHOX
C      GRDEFF(J)=(FLXRAD(J)*DLTDLP(J)+FLXCNV(J)*GRDADB(J))/(FLXRAD(J)+
C     1FLXCNV(J))
C      IF(FLXCNV(J).GT.0.)GRDEFF(J)=DMAX1(GRDEFF(J),(1.+DLTDLP(J))/3.)
C   74 RHOXL(J)=DLOG(RHOX(J))
CC     CALL INTEG(RHOXL,GRDEFF,TLOG,NRHOX)
C      CALL INTEG(RHOXL,GRDEFF,TLOG,NRHOX,0.D0)
C      DO 75 JSTART=1,NRHOX
C      IF(FLXCNV(JSTART).GT.0.)GO TO 76
C   75 CONTINUE
C      GO TO 80
C   76 DO 77 J=JSTART,NRHOX
C   77 T(J)=T(J-1)*EXP(TLOG(J)-TLOG(J-1))
CC((((((((((((((((((((((((
C      IFUDGE=1
CC))))))))))))))))))))))))
   80 DO 81 J=1,NRHOX
      TK(J)=1.38054E-16*T(J)
      HKT(J)=6.6256E-27/TK(J)
      HCKT(J)=HKT(J)*2.99792458E10
      TKEV(J)=8.6171E-5*T(J)
   81 TLOG(J)=DLOG(T(J))
C((((((((((((((((((((((((
      IF(IFUDGE.EQ.1)RETURN
C     CHANGE RHOX TO MAINTAIN CONSTANT TAUROS
      DO 91 J=1,NRHOX
   91 RHOX(J)=RHOX(J)+DRHOX(J)
C))))))))))))))))))))))))
      IDUM=MAP1(TAUROS,RHOX,NRHOX,TAUSTD,DUM1,NRHOX)
      IDUM=MAP1(TAUROS,T,NRHOX,TAUSTD,DUM2,NRHOX)
      IDUM=MAP1(TAUROS,P,NRHOX,TAUSTD,DUM3,NRHOX)
      IDUM=MAP1(TAUROS,XNE,NRHOX,TAUSTD,DUM4,NRHOX)
      IDUM=MAP1(TAUROS,ABROSS,NRHOX,TAUSTD,DUM5,NRHOX)
      IDUM=MAP1(TAUROS,PRAD,NRHOX,TAUSTD,DUM6,NRHOX)
      IDUM=MAP1(TAUROS,VTURB,NRHOX,TAUSTD,DUM7,NRHOX)
      IDUM=MAP1(TAUROS,BMIN,NRHOX,TAUSTD,DUM8,NRHOX)
	idum=map1(tauros,pturb,nrhox,taustd,dum9,nrhox)
	idum=map1(tauros,accrad,nrhox,taustd,dum10,nrhox)
	do 8777 j=1,nrhox
	if(tauros(1).gt.taustd(j))then
	if(dum5(j).lt.0)dum5(j)=abross(1)
	endif
8777	continue
      DO 2702 J=1,NRHOX
      RHOX(J)=DUM1(J)
      T(J)=DUM2(J)
      TK(J)=1.38054E-16*T(J)
      HKT(J)=6.6256E-27/TK(J)
      HCKT(J)=HKT(J)*2.99792458E10
      TKEV(J)=8.6171E-5*T(J)
      TLOG(J)=DLOG(T(J))
      P(J)=DUM3(J)
      XNE(J)=DUM4(J)
      ABROSS(J)=DUM5(J)
      PRAD(J)=DUM6(J)
      PRADK(J)=PRAD(J)+PRADK0
      VTURB(J)=DUM7(J)
	pturb(j)=dum9(j)
cc	accrad(j)=dum10(j)
 2702 BMIN(J)=DUM8(J)
      DO 2704 I=1,6
      IDUM=MAP1(TAUROS,BHYD(1,I),NRHOX,TAUSTD,DUM1,NRHOX)
      DO 2703 J=1,NRHOX
 2703 BHYD(J,I)=DUM1(J)
 2704 CONTINUE
      DO 2705 J=1,NRHOX
 2705 TAUROS(J)=TAUSTD(J)
      RETURN
      END
      SUBROUTINE STATEQ(MODE,RCOWT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     THE BOUND-BOUND COLLISION RATES WERE DERIVED FROM AN ANALYTIC FIT
C     TO THE CROSS SECTION CALCULATIONS OF BURKE,ORMONDE AND WHITAKER,
C     PROC. PHYS. SOC., 1968, VOL 92, 319
C
C     THE CROSS SECTION USED (IN UNITS OF PI*A0**2) IS
C
C     QIJ = 4*FIJ*(EH/E0)**2*(LOG(E/E0)/(E/E0)+.148 /(E/E0)**6)
C
C     FIJ = OSCILLATOR STRENGTH
C     EH = GROUND STATE BINDING ENERGY
C     E0 = THRESHOLD ENERGY
C                                                  D M PETERSON MAY 1968
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TAUSHJ/TAUNU(kw),SNU(kw),HNU(kw),JNU(kw),JMINS(kw)
      REAL*8 JNU,JMINS
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION QRADIK(kw,6),QRADKI(kw,6),QRDHMK(kw),QRDKHM(kw)
      DIMENSION DQRAD(kw,6),DQRD(kw),TOLD(kw)
      DIMENSION HCONT(6),DUMMY(6)
      DIMENSION A(6,6),RIGHT(6),QCOLL(8,8)
      EQUIVALENCE (A(1,1),TAUNU(1)),(QCOLL(1,1),HNU(1))
      EQUIVALENCE (HCONT(1),DUMMY(1))
      DIMENSION F(8,8)
      DATA F/8*0.,.4162,7*0.,.07910,.6408,6*0.,.02899,.1193,.8420,5*0.,
     1.01394,.04467,.1506,1.038,4*0.,.007800,.02209,.05585,.1794,1.231,
     23*0.,.004814,.01271,.02768,.06551,.2070,1.425,2*0.,.003184,.008037
     3,.01604,.03229,.07455,.2340,1.615,0./
      GO TO(10,20,30),MODE
C     ERASE FREQUENCY INTEGRALS
   10 DO 11 I=1,6
      DO 11 J=1,NRHOX
      TOLD(J)=T(J)
      QRDHMK(J)=0.
      QRDKHM(J)=0.
      DQRD(J)=0.
      DQRAD(J,I)=0.
      QRADKI(J,I)=0.
   11 QRADIK(J,I)=0.
      RETURN
C     FREQUENCY INTEGRALS
   20 RFRWT=12.5664/6.6256E-27*RCOWT/FREQ
      HVC=2.*6.6256E-27*FREQ*(FREQ/2.997925E10)**2
      DO 21 N=2,6
   21 HCONT(N)=COULX(N,FREQ,1.D0)
      HMINBF=0.
      IF(FREQ.GT.1.8259D14.AND.FREQ.LT.2.111D14)HMINBF=
     1 3.695D-16+(-1.251E-1+1.052D13/FREQ)/FREQ
      IF(FREQ.GE.2.111D14)HMINBF=6.801D-20+(5.358D-3+(1.481D13+
     1(-5.519D27+4.808D41/FREQ)/FREQ)/FREQ)/FREQ
      DO 25 J=1,NRHOX
      RJ=RFRWT*JNU(J)
      RJE=RFRWT*EHVKT(J)*(JNU(J)+HVC)
      RJEDT=RJE*HKT(J)*FREQ/T(J)
      DO 26 I=2,6
      QRADIK(J,I)=QRADIK(J,I)+HCONT(I)*RJ
      DQRAD(J,I)=DQRAD(J,I)+HCONT(I)*RJEDT
   26 QRADKI(J,I)=QRADKI(J,I)+HCONT(I)*RJE
      QRDHMK(J)=QRDHMK(J)+HMINBF*RJ
      DQRD(J)=DQRD(J)+HMINBF*RJEDT
   25 QRDKHM(J)=QRDKHM(J)+HMINBF*RJE
      RETURN
C
   30 IF(IFPRNT(ITER).GT.0)WRITE(6,201)
  201 FORMAT(1H1/////36X30HHMINUS STATISTICAL EQUILIBRIUM/10X4HRHOX,
     1 7X6HQELECT,6X6HQASSOC,6X6HQCHARG,6X6HQRDKHM,6X6HQRDHMK,7X4HBMIN)
      DO 210 J=1,NRHOX
      DT=T(J)-TOLD(J)
      THETA=5040./T(J)
      QELECT=10.**(-8.7)*THETA**(1.5)*XNE(J)
      QASSOC=10.**(-8.7)*2.*BHYD(J,1)*XNFPH(J,1)
      QCHARG=10.**(-7.4)*THETA**.333333*XNFPH(J,2)
      QRDKHM(J)=QRDKHM(J)+DQRD(J)*DT
      BMIN(J)=(QRDKHM(J)+QELECT+QASSOC+QCHARG)/
     1(QRDHMK(J)+QELECT+QASSOC+QCHARG)
  210 WRITE(6,211)J,RHOX(J),QELECT,QASSOC,QCHARG,QRDKHM(J),
     1QRDHMK(J),BMIN(J)
  211 FORMAT(I5,1P6E12.3,0PF10.4)
C
      IF(IFPRNT(ITER).GT.0)WRITE(6,31)
   31 FORMAT(1H1/////30X83HSTATISTICAL EQUILIBRIUM RATES    RATE=SIGN(AL
     1OG10(DMAX1(ABS(RATE*1.E20),1.)),RATE) /
     2132H0 RAD   1-K   K-1   2-K   K-2   3-K   K-3   4-K   K-4   5-K   +
     3K-5   6-K   K-6   COLL  1-K   2-K   3-K   4-K   5-K   6-K   5-8   +
     46-8  /
     5132H  COLL  1-2   1-3   1-4   1-5   1-6   1-7   2-3   2-4   2-5   +
     62-6   2-7   3-4   3-5   3-6   3-7   4-5   4-6   4-7   5-6   5-7   +
     76-7  )
C
      DO 120 J=1,NRHOX
      DT=T(J)-TOLD(J)
      TH=13.595/TKEV(J)
      DO 50 I=1,8
      Y=I
      QCOLL(I,I)=2.2E-8*Y**3/SQRT(TH)*EXP(-TH/Y**2)*XNE(J)
C     QCOLL(I,I) IS THE BOUND FREE RATE
      IF (I.EQ.8) GO TO 50
      I1=I+1
      DO 40 K=I1,8
      Z=K
      GIK=1./Y**2-1./Z**2
      X0=TH*GIK
      Q=2.186E-10*F(I,K)/GIK**2*X0*SQRT(T(J))*(EXPI(1,X0)+.148*X0*
     2EXPI(5,X0))
      QCOLL(I,K)=Q*XNE(J)
      QCOLL(K,I)=QCOLL(I,K)*(Y/Z)**2*EXP(X0)
   40 CONTINUE
   50 CONTINUE
      DO 65 I=1,6
      A(I,I)=QRADIK(J,I)
      QRADKI(J,I)=QRADKI(J,I)+DQRAD(J,I)*DT
      RIGHT(I)=QRADKI(J,I)+QCOLL(I,I)+QCOLL(I,7)+QCOLL(I,8)
      DO 55 K=1,8
   55 A(I,I)=A(I,I)+QCOLL(I,K)
      IF (I.EQ.6) GO TO 65
      I1=I+1
      DO 60 K=I1,6
      A(I,K)=-QCOLL(I,K)
   60 A(K,I)=-QCOLL(K,I)
   65 CONTINUE
C
      CALL SOLVIT(A,6,RIGHT,DUMMY)
      DO 80 L=1,6
   80 BHYD(J,L)=RIGHT(L)
      IF (IFPRNT(ITER).LE.1) GO TO 120
      DO 90 I=1,6
      QRADKI(J,I)=SIGN(DLOG10(DMAX1(ABS(QRADKI(J,I)*1.D20),1.D0)),
     1QRADKI(J,I))
   90 QRADIK(J,I)=SIGN(DLOG10(DMAX1(ABS(QRADIK(J,I)*1.D20),1.D0)),
     1QRADIK(J,I))
      DO 95 I=1,8
      DO 95 K=1,8
   95 QCOLL(I,K)=SIGN(DLOG10(DMAX1(ABS(QCOLL(I,K)*1.D20),1.D0)),
     1QCOLL(I,K))
      WRITE (6,100) J,(QRADIK(J,I),QRADKI(J,I),I=1,6),
     1(QCOLL(I,I),I=1,6),QCOLL(5,8),QCOLL(6,8)
  100 FORMAT (1H0I5,12F6.2,6X8F6.2)
      WRITE (6,110)   (QCOLL(1,K),K=2,7),(QCOLL(2,K),K=3,7),(QCOLL(3,K),
     1K=4,7),(QCOLL(4,K),K=5,7),(QCOLL(5,K),K=6,7),QCOLL(6,7)
  110 FORMAT (6X21F6.2)
  120 CONTINUE
C
  160 WRITE (6,170)(J,RHOX(J),(BHYD(J,I),I=1,6),J=1,NRHOX)
  170 FORMAT(1H1/////30X36HSTATISTICAL EQUILIBRIUM FOR HYDROGEN/
     1 15X4HRHOX,10X2HB1,8X2HB2,8X2HB3,8X2HB4,8X2HB5,8X2HB6/
     2(8XI2,1PE11.4,1X0P6F10.4))
C    2(8XI2,0PE11.4,1X0P6F10.4))
C
      RETURN
      END
      SUBROUTINE RADIAP(MODE,RCOWT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /PZERO/PZERO,PCON,PRADK0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /RAD/ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TAUSHJ/TAUNU(kw),SNU(kw),HNU(kw),JNU(kw),JMINS(kw)
      REAL*8 JNU,JMINS
      DIMENSION H(kw)
      GO TO (10,20,30),MODE
   10 DO 11 J=1,NRHOX
      H(J)=0.
      RADEN(J)=0.
   11 ACCRAD(J)=0.
      PRADK0=0.
      RETURN
   20 DO 21 J=1,NRHOX
      RADEN(J)=RADEN(J)+JNU(J)*RCOWT
      H(J)=H(J)+HNU(J)*RCOWT
   21 ACCRAD(J)=ACCRAD(J)+ABTOT(J)*HNU(J)*RCOWT
      PRADK0=PRADK0+KNU(1)*RCOWT
      RETURN
   30 DO 31 J=1,NRHOX
      RADEN(J)=RADEN(J)*12.5664/2.997925E10
      ACCRAD(J)=ACCRAD(J)*12.5664/2.997925E10
C     FUDGE TO KEEP MODEL FROM BLOWING UP WITH LARGE FLUX ERRORS
      IF(H(J)/FLUX.GT.1.)ACCRAD(J)=ACCRAD(J)*FLUX/H(J)
   31 CONTINUE
      PRADK0=PRADK0*12.5664/2.997925E10
      IF(H(1)/FLUX.GT.1.)PRADK0=PRADK0*FLUX/H(1)
C     CALL INTEG(RHOX,ACCRAD,PRAD,NRHOX)
      CALL INTEG(RHOX,ACCRAD,PRAD,NRHOX,ACCRAD(1)*RHOX(1))
      DO 32 J=1,NRHOX
      PRADK(J)=PRAD(J)+PRADK0
32	continue
      RETURN
      END
      SUBROUTINE ROSS(MODE,RCOWT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /FRESET/FRESET(1563),RCOSET(1563),NULO,NUHI,NUMNU
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      GO TO(10,20,30),MODE
   10 DO 11 J=1,NRHOX
   11 ABROSS(J)=0.
      RETURN
   20 DO 21 J=1,NRHOX
      DBDT=BNU(J)*FREQ*HKT(J)/T(J)/STIM(J)
      IF(NUMNU.EQ.1)DBDT=(4.*5.6697E-5/3.14159)*T(J)**3
   21 ABROSS(J)=ABROSS(J)+DBDT/ABTOT(J)*RCOWT
      RETURN
   30 DO 31 J=1,NRHOX
   31 ABROSS(J)=(4.*5.6697E-5/3.14159)*T(J)**3/ABROSS(J)
      CALL INTEG(RHOX,ABROSS,TAUROS,NRHOX,ABROSS(1)*RHOX(1))
      RETURN
      END
      SUBROUTINE DERIV(X,F,DFDX,N)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     ASSUMES THAT ANY ZERO IN X OCCURS AT A ENDPOINT
      DIMENSION X(1),F(1),DFDX(1)
      DFDX(1)=(F(2)-F(1))/(X(2)-X(1))
      N1=N-1
      DFDX(N)=(F(N)-F(N1))/(X(N)-X(N1))
      IF(N.EQ.2)RETURN
      S=ABS(X(2)-X(1))/(X(2)-X(1))
      DO 1 J=2,N1
      SCALE=DMAX1(ABS(F(J-1)),ABS(F(J)),ABS(F(J+1)))/ABS(X(J))
      IF(SCALE.EQ.0.)SCALE=1.
      D1=(F(J+1)-F(J))/(X(J+1)-X(J))/SCALE
      D=(F(J)-F(J-1))/(X(J)-X(J-1))/SCALE
      TAN1=D1/(S*SQRT(1.+D1**2)+1.)
      TAN=D/(S*SQRT(1.+D**2)+1.)
    1 DFDX(J)=(TAN1+TAN)/(1.-TAN1*TAN)*SCALE
      RETURN
      END
      SUBROUTINE INTEG(X,F,FINT,N,START)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     SUBROUTINE INTEG(X,F,FINT,N)
      DIMENSION X(1),F(1),FINT(1)
      DIMENSION A(kw),B(kw),C(kw)
      CALL PARCOE(F,X,A,B,C,N)
      FINT(1)=START
C     FINT(1)=(A(1)+(B(1)/2.+C(1)/3.*X(1))*X(1))*X(1)
C     FINT(2)=(A(1)+(B(1)/2.+C(1)/3.*X(2))*X(2))*X(2)
C     IF(N.EQ.2)RETURN
      N1=N-1
C     DO 10 I=2,N1
      DO 10 I=1,N1
   10 FINT(I+1)=FINT(I)+(A(I)+B(I)/2.*(X(I+1)+X(I))+
     1C(I)/3.*((X(I+1)+X(I))*X(I+1)+X(I)*X(I)))*(X(I+1)-X(I))
      RETURN
      END
      SUBROUTINE PARCOE(F,X,A,B,C,N)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION F(1),X(1),A(1),B(1),C(1)
      C(1)=0.
      B(1)=(F(2)-F(1))/(X(2)-X(1))
      A(1)=F(1)-X(1)*B(1)
      N1=N-1
      C(N)=0.
      B(N)=(F(N)-F(N1))/(X(N)-X(N1))
      A(N)=F(N)-X(N)*B(N)
      IF(N.EQ.2)RETURN
      DO 1 J=2,N1
      J1=J-1
      D=(F(J)-F(J1))/(X(J)-X(J1))
      C(J)=F(J+1)/((X(J+1)-X(J))*(X(J+1)-X(J1)))-F(J)/((X(J)-X(J1))*
     1(X(J+1)-X(J)))+F(J1)/((X(J)-X(J1))*(X(J+1)-X(J1)))
      B(J)=D-(X(J)+X(J1))*C(J)
    1 A(J)=F(J1)-X(J1)*D+X(J)*X(J1)*C(J)
      C(2)=0.
      B(2)=(F(3)-F(2))/(X(3)-X(2))
      A(2)=F(2)-X(2)*B(2)
      C(3)=0.
      B(3)=(F(4)-F(3))/(X(4)-X(3))
      A(3)=F(3)-X(3)*B(3)
      DO 2 J=2,N1
      IF(C(J).EQ.0.)GO TO 2
      J1=J+1
      WT=ABS(C(J1))/(ABS(C(J1))+ABS(C(J)))
      A(J)=A(J1)+WT*(A(J)-A(J1))
      B(J)=B(J1)+WT*(B(J)-B(J1))
      C(J)=C(J1)+WT*(C(J)-C(J1))
    2 CONTINUE
      A(N1)=A(N)
      B(N1)=B(N)
      C(N1)=C(N)
      RETURN
      END
      FUNCTION MAP1(XOLD,FOLD,NOLD,XNEW,FNEW,NNEW)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION XOLD(1),FOLD(1),XNEW(1),FNEW(1)
      L=2
      LL=0
      DO 50 K=1,NNEW
   10 IF(XNEW(K).LT.XOLD(L))GO TO 20
      L=L+1
      IF(L.GT.NOLD)GO TO 30
      GO TO 10
   20 IF(L.EQ.LL)GO TO 50
      IF(L.EQ.2)GO TO 30
      IF(L.EQ.3)GO TO 30
      L1=L-1
      IF(L.GT.LL+1.OR.L.EQ.3)GO TO 21
      IF(L.GT.LL+1.OR.L.EQ.4)GO TO 21
      CBAC=CFOR
      BBAC=BFOR
      ABAC=AFOR
      IF(L.EQ.NOLD)GO TO 22
      GO TO 25
   21 L2=L-2
      D=(FOLD(L1)-FOLD(L2))/(XOLD(L1)-XOLD(L2))
      CBAC=FOLD(L)/((XOLD(L)-XOLD(L1))*(XOLD(L)-XOLD(L2)))+
     1(FOLD(L2)/(XOLD(L)-XOLD(L2))-FOLD(L1)/(XOLD(L)-XOLD(L1)))/
     2(XOLD(L1)-XOLD(L2))
      BBAC=D-(XOLD(L1)+XOLD(L2))*CBAC
      ABAC=FOLD(L2)-XOLD(L2)*D+XOLD(L1)*XOLD(L2)*CBAC
      IF(L.LT.NOLD)GO TO 25
   22 C=CBAC
      B=BBAC
      A=ABAC
      LL=L
      GO TO 50
   25 D=(FOLD(L)-FOLD(L1))/(XOLD(L)-XOLD(L1))
      CFOR=FOLD(L+1)/((XOLD(L+1)-XOLD(L))*(XOLD(L+1)-XOLD(L1)))+
     1(FOLD(L1)/(XOLD(L+1)-XOLD(L1))-FOLD(L)/(XOLD(L+1)-XOLD(L)))/
     2(XOLD(L)-XOLD(L1))
      BFOR=D-(XOLD(L)+XOLD(L1))*CFOR
      AFOR=FOLD(L1)-XOLD(L1)*D+XOLD(L)*XOLD(L1)*CFOR
      WT=0.
      IF(ABS(CFOR).NE.0.)WT=ABS(CFOR)/(ABS(CFOR)+ABS(CBAC))
      A=AFOR+WT*(ABAC-AFOR)
      B=BFOR+WT*(BBAC-BFOR)
      C=CFOR+WT*(CBAC-CFOR)
      LL=L
      GO TO 50
   30 IF(L.EQ.LL)GO TO 50
      L=MIN0(NOLD,L)
      C=0.
      B=(FOLD(L)-FOLD(L-1))/(XOLD(L)-XOLD(L-1))
      A=FOLD(L)-XOLD(L)*B
      LL=L
   50 FNEW(K)=A+(B+C*XNEW(K))*XNEW(K)
      MAP1=LL-1
      RETURN
      END
      SUBROUTINE SOLVIT(A,N,B,IPIVOT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     SOLVES LINEAR EQUATIONS
C     A IS A COMPLETELY FILLED N BY N ARRAY THAT IS DESTROYED
C     B IS THE RIGHT SIDE VECTOR OF LENGTH N AND RETURNS AS THE SOLUTION
C     IPIVOT IS A SCRATCH AREA OF LENGTH N
      DIMENSION A(N,N),B(N),IPIVOT(N)
      EQUIVALENCE (T,PIVOT,C)
      N1=N-1
      DO 70 I=1,N1
      M=I
      I1=I+1
      DO 20 K=I1,N
   20 IF(ABS(A(K,I)).GT.ABS(A(M,I)))M=K
      IPIVOT(I)=M
      IF(M.EQ.I)GO TO 40
      DO 30 K=I1,N
      T=A(I,K)
      A(I,K)=A(M,K)
   30 A(M,K)=T
   40 PIVOT=1./A(M,I)
      A(M,I)=A(I,I)
      A(I,I)=PIVOT
      DO 50 K=I1,N
   50 A(K,I)=A(K,I)*PIVOT
      DO 70 J=I1,N
      C=A(I,J)
      IF(C.EQ.0.)GO TO 70
      DO 60 K=I1,N
   60 A(K,J)=A(K,J)-A(K,I)*C
   70 CONTINUE
      A(N,N)=1./A(N,N)
      DO 140 I=1,N1
      M=IPIVOT(I)
      IF(M.EQ.I)GO TO 120
      T=B(M)
      B(M)=B(I)
      B(I)=T
  120 C=B(I)
C     IF(C.EQ.0.)GO TO 140
      I1=I+1
      DO 130 K=I1,N
  130 B(K)=B(K)-A(K,I)*C
  140 CONTINUE
      J1=N
      DO 160 I=1,N1
      J=J1
      J1=J1-1
      B(J)=B(J)*A(J,J)
      C=B(J)
C     IF(C.EQ.0.)GO TO 160
      DO 150 K=1,J1
  150 B(K)=B(K)-A(K,J)*C
  160 CONTINUE
      B(1)=B(1)*A(1,1)
      RETURN
      END
      FUNCTION EXPI(N,X)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     EXPONENTIAL INTEGRAL FOR POSITIVE ARGUMENTS AFTER CODY AND
C     THACHER, MATH. OF COMP.,22,641(1968)
      DATA X1/-1.E20/
      DATA A0,A1,A2,A3,A4,A5,B0,B1,B2,B3,B4/
     1-44178.5471728217,57721.7247139444,9938.31388962037,
     2 1842.11088668000,101.093806161906,5.03416184097568,
     3 76537.3323337614,32597.1881290275,6106.10794245759,
     4 635.419418378382,37.2298352833327/
      DATA C0,C1,C2,C3,C4,C5,C6,D1,D2,D3,D4,D5,D6/
     1 4.65627107975096E-7,
     2 .999979577051595,9.04161556946329,24.3784088791317,
     3 23.0192559391333,6.90522522784444,.430967839469389,
     4 10.0411643829054,32.4264210695138,41.2807841891424,
     5 20.4494785013794,3.31909213593302,.103400130404874/
      DATA E0,E1,E2,E3,E4,E5,E6,F1,F2,F3,F4,F5,F6/
     1-.999999999998447,-26.6271060431811,-241.055827097015,
     2-895.927957772937,-1298.85688746484,-545.374158883133,
     3-5.66575206533869, 28.6271060422192, 292.310039388533,
     4 1332.78537748257, 2777.61949509163, 2404.01713225909,
     5 631.657483280800/
      IF(X.EQ.X1)GO TO 40
      EX=EXP(-X)
      X1=X
      IF(X.GT.4.)GO TO 10
      IF(X.GT.1.)GO TO 20
      IF(X.GT.0.)GO TO 30
      EX1=0.
      GO TO 40
   10 EX1=(EX+EX*(E0+(E1+(E2+(E3+(E4+(E5+E6/X)/X)/X)/X)/X)/X)/
     1            (X+ F1+(F2+(F3+(F4+(F5+F6/X)/X)/X)/X)/X))/X
      GO TO 40
   20 EX1=EX*(C6+(C5+(C4+(C3+(C2+(C1+C0*X)*X)*X)*X)*X)*X)/
     1       (D6+(D5+(D4+(D3+(D2+(D1+X)*X)*X)*X)*X)*X)
      GO TO 40
   30 EX1=(A0+(A1+(A2+(A3+(A4+A5*X)*X)*X)*X)*X)/
     1    (B0+(B1+(B2+(B3+(B4+X)*X)*X)*X)*X)-DLOG(X)
   40 EXPI=EX1
      IF(N.EQ.1)RETURN
      N1=N-1
      DO 41 I=1,N1
   41 EXPI=(EX-X*EXPI)/DFLOAT(I)
      RETURN
      END
      SUBROUTINE W(A,B,N)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION B(1)
      WRITE(6,100)A,(B(I),I=1,N)
  100 FORMAT(1H0,A6,1P10E12.4/(7X,10E12.4))
      RETURN
      END
      FUNCTION ROSSTAB(T,P,V)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     ROSSELAND OPACITY FOR SDSC 1X DISTRIBUTION FUNCTIONS
      COMMON/TABTP/TABT(57),TABP(42),TABKAP(57,42,5),PKAP(42),
     1TABV(5),PKAPV(5,42),IFTABK,KTAB(57,42,5),NT,NP
      DIMENSION K0TAB01(57),K0TAB02(57),K0TAB03(57),K0TAB04(57)
      DIMENSION K0TAB05(57),K0TAB06(57),K0TAB07(57),K0TAB08(57)
      DIMENSION K0TAB09(57),K0TAB10(57),K0TAB11(57),K0TAB12(57)
      DIMENSION K0TAB13(57),K0TAB14(57),K0TAB15(57),K0TAB16(57)
      DIMENSION K0TAB17(57),K0TAB18(57),K0TAB19(57),K0TAB20(57)
      DIMENSION K0TAB21(57),K0TAB22(57),K0TAB23(57),K0TAB24(57)
      DIMENSION K0TAB25(57),K0TAB26(57),K0TAB27(57),K0TAB28(57)
      DIMENSION K0TAB29(57),K0TAB30(57),K0TAB31(57),K0TAB32(57)
      DIMENSION K0TAB33(57),K0TAB34(57),K0TAB35(57),K0TAB36(57)
      DIMENSION K0TAB37(57),K0TAB38(57),K0TAB39(57),K0TAB40(57)
      DIMENSION K0TAB41(57),K0TAB42(57)
      DIMENSION K1TAB01(57),K1TAB02(57),K1TAB03(57),K1TAB04(57)
      DIMENSION K1TAB05(57),K1TAB06(57),K1TAB07(57),K1TAB08(57)
      DIMENSION K1TAB09(57),K1TAB10(57),K1TAB11(57),K1TAB12(57)
      DIMENSION K1TAB13(57),K1TAB14(57),K1TAB15(57),K1TAB16(57)
      DIMENSION K1TAB17(57),K1TAB18(57),K1TAB19(57),K1TAB20(57)
      DIMENSION K1TAB21(57),K1TAB22(57),K1TAB23(57),K1TAB24(57)
      DIMENSION K1TAB25(57),K1TAB26(57),K1TAB27(57),K1TAB28(57)
      DIMENSION K1TAB29(57),K1TAB30(57),K1TAB31(57),K1TAB32(57)
      DIMENSION K1TAB33(57),K1TAB34(57),K1TAB35(57),K1TAB36(57)
      DIMENSION K1TAB37(57),K1TAB38(57),K1TAB39(57),K1TAB40(57)
      DIMENSION K1TAB41(57),K1TAB42(57)
      DIMENSION K2TAB01(57),K2TAB02(57),K2TAB03(57),K2TAB04(57)
      DIMENSION K2TAB05(57),K2TAB06(57),K2TAB07(57),K2TAB08(57)
      DIMENSION K2TAB09(57),K2TAB10(57),K2TAB11(57),K2TAB12(57)
      DIMENSION K2TAB13(57),K2TAB14(57),K2TAB15(57),K2TAB16(57)
      DIMENSION K2TAB17(57),K2TAB18(57),K2TAB19(57),K2TAB20(57)
      DIMENSION K2TAB21(57),K2TAB22(57),K2TAB23(57),K2TAB24(57)
      DIMENSION K2TAB25(57),K2TAB26(57),K2TAB27(57),K2TAB28(57)
      DIMENSION K2TAB29(57),K2TAB30(57),K2TAB31(57),K2TAB32(57)
      DIMENSION K2TAB33(57),K2TAB34(57),K2TAB35(57),K2TAB36(57)
      DIMENSION K2TAB37(57),K2TAB38(57),K2TAB39(57),K2TAB40(57)
      DIMENSION K2TAB41(57),K2TAB42(57)
      DIMENSION K4TAB01(57),K4TAB02(57),K4TAB03(57),K4TAB04(57)
      DIMENSION K4TAB05(57),K4TAB06(57),K4TAB07(57),K4TAB08(57)
      DIMENSION K4TAB09(57),K4TAB10(57),K4TAB11(57),K4TAB12(57)
      DIMENSION K4TAB13(57),K4TAB14(57),K4TAB15(57),K4TAB16(57)
      DIMENSION K4TAB17(57),K4TAB18(57),K4TAB19(57),K4TAB20(57)
      DIMENSION K4TAB21(57),K4TAB22(57),K4TAB23(57),K4TAB24(57)
      DIMENSION K4TAB25(57),K4TAB26(57),K4TAB27(57),K4TAB28(57)
      DIMENSION K4TAB29(57),K4TAB30(57),K4TAB31(57),K4TAB32(57)
      DIMENSION K4TAB33(57),K4TAB34(57),K4TAB35(57),K4TAB36(57)
      DIMENSION K4TAB37(57),K4TAB38(57),K4TAB39(57),K4TAB40(57)
      DIMENSION K4TAB41(57),K4TAB42(57)
      DIMENSION K8TAB01(57),K8TAB02(57),K8TAB03(57),K8TAB04(57)
      DIMENSION K8TAB05(57),K8TAB06(57),K8TAB07(57),K8TAB08(57)
      DIMENSION K8TAB09(57),K8TAB10(57),K8TAB11(57),K8TAB12(57)
      DIMENSION K8TAB13(57),K8TAB14(57),K8TAB15(57),K8TAB16(57)
      DIMENSION K8TAB17(57),K8TAB18(57),K8TAB19(57),K8TAB20(57)
      DIMENSION K8TAB21(57),K8TAB22(57),K8TAB23(57),K8TAB24(57)
      DIMENSION K8TAB25(57),K8TAB26(57),K8TAB27(57),K8TAB28(57)
      DIMENSION K8TAB29(57),K8TAB30(57),K8TAB31(57),K8TAB32(57)
      DIMENSION K8TAB33(57),K8TAB34(57),K8TAB35(57),K8TAB36(57)
      DIMENSION K8TAB37(57),K8TAB38(57),K8TAB39(57),K8TAB40(57)
      DIMENSION K8TAB41(57),K8TAB42(57)
C      EQUIVALENCE (KTAB(001),KTAB01(1)),(KTAB(057),KTAB02(1))
C      EQUIVALENCE (KTAB(113),KTAB03(1)),(KTAB(169),KTAB04(1))
C      EQUIVALENCE (KTAB(225),KTAB05(1)),(KTAB(281),KTAB06(1))
C      EQUIVALENCE (KTAB(337),KTAB07(1)),(KTAB(393),KTAB08(1))
C      EQUIVALENCE (KTAB(449),KTAB09(1)),(KTAB(505),KTAB10(1))
C      EQUIVALENCE (KTAB(561),KTAB11(1)),(KTAB(617),KTAB12(1))
C      EQUIVALENCE (KTAB(673),KTAB13(1)),(KTAB(729),KTAB14(1))
C      EQUIVALENCE (KTAB(785),KTAB15(1)),(KTAB(841),KTAB16(1))
C      EQUIVALENCE (KTAB(897),KTAB17(1)),(KTAB(953),KTAB18(1))
C      EQUIVALENCE (KTAB(1009),KTAB19(1)),(KTAB(1065),KTAB20(1))
C      EQUIVALENCE (KTAB(1121),KTAB21(1)),(KTAB(1177),KTAB22(1))
C      EQUIVALENCE (KTAB(1233),KTAB23(1)),(KTAB(1289),KTAB24(1))
C      EQUIVALENCE (KTAB(1345),KTAB25(1)),(KTAB(1401),KTAB26(1))
C      EQUIVALENCE (KTAB(1457),KTAB27(1)),(KTAB(1513),KTAB28(1))
C      EQUIVALENCE (KTAB(1569),KTAB29(1)),(KTAB(1625),KTAB30(1))
C      EQUIVALENCE (KTAB(1681),KTAB31(1)),(KTAB(1737),KTAB32(1))
C      EQUIVALENCE (KTAB(1793),KTAB33(1)),(KTAB(1849),KTAB34(1))
C      EQUIVALENCE (KTAB(1905),KTAB35(1)),(KTAB(1961),KTAB36(1))
C      EQUIVALENCE (KTAB(2017),KTAB37(1)),(KTAB(2073),KTAB38(1))
      EQUIVALENCE (KTAB(1, 1,1),K0TAB01(1)),(KTAB(1, 2,1),K0TAB02(1))
      EQUIVALENCE (KTAB(1, 3,1),K0TAB03(1)),(KTAB(1, 4,1),K0TAB04(1))
      EQUIVALENCE (KTAB(1, 5,1),K0TAB05(1)),(KTAB(1, 6,1),K0TAB06(1))
      EQUIVALENCE (KTAB(1, 7,1),K0TAB07(1)),(KTAB(1, 8,1),K0TAB08(1))
      EQUIVALENCE (KTAB(1, 9,1),K0TAB09(1)),(KTAB(1,10,1),K0TAB10(1))
      EQUIVALENCE (KTAB(1,11,1),K0TAB11(1)),(KTAB(1,12,1),K0TAB12(1))
      EQUIVALENCE (KTAB(1,13,1),K0TAB13(1)),(KTAB(1,14,1),K0TAB14(1))
      EQUIVALENCE (KTAB(1,15,1),K0TAB15(1)),(KTAB(1,16,1),K0TAB16(1))
      EQUIVALENCE (KTAB(1,17,1),K0TAB17(1)),(KTAB(1,18,1),K0TAB18(1))
      EQUIVALENCE (KTAB(1,19,1),K0TAB19(1)),(KTAB(1,20,1),K0TAB20(1))
      EQUIVALENCE (KTAB(1,21,1),K0TAB21(1)),(KTAB(1,22,1),K0TAB22(1))
      EQUIVALENCE (KTAB(1,23,1),K0TAB23(1)),(KTAB(1,24,1),K0TAB24(1))
      EQUIVALENCE (KTAB(1,25,1),K0TAB25(1)),(KTAB(1,26,1),K0TAB26(1))
      EQUIVALENCE (KTAB(1,27,1),K0TAB27(1)),(KTAB(1,28,1),K0TAB28(1))
      EQUIVALENCE (KTAB(1,29,1),K0TAB29(1)),(KTAB(1,30,1),K0TAB30(1))
      EQUIVALENCE (KTAB(1,31,1),K0TAB31(1)),(KTAB(1,32,1),K0TAB32(1))
      EQUIVALENCE (KTAB(1,33,1),K0TAB33(1)),(KTAB(1,34,1),K0TAB34(1))
      EQUIVALENCE (KTAB(1,35,1),K0TAB35(1)),(KTAB(1,36,1),K0TAB36(1))
      EQUIVALENCE (KTAB(1,37,1),K0TAB37(1)),(KTAB(1,38,1),K0TAB38(1))
      EQUIVALENCE (KTAB(1,39,1),K0TAB39(1)),(KTAB(1,40,1),K0TAB40(1))
      EQUIVALENCE (KTAB(1,41,1),K0TAB41(1)),(KTAB(1,42,1),K0TAB42(1))
      EQUIVALENCE (KTAB(1, 1,2),K1TAB01(1)),(KTAB(1, 2,2),K1TAB02(1))
      EQUIVALENCE (KTAB(1, 3,2),K1TAB03(1)),(KTAB(1, 4,2),K1TAB04(1))
      EQUIVALENCE (KTAB(1, 5,2),K1TAB05(1)),(KTAB(1, 6,2),K1TAB06(1))
      EQUIVALENCE (KTAB(1, 7,2),K1TAB07(1)),(KTAB(1, 8,2),K1TAB08(1))
      EQUIVALENCE (KTAB(1, 9,2),K1TAB09(1)),(KTAB(1,10,2),K1TAB10(1))
      EQUIVALENCE (KTAB(1,11,2),K1TAB11(1)),(KTAB(1,12,2),K1TAB12(1))
      EQUIVALENCE (KTAB(1,13,2),K1TAB13(1)),(KTAB(1,14,2),K1TAB14(1))
      EQUIVALENCE (KTAB(1,15,2),K1TAB15(1)),(KTAB(1,16,2),K1TAB16(1))
      EQUIVALENCE (KTAB(1,17,2),K1TAB17(1)),(KTAB(1,18,2),K1TAB18(1))
      EQUIVALENCE (KTAB(1,19,2),K1TAB19(1)),(KTAB(1,20,2),K1TAB20(1))
      EQUIVALENCE (KTAB(1,21,2),K1TAB21(1)),(KTAB(1,22,2),K1TAB22(1))
      EQUIVALENCE (KTAB(1,23,2),K1TAB23(1)),(KTAB(1,24,2),K1TAB24(1))
      EQUIVALENCE (KTAB(1,25,2),K1TAB25(1)),(KTAB(1,26,2),K1TAB26(1))
      EQUIVALENCE (KTAB(1,27,2),K1TAB27(1)),(KTAB(1,28,2),K1TAB28(1))
      EQUIVALENCE (KTAB(1,29,2),K1TAB29(1)),(KTAB(1,30,2),K1TAB30(1))
      EQUIVALENCE (KTAB(1,31,2),K1TAB31(1)),(KTAB(1,32,2),K1TAB32(1))
      EQUIVALENCE (KTAB(1,33,2),K1TAB33(1)),(KTAB(1,34,2),K1TAB34(1))
      EQUIVALENCE (KTAB(1,35,2),K1TAB35(1)),(KTAB(1,36,2),K1TAB36(1))
      EQUIVALENCE (KTAB(1,37,2),K1TAB37(1)),(KTAB(1,38,2),K1TAB38(1))
      EQUIVALENCE (KTAB(1,39,2),K1TAB39(1)),(KTAB(1,40,2),K1TAB40(1))
      EQUIVALENCE (KTAB(1,41,2),K1TAB41(1)),(KTAB(1,42,2),K1TAB42(1))
      EQUIVALENCE (KTAB(1, 1,3),K2TAB01(1)),(KTAB(1, 2,3),K2TAB02(1))
      EQUIVALENCE (KTAB(1, 3,3),K2TAB03(1)),(KTAB(1, 4,3),K2TAB04(1))
      EQUIVALENCE (KTAB(1, 5,3),K2TAB05(1)),(KTAB(1, 6,3),K2TAB06(1))
      EQUIVALENCE (KTAB(1, 7,3),K2TAB07(1)),(KTAB(1, 8,3),K2TAB08(1))
      EQUIVALENCE (KTAB(1, 9,3),K2TAB09(1)),(KTAB(1,10,3),K2TAB10(1))
      EQUIVALENCE (KTAB(1,11,3),K2TAB11(1)),(KTAB(1,12,3),K2TAB12(1))
      EQUIVALENCE (KTAB(1,13,3),K2TAB13(1)),(KTAB(1,14,3),K2TAB14(1))
      EQUIVALENCE (KTAB(1,15,3),K2TAB15(1)),(KTAB(1,16,3),K2TAB16(1))
      EQUIVALENCE (KTAB(1,17,3),K2TAB17(1)),(KTAB(1,18,3),K2TAB18(1))
      EQUIVALENCE (KTAB(1,19,3),K2TAB19(1)),(KTAB(1,20,3),K2TAB20(1))
      EQUIVALENCE (KTAB(1,21,3),K2TAB21(1)),(KTAB(1,22,3),K2TAB22(1))
      EQUIVALENCE (KTAB(1,23,3),K2TAB23(1)),(KTAB(1,24,3),K2TAB24(1))
      EQUIVALENCE (KTAB(1,25,3),K2TAB25(1)),(KTAB(1,26,3),K2TAB26(1))
      EQUIVALENCE (KTAB(1,27,3),K2TAB27(1)),(KTAB(1,28,3),K2TAB28(1))
      EQUIVALENCE (KTAB(1,29,3),K2TAB29(1)),(KTAB(1,30,3),K2TAB30(1))
      EQUIVALENCE (KTAB(1,31,3),K2TAB31(1)),(KTAB(1,32,3),K2TAB32(1))
      EQUIVALENCE (KTAB(1,33,3),K2TAB33(1)),(KTAB(1,34,3),K2TAB34(1))
      EQUIVALENCE (KTAB(1,35,3),K2TAB35(1)),(KTAB(1,36,3),K2TAB36(1))
      EQUIVALENCE (KTAB(1,37,3),K2TAB37(1)),(KTAB(1,38,3),K2TAB38(1))
      EQUIVALENCE (KTAB(1,39,3),K2TAB39(1)),(KTAB(1,40,3),K2TAB40(1))
      EQUIVALENCE (KTAB(1,41,3),K2TAB41(1)),(KTAB(1,42,3),K2TAB42(1))
      EQUIVALENCE (KTAB(1, 1,4),K4TAB01(1)),(KTAB(1, 2,4),K4TAB02(1))
      EQUIVALENCE (KTAB(1, 3,4),K4TAB03(1)),(KTAB(1, 4,4),K4TAB04(1))
      EQUIVALENCE (KTAB(1, 5,4),K4TAB05(1)),(KTAB(1, 6,4),K4TAB06(1))
      EQUIVALENCE (KTAB(1, 7,4),K4TAB07(1)),(KTAB(1, 8,4),K4TAB08(1))
      EQUIVALENCE (KTAB(1, 9,4),K4TAB09(1)),(KTAB(1,10,4),K4TAB10(1))
      EQUIVALENCE (KTAB(1,11,4),K4TAB11(1)),(KTAB(1,12,4),K4TAB12(1))
      EQUIVALENCE (KTAB(1,13,4),K4TAB13(1)),(KTAB(1,14,4),K4TAB14(1))
      EQUIVALENCE (KTAB(1,15,4),K4TAB15(1)),(KTAB(1,16,4),K4TAB16(1))
      EQUIVALENCE (KTAB(1,17,4),K4TAB17(1)),(KTAB(1,18,4),K4TAB18(1))
      EQUIVALENCE (KTAB(1,19,4),K4TAB19(1)),(KTAB(1,20,4),K4TAB20(1))
      EQUIVALENCE (KTAB(1,21,4),K4TAB21(1)),(KTAB(1,22,4),K4TAB22(1))
      EQUIVALENCE (KTAB(1,23,4),K4TAB23(1)),(KTAB(1,24,4),K4TAB24(1))
      EQUIVALENCE (KTAB(1,25,4),K4TAB25(1)),(KTAB(1,26,4),K4TAB26(1))
      EQUIVALENCE (KTAB(1,27,4),K4TAB27(1)),(KTAB(1,28,4),K4TAB28(1))
      EQUIVALENCE (KTAB(1,29,4),K4TAB29(1)),(KTAB(1,30,4),K4TAB30(1))
      EQUIVALENCE (KTAB(1,31,4),K4TAB31(1)),(KTAB(1,32,4),K4TAB32(1))
      EQUIVALENCE (KTAB(1,33,4),K4TAB33(1)),(KTAB(1,34,4),K4TAB34(1))
      EQUIVALENCE (KTAB(1,35,4),K4TAB35(1)),(KTAB(1,36,4),K4TAB36(1))
      EQUIVALENCE (KTAB(1,37,4),K4TAB37(1)),(KTAB(1,38,4),K4TAB38(1))
      EQUIVALENCE (KTAB(1,39,4),K4TAB39(1)),(KTAB(1,40,4),K4TAB40(1))
      EQUIVALENCE (KTAB(1,41,4),K4TAB41(1)),(KTAB(1,42,4),K4TAB42(1))
      EQUIVALENCE (KTAB(1, 1,5),K8TAB01(1)),(KTAB(1, 2,5),K8TAB02(1))
      EQUIVALENCE (KTAB(1, 3,5),K8TAB03(1)),(KTAB(1, 4,5),K8TAB04(1))
      EQUIVALENCE (KTAB(1, 5,5),K8TAB05(1)),(KTAB(1, 6,5),K8TAB06(1))
      EQUIVALENCE (KTAB(1, 7,5),K8TAB07(1)),(KTAB(1, 8,5),K8TAB08(1))
      EQUIVALENCE (KTAB(1, 9,5),K8TAB09(1)),(KTAB(1,10,5),K8TAB10(1))
      EQUIVALENCE (KTAB(1,11,5),K8TAB11(1)),(KTAB(1,12,5),K8TAB12(1))
      EQUIVALENCE (KTAB(1,13,5),K8TAB13(1)),(KTAB(1,14,5),K8TAB14(1))
      EQUIVALENCE (KTAB(1,15,5),K8TAB15(1)),(KTAB(1,16,5),K8TAB16(1))
      EQUIVALENCE (KTAB(1,17,5),K8TAB17(1)),(KTAB(1,18,5),K8TAB18(1))
      EQUIVALENCE (KTAB(1,19,5),K8TAB19(1)),(KTAB(1,20,5),K8TAB20(1))
      EQUIVALENCE (KTAB(1,21,5),K8TAB21(1)),(KTAB(1,22,5),K8TAB22(1))
      EQUIVALENCE (KTAB(1,23,5),K8TAB23(1)),(KTAB(1,24,5),K8TAB24(1))
      EQUIVALENCE (KTAB(1,25,5),K8TAB25(1)),(KTAB(1,26,5),K8TAB26(1))
      EQUIVALENCE (KTAB(1,27,5),K8TAB27(1)),(KTAB(1,28,5),K8TAB28(1))
      EQUIVALENCE (KTAB(1,29,5),K8TAB29(1)),(KTAB(1,30,5),K8TAB30(1))
      EQUIVALENCE (KTAB(1,31,5),K8TAB31(1)),(KTAB(1,32,5),K8TAB32(1))
      EQUIVALENCE (KTAB(1,33,5),K8TAB33(1)),(KTAB(1,34,5),K8TAB34(1))
      EQUIVALENCE (KTAB(1,35,5),K8TAB35(1)),(KTAB(1,36,5),K8TAB36(1))
      EQUIVALENCE (KTAB(1,37,5),K8TAB37(1)),(KTAB(1,38,5),K8TAB38(1))
      EQUIVALENCE (KTAB(1,39,5),K8TAB39(1)),(KTAB(1,40,5),K8TAB40(1))
      EQUIVALENCE (KTAB(1,41,5),K8TAB41(1)),(KTAB(1,42,5),K8TAB42(1))
      DATA NT,NP,NV/57,42,5/
      DATA TABV/0.D5,1.D5,2.D5,4.D5,8.D5/
      DATA TABT/     3.300, 3.320, 3.340, 3.360, 3.380, 3.400, 3.420,
     1 3.440, 3.460, 3.480, 3.500, 3.520, 3.540, 3.560, 3.580, 3.600,
     2 3.620, 3.640, 3.660, 3.680, 3.700, 3.730, 3.760, 3.790, 3.820,
     3 3.850, 3.880, 3.910, 3.940, 3.970, 4.000, 4.050, 4.100, 4.150,
     4 4.200, 4.250, 4.300, 4.350, 4.400, 4.450, 4.500, 4.550, 4.600,
     5 4.650, 4.700, 4.750, 4.800, 4.850, 4.900, 4.950, 5.000, 5.050,
     6 5.100, 5.150, 5.200, 5.250, 5.300/
      DATA TABP/    -4.000,-3.500,-3.000,-2.500,-2.000,-1.500,-1.000,
     1-0.500, 0.000, 0.500, 1.000, 1.250, 1.500, 1.750, 2.000, 2.250,
     2 2.500, 2.750, 3.000, 3.200, 3.400, 3.600, 3.800, 4.000, 4.200,
     3 4.400, 4.600, 4.800, 5.000, 5.200, 5.400, 5.600, 5.800, 6.000,
     4 6.250, 6.500, 6.750, 7.000, 7.250, 7.500, 7.750, 8.000/
      DATA K0TAB01/                                                     -4.000
     1-4824,-4746,-4767,-4629,-4486,-4371,-4286,-4234,-4197,-4167,      -4.000
     2-4126,-4015,-3800,-3515,-3166,-2698,-2414,-2037,-1668,-1318,      -4.000
     3 -997, -660, -551, -529, -521, -519, -523, -526, -512, -499,      -4.000
     4 -496, -491, -482, -483, -488, -481, -448, -445, -446, -441,      -4.000
     5 -435, -426, -409, -389, -359, -312, -247, -162,  -64,   36,      -4.000
     6  115,  151,  136,   85,   23,  -32,  -71/                        -4.000
      DATA K0TAB02/                                                     -3.500
     1-4838,-4783,-4857,-4732,-4570,-4429,-4320,-4245,-4200,-4173,      -3.500
     2-4152,-4089,-3928,-3681,-3359,-2890,-2643,-2273,-1908,-1557,      -3.500
     3-1223, -800, -586, -534, -522, -519, -523, -528, -523, -504,      -3.500
     4 -497, -491, -482, -483, -488, -483, -455, -446, -446, -441,      -3.500
     5 -435, -426, -409, -389, -359, -312, -247, -162,  -64,   36,      -3.500
     6  115,  151,  136,   85,   23,  -32,  -71/                        -3.500
      DATA K0TAB03/                                                     -3.000
     1-4853,-4804,-4925,-4833,-4667,-4503,-4370,-4269,-4207,-4176,      -3.000
     2-4164,-4135,-4029,-3829,-3537,-3066,-2862,-2503,-2144,-1796,      -3.000
     3-1458, -995, -669, -550, -524, -519, -523, -529, -529, -513,      -3.000
     4 -499, -491, -482, -483, -488, -484, -465, -446, -446, -441,      -3.000
     5 -435, -426, -409, -389, -359, -312, -247, -162,  -64,   36,      -3.000
     6  115,  151,  136,   85,   23,  -32,  -71/                        -3.000
      DATA K0TAB04/                                                     -2.500
     1-4873,-4819,-4969,-4920,-4769,-4592,-4435,-4310,-4223,-4181,      -2.500
     2-4169,-4157,-4098,-3953,-3699,-3226,-3071,-2726,-2376,-2033,      -2.500
     3-1696,-1218, -816, -592, -530, -519, -522, -528, -532, -524,      -2.500
     4 -504, -491, -482, -483, -488, -484, -473, -449, -446, -442,      -2.500
     5 -435, -426, -409, -389, -359, -312, -247, -162,  -64,   36,      -2.500
     6  115,  151,  136,   85,   23,  -32,  -71/                        -2.500
      DATA K0TAB05/                                                     -2.000
     1-4897,-4837,-4996,-4984,-4865,-4691,-4514,-4366,-4255,-4191,      -2.000
     2-4172,-4166,-4136,-4047,-3841,-3370,-3267,-2940,-2601,-2265,      -2.000
     3-1932,-1450,-1011, -685, -548, -519, -520, -527, -531, -530,      -2.000
     4 -513, -492, -482, -482, -487, -484, -477, -455, -447, -442,      -2.000
     5 -435, -426, -410, -389, -359, -313, -247, -162,  -64,   36,      -2.000
     6  115,  151,  136,   85,   23,  -32,  -71/                        -2.000
      DATA K0TAB06/                                                     -1.500
     1-4429,-4393,-4812,-4952,-4916,-4778,-4602,-4433,-4297,-4200,      -1.500
     2-4153,-4144,-4135,-4101,-3951,-3727,-3447,-3139,-2814,-2488,      -1.500
     3-2161,-1681,-1226, -834, -591, -514, -504, -511, -520, -525,      -1.500
     4 -518, -491, -478, -473, -481, -481, -474, -458, -444, -439,      -1.500
     5 -432, -425, -408, -387, -357, -312, -247, -162,  -63,   36,      -1.500
     6  115,  151,  136,   85,   23,  -32,  -71/                        -1.500
      DATA K0TAB07/                                                     -1.000
     1-3724,-3706,-4373,-4770,-4894,-4836,-4685,-4509,-4349,-4224,      -1.000
     2-4143,-4113,-4110,-4117,-4020,-3851,-3608,-3323,-3014,-2701,      -1.000
     3-2381,-1906,-1445,-1018, -681, -516, -478, -483, -497, -509,      -1.000
     4 -513, -490, -474, -464, -470, -475, -470, -459, -440, -436,      -1.000
     5 -429, -422, -407, -385, -355, -311, -246, -161,  -62,   37,      -1.000
     6  115,  151,  136,   85,   23,  -32,  -71/                        -1.000
      DATA K0TAB08/                                                     -0.500
     1-2968,-2961,-3686,-4324,-4710,-4816,-4738,-4578,-4404,-4253,      -0.500
     2-4141,-4078,-4063,-4100,-4036,-3933,-3738,-3483,-3193,-2896,      -0.500
     3-2587,-2119,-1656,-1210, -812, -539, -437, -428, -448, -472,      -0.500
     4 -489, -485, -467, -454, -454, -464, -463, -455, -437, -431,      -0.500
     5 -425, -418, -405, -383, -353, -309, -246, -161,  -61,   37,      -0.500
     6  116,  151,  136,   85,   23,  -32,  -71/                        -0.500
      DATA K0TAB09/                                                      0.000
     1-2274,-2277,-2941,-3631,-4247,-4617,-4707,-4611,-4442,-4271,       0.000
     2-4130,-4033,-3991,-4045,-3993,-3950,-3817,-3604,-3338,-3060,       0.000
     3-2765,-2309,-1848,-1391, -957, -595, -388, -337, -354, -392,       0.000
     4 -429, -461, -450, -441, -434, -446, -451, -445, -432, -423,       0.000
     5 -419, -412, -402, -381, -350, -307, -245, -161,  -60,   39,       0.000
     6  116,  151,  136,   85,   23,  -32,  -71/                         0.000
      DATA K0TAB10/                                                      0.500
     1-1786,-1797,-2259,-2886,-3546,-4126,-4479,-4547,-4433,-4256,       0.500
     2-4090,-3962,-3884,-3936,-3876,-3876,-3812,-3655,-3422,-3168,       0.500
     3-2889,-2452,-1999,-1538,-1083, -664, -348, -206, -198, -242,       0.500
     4 -302, -388, -409, -413, -407, -418, -429, -428, -420, -410,       0.500
     5 -410, -405, -396, -378, -347, -304, -243, -160,  -59,   41,       0.500
     6  117,  152,  136,   85,   23,  -32,  -71/                         0.500
      DATA K0TAB11/                                                      1.000
     1-1571,-1586,-1770,-2211,-2805,-3418,-3956,-4277,-4317,-4185,       1.000
     2-4006,-3847,-3733,-3762,-3671,-3693,-3686,-3597,-3409,-3185,       1.000
     3-2925,-2513,-2078,-1625,-1164, -713, -320,  -61,   20,   -9,       1.000
     4  -83, -228, -313, -347, -362, -375, -395, -399, -396, -389,       1.000
     5 -393, -393, -387, -372, -343, -301, -240, -158,  -59,   43,       1.000
     6  119,  152,  136,   85,   23,  -32,  -71/                         1.000
      DATA K0TAB12/                                                      1.250
     1-1536,-1552,-1654,-1960,-2463,-3049,-3609,-4027,-4182,-4109,       1.250
     2-3941,-3771,-3640,-3653,-3542,-3561,-3572,-3518,-3358,-3152,       1.250
     3-2903,-2503,-2080,-1637,-1180, -724, -305,    6,  144,  136,       1.250
     4   62, -105, -232, -289, -324, -344, -370, -378, -377, -373,       1.250
     5 -379, -383, -380, -368, -341, -299, -238, -157,  -58,   44,       1.250
     6  121,  153,  136,   85,   23,  -32,  -71/                         1.250
      DATA K0TAB13/                                                      1.500
     1-1502,-1519,-1543,-1726,-2140,-2687,-3247,-3727,-4002,-4008,       1.500
     2-3860,-3682,-3533,-3528,-3394,-3405,-3428,-3404,-3277,-3091,       1.500
     3-2854,-2467,-2057,-1626,-1177, -721, -287,   67,  267,  297,       1.500
     4  231,   45, -123, -212, -269, -300, -337, -353, -353, -351,       1.500
     5 -360, -370, -371, -363, -337, -296, -236, -156,  -57,   45,       1.500
     6  122,  153,  136,   85,   23,  -32,  -71/                         1.500
      DATA K0TAB14/                                                      1.750
     1-1491,-1508,-1504,-1608,-1896,-2356,-2888,-3381,-3742,-3850,       1.750
     2-3750,-3578,-3417,-3391,-3239,-3234,-3257,-3257,-3165,-3005,       1.750
     3-2781,-2407,-2010,-1593,-1156, -706, -264,  121,  379,  462,       1.750
     4  415,  223,   15, -109, -194, -245, -293, -320, -324, -323,       1.750
     5 -333, -352, -358, -354, -333, -293, -234, -154,  -56,   46,       1.750
     6  125,  155,  137,   86,   23,  -32,  -71/                         1.750
      DATA K0TAB15/                                                      2.000
     1-1479,-1496,-1467,-1495,-1669,-2040,-2537,-3027,-3443,-3658,       2.000
     2-3622,-3463,-3291,-3244,-3074,-3050,-3067,-3083,-3025,-2895,       2.000
     3-2688,-2328,-1943,-1540,-1118, -677, -235,  170,  478,  621,       2.000
     4  608,  423,  184,   16,  -97, -171, -233, -278, -288, -287,       2.000
     5 -297, -326, -341, -343, -326, -289, -231, -152,  -55,   47,       2.000
     6  127,  156,  137,   86,   23,  -32,  -71/                         2.000
      DATA K0TAB16/                                                      2.250
     1-1474,-1491,-1453,-1454,-1553,-1809,-2223,-2683,-3106,-3400,       2.250
     2-3452,-3329,-3158,-3091,-2909,-2864,-2867,-2888,-2857,-2762,       2.250
     3-2577,-2233,-1861,-1471,-1063, -636, -199,  216,  560,  763,       2.250
     4  799,  636,  380,  169,   26,  -78, -157, -221, -243, -244,       2.250
     5 -253, -288, -315, -326, -316, -283, -227, -149,  -53,   49,       2.250
     6  130,  159,  138,   86,   23,  -32,  -71/                         2.250
      DATA K0TAB17/                                                      2.500
     1-1468,-1485,-1439,-1413,-1442,-1592,-1921,-2348,-2765,-3112,       2.500
     2-3259,-3186,-3021,-2936,-2741,-2675,-2662,-2679,-2670,-2610,       2.500
     3-2451,-2127,-1767,-1389, -996, -583, -156,  262,  630,  885,       2.500
     4  979,  856,  596,  346,  173,   36,  -61, -147, -187, -193,       2.500
     5 -198, -238, -279, -302, -302, -274, -222, -145,  -50,   50,       2.500
     6  133,  162,  139,   87,   24,  -32,  -71/                         2.500
      DATA K0TAB18/                                                      2.750
     1-1463,-1480,-1432,-1397,-1399,-1481,-1706,-2055,-2439,-2792,       2.750
     2-3014,-3013,-2875,-2780,-2578,-2492,-2459,-2465,-2465,-2437,       2.750
     3-2310,-2011,-1663,-1298, -918, -521, -106,  309,  690,  985,       2.750
     4 1137, 1075,  824,  548,  345,  177,   53,  -52, -114, -131,       2.750
     5 -135, -171, -228, -267, -280, -261, -214, -140,  -46,   53,       2.750
     6  136,  166,  142,   87,   24,  -31,  -71/                         2.750
      DATA K0TAB19/                                                      3.000
     1-1458,-1475,-1424,-1381,-1357,-1376,-1504,-1773,-2123,-2468,       3.000
     2-2744,-2827,-2725,-2626,-2416,-2312,-2258,-2250,-2251,-2249,       3.000
     3-2155,-1886,-1554,-1199, -832, -449,  -49,  358,  745, 1068,       3.000
     4 1273, 1288, 1060,  768,  534,  341,  191,   64,  -24,  -56,       3.000
     5  -61,  -90, -160, -217, -249, -243, -203, -133,  -41,   56,       3.000
     6  139,  171,  144,   88,   24,  -31,  -71/                         3.000
      DATA K0TAB20/                                                      3.200
     1-1450,-1468,-1417,-1373,-1341,-1340,-1421,-1617,-1908,-2222,       3.200
     2-2505,-2646,-2590,-2502,-2290,-2173,-2104,-2081,-2077,-2087,       3.200
     3-2020,-1780,-1461,-1116, -759, -387,    1,  400,  787, 1124,       3.200
     4 1362, 1447, 1246,  955,  700,  493,  331,  180,   67,   17,       3.200
     5    5,  -15,  -90, -164, -213, -221, -190, -125,  -36,   60,       3.200
     6  143,  176,  148,   90,   25,  -31,  -71/                         3.200
      DATA K0TAB21/                                                      3.400
     1-1443,-1461,-1410,-1364,-1326,-1305,-1341,-1467,-1700,-1983,       3.400
     2-2263,-2452,-2450,-2378,-2165,-2037,-1954,-1916,-1902,-1919,       3.400
     3-1876,-1669,-1366,-1030, -682, -321,   55,  444,  828, 1174,       3.400
     4 1439, 1595, 1432, 1147,  874,  655,  493,  316,  172,  103,       3.400
     5   82,   66,   -8,  -98, -165, -192, -172, -114,  -29,   66,       3.400
     6  147,  182,  152,   92,   26,  -31,  -71/                         3.400
      DATA K0TAB22/                                                      3.600
     1-1433,-1451,-1401,-1353,-1312,-1278,-1283,-1354,-1527,-1769,       3.600
     2-2027,-2242,-2295,-2253,-2042,-1905,-1808,-1756,-1731,-1748,       3.600
     3-1724,-1552,-1266, -941, -602, -251,  113,  492,  870, 1221,       3.600
     4 1505, 1727, 1612, 1342, 1057,  827,  668,  469,  296,  206,       3.600
     5  171,  157,   87,  -16, -104, -152, -148, -100,  -19,   73,       3.600
     6  152,  188,  157,   94,   27,  -30,  -70/                         3.600
      DATA K0TAB23/                                                      3.800
     1-1419,-1437,-1388,-1341,-1298,-1258,-1245,-1278,-1390,-1578,       3.800
     2-1802,-2020,-2122,-2124,-1918,-1777,-1668,-1603,-1564,-1576,       3.800
     3-1564,-1428,-1163, -849, -519, -178,  175,  543,  913, 1264,       3.800
     4 1562, 1842, 1786, 1538, 1248, 1008,  848,  636,  437,  326,       3.800
     5  274,  256,  196,   81,  -27,  -99, -115,  -80,   -6,   82,       3.800
     6  159,  195,  165,   98,   29,  -29,  -70/                         3.800
      DATA K0TAB24/                                                      4.000
     1-1405,-1424,-1376,-1330,-1285,-1239,-1209,-1204,-1260,-1395,       4.000
     2-1586,-1796,-1940,-1995,-1796,-1652,-1532,-1453,-1401,-1405,       4.000
     3-1400,-1298,-1057, -755, -434, -102,  240,  597,  958, 1307,       4.000
     4 1613, 1942, 1950, 1730, 1442, 1191, 1033,  815,  592,  461,       4.000
     5  391,  366,  316,  193,   64,  -32,  -72,  -53,    9,   93,       4.000
     6  168,  204,  173,  102,   31,  -28,  -70/                         4.000
      DATA K0TAB25/                                                      4.200
     1-1388,-1407,-1360,-1314,-1269,-1222,-1186,-1165,-1187,-1273,       4.200
     2-1414,-1589,-1743,-1857,-1667,-1527,-1405,-1312,-1246,-1238,       4.200
     3-1232,-1158, -944, -657, -346,  -23,  309,  654, 1006, 1349,       4.200
     4 1659, 2026, 2101, 1920, 1643, 1384, 1192,  974,  765,  618,       4.200
     5  528,  488,  447,  323,  176,   53,  -12,  -15,   33,  110,       4.200
     6  180,  215,  185,  110,   35,  -25,  -69/                         4.200
      DATA K0TAB26/                                                      4.400
     1-1372,-1391,-1344,-1299,-1255,-1207,-1164,-1128,-1119,-1157,       4.400
     2-1250,-1390,-1541,-1717,-1537,-1404,-1279,-1174,-1094,-1074,       4.400
     3-1063,-1011, -828, -557, -255,   57,  380,  714, 1056, 1393,       4.400
     4 1704, 2098, 2236, 2104, 1844, 1578, 1361, 1144,  947,  786,       4.400
     5  679,  624,  586,  466,  304,  155,   59,   31,   63,  131,       4.400
     6  196,  228,  199,  119,   40,  -22,  -67/                         4.400
      DATA K0TAB27/                                                      4.600
     1-1355,-1374,-1329,-1285,-1241,-1193,-1146,-1099,-1067,-1069,       4.600
     2-1119,-1218,-1349,-1571,-1401,-1281,-1153,-1039, -946, -914,       4.600
     3 -895, -857, -704, -452, -162,  141,  454,  777, 1108, 1438,       4.600
     4 1747, 2161, 2355, 2279, 2044, 1777, 1549, 1333, 1138,  969,       4.600
     5  845,  774,  733,  623,  448,  276,  150,   94,  104,  158,       4.600
     6  217,  245,  216,  132,   47,  -18,  -65/                         4.600
      DATA K0TAB28/                                                      4.800
     1-1337,-1357,-1315,-1272,-1230,-1181,-1132,-1079,-1032,-1007,       4.800
     2-1018,-1075,-1172,-1421,-1257,-1157,-1028, -906, -802, -757,       4.800
     3 -729, -697, -574, -343,  -65,  228,  532,  844, 1164, 1485,       4.800
     4 1790, 2216, 2457, 2443, 2240, 1981, 1750, 1535, 1338, 1163,       4.800
     5 1026,  938,  887,  789,  608,  414,  259,  172,  156,  193,       4.800
     6  244,  268,  237,  150,   56,  -12,  -62/                         4.800
      DATA K0TAB29/                                                      5.000
     1-1321,-1341,-1302,-1260,-1219,-1171,-1118,-1060,-1000, -950,       5.000
     2 -924, -939,-1002,-1269,-1110,-1034, -905, -777, -663, -605,       5.000
     3 -567, -534, -438, -230,   33,  317,  612,  913, 1223, 1535,       5.000
     4 1835, 2268, 2546, 2593, 2431, 2185, 1950, 1739, 1540, 1362,       5.000
     5 1214, 1111, 1049,  961,  777,  566,  381,  263,  219,  237,       5.000
     6  277,  295,  262,  171,   68,   -6,  -59/                         5.000
      DATA K0TAB30/                                                      5.200
     1-1288,-1309,-1273,-1234,-1195,-1150,-1100,-1041, -975, -912,       5.200
     2 -863, -847, -872,-1123, -956, -901, -781, -651, -528, -459,       5.200
     3 -409, -370, -293, -110,  137,  411,  695,  987, 1286, 1587,       5.200
     4 1880, 2315, 2620, 2725, 2614, 2390, 2156, 1948, 1750, 1571,       5.200
     5 1416, 1301, 1223, 1139,  959,  735,  527,  377,  302,  295,       5.200
     6  320,  332,  294,  201,   88,    5,  -52/                         5.200
      DATA K0TAB31/                                                      5.400
     1-1257,-1278,-1245,-1210,-1173,-1130,-1083,-1024, -953, -877,       5.400
     2 -808, -762, -750, -978, -802, -767, -659, -528, -398, -318,       5.400
     3 -256, -206, -143,   13,  245,  507,  782, 1063, 1351, 1642,       5.400
     4 1928, 2362, 2686, 2842, 2788, 2591, 2362, 2157, 1962, 1782,       5.400
     5 1622, 1496, 1403, 1318, 1146,  913,  683,  504,  397,  363,       5.400
     6  371,  375,  333,  236,  112,   19,  -45/                         5.400
      DATA K0TAB32/                                                      5.600
     1-1235,-1257,-1226,-1194,-1160,-1119,-1074,-1014, -939, -853,       5.600
     2 -767, -696, -654, -853, -660, -634, -538, -408, -271, -181,       5.600
     3 -108,  -45,   11,  144,  358,  608,  872, 1143, 1421, 1701,       5.600
     4 1979, 2409, 2746, 2943, 2947, 2787, 2571, 2367, 2176, 1996,       5.600
     5 1834, 1698, 1592, 1500, 1338, 1100,  853,  648,  510,  447,       5.600
     6  434,  428,  382,  281,  146,   39,  -33/                         5.600
      DATA K0TAB33/                                                      5.800
     1-1222,-1244,-1216,-1187,-1155,-1115,-1071,-1010, -932, -838,       5.800
     2 -738, -649, -581, -750, -534, -505, -418, -290, -148,  -50,       5.800
     3   34,  112,  168,  281,  475,  712,  966, 1227, 1494, 1764,       5.800
     4 2032, 2456, 2801, 3029, 3090, 2976, 2779, 2578, 2392, 2214,       5.800
     5 2051, 1908, 1790, 1686, 1533, 1294, 1035,  809,  641,  547,       5.800
     6  510,  490,  440,  335,  191,   68,  -17/                         5.800
      DATA K0TAB34/                                                      6.000
     1-1208,-1232,-1206,-1179,-1150,-1112,-1069,-1007, -925, -824,       6.000
     2 -713, -606, -516, -654, -413, -377, -300, -176,  -30,   76,       6.000
     3  171,  266,  327,  423,  596,  819, 1062, 1314, 1570, 1830,       6.000
     4 2089, 2504, 2854, 3107, 3218, 3156, 2982, 2788, 2606, 2432,       6.000
     5 2269, 2119, 1991, 1875, 1727, 1491, 1222,  978,  781,  658,       6.000
     6  595,  561,  505,  398,  246,  104,    3/                         6.000
      DATA K0TAB35/                                                      6.250
     1-1190,-1216,-1193,-1170,-1144,-1109,-1066,-1003, -917, -809,       6.250
     2 -685, -559, -441, -543, -272, -222, -156,  -41,  109,  226,       6.250
     3  335,  452,  524,  604,  752,  958, 1187, 1426, 1670, 1917,       6.250
     4 2165, 2567, 2920, 3196, 3357, 3362, 3229, 3048, 2872, 2704,       6.250
     5 2541, 2384, 2244, 2115, 1969, 1740, 1460, 1196,  967,  809,       6.250
     6  715,  660,  596,  488,  330,  165,   40/                         6.250
      DATA K0TAB36/                                                      6.500
     1-1170,-1199,-1180,-1161,-1138,-1105,-1063, -999, -910, -795,       6.500
     2 -661, -517, -376, -441, -142,  -74,  -17,   85,  239,  367,       6.500
     3  490,  629,  716,  789,  914, 1100, 1316, 1543, 1775, 2010,       6.500
     4 2246, 2634, 2986, 3279, 3478, 3544, 3462, 3300, 3133, 2974,       6.500
     5 2813, 2647, 2498, 2360, 2209, 1989, 1702, 1421, 1163,  973,       6.500
     6  850,  773,  699,  592,  431,  245,   92/                         6.500
      DATA K0TAB37/                                                      6.750
     1-1142,-1180,-1165,-1150,-1131,-1101,-1059, -994, -902, -782,       6.750
     2 -639, -481, -318, -348,  -23,   65,  116,  205,  359,  496,       6.750
     3  633,  797,  902,  974, 1080, 1247, 1448, 1664, 1885, 2108,       6.750
     4 2333, 2706, 3054, 3360, 3587, 3701, 3675, 3542, 3390, 3241,       6.750
     5 3082, 2909, 2752, 2607, 2451, 2236, 1947, 1650, 1367, 1150,       6.750
     6  999,  901,  814,  708,  548,  345,  161/                         6.750
      DATA K0TAB38/                                                      7.000
     1-1117,-1158,-1147,-1136,-1122,-1095,-1054, -987, -893, -768,       7.000
     2 -618, -449, -267, -262,   83,  196,  243,  319,  468,  612,       7.000
     3  763,  953, 1080, 1156, 1248, 1396, 1584, 1788, 1999, 2211,       7.000
     4 2426, 2783, 3124, 3441, 3687, 3838, 3864, 3770, 3636, 3501,       7.000
     5 3349, 3169, 3005, 2856, 2696, 2481, 2194, 1884, 1579, 1337,       7.000
     6 1163, 1045,  944,  836,  679,  465,  255/                         7.000
      DATA K0TAB39/                                                      7.250
     1-1088,-1130,-1124,-1117,-1107,-1084,-1046, -979, -882, -754,       7.250
     2 -598, -419, -222, -183,  179,  315,  363,  425,  568,  717,       7.250
     3  880, 1095, 1246, 1332, 1415, 1548, 1722, 1916, 2117, 2319,       7.250
     4 2524, 2866, 3198, 3523, 3783, 3959, 4028, 3978, 3869, 3755,       7.250
     5 3611, 3426, 3257, 3106, 2943, 2724, 2441, 2121, 1797, 1535,       7.250
     6 1341, 1205, 1090,  978,  823,  605,  373/                         7.250
      DATA K0TAB40/                                                      7.500
     1-1052,-1094,-1092,-1091,-1085,-1067,-1032, -966, -868, -738,       7.500
     2 -577, -391, -181, -111,  265,  422,  475,  523,  659,  811,       7.500
     3  984, 1224, 1398, 1498, 1580, 1700, 1861, 2045, 2237, 2431,       7.500
     4 2628, 2955, 3277, 3607, 3878, 4072, 4170, 4162, 4088, 3996,       7.500
     5 3867, 3679, 3507, 3355, 3191, 2966, 2686, 2362, 2021, 1742,       7.500
     6 1532, 1380, 1252, 1134,  981,  762,  516/                         7.500
      DATA K0TAB41/                                                      7.750
     1-1004,-1046,-1049,-1052,-1052,-1039,-1009, -947, -850, -718,       7.750
     2 -555, -364, -143,  -46,  343,  517,  579,  613,  744,  895,       7.750
     3 1077, 1339, 1536, 1651, 1736, 1849, 1999, 2175, 2360, 2546,       7.750
     4 2736, 3050, 3361, 3694, 3973, 4182, 4298, 4323, 4288, 4223,       7.750
     5 4115, 3926, 3753, 3602, 3439, 3210, 2929, 2606, 2253, 1958,       7.750
     6 1734, 1569, 1431, 1306, 1152,  935,  681/                         7.750
      DATA K0TAB42/                                                      8.000
     1 -942, -983, -990, -998,-1003, -996, -973, -918, -825, -695,       8.000
     2 -531, -337, -108,   11,  416,  602,  674,  695,  823,  973,       8.000
     3 1161, 1443, 1660, 1788, 1881, 1992, 2134, 2303, 2482, 2664,       8.000
     4 2847, 3152, 3452, 3787, 4071, 4290, 4419, 4464, 4466, 4435,       8.000
     5 4349, 4167, 3995, 3846, 3686, 3454, 3169, 2849, 2490, 2183,       8.000
     6 1947, 1771, 1624, 1493, 1338, 1121,  865/                         8.000
      DATA K1TAB01/                                                     -4.000
     1-4783,-4708,-4743,-4613,-4476,-4362,-4278,-4224,-4186,-4157,      -4.000
     2-4118,-4011,-3798,-3515,-3165,-2689,-2413,-2035,-1667,-1317,      -4.000
     3 -996, -659, -549, -527, -519, -517, -521, -524, -511, -498,      -4.000
     4 -495, -490, -481, -482, -487, -480, -447, -445, -446, -441,      -4.000
     5 -435, -425, -409, -388, -357, -311, -245, -160,  -61,   39,      -4.000
     6  118,  153,  138,   87,   24,  -31,  -70/                        -4.000
      DATA K1TAB02/                                                     -3.500
     1-4796,-4743,-4830,-4714,-4558,-4420,-4310,-4235,-4189,-4162,      -3.500
     2-4145,-4085,-3926,-3680,-3357,-2878,-2641,-2271,-1906,-1555,      -3.500
     3-1221, -799, -585, -532, -520, -517, -521, -526, -521, -503,      -3.500
     4 -496, -490, -481, -482, -487, -483, -454, -445, -446, -441,      -3.500
     5 -435, -425, -409, -388, -357, -311, -245, -160,  -61,   39,      -3.500
     6  118,  153,  138,   87,   24,  -31,  -70/                        -3.500
      DATA K1TAB03/                                                     -3.000
     1-4810,-4763,-4897,-4813,-4654,-4493,-4360,-4258,-4196,-4165,      -3.000
     2-4156,-4130,-4026,-3828,-3536,-3052,-2860,-2502,-2143,-1794,      -3.000
     3-1457, -994, -667, -548, -522, -517, -521, -527, -528, -512,      -3.000
     4 -498, -490, -481, -482, -487, -484, -464, -446, -446, -441,      -3.000
     5 -435, -426, -409, -388, -357, -311, -245, -160,  -61,   39,      -3.000
     6  118,  153,  138,   87,   24,  -31,  -70/                        -3.000
      DATA K1TAB04/                                                     -2.500
     1-4830,-4777,-4939,-4898,-4754,-4581,-4424,-4299,-4212,-4170,      -2.500
     2-4161,-4152,-4095,-3952,-3698,-3210,-3069,-2725,-2374,-2031,      -2.500
     3-1694,-1217, -814, -590, -528, -517, -520, -527, -530, -523,      -2.500
     4 -503, -490, -481, -482, -487, -484, -472, -449, -446, -441,      -2.500
     5 -435, -426, -409, -388, -357, -311, -245, -160,  -61,   39,      -2.500
     6  118,  153,  138,   87,   24,  -31,  -70/                        -2.500
      DATA K1TAB05/                                                     -2.000
     1-4853,-4794,-4965,-4961,-4848,-4678,-4503,-4354,-4243,-4181,      -2.000
     2-4164,-4161,-4133,-4046,-3840,-3351,-3266,-2938,-2599,-2263,      -2.000
     3-1930,-1449,-1009, -683, -546, -517, -518, -525, -530, -529,      -2.000
     4 -513, -491, -480, -481, -487, -484, -477, -454, -446, -441,      -2.000
     5 -435, -426, -409, -388, -357, -311, -245, -160,  -61,   39,      -2.000
     6  118,  153,  138,   87,   24,  -31,  -70/                        -2.000
      DATA K1TAB06/                                                     -1.500
     1-4372,-4338,-4773,-4924,-4895,-4762,-4589,-4421,-4283,-4187,      -1.500
     2-4142,-4136,-4130,-4100,-3949,-3725,-3446,-3137,-2812,-2486,      -1.500
     3-2159,-1679,-1225, -832, -589, -512, -502, -509, -519, -524,      -1.500
     4 -517, -490, -477, -472, -480, -480, -474, -457, -443, -439,      -1.500
     5 -432, -424, -408, -386, -356, -310, -245, -160,  -61,   39,      -1.500
     6  118,  153,  138,   87,   24,  -31,  -70/                        -1.500
      DATA K1TAB07/                                                     -1.000
     1-3664,-3647,-4323,-4735,-4868,-4816,-4670,-4495,-4335,-4209,      -1.000
     2-4129,-4102,-4103,-4115,-4017,-3849,-3606,-3321,-3011,-2698,      -1.000
     3-2379,-1904,-1443,-1016, -679, -514, -475, -480, -495, -507,      -1.000
     4 -512, -488, -473, -462, -469, -474, -469, -458, -440, -435,      -1.000
     5 -429, -421, -406, -384, -354, -309, -245, -159,  -60,   39,      -1.000
     6  118,  153,  138,   87,   24,  -31,  -70/                        -1.000
      DATA K1TAB08/                                                     -0.500
     1-2912,-2905,-3630,-4278,-4677,-4792,-4720,-4562,-4388,-4237,      -0.500
     2-4124,-4063,-4052,-4097,-4032,-3930,-3736,-3481,-3190,-2893,      -0.500
     3-2584,-2116,-1654,-1208, -810, -537, -435, -426, -446, -470,      -0.500
     4 -487, -484, -465, -452, -453, -463, -462, -454, -436, -430,      -0.500
     5 -425, -417, -404, -382, -352, -308, -244, -159,  -59,   40,      -0.500
     6  118,  153,  138,   87,   24,  -31,  -70/                        -0.500
      DATA K1TAB09/                                                      0.000
     1-2224,-2227,-2889,-3581,-4206,-4587,-4684,-4592,-4425,-4253,       0.000
     2-4111,-4015,-3976,-4040,-3986,-3945,-3814,-3601,-3335,-3057,       0.000
     3-2761,-2306,-1845,-1389, -955, -593, -386, -334, -351, -389,       0.000
     4 -426, -459, -448, -438, -432, -445, -450, -444, -431, -422,       0.000
     5 -419, -412, -401, -380, -349, -305, -243, -159,  -58,   41,       0.000
     6  119,  154,  138,   87,   24,  -31,  -70/                         0.000
      DATA K1TAB10/                                                      0.500
     1-1741,-1752,-2213,-2839,-3502,-4090,-4452,-4526,-4414,-4238,       0.500
     2-4071,-3942,-3865,-3928,-3865,-3869,-3808,-3651,-3418,-3164,       0.500
     3-2885,-2448,-1996,-1535,-1080, -661, -346, -204, -195, -239,       0.500
     4 -298, -385, -406, -410, -405, -417, -428, -427, -419, -410,       0.500
     5 -409, -404, -396, -377, -346, -302, -241, -158,  -57,   43,       0.500
     6  120,  154,  138,   87,   24,  -31,  -70/                         0.500
      DATA K1TAB11/                                                      1.000
     1-1528,-1543,-1728,-2169,-2763,-3380,-3926,-4252,-4296,-4166,       1.000
     2-3987,-3827,-3712,-3753,-3657,-3683,-3679,-3592,-3404,-3180,       1.000
     3-2920,-2507,-2073,-1621,-1161, -711, -318,  -59,   23,   -6,       1.000
     4  -79, -224, -310, -344, -359, -373, -393, -398, -394, -388,       1.000
     5 -392, -392, -386, -372, -342, -299, -238, -156,  -56,   46,       1.000
     6  122,  154,  138,   87,   24,  -31,  -70/                         1.000
      DATA K1TAB12/                                                      1.250
     1-1494,-1510,-1613,-1919,-2423,-3011,-3578,-4001,-4160,-4089,       1.250
     2-3922,-3751,-3620,-3644,-3526,-3549,-3564,-3512,-3353,-3147,       1.250
     3-2898,-2497,-2075,-1633,-1176, -721, -303,    8,  146,  139,       1.250
     4   66, -102, -229, -286, -320, -341, -368, -377, -376, -372,       1.250
     5 -378, -382, -379, -367, -340, -297, -236, -155,  -56,   47,       1.250
     6  123,  155,  138,   87,   24,  -31,  -70/                         1.250
      DATA K1TAB13/                                                      1.500
     1-1460,-1477,-1503,-1687,-2102,-2650,-3217,-3701,-3979,-3989,       1.500
     2-3841,-3663,-3513,-3519,-3378,-3392,-3419,-3398,-3271,-3086,       1.500
     3-2849,-2461,-2052,-1622,-1174, -718, -285,   69,  269,  300,       1.500
     4  234,   49, -120, -208, -266, -297, -335, -352, -352, -349,       1.500
     5 -359, -370, -370, -362, -336, -295, -234, -154,  -55,   48,       1.500
     6  125,  156,  138,   87,   24,  -31,  -70/                         1.500
      DATA K1TAB14/                                                      1.750
     1-1449,-1465,-1465,-1570,-1859,-2321,-2858,-3356,-3719,-3830,       1.750
     2-3732,-3560,-3398,-3383,-3223,-3221,-3247,-3250,-3158,-2999,       1.750
     3-2776,-2401,-2004,-1588,-1152, -703, -262,  123,  381,  464,       1.750
     4  418,  227,   19, -106, -191, -241, -290, -318, -322, -321,       1.750
     5 -332, -351, -357, -353, -331, -291, -232, -152,  -54,   49,       1.750
     6  127,  157,  139,   87,   24,  -31,  -70/                         1.750
      DATA K1TAB15/                                                      2.000
     1-1437,-1454,-1427,-1458,-1633,-2007,-2507,-3003,-3422,-3639,       2.000
     2-3606,-3447,-3274,-3236,-3058,-3036,-3057,-3075,-3017,-2889,       2.000
     3-2682,-2322,-1937,-1535,-1114, -674, -232,  173,  480,  623,       2.000
     4  612,  427,  188,   19,  -93, -167, -230, -276, -286, -285,       2.000
     5 -296, -325, -340, -342, -325, -287, -229, -150,  -53,   50,       2.000
     6  130,  159,  139,   87,   24,  -31,  -70/                         2.000
      DATA K1TAB16/                                                      2.250
     1-1432,-1449,-1414,-1417,-1518,-1776,-2193,-2659,-3086,-3381,       2.250
     2-3435,-3314,-3143,-3085,-2894,-2851,-2857,-2879,-2849,-2756,       2.250
     3-2571,-2227,-1855,-1466,-1059, -632, -196,  219,  562,  765,       2.250
     4  802,  640,  384,  173,   30,  -74, -154, -218, -241, -243,       2.250
     5 -251, -287, -314, -325, -315, -281, -225, -147,  -50,   51,       2.250
     6  132,  161,  140,   87,   24,  -31,  -70/                         2.250
      DATA K1TAB17/                                                      2.500
     1-1427,-1444,-1401,-1377,-1408,-1560,-1892,-2324,-2746,-3095,       2.500
     2-3244,-3173,-3008,-2930,-2728,-2663,-2651,-2671,-2661,-2603,       2.500
     3-2445,-2121,-1761,-1384, -992, -580, -153,  265,  632,  888,       2.500
     4  981,  860,  600,  350,  177,   40,  -57, -144, -185, -191,       2.500
     5 -196, -236, -278, -301, -301, -273, -220, -143,  -48,   53,       2.500
     6  135,  164,  141,   88,   24,  -31,  -70/                         2.500
      DATA K1TAB18/                                                      2.750
     1-1423,-1441,-1395,-1362,-1366,-1450,-1678,-2032,-2420,-2775,       2.750
     2-2999,-3000,-2863,-2776,-2566,-2481,-2449,-2457,-2457,-2431,       2.750
     3-2303,-2004,-1657,-1293, -914, -517, -103,  311,  692,  987,       2.750
     4 1139, 1079,  828,  552,  349,  181,   57,  -48, -112, -129,       2.750
     5 -133, -170, -227, -265, -279, -260, -212, -137,  -44,   56,       2.750
     6  138,  168,  144,   89,   25,  -31,  -70/                         2.750
      DATA K1TAB19/                                                      3.000
     1-1419,-1437,-1388,-1347,-1325,-1346,-1477,-1750,-2104,-2453,       3.000
     2-2730,-2816,-2715,-2622,-2406,-2301,-2248,-2241,-2243,-2242,       3.000
     3-2148,-1880,-1547,-1194, -828, -446,  -46,  360,  748, 1070,       3.000
     4 1275, 1291, 1063,  771,  538,  345,  195,   67,  -21,  -54,       3.000
     5  -59,  -89, -159, -216, -248, -242, -201, -131,  -39,   59,       3.000
     6  142,  173,  146,   90,   25,  -31,  -70/                         3.000
      DATA K1TAB20/                                                      3.200
     1-1414,-1432,-1383,-1340,-1311,-1312,-1395,-1594,-1890,-2208,       3.200
     2-2492,-2635,-2580,-2498,-2280,-2164,-2095,-2074,-2068,-2080,       3.200
     3-2013,-1774,-1455,-1111, -754, -383,    4,  402,  789, 1126,       3.200
     4 1364, 1450, 1250,  958,  703,  496,  335,  184,   69,   20,       3.200
     5    8,  -14,  -89, -163, -211, -220, -188, -122,  -33,   63,       3.200
     6  145,  179,  150,   91,   26,  -30,  -70/                         3.200
      DATA K1TAB21/                                                      3.400
     1-1410,-1427,-1378,-1333,-1297,-1278,-1316,-1445,-1682,-1969,       3.400
     2-2251,-2441,-2441,-2375,-2157,-2029,-1945,-1909,-1894,-1913,       3.400
     3-1870,-1663,-1359,-1025, -677, -317,   58,  447,  830, 1176,       3.400
     4 1441, 1597, 1435, 1150,  877,  658,  496,  319,  175,  106,       3.400
     5   85,   68,   -6,  -96, -164, -190, -171, -112,  -26,   68,       3.400
     6  149,  184,  154,   93,   27,  -30,  -70/                         3.400
      DATA K1TAB22/                                                      3.600
     1-1402,-1420,-1371,-1325,-1285,-1253,-1260,-1334,-1510,-1756,       3.600
     2-2016,-2233,-2287,-2250,-2035,-1898,-1801,-1749,-1724,-1742,       3.600
     3-1717,-1546,-1260, -936, -597, -247,  117,  495,  872, 1222,       3.600
     4 1507, 1729, 1615, 1345, 1060,  830,  671,  472,  298,  208,       3.600
     5  174,  159,   88,  -15, -103, -150, -146,  -98,  -17,   75,       3.600
     6  155,  191,  159,   96,   28,  -29,  -70/                         3.600
      DATA K1TAB23/                                                      3.800
     1-1392,-1410,-1362,-1316,-1274,-1236,-1225,-1259,-1375,-1566,       3.800
     2-1792,-2011,-2115,-2122,-1912,-1771,-1662,-1596,-1557,-1570,       3.800
     3-1558,-1422,-1157, -844, -514, -174,  179,  545,  916, 1266,       3.800
     4 1563, 1844, 1789, 1541, 1250, 1010,  850,  639,  440,  328,       3.800
     5  276,  258,  198,   82,  -26,  -97, -113,  -78,   -4,   84,       3.800
     6  162,  198,  167,  100,   30,  -28,  -70/                         3.800
      DATA K1TAB24/                                                      4.000
     1-1383,-1401,-1354,-1308,-1264,-1220,-1191,-1188,-1246,-1383,       4.000
     2-1577,-1788,-1934,-1993,-1791,-1646,-1527,-1447,-1394,-1399,       4.000
     3-1394,-1292,-1051, -750, -429,  -98,  244,  599,  961, 1309,       4.000
     4 1615, 1944, 1952, 1733, 1444, 1194, 1036,  818,  595,  463,       4.000
     5  393,  368,  317,  194,   66,  -31,  -70,  -51,   12,   96,       4.000
     6  170,  206,  175,  104,   32,  -27,  -69/                         4.000
      DATA K1TAB25/                                                      4.200
     1-1370,-1389,-1342,-1297,-1253,-1207,-1171,-1152,-1176,-1263,       4.200
     2-1406,-1583,-1737,-1855,-1663,-1523,-1400,-1307,-1240,-1233,       4.200
     3-1226,-1152, -939, -652, -341,  -19,  312,  656, 1008, 1351,       4.200
     4 1661, 2027, 2102, 1922, 1645, 1386, 1194,  977,  767,  620,       4.200
     5  530,  491,  449,  324,  178,   55,  -11,  -14,   35,  112,       4.200
     6  183,  217,  187,  111,   36,  -24,  -68/                         4.200
      DATA K1TAB26/                                                      4.400
     1-1358,-1377,-1330,-1286,-1242,-1194,-1153,-1118,-1109,-1149,       4.400
     2-1244,-1384,-1536,-1715,-1533,-1401,-1274,-1169,-1089,-1069,       4.400
     3-1058,-1005, -822, -552, -251,   61,  383,  717, 1058, 1395,       4.400
     4 1705, 2100, 2238, 2105, 1846, 1580, 1363, 1146,  949,  788,       4.400
     5  681,  626,  588,  468,  305,  157,   61,   33,   65,  133,       4.400
     6  199,  230,  201,  120,   41,  -22,  -67/                         4.400
      DATA K1TAB27/                                                      4.600
     1-1345,-1364,-1319,-1276,-1232,-1184,-1138,-1092,-1060,-1062,       4.600
     2-1113,-1214,-1345,-1569,-1398,-1278,-1149,-1035, -941, -909,       4.600
     3 -891, -852, -699, -447, -158,  145,  458,  780, 1111, 1440,       4.600
     4 1748, 2162, 2356, 2280, 2045, 1779, 1550, 1334, 1140,  970,       4.600
     5  847,  776,  734,  624,  450,  277,  151,   96,  106,  160,       4.600
     6  220,  248,  218,  133,   48,  -18,  -65/                         4.600
      DATA K1TAB28/                                                      4.800
     1-1331,-1351,-1309,-1266,-1223,-1175,-1126,-1074,-1028,-1003,       4.800
     2-1014,-1071,-1169,-1420,-1254,-1155,-1025, -903, -798, -754,       4.800
     3 -725, -692, -569, -338,  -61,  232,  535,  847, 1166, 1487,       4.800
     4 1792, 2217, 2458, 2444, 2241, 1982, 1751, 1537, 1339, 1164,       4.800
     5 1028,  940,  889,  791,  609,  416,  260,  174,  158,  196,       4.800
     6  247,  270,  239,  151,   57,  -12,  -62/                         4.800
      DATA K1TAB29/                                                      5.000
     1-1318,-1338,-1299,-1257,-1215,-1168,-1115,-1057, -998, -948,       5.000
     2 -921, -937,-1000,-1268,-1108,-1032, -903, -775, -660, -602,       5.000
     3 -563, -531, -433, -226,   37,  321,  615,  916, 1225, 1536,       5.000
     4 1836, 2269, 2547, 2594, 2432, 2186, 1951, 1740, 1541, 1363,       5.000
     5 1215, 1113, 1051,  963,  779,  567,  383,  265,  221,  239,       5.000
     6  279,  297,  264,  172,   69,   -5,  -58/                         5.000
      DATA K1TAB30/                                                      5.200
     1-1287,-1307,-1271,-1232,-1193,-1148,-1098,-1039, -974, -910,       5.200
     2 -862, -845, -870,-1122, -955, -900, -779, -649, -526, -457,       5.200
     3 -406, -366, -289, -106,  141,  414,  698,  989, 1288, 1589,       5.200
     4 1882, 2316, 2621, 2726, 2615, 2391, 2157, 1949, 1751, 1572,       5.200
     5 1417, 1302, 1224, 1140,  960,  737,  528,  379,  304,  297,       5.200
     6  322,  334,  296,  202,   89,    6,  -52/                         5.200
      DATA K1TAB31/                                                      5.400
     1-1257,-1278,-1244,-1209,-1172,-1129,-1082,-1023, -952, -876,       5.400
     2 -808, -761, -749, -977, -800, -766, -658, -527, -396, -316,       5.400
     3 -253, -203, -140,   17,  248,  510,  784, 1066, 1353, 1644,       5.400
     4 1930, 2363, 2687, 2843, 2788, 2592, 2363, 2158, 1962, 1783,       5.400
     5 1623, 1497, 1404, 1319, 1147,  914,  685,  505,  399,  365,       5.400
     6  373,  377,  335,  238,  113,   20,  -44/                         5.400
      DATA K1TAB32/                                                      5.600
     1-1235,-1257,-1226,-1194,-1160,-1118,-1073,-1013, -938, -852,       5.600
     2 -767, -696, -653, -852, -659, -633, -537, -407, -270, -180,       5.600
     3 -106,  -43,   13,  147,  360,  610,  874, 1145, 1422, 1703,       5.600
     4 1980, 2410, 2747, 2943, 2947, 2788, 2571, 2367, 2176, 1997,       5.600
     5 1835, 1699, 1593, 1501, 1339, 1101,  855,  650,  512,  449,       5.600
     6  436,  430,  383,  282,  147,   40,  -33/                         5.600
      DATA K1TAB33/                                                      5.800
     1-1222,-1244,-1216,-1186,-1154,-1115,-1071,-1010, -931, -837,       5.800
     2 -738, -648, -581, -750, -533, -504, -417, -289, -147,  -49,       5.800
     3   35,  114,  170,  283,  477,  714,  968, 1229, 1495, 1765,       5.800
     4 2034, 2456, 2801, 3030, 3090, 2977, 2779, 2578, 2392, 2214,       5.800
     5 2052, 1909, 1791, 1687, 1534, 1295, 1036,  811,  642,  549,       5.800
     6  512,  492,  442,  336,  192,   69,  -17/                         5.800
      DATA K1TAB34/                                                      6.000
     1-1208,-1232,-1206,-1179,-1150,-1112,-1069,-1007, -925, -824,       6.000
     2 -713, -606, -515, -654, -413, -377, -300, -176,  -30,   76,       6.000
     3  172,  267,  328,  424,  598,  821, 1064, 1315, 1571, 1831,       6.000
     4 2090, 2505, 2855, 3107, 3218, 3156, 2983, 2788, 2607, 2432,       6.000
     5 2269, 2120, 1991, 1876, 1728, 1492, 1223,  979,  782,  659,       6.000
     6  597,  562,  507,  399,  247,  105,    3/                         6.000
      DATA K1TAB35/                                                      6.250
     1-1190,-1216,-1193,-1170,-1144,-1109,-1066,-1003, -918, -809,       6.250
     2 -685, -559, -441, -543, -272, -223, -156,  -41,  109,  226,       6.250
     3  335,  452,  524,  605,  753,  959, 1188, 1427, 1671, 1918,       6.250
     4 2166, 2568, 2920, 3196, 3357, 3362, 3229, 3048, 2872, 2704,       6.250
     5 2541, 2384, 2244, 2116, 1969, 1740, 1461, 1197,  968,  810,       6.250
     6  716,  661,  598,  490,  331,  166,   40/                         6.250
      DATA K1TAB36/                                                      6.500
     1-1170,-1199,-1180,-1161,-1138,-1106,-1063, -999, -910, -796,       6.500
     2 -661, -518, -376, -442, -143,  -75,  -18,   85,  239,  366,       6.500
     3  489,  629,  716,  788,  914, 1100, 1316, 1544, 1776, 2010,       6.500
     4 2247, 2635, 2986, 3279, 3478, 3544, 3462, 3300, 3133, 2974,       6.500
     5 2813, 2647, 2497, 2360, 2210, 1989, 1703, 1421, 1164,  974,       6.500
     6  851,  774,  700,  593,  431,  245,   92/                         6.500
      DATA K1TAB37/                                                      6.750
     1-1143,-1180,-1165,-1150,-1131,-1101,-1060, -994, -902, -782,       6.750
     2 -639, -482, -319, -348,  -24,   64,  115,  204,  358,  494,       6.750
     3  631,  795,  901,  973, 1078, 1246, 1448, 1664, 1885, 2108,       6.750
     4 2333, 2706, 3054, 3360, 3586, 3701, 3675, 3542, 3389, 3240,       6.750
     5 3082, 2909, 2751, 2607, 2451, 2236, 1948, 1650, 1368, 1151,       6.750
     6 1000,  902,  815,  709,  548,  345,  162/                         6.750
      DATA K1TAB38/                                                      7.000
     1-1117,-1158,-1148,-1137,-1122,-1095,-1055, -988, -893, -769,       7.000
     2 -618, -450, -268, -262,   81,  193,  241,  317,  466,  611,       7.000
     3  761,  950, 1077, 1154, 1245, 1394, 1582, 1787, 1998, 2211,       7.000
     4 2425, 2783, 3124, 3441, 3686, 3837, 3863, 3769, 3635, 3501,       7.000
     5 3348, 3169, 3004, 2856, 2695, 2481, 2194, 1884, 1579, 1338,       7.000
     6 1164, 1046,  945,  837,  680,  466,  255/                         7.000
      DATA K1TAB39/                                                      7.250
     1-1089,-1130,-1124,-1118,-1108,-1085,-1046, -979, -882, -754,       7.250
     2 -598, -420, -222, -184,  177,  312,  360,  422,  565,  714,       7.250
     3  877, 1092, 1242, 1328, 1412, 1545, 1719, 1914, 2115, 2318,       7.250
     4 2523, 2865, 3198, 3522, 3782, 3958, 4027, 3977, 3869, 3754,       7.250
     5 3610, 3425, 3256, 3105, 2942, 2724, 2441, 2121, 1797, 1535,       7.250
     6 1342, 1205, 1091,  979,  824,  606,  373/                         7.250
      DATA K1TAB40/                                                      7.500
     1-1052,-1094,-1093,-1091,-1086,-1067,-1032, -967, -869, -738,       7.500
     2 -578, -392, -181, -112,  262,  418,  471,  520,  656,  808,       7.500
     3  980, 1220, 1393, 1493, 1575, 1696, 1857, 2042, 2235, 2429,       7.500
     4 2626, 2954, 3276, 3606, 3877, 4071, 4169, 4161, 4087, 3994,       7.500
     5 3866, 3678, 3506, 3354, 3190, 2966, 2686, 2362, 2021, 1742,       7.500
     6 1532, 1380, 1253, 1135,  982,  763,  516/                         7.500
      DATA K1TAB41/                                                      7.750
     1-1005,-1046,-1049,-1053,-1052,-1040,-1009, -947, -851, -719,       7.750
     2 -556, -365, -144,  -48,  340,  513,  573,  609,  740,  892,       7.750
     3 1073, 1334, 1530, 1644, 1730, 1844, 1994, 2171, 2357, 2544,       7.750
     4 2733, 3049, 3360, 3693, 3971, 4179, 4296, 4322, 4286, 4222,       7.750
     5 4113, 3925, 3752, 3600, 3438, 3209, 2928, 2605, 2252, 1958,       7.750
     6 1734, 1569, 1431, 1307, 1153,  935,  681/                         7.750
      DATA K1TAB42/                                                      8.000
     1 -943, -983, -991, -999,-1003, -997, -974, -918, -826, -696,       8.000
     2 -532, -338, -109,    9,  412,  597,  667,  690,  818,  968,       8.000
     3 1156, 1436, 1652, 1780, 1874, 1985, 2128, 2298, 2478, 2660,       8.000
     4 2844, 3149, 3450, 3785, 4068, 4287, 4416, 4462, 4464, 4434,       8.000
     5 4347, 4165, 3993, 3845, 3685, 3453, 3169, 2849, 2490, 2183,       8.000
     6 1947, 1771, 1624, 1494, 1338, 1122,  866/                         8.000
      DATA K2TAB01/                                                     -4.000
     1-4726,-4655,-4709,-4590,-4459,-4347,-4262,-4206,-4166,-4138,      -4.000
     2-4105,-4004,-3795,-3514,-3163,-2672,-2411,-2033,-1665,-1315,      -4.000
     3 -994, -656, -547, -524, -515, -513, -517, -521, -508, -496,      -4.000
     4 -494, -488, -478, -480, -486, -479, -446, -444, -445, -440,      -4.000
     5 -434, -424, -407, -386, -354, -307, -241, -154,  -55,   46,      -4.000
     6  125,  160,  143,   91,   27,  -29,  -69/                        -4.000
      DATA K2TAB02/                                                     -3.500
     1-4738,-4688,-4793,-4688,-4540,-4405,-4295,-4217,-4169,-4143,      -3.500
     2-4131,-4077,-3922,-3679,-3355,-2858,-2639,-2269,-1904,-1553,      -3.500
     3-1219, -797, -582, -529, -516, -513, -517, -523, -519, -501,      -3.500
     4 -494, -488, -478, -480, -486, -482, -453, -444, -445, -440,      -3.500
     5 -434, -424, -407, -386, -354, -307, -241, -154,  -55,   46,      -3.500
     6  125,  160,  143,   91,   27,  -29,  -69/                        -3.500
      DATA K2TAB03/                                                     -3.000
     1-4751,-4706,-4857,-4784,-4633,-4476,-4343,-4240,-4176,-4146,      -3.000
     2-4142,-4122,-4022,-3827,-3534,-3028,-2858,-2499,-2140,-1792,      -3.000
     3-1454, -991, -664, -544, -518, -513, -517, -524, -525, -511,      -3.000
     4 -496, -488, -478, -480, -486, -483, -463, -445, -445, -441,      -3.000
     5 -434, -424, -407, -386, -354, -307, -241, -154,  -55,   46,      -3.000
     6  125,  160,  143,   91,   27,  -29,  -69/                        -3.000
      DATA K2TAB04/                                                     -2.500
     1-4769,-4719,-4897,-4866,-4730,-4562,-4406,-4280,-4191,-4151,      -2.500
     2-4146,-4144,-4091,-3951,-3696,-3181,-3067,-2722,-2371,-2028,      -2.500
     3-1692,-1214, -811, -587, -524, -513, -517, -524, -528, -521,      -2.500
     4 -502, -488, -478, -479, -486, -483, -471, -448, -445, -441,      -2.500
     5 -434, -424, -407, -386, -354, -307, -241, -154,  -55,   46,      -2.500
     6  125,  160,  143,   91,   27,  -29,  -69/                        -2.500
      DATA K2TAB05/                                                     -2.000
     1-4790,-4735,-4922,-4926,-4821,-4657,-4484,-4334,-4222,-4161,      -2.000
     2-4150,-4152,-4129,-4045,-3838,-3317,-3263,-2935,-2596,-2260,      -2.000
     3-1927,-1445,-1006, -680, -542, -513, -514, -522, -528, -527,      -2.000
     4 -511, -489, -478, -479, -486, -483, -475, -453, -446, -441,      -2.000
     5 -434, -424, -407, -386, -354, -307, -241, -154,  -55,   46,      -2.000
     6  125,  160,  143,   91,   27,  -29,  -69/                        -2.000
      DATA K2TAB06/                                                     -1.500
     1-4295,-4263,-4718,-4883,-4862,-4737,-4567,-4399,-4260,-4163,      -1.500
     2-4122,-4123,-4122,-4097,-3947,-3723,-3443,-3134,-2808,-2482,      -1.500
     3-2155,-1676,-1221, -828, -585, -507, -497, -505, -515, -521,      -1.500
     4 -515, -487, -474, -469, -478, -479, -473, -456, -443, -438,      -1.500
     5 -431, -423, -406, -384, -353, -306, -240, -154,  -54,   46,      -1.500
     6  126,  160,  143,   91,   27,  -29,  -69/                        -1.500
      DATA K2TAB07/                                                     -1.000
     1-3585,-3568,-4252,-4682,-4829,-4785,-4645,-4471,-4309,-4182,      -1.000
     2-4103,-4082,-4090,-4111,-4013,-3846,-3603,-3317,-3007,-2694,      -1.000
     3-2374,-1900,-1439,-1012, -675, -509, -470, -475, -490, -503,      -1.000
     4 -508, -486, -470, -458, -466, -473, -468, -457, -439, -434,      -1.000
     5 -428, -420, -405, -382, -351, -305, -240, -153,  -53,   47,      -1.000
     6  126,  160,  143,   91,   27,  -29,  -69/                        -1.000
      DATA K2TAB08/                                                     -0.500
     1-2841,-2835,-3557,-4213,-4628,-4755,-4690,-4535,-4361,-4207,      -0.500
     2-4093,-4035,-4032,-4090,-4025,-3925,-3732,-3477,-3185,-2888,      -0.500
     3-2579,-2112,-1650,-1204, -806, -533, -429, -420, -440, -464,      -0.500
     4 -483, -480, -462, -447, -449, -461, -461, -452, -435, -429,      -0.500
     5 -424, -416, -403, -380, -348, -304, -239, -153,  -52,   47,      -0.500
     6  126,  160,  143,   91,   27,  -29,  -69/                        -0.500
      DATA K2TAB09/                                                      0.000
     1-2164,-2167,-2824,-3514,-4146,-4540,-4649,-4561,-4395,-4222,       0.000
     2-4078,-3982,-3947,-4029,-3973,-3937,-3809,-3596,-3329,-3051,       0.000
     3-2755,-2300,-1840,-1384, -951, -589, -381, -328, -344, -382,       0.000
     4 -420, -455, -444, -433, -427, -442, -447, -442, -429, -421,       0.000
     5 -418, -410, -399, -377, -346, -301, -238, -153,  -51,   49,       0.000
     6  126,  160,  143,   91,   27,  -29,  -69/                         0.000
      DATA K2TAB10/                                                      0.500
     1-1687,-1699,-2158,-2779,-3443,-4036,-4408,-4490,-4382,-4205,       0.500
     2-4036,-3905,-3830,-3914,-3845,-3857,-3800,-3645,-3410,-3157,       0.500
     3-2878,-2441,-1989,-1530,-1076, -657, -342, -199, -188, -231,       0.500
     4 -291, -379, -401, -405, -399, -412, -425, -424, -417, -408,       0.500
     5 -408, -402, -394, -374, -343, -298, -236, -152,  -50,   51,       0.500
     6  127,  161,  143,   91,   27,  -29,  -69/                         0.500
      DATA K2TAB11/                                                      1.000
     1-1478,-1494,-1679,-2118,-2710,-3329,-3878,-4210,-4261,-4132,       1.000
     2-3952,-3790,-3675,-3737,-3631,-3664,-3667,-3584,-3395,-3172,       1.000
     3-2912,-2499,-2065,-1614,-1155, -706, -313,  -54,   29,    1,       1.000
     4  -71, -216, -303, -338, -352, -366, -389, -394, -391, -386,       1.000
     5 -390, -390, -384, -369, -339, -295, -233, -150,  -49,   53,       1.000
     6  129,  161,  143,   91,   27,  -29,  -69/                         1.000
      DATA K2TAB12/                                                      1.250
     1-1444,-1460,-1566,-1871,-2373,-2962,-3531,-3956,-4122,-4055,       1.250
     2-3887,-3715,-3583,-3628,-3498,-3528,-3550,-3502,-3343,-3138,       1.250
     3-2889,-2488,-2067,-1625,-1170, -716, -299,   12,  152,  146,       1.250
     4   74,  -93, -221, -279, -313, -334, -363, -373, -372, -369,       1.250
     5 -376, -380, -377, -365, -336, -293, -231, -149,  -49,   54,       1.250
     6  131,  162,  143,   91,   27,  -29,  -69/                         1.250
      DATA K2TAB13/                                                      1.500
     1-1411,-1428,-1457,-1643,-2056,-2605,-3174,-3660,-3941,-3955,       1.500
     2-3808,-3628,-3478,-3503,-3348,-3369,-3403,-3386,-3260,-3077,       1.500
     3-2839,-2451,-2042,-1614,-1167, -713, -280,   74,  274,  306,       1.500
     4  242,   57, -112, -201, -258, -289, -329, -348, -348, -346,       1.500
     5 -356, -368, -368, -359, -333, -291, -229, -148,  -48,   55,       1.500
     6  132,  163,  144,   91,   27,  -29,  -69/                         1.500
      DATA K2TAB14/                                                      1.750
     1-1400,-1417,-1420,-1527,-1815,-2277,-2817,-3317,-3680,-3795,       1.750
     2-3700,-3528,-3365,-3368,-3193,-3197,-3230,-3237,-3146,-2990,       1.750
     3-2766,-2391,-1994,-1580,-1145, -697, -257,  127,  386,  470,       1.750
     4  426,  236,   28,  -97, -182, -232, -283, -314, -318, -317,       1.750
     5 -329, -348, -355, -351, -328, -287, -227, -146,  -47,   56,       1.750
     6  135,  164,  144,   91,   27,  -29,  -69/                         1.750
      DATA K2TAB15/                                                      2.000
     1-1389,-1406,-1383,-1416,-1593,-1966,-2469,-2968,-3386,-3606,       2.000
     2-3576,-3417,-3243,-3223,-3029,-3012,-3038,-3061,-3004,-2879,       2.000
     3-2672,-2311,-1927,-1526,-1106, -667, -227,  177,  484,  629,       2.000
     4  619,  436,  197,   28,  -84, -157, -222, -271, -282, -281,       2.000
     5 -293, -322, -337, -339, -322, -283, -224, -144,  -46,   57,       2.000
     6  137,  165,  144,   91,   27,  -29,  -69/                         2.000
      DATA K2TAB16/                                                      2.250
     1-1384,-1402,-1370,-1376,-1479,-1737,-2157,-2626,-3053,-3348,       2.250
     2-3406,-3287,-3115,-3073,-2867,-2827,-2838,-2865,-2836,-2745,       2.250
     3-2560,-2216,-1844,-1457,-1051, -626, -191,  223,  566,  770,       2.250
     4  808,  649,  394,  182,   39,  -64, -145, -212, -236, -238,       2.250
     5 -247, -284, -311, -322, -312, -277, -220, -141,  -43,   59,       2.250
     6  140,  168,  146,   91,   27,  -29,  -69/                         2.250
      DATA K2TAB17/                                                      2.500
     1-1380,-1397,-1358,-1337,-1370,-1524,-1858,-2293,-2718,-3066,       2.500
     2-3218,-3149,-2984,-2920,-2703,-2640,-2632,-2656,-2647,-2592,       2.500
     3-2434,-2109,-1750,-1375, -984, -573, -148,  269,  637,  892,       2.500
     4  987,  868,  609,  359,  186,   51,  -47, -137, -180, -186,       2.500
     5 -191, -233, -275, -298, -298, -269, -215, -137,  -41,   61,       2.500
     6  143,  171,  147,   92,   27,  -29,  -69/                         2.500
      DATA K2TAB18/                                                      2.750
     1-1377,-1394,-1352,-1323,-1329,-1415,-1645,-2002,-2394,-2749,       2.750
     2-2972,-2978,-2841,-2767,-2543,-2460,-2430,-2442,-2442,-2419,       2.750
     3-2292,-1993,-1646,-1283, -906, -510,  -97,  316,  697,  992,       2.750
     4 1145, 1086,  837,  561,  358,  191,   68,  -40, -106, -123,       2.750
     5 -128, -166, -223, -262, -276, -256, -207, -132,  -37,   63,       2.750
     6  146,  175,  149,   93,   28,  -29,  -69/                         2.750
      DATA K2TAB19/                                                      3.000
     1-1374,-1391,-1346,-1309,-1289,-1312,-1445,-1721,-2080,-2430,       3.000
     2-2707,-2795,-2697,-2615,-2386,-2282,-2231,-2227,-2228,-2230,       3.000
     3-2137,-1868,-1536,-1184, -819, -439,  -40,  365,  752, 1075,       3.000
     4 1280, 1298, 1071,  779,  546,  355,  206,   76,  -15,  -48,       3.000
     5  -53,  -84, -155, -213, -244, -238, -196, -125,  -32,   66,       3.000
     6  150,  180,  151,   94,   28,  -29,  -69/                         3.000
      DATA K2TAB20/                                                      3.200
     1-1371,-1388,-1343,-1303,-1276,-1279,-1365,-1566,-1867,-2187,       3.200
     2-2471,-2615,-2563,-2492,-2263,-2147,-2079,-2059,-2054,-2069,       3.200
     3-2002,-1762,-1444,-1101, -746, -376,   10,  407,  793, 1130,       3.200
     4 1369, 1456, 1257,  966,  711,  505,  346,  193,   76,   26,       3.200
     5   14,   -9,  -85, -159, -208, -216, -183, -117,  -26,   71,       3.200
     6  153,  185,  155,   95,   29,  -28,  -69/                         3.200
      DATA K2TAB21/                                                      3.400
     1-1368,-1385,-1339,-1297,-1264,-1247,-1287,-1418,-1659,-1950,       3.400
     2-2231,-2423,-2425,-2369,-2142,-2014,-1931,-1895,-1880,-1901,       3.400
     3-1858,-1651,-1348,-1014, -668, -310,   64,  452,  835, 1181,       3.400
     4 1446, 1602, 1441, 1157,  884,  666,  506,  328,  182,  112,       3.400
     5   91,   74,   -2,  -92, -160, -186, -166, -106,  -19,   76,       3.400
     6  157,  191,  159,   97,   29,  -28,  -69/                         3.400
      DATA K2TAB22/                                                      3.600
     1-1363,-1381,-1335,-1291,-1253,-1224,-1233,-1309,-1489,-1738,       3.600
     2-1999,-2216,-2273,-2245,-2022,-1885,-1787,-1737,-1710,-1731,       3.600
     3-1706,-1534,-1249, -925, -588, -239,  123,  500,  877, 1227,       3.600
     4 1511, 1734, 1621, 1351, 1066,  837,  679,  481,  305,  214,       3.600
     5  180,  164,   93,  -11,  -99, -146, -142,  -92,  -10,   83,       3.600
     6  162,  197,  165,  100,   31,  -27,  -69/                         3.600
      DATA K2TAB23/                                                      3.800
     1-1357,-1375,-1329,-1286,-1245,-1209,-1200,-1237,-1355,-1549,       3.800
     2-1777,-1996,-2102,-2117,-1901,-1759,-1650,-1584,-1544,-1559,       3.800
     3-1547,-1410,-1146, -834, -505, -166,  185,  551,  920, 1270,       3.800
     4 1568, 1848, 1794, 1547, 1256, 1017,  857,  647,  447,  334,       3.800
     5  283,  264,  202,   86,  -22,  -93, -108,  -72,    2,   92,       3.800
     6  169,  205,  172,  103,   33,  -26,  -68/                         3.800
      DATA K2TAB24/                                                      4.000
     1-1351,-1370,-1324,-1280,-1238,-1195,-1168,-1168,-1227,-1368,       4.000
     2-1564,-1776,-1922,-1988,-1781,-1636,-1516,-1436,-1382,-1389,       4.000
     3-1383,-1281,-1040, -740, -420,  -90,  250,  605,  965, 1313,       4.000
     4 1619, 1948, 1957, 1738, 1450, 1199, 1041,  825,  601,  468,       4.000
     5  399,  374,  322,  198,   70,  -27,  -65,  -46,   18,  103,       4.000
     6  178,  213,  181,  108,   35,  -25,  -68/                         4.000
      DATA K2TAB25/                                                      4.200
     1-1344,-1363,-1317,-1273,-1231,-1186,-1152,-1134,-1160,-1250,       4.200
     2-1395,-1572,-1726,-1851,-1654,-1514,-1391,-1297,-1229,-1223,       4.200
     3-1216,-1141, -928, -642, -332,  -11,  319,  662, 1013, 1355,       4.200
     4 1665, 2031, 2106, 1926, 1650, 1391, 1200,  983,  773,  625,       4.200
     5  536,  497,  453,  329,  182,   59,   -6,   -8,   42,  120,       4.200
     6  191,  224,  193,  115,   39,  -23,  -67/                         4.200
      DATA K2TAB26/                                                      4.400
     1-1337,-1356,-1310,-1267,-1224,-1177,-1136,-1103,-1096,-1137,       4.400
     2-1234,-1375,-1527,-1710,-1526,-1393,-1267,-1161,-1079,-1060,       4.400
     3-1049, -995, -811, -542, -242,   69,  390,  722, 1063, 1399,       4.400
     4 1709, 2103, 2241, 2109, 1850, 1584, 1368, 1152,  954,  793,       4.400
     5  685,  631,  592,  472,  309,  161,   66,   39,   71,  140,       4.400
     6  206,  237,  207,  124,   43,  -20,  -66/                         4.400
      DATA K2TAB27/                                                      4.600
     1-1329,-1348,-1304,-1261,-1218,-1170,-1125,-1080,-1050,-1053,       4.600
     2-1105,-1207,-1338,-1565,-1392,-1272,-1143,-1028, -933, -901,       4.600
     3 -882, -842, -689, -437, -149,  153,  464,  786, 1116, 1444,       4.600
     4 1752, 2165, 2359, 2284, 2049, 1782, 1554, 1339, 1145,  975,       4.600
     5  851,  781,  739,  628,  454,  281,  156,  101,  112,  167,       4.600
     6  227,  254,  224,  137,   50,  -16,  -64/                         4.600
      DATA K2TAB28/                                                      4.800
     1-1320,-1340,-1298,-1255,-1213,-1166,-1117,-1065,-1020, -996,       4.800
     2-1008,-1066,-1163,-1416,-1249,-1150,-1019, -897, -791, -747,       4.800
     3 -718, -684, -560, -329,  -52,  240,  542,  852, 1171, 1491,       4.800
     4 1795, 2220, 2461, 2447, 2244, 1985, 1754, 1540, 1343, 1168,       4.800
     5 1031,  944,  893,  794,  613,  420,  265,  179,  164,  202,       4.800
     6  254,  277,  245,  155,   60,  -10,  -61/                         4.800
      DATA K2TAB29/                                                      5.000
     1-1312,-1332,-1293,-1251,-1209,-1162,-1110,-1052, -993, -943,       5.000
     2 -917, -933, -996,-1265,-1104,-1028, -898, -770, -654, -596,       5.000
     3 -557, -523, -425, -218,   45,  328,  621,  922, 1230, 1540,       5.000
     4 1839, 2271, 2549, 2596, 2434, 2188, 1954, 1743, 1545, 1366,       5.000
     5 1218, 1116, 1055,  966,  782,  571,  387,  269,  227,  245,       5.000
     6  286,  304,  269,  176,   72,   -3,  -57/                         5.000
      DATA K2TAB30/                                                      5.200
     1-1283,-1303,-1267,-1228,-1189,-1144,-1095,-1036, -970, -907,       5.200
     2 -859, -843, -867,-1119, -951, -896, -776, -645, -521, -452,       5.200
     3 -401, -360, -282,  -99,  149,  421,  705,  995, 1292, 1593,       5.200
     4 1885, 2319, 2623, 2728, 2617, 2393, 2159, 1952, 1754, 1574,       5.200
     5 1420, 1305, 1228, 1143,  963,  740,  532,  383,  310,  303,       5.200
     6  329,  341,  302,  206,   91,    8,  -51/                         5.200
      DATA K2TAB31/                                                      5.400
     1-1255,-1276,-1242,-1207,-1171,-1127,-1080,-1021, -950, -875,       5.400
     2 -806, -759, -747, -976, -798, -763, -655, -524, -392, -312,       5.400
     3 -249, -198, -134,   23,  255,  517,  790, 1071, 1358, 1648,       5.400
     4 1933, 2365, 2689, 2844, 2790, 2593, 2365, 2160, 1964, 1785,       5.400
     5 1625, 1499, 1407, 1322, 1150,  917,  688,  509,  404,  371,       5.400
     6  379,  383,  340,  242,  116,   22,  -43/                         5.400
      DATA K2TAB32/                                                      5.600
     1-1235,-1256,-1225,-1193,-1159,-1118,-1073,-1012, -937, -852,       5.600
     2 -766, -695, -652, -851, -657, -632, -535, -405, -267, -177,       5.600
     3 -103,  -38,   18,  152,  366,  616,  879, 1150, 1426, 1706,       5.600
     4 1983, 2412, 2748, 2945, 2948, 2789, 2572, 2369, 2178, 1999,       5.600
     5 1836, 1701, 1595, 1503, 1341, 1104,  858,  653,  517,  454,       5.600
     6  442,  436,  388,  286,  149,   42,  -32/                         5.600
      DATA K2TAB33/                                                      5.800
     1-1222,-1244,-1215,-1186,-1154,-1115,-1071,-1010, -931, -837,       5.800
     2 -738, -648, -580, -749, -532, -503, -416, -288, -145,  -47,       5.800
     3   38,  117,  174,  288,  482,  719,  972, 1233, 1499, 1768,       5.800
     4 2036, 2458, 2803, 3031, 3091, 2977, 2780, 2579, 2393, 2216,       5.800
     5 2053, 1910, 1792, 1689, 1536, 1297, 1039,  814,  647,  554,       5.800
     6  517,  498,  446,  340,  194,   70,  -16/                         5.800
      DATA K2TAB34/                                                      6.000
     1-1208,-1231,-1206,-1179,-1150,-1112,-1069,-1007, -925, -824,       6.000
     2 -713, -605, -515, -654, -413, -376, -299, -175,  -28,   77,       6.000
     3  174,  269,  331,  427,  601,  825, 1068, 1319, 1574, 1834,       6.000
     4 2093, 2506, 2856, 3108, 3218, 3156, 2983, 2789, 2607, 2433,       6.000
     5 2270, 2121, 1992, 1877, 1729, 1494, 1225,  982,  786,  664,       6.000
     6  602,  568,  511,  403,  249,  107,    4/                         6.000
      DATA K2TAB35/                                                      6.250
     1-1191,-1216,-1193,-1170,-1144,-1109,-1066,-1003, -918, -809,       6.250
     2 -685, -559, -442, -543, -272, -223, -157,  -41,  109,  226,       6.250
     3  336,  453,  525,  606,  755,  961, 1191, 1430, 1673, 1920,       6.250
     4 2167, 2569, 2921, 3196, 3358, 3362, 3229, 3048, 2872, 2705,       6.250
     5 2542, 2384, 2244, 2116, 1970, 1742, 1463, 1199,  971,  814,       6.250
     6  721,  666,  602,  493,  333,  167,   41/                         6.250
      DATA K2TAB36/                                                      6.500
     1-1170,-1199,-1181,-1161,-1139,-1106,-1064, -999, -910, -796,       6.500
     2 -661, -518, -377, -442, -144,  -76,  -19,   84,  238,  365,       6.500
     3  488,  628,  715,  788,  914, 1101, 1317, 1545, 1777, 2011,       6.500
     4 2248, 2635, 2987, 3279, 3478, 3543, 3462, 3299, 3133, 2974,       6.500
     5 2813, 2647, 2497, 2360, 2210, 1990, 1704, 1423, 1166,  977,       6.500
     6  855,  778,  704,  596,  434,  247,   93/                         6.500
      DATA K2TAB37/                                                      6.750
     1-1143,-1181,-1166,-1151,-1132,-1102,-1060, -995, -903, -783,       6.750
     2 -640, -482, -319, -349,  -26,   61,  112,  202,  355,  492,       6.750
     3  629,  793,  898,  970, 1076, 1245, 1447, 1664, 1885, 2108,       6.750
     4 2333, 2706, 3054, 3360, 3586, 3700, 3674, 3541, 3388, 3239,       6.750
     5 3081, 2908, 2750, 2607, 2451, 2236, 1948, 1651, 1369, 1153,       6.750
     6 1003,  906,  819,  712,  550,  347,  162/                         6.750
      DATA K2TAB38/                                                      7.000
     1-1118,-1159,-1148,-1137,-1123,-1096,-1055, -989, -894, -770,       7.000
     2 -619, -450, -269, -264,   78,  189,  236,  313,  463,  607,       7.000
     3  758,  946, 1072, 1149, 1241, 1391, 1580, 1786, 1997, 2210,       7.000
     4 2425, 2782, 3124, 3440, 3685, 3836, 3862, 3768, 3633, 3499,       7.000
     5 3347, 3167, 3002, 2855, 2695, 2480, 2194, 1884, 1580, 1339,       7.000
     6 1166, 1049,  948,  839,  681,  467,  256/                         7.000
      DATA K2TAB39/                                                      7.250
     1-1090,-1131,-1125,-1119,-1109,-1086,-1047, -980, -883, -755,       7.250
     2 -599, -421, -224, -186,  173,  306,  353,  417,  560,  710,       7.250
     3  872, 1086, 1235, 1321, 1405, 1539, 1715, 1910, 2113, 2316,       7.250
     4 2521, 2864, 3197, 3520, 3780, 3956, 4025, 3975, 3866, 3752,       7.250
     5 3608, 3423, 3254, 3103, 2941, 2723, 2440, 2121, 1797, 1536,       7.250
     6 1343, 1208, 1093,  981,  826,  607,  374/                         7.250
      DATA K2TAB40/                                                      7.500
     1-1053,-1095,-1094,-1092,-1087,-1069,-1033, -968, -870, -739,       7.500
     2 -579, -394, -183, -115,  257,  410,  461,  513,  650,  802,       7.500
     3  974, 1212, 1384, 1483, 1566, 1688, 1851, 2037, 2231, 2426,       7.500
     4 2623, 2951, 3275, 3603, 3873, 4067, 4166, 4159, 4085, 3992,       7.500
     5 3863, 3674, 3503, 3351, 3188, 2965, 2685, 2361, 2021, 1742,       7.500
     6 1533, 1382, 1255, 1137,  983,  764,  517/                         7.500
      DATA K2TAB41/                                                      7.750
     1-1006,-1047,-1050,-1054,-1053,-1041,-1011, -949, -852, -720,       7.750
     2 -558, -367, -146,  -50,  334,  503,  562,  601,  733,  885,       7.750
     3 1065, 1323, 1518, 1632, 1718, 1833, 1986, 2164, 2350, 2538,       7.750
     4 2729, 3045, 3358, 3689, 3966, 4174, 4292, 4319, 4284, 4219,       7.750
     5 4110, 3921, 3749, 3598, 3436, 3207, 2927, 2604, 2251, 1958,       7.750
     6 1735, 1571, 1433, 1308, 1154,  936,  682/                         7.750
      DATA K2TAB42/                                                      8.000
     1 -944, -984, -992,-1000,-1005, -999, -975, -920, -827, -697,       8.000
     2 -534, -340, -111,    6,  404,  586,  653,  681,  809,  960,       8.000
     3 1146, 1424, 1637, 1764, 1859, 1972, 2117, 2289, 2470, 2653,       8.000
     4 2838, 3144, 3447, 3779, 4062, 4280, 4410, 4459, 4462, 4431,       8.000
     5 4343, 4160, 3989, 3841, 3682, 3451, 3167, 2847, 2489, 2183,       8.000
     6 1948, 1772, 1626, 1495, 1339, 1122,  866/                         8.000
      DATA K4TAB01/                                                     -4.000
     1-4647,-4581,-4661,-4555,-4433,-4324,-4237,-4176,-4132,-4105,      -4.000
     2-4081,-3991,-3790,-3512,-3159,-2643,-2407,-2029,-1661,-1311,      -4.000
     3 -990, -652, -541, -517, -507, -504, -509, -514, -503, -492,      -4.000
     4 -490, -484, -472, -475, -483, -477, -444, -442, -443, -438,      -4.000
     5 -431, -421, -402, -378, -345, -294, -225, -135,  -32,   71,      -4.000
     6  151,  183,  161,  104,   37,  -22,  -64/                        -4.000
      DATA K4TAB02/                                                     -3.500
     1-4657,-4611,-4740,-4649,-4511,-4380,-4268,-4186,-4135,-4110,      -3.500
     2-4106,-4064,-3916,-3677,-3352,-2822,-2635,-2265,-1899,-1549,      -3.500
     3-1215, -792, -576, -522, -508, -504, -509, -516, -514, -497,      -3.500
     4 -491, -484, -472, -475, -483, -479, -450, -442, -443, -438,      -3.500
     5 -431, -421, -402, -378, -345, -294, -225, -135,  -32,   71,      -3.500
     6  151,  183,  161,  104,   37,  -22,  -64/                        -3.500
      DATA K4TAB03/                                                     -3.000
     1-4669,-4627,-4800,-4741,-4601,-4449,-4316,-4209,-4141,-4113,      -3.000
     2-4117,-4108,-4015,-3825,-3530,-2983,-2854,-2495,-2135,-1787,      -3.000
     3-1449, -986, -659, -537, -510, -504, -509, -517, -520, -506,      -3.000
     4 -493, -484, -472, -475, -483, -480, -460, -443, -443, -439,      -3.000
     5 -431, -421, -402, -378, -345, -294, -225, -135,  -32,   71,      -3.000
     6  151,  183,  161,  104,   37,  -22,  -64/                        -3.000
      DATA K4TAB04/                                                     -2.500
     1-4685,-4639,-4838,-4819,-4695,-4533,-4377,-4247,-4156,-4117,      -2.500
     2-4122,-4129,-4083,-3949,-3692,-3127,-3063,-2717,-2366,-2023,      -2.500
     3-1686,-1208, -805, -580, -516, -504, -508, -517, -523, -517,      -2.500
     4 -498, -484, -472, -474, -483, -481, -468, -445, -444, -439,      -2.500
     5 -431, -421, -402, -378, -345, -294, -225, -135,  -32,   71,      -2.500
     6  151,  183,  161,  104,   37,  -22,  -64/                        -2.500
      DATA K4TAB05/                                                     -2.000
     1-4704,-4653,-4861,-4875,-4781,-4624,-4452,-4300,-4186,-4128,      -2.000
     2-4125,-4138,-4121,-4043,-3834,-3254,-3259,-2930,-2590,-2254,      -2.000
     3-1921,-1439,-1000, -673, -534, -504, -506, -515, -522, -523,      -2.000
     4 -507, -484, -471, -474, -483, -481, -472, -451, -444, -439,      -2.000
     5 -432, -421, -402, -378, -345, -294, -225, -135,  -32,   71,      -2.000
     6  151,  183,  161,  104,   37,  -22,  -64/                        -2.000
      DATA K4TAB06/                                                     -1.500
     1-4189,-4160,-4640,-4824,-4814,-4699,-4532,-4362,-4220,-4122,      -1.500
     2-4087,-4099,-4109,-4094,-3942,-3718,-3438,-3129,-2802,-2476,      -1.500
     3-2149,-1669,-1214, -821, -577, -498, -487, -496, -507, -515,      -1.500
     4 -510, -482, -467, -462, -474, -476, -469, -453, -440, -436,      -1.500
     5 -428, -419, -401, -376, -343, -294, -224, -135,  -31,   71,      -1.500
     6  151,  183,  161,  104,   37,  -22,  -64/                        -1.500
      DATA K4TAB07/                                                     -1.000
     1-3483,-3468,-4155,-4608,-4772,-4739,-4605,-4431,-4265,-4135,      -1.000
     2-4058,-4045,-4066,-4104,-4005,-3841,-3597,-3311,-2999,-2687,      -1.000
     3-2367,-1892,-1432,-1004, -667, -499, -459, -463, -480, -495,      -1.000
     4 -501, -480, -462, -449, -460, -469, -464, -452, -436, -432,      -1.000
     5 -425, -416, -399, -374, -341, -293, -224, -134,  -30,   71,      -1.000
     6  151,  183,  161,  104,   37,  -22,  -64/                        -1.000
      DATA K4TAB08/                                                     -0.500
     1-2756,-2751,-3464,-4121,-4556,-4699,-4643,-4491,-4314,-4155,      -0.500
     2-4040,-3986,-3995,-4078,-4011,-3917,-3725,-3470,-3176,-2879,      -0.500
     3-2570,-2103,-1641,-1196, -798, -524, -418, -407, -427, -453,      -0.500
     4 -473, -472, -453, -437, -440, -456, -456, -447, -431, -426,      -0.500
     5 -420, -412, -397, -372, -339, -291, -223, -134,  -29,   72,      -0.500
     6  151,  183,  161,  104,   37,  -22,  -64/                        -0.500
      DATA K4TAB09/                                                      0.000
     1-2092,-2097,-2745,-3427,-4061,-4470,-4593,-4512,-4345,-4167,       0.000
     2-4018,-3923,-3896,-4010,-3950,-3923,-3799,-3588,-3318,-3041,       0.000
     3-2744,-2289,-1830,-1375, -942, -580, -371, -315, -330, -368,       0.000
     4 -407, -444, -434, -422, -415, -434, -442, -436, -424, -417,       0.000
     5 -414, -406, -394, -370, -336, -289, -222, -133,  -28,   74,       0.000
     6  151,  183,  161,  104,   37,  -22,  -64/                         0.000
      DATA K4TAB10/                                                      0.500
     1-1627,-1640,-2093,-2707,-3364,-3958,-4340,-4433,-4328,-4148,       0.500
     2-3974,-3840,-3768,-3888,-3810,-3834,-3785,-3634,-3398,-3145,       0.500
     3-2865,-2428,-1977,-1519,-1066, -648, -333, -188, -174, -216,       0.500
     4 -275, -365, -389, -391, -384, -401, -418, -417, -409, -403,       0.500
     5 -403, -398, -388, -367, -333, -286, -220, -132,  -28,   76,       0.500
     6  152,  183,  161,  104,   37,  -22,  -64/                         0.500
      DATA K4TAB11/                                                      1.000
     1-1421,-1438,-1625,-2059,-2645,-3260,-3808,-4144,-4202,-4074,       1.000
     2-3890,-3724,-3608,-3707,-3583,-3632,-3646,-3568,-3380,-3159,       1.000
     3-2898,-2483,-2050,-1601,-1143, -696, -304,  -44,   41,   16,       1.000
     4  -54, -199, -288, -322, -334, -351, -379, -386, -382, -378,       1.000
     5 -385, -385, -378, -361, -329, -282, -217, -131,  -27,   78,       1.000
     6  154,  184,  161,  104,   37,  -22,  -64/                         1.000
      DATA K4TAB12/                                                      1.250
     1-1388,-1406,-1513,-1816,-2313,-2898,-3465,-3888,-4058,-3996,       1.250
     2-3827,-3651,-3517,-3598,-3446,-3491,-3524,-3484,-3325,-3124,       1.250
     3-2873,-2472,-2050,-1611,-1157, -705, -289,   22,  163,  160,       1.250
     4   91,  -75, -204, -262, -294, -316, -351, -364, -363, -360,       1.250
     5 -369, -375, -370, -357, -326, -280, -215, -130,  -26,   79,       1.250
     6  156,  184,  161,  104,   37,  -22,  -64/                         1.250
      DATA K4TAB13/                                                      1.500
     1-1356,-1374,-1407,-1592,-2003,-2548,-3116,-3597,-3878,-3897,       1.500
     2-3750,-3567,-3414,-3473,-3293,-3328,-3374,-3366,-3241,-3062,       1.500
     3-2823,-2434,-2025,-1598,-1153, -701, -270,   83,  285,  320,       1.500
     4  259,   76,  -93, -183, -238, -268, -315, -338, -338, -336,       1.500
     5 -349, -361, -361, -351, -323, -278, -213, -128,  -26,   80,       1.500
     6  158,  185,  162,  104,   37,  -22,  -64/                         1.500
      DATA K4TAB14/                                                      1.750
     1-1345,-1363,-1370,-1478,-1765,-2225,-2764,-3260,-3617,-3736,       1.750
     2-3644,-3470,-3305,-3341,-3139,-3153,-3198,-3214,-3125,-2973,       1.750
     3-2749,-2372,-1976,-1563,-1131, -685, -247,  137,  396,  483,       1.750
     4  442,  255,   48,  -78, -161, -210, -266, -302, -307, -307,       1.750
     5 -321, -341, -348, -342, -318, -275, -211, -127,  -24,   81,       1.750
     6  160,  187,  162,  104,   37,  -22,  -64/                         1.750
      DATA K4TAB15/                                                      2.000
     1-1334,-1353,-1334,-1370,-1547,-1919,-2422,-2920,-3331,-3550,       2.000
     2-3524,-3364,-3188,-3198,-2976,-2967,-3005,-3037,-2982,-2861,       2.000
     3-2654,-2292,-1909,-1509,-1091, -655, -217,  186,  494,  640,       2.000
     4  633,  456,  218,   48,  -62, -133, -202, -257, -271, -269,       2.000
     5 -283, -314, -329, -331, -311, -270, -208, -124,  -23,   82,       2.000
     6  163,  188,  163,  104,   37,  -22,  -64/                         2.000
      DATA K4TAB16/                                                      2.250
     1-1330,-1349,-1322,-1331,-1435,-1693,-2112,-2582,-3004,-3293,       2.250
     2-3356,-3238,-3066,-3051,-2818,-2784,-2804,-2839,-2812,-2727,       2.250
     3-2542,-2197,-1825,-1439,-1035, -613, -180,  233,  575,  781,       2.250
     4  822,  668,  414,  202,   62,  -38, -122, -196, -224, -224,       2.250
     5 -236, -275, -303, -313, -301, -264, -204, -121,  -21,   84,       2.250
     6  165,  191,  164,  105,   37,  -22,  -64/                         2.250
      DATA K4TAB17/                                                      2.500
     1-1326,-1344,-1310,-1293,-1328,-1483,-1817,-2254,-2677,-3019,       2.500
     2-3172,-3106,-2940,-2902,-2658,-2599,-2598,-2629,-2622,-2573,       2.500
     3-2415,-2090,-1730,-1357, -968, -559, -136,  279,  646,  902,       2.500
     4 1000,  886,  629,  379,  208,   77,  -21, -119, -166, -171,       2.500
     5 -179, -223, -266, -289, -287, -256, -199, -118,  -18,   86,       2.500
     6  168,  193,  165,  105,   37,  -22,  -64/                         2.500
      DATA K4TAB18/                                                      2.750
     1-1324,-1342,-1305,-1279,-1288,-1376,-1607,-1966,-2358,-2707,       2.750
     2-2928,-2937,-2803,-2751,-2504,-2423,-2398,-2415,-2417,-2399,       2.750
     3-2273,-1973,-1627,-1265, -889, -496,  -86,  326,  706, 1001,       2.750
     4 1156, 1102,  856,  581,  379,  217,   94,  -20,  -90, -108,       2.750
     5 -113, -155, -214, -253, -265, -243, -191, -112,  -15,   88,       2.750
     6  172,  198,  167,  106,   37,  -22,  -64/                         2.750
      DATA K4TAB19/                                                      3.000
     1-1321,-1340,-1300,-1266,-1250,-1275,-1409,-1687,-2049,-2397,       3.000
     2-2670,-2760,-2663,-2602,-2352,-2248,-2200,-2201,-2202,-2210,       3.000
     3-2118,-1848,-1516,-1166, -803, -424,  -28,  375,  761, 1084,       3.000
     4 1290, 1312, 1090,  798,  566,  378,  232,   99,    1,  -32,       3.000
     5  -37,  -72, -144, -203, -233, -225, -181, -106,  -10,   91,       3.000
     6  175,  203,  170,  107,   38,  -22,  -64/                         3.000
      DATA K4TAB20/                                                      3.200
     1-1320,-1339,-1297,-1261,-1238,-1243,-1330,-1534,-1837,-2157,       3.200
     2-2436,-2580,-2532,-2480,-2233,-2116,-2051,-2034,-2029,-2049,       3.200
     3-1982,-1742,-1424,-1082, -729, -362,   22,  418,  803, 1139,       3.200
     4 1379, 1469, 1274,  984,  730,  527,  371,  216,   94,   42,       3.200
     5   31,    4,  -73, -148, -196, -202, -167,  -98,   -4,   96,       3.200
     6  179,  209,  173,  109,   38,  -21,  -64/                         3.200
      DATA K4TAB21/                                                      3.400
     1-1318,-1337,-1295,-1256,-1226,-1212,-1254,-1388,-1632,-1924,       3.400
     2-2202,-2392,-2398,-2359,-2116,-1987,-1904,-1871,-1856,-1881,       3.400
     3-1838,-1631,-1328, -996, -651, -295,   77,  463,  844, 1190,       3.400
     4 1455, 1615, 1457, 1174,  902,  686,  529,  351,  200,  129,       3.400
     5  109,   88,    9,  -81, -149, -173, -150,  -88,    2,  101,       3.400
     6  183,  214,  177,  110,   39,  -21,  -64/                         3.400
      DATA K4TAB22/                                                      3.600
     1-1316,-1335,-1292,-1252,-1217,-1190,-1201,-1280,-1463,-1714,       3.600
     2-1974,-2188,-2247,-2236,-1998,-1861,-1763,-1714,-1686,-1711,       3.600
     3-1686,-1514,-1229, -906, -571, -224,  136,  511,  886, 1236,       3.600
     4 1520, 1745, 1635, 1367, 1082,  855,  699,  503,  324,  231,       3.600
     5  198,  180,  105,    0,  -87, -133, -126,  -73,   11,  107,       3.600
     6  188,  221,  183,  113,   40,  -20,  -64/                         3.600
      DATA K4TAB23/                                                      3.800
     1-1313,-1332,-1289,-1249,-1211,-1178,-1171,-1210,-1330,-1527,       3.800
     2-1755,-1972,-2078,-2109,-1881,-1738,-1628,-1563,-1521,-1540,       3.800
     3-1527,-1390,-1126, -814, -488, -151,  198,  562,  930, 1279,       3.800
     4 1576, 1858, 1806, 1561, 1271, 1033,  874,  667,  465,  350,       3.800
     5  300,  281,  215,   98,   -9,  -80,  -93,  -54,   23,  116,       3.800
     6  195,  228,  191,  117,   42,  -19,  -63/                         3.800
      DATA K4TAB24/                                                      4.000
     1-1310,-1329,-1287,-1245,-1205,-1165,-1141,-1142,-1204,-1348,       4.000
     2-1545,-1756,-1902,-1980,-1764,-1618,-1497,-1416,-1360,-1370,       4.000
     3-1364,-1260,-1019, -720, -402,  -75,  264,  616,  975, 1322,       4.000
     4 1627, 1957, 1968, 1750, 1463, 1213, 1056,  843,  618,  484,       4.000
     5  416,  391,  336,  211,   82,  -13,  -50,  -28,   40,  128,       4.000
     6  203,  237,  200,  121,   44,  -18,  -63/                         4.000
      DATA K4TAB25/                                                      4.200
     1-1308,-1327,-1284,-1242,-1202,-1159,-1127,-1112,-1140,-1231,       4.200
     2-1378,-1554,-1708,-1843,-1638,-1498,-1374,-1279,-1208,-1205,       4.200
     3-1198,-1122, -908, -622, -314,    4,  333,  674, 1023, 1364,       4.200
     4 1673, 2039, 2116, 1937, 1661, 1403, 1212,  999,  789,  639,       4.200
     5  551,  513,  467,  341,  194,   72,    8,    9,   63,  144,       4.200
     6  216,  248,  212,  129,   48,  -16,  -62/                         4.200
      DATA K4TAB26/                                                      4.400
     1-1306,-1325,-1282,-1240,-1198,-1153,-1115,-1083,-1078,-1121,       4.400
     2-1219,-1360,-1511,-1703,-1512,-1380,-1252,-1145,-1060,-1044,       4.400
     3-1031, -976, -792, -522, -224,   85,  404,  734, 1073, 1408,       4.400
     4 1717, 2111, 2249, 2119, 1860, 1594, 1379, 1166,  969,  806,       4.400
     5  699,  647,  606,  484,  322,  174,   81,   56,   92,  164,       4.400
     6  231,  261,  226,  138,   53,  -13,  -61/                         4.400
      DATA K4TAB27/                                                      4.600
     1-1303,-1323,-1280,-1238,-1197,-1150,-1106,-1063,-1035,-1040,       4.600
     2-1093,-1194,-1325,-1558,-1380,-1260,-1130,-1014, -916, -886,       4.600
     3 -866, -825, -670, -419, -131,  169,  479,  798, 1126, 1453,       4.600
     4 1760, 2173, 2366, 2291, 2057, 1791, 1564, 1351, 1158,  986,       4.600
     5  863,  795,  752,  639,  466,  294,  171,  118,  132,  190,       4.600
     6  252,  278,  243,  151,   60,   -9,  -59/                         4.600
      DATA K4TAB28/                                                      4.800
     1-1300,-1320,-1280,-1238,-1197,-1150,-1102,-1052,-1008, -985,       4.800
     2 -998,-1056,-1152,-1409,-1238,-1139,-1009, -886, -777, -733,       4.800
     3 -703, -668, -542, -311,  -35,  255,  556,  865, 1182, 1500,       4.800
     4 1803, 2227, 2467, 2453, 2251, 1993, 1762, 1550, 1354, 1178,       4.800
     5 1041,  956,  905,  805,  624,  432,  279,  195,  184,  225,       4.800
     6  278,  300,  264,  169,   70,   -3,  -56/                         4.800
      DATA K4TAB29/                                                      5.000
     1-1298,-1318,-1280,-1238,-1197,-1150,-1099,-1042, -983, -935,       5.000
     2 -909, -925, -988,-1259,-1095,-1019, -890, -761, -642, -585,       5.000
     3 -544, -508, -408, -200,   62,  344,  635,  934, 1240, 1549,       5.000
     4 1847, 2278, 2554, 2602, 2440, 2194, 1960, 1750, 1553, 1375,       5.000
     5 1226, 1126, 1066,  975,  792,  582,  400,  285,  246,  267,       5.000
     6  309,  326,  288,  190,   81,    3,  -52/                         5.000
      DATA K4TAB30/                                                      5.200
     1-1274,-1295,-1259,-1220,-1181,-1136,-1087,-1029, -964, -901,       5.200
     2 -853, -837, -861,-1114, -944, -889, -768, -637, -511, -442,       5.200
     3 -390, -347, -267,  -83,  164,  436,  718, 1007, 1302, 1601,       5.200
     4 1893, 2325, 2628, 2733, 2622, 2398, 2164, 1957, 1761, 1582,       5.200
     5 1427, 1313, 1237, 1152,  973,  751,  545,  398,  328,  324,       5.200
     6  351,  362,  321,  220,  101,   14,  -46/                         5.200
      DATA K4TAB31/                                                      5.400
     1-1251,-1272,-1238,-1203,-1166,-1123,-1076,-1017, -947, -871,       5.400
     2 -802, -755, -742, -972, -792, -757, -649, -518, -384, -304,       5.400
     3 -240, -187, -121,   37,  269,  531,  803, 1082, 1367, 1656,       5.400
     4 1940, 2371, 2693, 2848, 2794, 2597, 2369, 2164, 1970, 1791,       5.400
     5 1631, 1505, 1414, 1329, 1158,  927,  699,  523,  421,  390,       5.400
     6  401,  404,  359,  255,  125,   28,  -39/                         5.400
      DATA K4TAB32/                                                      5.600
     1-1233,-1255,-1224,-1191,-1157,-1116,-1070,-1010, -935, -849,       5.600
     2 -764, -692, -649, -849, -653, -627, -531, -400, -261, -171,       5.600
     3  -95,  -29,   29,  164,  379,  628,  891, 1161, 1436, 1714,       5.600
     4 1990, 2417, 2752, 2948, 2951, 2792, 2575, 2372, 2182, 2003,       5.600
     5 1841, 1706, 1601, 1510, 1348, 1112,  868,  666,  532,  473,       5.600
     6  462,  456,  406,  299,  159,   48,  -28/                         5.600
      DATA K4TAB33/                                                      5.800
     1-1221,-1243,-1214,-1185,-1153,-1114,-1069,-1008, -930, -836,       5.800
     2 -736, -646, -578, -747, -529, -499, -412, -284, -141,  -42,       5.800
     3   43,  124,  183,  298,  493,  730,  983, 1243, 1508, 1776,       5.800
     4 2043, 2463, 2806, 3033, 3093, 2980, 2783, 2582, 2396, 2219,       5.800
     5 2056, 1914, 1797, 1694, 1541, 1304, 1048,  825,  660,  571,       5.800
     6  536,  517,  463,  353,  204,   76,  -12/                         5.800
      DATA K4TAB34/                                                      6.000
     1-1208,-1231,-1205,-1179,-1149,-1112,-1068,-1006, -924, -823,       6.000
     2 -712, -604, -514, -653, -411, -374, -297, -173,  -25,   81,       6.000
     3  177,  274,  337,  435,  610,  834, 1077, 1327, 1582, 1840,       6.000
     4 2098, 2511, 2859, 3110, 3220, 3158, 2985, 2790, 2609, 2436,       6.000
     5 2273, 2123, 1995, 1881, 1734, 1500, 1232,  991,  798,  679,       6.000
     6  619,  586,  527,  415,  258,  112,    8/                         6.000
      DATA K4TAB35/                                                      6.250
     1-1191,-1216,-1194,-1171,-1145,-1110,-1067,-1004, -918, -809,       6.250
     2 -685, -558, -441, -543, -272, -223, -156,  -41,  110,  227,       6.250
     3  337,  455,  528,  611,  761,  968, 1198, 1436, 1680, 1926,       6.250
     4 2172, 2572, 2923, 3198, 3358, 3362, 3230, 3048, 2873, 2706,       6.250
     5 2543, 2385, 2245, 2119, 1973, 1746, 1468, 1206,  980,  826,       6.250
     6  736,  682,  617,  505,  342,  173,   45/                         6.250
      DATA K4TAB36/                                                      6.500
     1-1171,-1200,-1182,-1162,-1140,-1107,-1065,-1000, -911, -797,       6.500
     2 -662, -519, -377, -443, -145,  -79,  -21,   82,  236,  364,       6.500
     3  487,  628,  715,  789,  916, 1105, 1321, 1549, 1781, 2016,       6.500
     4 2251, 2638, 2988, 3280, 3478, 3543, 3461, 3298, 3132, 2973,       6.500
     5 2813, 2646, 2496, 2360, 2212, 1992, 1708, 1427, 1172,  987,       6.500
     6  867,  793,  717,  607,  442,  252,   96/                         6.500
      DATA K4TAB37/                                                      6.750
     1-1145,-1183,-1168,-1153,-1134,-1104,-1062, -996, -904, -784,       6.750
     2 -641, -484, -321, -351,  -30,   56,  106,  198,  352,  489,       6.750
     3  626,  789,  895,  967, 1075, 1245, 1448, 1666, 1887, 2110,       6.750
     4 2335, 2707, 3055, 3359, 3584, 3699, 3672, 3539, 3386, 3237,       6.750
     5 3080, 2906, 2747, 2605, 2451, 2237, 1950, 1653, 1373, 1160,       6.750
     6 1014,  918,  831,  722,  558,  351,  165/                         6.750
      DATA K4TAB38/                                                      7.000
     1-1120,-1161,-1151,-1140,-1125,-1098,-1058, -991, -896, -771,       7.000
     2 -621, -452, -271, -267,   73,  180,  227,  306,  457,  602,       7.000
     3  752,  940, 1065, 1142, 1236, 1388, 1578, 1785, 1997, 2210,       7.000
     4 2425, 2781, 3123, 3437, 3682, 3833, 3859, 3764, 3629, 3495,       7.000
     5 3344, 3163, 2998, 2852, 2693, 2480, 2194, 1884, 1582, 1344,       7.000
     6 1175, 1059,  958,  848,  688,  471,  258/                         7.000
      DATA K4TAB39/                                                      7.250
     1-1092,-1134,-1128,-1122,-1112,-1089,-1050, -983, -886, -757,       7.250
     2 -601, -423, -227, -190,  165,  294,  339,  407,  552,  702,       7.250
     3  864, 1076, 1224, 1310, 1396, 1532, 1709, 1906, 2109, 2313,       7.250
     4 2519, 2861, 3195, 3516, 3775, 3951, 4021, 3971, 3861, 3747,       7.250
     5 3603, 3417, 3247, 3098, 2938, 2720, 2439, 2119, 1797, 1538,       7.250
     6 1350, 1216, 1102,  989,  832,  611,  376/                         7.250
      DATA K4TAB40/                                                      7.500
     1-1056,-1098,-1097,-1095,-1090,-1072,-1037, -971, -873, -742,       7.500
     2 -581, -396, -187, -119,  247,  394,  443,  500,  639,  792,       7.500
     3  963, 1198, 1368, 1468, 1552, 1676, 1841, 2029, 2225, 2420,       7.500
     4 2618, 2947, 3271, 3597, 3865, 4060, 4160, 4154, 4078, 3985,       7.500
     5 3856, 3667, 3495, 3345, 3184, 2961, 2682, 2358, 2019, 1743,       7.500
     6 1538, 1389, 1262, 1143,  988,  767,  519/                         7.500
      DATA K4TAB41/                                                      7.750
     1-1009,-1050,-1054,-1057,-1057,-1044,-1014, -952, -855, -723,       7.750
     2 -560, -370, -150,  -56,  321,  484,  539,  585,  719,  872,       7.750
     3 1050, 1305, 1498, 1612, 1700, 1817, 1972, 2153, 2341, 2530,       7.750
     4 2721, 3038, 3353, 3680, 3955, 4163, 4283, 4313, 4277, 4211,       7.750
     5 4101, 3911, 3740, 3590, 3430, 3202, 2923, 2600, 2249, 1958,       7.750
     6 1738, 1576, 1439, 1314, 1158,  939,  684/                         7.750
      DATA K4TAB42/                                                      8.000
     1 -947, -988, -996,-1003,-1009,-1002, -979, -924, -831, -700,       8.000
     2 -537, -343, -116,    0,  388,  563,  626,  662,  793,  945,       8.000
     3 1128, 1400, 1611, 1739, 1836, 1951, 2099, 2274, 2457, 2641,       8.000
     4 2827, 3136, 3440, 3768, 4047, 4265, 4397, 4451, 4455, 4422,       8.000
     5 4333, 4148, 3979, 3832, 3675, 3445, 3162, 2842, 2485, 2182,       8.000
     6 1950, 1777, 1630, 1499, 1343, 1125,  867/                         8.000
      DATA K8TAB01/                                                     -4.000
     1-4561,-4501,-4606,-4516,-4402,-4295,-4204,-4137,-4087,-4062,      -4.000
     2-4051,-3976,-3783,-3509,-3154,-2604,-2401,-2024,-1655,-1305,      -4.000
     3 -984, -645, -532, -506, -494, -490, -495, -503, -494, -485,      -4.000
     4 -484, -476, -461, -466, -479, -473, -438, -437, -439, -434,      -4.000
     5 -426, -412, -390, -362, -322, -264, -187,  -89,   21,  131,      -4.000
     6  212,  239,  206,  138,   62,   -4,  -50/                        -4.000
      DATA K8TAB02/                                                     -3.500
     1-4570,-4527,-4682,-4606,-4478,-4349,-4235,-4147,-4090,-4067,      -3.500
     2-4075,-4047,-3908,-3675,-3347,-2772,-2629,-2259,-1893,-1542,      -3.500
     3-1208, -784, -567, -511, -495, -490, -495, -505, -505, -490,      -3.500
     4 -485, -476, -461, -466, -479, -475, -445, -438, -440, -434,      -3.500
     5 -426, -412, -390, -362, -322, -264, -187,  -89,   21,  131,      -3.500
     6  212,  239,  206,  138,   62,   -4,  -50/                        -3.500
      DATA K8TAB03/                                                     -3.000
     1-4581,-4541,-4738,-4693,-4565,-4417,-4281,-4168,-4096,-4070,      -3.000
     2-4085,-4090,-4006,-3822,-3525,-2922,-2848,-2488,-2128,-1780,      -3.000
     3-1442, -978, -650, -527, -497, -490, -495, -505, -511, -500,      -3.000
     4 -487, -477, -461, -466, -479, -476, -455, -438, -440, -434,      -3.000
     5 -426, -412, -390, -362, -322, -264, -187,  -89,   21,  131,      -3.000
     6  212,  239,  206,  138,   62,   -4,  -50/                        -3.000
      DATA K8TAB04/                                                     -2.500
     1-4595,-4552,-4774,-4767,-4655,-4498,-4340,-4205,-4111,-4074,      -2.500
     2-4090,-4111,-4074,-3946,-3688,-3054,-3057,-2711,-2358,-2015,      -2.500
     3-1678,-1199, -795, -569, -503, -490, -495, -505, -514, -510,      -2.500
     4 -492, -477, -461, -466, -479, -476, -463, -441, -440, -434,      -2.500
     5 -426, -413, -390, -362, -322, -264, -187,  -89,   21,  131,      -2.500
     6  212,  239,  206,  138,   62,   -4,  -50/                        -2.500
      DATA K8TAB05/                                                     -2.000
     1-4611,-4564,-4796,-4820,-4737,-4586,-4412,-4256,-4139,-4084,      -2.000
     2-4093,-4119,-4111,-4040,-3829,-3168,-3253,-2924,-2582,-2246,      -2.000
     3-1912,-1429, -989, -662, -522, -490, -493, -504, -514, -516,      -2.000
     4 -501, -477, -461, -466, -478, -476, -467, -447, -440, -434,      -2.000
     5 -426, -413, -390, -362, -322, -264, -187,  -89,   21,  131,      -2.000
     6  212,  239,  206,  138,   62,   -4,  -50/                        -2.000
      DATA K8TAB06/                                                     -1.500
     1-4079,-4053,-4554,-4759,-4761,-4654,-4489,-4314,-4167,-4068,      -1.500
     2-4041,-4067,-4091,-4089,-3935,-3712,-3432,-3121,-2792,-2467,      -1.500
     3-2138,-1658,-1203, -809, -564, -482, -471, -481, -495, -505,      -1.500
     4 -502, -474, -455, -450, -467, -471, -463, -447, -436, -431,      -1.500
     5 -422, -411, -389, -360, -320, -264, -186,  -89,   22,  132,      -1.500
     6  212,  239,  206,  138,   62,   -4,  -50/                        -1.500
      DATA K8TAB07/                                                     -1.000
     1-3386,-3373,-4052,-4524,-4709,-4686,-4557,-4380,-4208,-4072,      -1.000
     2-3997,-3998,-4036,-4095,-3994,-3833,-3590,-3302,-2988,-2676,      -1.000
     3-2356,-1880,-1420, -992, -654, -484, -441, -445, -463, -481,      -1.000
     4 -490, -470, -449, -434, -450, -462, -457, -444, -430, -426,      -1.000
     5 -419, -408, -387, -357, -318, -263, -186,  -88,   23,  132,      -1.000
     6  213,  239,  206,  138,   62,   -4,  -50/                        -1.000
      DATA K8TAB08/                                                     -0.500
     1-2681,-2677,-3372,-4024,-4474,-4636,-4588,-4437,-4253,-4087,      -0.500
     2-3967,-3921,-3947,-4062,-3993,-3905,-3716,-3460,-3163,-2867,      -0.500
     3-2557,-2089,-1628,-1184, -786, -510, -401, -387, -406, -434,      -0.500
     4 -457, -459, -439, -419, -425, -446, -447, -437, -423, -419,      -0.500
     5 -413, -403, -385, -355, -316, -261, -185,  -88,   24,  133,      -0.500
     6  213,  239,  206,  138,   62,   -4,  -50/                        -0.500
      DATA K8TAB09/                                                      0.000
     1-2032,-2038,-2675,-3342,-3968,-4391,-4528,-4451,-4281,-4095,       0.000
     2-3939,-3843,-3827,-3985,-3920,-3904,-3786,-3575,-3303,-3027,       0.000
     3-2729,-2274,-1815,-1361, -929, -567, -356, -296, -308, -345,       0.000
     4 -386, -427, -417, -401, -395, -421, -432, -425, -413, -409,       0.000
     5 -406, -397, -381, -353, -313, -259, -184,  -87,   25,  134,       0.000
     6  213,  239,  206,  138,   62,   -4,  -50/                         0.000
      DATA K8TAB10/                                                      0.500
     1-1577,-1591,-2038,-2643,-3286,-3872,-4261,-4365,-4260,-4074,       0.500
     2-3892,-3753,-3685,-3853,-3762,-3804,-3765,-3618,-3379,-3129,       0.500
     3-2847,-2409,-1959,-1503,-1051, -635, -319, -171, -153, -191,       0.500
     4 -250, -343, -369, -368, -358, -382, -405, -405, -396, -392,       0.500
     5 -394, -388, -375, -349, -310, -256, -182,  -86,   26,  136,       0.500
     6  214,  239,  206,  138,   62,   -4,  -50/                         0.500
      DATA K8TAB11/                                                      1.000
     1-1375,-1394,-1580,-2008,-2586,-3191,-3729,-4066,-4130,-3999,       1.000
     2-3809,-3637,-3519,-3666,-3519,-3588,-3616,-3547,-3357,-3139,       1.000
     3-2877,-2461,-2029,-1581,-1126, -681, -290,  -29,   60,   39,       1.000
     4  -27, -172, -263, -296, -303, -324, -362, -371, -366, -364,       1.000
     5 -373, -373, -364, -344, -306, -252, -180,  -85,   27,  139,       1.000
     6  216,  240,  206,  138,   62,   -4,  -50/                         1.000
      DATA K8TAB12/                                                      1.250
     1-1343,-1362,-1471,-1770,-2260,-2837,-3393,-3808,-3982,-3921,       1.250
     2-3748,-3567,-3430,-3557,-3377,-3441,-3490,-3459,-3300,-3103,       1.250
     3-2851,-2448,-2027,-1589,-1138, -689, -275,   36,  180,  183,       1.250
     4  118,  -46, -176, -234, -261, -285, -330, -348, -345, -344,       1.250
     5 -356, -362, -356, -339, -303, -250, -178,  -83,   27,  140,       1.250
     6  218,  241,  207,  138,   62,   -4,  -50/                         1.250
      DATA K8TAB13/                                                      1.500
     1-1311,-1331,-1366,-1551,-1957,-2497,-3056,-3526,-3803,-3824,       1.500
     2-3674,-3486,-3329,-3434,-3221,-3273,-3335,-3338,-3214,-3040,       1.500
     3-2800,-2409,-2000,-1575,-1133, -684, -255,   97,  301,  341,       1.500
     4  285,  107,  -63, -152, -203, -233, -290, -319, -319, -317,       1.500
     5 -334, -348, -346, -333, -299, -248, -176,  -82,   28,  141,       1.500
     6  220,  241,  207,  138,   62,   -4,  -50/                         1.500
      DATA K8TAB14/                                                      1.750
     1-1301,-1320,-1330,-1440,-1724,-2179,-2712,-3197,-3543,-3663,       1.750
     2-3571,-3395,-3226,-3304,-3067,-3096,-3156,-3184,-3095,-2950,       1.750
     3-2724,-2347,-1951,-1539,-1109, -666, -231,  151,  411,  502,       1.750
     4  467,  287,   80,  -45, -124, -170, -236, -281, -287, -286,       1.750
     5 -304, -326, -332, -324, -294, -244, -173,  -80,   29,  142,       1.750
     6  223,  243,  207,  138,   62,   -4,  -50/                         1.750
      DATA K8TAB15/                                                      2.000
     1-1290,-1310,-1295,-1333,-1510,-1879,-2378,-2869,-3268,-3481,       2.000
     2-3457,-3295,-3116,-3165,-2906,-2909,-2961,-3004,-2950,-2837,       2.000
     3-2629,-2266,-1882,-1484,-1068, -635, -200,  201,  509,  658,       2.000
     4  657,  487,  251,   82,  -24,  -89, -166, -233, -249, -245,       2.000
     5 -264, -298, -313, -312, -288, -240, -170,  -78,   31,  144,       2.000
     6  225,  244,  208,  138,   62,   -4,  -50/                         2.000
      DATA K8TAB16/                                                      2.250
     1-1286,-1306,-1283,-1295,-1399,-1656,-2073,-2539,-2950,-3228,       2.250
     2-3291,-3175,-3001,-3023,-2753,-2727,-2759,-2805,-2778,-2701,       2.250
     3-2516,-2170,-1798,-1413,-1012, -593, -163,  247,  590,  798,       2.250
     4  844,  698,  448,  237,  101,    6,  -81, -168, -200, -199,       2.250
     5 -214, -257, -285, -293, -277, -234, -166,  -75,   33,  145,       2.250
     6  228,  247,  209,  139,   62,   -4,  -50/                         2.250
      DATA K8TAB17/                                                      2.500
     1-1282,-1302,-1271,-1258,-1295,-1449,-1782,-2218,-2635,-2964,       2.500
     2-3113,-3049,-2883,-2877,-2598,-2544,-2553,-2594,-2588,-2547,       2.500
     3-2389,-2062,-1703,-1330, -944, -539, -119,  294,  660,  918,       2.500
     4 1020,  916,  663,  414,  246,  122,   23,  -86, -140, -144,       2.500
     5 -154, -203, -247, -268, -263, -225, -161,  -71,   35,  147,       2.500
     6  232,  250,  210,  139,   62,   -4,  -50/                         2.500
      DATA K8TAB18/                                                      2.750
     1-1280,-1300,-1267,-1244,-1256,-1344,-1574,-1932,-2322,-2661,       2.750
     2-2873,-2885,-2753,-2731,-2452,-2373,-2355,-2380,-2382,-2373,       2.750
     3-2246,-1945,-1599,-1238, -865, -475,  -68,  341,  720, 1017,       2.750
     4 1175, 1129,  888,  614,  416,  261,  142,   16,  -61,  -79,       2.750
     5  -86, -132, -192, -231, -240, -212, -153,  -66,   39,  150,       2.750
     6  235,  255,  213,  140,   62,   -4,  -50/                         2.750
      DATA K8TAB19/                                                      3.000
     1-1278,-1298,-1262,-1231,-1218,-1245,-1380,-1658,-2019,-2361,       3.000
     2-2624,-2714,-2620,-2585,-2306,-2203,-2159,-2166,-2168,-2183,       3.000
     3-2091,-1820,-1488,-1139, -779, -403,  -10,  391,  775, 1099,       3.000
     4 1308, 1337, 1120,  831,  600,  420,  281,  140,   32,   -1,       3.000
     5   -5,  -46, -122, -180, -208, -194, -143,  -60,   44,  153,       3.000
     6  239,  261,  216,  141,   63,   -3,  -50/                         3.000
      DATA K8TAB20/                                                      3.200
     1-1277,-1297,-1260,-1227,-1206,-1214,-1302,-1506,-1809,-2125,       3.200
     2-2396,-2537,-2492,-2465,-2193,-2076,-2013,-2001,-1995,-2021,       3.200
     3-1955,-1714,-1395,-1055, -704, -340,   41,  434,  817, 1154,       3.200
     4 1395, 1492, 1302, 1014,  762,  566,  417,  258,  127,   74,       3.200
     5   64,   31,  -49, -124, -170, -172, -130,  -52,   49,  157,       3.200
     6  242,  267,  219,  143,   63,   -3,  -50/                         3.200
      DATA K8TAB21/                                                      3.400
     1-1276,-1296,-1258,-1223,-1195,-1183,-1227,-1361,-1606,-1896,       3.400
     2-2168,-2353,-2361,-2346,-2081,-1950,-1869,-1839,-1822,-1854,       3.400
     3-1811,-1602,-1299, -968, -626, -273,   96,  479,  859, 1204,       3.400
     4 1471, 1635, 1483, 1202,  931,  721,  570,  393,  234,  160,       3.400
     5  143,  118,   34,  -56, -122, -142, -113,  -42,   56,  162,       3.400
     6  246,  273,  224,  145,   64,   -3,  -50/                         3.400
      DATA K8TAB22/                                                      3.600
     1-1275,-1295,-1256,-1219,-1187,-1163,-1175,-1255,-1439,-1690,       3.600
     2-1946,-2154,-2214,-2223,-1967,-1828,-1731,-1683,-1653,-1684,       3.600
     3-1660,-1485,-1200, -879, -546, -202,  155,  528,  901, 1250,       3.600
     4 1535, 1763, 1659, 1393, 1110,  886,  734,  543,  358,  262,       3.600
     5  232,  211,  132,   26,  -60, -102,  -88,  -28,   65,  169,       3.600
     6  252,  280,  230,  148,   65,   -2,  -50/                         3.600
      DATA K8TAB23/                                                      3.800
     1-1274,-1294,-1255,-1217,-1182,-1151,-1145,-1186,-1308,-1506,       3.800
     2-1731,-1942,-2047,-2097,-1854,-1710,-1599,-1534,-1490,-1513,       3.800
     3-1501,-1362,-1097, -786, -462, -128,  218,  579,  945, 1294,       3.800
     4 1591, 1875, 1827, 1584, 1295, 1060,  905,  704,  498,  381,       3.800
     5  334,  313,  243,  125,   17,  -48,  -55,   -9,   77,  177,       3.800
     6  259,  288,  238,  152,   67,   -1,  -50/                         3.800
      DATA K8TAB24/                                                      4.000
     1-1273,-1293,-1253,-1215,-1177,-1139,-1117,-1120,-1183,-1328,       4.000
     2-1524,-1731,-1875,-1969,-1740,-1593,-1470,-1389,-1330,-1344,       4.000
     3-1338,-1233, -991, -692, -376,  -51,  284,  634,  991, 1336,       4.000
     4 1642, 1973, 1987, 1772, 1485, 1237, 1081,  875,  651,  512,       4.000
     5  447,  424,  363,  238,  110,   17,  -13,   16,   92,  188,       4.000
     6  267,  297,  248,  156,   69,    0,  -50/                         4.000
      DATA K8TAB25/                                                      4.200
     1-1274,-1293,-1253,-1214,-1175,-1135,-1105,-1091,-1120,-1213,       4.200
     2-1360,-1533,-1683,-1832,-1617,-1476,-1350,-1255,-1180,-1181,       4.200
     3-1172,-1094, -879, -594, -288,   27,  354,  692, 1039, 1379,       4.200
     4 1687, 2054, 2132, 1956, 1681, 1423, 1236, 1028,  820,  666,       4.200
     5  580,  545,  494,  368,  223,  104,   45,   53,  114,  203,       4.200
     6  279,  307,  260,  164,   73,    2,  -49/                         4.200
      DATA K8TAB26/                                                      4.400
     1-1274,-1294,-1253,-1213,-1174,-1130,-1094,-1064,-1060,-1105,       4.400
     2-1203,-1342,-1490,-1691,-1493,-1360,-1231,-1123,-1034,-1020,       4.400
     3-1007, -950, -764, -494, -197,  109,  426,  753, 1089, 1423,       4.400
     4 1731, 2124, 2264, 2135, 1877, 1612, 1399, 1191,  997,  830,       4.400
     5  725,  677,  633,  509,  350,  205,  117,   99,  143,  222,       4.400
     6  294,  320,  275,  174,   78,    4,  -47/                         4.400
      DATA K8TAB27/                                                      4.600
     1-1275,-1295,-1254,-1214,-1174,-1130,-1087,-1046,-1019,-1025,       4.600
     2-1079,-1179,-1307,-1546,-1362,-1243,-1112, -994, -892, -864,       4.600
     3 -843, -799, -643, -391, -104,  193,  500,  817, 1143, 1468,       4.600
     4 1774, 2185, 2379, 2305, 2072, 1807, 1581, 1372, 1182, 1008,       4.600
     5  885,  822,  778,  663,  492,  324,  206,  160,  182,  247,       4.600
     6  313,  337,  293,  187,   85,    8,  -46/                         4.600
      DATA K8TAB28/                                                      4.800
     1-1277,-1297,-1258,-1218,-1178,-1132,-1086,-1037, -994, -972,       4.800
     2 -986,-1043,-1138,-1397,-1222,-1124, -993, -869, -756, -713,       4.800
     3 -682, -644, -516, -284,   -9,  280,  578,  884, 1199, 1515,       4.800
     4 1817, 2239, 2478, 2465, 2264, 2006, 1776, 1567, 1375, 1198,       4.800
     5 1060,  979,  930,  827,  649,  461,  313,  236,  232,  281,       4.800
     6  338,  358,  313,  205,   95,   14,  -43/                         4.800
      DATA K8TAB29/                                                      5.000
     1-1278,-1299,-1261,-1221,-1181,-1134,-1084,-1029, -971, -924,       5.000
     2 -899, -915, -976,-1248,-1081,-1006, -876, -746, -623, -567,       5.000
     3 -524, -486, -384, -174,   87,  368,  657,  953, 1257, 1564,       5.000
     4 1860, 2289, 2564, 2612, 2451, 2205, 1971, 1763, 1570, 1391,       5.000
     5 1241, 1145, 1088,  996,  815,  609,  432,  324,  293,  321,       5.000
     6  368,  384,  338,  227,  107,   21,  -39/                         5.000
      DATA K8TAB30/                                                      5.200
     1-1261,-1281,-1246,-1208,-1170,-1125,-1077,-1019, -955, -893,       5.200
     2 -846, -829, -851,-1105, -932, -877, -757, -625, -495, -426,       5.200
     3 -372, -327, -244,  -59,  189,  460,  739, 1026, 1319, 1616,       5.200
     4 1906, 2336, 2637, 2741, 2630, 2407, 2174, 1968, 1775, 1596,       5.200
     5 1440, 1329, 1256, 1170,  993,  775,  574,  435,  372,  376,       5.200
     6  409,  419,  369,  257,  126,   32,  -33/                         5.200
      DATA K8TAB31/                                                      5.400
     1-1243,-1264,-1231,-1196,-1159,-1116,-1070,-1011, -941, -865,       5.400
     2 -796, -749, -735, -965, -783, -748, -640, -507, -371, -291,       5.400
     3 -225, -169, -100,   60,  292,  553,  824, 1101, 1384, 1671,       5.400
     4 1953, 2381, 2701, 2855, 2800, 2604, 2376, 2172, 1980, 1802,       5.400
     5 1642, 1517, 1430, 1345, 1175,  949,  726,  557,  463,  440,       5.400
     6  456,  459,  407,  292,  150,   46,  -26/                         5.400
      DATA K8TAB32/                                                      5.600
     1-1229,-1251,-1220,-1187,-1153,-1111,-1066,-1006, -931, -845,       5.600
     2 -759, -688, -644, -844, -646, -619, -523, -391, -250, -160,       5.600
     3  -83,  -14,   47,  185,  400,  650,  911, 1179, 1452, 1728,       5.600
     4 2002, 2426, 2759, 2953, 2957, 2797, 2581, 2378, 2189, 2013,       5.600
     5 1850, 1715, 1614, 1523, 1363, 1131,  892,  696,  571,  519,       5.600
     6  515,  509,  453,  336,  184,   65,  -16/                         5.600
      DATA K8TAB33/                                                      5.800
     1-1218,-1240,-1212,-1182,-1150,-1111,-1067,-1005, -927, -833,       5.800
     2 -733, -643, -575, -744, -523, -493, -406, -278, -133,  -33,       5.800
     3   53,  137,  198,  315,  512,  749, 1001, 1260, 1523, 1789,       5.800
     4 2054, 2472, 2813, 3039, 3097, 2984, 2787, 2586, 2402, 2227,       5.800
     5 2064, 1921, 1807, 1705, 1554, 1321, 1069,  851,  695,  613,       5.800
     6  585,  567,  508,  389,  228,   93,    0/                         5.800
      DATA K8TAB34/                                                      6.000
     1-1207,-1230,-1204,-1178,-1148,-1110,-1067,-1005, -923, -822,       6.000
     2 -710, -602, -511, -650, -407, -370, -292, -168,  -20,   87,       6.000
     3  185,  284,  349,  450,  627,  851, 1094, 1343, 1597, 1853,       6.000
     4 2109, 2519, 2865, 3115, 3223, 3161, 2988, 2793, 2613, 2441,       6.000
     5 2278, 2129, 2002, 1889, 1744, 1513, 1250, 1013,  828,  717,       6.000
     6  664,  633,  570,  450,  283,  129,   19/                         6.000
      DATA K8TAB35/                                                      6.250
     1-1192,-1217,-1195,-1171,-1145,-1110,-1067,-1004, -918, -809,       6.250
     2 -685, -558, -440, -543, -271, -222, -155,  -39,  113,  231,       6.250
     3  342,  462,  537,  621,  774,  981, 1212, 1450, 1692, 1937,       6.250
     4 2182, 2579, 2929, 3201, 3360, 3364, 3231, 3049, 2874, 2708,       6.250
     5 2546, 2388, 2248, 2124, 1980, 1755, 1481, 1223, 1004,  858,       6.250
     6  776,  725,  657,  538,  365,  189,   55/                         6.250
      DATA K8TAB36/                                                      6.500
     1-1174,-1203,-1184,-1165,-1142,-1109,-1067,-1002, -912, -797,       6.500
     2 -662, -519, -377, -444, -147,  -81,  -24,   81,  236,  365,       6.500
     3  489,  630,  719,  795,  925, 1115, 1333, 1560, 1792, 2025,       6.500
     4 2259, 2643, 2992, 3281, 3478, 3543, 3460, 3297, 3130, 2973,       6.500
     5 2813, 2646, 2495, 2362, 2216, 1998, 1717, 1439, 1190, 1012,       6.500
     6  901,  831,  754,  638,  465,  267,  106/                         6.500
      DATA K8TAB37/                                                      6.750
     1-1148,-1186,-1172,-1156,-1137,-1107,-1065, -999, -906, -786,       6.750
     2 -642, -485, -322, -354,  -34,   49,   99,  193,  349,  487,       6.750
     3  624,  788,  894,  969, 1079, 1251, 1456, 1674, 1895, 2117,       6.750
     4 2341, 2711, 3057, 3358, 3582, 3697, 3670, 3535, 3381, 3234,       6.750
     5 3078, 2903, 2743, 2603, 2452, 2239, 1955, 1660, 1385, 1179,       6.750
     6 1042,  951,  863,  750,  579,  366,  174/                         6.750
      DATA K8TAB38/                                                      7.000
     1-1125,-1166,-1155,-1144,-1130,-1103,-1062, -994, -899, -774,       7.000
     2 -623, -454, -273, -271,   65,  169,  215,  298,  450,  597,       7.000
     3  746,  934, 1060, 1139, 1235, 1389, 1582, 1789, 2001, 2214,       7.000
     4 2428, 2783, 3124, 3435, 3678, 3828, 3855, 3759, 3622, 3489,       7.000
     5 3339, 3157, 2990, 2847, 2691, 2478, 2196, 1886, 1588, 1357,       7.000
     6 1197, 1087,  987,  874,  708,  484,  266/                         7.000
      DATA K8TAB39/                                                      7.250
     1-1098,-1139,-1134,-1127,-1117,-1094,-1055, -987, -889, -760,       7.250
     2 -604, -426, -230, -195,  154,  277,  321,  395,  542,  694,       7.250
     3  855, 1066, 1214, 1301, 1390, 1529, 1709, 1907, 2111, 2314,       7.250
     4 2519, 2861, 3194, 3511, 3768, 3944, 4015, 3964, 3852, 3737,       7.250
     5 3595, 3409, 3237, 3090, 2932, 2716, 2437, 2118, 1799, 1547,       7.250
     6 1367, 1240, 1126, 1011,  849,  622,  384/                         7.250
      DATA K8TAB40/                                                      7.500
     1-1062,-1104,-1103,-1102,-1097,-1078,-1042, -976, -877, -745,       7.500
     2 -585, -399, -191, -127,  233,  373,  418,  484,  626,  780,       7.500
     3  950, 1183, 1353, 1454, 1541, 1668, 1837, 2026, 2222, 2418,       7.500
     4 2615, 2944, 3269, 3589, 3855, 4049, 4152, 4146, 4067, 3973,       7.500
     5 3845, 3656, 3483, 3334, 3176, 2953, 2677, 2353, 2018, 1748,       7.500
     6 1551, 1408, 1282, 1162, 1003,  777,  525/                         7.500
      DATA K8TAB41/                                                      7.750
     1-1015,-1057,-1061,-1064,-1064,-1051,-1021, -958, -860, -727,       7.750
     2 -564, -374, -155,  -64,  303,  457,  508,  565,  702,  857,       7.750
     3 1033, 1285, 1476, 1592, 1684, 1804, 1963, 2145, 2335, 2524,       7.750
     4 2715, 3032, 3348, 3669, 3941, 4148, 4272, 4304, 4265, 4197,       7.750
     5 4087, 3898, 3725, 3577, 3419, 3192, 2916, 2592, 2245, 1960,       7.750
     6 1748, 1591, 1454, 1329, 1171,  948,  689/                         7.750
      DATA K8TAB42/                                                      8.000
     1 -954, -995,-1003,-1011,-1016,-1010, -986, -930, -836, -705,       8.000
     2 -541, -348, -122,   -9,  366,  531,  589,  638,  772,  926,       8.000
     3 1107, 1374, 1584, 1713, 1814, 1933, 2085, 2262, 2447, 2632,       8.000
     4 2818, 3127, 3434, 3754, 4028, 4245, 4382, 4441, 4442, 4406,       8.000
     5 4316, 4132, 3964, 3816, 3662, 3432, 3153, 2833, 2480, 2181,       8.000
     6 1957, 1788, 1643, 1511, 1353, 1132,  872/                         8.000
      DATA IFTABK,TSAVE,VSAVE/0,0.,-1./
      EXP10(X)=EXP(X*2.30258509299405E0)
      IF(IFTABK.EQ.1)GO TO 20
      IFTABK=1
      DO 13 IV=1,NV
      DO 13 IP=1,NP
      DO 13 IT=1,NT
   13 TABKAP(IT,IP,IV)=DFLOAT(KTAB(IT,IP,IV))/1000.
   20 IF(T.EQ.TSAVE.AND.V.EQ.VSAVE)GO TO 30
      TSAVE=T
      VSAVE=V
      TLOG10=DLOG10(T)
      TLOG10=MAX(TLOG10,TABT(1))
      DO 25 IP=1,NP
      DO 24 IV=1,NV
      IDUM=MAP1(TABT,TABKAP(1,IP,IV),NT,TLOG10,PKAPV(IV,IP),1)
   24 CONTINUE
      IDUM=MAP1(TABV,PKAPV(1,IP),NV,V,PKAP(IP),1)
   25 CONTINUE
   30 PLOG=DLOG10(P)
      PLOG=MAX(PLOG,TABP(1))
      IDUM=MAP1(TABP,PKAP,NP,PLOG,ABLOG,1)
      ROSSTAB=EXP10(ABLOG)
      RETURN
      END
      SUBROUTINE TTAUP(T,TAU,ABSTD,PTOTAL,P,PRAD,PTURB,VTURB,
     1GRAV,NUMTAU,iross)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     TAUS MUST HAVE LOG SPACING
C     ASSUMES PTOTAL=PRAD=PTURB=0 WHEN RHOX=0
      DIMENSION T(1),TAU(1),ABSTD(1),PTOTAL(1),P(1),PRAD(1),PTURB(1)
      DIMENSION VTURB(1)
      DLGTAU=DLOG(TAU(2)/TAU(1))
      PLOG3=0.
      PLOG2=0.
      PLOG1=0.
      DPLOG2=0.
      DPLOG1=0.
	if(iross.eq.1)go to 15
C     ASSUME CONSTANT OPACITY NEAR SURFACE.  FIRST GUESS=.1
      ABSTD(1)=.1
      IF(PRAD(1).GT.0.)ABSTD(1)=DMIN1(.1D0,GRAV*TAU(1)/PRAD(1)/2.)
C     TO FIX PROBLEM WITH TEMPERATURE DROP AT FIRST POINT
C     T1=T(1)
C     T(1)=T(2)
15      DO 22 J=1,NUMTAU
      IF(J.EQ.1)PLOG=DLOG(GRAV/ABSTD(1)*TAU(1))
      IF(J.GT.1.AND.J.LE.4)PLOG=PLOG1+DPLOG1
      IF(J.GT.4)PLOG=(3.*PLOG4+8.*DPLOG1-4.*DPLOG2+8.*DPLOG3)/3.
      ERROR=1.
      N=1
      GO TO 21
   20 IF(J.EQ.1)PNEW=DLOG(GRAV/ABSTD(1)*TAU(1))
      IF(J.GT.1.AND.J.LE.4)PNEW=(PLOG+2.*PLOG1+DPLOG+DPLOG1)/3.
      IF(J.GT.4)PNEW=(126.*PLOG1-14.*PLOG3+9.*PLOG4+42.*DPLOG+
     1 108.*DPLOG1-54.*DPLOG2+24.*DPLOG3)/121.
      ERROR=ABS(PNEW-PLOG)
      PLOG=(PNEW+PLOG)/2.
   21 PTOTAL(J)=EXP(PLOG)
C     P(J)=PTOTAL(J)-PRAD(J)-PTURB(J)
      P(J)=PTOTAL(J)+(PRAD(1)-PRAD(J))-PTURB(J)
c      IF(P(J).LE.0.)GO TO 25
      IF(P(J).LE.0.)P(J)=P(j-1)
      ABSTD(J)=ROSSTAB(T(J),P(J),VTURB(J))
      DPLOG=GRAV/ABSTD(J)*TAU(J)/PTOTAL(J)*DLGTAU
      N=N+1
      IF(N.GT.1000)GO TO 25
      IF(ERROR.GT..00005)GO TO 20
      PLOG4=PLOG3
      PLOG3=PLOG2
      PLOG2=PLOG1
      PLOG1=PLOG
      DPLOG3=DPLOG2
      DPLOG2=DPLOG1
      DPLOG1=DPLOG
   22 CONTINUE
C     T(1)=T1
      RETURN
   25 CONTINUE
      CALL W(6HJ     ,DFLOAT(J),1)
      CALL W(6HP     ,P,J)
      CALL W(6HPTOTAL,PTOTAL,J)
      CALL W(6HPRAD  ,PRAD,J)
      CALL W(6HPTURB ,PTURB,J)
      CALL W(6HABSTD ,ABSTD,J)
      CALL W(6HERROR ,ERROR,1)
      CALL EXIT
      END
      SUBROUTINE BLOCKE
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
C      Grevesse,N. and Anders, E. 1988.  presented at the workshop
C      on the "Solar Interior and Atmosphere", Tucson, Nov 15-18.
C      Anders, E. and Grevesse, N. 1989 Geochimica et Cosmochimica Acta,
C      vol. 53, pp. 197-214.
C     H has been defined to be -.04 instead of 12
C                   1H    2HE
      DATA ABUND/ 0.911,0.089,
C        3LI    4BE    5B     6C     7N     8O     9F    10NE
     1-10.88,-10.89, -9.44, -3.48, -3.99, -3.11, -7.48, -3.95,
C       11NA   12MG   13AL   14SI   15P    16S    17CL   18AR
     2 -5.71, -4.46, -5.57, -4.49, -6.59, -4.83, -6.54, -5.48,
C       19K    20CA   21SC   22TI   23V    24CR   25MN   26FE
     3 -6.92, -5.68, -8.94, -7.05, -8.04, -6.37, -6.65, -4.37,
C       27CO   28NI   29CU   30ZN   31GA   33GE   33AS   34SE
     4 -7.12, -5.79, -7.83, -7.44, -9.16, -8.63, -9.67, -8.69,
C       35BR   36KR   37RB   38SR   39Y    40ZR   41NB   42MO
     5 -9.41, -8.81, -9.44, -9.14, -9.80, -9.44,-10.62,-10.12,
C       43TC   44RU   45RH   46PD   47AG   48CD   49IN   50SN
     6-20.00,-10.20,-10.92,-10.35,-11.10,-10.18,-10.38,-10.04,
C       51SB   52TE   53I    54XE   55CS   56BA   57LA   58CE
     7-11.04, -9.80,-10.53, -9.81,-10.92, -9.91,-10.82,-10.49,
C       59PR   60ND   61PM   62SM   63EU   64GD   65TB   66DY
     8-11.33,-10.54,-20.00,-11.04,-11.53,-10.92,-12.14,-10.94,
C       67HO   68ER   69TM   70YB   71LU   72HF   73TA   74W
     9-11.78,-11.11,-12.04,-10.96,-11.28,-11.16,-11.91,-10.93,
C       75RE   76OS   77IR   78PT   79AU   80HG   81TL   82PB
     T-11.77,-10.59,-10.69,-10.24,-11.03,-10.95,-11.14,-10.19,
C       83BI   84PO   85AT   86RN   87FR   88RA   89AC   90TH
     1-11.33,-20.00,-20.00,-20.00,-20.00,-20.00,-20.00,-11.92,
C       91PA   92U    93NP   94PU   95AM   96CM   97BK   98CF  99ES
     2-20.00,-12.51,-20.00,-20.00,-20.00,-20.00,-20.00,-20.00,-20.00/
      DATA ATMASS/ 1.008,4.003,
     1 6.939,9.013,10.81,12.01,14.01,16.00,19.00,20.18,22.99,24.31,
     2 26.98,28.09,30.98,32.07,35.45,39.95,39.10,40.08,44.96,47.90,
     3 50.94,52.00,54.94,55.85,58.94,58.71,63.55,65.37,69.72,72.60,
     4 74.92,78.96,79.91,83.80,85.48,87.63,88.91,91.22,92.91,95.95,
     5 99.00,101.1,102.9,106.4,107.9,112.4,114.8,118.7,121.8,127.6,
     6 126.9,131.3,132.9,137.4,138.9,140.1,140.9,144.3,147.0,150.4,
     7 152.0,157.3,158.9,162.5,164.9,167.3,168.9,173.0,175.0,178.5,
     8 181.0,183.9,186.3,190.2,192.2,195.1,197.0,200.6,204.4,207.2,
     9 209.0,210.0,211.0,222.0,223.0,226.1,227.1,232.0,231.0,238.0,
     T 237.0,244.0,243.0,247.0,247.0,251.0,254.0/
      DATA ELEM/   2HH , 2HHE,
     1 2HLI, 2HBE, 2HB , 2HC , 2HN , 2HO , 2HF , 2HNE, 2HNA, 2HMG,
     2 2HAL, 2HSI, 2HP , 2HS , 2HCL, 2HAR, 2HK , 2HCA, 2HSC, 2HTI,
     3 2HV , 2HCR, 2HMN, 2HFE, 2HCO, 2HNI, 2HCU, 2HZN, 2HGA, 2HGE,
     4 2HAS, 2HSE, 2HBR, 2HKR, 2HRB, 2HSR, 2HY , 2HZR, 2HNB, 2HMO,
     5 2HTC, 2HRU, 2HRH, 2HPD, 2HAG, 2HCD, 2HIN, 2HSN, 2HSB, 2HTE,
     6 2HI , 2HXE, 2HCS, 2HBA, 2HLA, 2HCE, 2HPR, 2HND, 2HPM, 2HSM,
     7 2HEU, 2HGD, 2HTB, 2HDY, 2HHO, 2HER, 2HTM, 2HYB, 2HLU, 2HHF,
     8 2HTA, 2HW , 2HRE, 2HOS, 2HIR, 2HPT, 2HAU, 2HHG, 2HTL, 2HPB,
     9 2HBI, 2HPO, 2HAT, 2HRN, 2HFR, 2HRA, 2HAC, 2HTH, 2HPA, 2HU ,
     T 2HNP, 2HPU, 2HAM, 2HCM, 2HBK, 2HCF, 2HES/
      RETURN
      END
      SUBROUTINE BLOCKR
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /FRESET/FRESET(1563),RCOSET(1563),NULO,NUHI,NUMNU
	common/tsmooth/j1smooth,j2smooth,wtjm1,wtj,wtjp1,tsmooth(kw)
C     DIMENSION WBIG(331)
      DIMENSION WBIG(337)
      DIMENSION WBIG1(152),WBIG2(152),WBIG3(33)
      EQUIVALENCE (WBIG(1),WBIG1(1)),(WBIG(153),WBIG2(1))
      EQUIVALENCE (WBIG(305),WBIG3(1))
C      DIMENSION WLIT(1215)
      DIMENSION WLIT(1221)
      DIMENSION WLIT1(152),WLIT2(152),WLIT3(154),WLIT4(152),WLIT5(152)
C      DIMENSION WLIT6(152),WLIT7(152),WLIT8(149)
      DIMENSION WLIT6(152),WLIT7(152),WLIT8(155)
      EQUIVALENCE (WLIT(1),WLIT1(1)),(WLIT(153),WLIT2(1))
      EQUIVALENCE (WLIT(305),WLIT3(1)),(WLIT(459),WLIT4(1))
      EQUIVALENCE (WLIT(611),WLIT5(1)),(WLIT(763),WLIT6(1))
      EQUIVALENCE (WLIT(915),WLIT7(1)),(WLIT(1067),WLIT8(1))
      EQUIVALENCE (FRESET(6),WBIG(1)),(FRESET(343),WLIT(1))
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /IFOP/IFOP(20)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
      COMMON /MUS/ANGLE(20),SURFI(20),NMU
      COMMON /RAD/ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STEPLG/STEPLG,TAU1LG,KRHOX
      COMMON /TEFF/TEFF,GRAV,GLOG
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      COMMON /WAVEY/WBEGIN,DELTAW,IFWAVE
      DATA DLTDLP,HEATCP,DLRDLT,VELSND,GRDADB,HSCALE,FLXCNV,VCONV/
     1 kw*0.,kw*0.,kw*0.,kw*0.,kw*0.,kw*0.,kw*0.,kw*0./
      DATA IFCONV,MIXLTH,OVERWT,NCONV/0,1.,1.,36/
      DATA BHYD,BMIN/kw*1.,kw*1.,kw*1.,kw*1.,kw*1.,kw*1.,kw*1./
      DATA NLTEON/0/
      DATA FLUX/0./
      DATA FLXERR,FLXDRV/kw*0.,kw*0./
      DATA NUMNU/0/
      DATA WBIG1/
     1   9.09,   9.35,   9.61,   9.77,   9.96,  10.20,  10.38,  10.56,
     2  10.77,  11.04,  11.40,  11.78,  12.13,  12.48,  12.71,  12.84,
     3  13.05,  13.24,  13.39,  13.66,  13.98,  14.33,  14.72,  15.10,
     4  15.52,  15.88,  16.20,  16.60,  17.03,  17.34,  17.68,  18.02,
     5  18.17,  18.61,  19.10,  19.39,  19.84,  20.18,  20.50,  21.05,
     6  21.62,  21.98,  22.30,  22.68,  23.00,  23.40,  24.00,  24.65,
     7  25.24,  25.68,  26.00,  26.40,  26.85,  27.35,  27.85,  28.40,
     8   29.0,   29.6,   30.1,   30.8,   31.8,   32.8,   33.8,   34.8,
     9   35.7,   36.6,   37.5,   38.5,   39.5,   40.5,   41.4,   42.2,
     A   43.0,   44.1,   45.1,   46.0,   47.0,   48.0,   49.0,   50.0,
     1   50.6,   51.4,   53.0,   55.0,   56.7,   58.5,   60.5,   62.5,
     2   64.5,   66.3,   68.0,   70.0,   71.6,   73.0,   75.0,   77.0,
     3   79.0,   81.0,   83.0,   85.0,   87.0,   89.0,   90.6,   92.6,
     4   96.0,  100.0,  104.0,  108.0,  111.5,  114.5,  118.0,  122.0,
     5  126.0,  130.0,  134.0,  138.0,  142.0,  146.0,  150.0,  154.0,
     6  160.0,  165.0,  169.0,  173.0,  177.5,  182.0,  186.0,  190.5,
     7  195.0,  200.0,  204.5,  208.5,  212.5,  217.5,  222.5,  227.5,
     8  232.5,  237.5,  242.5,  248.0,  253.0,  257.5,  262.5,  267.5,
     9  272.5,  277.5,  282.5,  287.5,  295.0,  305.0,  315.0,  325.0/
      DATA WBIG2/
     1  335.0,  345.0,  355.0,  362.0,  367.0,  375.0,  385.0,  395.0,
cc     2  405.0,  415.0,  425.0,  435.0,  455.0,  465.0,  475.0,  485.0,
     2  405.0,  415.0,  425.0,  440.0,  455.0,  465.0,  475.0,  485.0,
     3  495.0,  505.0,  515.0,  525.0,  535.0,  545.0,  555.0,  565.0,
     4  575.0,  585.0,  595.0,  605.0,  615.0,  625.0,  635.0,  645.0,
     5  655.0,  665.0,  675.0,  685.0,  695.0,  705.0,  715.0,  725.0,
     6  735.0,  745.0,  755.0,  765.0,  775.0,  785.0,  795.0,  805.0,
     7  815.0,  825.0,  835.0,  845.0,  855.0,  865.0,  875.0,  885.0,
     8  895.0,  905.0,  915.0,  925.0,  935.0,  945.0,  955.0,  965.0,
     9  975.0,  985.0,  995.0, 1012.5, 1037.5, 1062.5, 1087.5, 1112.5,
     A 1137.5, 1162.5, 1187.5, 1212.5, 1237.5, 1262.5, 1287.5, 1312.5,
     1 1337.5, 1362.5, 1387.5, 1412.5, 1442.0, 1467.0, 1487.5, 1512.5,
     2 1537.5, 1562.5, 1587.5, 1620.0, 1660.0, 1700.0, 1740.0, 1780.0,
     3  1820.,  1860.,  1900.,  1940.,  1980.,  2025.,  2075.,  2125.,
     4  2175.,  2225.,  2265.,  2290.,  2325.,  2375.,  2425.,  2475.,
     5  2525.,  2575.,  2625.,  2675.,  2725.,  2775.,  2825.,  2875.,
     6  2925.,  2975.,  3025.,  3075.,  3125.,  3175.,  3240.,  3340.,
     7  3450.,  3550.,  3650.,  3750.,  3850.,  3950.,  4050.,  4150.,
     8  4250.,  4350.,  4450.,  4550.,  4650.,  4750.,  4850.,  4950.,
     9  5050.,  5150.,  5250.,  5350.,  5450.,  5550.,  5650.,  5750./
      DATA WBIG3/
     1  5850.,  5950.,  6050.,  6150.,  6250.,  6350.,  6500.,  6700.,
     2  6900.,  7100.,  7300.,  7500.,  7700.,  7900.,  8100.,  8300.,
     3  8500.,  8700.,  8900.,  9100.,  9300.,  9500.,  9700.,  9900.,
     4 10000., 20000., 40000.,
     5 60000., 80000.,100000.,120000.,140000.,160000./
      DATA WLIT1/
     1   9.09,   9.35,   9.61,   9.77,   9.96,  10.20,  10.38,  10.56,
     2  10.77,  11.04,  11.40,  11.78,  12.13,  12.48,  12.71,  12.84,
     3  13.05,  13.24,  13.39,  13.66,  13.98,  14.33,  14.72,  15.10,
     4  15.52,  15.88,  16.20,  16.60,  17.03,  17.34,  17.68,  18.02,
     5  18.17,  18.61,  19.10,  19.39,  19.84,  20.18,  20.50,  21.05,
     6  21.62,  21.98,  22.30,  22.68,  23.00,  23.40,  24.00,  24.65,
     7  25.24,  25.68,  26.00,  26.40,  26.85,  27.35,  27.85,  28.40,
     8   29.0,   29.6,   30.1,   30.8,   31.8,   32.8,   33.8,   34.8,
     9   35.7,   36.6,   37.5,   38.5,   39.5,   40.5,   41.4,   42.2,
     A   43.0,   44.1,   45.1,   46.0,   47.0,   48.0,   49.0,   50.0,
     1   50.6,   51.2,   52.0,   53.0,   54.0,   55.0,   56.0,   57.0,
     2   58.0,   59.0,   60.0,   61.0,   62.0,   63.0,   64.0,   65.0,
     3   65.8,   66.5,   67.5,   68.5,   69.5,   70.5,   71.6,   72.6,
     4   73.5,   74.5,   75.5,   76.5,   77.5,   78.5,   79.5,   80.5,
     5   81.5,   82.5,   83.5,   84.5,   85.5,   86.5,   87.5,   88.5,
     6   89.5,   90.5,   91.5,   92.5,   93.5,   94.5,   95.5,   96.5,
     7   97.5,   98.5,   99.5,  100.5,  101.5,  102.5,  103.5,  104.5,
     8  105.5,  106.5,  107.5,  108.5,  109.5,  110.5,  111.5,  112.5,
     9  113.5,  114.5,  115.5,  116.5,  117.5,  118.5,  119.5,  120.5/
      DATA WLIT2/
     1  121.5,  122.5,  123.5,  124.5,  125.5,  126.5,  127.5,  128.5,
     2  129.5,  130.5,  131.5,  132.5,  133.5,  134.5,  135.5,  136.5,
     3  137.5,  138.5,  139.5,  140.5,  141.5,  142.5,  143.5,  144.2,
     4  144.7,  145.5,  146.5,  147.5,  148.5,  149.5,  150.5,  151.2,
     5  151.7,  152.5,  153.5,  154.5,  155.5,  156.5,  157.5,  158.5,
     6  159.5,  160.5,  161.5,  162.5,  163.5,  164.5,  165.5,  166.5,
     7  167.2,  167.7,  168.5,  169.5,  170.5,  171.5,  172.5,  173.5,
     8  174.5,  175.5,  176.5,  177.5,  178.5,  179.5,  180.5,  181.5,
     9  182.5,  183.5,  184.5,  185.5,  186.5,  187.5,  188.5,  189.5,
     A  190.5,  191.5,  192.5,  193.5,  194.5,  195.5,  196.7,  197.6,
     1  198.4,  199.5,  200.5,  201.5,  202.5,  203.5,  204.5,  205.5,
     2  206.5,  207.4,  207.8,  208.5,  209.5,  210.5,  211.5,  212.5,
     3  213.5,  214.5,  215.5,  216.5,  217.5,  218.5,  219.5,  220.5,
     4  221.5,  222.5,  223.5,  224.5,  225.5,  226.5,  227.5,  228.5,
     5  229.5,  230.5,  231.5,  232.5,  233.5,  234.5,  235.5,  236.5,
     6  237.5,  238.5,  239.5,  240.5,  241.5,  242.5,  243.5,  244.5,
     7  245.5,  246.5,  247.5,  248.5,  249.5,  250.5,  251.3,  251.8,
     8  252.5,  253.5,  254.5,  255.5,  256.5,  257.5,  258.5,  259.5,
     9  260.5,  261.5,  262.5,  263.5,  264.5,  265.5,  266.5,  267.5/
      DATA WLIT3/
     1  268.5,  269.5,  270.5,  271.5,  272.5,  273.5,  274.5,  275.5,
     2  276.5,  277.5,  278.5,  279.5,  280.5,  281.5,  282.5,  283.5,
     3  284.5,  285.5,  286.5,  287.5,  288.5,  289.5,  291.0,  293.0,
     4  295.0,  297.0,  299.0,  301.0,  303.0,  305.0,  307.0,  309.0,
     5  311.0,  313.0,  315.0,  317.0,  319.0,  321.0,  323.0,  325.0,
     6  327.0,  329.0,  331.0,  333.0,  335.0,  337.0,  339.0,  341.0,
     7  343.0,  345.0,  347.0,  349.0,  351.0,  353.0,  355.0,  357.0,
     8  359.0,  361.0,  363.0,  364.0,  365.,367.,369., 371.0,  373.0,
     9  375.0,  377.,379.,381., 383.0,  385.0,  387.0,  389.0,  391.0,
     A  393.0,  395.0,  397.0,  399.0,  401.0,  403.0,  405.0,  407.0,
     1  409.0,  411.0,  413.0,  415.0,  417.0,  419.0,  421.0,  423.0,
     2  425.0,  427.0,  429.0,  431.0,  433.0,  435.0,  437.0,  439.0,
     3  441.0,  443.0,  445.0,  447.0,  449.0,  451.0,  453.0,  455.0,
     4  457.0,  459.0,  461.0,  463.0,  465.0,  467.0,  469.0,  471.0,
     5  473.0,  475.0,  477.0,  479.0,  481.0,  483.0,  485.0,  487.0,
     6  489.0,  491.0,  493.0,  495.0,  497.0,  499.0,  501.0,  503.0,
     7  505.0,  507.0,  509.0,  511.0,  513.0,  515.0,  517.0,  519.0,
     8  521.0,  523.0,  525.0,  527.0,  529.0,  531.0,  533.0,  535.0,
     9  537.0,  539.0,  541.0,  543.0,  545.0,  547.0,  549.0,  551.0/
      DATA WLIT4/
     1  553.0,  555.0,  557.0,  559.0,  561.0,  563.0,  565.0,  567.0,
     2  569.0,  571.0,  573.0,  575.0,  577.0,  579.0,  581.0,  583.0,
     3  585.0,  587.0,  589.0,  591.0,  593.0,  595.0,  597.0,  599.0,
     4  601.0,  603.0,  605.0,  607.0,  609.0,  611.0,  613.0,  615.0,
     5  617.0,  619.0,  621.0,  623.0,  625.0,  627.0,  629.0,  631.0,
     6  633.0,  635.0,  637.0,  639.0,  641.0,  643.0,  645.0,  647.0,
     7  649.0,  651.0,  653.0,  655.0,  657.0,  659.0,  661.0,  663.0,
     8  665.0,  667.0,  669.0,  671.0,  673.0,  675.0,  677.0,  679.0,
     9  681.0,  683.0,  685.0,  687.0,  689.0,  691.0,  693.0,  695.0,
     A  697.0,  699.0,  701.0,  703.0,  705.0,  707.0,  709.0,  711.0,
     1  713.0,  715.0,  717.0,  719.0,  721.0,  723.0,  725.0,  727.0,
     2  729.0,  731.0,  733.0,  735.0,  737.0,  739.0,  741.0,  743.0,
     3  745.0,  747.0,  749.0,  751.0,  753.0,  755.0,  757.0,  759.0,
     4  761.0,  763.0,  765.0,  767.0,  769.0,  771.0,  773.0,  775.0,
     5  777.0,  779.0,  781.0,  783.0,  785.0,  787.0,  789.0,  791.0,
     6  793.0,  795.0,  797.0,  799.0,  801.0,  803.0,  805.0,  807.0,
     7  809.0,  811.0,  813.0,  815.0,  817.0,  819.0,  821.0,  823.0,
     8  825.0,  827.0,  829.0,  831.0,  833.0,  835.0,  837.0,  839.0,
     9  841.0,  843.0,  845.0,  847.0,  849.0,  851.0,  853.0,  855.0/
      DATA WLIT5/
     1  857.0,  859.0,  861.0,  863.0,  865.0,  867.0,  869.0,  871.0,
     2  873.0,  875.0,  877.0,  879.0,  881.0,  883.0,  885.0,  887.0,
     3  889.0,  891.0,  893.0,  895.0,  897.0,  899.0,  901.0,  903.0,
     4  905.0,  907.0,  909.0,  911.0,  913.0,  915.0,  917.0,  919.0,
     5  921.0,  923.0,  925.0,  927.0,  929.0,  931.0,  933.0,  935.0,
     6  937.0,  939.0,  941.0,  943.0,  945.0,  947.0,  949.0,  951.0,
     7  953.0,  955.0,  957.0,  959.0,  961.0,  963.0,  965.0,  967.0,
     8  969.0,  971.0,  973.0,  975.0,  977.0,  979.0,  981.0,  983.0,
     9  985.0,  987.0,  989.0,  991.0,  993.0,  995.0,  997.0,  999.0,
     A 1002.5, 1007.5, 1012.5, 1017.5, 1022.5, 1027.5, 1032.5, 1037.5,
     1 1042.5, 1047.5, 1052.5, 1057.5, 1062.5, 1067.5, 1072.5, 1077.5,
     2 1082.5, 1087.5, 1092.5, 1097.5, 1102.5, 1107.5, 1112.5, 1117.5,
     3 1122.5, 1127.5, 1132.5, 1137.5, 1142.5, 1147.5, 1152.5, 1157.5,
     4 1162.5, 1167.5, 1172.5, 1177.5, 1182.5, 1187.5, 1192.5, 1197.5,
     5 1202.5, 1207.5, 1212.5, 1217.5, 1222.5, 1227.5, 1232.5, 1237.5,
     6 1242.5, 1247.5, 1252.5, 1257.5, 1262.5, 1267.5, 1272.5, 1277.5,
     7 1282.5, 1287.5, 1292.5, 1297.5, 1302.5, 1307.5, 1312.5, 1317.5,
     8 1322.5, 1327.5, 1332.5, 1337.5, 1342.5, 1347.5, 1352.5, 1357.5,
     9 1362.5, 1367.5, 1372.5, 1377.5, 1382.5, 1387.5, 1392.5, 1397.5/
      DATA WLIT6/
     1 1402.5, 1407.5, 1412.5, 1417.5, 1422.5, 1427.5, 1432.5, 1437.5,
     2 1442.5, 1447.5, 1452.5, 1457.0, 1462.0, 1467.5, 1472.5, 1477.5,
     3 1482.5, 1487.5, 1492.5, 1497.5, 1502.5, 1507.5, 1512.5, 1517.5,
     4 1522.5, 1527.5, 1532.5, 1537.5, 1542.5, 1547.5, 1552.5, 1557.5,
     5 1562.5, 1567.5, 1572.5, 1577.5, 1582.5, 1587.5, 1592.5, 1597.5,
     6  1605.,  1615.,  1625.,  1635.,  1645.,  1655.,  1665.,  1675.,
     7  1685.,  1695.,  1705.,  1715.,  1725.,  1735.,  1745.,  1755.,
     8  1765.,  1775.,  1785.,  1795.,  1805.,  1815.,  1825.,  1835.,
     9  1845.,  1855.,  1865.,  1875.,  1885.,  1895.,  1905.,  1915.,
     A  1925.,  1935.,  1945.,  1955.,  1965.,  1975.,  1985.,  1995.,
     1  2005.,  2015.,  2025.,  2035.,  2045.,  2055.,  2065.,  2075.,
     2  2085.,  2095.,  2105.,  2115.,  2125.,  2135.,  2145.,  2155.,
     3  2165.,  2175.,  2185.,  2195.,  2205.,  2215.,  2225.,  2235.,
     4  2245.,  2255.,  2265.,  2275.,  2285.,  2295.,  2305.,  2315.,
     5  2325.,  2335.,  2345.,  2355.,  2365.,  2375.,  2385.,  2395.,
     6  2405.,  2415.,  2425.,  2435.,  2445.,  2455.,  2465.,  2475.,
     7  2485.,  2495.,  2505.,  2515.,  2525.,  2535.,  2545.,  2555.,
     8  2565.,  2575.,  2585.,  2595.,  2605.,  2615.,  2625.,  2635.,
     9  2645.,  2655.,  2665.,  2675.,  2685.,  2695.,  2705.,  2715./
      DATA WLIT7/
     1  2725.,  2735.,  2745.,  2755.,  2765.,  2775.,  2785.,  2795.,
     2  2805.,  2815.,  2825.,  2835.,  2845.,  2855.,  2865.,  2875.,
     3  2885.,  2895.,  2905.,  2915.,  2925.,  2935.,  2945.,  2955.,
     4  2965.,  2975.,  2985.,  2995.,  3005.,  3015.,  3025.,  3035.,
     5  3045.,  3055.,  3065.,  3075.,  3085.,  3095.,  3105.,  3115.,
     6  3125.,  3135.,  3145.,  3155.,  3165.,  3175.,  3185.,  3195.,
     7  3210.,  3230.,  3250.,  3270.,  3290.,  3310.,  3330.,  3350.,
     8  3370.,  3390.,  3410.,  3430.,  3450.,  3470.,  3490.,  3510.,
     9  3530.,  3550.,  3570.,  3590.,  3610.,  3630.,  3650.,  3670.,
     A  3690.,  3710.,  3730.,  3750.,  3770.,  3790.,  3810.,  3830.,
     1  3850.,  3870.,  3890.,  3910.,  3930.,  3950.,  3970.,  3990.,
     2  4010.,  4030.,  4050.,  4070.,  4090.,  4110.,  4130.,  4150.,
     3  4170.,  4190.,  4210.,  4230.,  4250.,  4270.,  4290.,  4310.,
     4  4330.,  4350.,  4370.,  4390.,  4410.,  4430.,  4450.,  4470.,
     5  4490.,  4510.,  4530.,  4550.,  4570.,  4590.,  4610.,  4630.,
     6  4650.,  4670.,  4690.,  4710.,  4730.,  4750.,  4770.,  4790.,
     7  4810.,  4830.,  4850.,  4870.,  4890.,  4910.,  4930.,  4950.,
     8  4970.,  4990.,  5010.,  5030.,  5050.,  5070.,  5090.,  5110.,
     9  5130.,  5150.,  5170.,  5190.,  5210.,  5230.,  5250.,  5270./
      DATA WLIT8/
     1  5290.,  5310.,  5330.,  5350.,  5370.,  5390.,  5410.,  5430.,
     2  5450.,  5470.,  5490.,  5510.,  5530.,  5550.,  5570.,  5590.,
     3  5610.,  5630.,  5650.,  5670.,  5690.,  5710.,  5730.,  5750.,
     4  5770.,  5790.,  5810.,  5830.,  5850.,  5870.,  5890.,  5910.,
     5  5930.,  5950.,  5970.,  5990.,  6010.,  6030.,  6050.,  6070.,
     6  6090.,  6110.,  6130.,  6150.,  6170.,  6190.,  6210.,  6230.,
     7  6250.,  6270.,  6290.,  6310.,  6330.,  6350.,  6370.,  6390.,
     8  6420.,  6460.,  6500.,  6540.,  6580.,  6620.,  6660.,  6700.,
     9  6740.,  6780.,  6820.,  6860.,  6900.,  6940.,  6980.,  7020.,
     A  7060.,  7100.,  7140.,  7180.,  7220.,  7260.,  7300.,  7340.,
     1  7380.,  7420.,  7460.,  7500.,  7540.,  7580.,  7620.,  7660.,
     2  7700.,  7740.,  7780.,  7820.,  7860.,  7900.,  7940.,  7980.,
     3  8020.,  8060.,  8100.,  8140.,  8180.,  8220.,  8260.,  8300.,
     4  8340.,  8380.,  8420.,  8460.,  8500.,  8540.,  8580.,  8620.,
     5  8660.,  8700.,  8740.,  8780.,  8820.,  8860.,  8900.,  8940.,
     6  8980.,  9020.,  9060.,  9100.,  9140.,  9180.,  9220.,  9260.,
     7  9300.,  9340.,  9380.,  9420.,  9460.,9500.,9540.,9580.,9620.,
     8  9660., 9700.,9740.,9780.,9820.,9860.,9900.,9940.,9980.,10020.,
     9 20000., 40000., 60000., 80000.,100000.,120000.,140000.,160000./
C     7  9300.,  9340.,  9380.,  9420.,  9460.,  9500.,  9540.,  9580.,
C     8  9620.,  9660.,  9700.,  9740.,  9780.,  9820.,  9860.,  9900.,
C     9  9940.,  9980., 10020. ,20000., 40000./
      DATA IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL/1,1,0,1,0.,0/
      DATA IFOP/1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,0/
      DATA XNFPH,XNFPHE/kw*0.,kw*0.,kw*0.,kw*0.,kw*0./
      DATA IFPRNT/2,2,2,2,2,2,2,2,2,2,2,2,2,2,2/
      DATA IFPNCH/0,0,0,0,0,0,0,0,0,0,0,0,0,0,0/
      DATA NUMITS/0/
C      DATA TITLE/74*1H /
      DATA TITLE/74*8H        /
      DATA WLTE/4HLTE /
      DATA XSCALE/1./
      DATA SURFI/20*0./,NMU/1/
      DATA ACCRAD/kw*0./,PRAD/kw*0./
      DATA STEPLG/.125/
      DATA TAU1LG/-5.875/
      DATA KRHOX/0/
      DATA NRHOX/0/
      DATA TEFF/0./
      DATA GRAV/0./
      DATA VTURB/kw*0./
      DATA PTURB/kw*0./
      DATA IFTURB,TRBFDG,TRBPOW,TRBSND,TRBCON/0,0.,0.,0.,0./
      DATA IFWAVE/0/
      DATA J1SMOOTH,J2SMOOTH,WTJM1,WTJ,WTJP1/0,0,.3,.4,.3/
      END
      SUBROUTINE READIN(MODE)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     MODE=1 COMPUTE A MODEL
C     MODE=2 READ A PREVIOUSLY CALCULATED MODEL FOR SOME APPLICATION
C     MODE=20 SAME AS 2 BUT ON ENCOUNTERING END RETURN WITH NRHOX=0
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
      COMMON /FILENAME/FILENAME
      CHARACTER*60 FILENAME
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /FREE/WORD(6),NUMCOL,LETCOL,LAST,MORE,IFFAIL,MAXPOW
      REAL*4 WORD
      COMMON /FRESET/FRESET(1563),RCOSET(1563),NULO,NUHI,NUMNU
      COMMON /HEIGHT/HEIGHT(kw)
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /IFOP/IFOP(20)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
      INTEGER*4 ITITLE(148)
      EQUIVALENCE (ITITLE(1),TITLE(1))
      REAL*4 FREQID4(12)
      EQUIVALENCE (FREQID(1),FREQID4(1))
      COMMON /MUS/ANGLE(20),SURFI(20),NMU
      COMMON /PTOTAL/PTOTAL(kw)
      COMMON /PZERO/PZERO,PCON,PRADK0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /RAD/ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /STEPLG/STEPLG,TAU1LG,KRHOX
      COMMON/TABTP/TABT(57),TABP(42),TABKAP(57,42,5),PKAP(42),
     1TABV(5),PKAPV(5,42),IFTABK,KTAB(57,42,5),NT,NP
      COMMON /TEFF/TEFF,GRAV,GLOG
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      COMMON /WAVEY/WBEGIN,DELTAW,IFWAVE
      COMMON /XABUND/XABUND(99),WTMOLE
	common/tsmooth/j1smooth,j2smooth,wtjm1,wtj,wtjp1,tsmooth(kw)
      INTEGER CARD(80),CARD81,CCCC(81)
      EQUIVALENCE (CARD(1),CCCC(1)),(CARD81,CCCC(81))
      DIMENSION RHOXA(kw),DUM1(kw),DUM2(kw),DUM3(kw),DUM4(kw),DUM5(kw)
c      DIMENSION DUM6(kw),DUM7(kw),DUM8(kw),TAUSTD(kw),TSMOOTH(kw)
      DIMENSION DUM6(kw),DUM7(kw),DUM8(kw),TAUSTD(kw)
C      EQUIVALENCE (DUM1(1),DLTDLP(1)),(DUM2(1),HEATCP(1))
C      EQUIVALENCE (DUM3(1),DLRDLT(1)),(DUM4(1),VELSND(1))
C      EQUIVALENCE (DUM5(1),GRDADB(1)),(DUM6(1),HSCALE(1))
C      EQUIVALENCE (DUM7(1),FLXCNV(1)),(RHOXA(1),VCONV(1),DUM8(1))
C      EQUIVALENCE (TAUSTD(1),XNATOM(1))
      DIMENSION IFOP1(20)
C     H1,H2PLUS,HMINUS,HRAY,HE1,HE2,HEMINUS,HERAY,COOL,LUKE,
C     HOT,ELECTRON,H2RAY,HLINES,LINES,LINESCAT,XLINES,XLSCAT,XCONT,XSCAT
      DATA IFOP1/324,609929997,579591588,429928,11165,11166,564793810,
     1 15271257,173061,636997,11527,369467847,16486929,577716835,
     2 22965179,849711626,1687220147,1687711471,45152896,45946435/
      DATA WWLTE,WWNLTE/4HLTE ,4HNLTE/
      DATA BLANK/1H /
      EXP10(X)=EXP(X*2.30258509299405E0)
C      CARD81=BLANK
      CARD81=(1H )
      LAST=81
      MAXPOW=38
   98 MORE=0
      LETCOL=1
   99 READ(5,1) CARD
    1 FORMAT(80A1)
C     (M)ACHINE (I)NDEPENDENT (A)LPHAMERIC (C)ODE
C     BASE 37    A=1, Z=26, 0=27, 9=36
      MIAC=IWORDF(CARD)
      NUMCOL=LETCOL
C     TEFF
    3 IF(MIAC.EQ.1020133)GO TO 100
C     GRAVITY
      IF(MIAC.EQ.519223721)GO TO 200
C     OPACITY
      IF(MIAC.EQ.1070201044)GO TO 300
C     KAPPA
      IF(MIAC.EQ.20688921)GO TO 400
C     ITERATIONS
      IF(MIAC.EQ.661856797)GO TO 500
C     MOLECULES
      IF(MIAC.EQ.930198669)GO TO 600
C     CALCULATE
      IF(MIAC.EQ.210518764)GO TO 700
C     ABUNDANCE
      IF(MIAC.EQ.74175307)GO TO 800
C     PRINT
      IF(MIAC.EQ.30911189)GO TO 900
C     PUNCH
      IF(MIAC.EQ.31069574)GO TO 1000
C     READ
      IF(MIAC.EQ.918640)GO TO 1100
C     LTE
      IF(MIAC.EQ.17173)GO TO 1200
C     NLTE
      IF(MIAC.EQ.726315)GO TO 1300
C     BEGIN
      IF(MIAC.EQ.4011517)GO TO 1500
C     SCATTERING
      IF(MIAC.EQ.1323236444)GO TO 1600
C     END
      IF(MIAC.EQ.7367)GO TO 1700
C     TITLE
      IF(MIAC.EQ.37966926)GO TO 1800
C     CONVECTION
      IF(MIAC.EQ.236883734)GO TO 1900
C     TURBULENCE
      IF(MIAC.EQ.1427151802)GO TO 2000
C     CHANGE RHOX
      IF(MIAC.EQ.223095242)GO TO 2100
C     FREQUENCIES
      IF(MIAC.EQ.450075960)GO TO 2200
C     SURFACE
      IF(MIAC.EQ.1357812572)GO TO 2300
C     PRESSURE
      IF(MIAC.EQ.1143518210)GO TO 2400
C     CORRECTION
      IF(MIAC.EQ.237080870)GO TO 2500
C     WAVELENGTH
      IF(MIAC.EQ.1597906832)GO TO 2600
C     SCALE MODEL
      IF(MIAC.EQ.35762836)GO TO 2700
C     CALL
      IF(MIAC.EQ.153784)GO TO 2800
C     VTURB
      IF(MIAC.EQ.42274019)GO TO 2900
C     SMOOTH
      IF(MIAC.EQ.1342680354)GO TO 3000
C
 9000 WRITE(6,2) CARD
    2 FORMAT(21H I DO NOT UNDERSTAND 80A1)
      CALL EXIT
   97 LETCOL=MAX0(LETCOL,NUMCOL)
      MORE=1
      MIAC=IWORDF(CARD)
      IF(IFFAIL.EQ.1)GO TO 98
      MORE=0
      GO TO 3
C************
  100 TEFF=FREEFF(CARD)
      FLUX=5.6697E-5/12.5664*TEFF**4
      GO TO 97
C************
  200 GRAV=FREEFF(CARD)
      IF(GRAV.LT.10.)GRAV=EXP10(GRAV)
      GLOG=DLOG10(GRAV)
      GO TO 97
C************
  300 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 380
C     OFF
      IF(MIAC.EQ.20763)GO TO 390
C     IFOP
      IF(MIAC.EQ.464662)GO TO 370
      GO TO 9000
  370 NUMCOL=LETCOL
      DO 371 I=1,20
  371 IFOP(I)=FREEFF(CARD)
      GO TO 98
C     ON
  380 ISWCH=1
      GO TO 391
C     OFF
  390 ISWCH=0
  391 MORE=1
  395 MIAC=IWORDF(CARD)
      IF(IFFAIL.EQ.1)GO TO 97
      DO 392 I=1,20
      II=I
      IF(MIAC.EQ.IFOP1(I))GO TO 393
  392 CONTINUE
      GO TO 9000
  393 IFOP(II)=ISWCH
      GO TO 395
C************
  400 GO TO 9000
C************
  500 NUMITS=FREEFF(CARD)
      DO 501 I=1,15
  501 IFPNCH(I)=0
      IFPNCH(NUMITS)=1
      GO TO 97
C************
  600 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 610
C     OFF
      IF(MIAC.EQ.20763)GO TO 620
      GO TO 9000
  610 IFMOL=1
      GO TO 97
  620 IFMOL=0
      GO TO 97
C************
  700 NRHOX=FREEFF(CARD)
      TAU1LG=FREEFF(CARD)
      STEPLG=FREEFF(CARD)
      DO 701 J=1,NRHOX
      TAUROS(J)=EXP10(TAU1LG+DFLOAT(J-1)*STEPLG)
  701 T(J)=TEFF*(.75*(.710+TAUROS(J)-.1331*EXP(-3.4488*TAUROS(J))))**.25
  702 DO 703 J=1,NRHOX
      XNE(J)=0.
      PRADK(J)=2.521E-15*DMAX1(T(J)**4,TEFF**4/2.)
      VTURB(J)=0.
  703 PTURB(J)=0.
      PRADK0=PRADK(1)
      PCON=0.
      PTURB0=0.
      PZERO=PRADK0
      DO 704 J=1,NRHOX
  704 PRAD(J)=PRADK(J)-PRADK0
      CALL TTAUP(T,TAUROS,ABROSS,PTOTAL,P,PRAD,PTURB,
     1VTURB,GRAV,NRHOX,0)
      DO 705 J=1,NRHOX
      RHOX(J)=PTOTAL(J)/GRAV
  705 PTOTAL(J)=PTOTAL(J)+PZERO
      GO TO 97
C************
  800 MIAC=IWORDF(CARD)
C     SCALE
      IF(MIAC.EQ.35762836)GO TO 810
C     CHANGE  (SOLAR ABUNDANCE BEFORE SCALING)
      IF(MIAC.EQ.223095242)GO TO 820
C     ABSOLUTE (FINAL ABUNDANCE AFTER SCALING)
      IF(MIAC.EQ.74075686)GO TO 830
      GO TO 9000
  810 NUMCOL=LETCOL
      XSCALE=FREEFF(CARD)
      GO TO 97
  820 MORE=1
  821 IZ=FREEFF(CARD)
      IF(IFFAIL.EQ.1)GO TO 98
      ABUND(IZ)=FREEFF(CARD)
      GO TO 821
  830 MORE=1
  831 IZ=FREEFF(CARD)
      IF(IFFAIL.EQ.1)GO TO 98
      ABUND(IZ)=FREEFF(CARD)
      IF(IZ.GT.2)ABUND(IZ)=ABUND(IZ)/XSCALE
      GO TO 831
C************
  900 DO 901 I=1,NUMITS
  901 IFPRNT(I)=FREEFF(CARD)
      GO TO 97
C************
 1000 DO 1001 I=1,NUMITS
 1001 IFPNCH(I)=FREEFF(CARD)
      GO TO 97
C************
 1100 MIAC=IWORDF(CARD)
      NUMCOL=LETCOL
C     FREQUENCIES
      IF(MIAC.EQ.450075960)GO TO 1110
C     DEPARTURE COEFFICIENTS
      IF(MIAC.EQ.287559136)GO TO 1120
C     STARTING T-TAU
      IF(MIAC.EQ.1355094447)GO TO 1130
C     DECK
      IF(MIAC.EQ.209579)GO TO 1140
C     DECK6
      IF(MIAC.EQ.7754456)GO TO 1140
C     KAPPA
      IF(MIAC.EQ.20688921)GO TO 1150
C     MOLECULES
      IF(MIAC.EQ.930198669)GO TO 1160
C     PUNCH
      IF(MIAC.EQ.31069574)GO TO 1170
      GO TO 9000
C     FREQUENCIES
 1110 NUM=FREEFF(CARD)
      NULO=FREEFF(CARD)
      NUHI=FREEFF(CARD)
      NUMNU=NUM
      LETCOL=NUMCOL
      NDUMMY=IWORDF(CARD)
      DO 1111 I=1,6
 1111 FREQID4(2*I-1)=WORD(I)
      NUMCOL=LETCOL
      DO 1112 I=1,NUMNU
      NU=FREEFR(CARD)
      FRESET(NU)=FREEFF(CARD)
C     PROVISION FOR READING WAVELENGTHS
      IF(FRESET(NU).LT.1.E7)FRESET(NU)=2.997925E17/FRESET(NU)
C     PROVISION FOR READING WAVENUMBERS SCALED BY 1.E25
      IF(FRESET(NU).GT.1.E20)FRESET(NU)=FRESET(NU)*(2.997925E10/1.E25)
 1112 RCOSET(NU)=FREEFF(CARD)
      GO TO 98
C     DEPARTURE COEFFICIENTS
 1120 NRHOX=FREEFF(CARD)
      DO 1122 J=1,NRHOX
      NUMCOL=1
      READ(5,1)CARD
      DUMMY=FREEFF(CARD)
      DO 1121 I=1,6
 1121 BHYD(J,I)=FREEFF(CARD)
 1122 BMIN(J)=FREEFF(CARD)
      WLTE=WWNLTE
      NLTEON=1
      GO TO 98
 1130 NRHOX=FREEFF(CARD)
      DO 1131 J=1,NRHOX
      NUMCOL=1
      READ(5,1)CARD
      TAUROS(J)=FREEFF(CARD)
 1131 T(J)=FREEFF(CARD)
      IF(TAUROS(1).GT.0.)GO TO 702
      DO 1132 J=1,NRHOX
 1132 TAUROS(J)=EXP10(TAUROS(J))
      GO TO 702
 1140 NRHOX=FREEFF(CARD)
      DO 1141 J=1,NRHOX
      NUMCOL=1
      READ(5,1)CARD
      RHOX(J)=FREEFF(CARD)
      T(J)=FREEFF(CARD)
      MORE=1
      P(J)=FREEFF(CARD)
      XNE(J)=FREEFF(CARD)
      ABROSS(J)=FREEFF(CARD)
      PRAD(J)=FREEFF(CARD)
      VTURB(J)=FREEFF(CARD)
 1141 MORE=0
      IF(RHOX(1).GE.0.)GO TO 1143
      DO 1142 J=1,NRHOX
 1142 RHOX(J)=EXP10(RHOX(J))
 1143 PRADK0=0.
      PTURB0=PTURB(1)
      PCON=0.
      PZER0=PCON+PRADK0+PTURB0
      CALL INTEG(RHOX,ABROSS,TAUROS,NRHOX,ABROSS(1)*RHOX(1))
      IF(MIAC.NE.7754456)GO TO 98
      READ(5,1)CARD
      NUMCOL=1
      PRADK0=FREEFF(CARD)
      DO 1144 J=1,NRHOX
 1144 ACCRAD(J)=PRAD(J)
      CALL INTEG(RHOX,ACCRAD,PRAD,NRHOX,ACCRAD(1)*RHOX(1))
      DO 1145 J=1,NRHOX
 1145 PRADK(J)=PRAD(J)+PRADK0
      GO TO 98
 1150 OPEN(UNIT=1,SHARED,TYPE='OLD',READONLY)
      READ(1,1)CARD
      WRITE(6,1151)CARD
 1151 FORMAT(80A1)
      READ(1,1)
      DO 1154 IT=1,57
      DO 1154 IP=1,42
      READ(1,1152)(TABKAP(IT,IP,IV),IV=1,5)
 1152 FORMAT(5X,5X,5F7.3)
 1154 CONTINUE
      IFTABK=1
      CLOSE(UNIT=1)
      GO TO 98
 1160 CALL READMOL
      GO TO 98
C     READS A FILE THAT HAS BEEN PUNCHED PREVIOUSLY EXCEPT FOR THE BEGIN CARD
 1170 WRITE(FILENAME,'(60A1)')(CARD(I),I=LETCOL,70)
      IF(INDEX(FILENAME,'.').EQ.0)THEN
      OPEN(UNIT=3,STATUS='OLD',SHARED,READONLY)
      ELSE
      DO 1178 I=1,60
      IF(FILENAME(I:I).NE.' ')GO TO 1179
 1178 CONTINUE
 1179 OPEN(UNIT=3,NAME=FILENAME(I:60),STATUS='OLD',SHARED,READONLY)
      ENDIF
      READ(3,1171) TEFF,GLOG,WLTE,TITLE,IFOP,A,MIXLTH,B,TRBFDG,
     1TRBPOW,TRBSND,TRBCON,XSCALE,(Ielem,ABUND(IZ),IZ=1,99)
 1171 FORMAT(5HTEFF ,F7.0,9H  GRAVITY,F8.5,1X,A4/6HTITLE ,74A1/
     1 13H OPACITY IFOP,20I2/
     2 12H CONVECTION ,A3,F6.2,12H TURBULENCE, A3,4F6.2/
     3 16HABUNDANCE SCALE ,F9.5,17H ABUNDANCE CHANGE,2(I2,F8.5)/
     4(17H ABUNDANCE CHANGE,6(I3,F7.2)))
      GRAV=10.**GLOG
      FLUX=5.6697E-5/12.5664*TEFF**4
      IF(WLTE.EQ.4HLTE )NLTEON=0
      IF(WLTE.EQ.4HNLTE)NLTEON=1
      IF(A.EQ.3HOFF)IFCONV=0
      IF(A.EQ.3HON )IFCONV=1
      IF(B.EQ.3HOFF)IFTURB=0
      IF(B.EQ.3HON )IFTURB=1
      READ(3,1172)NRHOX,(RHOX(J),T(J),P(J),XNE(J),ABROSS(J),ACCRAD(J),
     1VTURB(J),J=1,NRHOX)
 1172 FORMAT(10HREAD DECK6,I3,33H RHOX,T,P,XNE,ABROSS,ACCRAD,VTURB/
     1(1PE15.8,0PF9.1,1P5E10.3))
      READ(3,1173)PRADK0
 1173 FORMAT(5HPRADK,1PE11.4)
      CALL INTEG(RHOX,ACCRAD,PRAD,NRHOX,ACCRAD(1)*RHOX(1))
      DO 1177 J=1,NRHOX
 1177 PRADK(J)=PRAD(J)+PRADK0
      CALL INTEG(RHOX,ABROSS,TAUROS,NRHOX,ABROSS(1)*RHOX(1))
      IF(NLTEON.EQ.1)THEN
      READ(3,1174)NRHOX,(RHOX(J),(BHYD(J,I),I=1,6),BMIN(J),J=1,NRHOX)
 1174 FORMAT(27HREAD DEPARTURE COEFFICIENTSI3,21H RHOX  BHYD 1-6  BMIN/
     1(1PE11.4,0P7F9.4))
      ENDIF
      READ(3,1175)ITERPUN
 1175 FORMAT(5HBEGIN,20X,10HITERATION I3,10H COMPLETED )
      INQUIRE(3,NAME=FILENAME)
      FILENAME=FILENAME(INDEX(FILENAME,']')+1:60)
      FILENAME=FILENAME(1:INDEX(FILENAME,'.')-1)
      CLOSE(UNIT=3)
      GO TO 98
C************
 1200 NLTEON=0
      WLTE=WWLTE
      DO 1202 J=1,kw
      DO 1201 I=1,6
 1201 BHYD(J,I)=1.
 1202 BMIN(J)=1.
      GO TO 97
C************
 1300 NLTEON=1
      WLTE=WWNLTE
      GO TO 97
C************
 1500 IF(MODE.NE.1)GO TO 1510
      IF(NUMITS.EQ.0)WRITE(6,1501)
      IF(NRHOX.EQ.0)WRITE(6,1502)
      IF(NUMNU.EQ.0)WRITE(6,1503)
      IF(TEFF.EQ.0.)WRITE(6,1504)
      IF(GRAV.EQ.0.)WRITE(6,1505)
 1501 FORMAT(20H HOW MANY ITERATIONS)
 1502 FORMAT(14H HOW MANY RHOX)
 1503 FORMAT(21H HOW MANY FREQUENCIES)
 1504 FORMAT(10H WHAT TEFF)
 1505 FORMAT(13H WHAT GRAVITY)
      IF(NUMITS.EQ.0)CALL EXIT
      IF(NRHOX.EQ.0)CALL EXIT
      IF(NUMNU.EQ.0)CALL EXIT
      IF(TEFF.EQ.0.)CALL EXIT
      IF(GRAV.EQ.0.)CALL EXIT
 1510 CONTINUE
      IF(ABUND(1).LT.0.)ABUND(1)=EXP10(ABUND(1))
      IF(ABUND(2).LT.0.)ABUND(2)=EXP10(ABUND(2))
      DO 1511 IZ=3,99
      IF(ABUND(IZ).GT.0.)ABUND(IZ)=DLOG10(ABUND(IZ))
 1511 CONTINUE
      WRITE(6,1512)TEFF,GLOG,WLTE,TITLE,XSCALE,
     1(ELEM(IZ),ABUND(IZ),IZ=1,99)
 1512 FORMAT(1H1/////5H TEFF,F7.0,8H   LOG G,F8.4,3X,A4/
     17H0TITLE ,74A1/7H0XSCALE,F10.6,2(3X,A2,F8.5)/(10(1X,A2,F6.2)))
      DO 1513 IZ=3,99
 1513 XABUND(IZ)=EXP10(ABUND(IZ))*XSCALE
      XABUND(1)=ABUND(1)
      XABUND(2)=ABUND(2)
      WTMOLE=0.
      DO 1514 IZ=1,99
 1514 WTMOLE=WTMOLE+XABUND(IZ)*ATMASS(IZ)
      DO 1516 J=1,NRHOX
      TK(J)=1.38054E-16*T(J)
      HKT(J)=6.6256E-27/TK(J)
      HCKT(J)=HKT(J)*2.99792458E10
      TKEV(J)=8.6171E-5*T(J)
      TLOG(J)=DLOG(T(J))
      XNATOM(J)=P(J)/TK(J)-XNE(J)
      RHO(J)=XNATOM(J)*WTMOLE*1.660E-24
      IF(IFTURB.GT.0)PTURB(J)=.5*RHO(J)*VTURB(J)**2
 1516 CONTINUE
      WRITE(6,1517)IFOP
 1517 FORMAT(3H0H1I2,7H H2PLUSI2,7H HMINUSI2,5H HRAYI2,4H HE1I2,
     1 4H HE2I2,8H HEMINUSI2,6H HERAYI2,5H COOLI2,5H LUKEI2/
     2 4H HOTI2,9H ELECTRONI2,6H H2RAYI2,7H HLINESI2,6H LINESI2,
     3 9H LINESCATI2,7H XLINESI2,7H XLSCATI2,6H XCONTI2,6H XSCATI2)
      WRITE(6,1518)IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFCONV,MIXLTH,
     1IFMOL,IFTURB,TRBFDG,TRBPOW,TRBSND,TRBCON
 1518 FORMAT(7H0IFCORR,I2,8H  IFPRES,I2,8H  IFSURF,I2,8H  IFSCAT,I2,
     1 9H  TAUSCAT,1PE10.2,
     2 8H  IFCONV,I2,8H  MIXLTH,0PF6.2,7H  IFMOL,I2/7H IFTURB,I2,
     3 8H  TRBFDG,F6.2,8H  TRBPOW,F6.2,8H  TRBSND,F6.2,8H  TRBCON,F6.2)
      IF(MODE.NE.1)GO TO 1575
      WRITE(6,1521)NUMITS,IFPRNT,IFPNCH
 1521 FORMAT(7H NUMITS,I3,8H  IFPRNT,15I2,8H  IFPNCH,15I2)
      IF(IFWAVE.EQ.0)GO TO 1560
      WRITE(6,1536)WBEGIN,DELTAW,NUMNU
 1536 FORMAT(7H0WBEGIN,F11.4,9H   DELTAW,F7.4,8H   NUMNU,I5)
      GO TO 1575
 1560 WRITE(6,1561)FREQID,NUMNU,NULO,NUHI
 1561 FORMAT(8H0FREQID ,6A1,8H   NUMNU,I4,7H   NULO,I4,7H   NUHI,I4)
      NN=(NUMNU+3)/4
      NNN=NUMNU-NN*3
      IF(NNN.LT.1)NN=1
      IF(NNN.LT.1)NNN=1
      WRITE(6,1563)((NU,FRESET(NU),RCOSET(NU),NU=I,NUMNU,NN),I=1,NNN)
 1563 FORMAT((4(I6,1P2E13.6)))
      IF(NN.EQ.NNN)GO TO 1575
      NNN=NNN+1
      WRITE(6,1564)((NU,FRESET(NU),RCOSET(NU),NU=I,NUMNU,NN),I=NNN,NN)
 1564 FORMAT((3(I6,1P2E13.6)))
      SUM=0.
      DO 9500 NU=NULO,NUHI
 9500 SUM=SUM+RCOSET(NU)
      PRINT 9501,SUM
 9501 FORMAT(1PE13.6)
C
 1575 CONTINUE
      WRITE(6,1576)(J,RHOX(J),T(J),P(J),XNE(J),ABROSS(J),PRAD(J),
     1VTURB(J),(BHYD(J,I),I=1,6),BMIN(J),J=1,NRHOX)
 1576 FORMAT(1H1/////9X,4HRHOX,9X,1HT,8X,1HP,8X,3HXNE,6X,6HABROSS,
     1 5X,4HPRAD,6X,5HVTURB,23X,4HBHYD,25X,4HBMIN/
     2(I4,1PE13.6,0PF9.1,1P5E10.3,0P7F8.4))
C
      RETURN
C************
 1600 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 1610
C     OFF
      IF(MIAC.EQ.20763)GO TO 1620
C     LINES
      IF(MIAC.EQ.22965179)GO TO 1630
      GO TO 9000
 1610 IFSCAT=1
      GO TO 97
 1620 IFSCAT=0
      GO TO 97
 1630 IFSCAT=1
      NUMCOL=LETCOL
      TAUSCAT=FREEFF(CARD)
      GO TO 97
C************
 1700 IF(MODE.NE.20)CALL EXIT
      NRHOX=0
      RETURN
C************
 1800 DO 1801 I=1,74
      III=CARD(I+6)
      ITITLE(2*I)=(1H )
 1801 ITITLE(2*I-1)=III
C 1801 TITLE(I)=CARD(I+6)
      GO TO 98
C************
 1900 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 1910
C     OFF
      IF(MIAC.EQ.20763)GO TO 1920
C     OVER
      IF(MIAC.EQ.790116)GO TO 1930
      GO TO 9000
 1910 IFCONV=1
      NUMCOL=LETCOL
      MIXLTH=FREEFF(CARD)
      GO TO 97
 1920 IFCONV=0
      MIXLTH=1.
      DO 1921 J=1,NRHOX
      DLTDLP(J)=0.
      HEATCP(J)=0.
      DLRDLT(J)=0.
      VELSND(J)=0.
      GRDADB(J)=0.
      HSCALE(J)=0.
      FLXCNV(J)=0.
 1921 VCONV(J)=0.
      GO TO 97
 1930 IFCONV=1
      NUMCOL=LETCOL
      MIXLTH=FREEFF(CARD)
      OVERWT=FREEFF(CARD)
      NCONV=FREEFF(CARD)
      GO TO 97
C************
 2000 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 2010
C     OFF
      IF(MIAC.EQ.20763)GO TO 2020
      GO TO 9000
 2010 IFTURB=1
      NUMCOL=LETCOL
      TRBFDG=FREEFF(CARD)
      TRBPOW=FREEFF(CARD)
      TRBSND=FREEFF(CARD)
      TRBCON=FREEFF(CARD)
      GO TO 97
 2020 IFTURB=0
      TRBFDG=0.
      TRBPOW=0.
      TRBSND=0.
      TRBCON=0.
      GO TO 97
C************
 2100 NNEW=FREEFF(CARD)
      DO 2101 J=1,NNEW
 2101 RHOXA(J)=FREEFR(CARD)
      IDUM=MAP1(RHOX,T,NRHOX,RHOXA,DUM1,NNEW)
      IDUM=MAP1(RHOX,P,NRHOX,RHOXA,DUM2,NNEW)
      IDUM=MAP1(RHOX,XNE,NRHOX,RHOXA,DUM3,NNEW)
      IDUM=MAP1(RHOX,ABROSS,NRHOX,RHOXA,DUM4,NNEW)
      IDUM=MAP1(RHOX,VTURB,NRHOX,RHOXA,DUM5,NNEW)
      IDUM=MAP1(RHOX,PRAD,NRHOX,RHOXA,DUM6,NNEW)
      IDUM=MAP1(RHOX,BMIN,NRHOX,RHOXA,DUM7,NNEW)
      DO 2102 J=1,NNEW
      T(J)=DUM1(J)
      P(J)=DUM2(J)
      XNE(J)=DUM3(J)
      ABROSS(J)=DUM4(J)
      VTURB(J)=DUM5(J)
      PRAD(J)=DUM6(J)
      PRADK(J)=PRAD(J)+PRADK0
 2102 BMIN(J)=DUM7(J)
      DO 2105 I=1,6
      IDUM=MAP1(RHOX,BHYD(1,I),NRHOX,RHOXA,DUM1,NNEW)
      DO 2104 J=1,NNEW
 2104 BHYD(J,I)=DUM1(J)
 2105 CONTINUE
      NRHOX=NNEW
      DO 2106 J=1,NRHOX
 2106 RHOX(J)=RHOXA(J)
      GO TO 97
C************
 2200 NUM=FREEFF(CARD)
      NULO=FREEFF(CARD)
      NUHI=FREEFF(CARD)
      LETCOL=NUMCOL
      MIAC=IWORDF(CARD)
      NUMNU=NUM
      DO 2201 I=1,6
 2201 FREQID4(2*I-1)=WORD(I)
C     BIG
      IF(MIAC.EQ.3078)GO TO 2210
C     LITTLE
      IF(MIAC.EQ.850035822)GO TO 2220
      GO TO 9000
C     FREQUENCY SET BIG
C     NUMNU=337 IS CURRENT, NUMNU=331 IS OLD AND WILL WORK
 2210 DO 2211 NU=1,NUMNU
 2211 FRESET(NU)=2.997925E17/FRESET(NU+5)
      DO 2212 NU=2,NUMNU-1
 2212 RCOSET(NU)=(FRESET(NU-1)-FRESET(NU+1))/2.
      RCOSET(1)=(2.997925E17/8.97666-FRESET(2))/2.
      RCOSET(NUMNU)=FRESET(NUMNU-1)/2.
      GO TO 98
C     FREQUENCY SET LITTLE
C     NUMNU=1221 IS CURRENT, NUMNU=1215 IS OLD AND WILL WORK
 2220 DO 2221 NU=1,NUMNU
 2221 FRESET(NU)=2.997925E17/FRESET(NU+342)
      DO 2222 NU=2,NUMNU-1
 2222 RCOSET(NU)=(FRESET(NU-1)-FRESET(NU+1))/2.
      RCOSET(1)=(2.997925E17/8.97666-FRESET(2))/2.
      RCOSET(NUMNU)=FRESET(NUMNU-1)/2.
      GO TO 98
C************
 2300 MIAC=IWORDF(CARD)
C     INTENSITY
      IF(MIAC.EQ.651354309)GO TO 2310
C     FLUX
      IF(MIAC.EQ.321147)GO TO 2320
C     OFF
      IF(MIAC.EQ.20763)GO TO 2330
      GO TO 9000
 2310 NMU=FREEFF(CARD)
      DO 2311 MU=1,NMU
 2311 ANGLE(MU)=FREEFR(CARD)
      IFSURF=2
      GO TO 97
 2320 IFSURF=1
      GO TO 97
 2330 IFSURF=0
      GO TO 97
C************
 2400 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 2410
C     OFF
      IF(MIAC.EQ.20763)GO TO 2420
      GO TO 9000
 2410 IFPRES=1
      GO TO 97
 2420 IFPRES=0
      GO TO 97
C************
 2500 MIAC=IWORDF(CARD)
C     ON
      IF(MIAC.EQ.569)GO TO 2510
C     OFF
      IF(MIAC.EQ.20763)GO TO 2520
      GO TO 9000
 2510 IFCORR=1
      GO TO 97
 2520 IFCORR=0
      DO 2521 J=1,kw
      FLXERR(J)=0.
 2521 FLXDRV(J)=0.
      GO TO 97
C************
 2600 WBEGIN=FREEFF(CARD)
      DELTAW=FREEFF(CARD)
      WEND=FREEFF(CARD)
      IFWAVE=1
      NULO=1
      NUHI= INT(ABS(WEND-WBEGIN)/ABS(DELTAW)+.5)+1
      NUMNU=NUHI
      IF(WBEGIN.LT.1.E7)GO TO 97
      IF(WBEGIN.GT.1.E20)GO TO 2610
C     FREQUENCY STEPS
      WBEGIN=2.997925E17/WBEGIN
      DELTAW=2.997925E17/DELTAW
      WEND=2.997925E17/WEND
      GO TO 97
C     WAVENUMBER STEPS SCALE BY 1.E25
 2610 WBEGIN=1.E7/(WBEGIN/1.E25)
      DELTAW=1.E7/(DELTAW/1.E25)
      WEND=1.E7/(WEND/1.E25)
      GO TO 97
C************
C     SCALING MODELS OR CHANGING RHOX SPACING TO BE UNIFORM IN TAUROS
 2700 KRHOX=FREEFF(CARD)
      TAU1LG=FREEFF(CARD)
      STEPLG=FREEFF(CARD)
      MORE=1
      TEFF1=FREEFF(CARD)
      GNEW=FREEFF(CARD)
      IF(GNEW.LT.10.)GNEW=EXP10(GNEW)
      MORE=0
      DO 2701 J=1,KRHOX
 2701 TAUSTD(J)=EXP10(TAU1LG+DFLOAT(J-1)*STEPLG)
      CALL INTEG(RHOX,ABROSS,TAUROS,NRHOX,ABROSS(1)*RHOX(1))
c      TAUROS(1)=MIN(TAUROS(1),TAUSTD(1))
      IDUM=MAP1(TAUROS,RHOX,NRHOX,TAUSTD,DUM1,KRHOX)
      IDUM=MAP1(TAUROS,T,NRHOX,TAUSTD,DUM2,KRHOX)
      IDUM=MAP1(TAUROS,P,NRHOX,TAUSTD,DUM3,KRHOX)
      IDUM=MAP1(TAUROS,XNE,NRHOX,TAUSTD,DUM4,KRHOX)
      IDUM=MAP1(TAUROS,ABROSS,NRHOX,TAUSTD,DUM5,KRHOX)
      IDUM=MAP1(TAUROS,PRAD,NRHOX,TAUSTD,DUM6,KRHOX)
      IDUM=MAP1(TAUROS,VTURB,NRHOX,TAUSTD,DUM7,KRHOX)
      IDUM=MAP1(TAUROS,BMIN,NRHOX,TAUSTD,DUM8,KRHOX)
      DO 2702 J=1,KRHOX
      RHOX(J)=DUM1(J)
      T(J)=DUM2(J)
      P(J)=DUM3(J)
      XNE(J)=DUM4(J)
      ABROSS(J)=DUM5(J)
      PRAD(J)=DUM6(J)
      PRADK(J)=PRAD(J)+PRADK0
      VTURB(J)=DUM7(J)
 2702 BMIN(J)=DUM8(J)
      DO 2704 I=1,6
      IDUM=MAP1(TAUROS,BHYD(1,I),NRHOX,TAUSTD,DUM1,KRHOX)
      DO 2703 J=1,KRHOX
 2703 BHYD(J,I)=DUM1(J)
 2704 CONTINUE
      NRHOX=KRHOX
      IF(TEFF1.EQ.0.)GO TO 97
      IF(TEFF1.EQ.TEFF.AND.GNEW.EQ.GRAV)GO TO 97
      IF(TEFF1.LT.TEFF+1.AND.TEFF1.GT.TEFF-1..AND.
     1GNEW.LT.GRAV*1.001.AND.GNEW.GT.GRAV*.999)GO TO 97
      DO 2710 J=1,NRHOX
      TAUROS(J)=TAUSTD(J)
      T(J)=T(J)*TEFF1/TEFF
      PTURB(J)=0.
      PRADK(J)=PRADK(J)*(TEFF1/TEFF)**4
 2710 PRAD(J)=PRAD(J)*(TEFF1/TEFF)**4
      PRADK0=PRADK0*(TEFF1/TEFF)**4
      PZERO=PCON+PRADK0+PTURB0
      TEFF=TEFF1
      FLUX=5.6697E-5/12.5664*TEFF**4
      GRAV=GNEW
      GLOG=DLOG10(GRAV)
      CALL TTAUP(T,TAUROS,ABROSS,PTOTAL,P,PRAD,PTURB,
     1VTURB,GRAV,NRHOX,0)
      DO 2711 J=1,NRHOX
      RHOX(J)=PTOTAL(J)/GRAV
 2711 PTOTAL(J)=PTOTAL(J)+PZERO
C2711 RHOX(J)=PTOTAL(J)/GRAV
      GO TO 97
C************
 2800 CALL DUMMYR
      GO TO 97
C************
 2900 VNEW=FREEFF(CARD)
C     VTURB IN CM/S
      DO 2901 J=1,NRHOX
 2901 VTURB(J)=VNEW
      GO TO 97
C************
C     SMOOTH TEMPERTURE DISTRIBUTION
 3000 J1smooth=FREEFF(CARD)
      J2smooth=FREEFF(CARD)
      WTJM1=FREEFF(CARD)
      WTJ=FREEFF(CARD)
      WTJP1=FREEFF(CARD)
      DO 3001 J=J1smooth,J2smooth
 3001 TSMOOTH(J)=WTJM1*T(J-1)+WTJ*T(J)+WTJP1*T(J+1)
      DO 3002 J=J1smooth,J2smooth
 3002 T(J)=TSMOOTH(J)
      GO TO 97
      END
      SUBROUTINE DUMMYR
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     DUMMY INPUT ROUTINE FOR MODIFYING READIN
C
C
      RETURN
      END
      FUNCTION FREEFR(CARD)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREE/WORD(6),NUMCOL,LETCOL,LAST,MORE,IFFAIL,MAXPOW
      INTEGER CARD(1),WORD
      MORE=1
      FREEFR=FREEFF(CARD)
      IF(IFFAIL.EQ.0)RETURN
      L=LAST-1
      READ(5,1)(CARD(I),I=1,L)
    1 FORMAT(80A1)
      NUMCOL=1
      FREEFR=FREEFF(CARD)
      RETURN
      END
      FUNCTION FREEFF(CARD)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREE/WORD(6),NUMCOL,LETCOL,LAST,MORE,IFFAIL,MAXPOW
      DIMENSION CARD(1)
      DIMENSION A(10)
      INTEGER CARD,A,C,QPT,QCM,QMI,QE,QPL,QBL,WORD
      DATA A/1H0,1H1,1H2,1H3,1H4,1H5,1H6,1H7,1H8,1H9/
      DATA QPT/1H./,QCM/1H,/,QMI/1H-/,QE/1HE/,QPL/1H+/,QBL/1H /
      IFFAIL=0
      IF(NUMCOL.GT.LAST)GO TO 3002
      ANSWER=0.
      ASIGN=1.
      ISIGN=1
      NPT=0
      IF0=0
      N=0
      ASSIGN 100 TO NSWCH
      DO 1000 NCOL=NUMCOL,LAST
      C=CARD(NCOL)
      GO TO NSWCH,(100,200,300,400)
  100 IF(C.EQ.QBL)GO TO 104
      DO 101 I=1,10
      IF(C.EQ.A(I))GO TO 102
  101 CONTINUE
      IF(C.EQ.QPT)GO TO 103
      IF(C.EQ.QCM)GO TO 104
      IF(C.EQ.QMI)GO TO 105
  999 ASIGN=1.
      ANSWER=0.
      NPT=0
      IF0=0
      N=0
      ASSIGN 100 TO NSWCH
      GO TO 1000
  102 N=N+1
      ANSWER=10.*ANSWER+DFLOAT(I-1)
      GO TO 1000
  103 ASSIGN 200 TO NSWCH
      GO TO 1000
  104 IF(N.EQ.0)GO TO 999
      FREEFF=ANSWER*ASIGN
      GO TO 998
  105 IF(N.EQ.0)GO TO 106
      GO TO 999
  106 ASIGN=-1.
      GO TO 1000
  200 DO 201 I=1,10
      IF(C.EQ.A(I))GO TO 202
  201 CONTINUE
      IF(C.EQ.QE )GO TO 203
      IF(C.EQ.QMI)GO TO 304
      IF(C.EQ.QPL)GO TO 303
      IF(C.EQ.QBL)GO TO 204
      IF(C.EQ.QCM)GO TO 204
      GO TO 999
  202 N=N+1
      NPT=NPT+1
      ANSWER=10.*ANSWER+DFLOAT(I-1)
      GO TO 1000
  203 ASSIGN 300 TO NSWCH
      GO TO 1000
  204 IF(N.EQ.0)GO TO 999
      FREEFF=ANSWER*ASIGN/10.**NPT
      GO TO 998
  300 DO 301 I=1,10
      IF(C.EQ.A(I))GO TO 302
  301 CONTINUE
      IF(C.EQ.QBL)GO TO 303
      IF(C.EQ.QMI)GO TO 304
      IF(C.EQ.QPL)GO TO 303
      GO TO 999
  302 NPOWER=I-1
      IF0=1
  310 ASSIGN 400 TO NSWCH
      GO TO 1000
  303 NPOWER=0
      GO TO 310
  304 ISIGN=-1
      NPOWER=0
      GO TO 310
  400 DO 401 I=1,10
      IF(C.EQ.A(I))GO TO 402
  401 CONTINUE
      IF(C.EQ.QCM)GO TO 403
      IF(C.EQ.QBL)GO TO 403
      GO TO 999
  402 NPOWER=10*NPOWER+I-1
      IF0=1
      IF(NPOWER.GE.MAXPOW)GO TO 999
      GO TO 1000
  403 IF(IF0.EQ.0)GO TO 999
      FREEFF=ANSWER*ASIGN*10.**(ISIGN*NPOWER-NPT)
      GO TO 998
 1000 CONTINUE
      NUMCOL=LAST+1
 3002 IFFAIL=1
      IF(MORE.GT.0)GO TO 3000
      WRITE(6,3001)(CARD(I),I=1,LAST)
 3001 FORMAT(28H1FREEFF HAS READ OFF THE END/(1X80A1))
      CALL EXIT
 3000 FREEFF=0.
      RETURN
  998 NUMCOL=NCOL+1
      RETURN
      END
      FUNCTION IWORDF(CARD)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREE/WORD(6),NUMCOL,LETCOL,LAST,MORE,IFFAIL,MAXPOW
      DIMENSION CARD(1)
      DIMENSION A(36)
      EQUIVALENCE (QE,A(5))
      INTEGER CARD,A,C,WORD,QPT,QCM,QEQ,QBL,QE
      DATA A/1HA,1HB,1HC,1HD,1HE,1HF,1HG,1HH,1HI,1HJ,1HK,1HL,1HM,1HN,
     11HO,1HP,1HQ,1HR,1HS,1HT,1HU,1HV,1HW,1HX,1HY,1HZ,1H0,1H1,1H2,1H3,
     21H4,1H5,1H6,1H7,1H8,1H9/
      DATA QPT/1H./,QCM/1H,/,QEQ/1H=/,QBL/1H /
      DO 1 I=1,6
    1 WORD(I)=QBL
      IFFAIL=0
      IF(LETCOL.GT.LAST)GO TO 4002
      N=0
C     (M)ACHINE (I)NDEPENDENT (A)LPHAMERIC (C)ODE
      MIAC=0
      ASSIGN 500 TO NSWCH
      DO 2000 NCOL=LETCOL,LAST
      C=CARD(NCOL)
      GO TO NSWCH,(500,600)
  500 IF(C.EQ.QBL)GO TO 1999
      DO 501 II=1,26
      IF(C.EQ.A(II))GO TO 502
  501 CONTINUE
 1999 MIAC=0
      N=0
      ASSIGN 500 TO NSWCH
      GO TO 2000
  502 IF(C.NE.QE )GO TO 506
      IF(NCOL.EQ.1)GO TO 506
      C=CARD(NCOL-1)
      DO 503 I=27,36
      IF(C.EQ.A(I))GO TO 504
  503 CONTINUE
      IF(C.NE.QPT)GO TO 506
  504 C=CARD(NCOL+1)
      DO 505 I=27,36
      IF(C.EQ.A(I))GO TO 1999
  505 CONTINUE
      IF(C.EQ.QBL)GO TO 1999
  506 N=N+1
      MIAC=II
      WORD(1)=A(II)
      ASSIGN 600 TO NSWCH
      GO TO 2000
  600 IF(C.EQ.QBL)GO TO 603
      IF(C.EQ.QEQ)GO TO 603
      IF(C.EQ.QCM)GO TO 603
      DO 601 II=1,36
      IF(C.EQ.A(II))GO TO 602
  601 CONTINUE
      GO TO 1999
  602 N=N+1
      IF(N.GT.6)GO TO 604
      MIAC=37*MIAC+II
      WORD(N)=A(II)
  604 GO TO 2000
  603 IWORDF=MIAC
      GO TO 998
 2000 CONTINUE
      LETCOL=LAST+1
 4002 IFFAIL=1
      IF(MORE.GT.0)GO TO 4000
      WRITE(6,4001)(CARD(I),I=1,LAST)
 4001 FORMAT(28H1IWORDF HAS READ OFF THE END/(1X80A1))
      CALL EXIT
 4000 IWORDF=0
      RETURN
  998 LETCOL=NCOL+1
      RETURN
      END
      SUBROUTINE READMOL
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION XCODE(8)
C     COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /IFEQUA/IFEQUA(101),KCOMPS(450),LOCJ(161),CODE(160),
     1               EQUIL(6,160),IDEQUA(25),NEQUA,NUMMOL,NLOC
C     COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DATA MAXMOL,MAX1,MAXEQ,MAXLOC/160,161,25,450/
C     EQUILJ(MAXMOL),LOCJ(MAX1),KCOMPS(MAXLOC)
C     XNZ(40,MAXEQ)
C     EQUIL(6,MAXMOL)
C     EQ(MAXEQ),XN(MAXEQ),XAB(MAXEQ),DTERM(MAXEQ),DEQ(MAXEQ,MAXEQ)
C     EQOLD(MAXEQ)
C     IDEQUA(MAXEQ)
C     CODE(MAXMOL),XNMOL(40,MAXMOL)
      DATA XCODE/1.E14,1.E12,1.E10,1.E8,1.E6,1.E4,1.E2,1.E0/
C     MAKE TABLE OF ALL COMPONENTS OF ALL MOLECULES
C     SAMPLE CODES FOR ATOMS AND MOLECULES
C                     EXTERNAL CODE    INTERNAL COMPONENTS
C     CARBON DIOXIDE    60808.         6,8,8
C     HMINUS            100.           1,100
C     NEUTRAL IRON      26.            26
C     H2PLUS            101.01         1,1,101
C     HYDROGEN ION      1.01           1,101
C     SILICON 3+        14.03          14,101,101,101
C      IF(ITEMP.GT.0)RETURN
C      IF(IFMOL.EQ.0)RETURN
C      IF(IFPRES.EQ.0)RETURN
      OPEN(UNIT=2,STATUS='OLD',SHARED,READONLY)
      WRITE(6,10)
   10 FORMAT(16H1MOLECULES INPUT)
      DO 11 I=1,101
   11 IFEQUA(I)=0
C     IF IFEQUA=1 AN EQUATION MUST BE SET UP FOR ELEMENT I
      KLOC=1
      LOCJ(1)=1
      DO 20 JMOL=1,MAX1
      IF(KLOC.GT.MAXLOC)WRITE(6,199)
      READ(2,13)C,E1,E2,E3,E4,E5,E6
   13 FORMAT(F18.2,F7.3,5E11.4)
      IF(C.EQ.0.)GO TO 23
      WRITE(6,14)JMOL,C,E1,E2,E3,E4,E5,E6
   14 FORMAT(I5,F18.2,F7.3,1P5E11.4)
      DO 15 II=1,8
      IF(C.GE.XCODE(II))GO TO 16
   15 CONTINUE
      CLOSE(UNIT=2)
      CALL EXIT
   16 X=C
      DO 17 I=II,8
      ID=X/XCODE(I)+.5
      X=X-DFLOAT(ID)*XCODE(I)
      IF(ID.EQ.0)ID=100
      IFEQUA(ID)=1
      KCOMPS(KLOC)=ID
   17 KLOC=KLOC+1
      ION=X*100.+.5
      IF(ION.LT.1)GO TO 19
      IFEQUA(100)=1
      IFEQUA(101)=1
      DO 18 I=1,ION
      KCOMPS(KLOC)=101
   18 KLOC=KLOC+1
   19 LOCJ(JMOL+1)=KLOC
      CODE(JMOL)=C
      EQUIL(1,JMOL)=E1
      EQUIL(2,JMOL)=E2
      EQUIL(3,JMOL)=E3
      EQUIL(4,JMOL)=E4
      EQUIL(5,JMOL)=E5
   20 EQUIL(6,JMOL)=E6
      WRITE(6,199)
  199 FORMAT(19H1TOO MANY MOLECULES)
   23 NUMMOL=JMOL-1
      NLOC=KLOC-1
C     ASSIGN AN EQUATION NUMBER TO EACH COMPONENT
C     THE FIRST EQUATION IS FOR THE TOTAL NUMBER OF PARTICLES
C     THE FIRST VARIABLE IS XNATOM
C     IF ANY COMPONENT IS 100 OR 101 VARIABLE NEQUA IS XNE
C         AND EQUATION NEQUA IS CHARGE CONSERVATION
C     FOR  PROGRAMMING CONVENIENCE VARIABLE NEQUA1 IS INVERSE XNE
C     DIMENSIONS ARE SET FOR A MAXIMUM 25 EQUATIONS
      IEQUA=1
      DO 25 I=1,100
      IF(IFEQUA(I).EQ.0)GO TO 25
      IEQUA=IEQUA+1
      IFEQUA(I)=IEQUA
      IDEQUA(IEQUA)=I
   25 CONTINUE
      NEQUA=IEQUA
      NEQUA1=NEQUA+1
      IFEQUA(101)=NEQUA1
      NEQNEQ=NEQUA**2
      DO 28 KLOC=1,NLOC
      ID=KCOMPS(KLOC)
   28 KCOMPS(KLOC)=IFEQUA(ID)
      WRITE(6,29) NUMMOL,MAXMOL,NLOC,MAXLOC,NEQUA,MAXEQ
   29 FORMAT(16H MOLECULES  USED,I4,5H  MAX,I4/
     1       16H COMPONENTS USED,I4,5H  MAX,I4/
     2       16H EQUATIONS  USED,I4,5H  MAX,I4)
      CLOSE(UNIT=2)
      RETURN
      END
      SUBROUTINE POPS(CODE,MODE,NUMBER)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION NUMBER(kw,1)
      REAL*8 NUMBER
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /XABUND/XABUND(99),WTMOLE
      DATA ITEMP1/0/
      IF(IFMOL.EQ.1)GO TO 200
      IF(IFPRES.EQ.1.AND.ITEMP.NE.ITEMP1)CALL NELECT
      ITEMP1=ITEMP
      IF(CODE.EQ.0.)RETURN
      IF(CODE.LT.100.)GO TO 110
      WRITE(6,106)
  106 FORMAT(14H1MOLECULES OFF)
      CALL EXIT
  110 IZ=CODE
      NION=(CODE-DFLOAT(IZ))*100.+1.5
      DO 115 J=1,NRHOX
      CALL PFSAHA(J,IZ,NION,MODE,NUMBER)
C     PFSAHA RETURNS IONIZATION FRACTIONS OR IONIZATION FRACTIONS/
C        PARTITION FUNCTIONS SO CONVERT TO NUMBER DENSITIES
      NNNN=NION
      IF(MODE.LT.10)NNNN=1
      DO 115 ION=1,NNNN
  115 NUMBER(J,ION)=NUMBER(J,ION)*XNATOM(J)*XABUND(IZ)
      RETURN
  200 IF(IFPRES.EQ.1.AND.ITEMP.NE.ITEMP1)CALL NMOLEC(MODE)
      ITEMP1=ITEMP
      IF(CODE.EQ.0.)RETURN
      CALL MOLEC(CODE,MODE,NUMBER)
      RETURN
      END
      SUBROUTINE NELECT
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /EDENS/EDENS(kw),IFEDNS
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /XABUND/XABUND(99),WTMOLE
      DIMENSION ELEC(kw),E(10),X(10),MASK(10),NELEMZ(10),NIONZ(10)
      DIMENSION XNUMB(kw,3),PFPLUS(13),PFMIN(13),EION(7)
      EQUIVALENCE (ELEC(1),XNUMB(1,1)),(PFPLUS(7),EION(1))
      DATA NELEMZ/1,2,6,11,12,13,14,19,20,26/
      DATA NIONZ/2,3,2,2,2,2,2,2,2,2/,NZ/10/
      IF(ITER.LT.NUMITS)GO TO 406
      IF(IFEDNS.EQ.1)GO TO 407
      DO 401 I=1,NZ
      NELEM=NELEMZ(I)
  401 E(I)=ELEM(NELEM)
      WRITE(6,402)(E(I),I=1,NZ),(E(I),I=1,NZ)
  402 FORMAT(1H1////50X,22HELECTRON CONTRIBUTIONS/3X,20(4X,A2))
  406 XNE(1)=P(1)/TK(1)/2.
  407 DO 500 J=1,NRHOX
      IF(J.GT.1.AND.IFEDNS.EQ.0)XNE(J)=XNE(J-1)*P(J)/P(J-1)
      XNTOT=P(J)/TK(J)
      XNATOM(J)=XNTOT-XNE(J)
      DO 1 I=1,NZ
    1 MASK(I)=1
      DO 20 L=1,200
      XNENEW=0.
      DO 11 I=1,NZ
      IF(MASK(I).EQ.0)GO TO 11
      IZ=NELEMZ(I)
      NION=NIONZ(I)
      CALL PFSAHA(J,IZ,NION,4,ELEC)
      E(I)=ELEC(J)
      X(I)=ELEC(J)*XNATOM(J)*XABUND(IZ)
      XNENEW=XNENEW+X(I)
   11 CONTINUE
      XNENEW=(XNENEW+XNE(J))/2.
      ERROR=ABS((XNE(J)-XNENEW)/XNENEW)
      XNE(J)=XNENEW
      XNATOM(J)=XNTOT-XNE(J)
      IF(ERROR.LT..0005)GO TO 400
      IF(J.EQ.1)GO TO 20
      X1=.00001*XNE(J)
      IF(ERROR.LT..05)X1=X1*10.
      DO 12 I=1,NZ
      IF(X(I).LT.X1)MASK(I)=0
   12 CONTINUE
   20 CONTINUE
      WRITE(6,250)
  250 FORMAT(22H XNE DOES NOT CONVERGE)
      CALL EXIT
  400 RHO(J)=XNATOM(J)*WTMOLE*1.660E-24
      IF(IFEDNS.EQ.0)GO TO 33
      EDENS(J)=1.5*XNTOT*TK(J)
      DO 411 I=1,NZ
      IZ=NELEMZ(I)
      NION=NIONZ(I)
      T(J)=T(J)*1.001
      TK(J)=TK(J)*1.001
      TKEV(J)=TKEV(J)*1.001
      CALL PFSAHA(J,IZ,NION,5,PFPLUS)
      T(J)=T(J)/1.001*.999
      TK(J)=TK(J)/1.001*.999
      TKEV(J)=TKEV(J)/1.001*.999
      CALL PFSAHA(J,IZ,NION,5,PFMIN)
      T(J)=T(J)/.999
      TK(J)=TK(J)/.999
      TKEV(J)=TKEV(J)/.999
      CALL PFSAHA(J,IZ,NION,12,XNUMB)
      DO 410 ION=1,NION
      XNUMB(J,ION)=XNUMB(J,ION)*XNATOM(J)*XABUND(IZ)
  410 EDENS(J)=EDENS(J)+XNUMB(J,ION)*TK(J)*(EION(ION)/TKEV(J)+
     1(PFPLUS(ION)-PFMIN(ION))/(PFPLUS(ION)+PFMIN(ION))*2.*500.)
  411 CONTINUE
      EDENS(J)=EDENS(J)/RHO(J)
      GO TO 500
   33 IF(ITER.LT.NUMITS)GO TO 500
      DO 403 I=1,NZ
  403 X(I)=X(I)/XNE(J)
      WRITE(6,404)J,(X(I),I=1,NZ),(E(I),I=1,NZ)
  404 FORMAT(I4,20F6.3)
  500 CONTINUE
      RETURN
      END
      SUBROUTINE PFSAHA(J,IZ,NION,MODE,ANSWER)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     MODE 1 RETURNS IONIZATION FRACTION /PARTITION FUNCTION
C     MODE 2 RETURNS IONIZATION FRACTION
C     MODE 3 RETURNS PARTITION FUNCTION
C     MODE 4 RETURNS NUMBER OF ELECTRONS PRODUCED
C     MODE 5 RETURNS ANSWER(ION)=PF   ANSWER(ION+7)=IP
C     MODE + 10 RETURN ALL IONS TO NION.   MODE ALONE RETURN NION ONLY.
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /POTION/POTION(999)
      DIMENSION ANSWER(kw,31),F(31),IP(31),PART(31),POTLO(31),fsave(31)
      dimension LOCZ(29)
      REAL*8 IP
      DIMENSION SCALE(4)
      DIMENSION EHYD(6),EHE1(29),EHE2(6),EC1(14),EMG1(11),EAL1(9),
     1ESI1(11),EC2(6),EMG2(6),EAL2(1),ESI2(6),ECA1(8),ECA2(5),ENA1(8),
     2EO1(13),EB1(7),EK1(8)
      DIMENSION GHYD(6),GHE1(29),GHE2(6),GC1(14),GMG1(11),GAL1(9),
     1GSI1(11),GC2(6),GMG2(6),GAL2(1),GSI2(6),GCA1(8),GCA2(5),GNA1(8),
     2GO1(13),GB1(7),GK1(8)
      DIMENSION NNN(6,374)
      DIMENSION NNN01(54),NNN02(54),NNN03(54),NNN04(54),NNN05(54)
      DIMENSION NNN06(54),NNN07(54),NNN08(54),NNN09(54),NNN10(54)
      DIMENSION NNN11(54),NNN12(54),NNN13(54),NNN14(54),NNN15(54)
      DIMENSION NNN16(54),NNN17(54),NNN18(54),NNN19(54),NNN20(54)
      DIMENSION NNN21(54),NNN22(54),NNN23(54),NNN24(54),NNN25(54)
      DIMENSION NNN26(54),NNN27(54),NNN28(54),NNN29(54),NNN30(54)
      DIMENSION NNN31(54),NNN32(54),NNN33(54),NNN34(54),NNN35(54)
      DIMENSION NNN36(54),NNN37(54),NNN38(54),NNN39(54),NNN40(12)
      EQUIVALENCE (NNN(   1),NNN01(1)),(NNN(  55),NNN02(1))
      EQUIVALENCE (NNN( 109),NNN03(1)),(NNN( 163),NNN04(1))
      EQUIVALENCE (NNN( 217),NNN05(1)),(NNN( 271),NNN06(1))
      EQUIVALENCE (NNN( 325),NNN07(1)),(NNN( 379),NNN08(1))
      EQUIVALENCE (NNN( 433),NNN09(1)),(NNN( 487),NNN10(1))
      EQUIVALENCE (NNN( 541),NNN11(1)),(NNN( 595),NNN12(1))
      EQUIVALENCE (NNN( 649),NNN13(1)),(NNN( 703),NNN14(1))
      EQUIVALENCE (NNN( 757),NNN15(1)),(NNN( 811),NNN16(1))
      EQUIVALENCE (NNN( 865),NNN17(1)),(NNN( 919),NNN18(1))
      EQUIVALENCE (NNN( 973),NNN19(1)),(NNN(1027),NNN20(1))
      EQUIVALENCE (NNN(1081),NNN21(1)),(NNN(1135),NNN22(1))
      EQUIVALENCE (NNN(1189),NNN23(1)),(NNN(1243),NNN24(1))
      EQUIVALENCE (NNN(1297),NNN25(1)),(NNN(1351),NNN26(1))
      EQUIVALENCE (NNN(1405),NNN27(1)),(NNN(1459),NNN28(1))
      EQUIVALENCE (NNN(1513),NNN29(1)),(NNN(1567),NNN30(1))
      EQUIVALENCE (NNN(1621),NNN31(1)),(NNN(1675),NNN32(1))
      EQUIVALENCE (NNN(1729),NNN33(1)),(NNN(1783),NNN34(1))
      EQUIVALENCE (NNN(1837),NNN35(1)),(NNN(1891),NNN36(1))
      EQUIVALENCE (NNN(1945),NNN37(1)),(NNN(1999),NNN38(1))
      EQUIVALENCE (NNN(2053),NNN39(1)),(NNN(2107),NNN40(1))
      DIMENSION NNN67(78),NNN88(48)
      EQUIVALENCE (NNN(2119),NNN67(1)),(NNN(2197),NNN88(1))
C      ( 1)( 2)   ( 3)( 4)   ( 5)( 6)   ( 7)( 8)   ( 9)(10)   ( IP ) G  REF
      DATA NNN01/
     1 200020001, 200020011, 201620881, 231228281, 378953411,  1359502, D+F 1.00
     2 100010001, 100010001, 100010001, 100010001, 100010001,  1359500, G   1.01
     3 100010001, 100010011, 102111241, 145022061, 363059451,  2458104, D+F 2.00
     4 200020001, 200020071, 208524971, 382669341, 128222452,  5440302, D+F 2.01
     5 100010001, 100010001, 100010001, 100010001, 100010001,  5440300, G   2.02
     6 200020011, 201220481, 212922881, 258731081, 394251691,   538901, D+F 3.00
     7 100010001, 100010201, 126225521,  67216512, 351165562,  7561907, D+F 3.01
     8 200020001, 200020211, 227936571,  69610342, 137217102, 12241800, D+F 3.02
     9 100010001, 100010001, 100010001, 100010001, 100010001, 12241800/ G   3.03
      DATA NNN02/
     1 100010051, 104311441, 131615641, 190623681, 298037691,   931900, AEL 4.00
     2 200120231, 211422771, 249627631, 309034911, 398545051,  1820600, AEL 4.01
     3 100010001, 100010201, 126225521,  67216512, 351165562, 15385000, AEL 4.02
     4 200020001, 200020011, 201220661, 223426161, 332644691, 21765700, AEL 4.03
     5 600060001, 600560281, 608761991, 637466191, 693973361,   829500, AEL 5.00
     6 100310831, 132016901, 214226411, 315736741, 419147071,  2514900, AEL 5.01
     7 200721061, 233526401, 297533311, 369040481, 440747651,  3792000, AEL 5.02
     8 100010001, 100010001, 100010001, 100010001, 100010001, 25929800, G   5.03
     9 893292271,  96110042, 105311262, 126315202, 196126432,  1125508/ D+F 6.00
      DATA NNN03/
     1 595060251, 620865751, 713280191,  95712292, 167623542,  2437501, D+F 6.01
     2 105513201, 180324851, 341851341,  88416332, 296550722,  4787101, D+F 6.02
     3 204922771, 262630421, 350941931, 494556971, 644872001,  6447600, D+F 6.03
     4 403141851, 457051681, 594071181,  92913362, 203331152,  1452915, D+F 7.00
     5 919899541, 107211512, 124914302, 182526232, 403762662,  2959202, D+F 7.01
     6 596862721, 684177081,  88110342, 128317062, 239334312,  4742501, D+F 7.02
     7 112816481, 240733751, 462068491, 116419932, 283736822,  7744900, D+F 7.03
     8 210124681, 293634211, 391145791, 539862151, 703178471,  9786200, D+F 7.04
     9 874789691, 924795711,  99410492, 115213492, 169022242,  1361307/ D+F 8.00
      DATA NNN04/
     1 424151091, 622874781,  91312832, 221842502,  79914013,  3510711, D+F 8.01
     2  95610702, 118113032, 149619922, 329761642, 101914173,  5488500, D+F 8.02
     3 603567171, 775391141, 106612482, 143716252, 181420032,  7739300, D+F 8.03
     4 124420321, 306943181, 606281181, 101712232, 142916342, 11387300, D+F 8.04
     5 215026541, 323137551, 421546491, 508255151, 594863811, 13807900, AEL 8.05
     6 575958511, 589859231, 595860671, 636470031, 815199581,  1741802, D+F 9.00
     7 900296401, 102610802, 113912542, 152921152, 318348952,  3498003, D+F 9.01
     8 469162651, 791295541, 121419552, 402686872, 154822203,  6264500, D+F 9.02
     9  99511422, 129214572, 170523002, 320140922, 498458762,  8713900/ D+F 9.03
      DATA NNN05/
     1 615472711,  87710602, 127215002, 172919582, 218624152, 11421300, D+F 9.04
     2 135324181, 377252001, 661580261,  94410852, 122613672, 15711700, AEL 9.05
     3 100010001, 100010051, 105313051, 210239461,  74013022,  2155808, D+F10.00
     4 580158751, 591759741, 642687101, 159332652,  64111533,  4106907, D+F10.01
     5  93510272, 110411662, 127116062, 257647882,  75110223,  6350000, D+F10.02
     6 529774371,  94611322, 135816202, 188221442, 240626682,  9701900, D+F10.03
     7 103312152, 140616092, 181320182, 222224262, 263128352, 12630000, AEL10.04
     8 629178711,  98311802, 136715512, 173619202, 210422892, 15790900, AEL10.05
     9 200020001, 200320211, 207322131, 253031421, 417657451,   513802/ D+F11.00
      DATA NNN06/
     1 100010001, 100010161, 119621261,  50711872, 246445382,  4728901, D+F11.01
     2 580158751, 591860351,  71813142, 321968812, 106014333,  7165000, D+F11.02
     3  96910772, 116012242, 130714232, 153916552, 177118872,  9888000, D+F11.03
     4 601386081, 108812932, 148916832, 187820722, 226624612, 13836900, AEL11.04
     5 105712442, 144616652, 189221182, 234425702, 279630222, 17209000, AEL11.05
     6 100010011, 101410621, 118414581, 204831781, 509479731,   764404, D+F12.00
     7 200120051, 202921001, 226926901, 368457091,  92814872,  1503101, D+F12.01
     8 100010001, 100110611, 177455431, 176546012,  99718753,  8011905, D+F12.02
     9 579758751, 591459501, 600560591, 611461681, 622362781, 10928900/ AEL12.03
      DATA NNN07/
     1 100611232, 120612752, 134214102, 147815462, 161416822, 14122900, AEL12.04
     2 674896701, 121814462, 167018942, 211723412, 256527892, 18648900, AEL12.05
     3 558857701, 583558761, 593260591, 635969541, 796790971,   598400, D+F13.00
     4 100310211, 110313021, 172828201,  55311252, 215637942,  1882203, D+F13.01
     5 200320201, 208622331, 250530971, 410251081, 611571211,  2844000, D+F13.02
     6 100010001, 100210881, 207436531, 523168101, 838999681, 11996000, D+F13.03
     7 577758651, 591259631, 604461351, 622563161, 640764981, 15377000, AEL13.04
     8 103511582, 124713242, 140014772, 155316292, 170517812, 19042000, AEL13.05
     9 825189211,  95210052, 106211532, 134317202, 237934082,   814913/ D+F14.00
      DATA NNN08/
     1 563057761, 588160311, 631768671, 791097651, 127817282,  1634000, D+F14.01
     2 101110771, 126716471, 232438081,  71914052, 262045302,  3346001, D+F14.02
     3 200720521, 217224081, 284439171, 551370951,  86810262,  4513000, D+F14.03
     4 100010001, 100210881, 207436531, 523168101, 838999681, 16672900, FAK14.04
     5 575458521, 591459851, 610063201, 672674071, 843698661, 20510900, AEL14.05
     6 402643441, 496757481, 658274401, 833492941, 103511532,  1048300, AEL15.00
     7 874497931, 106011282, 119812802, 138415142, 164717802,  1972000, AEL15.01
     8 564058061, 604164611, 709579551,  90410172, 112912422,  3015500, AEL15.02
     9 100811411, 149720221, 280936121, 441552181, 602168241,  5135400/ AEL15.03
      DATA NNN09/
     1 200420781, 227025361, 281430911, 336936471, 392542021,  6500700, AEL15.04
     2 100010001, 100010001, 100010001, 100010001, 100010001, 22041300, G  15.05
     3 822887891, 930697831, 102610932, 121614492, 185124742,  1035708, D+F16.00
     4 443056011, 694982961,  96911522, 144218572, 227326892,  2339900, D+F16.01
     5  91610392, 113512242, 136416942, 233429882, 364242962,  3500000, D+F16.02
     6 560058861, 633871081,  82410062, 123314602, 168619132,  4728900, D+F16.03
     7 104512901, 177025421, 375163021, 122420462, 286036742,  7250000, D+F16.04
     8 202321571, 241428261, 358355061,  78310152, 124814802,  8802800, D+F16.05
     9 538155931, 571657911, 598067191,  89013782, 227737172,  1300916/ D+F17.00
      DATA NNN10/
     1 873396771, 104411072, 118513532, 175525872, 406763932,  2379903, D+F17.01
     2 506569571,  87610522, 134421682, 439092662, 182132573,  3990006, D+F17.02
     3  95110872, 120013232, 154921252, 345149322, 641378942,  5350000, D+F17.03
     4 558960371, 677779341,  95311692, 138816082, 182720472,  6780000, D+F17.04
     5 100010001, 100010051, 106913911, 240147261,  90716112,  1575411, D+F18.00
     6 550256831, 578158781, 636585461, 151530162,  58010303,  2762007, D+F18.01
     7  92110362, 112412002, 133216772, 254443722,  76512833,  4090003, D+F18.02
     8 582082081, 103112292, 149920212, 309750502, 720793642,  5978900, D+F18.03
     9  97111072, 123213982, 172625622, 463976582, 106413633,  7500000/ D+F18.04
      DATA NNN11/
     1 200020011, 200720361, 211923291, 280137141, 525575741,   433803, D+F19.00
     2 100010001, 100110341, 135929551,  79119282, 405274892,  3180905, D+F19.01
     3 554657081, 581260301,  73012702, 285363872, 129023363,  4600005, D+F19.02
     4  96010862, 118413212, 180836632,  90321023, 416863253,  6090000, D+F19.03
     5 657793361, 119515082, 195826322, 352944302, 533162332,  8259900, D+F19.04
     6 100110061, 104311741, 145919971, 294345051,  69010322,   611003, D+F20.00
     7 205822781, 279234761, 427553061, 688994901, 136319772,  1186701, D+F20.01
     8 100010001, 100510821, 168744821, 130232522,  69012813,  5121003, D+F20.02
     9 555157161, 585662471,  82816862,  42510013, 168423663,  6700000/ D+F20.03
      DATA NNN12/
     1  99411262, 123814062, 182930402, 484766392,  84310223,  8438900, D+F20.04
     2 924696691, 105212282, 151219062, 240530032, 368944512,   653900, AEL21.00
     3 190424662, 297634542, 391743752, 482952832, 573761912,  1280000, AEL21.01
     4 976799291, 101110322, 105810882, 111911502, 118112122,  2475000, AEL21.02
     5 100010001, 100510821, 168744821, 130232522,  69012813,  7390000, FAK21.03
     6 555157161, 585662471,  82816862,  42510013, 168423663,  9200000, FAK21.04
     7 181021172, 260333222, 430155582, 710089242, 110213293,   681900, D+F22.00
     8 474659872, 721284672,  98211413, 134515623, 177919963,  1356900, D+F22.01
     9 228327012, 308134272, 381143862, 534563472, 734983512,  2747000/ D+F22.02
      DATA NNN13/
     1 971498311,  99210032, 102610572, 108711172, 114711782,  4324000, D+F22.03
     2 100010001, 100510821, 168744821, 130232522,  69012813,  9980000, FAK22.04
     3 272835172, 425851532, 632278322,  97212013, 146817723,   674000, AEL23.00
     4 373954132, 743597002, 121414713, 173920143, 229225713,  1464900, AEL23.01
     5 323142642, 519660272, 679975352, 824789522,  96610363,  2930900, AEL23.02
     6 248329302, 324234952, 373439752, 421744582, 469949412,  4800000, AEL23.03
     7 970698231, 990699881, 100710152, 102410322, 104010482,  6500000, AEL23.04
     8 717277611,  92911652, 152620872, 295141952, 550468122,   676400, D+F24.00
     9  71611552, 205635512, 558281952, 115315823, 205625293,  1649000/ D+F24.01
      DATA NNN14/
     1 280639822, 538369722,  87610823, 129115003, 170919183,  3095000, D+F24.02
     2 377150952, 616070292, 791788382,  97610683, 116012523,  5000000, D+F24.03
     3 264730962, 341436462, 394042872, 463549832, 533056782,  7300000, D+F24.04
     4 600060321, 629270891,  86911302, 151020222, 267534752,   743100, AEL25.00
     5 739594821, 139921212, 309342852, 567372412,  97112553,  1563600, AEL25.01
     6  98417472, 265535782, 454754842, 641973532, 828792212,  3369000, AEL25.02
     7 328847052, 586668342, 771785912,  94710343, 112112093,  5300000, AEL25.03
     8 422055132, 636770792, 779285062, 921999322, 106411363,  7600000, AEL25.04
     9 197023222, 274433302, 416753952, 723799822, 139419053,   787038/ D+F26.00
      DATA NNN15/
     1 409453722, 686687452, 110213823, 174322233, 286437043,  1617902, D+F26.01
     2 262136422, 501167232,  87911303, 138916483, 190721673,  3064300, D+F26.02
     3  98723522, 420363072,  87011423, 145117913, 215925463,  5700000, AEL26.03
     4 388854482, 666275742, 846693572, 102511143, 120312923,  7900000, D+F26.04
     5 199427202, 335740022, 474957182, 708090462, 118315403,   786000, D+F27.00
     6 279739202, 490858232, 684582472, 104713233, 159818733,  1704900, D+F27.01
     7 279836622, 461857562, 720693022, 124915873, 192522633,  3349000, D+F27.02
     8 262136422, 501167232,  87911303, 138916483, 190821673,  5300000, FAK27.03
     9  98723522, 420363072,  87011423, 145117913, 215925463,  8300000/ FAK27.04
      DATA NNN16/
     1 227027622, 306233052, 356839222, 446052912, 652382292,   763314, D+F28.00
     2 108416342, 222428472, 353944332, 577378932, 110314303,  1814900, D+F28.01
     3 198724282, 293236452, 468362702,  86511123, 136016073,  3516000, D+F28.02
     4 279836622, 461857562, 720693022, 124915873, 192522633,  5600000, FAK28.03
     5 262136422, 501167232,  87911303, 138916483, 190721673,  7900000, FAK28.04
     6 201620781, 231026761, 314737361, 450555381, 692386911,   772301, D+F29.00
     7 109415761, 247938311,  58910042, 190937022,  68311693,  2028903, D+F29.01
     8 897195961, 107212972, 165021182, 260230862, 356940532,  3682900, D+F29.02
     9 100010001, 100410231, 108712611, 167124841, 388460411,   939102/ D+F30.00
      DATA NNN17/
     1 200020021, 201620761, 223726341, 351352061,  80812472,  1796001, D+F30.01
     2 100610471, 122617301, 300566361, 149924112, 332342352,  3970000, D+F30.02
     3 403245601, 493151431, 529654331, 559358091, 611065171,   600000, AEL31.00
     4  99710051, 104511541, 135016501, 208226431, 321837921,  2050900, AEL31.01
     5 199820071, 204521391, 229124761, 266028451, 302932131,  3070000, AEL31.02
     6 502665261, 755183501, 901496201, 102410942, 117912812,   787900, AEL32.00
     7 422848161, 512153401, 557458941, 636270361, 794489061,  1593000, AEL32.01
     8 100010261, 114613921, 175221251, 249828711, 324436181,  3421000, AEL32.02
     9 403143241, 491856701, 649173781, 840396751, 113013392,   981000/ AEL33.00
      DATA NNN18/
     1 593676641, 884697521, 105911572, 129515012, 180322212,  1858700, AEL33.01
     2 484470541,  91510972, 125614082, 157017612, 199722912,  2829900, AEL33.02
     3 630172361, 799686381, 919797221, 102810942, 117712832,   975000, AEL34.00
     4 438055511, 691582151,  94510732, 121413672, 152016732,  2150000, AEL34.01
     5 651982921,  94610382, 113212492, 139515462, 169718482,  3200000, AEL34.02
     6 437347431, 498951671, 538559501,  74710812, 169126672,  1183910, D+F35.00
     7 705183611,  93510092, 111614162, 222932532, 427652992,  2160000, D+F35.01
     8 510869921,  87410312, 123116552, 236530712, 377744832,  3590000, D+F35.02
     9 100010001, 100010051, 105012781, 198535971,  65911422,  1399507/ D+F36.00
      DATA NNN19/
     1 461049811, 522254261, 609088131, 168935052,  68612253,  2455908, D+F36.01
     2 759990901, 101911142, 129017782, 302856642,  99414333,  3690000, D+F36.02
     3 200020011, 200720361, 211523021, 269434141, 459163351,   417502, D+F37.00
     4 100010001, 100110321, 129524961,  61014202, 291753192,  2750004, D+F37.01
     5 473650891, 533156051,  66810932, 232950852,  99915303,  4000000, D+F37.02
     6 100110041, 104111741, 146019721, 281941411, 607785251,   569202, D+F38.00
     7 202621931, 255331271, 384347931, 624085761, 122417632,  1102600, D+F38.01
     8 100010001, 100110321, 129524961,  61014202, 291753192,  4300000, FAK38.02
     9 791587851, 100012192, 155119942, 254031782, 389946932,   637900/ AEL39.00
      DATA NNN20/
     1 118217102, 220827002, 319036792, 416646512, 513256072,  1223000, AEL39.01
     2  92510012, 104710862, 112311612, 120212472, 132814282,  2050000, AEL39.02
     3 141320802, 291439702, 531170262,  92712273, 162521053,   684000, D+F40.00
     4 354454352, 724689652, 107212643, 148517093, 193321573,  1312900, D+F40.01
     5 209727032, 324537052, 415446282, 510255752, 604965222,  2298000, D+F40.02
     6 256636022, 465759302, 749693962, 116514243, 171520333,   687900, AEL41.00
     7 335157222,  84511463, 147718363, 221826083, 299933893,  1431900, AEL41.01
     8 289742562, 555768442, 819296482, 112312923, 146916533,  2503900, AEL41.02
     9 703972941,  82610822, 154822682, 327244912, 571469372,   709900/ D+F42.00
      DATA NNN21/
     1  75714552, 274347322, 718897632, 123414913, 174920063,  1614900, D+F42.01
     2 267645462, 669890262, 115514323, 173620673, 242528083,  2714900, AEL42.02
     3  90613732, 184823562, 291735332, 419949102, 565764332,   728000, AEL43.00
     4 131318312, 227126932, 311735452, 397644072, 483852692,  1525900, AEL43.01
c     7jun04 error found by John Laird twice
c    5 204721673, 234725733, 284031463, 348738613, 426546943,  3000000, AEL43.02
     5 600460071, 607964351, 731488341, 110013702, 168420312,  3000000, AEL43.02
     6 176824122, 318941082, 515263202, 761790472, 106112303,   736400, AEL44.00
     7 221934642, 501968372,  88911173, 136316243, 189221613,  1675900, AEL44.01
     8 210622722, 241025422, 267928262, 297731272, 327834282,  2846000, AEL44.02
     9 148520202, 255230902, 364942462, 489656082, 638872352,   746000/ AEL45.00
      DATA NNN22/
     1 153421292, 288137912, 484660322, 720187062, 101011483,  1807000, AEL45.01
     2 254537212, 492362292, 770592182, 107312243, 137615273,  3104900, AEL45.02
     3 115919651, 320746011, 607576761,  95011642, 141817172,   832900, AEL46.00
     4 755087211, 105913442, 173122222, 282034722, 412247732,  1941900, AEL46.01
     5 180223462, 289735212, 414247632, 538460052, 662672472,  3292000, AEL46.02
     6 200020001, 200220141, 206422141, 257633021, 455164681,   757403, D+F47.00
     7 100810581, 125817401, 260641031,  66210072, 135316982,  2148000, D+F47.01
     8 795887491,  97711762, 156620252, 248329422, 340038582,  3481900, D+F47.02
     9 100010001, 100410241, 109212891, 176827421, 444268771,   899003/ D+F48.00
      DATA NNN23/
     1 200020021, 201720921, 233329881, 451475371, 127520782,  1690301, D+F48.01
     2 100310281, 114815371, 246138311, 519265531, 791492761,  3747000, D+F48.02
     3 252431921, 368440461, 433746521, 512259221, 723389021,   578400, D+F49.00
     4 100110071, 104611651, 146118581, 225426511, 304734431,  1886000, D+F49.01
     5 200120111, 205021611, 243628031, 317035371, 390442701,  2802900, D+F49.02
     6 232637101, 488058571, 669074381, 816189091,  97210632,   734200, AEL50.00
     7 286335941, 408144471, 479351961, 571862901, 686274341,  1462700, AEL50.01
     8 100010251, 114013811, 175321601, 256829751, 338337901,  3049000, AEL50.02
     9 404043481, 494656811, 646772781, 813490751, 101411372,   863900/ AEL51.00
      DATA NNN24/
     1 303147981, 618472951, 827392621, 103711702, 131214532,  1650000, AEL51.01
     2 313037601, 429347901, 536260591, 689477591, 862494881,  2529900, AEL51.02
     3 526258801, 657372351, 784284071, 897095741, 102711082,   900900, AEL52.00
     4 440855541, 686481251,  93810792, 125414792, 176321132,  1860000, AEL52.01
     5 349054751, 699883081,  96611302, 134216202, 197724212,  2800000, AEL52.02
     6 405342041, 438645621, 475751071, 587974491, 102214572,  1045404, D+F53.00
     7 568567471, 773485861,  94510362, 112712182, 130914002,  1909000, D+F53.01
     8 514269581,  86910562, 130716652, 215327742, 351843662,  3200000, AEL53.02
     9 100010001, 100010091, 109515351, 291060661, 119621482,  1212716/ D+F54.00
      DATA NNN25/
     1 414844131, 465649111, 538464651,  87112232, 158019362,  2120000, D+F54.01
     2 615475101, 867797531, 112213462, 157618062, 203622662,  3209900, D+F54.02
     3 200020001, 201020501, 215623871, 283536181, 462756261,   389300, D+F55.00
     4 100010001, 100310371, 119016501, 269146361,  77912412,  2510000, D+F55.01
     5 424445601, 481750061, 516953311, 549356551, 581759791,  3500000, D+F55.02
     6 101210791, 135119351, 282340571, 574580391, 111015062,   521002, D+F56.00
     7 262638611, 504160621, 698579371,  91010692, 129115952,  1000000, D+F56.01
     8 100010001, 100310351, 118416321, 264945521,  76512182,  3700000, FAK56.02
     9  71111992, 172323592, 312540402, 510763182, 765791012,   558000/ AEL57.00
      DATA NNN26/
     1 204529582, 383647882, 582469262, 807992692, 104911723,  1106000, AEL57.01
     2  94712552, 148416582, 179819212, 203621522, 227424042,  1916900, AEL57.02
     3 295959132, 103515693, 215527593, 335939413, 449650223,   565000, AEL58.00
     4  79718153, 289639443, 495159253, 686877533, 863794813,  1085000, AEL58.01
     5 298640242, 475053692, 596965912, 725379692, 872094692,  2008000, AEL58.02
     6 460693672, 158523823, 327242303, 519661563, 709379783,   541900, FAK59.00
     7 455480232, 114014653, 178521013, 240927073, 299232633,  1055000, AEL59.01
     8  46410533, 183826893, 354443773, 518459633, 674375243,  2320000, AEL59.02
     9 139623042, 364860002,  96114603, 209828633, 373446973,   549000/ AEL60.00
      DATA NNN27/
     1 460493692, 158523823, 327142303, 519661563, 709279783,  1073000, AEL60.01
     2 455480232, 114014653, 178521013, 240927073, 299232633,  2000000, FAK60.02
     3 131720482, 280535692, 441254492, 676583972, 103412583,   555000, AEL61.00
     4 139623042, 364860002,  96114603, 209828633, 373446973,  1089900, FAK61.01
     5 460493682, 158523823, 327142303, 519661563, 709279783,  2000000, FAK61.02
     6  92915672, 222431062, 444763802,  89612173, 159520253,   562900, AEL62.00
     7 315059662,  97114563, 204627093, 342541693, 490556383,  1106900, AEL62.01
     8 269037812, 520270372,  91111273, 133915483, 172719093,  2000000, AEL62.02
     9 800080571, 851699301, 127617362, 240433032, 444958442,   568000/ AEL63.00
      DATA NNN28/
     1 125416052, 211828182, 375549622, 644381732, 101112213,  1125000, AEL63.01
     2 800080571, 851699301, 127617362, 240433032, 444958442,  2000000, FAK63.02
     3 240432982, 427555202, 708489962, 112613853, 167319843,   615900, AEL64.00
     4 534793262, 139219123, 247730843, 371043333, 495055893,  1210000, AEL64.01
     5 364145232, 514756362, 604864112, 673870372, 732276072,  2000000, AEL64.02
     6 480767202,  89011393, 144118243, 230028753, 354142883,   584900, AEL65.00
     7 480767192,  89011393, 144118243, 230028753, 354142883,  1151900, FAK65.01
     8 480767202,  89011393, 144118243, 230028753, 354142883,  2000000, FAK65.02
     9 343147532, 645887152, 115314793, 183322063, 257729373,   593000/ FAK66.00
      DATA NNN29/
     1 343147532, 645887142, 115314793, 183322063, 257729373,  1167000, AEL66.01
     2 343147532, 645887142, 115314793, 183322063, 257729373,  2000000, FAK66.02
     3 222635002, 542276772, 100312353, 145716713, 187020703,   602000, FAK67.00
     4 222635002, 542276772, 100312353, 145716713, 187020703,  1180000, FAK67.01
     5 222635002, 542276772, 100312353, 145716713, 187020703,  2000000, AEL67.02
     6 133715382, 209130152, 429859382,  79410293, 129815983,   609900, AEL68.00
     7 265934782, 497877532, 120517733, 245032063, 400448073,  1193000, AEL68.01
     8 265934782, 497877532, 120517733, 245032063, 400448073,  2000000, FAK68.02
     9 800381111,  87510702, 147621462, 310343462, 585475982,   618000/ AEL69.00
      DATA NNN30/
     1 156718872, 279244452, 678196342, 128316243, 197823443,  1205000, AEL69.01
     2  93517192, 364666132, 103414613, 192624193, 293334613,  2370000, AEL69.02
     3 100010011, 101310651, 118613951, 169120661, 250629971,   625000, AEL70.00
     4 200120901, 270345231,  81714042, 223533112, 461959862,  1217000, AEL70.01
     5 100312561, 250851931,  91914182, 198626022, 323638692,  2000000, AEL70.02
     6 514664441, 759086851,  99211442, 133315612, 182721252,   609900, AEL71.00
     7 125924831, 438667801,  98714112, 199727872, 380850742,  1389900, AEL71.01
     8 323948621, 661297271, 158626482, 426865032,  93712843,  1900000, AEL71.02
     9 659294081, 128016962, 222528952, 372047062, 585171462,   700000/ AEL72.00
      DATA NNN31/
     1  99117882, 274638812, 520867322,  84410313, 123314453,  1489900, AEL72.01
     2 187427702, 343739872, 448049452, 539358282, 625266642,  2329900, AEL72.02
     3  65210892, 171325762, 373552252, 705192012, 116414343,   787900, AEL73.00
     4 192837842, 600784802, 111113823, 165419233, 218524383,  1620000, AEL73.01
     5  99117872, 274638812, 520867312,  84410313, 123314453,  2400000, FAK73.02
     6 398981651, 130019172, 273438022, 516168382,  88411163,   797900, AEL74.00
     7 131429482, 523279952, 111414623, 183422233, 262130233,  1770000, AEL74.01
     8 192837842, 600784792, 111113823, 165419233, 218524383,  2500000, FAK74.02
     9 600963001,  75910412, 150121572, 301940972, 539168952,   787000/ AEL75.00
      DATA NNN32/
     1  73710852, 190731262, 464964142,  83810503, 127315053,  1660000, AEL75.01
     2 131429482, 523279952, 111414623, 183422233, 262130233,  2600000, FAK75.02
     3 110815502, 216829732, 398752322, 672484682, 104612673,   850000, AEL76.00
     4 168225972, 362046562, 566766422, 757484612,  93010103,  1700000, AEL76.01
     5  73710852, 190731262, 464964142,  83810503, 127315053,  2700000, FAK76.02
     6 129117892, 239430882, 388748292, 596173252,  89510843,   910000, AEL77.00
     7 110815502, 216829732, 398752322, 672484682, 104612673,  2000000, FAK77.01
     8 168225972, 362046562, 566766422, 757484612,  93010103,  2800000, FAK77.02
     9 158918512, 207523002, 254328242, 316335762, 407246582,   900000/ AEL78.00
      DATA NNN33/
     1  98115462, 224930742, 401150612, 623475412,  89910583,  1855900, AEL78.01
     2 110815502, 216829732, 398752322, 672484682, 104612673,  2900000, FAK78.02
     3 203222611, 265731251, 364042301, 494958601, 702084731,   922000, AEL79.00
     4 120521331, 357753801,  75310062, 130516572, 206925452,  2050000, AEL79.01
     5 651780821, 108814772, 195925252, 316338622, 460853882,  3000000, AEL79.02
     6 100010001, 100110111, 105211851, 152122101, 341552811,  1043002, D+F80.00
     7 200320211, 210023021, 268834231, 480472341, 111416912,  1875000, D+F80.01
     8 104012871, 186129471, 458664151,  82410072, 119013732,  3420000, D+F80.02
     9 200420711, 222424271, 265429161, 325637371, 442853911,   610500/ AEL81.00
      DATA NNN34/
     1 100010021, 101910801, 121414641, 189525811, 358949721,  2041900, AEL81.01
     2 200020311, 216624611, 296337451, 489064791,  85711212,  2979900, AEL81.02
     3 103411711, 147819101, 244331781, 434862751,  93113762,   741404, D+F82.00
     4 204122231, 248227841, 311535621, 429153941, 651976431,  1502800, D+F82.01
     5 100210131, 106812201, 154522671, 381665951,  95512512,  3192900, D+F82.02
     6 400140351, 416944121, 474851591, 564362181, 690477231,   728700, AEL83.00
     7 106814451, 204427341, 350744811, 586879131, 108314772,  1667900, AEL83.01
     8 205523051, 264830231, 345439921, 469156001, 675281671,  2555900, AEL83.02
     9 500950661, 518153561, 559058941, 628968071, 748483501,   843000/ AEL84.00
      DATA NNN35/
     1 443756241, 696282451,  95411012, 128615262, 182922012,  1900000, FAK84.01
     2 336953201, 682481011,  93810882, 127915272, 184622442,  2700000, FAK84.02
     3 402841621, 431544771, 463148311, 520059491, 734896851,   930000, FAK85.00
     4 576168741, 788387631,  96910642, 116012552, 135014462,  2000000, FAK85.01
     5 490265341, 812797201, 116614322, 179622692, 285035302,  2900000, FAK85.02
     6 100010001, 100010031, 102311051, 133018071, 264539391,  1074500, AEL86.00
     7 402841621, 431544771, 463148311, 520059491, 734996851,  2000000, FAK86.01
     8 576168741, 788387631,  96910642, 116012552, 135014462,  3000000, FAK86.02
     9 200020011, 201220591, 218124481, 296538611, 488859141,   400000/ FAK87.00
      DATA NNN36/
     1 100010001, 100010031, 102311051, 133018071, 264539401,  2200000, FAK87.01
     2 421645151, 477449611, 511852711, 542455761, 572958821,  3300000, FAK87.02
     3 100010041, 105212131, 153220271, 270435641, 460258111,   527600, AEL88.00
     4 201221791, 258131471, 381645781, 546365131, 777592781,  1014400, AEL88.01
     5 100010001, 100010031, 102311051, 133018071, 264539391,  3400000, FAK88.02
     6 510064491,  82710872, 142718412, 232328712, 348341572,   690000, AEL89.00
     7 228951571,  88513232, 183324132, 305537492, 448152402,  1210000, AEL89.01
     8 723989131, 103511752, 130814352, 155416652, 177018682,  2000000, AEL89.02
     9 620099241, 162725772, 391457072,  80110833, 141818023,   600000/ AEL90.00
      DATA NNN37/
     1 620099241, 162725772, 391457072,  80110833, 141818023,  1200000, FAK90.01
     2 620099251, 162725772, 391457072,  80110833, 141818023,  2000000, FAK90.02
     3 347877992, 129318323, 240730533, 380546863, 570368573,   600000, AEL91.00
     4 347877992, 129318323, 240730533, 380546863, 570368573,  1200000, FAK91.01
     5 347777992, 129318323, 240730533, 380546863, 570368573,  2000000, FAK91.02
     6 209530092, 450866762,  96613623, 186524763, 318839893,   600000, AEL92.00
     7 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK92.01
     8 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK92.02
     9 209530092, 450866762,  96613623, 186524763, 318839893,   600000/ FAK93.00
      DATA NNN38/
     1 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK93.01
     2 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK93.02
     3 209530092, 450866762,  96613623, 186524763, 318839893,   600000, FAK94.00
     4 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK94.01
     5 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK94.02
     6 209530092, 450866762,  96613623, 186524763, 318839893,   600000, FAK95.00
     7 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK95.01
     8 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK95.02
     9 209530092, 450866762,  96613623, 186524763, 318839893,   600000/ FAK96.00
      DATA NNN39/
     1 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK96.01
     2 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK96.02
     3 209530092, 450866762,  96613623, 186524763, 318839893,   600000, FAK97.00
     4 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK97.01
     5 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK97.02
     6 209530092, 450866762,  96613623, 186524763, 318839893,   600000, FAK98.00
     7 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK98.01
     8 209530092, 450866762,  96613623, 186524763, 318839893,  2000000, FAK98.02
     9 209530092, 450866762,  96613623, 186524763, 318839893,   600000/ FAK99.00
      DATA NNN40/
     1 209530092, 450866762,  96613623, 186524763, 318839893,  1200000, FAK99.01
     2 209530092, 450866762,  96613623, 186524763, 318839893,  2000000/ FAK99.02
      DATA NNN67/
     1 893292271,  96110042, 105311262, 126315202, 196126432,  1125508, D+F 6.00
     2 595060251, 620865751, 713280191,  95712292, 167623542,  2437501, D+F 6.01
     3 105513201, 180324851, 341851341,  88416332, 296550722,  4787101, D+F 6.02
     4 204922771, 262630421, 350941931, 494556971, 644872001,  6447600, D+F 6.03
     5 100010001, 100010001, 100010001, 100010001, 100010001, 39207700, G   6.04
     6 200020001, 200020001, 200020001, 200020001, 200020001, 48998100, G   6.05
     7 403141851, 457051681, 594071181,  92913362, 203331152,  1452915, D+F 7.00
     8 919899541, 107211512, 124914302, 182526232, 403762662,  2959202, D+F 7.01
     9 596862721, 684177081,  88110342, 128317062, 239334312,  4742501, D+F 7.02
     T 112816481, 240733751, 462068491, 116419932, 283736822,  7744900, D+F 7.03
     1 210124681, 293634211, 391145791, 539862151, 703178471,  9786200, D+F 7.04
     2 100010001, 100010001, 100010001, 100010001, 100010001, 55205700, G   7.05
     3 200020001, 200020001, 200020001, 200020001, 200020001, 66702900/ G   7.06
      DATA NNN88/
     1 874789691, 924795711,  99410492, 115213492, 169022242,  1361307, D+F 8.00
     2 424151091, 622874781,  91312832, 221842502,  79914013,  3510711, D+F 8.01
     3  95610702, 118113032, 149619922, 329761642, 101914173,  5488500, D+F 8.02
     4 603567171, 775391141, 106612482, 143716252, 181420032,  7739300, D+F 8.03
     5 124420321, 306943181, 606281181, 101712232, 142916342, 11387300, D+F 8.04
     6 215026541, 323137551, 421546491, 508255151, 594863811, 13807900, AEL 8.05
     7 100010001, 100010001, 100010001, 100010001, 100010001, 73927400, G   8.06
     8 200020001, 200020001, 200020001, 200020001, 200020001, 87138700/ G   8.07
      DATA EHYD/0.,82259.105,97492.302,102823.893,105291.651,106632.160/
      DATA GHYD/2.,8.,18.,32.,50.,72./
      DATA EHE1/0.,159856.069,166277.546,169087.007,171135.000,
     1 183236.892,184864.936,185564.694,186101.654,186105.065,
     2 186209.471,190298.210,190940.331,191217.14,191444.588,
     3 191446.559,191451.80,191452.08,191492.817,
     4 193347.089,193663.627,193800.78,193917.245,193918.391,
     5 193921.31,193921.37,193922.5,193922.5,193942.57/
      DATA GHE1/1.,3.,1.,9.,3.,3.,1.,9.,15.,5.,3.,3.,1.,9.,15.,5.,21.,
     1 7.,3.,3.,1.,9.,15.,5.,21.,7.,27.,9.,3./
      DATA EHE2/0.,329182.321,390142.359,411477.925,421353.135,
     1 426717.413/
      DATA GHE2/2.,8.,18.,32.,50.,72./
      DATA EB1/10.17,28810.,40039.65,47856.99,48613.01,54767.74,
     1 55010.08/
      DATA GB1/6.,12.,2.,10.,6.,10.,2./
      DATA EC1/29.60,10192.66,21648.02,33735.20,60373.00,61981.82,
     1 64088.85,68856.33,69722.00,70743.95,71374.90,72610.72,73975.91,
     2 75254.93/
      DATA GC1/9.,5.,1.,5.,9.,3.,15.,3.,15.,3.,9.,5.,1.,9./
      DATA EC2/42.48,43035.8,74931.11,96493.74,110652.10,116537.65/
      DATA GC2/6.,12.,10.,2.,6.,2./
      DATA EO1/77.975,15867.862,33792.583,73768.200,76794.978,86629.089,
     1 88630.977,95476.728,96225.049,97420.748,97488.476,99094.065,
     2 99681.051/
      DATA GO1/9.,5.,1.,5.,3.,15.,9.,5.,3.,25.,15.,15.,9./
      DATA ENA1/0.,16956.172,16973.368,25739.991,29172.889,29172.839,
     1 30266.99,30272.58/
      DATA GNA1/2.,2.,4.,2.,6.,4.,2.,4./
      DATA EMG1/0.,21890.854,35051.264,41197.403,43503.333,
     1 46403.065,47847.797,47957.034,49346.729,51872.526,52556.206/
      DATA GMG1/1.,9.,3.,3.,1.,5.,9.,15.,3.,3.,1./
      DATA EMG2/0.,35730.36,69804.95,71490.54,80639.85,92790.51/
      DATA GMG2/2.,6.,2.,10.,6.,2./
      DATA EAL1/74.707,25347.756,29097.11,32436.241,32960.363,
     1 37689.413,38932.139,40275.903,41319.377/
      DATA GAL1/6.,2.,12.,10.,6.,2.,10.,6.,14./
      DATA ESI1/149.681,6298.850,15394.370,33326.053,39859.920,
     1 40991.884,45303.310,47284.061,47351.554,48161.459,49128.131/
      DATA GSI1/9.,5.,1.,5.,9.,3.,15.,3.,5.,15.,9./
      DATA ESI2/191.55,43002.27,55319.11,65500.73,76665.61,79348.67/
      DATA GSI2/6.,12.,10.,2.,2.,10./
      DATA EK1/0.,12985.170,13042.876,21026.551,21534.680,21536.988,
     1 24701.382,24720.139/
      DATA GK1/2.,2.,4.,2.,6.,4.,2.,4./
      DATA ECA1/0.,15263.089,20356.265,21849.634,23652.304,31539.495,
     1 33317.264,35831.203/
      DATA GCA1/1.,9.,15.,5.,3.,3.,1.,21./
      DATA ECA2/0.,13686.60,25340.10,52166.93,56850.78/
      DATA GCA2/2.,10.,6.,2.,10./
      DATA LOCZ/1,3,6,10,14,18,22,27,33,39,45,51,57,63,69,75,81,86,91,
     196,101,106,111,116,121,126,131,136,141/
      DATA SCALE/.001,.01,.1,1./
C
      MODE1=MODE
      IF(MODE1.GT.10)MODE1=MODE1-10
C     LOWERING OF THE IONIZATION POTENTIAL IN VOLTS FOR UNIT ZEFF
      CHARGE=XNE(J)*2.
      EXCESS=2.*XNE(J)-P(J)/TK(J)
C     ALLOWANCE FOR DOUBLY IONIZED HELIUM
      IF(EXCESS.GT.0.)CHARGE=CHARGE+2.*EXCESS
	if(charge.eq.0)charge=1.
      DEBYE=SQRT(TK(J)/2.8965E-18/CHARGE)
C     DEBYE=SQRT(TK(J)/12.5664/4.801E-10**2/CHARGE)
      POTLOW=DMIN1(1.D0,1.44E-7/DEBYE)
      TV=TKEV(J)
      IF(IZ.LE.28)N=LOCZ(IZ)
      IF(IZ.GT.28)N=3*IZ+54
      IF(IZ.LE.28)NIONS=LOCZ(IZ+1)-N
      IF(IZ.GT.28)NIONS=3
      IF(IZ.EQ.6)N=354
      IF(IZ.EQ.6)NIONS=6
      IF(IZ.EQ.7)N=360
c      IF(IZ.EQ.7)NIONS=6
      IF(IZ.EQ.7)NIONS=7
	if(iz.eq.8)n=367
	if(iz.eq.8)nions=8
	if(iz.ge.20.and.iz.lt.29)nions=10
      NION2=MIN0(NION+2,NIONS)
      N=N-1
C
      DO 18 ION=1,NION2
      Z=ION
      POTLO(ION)=POTLOW*Z
      IF(IZ.LE.30)INDEX=IZ*(IZ+1)/2+ION-1
      IF(IZ.GT.30)INDEX=IZ*5+341+ION-1
      IP(ION)=POTION(INDEX)/8065.479
      IF(IP(ION).EQ.0)IP(ION)=POTION(INDEX-1)/8065.479
C
      IF(IZ.GE.20.AND.IZ.LT.29)THEN
      CALL PFIRON(IZ,ION,TLOG(J)/2.30258509299405,
     1POTLO(ION)*8065.479,PART(ION))
      GO TO 18
      ENDIF
C
      N=N+1
      NNN100=NNN(6,N)/100
c      IP(ION)=DFLOAT(NNN100)/1000.
      G=NNN(6,N)-NNN100*100
c      IF(N.EQ.1)GO TO 16
      IF(N.EQ.1)GO TO 1100
      IF(N.EQ.3)GO TO 1110
      IF(N.EQ.4)GO TO 1120
      IF(N.EQ.354)GO TO 1130
      IF(N.EQ.51)GO TO 1140
      IF(N.EQ.57)GO TO 1150
      IF(N.EQ.63)GO TO 1160
      IF(N.EQ.355)GO TO 1132
      IF(N.EQ.52)GO TO 1142
      IF(N.EQ.64)GO TO 1162
      IF(N.EQ.96)GO TO 1170
      IF(N.EQ.97)GO TO 1172
C     IF(N.EQ.27)GO TO 1180
      IF(N.EQ.367)GO TO 1180
      IF(N.EQ.45)GO TO 1190
      IF(N.EQ.14)GO TO 1200
      IF(N.EQ.91)GO TO 1210
c
      T2000=IP(ION)*2000./11.
      IT=MAX0(1,MIN0(9, INT(T(J)/T2000-.5)))
      DT=T(J)/T2000-DBLE(IT)-.5
      PMIN=1.
      I=(IT+1)/2
      K1=NNN(I,N)/100000
      K2=NNN(I,N)-K1*100000
      K3=K2/10
      KSCALE=K2-K3*10
      IF(MOD(IT,2).EQ.0)GO TO 12
      P1=DBLE(K1)*SCALE(KSCALE)
      P2=DBLE(K3)*SCALE(KSCALE)
      IF(DT.GE.0.)GO TO 13
      IF(KSCALE.GT.1)GO TO 13
      KP1=P1
      IF(KP1.NE. INT(P2+.5))GO TO 13
      PMIN=KP1
      GO TO 13
   12 P1=DBLE(K3)*SCALE(KSCALE)
      K1=NNN(I+1,N)/100000
      KSCALE=MOD(NNN(I+1,N),10)
      P2=DBLE(K1)*SCALE(KSCALE)
   13 PART(ION)=MAX(PMIN,P1+(P2-P1)*DT)
CCCCCCCCCC
cc      IF(T(J).LT.T2000*1.5)THEN
cc      NELION=(IZ-1)*6+ION
cc      if(iz.eq.8.and.ion.eq.1)nelion=431
cc      if(iz.eq.9.and.ion.eq.1)nelion=491
cc      if(iz.eq.9.and.ion.eq.2)nelion=501
cc      IF(PFGROUND(NELION,T(J)).GT.1)PART(ION)=PFGROUND(NELION,T(J))
cc      GO TO 18
cc      ENDIF
CCCCCCCCCC
C      IF(T(J).LT.T2000*1.5)THEN
C      NELION=(IZ-1)*6+ION
C      IF(PFGROUND(NELION,T(J)).GT.1)PART(ION)=PFGROUND(NELION,T(J))
C      GO TO 18
C      ENDIF
CCCCCCCCCC
C     patch 14jun2004 after John Laird
C     in case PFGROUND is larger than PFSAHA
      IF(T(J).LT.T2000*2.0)THEN
      NELION=(IZ-1)*6+ION
      if(iz.eq.8.and.ion.eq.1)nelion=431
      if(iz.eq.9.and.ion.eq.1)nelion=491
      if(iz.eq.9.and.ion.eq.2)nelion=501
      PART(ION)=MAX(PFGROUND(NELION,T(J)),PART(ION))
      GO TO 18
      ENDIF
CCCCCCCCCC
      IF(G.EQ.0..OR.POTLO(ION).LT..1.OR.T(J).LT.T2000*4.)GO TO 18
      IF(T(J).GT.(T2000*11.))TV=(T2000*11.)*8.6171E-5
      D1=.1/TV
   14 D2=POTLO(ION)/TV
      PART(ION)=PART(ION)+G*EXP(-IP(ION)/TV)*(SQRT(13.595*Z*Z/TV/D2)**3*
     1(1./3.+(1.-(.5+(1./18.+D2/120.)*D2)*D2)*D2)-
     2SQRT(13.595*Z*Z/TV/D1)**3*
     3(1./3.+(1.-(.5+(1./18.+D1/120.)*D1)*D1)*D1))
      TV=TKEV(J)
      GO TO 18
c   16 PART(1)=2.*BHYD(J,1)
C      IF(T(J).LT.9000.)GO TO 18
c      PART(1)=PART(1)+8.*BHYD(J,2)*EXP(-10.196/TV)+18.*BHYD(J,3)*
c     1EXP(-12.084/TV)+32.*BHYD(J,4)*EXP(-12.745/TV)+50.*BHYD(J,5)*
c     2EXP(-13.051/TV)+72.*BHYD(J,6)*EXP(-13.217/TV)
c      D1=13.595/6.5/6.5/TV
c      D2=POTLO(1)/TV
c      GO TO 14
 1100 B=BHYD(J,1)
      IF(NLTEON.EQ.-1)B=1.
      PART(1)=2.*B
C     IF(T(J).LT.9000.)GO TO 18
      DO 1101 I=2,6
      B=BHYD(J,I)
      IF(NLTEON.EQ.-1)B=1.
 1101 PART(1)=PART(1)+GHYD(I)*B        *EXP(-EHYD(I)*HCKT(J))
      D1=109677.576/6.5/6.5*HCKT(J)
      GO TO 14
c 1110 B=BHE1(J,1)
 1110 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B
c      IF(T(J).LT.15000.)GO TO 18
      DO 1111 I=2,29
c      B=BHE1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1111 PART(1)=PART(1)+GHE1(I)*B        *EXP(-EHE1(I)*HCKT(J))
      D1=109677.576/5.5/5.5*HCKT(J)
      GO TO 14
c 1120 B=BHE2(J,1)
 1120 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(2)=2.*B
c      IF(T(J).LT.30000.)GO TO 18
      DO 1121 I=2,6
c      B=BHE2(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1121 PART(2)=PART(2)+GHE2(I)*B        *EXP(-EHE2(I)*HCKT(J))
      D1=4.*109722.267/6.5/6.5*HCKT(J)
      GO TO 14
c 1130 B=BC1(J,1)
 1130 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B       *(1.+3.*EXP(-16.42*HCKT(J))+
     1 5.*EXP(-43.42*HCKT(J)))
      DO 1131 I=2,14
c      B=BC1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1131 PART(1)=PART(1)+GC1(I)*B       *EXP(-EC1(I)*HCKT(J))
      PART(1)=PART(1)+108.*EXP(-80000.*HCKT(J))+
     1 189*EXP(-84000.*HCKT(J))+247.*EXP(-87000.*HCKT(J))+
     2 231.*EXP(-88000.*HCKT(J))+190.*EXP(-89000.*HCKT(J))+
     3 300.*EXP(-90000.*HCKT(J))
      GO TO 18
c 1132 B=BC2(J,1)
 1132 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(2)=B*(2.+4.*EXP(-63.42*HCKT(J)))
      DO 1133 I=2,6
c      B=BC2(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1133 PART(2)=PART(2)+GC2(I)*B*EXP(-EC2(I)*HCKT(J))
      PART(2)=PART(2)+6.*EXP(-131731.80*HCKT(J))+
     1 4.*EXP(-142027.1*HCKT(J))+10.*EXP(-145550.13*HCKT(J))+
     2 10.*EXP(-150463.62*HCKT(J))+2.*EXP(-157234.07*HCKT(J))+
     3 6.*EXP(-162500.*HCKT(J))+42.*EXP(-168000.*HCKT(J))+
     4 56.*EXP(-178000.*HCKT(J))+102.*EXP(-183000.*HCKT(J))+
     5 400.*EXP(-188000.*HCKT(J))
      GO TO 18
c 1140 B=BMG1(J,1)
 1140 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B
      DO 1141 I=2,11
c      B=BMG1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1141 PART(1)=PART(1)+GMG1(I)*B        *EXP(-EMG1(I)*HCKT(J))
      PART(1)=PART(1)+5.*EXP(-53134.*HCKT(J))+15.*EXP(-54192.*HCKT(J))+
     1 28.*EXP(-54676.*HCKT(J))+9.*EXP(-57853.*HCKT(J))
      G=4.
      D1=109734.83/4.5/4.5*HCKT(J)
      GO TO 14
c 1142 B=BMG2(J,1)
 1142 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(2)=B*2.
      DO 1143 I=2,6
c      B=BMG2(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1143 PART(2)=PART(2)+GMG2(I)*B        *EXP(-EMG2(I)*HCKT(J))
      PART(2)=PART(2)+10.*EXP(-93310.80*HCKT(J))+
     1 14.*EXP(-93799.70*HCKT(J))+6.*EXP(-97464.32*HCKT(J))+
     2 10.*EXP(-103419.82*HCKT(J))+14.*EXP(-103689.89*HCKT(J))+
     3 18.*EXP(-103705.66*HCKT(J))
      G=2.
      D1=4.*109734.83/5.5/5.5*HCKT(J)
      GO TO 14
c 1150 B=BAL1(J,1)
 1150 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B        *(2.+4.*EXP(-112.061*HCKT(J)))
      DO 1151 I=2,9
c      B=BAL1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1151 PART(1)=PART(1)+GAL1(I)*B        *EXP(-EAL1(I)*HCKT(J))
      PART(1)=PART(1)+10.*EXP(-42235.*HCKT(J))+14.*EXP(-43831.*HCKT(J))
      G=2.
      D1=109735.08/5.5/5.5*HCKT(J)
      GO TO 14
c 1160 B=BSI1(J,1)
 1160 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B        *(1.+3.*EXP(-77.115*HCKT(J))+
     1 5.*EXP(-223.157*HCKT(J)))
      DO 1161 I=2,11
c      B=BSI1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1161 PART(1)=PART(1)+GSI1(I)*B        *EXP(-ESI1(I)*HCKT(J))
      PART(1)=PART(1)+76.*EXP(-53000.*HCKT(J))+71.*EXP(-57000.*HCKT(J))+
     1 191.*EXP(-60000.*HCKT(J))+240.*EXP(-62000.*HCKT(J))+
     2 251.*EXP(-63000.*HCKT(J))+300.*EXP(-65000.*HCKT(J))
      GO TO 18
c 1162 B=BSI2(J,1)
 1162 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(2)=B*(2.+4.*EXP(-287.32*HCKT(J)))
      DO 1163 I=2,6
c      B=BSI2(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1163 PART(2)=PART(2)+GSI2(I)*B        *EXP(-ESI2(I)*HCKT(J))
      PART(2)=PART(2)+6.*EXP(-81231.59*HCKT(J))+
     1 6.*EXP(-83937.08*HCKT(J))+10.*EXP(-101024.09*HCKT(J))+
     2 14.*EXP(-103556.35*HCKT(J))+10.*EXP(-108800.*HCKT(J))+
     3 42.*EXP(-115000.*HCKT(J))+6.*EXP(-121000.*HCKT(J))+
     4 38.*EXP(-125000.*HCKT(J))+34.*EXP(-132000.*HCKT(J))
      G=2.
      D1=4.*109734.83/4.5/4.5*HCKT(J)
      GO TO 14
c 1170 B=BCA1(J,1)
 1170 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B
      DO 1171 I=2,8
c      B=BCA1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1171 PART(1)=PART(1)+GCA1(I)*B        *EXP(-ECA1(I)*HCKT(J))
      PART(1)=PART(1)+28.*EXP(-37000.*HCKT(J))+67.*EXP(-40000.*HCKT(J))+
     1 21.*EXP(-43000.*HCKT(J))+34.*EXP(-48000.*HCKT(J))
      G=4.
      D1=109734.82/4.5/4.5*HCKT(J)
      GO TO 14
c 1172 B=BCA2(J,1)
 1172 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(2)=B*2.
      DO 1173 I=2,5
c      B=BCA2(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1173 PART(2)=PART(2)+GCA2(I)*B        *EXP(-ECA2(I)*HCKT(J))
      PART(2)=PART(2)+12.*EXP(-68000.*HCKT(J))
      G=2.
      D1=109734.83/4.5/4.5*HCKT(J)
      GO TO 14
c 1180 B=BO1(J,1)
 1180 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B*(5.+3.*EXP(-158.265*HCKT(J))+EXP(-226.977*HCKT(J)))
      DO 1181 I=2,13
c      B=BO1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1181 PART(1)=PART(1)+GO1(I)*B*EXP(-EO1(I)*HCKT(J))
      PART(1)=PART(1)+15.*EXP(-101140.*HCKT(J))+
     1 131.*EXP(-103000.*HCKT(J))+128.*EXP(-105000.*HCKT(J))+
     2 600.*EXP(-107000.*HCKT(J))
      GO TO 18
c 1190 B=BNA1(J,1)
 1190 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B*2.
      DO 1191 I=2,8
c      B=BNA1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1191 PART(1)=PART(1)+GNA1(I)*B*EXP(-ENA1(I)*HCKT(J))
      PART(1)=PART(1)+10.*EXP(-34548.745*HCKT(J))+
     1 14.*EXP(-34586.96*HCKT(J))
      G=2.
      D1=109734.83/4.5/4.5*HCKT(J)
      GO TO 14
c 1200 B=BB1(J,1)
 1200 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B*(2.+4.*EXP(-15.25*HCKT(J)))
      DO 1201 I=2,7
c      B=BB1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1201 PART(1)=PART(1)+GB1(I)*B*EXP(-EB1(I)*HCKT(J))
      PART(1)=PART(1)+6.*EXP(-57786.80*HCKT(J))+
     1 10.*EXP(-59989.*HCKT(J))+14.*EXP(-60031.03*HCKT(J))+
     2 2.*EXP(-63561.*HCKT(J))
      G=2.
      D1=109734.83/4.5/4.5*HCKT(J)
      GO TO 14
c 1210 B=BK1(J,1)
 1210 B=1.
c      IF(NLTEON.EQ.-1)B=1.
      PART(1)=B*2.
      DO 1211 I=2,8
c      B=BK1(J,I)
      B=1.
c      IF(NLTEON.EQ.-1)B=1.
 1211 PART(1)=PART(1)+GK1(I)*B*EXP(-EK1(I)*HCKT(J))
      PART(1)=PART(1)+10.*EXP(-27397.077*HCKT(J))+
     1 14.*EXP(-28127.85*HCKT(J))
      G=2.
      D1=109734.83/5.5/5.5*HCKT(J)
      GO TO 14
   18 CONTINUE
C
C
   19 IF(MODE1.EQ.3)GO TO 35
      IF(MODE1.EQ.5)GO TO 50
C
      N=N-NION2
      CF=2.*2.4148E15*T(J)*SQRT(T(J))/XNE(J)
      DO 20 ION=2,NION2
      N=N+1
C     THE AMIN IS FOR ANY UNFORTUNATE WHO HAS A 360
   20 F(ION)=CF*PART(ION)/PART(ION-1)*
     1EXP(-DMIN1((IP(ION-1)-POTLO(ION-1))/TV,100.D0))
      F(1)=1.
      L=NION2+1
      DO 21 ION=2,NION2
      L=L-1
   21 F(1)=1.+F(L)*F(1)
      F(1)=1./F(1)
      DO 22 ION=2,NION2
   22 F(ION)=F(ION-1)*F(ION)
C
   35 IF(MODE.LT.10)GO TO 40
      GO TO(23,25,27,29),MODE1
   23 DO 24 ION=1,NION
   24 ANSWER(J,ION)=F(ION)/PART(ION)
      RETURN
   25 DO 26 ION=1,NION
   26 ANSWER(J,ION)=F(ION)
      RETURN
   27 DO 28 ION=1,NION
   28 ANSWER(J,ION)=PART(ION)
      RETURN
   29 ANSWER(J,1)=0.
      DO 30 ION=2,NION2
   30 ANSWER(J,1)=ANSWER(J,1)+F(ION)*Dble(ION-1)
      RETURN
   40 GO TO(41,42,43,29),MODE1
   41 ANSWER(J,1)=F(NION)/PART(NION)
      RETURN
   42 ANSWER(J,1)=F(NION)
      RETURN
   43 ANSWER(J,1)=PART(NION)
      RETURN
   50 ANSWER(7,1)=0.
      DO 51 ION=1,NION
      ANSWER(ION,1)=PART(ION)
   51 ANSWER(ION+7,1)=IP(ION)+ANSWER(ION+6,1)
      RETURN
      END
      SUBROUTINE IONPOTS
C
C     Moore, C.E., NSRDS-NBS 34,1970,22pp.
C     Sugar, J. and Corliss, C. JPCRD, 14, Supp.2, 1985.  K-Ni
C     Sugar, J. and Musgrove, A., JPCRD, 19,527-616,1990. Cu
C     Kaufman, V., Sugar, J., and Joshi, Y.N. JOSAB, 5, 619-622, 1988.  I V
C     AEL, rare-earth elements, 1978,NSRDS-NBS 60,411pp.
C     Kelley,R.L. and Harrison, D.E, Atomic Data 3,177-193,1971.  Ga V
C     Martin,W.C. et al. ,JPCRDa,3,771-780,1974.  Ac I-Es I
C     Guess 55.02 56.02 73.01 73.02 74.01 74.02 75.01 75.02 76.01 76.01
C     Guess 77.01 77.02 78.02 79.02 84.01 84.02 85.00 85.01 85.02 86.01 86.02
C     Guess 87.00 87.01 87.02 88.02 89.02 91.01 91.02 92.01 92.02 93.01 93.02
C     Guess 94.01 94.02 95.01 95.02 96.01 96.02 97.01 97.02 98.01 98.02
C     Guess 99.01 99.02
C
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON /POTION/POTION(999)
      DIMENSION POTH ( 2),POTHe( 3),POTLi( 4),POTBe( 5),POTB ( 6)
      DIMENSION POTC ( 7),POTN ( 8),POTO ( 9),POTF( 10),POTNe(11)
      DIMENSION POTNa(12),POTMg(13),POTAl(14),POTSi(15),POTP (16)
      DIMENSION POTS (17),POTCl(18),POTAr(19),POTK (20),POTCa(21)
      DIMENSION POTSc(22),POTTi(23),POTV (24),POTCr(25),POTMn(26)
      DIMENSION POTFe(27),POTCo(28),POTNi(29),POTCu(30),POTZn(31)
      DIMENSION POTGa(5),POTGe(5),POTAs(5),POTSe(5),POTBr(5)
      DIMENSION POTKr(5),POTRb(5),POTSr(5),POTY (5),POTZr(5)
      DIMENSION POTNb(5),POTMo(5),POTTc(5),POTRu(5),POTRh(5)
      DIMENSION POTPd(5),POTAg(5),POTCd(5),POTIn(5),POTSn(5)
      DIMENSION POTSb(5),POTTe(5),POTI (5),POTXe(5),POTCs(5)
      DIMENSION POTBa(5),POTLa(5),POTCe(5),POTPr(5),POTNd(5)
      DIMENSION POTPm(5),POTSm(5),POTEu(5),POTGd(5),POTTb(5)
      DIMENSION POTDy(5),POTHo(5),POTEr(5),POTTm(5),POTYb(5)
      DIMENSION POTLu(5),POTHf(5),POTTa(5),POTW (5),POTRe(5)
      DIMENSION POTOs(5),POTIr(5),POTPt(5),POTAu(5),POTHg(5)
      DIMENSION POTTl(5),POTPb(5),POTBi(5),POTPo(5),POTAt(5)
      DIMENSION POTRn(5),POTFr(5),POTRa(5),POTAc(5),POTTh(5)
      DIMENSION POTPa(5),POTU (5),POTNp(5),POTPu(5),POTAm(5)
      DIMENSION POTCm(5),POTBk(5),POTCf(5),POTEs(5)
      EQUIVALENCE (POTION(  1),POTH (1))
      EQUIVALENCE (POTION(  3),POTHe(1))
      EQUIVALENCE (POTION(  6),POTLi(1))
      EQUIVALENCE (POTION( 10),POTBe(1))
      EQUIVALENCE (POTION( 15),POTB (1))
      EQUIVALENCE (POTION( 21),POTC (1))
      EQUIVALENCE (POTION( 28),POTN (1))
      EQUIVALENCE (POTION( 36),POTO (1))
      EQUIVALENCE (POTION( 45),POTF (1))
      EQUIVALENCE (POTION( 55),POTNe(1))
      EQUIVALENCE (POTION( 66),POTNa(1))
      EQUIVALENCE (POTION( 78),POTMg(1))
      EQUIVALENCE (POTION( 91),POTAl(1))
      EQUIVALENCE (POTION(105),POTSi(1))
      EQUIVALENCE (POTION(120),POTP (1))
      EQUIVALENCE (POTION(136),POTS (1))
      EQUIVALENCE (POTION(153),POTCl(1))
      EQUIVALENCE (POTION(171),POTAr(1))
      EQUIVALENCE (POTION(190),POTK (1))
      EQUIVALENCE (POTION(210),POTCa(1))
      EQUIVALENCE (POTION(231),POTSc(1))
      EQUIVALENCE (POTION(253),POTTi(1))
      EQUIVALENCE (POTION(276),POTV (1))
      EQUIVALENCE (POTION(300),POTCr(1))
      EQUIVALENCE (POTION(325),POTMn(1))
      EQUIVALENCE (POTION(351),POTFe(1))
      EQUIVALENCE (POTION(378),POTCo(1))
      EQUIVALENCE (POTION(406),POTNi(1))
      EQUIVALENCE (POTION(435),POTCu(1))
      EQUIVALENCE (POTION(465),POTZn(1))
      EQUIVALENCE (POTION(496),POTGa(1))
      EQUIVALENCE (POTION(501),POTGe(1))
      EQUIVALENCE (POTION(506),POTAs(1))
      EQUIVALENCE (POTION(511),POTSe(1))
      EQUIVALENCE (POTION(516),POTBr(1))
      EQUIVALENCE (POTION(521),POTKr(1))
      EQUIVALENCE (POTION(526),POTRb(1))
      EQUIVALENCE (POTION(531),POTSr(1))
      EQUIVALENCE (POTION(536),POTY (1))
      EQUIVALENCE (POTION(541),POTZr(1))
      EQUIVALENCE (POTION(546),POTNb(1))
      EQUIVALENCE (POTION(551),POTMo(1))
      EQUIVALENCE (POTION(556),POTTc(1))
      EQUIVALENCE (POTION(561),POTRu(1))
      EQUIVALENCE (POTION(566),POTRh(1))
      EQUIVALENCE (POTION(571),POTPd(1))
      EQUIVALENCE (POTION(576),POTAg(1))
      EQUIVALENCE (POTION(581),POTCd(1))
      EQUIVALENCE (POTION(586),POTIn(1))
      EQUIVALENCE (POTION(591),POTSn(1))
      EQUIVALENCE (POTION(596),POTSb(1))
      EQUIVALENCE (POTION(601),POTTe(1))
      EQUIVALENCE (POTION(606),POTI (1))
      EQUIVALENCE (POTION(611),POTXe(1))
      EQUIVALENCE (POTION(616),POTCs(1))
      EQUIVALENCE (POTION(621),POTBa(1))
      EQUIVALENCE (POTION(626),POTLa(1))
      EQUIVALENCE (POTION(631),POTCe(1))
      EQUIVALENCE (POTION(636),POTPr(1))
      EQUIVALENCE (POTION(641),POTNd(1))
      EQUIVALENCE (POTION(646),POTPm(1))
      EQUIVALENCE (POTION(651),POTSm(1))
      EQUIVALENCE (POTION(656),POTEu(1))
      EQUIVALENCE (POTION(661),POTGd(1))
      EQUIVALENCE (POTION(666),POTTb(1))
      EQUIVALENCE (POTION(671),POTDy(1))
      EQUIVALENCE (POTION(676),POTHo(1))
      EQUIVALENCE (POTION(681),POTEr(1))
      EQUIVALENCE (POTION(686),POTTm(1))
      EQUIVALENCE (POTION(691),POTYb(1))
      EQUIVALENCE (POTION(696),POTLu(1))
      EQUIVALENCE (POTION(701),POTHf(1))
      EQUIVALENCE (POTION(706),POTTa(1))
      EQUIVALENCE (POTION(711),POTW (1))
      EQUIVALENCE (POTION(716),POTRe(1))
      EQUIVALENCE (POTION(721),POTOs(1))
      EQUIVALENCE (POTION(726),POTIr(1))
      EQUIVALENCE (POTION(731),POTPt(1))
      EQUIVALENCE (POTION(736),POTAu(1))
      EQUIVALENCE (POTION(741),POTHg(1))
      EQUIVALENCE (POTION(746),POTTl(1))
      EQUIVALENCE (POTION(751),POTPb(1))
      EQUIVALENCE (POTION(756),POTBi(1))
      EQUIVALENCE (POTION(761),POTPo(1))
      EQUIVALENCE (POTION(766),POTAt(1))
      EQUIVALENCE (POTION(771),POTRn(1))
      EQUIVALENCE (POTION(776),POTFr(1))
      EQUIVALENCE (POTION(781),POTRa(1))
      EQUIVALENCE (POTION(786),POTAc(1))
      EQUIVALENCE (POTION(791),POTTh(1))
      EQUIVALENCE (POTION(796),POTPa(1))
      EQUIVALENCE (POTION(801),POTU (1))
      EQUIVALENCE (POTION(806),POTNp(1))
      EQUIVALENCE (POTION(811),POTPu(1))
      EQUIVALENCE (POTION(816),POTAm(1))
      EQUIVALENCE (POTION(821),POTCm(1))
      EQUIVALENCE (POTION(826),POTBk(1))
      EQUIVALENCE (POTION(831),POTCf(1))
      EQUIVALENCE (POTION(836),POTEs(1))
      DATA POTH / 109678.764,0./
      DATA POTHe/ 198310.76 , 438908.85 ,0./
      DATA POTLi/  43487.150, 610079.0  , 987660.1 ,0./
      DATA POTBe/  75192.07 , 146882.86 ,1241259.4 , 1756018.7, 0./
      DATA POTB /  66928.10 , 202887.4  , 305931.1 ,2092001.4,2744105.1,
     1                    0./
      DATA POTC /  90820.42 , 196664.7  , 386241.0 , 520178.4,3162395. ,
     1             3952061.4, 0./
      DATA POTN / 117225.4  , 238750.5  , 382704.  , 624866. , 789537.2,
     1             4452758. ,5380089., 0./
      DATA POTO / 109837.02 , 283240.   , 443086.  , 624383.8, 918657. ,
     1             1114008. ,5963135.,7028393., 0./
      DATA POTF / 140524.5  , 282058.6  , 505777.  , 702830. , 921430. ,
     1             1267622. ,1493629.,7693810.,8897240., 0./
      DATA POTNe/ 173929.70 , 330391.0  , 511800.  , 783300. ,1018000. ,
     1             1273800. ,1671792.,1928462.,9645005.,10986876.,0./
      DATA POTNa/  41449.44 , 381395.   , 577800.  , 797800. ,1116200. ,
     1             1388500. ,1681500.,   2130800.,  2418700.,11817061.,
     2             13297676.,0./
      DATA POTMg/  61671.02 , 121267.61 , 646410.  , 881100. ,1139400. ,
     1             1504300. , 1814300.  , 2144700. , 2645200., 2964400.,
     2             14210261., 15829951. , 0./
      DATA POTAl/  48278.37 , 151860.4  , 229445.71, 967800. ,1239800. ,
     1             1536300. , 1947300.  , 2295400. , 2663400., 3214800.,
     2             3565600. , 16825022. , 18584138., 0./
      DATA POTSi/  65747.5  , 131838.4  , 270139.3 , 364093.1,1345100. ,
     1             1653900. , 1988400.  , 2445300. , 2831900., 3237800.,
     2             3839800. , 4222400.  , 19661693., 21560630., 0./
      DATA POTP /  84580.   , 159100.   , 243400.  , 414312.4, 524460. ,
     1             1777900. , 2123100.  , 2495600. , 2998300., 3423900.,
     2             3868100. , 4520100.  , 4935000., 22720766.,24759942.,
     3             0./
      DATA POTS /  83558.0  , 188200.   , 280900.  , 381541.4, 586200. ,
     1              710184. , 2265900.  , 2647400. , 3057700., 3606100.,
     2             4071400. , 4554300.  , 5255900. , 5703600.,26002663.,
     3             28182535., 0./
      DATA POTCl/ 104591.0  , 192070.   , 319500.  , 431226. , 547000. ,
     1              782600. , 921051.   , 2809100. , 3226700., 3674900.,
     2             4268900. , 4774700.  , 5296700. , 6047200., 6528300.,
     3             29507950., 31829012. , 0./
      DATA POTAr/ 127109.9  , 222848.2  , 328600.  , 482400. , 605100. ,
     1              734040. , 1002730.  , 1157080. , 3407300., 3860900.,
     2             4347000. , 4986600.  , 5533800. , 6095500., 6894200.,
     3             7404400. , 33237173. , 35699936., 0./
      DATA POTK /  35009.814, 255100.   , 369450.  , 491300. , 666700. ,
     1              802000. , 948200.   , 1249200. , 1418063., 4063000.,
     2              4555000., 5077000.  , 5764000. , 6345000., 6945000.,
     3              7810000., 8344200.  , 37188200.,39795750., 0./
      DATA POTCa/  49305.95 ,  95751.87 , 410642.  , 542600. , 681600. ,
     1              877400. , 1026000.  , 1187600. , 1520640., 1704047.,
     2             4774000. , 5301000.  , 5861000. , 6595000., 7215000.,
     3             7860000. , 8770000.  , 9338000. ,41366000.,44117410.,
     4             0./
      DATA POTSc/  52922.0  , 103237.1  , 199677.37, 592732. , 741000. ,
     1             892700.  , 1113000.  , 1275000. , 1452000., 1816200.,
     2             2015060. , 5543900.  , 6103000. , 6701000., 7481000.,
     3             8140000. , 8820000.  , 9780000. ,10388200.,45770000.,
     4             48665520., 0./
      DATA POTTi/  55010.   , 109494.   , 221735.6 , 348973.3, 800900. ,
     1              964100. , 1136000.  , 1374000. , 1549000.,1741500. ,
     2             2137900. , 2351080.  , 6354300. , 6961000.,7597000. ,
     3             8420000. , 9120000.  , 9850000. ,10860000.,11497000.,
     4             50401000., 53440800. , 0./
      DATA POTV /  54360.   , 118200.   , 236410.  , 376730. , 526532. ,
     1             1033400. , 1215000.  , 1399000. , 1660000., 1859000.,
     2             2062000. , 2485000.  , 2712250. , 7227000., 7870000.,
     3             8549000. , 9420000.  , 10160000.,10930000.,11990000.,
     4             12660000., 55259000. , 58443900., 0./
      DATA POTCr/  54575.6  , 132966.   , 249700.  , 396500. , 560200. ,
     1             731020.  , 1291900.  , 1490000. , 1688000., 1971000.,
     2             2184000. , 2404000.  , 2862000. , 3098520., 8151000.,
     3             8850000. , 9560000.  , 10480000.,11260000.,12070000.,
     4             13180000.,13882000.  , 60344000.,63675900., 0./
      DATA POTMn/  59959.4  , 126145.0  , 271550.  , 413000. , 584000. ,
     1             771100.  , 961440.   , 1569000. , 1789000., 2003000.,
     2             2307000. , 2536000.  , 2771000. , 3250000., 3509820.,
     3             9152000. , 9872000.  , 10620000.,11590000.,12410000.,
     4             13260000.,14420000.  , 15162000.,65660000.,69137400.,
     5             0./
      DATA POTFe/  63737.   , 130563.   , 247220.  , 442000. , 605000. ,
     1             799000.  , 1008000.  , 1218380. , 1884000., 2114000.,
     2             2341000. , 2668000.  , 2912000. , 3163000., 3686000.,
     3             3946280. , 10180000. , 10985000.,11850000.,12708000.,
     4             13620000., 14510000. , 15797000.,16500000.,71203000.,
     5             74829600., 0./
      DATA POTCo/  63400.   , 137795.   , 270200.  , 413500. , 641000. ,
     1             823000.  , 1040000.  , 1273000. , 1501300., 2221000.,
     2             2460000. , 2710000.  , 3057000. , 3315000., 3580000.,
     3             4129200. , 4408500.  , 11269000.,12135000.,12930000.,
     4             13990000., 14890000. , 15820000.,17090000.,17897000.,
     5             76979000., 80753200. , 0./
      DATA POTNi/  61600.   , 146541.56 , 283800.  , 443000. , 613500. ,
     1             870000.  , 1070000.  , 1310000. , 1560000., 1812000.,
     2             2589000. , 2840000.  , 3100000. , 3470000., 3740000.,
     3             4020000. , 2606000.  , 4896200. ,12430000.,13290000.,
     4             14160000., 15280000. , 16220000.,17190000.,18510000.,
     5             19351000., 82984000. , 86909400., 0./
      DATA POTCu/  62317.44 , 163669.2  , 297140.  , 462800. , 644000. ,
     1             831000.  , 1120000.  , 1340000. , 1605000., 1870000.,
     2             2140000. , 2975000.  , 3234000. , 3508000., 3903000.,
     3             4194000. , 4493000.  , 5105000. , 5408660.,13630000.,
     4             14550000., 15450000. , 16620000.,17600000.,18620000.,
     5             19986000., 20870000. , 89224060.,93299090., 0./
      DATA POTZn/  75768.10 , 144892.6  , 320390.  , 479100. , 666000. ,
     1             871000.  , 1081000.  , 1403000. , 1637000., 1920000.,
     2             2210000. , 2507000.  , 3385000. , 3662000., 3952000.,
     3             4372000. , 4670000.  , 4993000. , 5630000., 5952000.,
     4             14969000., 16000000. , 17000000.,18000000.,19000000.,
     5             20000000., 21000000. , 22000000.,93000000.,99000000.,
     6             0./
      DATA POTGa/  48387.63 , 165458.   , 247700.  , 517600. , 726000. /
      DATA POTGe/  63715.   , 128521.3  , 276036.  , 368701. , 753800. /
      DATA POTAs/  79165.   , 150290.   , 228670.  , 404369. , 505136. /
      DATA POTSe/  78658.22 , 170900.   , 248583.  , 346375. , 551000. /
      DATA POTBr/  95284.8  , 175870.   , 289529.  , 381600. , 481600. /
      DATA POTKr/ 112914.5  , 196474.8  , 298020.  , 423600. , 522000. /
      DATA POTRb/  33690.81 , 220048.   , 320000.  , 424400. , 572800. /
      DATA POTSr/  45932.0  ,  88964.0  , 351800.  , 460000. , 577700. /
      DATA POTY /  51447.   ,  98690.   , 165500.  , 498600. , 621200. /
      DATA POTZr/  55145.   , 105900.   , 185400.  , 276970. , 657600. /
      DATA POTNb/  55511.   , 115500.   , 202000.  , 308600. , 407700. /
      DATA POTMo/  57260.   , 130300.   , 219100.  , 374180. , 493360. /
      DATA POTTc/  58700.   , 123100.   , 238300.  ,      0. ,      0. /
      DATA POTRu/  59410.   , 135200.   , 229600.  ,      0. ,      0. /
      DATA POTRh/  60197.   , 145800.   , 250500.  ,      0. ,      0. /
      DATA POTPd/  67236.   , 156700.   , 265600.  ,      0. ,      0. /
      DATA POTAg/  61106.50 , 173300.   , 280900.  ,      0. ,      0. /
      DATA POTCd/  72538.8  , 136374.74 , 302300.  ,      0. ,      0. /
      DATA POTIn/  46670.11 , 152195.   , 226100.  , 439000. ,      0. /
      DATA POTSn/  59231.8  , 118017.0  , 246020.0 , 328550. , 583000. /
      DATA POTSb/  69700.   , 133327.5  , 204248.  , 356156. , 449300. /
      DATA POTTe/  72667.   , 150000.   , 225500.  , 301776. , 473900. /
      DATA POTI /  84295.1  , 154304.   , 266000.  ,      0. , 415510. /
      DATA POTXe/  97834.0  , 171068.4  , 259089.  ,      0. ,      0. /
      DATA POTCs/  31406.432, 202263.   , 280000.  ,      0. ,      0. /
      DATA POTBa/  42035.14 ,  80686.87 , 300000.  ,      0. ,      0. /
      DATA POTLa/  44981.   ,  89200.   , 154675.  , 402900. , 497000. /
      DATA POTCe/  44672.   ,  87500.   , 162903.  , 296470. , 528700. /
      DATA POTPr/  44070.   ,  85100.   , 174407.  , 314400. , 464000. /
      DATA POTNd/  44562.   ,  86500.   , 178600.  , 326000. ,      0. /
      DATA POTPm/  44800.   ,  87900.   , 180000.  , 331000. ,      0. /
      DATA POTSm/  45519.   ,  89300.   , 189000.  , 334000. ,      0. /
      DATA POTEu/  45734.9  ,  90665.   , 201000.  , 344000. ,      0. /
      DATA POTGd/  49603.   ,  97500.   , 166400.  , 355000. ,      0. /
      DATA POTTb/  47295.   ,  92900.   , 176700.  , 317500. ,      0. /
      DATA POTDy/  47900.   ,  94100.   , 183800.  , 334000. ,      0. /
      DATA POTHo/  48567.   ,  95200.   , 184200.  , 343000. ,      0. /
      DATA POTEr/  49262.   ,  96200.   , 183400.  , 344000. ,      0. /
      DATA POTTm/  49879.8  ,  97200.   , 191000.  , 344000. ,      0. /
      DATA POTYb/  50441.0  ,  98269.   , 202070.  , 351300. ,      0. /
      DATA POTLu/  43762.39 , 112000.   , 169049.  , 364960. , 538700. /
      DATA POTHf/  56600.   , 120000.   , 187800.  , 268500. ,      0. /
      DATA POTTa/  63600.   , 131000.   , 194000.  ,      0. ,      0. /
      DATA POTW /  64400.   , 143000.   , 202000.  ,      0. ,      0. /
      DATA POTRe/  63530.   , 134000.   , 210000.  ,      0. ,      0. /
      DATA POTOs/  70450.   , 137000.   , 218000.  ,      0. ,      0. /
      DATA POTIr/  73000.   , 161000.   , 226000.  ,      0. ,      0. /
      DATA POTPt/  72300.   , 149723.   , 234000.  ,      0. ,      0. /
      DATA POTAu/  74410.   , 165000.   , 242000.  ,      0. ,      0. /
      DATA POTHg/  84184.1  , 151280.   , 276000.  ,      0. ,      0. /
      DATA POTTl/  49266.7  , 164765.   , 240600.  ,      0. ,      0. /
      DATA POTPb/  59819.4  , 121243.   , 257592.  , 341350. , 555000. /
      DATA POTBi/  58790.   , 134600.   , 206180.  , 365500. , 451700. /
      DATA POTPo/  67885.3  , 153000.   , 218000.  ,      0. ,      0. /
      DATA POTAt/  75000.   , 161000.   , 242000.  ,      0. ,      0. /
      DATA POTRn/  86692.5  , 161000.   , 242000.  ,      0. ,      0. /
      DATA POTFr/  32000.   , 177000.   , 266000.  ,      0. ,      0. /
      DATA POTRa/  42577.35 , 81842.31  , 274000.  ,      0. ,      0. /
      DATA POTAc/  41700.   , 97300.    , 161000.  ,      0. ,      0. /
      DATA POTTh/  49000.   , 93000.    , 161000.  , 231900. ,      0. /
      DATA POTPa/  47500.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTU /  48800.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTNp/  49900.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTPu/  48900.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTAm/  48300.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTCm/  48600.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTBk/  50200.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTCf/  50800.   , 95000.    , 161000.  ,      0. ,      0. /
      DATA POTEs/  51800.   , 95000.    , 161000.  ,      0. ,      0. /
      RETURN
      END
      FUNCTION PFGROUND(NELION,T)
C     14jun2004 additional levels added that are above the ground term
C               populated at low temperatures
C     La up still missing
C     FOR H-K, CU-BA
      IMPLICIT REAL*8 (A-H,O-Z) 
      PARAMETER (HCK=6.6256E-27*2.99792458E10/1.38054E-16)
      IF(NELION.LT.114)THEN
      GO TO (1,2,3,4,5,6,7,8,9,10,11,12,13,14,
     1 15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,
     2 32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,
     3 52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,
     4 72,73,74,75,76,77,78,79,80,81,82, 83,84,85,86,87,88,89,90,91,
     5 92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,
     6 109,110,111,112,113,114), NELION
      if(nelion.eq.431)go to 431
      if(nelion.eq.491)go to 491
      if(nelion.eq.501)go to 501
C     1.00
    1 PFGROUND=2.
      RETURN
C     1.01
    2 PFGROUND=1.
      RETURN
c     ccccccccccccc
    3 pfground=1.
      return
    4 pfground=1.
      return
    5 pfground=1.
      return
    6 pfground=1.
      return
c     cccccccccccccc
C     2.00
    7 PFGROUND=1.
      RETURN
C     2.01
    8 PFGROUND=2.
      RETURN
C     2.02
    9 PFGROUND=1.
      RETURN
c     cccccccccccccccc
   10 pfground=1.
      return
   11 pfground=1.
      return
   12 pfground=1.
      return  
c     ccccccccccccccccc 
C     3.00
   13 PFGROUND=2.
      RETURN
C     3.01
   14 PFGROUND=1.
      RETURN
C     3.02
   15 PFGROUND=2.
      RETURN
C     3.03
   16 PFGROUND=1.
      RETURN
c     cccccccccccccccccccc
   17 pfground=1.
      return
   18 pfground=1.
      return 
c     cccccccccccccccccccc
C     4.00
   19 PFGROUND=1.
      RETURN
C     4.01
   20 PFGROUND=2.
      RETURN
C     4.02
   21 PFGROUND=1.
      RETURN
C     4.03
   22 PFGROUND=2.
      RETURN
C     4.04
   23 PFGROUND=1.
      RETURN
c     ccccccccccccccccccc
   24 pfground=1.
      return
c     ccccccccccccccccccc
C     5.00
   25 PFGROUND=2.+4.*EXP(-HCK/T*15.254)
      RETURN
C     5.01
   26 PFGROUND=1.+1.*EXP(-HCK/T*37336.7)+3.*EXP(-HCK/T*37342.4)+
     15.*EXP(-HCK/T*37358.3)+3.*EXP(-HCK/T*73396.60)
      RETURN
C     5.02
   27 PFGROUND=2.+2.*EXP(-HCK/T*48358.40)+4.*EXP(-HCK/T*48392.50)
      RETURN
C     5.03
   28 PFGROUND=1.
      RETURN
C     5.04
   29 PFGROUND=2.
      RETURN
C     5.05
   30 PFGROUND=1.
      RETURN
C     6.00
   31 PFGROUND=1.+3.*EXP(-HCK/T*16.40)+5.*EXP(-HCK/T*43.40)+
     1 5.*EXP(-HCK/T*10192.63)
      RETURN
C     6.01
   32 PFGROUND=2.+4.*EXP(-HCK/T*63.42)
      RETURN
C     6.02
   33 PFGROUND=1.
      RETURN
C     6.03
   34 PFGROUND=2.+2.*EXP(-HCK/T*64484.0)+4.*EXP(-HCK/T*64591.7)
      RETURN
C     6.04
   35 PFGROUND=1.
      RETURN
C     6.05
   36 PFGROUND=2.
      RETURN
C     7.00
   37 PFGROUND=4.
      RETURN
C     7.01
   38 PFGROUND=1.+3.*EXP(-HCK/T*48.7)+5.*EXP(-HCK/T*130.8)+
     1 5.*EXP(-HCK/T*15316.2)
      RETURN
C     7.02
   39 PFGROUND=2.+4.*EXP(-HCK/T*174.4)
      RETURN
C     7.03
   40 PFGROUND=1.
      RETURN
C     7.04
   41 PFGROUND=2.+2.*EXP(-HCK/T*80463.2)+4.*EXP(-HCK/T*80721.9)
      RETURN
C     7.05
   42 PFGROUND=1.
      RETURN
C     7.06
   43 PFGROUND=2.
C     8.00
  431 PFGROUND=5.+3.*EXP(-HCK/T*158.265)+EXP(-HCK/T*226.977)
      RETURN
C     8.01
   44 PFGROUND=4.+6.*EXP(-HCK/T*26810.55)+4.*EXP(-HCK/T*26830.57)
      RETURN
C     8.02
   45 PFGROUND=1.+3.*EXP(-HCK/T*113.178)+5.*EXP(-HCK/T*306.174)+
     1 5.*EXP(-HCK/T*20273.27)+1.*EXP(-HCK/T*43185.74)+
     2 5.*EXP(-HCK/T*60324.79)
      RETURN
C     8.03
   46 PFGROUND=2.+4.*EXP(-HCK/T*385.9)+2.*EXP(-HCK/T*71439.8)+
     1 4.*EXP(-HCK/T*71570.1)+6.*EXP(-HCK/T*71755.5)
      RETURN
C     8.04
   47 PFGROUND=1.+1.*EXP(-HCK/T*81942.5)+3.*EXP(-HCK/T*82078.6)+
     1 5.*EXP(-HCK/T*82385.3)
      RETURN
C     8.05
   48 PFGROUND=2.+2.*EXP(-HCK/T*96375.0)+4.*EXP(-HCK/T*96907.5)
      RETURN
C     8.06
   49 PFGROUND=1.
      RETURN
C     8.07
   50 PFGROUND=2.
      RETURN
C     9.00
  491 PFGROUND=4.+2.*EXP(-HCK/T*404.1)
      RETURN
C     9.01
  501 PFGROUND=5.+3.*EXP(-HCK/T*341.0)+EXP(-HCK/T*489.9)+
     1 5.*EXP(-HCK/T*20873.4)+1.*EXP(-HCK/T*44918.1)
      RETURN
C     9.02
   51 PFGROUND=4.+6.*EXP(-HCK/T*34087.4)+4.*EXP(-HCK/T*34123.2)+
     1 4.*EXP(-HCK/T*51561.4)+2.*EXP(-HCK/T*51560.6)
      RETURN
C     9.03
   52 PFGROUND=1.+3.*EXP(-HCK/T*225.2)+5.*EXP(-HCK/T*612.2)+
     1 5.*EXP(-HCK/T*25238.2)+1.*EXP(-HCK/T*53541.2)+
     2 5.*EXP(-HCK/T*74194.7)
      RETURN
C     9.04
   53 PFGROUND=2.+4.*EXP(-HCK/T*744.5)+
     1 2.*EXP(-HCK/T*85790.2)+4.*EXP(-HCK/T*86043.5)+
     2 6.*EXP(-HCK/T*86407.0)
      RETURN
C     9.05
   54 PFGROUND=1.+1.*EXP(-HCK/T*96590.)+3.*EXP(-HCK/T*96850.)+
     1 5.*(-HCK/T*97427.)
      RETURN
C     10.00
   55 PFGROUND=1.
      RETURN
C     10.01
   56 PFGROUND=4.+2.*EXP(-HCK/T*780.45)
      RETURN
C     10.02
   57 PFGROUND=5.+3.*EXP(-HCK/T*642.9)+EXP(-HCK/T*920.4)+
     1 4.*EXP(-HCK/T*96907.5)+5.*EXP(-HCK/T*25840.8)+
     2 1.*EXP(-HCK/T*55750.6)
      RETURN
C     10.03
   58 PFGROUND=4.+6.*EXP(-HCK/T*41234.6)+4.*EXP(-HCK/T*41279.5)+
     1 2.*EXP(-HCK/T*62434.6)+4.*EXP(-HCK/T*62441.3)
      RETURN
C     10.04
   59 PFGROUND=1.+3.*EXP(-HCK/T*414.)+5.*EXP(-HCK/T*1112.)+
     1 5.*EXP(-HCK/T*30291.5)+1.*EXP(-HCK/T*63913.6)+
     2 5.*EXP(-HCK/T*88360.)
      RETURN
C     10.05
   60 PFGROUND=2.+4.*EXP(-HCK/T*1310.)+2.*EXP(-HCK/T*100261.)+
     1 4.*EXP(-HCK/T*100704.)+6.*EXP(-HCK/T*101347.)
      RETURN
C     11.00
   61 PFGROUND=2.
      RETURN
C     11.01
   62 PFGROUND=1.
      RETURN
C     11.02
   63 PFGROUND=4.+2.*EXP(-HCK/T*780.45)
      RETURN
C     11.03
   64 PFGROUND=5.+3.*EXP(-HCK/T*642.9)+EXP(-HCK/T*920.4)+
     1 5.*EXP(-HCK/T*30839.8)+1.*EXP(-HCK/T*66496.)
      RETURN
C     11.04
   65 PFGROUND=4.+6.*EXP(-HCK/T*48330.)+4.*EXP(-HCK/T*48366.)+
     1 2.*EXP(-HCK/T*73218.)+4.*EXP(-HCK/T*73255.)
      RETURN
C     11.05
   66 PFGROUND=1.+3.*EXP(-HCK/T*414.)+5.*EXP(-HCK/T*1112.)*
     1 5.*EXP(-HCK/T*35498.)+1.*EXP(-HCK/T*74414.)
      RETURN
C     12.00
   67 PFGROUND=1.
      RETURN
C     12.01
   68 PFGROUND=2.
      RETURN
C     12.02
   69 PFGROUND=1.
      RETURN
C     12.03
   70 PFGROUND=4.+2.*EXP(-HCK/T*2238.)
      RETURN
C     12.04
   71 PFGROUND=5.+3.*EXP(-HCK/T*1782.1)+EXP(-HCK/T*2521.8)+
     1 5.*EXP(-HCK/T*35926.)+1.*EXP(-HCK/T*77279.)
      RETURN
C     12.05
   72 PFGROUND=4.+6.*EXP(-HCK/T*55356.)+4.*EXP(-HCK/T*55372.8)+
     1 2.*EXP(-HCK/T*83920.0)+4.*EXP(-HCK/T*84028.4)
      RETURN
C     13.00
   73 PFGROUND=2.+4.*EXP(-HCK/T*112.061)
      RETURN
C     13.01
   74 PFGROUND=1.
      RETURN
C     13.02
   75 PFGROUND=2.
      RETURN
C     13.03
   76 PFGROUND=1.
      RETURN
C     13.04
   77 PFGROUND=4.+2.*EXP(-HCK/T*3442.)
      RETURN
C     13.05
   78 PFGROUND=5.+3.*EXP(-HCK/T*2732.)+EXP(-HCK/T*3829.)+
     1 5.*EXP(-HCK/T*41167.)+1.*EXP(-HCK/T*88213.)
      RETURN
C     14.00
   79 PFGROUND=1.+3.*EXP(-HCK/T*77.115)+5.*EXP(-HCK/T*223.157)+
     1 5.*EXP(-HCK/T*6298.850)
      RETURN
C     14.01
   80 PFGROUND=2.+4.*EXP(-HCK/T*287.32)+2.*EXP(-HCK/T*42824.35)+
     1 4.*EXP(-HCK/T*42932.68)+6.*EXP(-HCK/T*43107.97)
      RETURN
C     14.02
   81 PFGROUND=1.+1.*EXP(-HCK/T*52724.69)+3.*EXP(-HCK/T*52853.28)+
     1 5.*EXP(-HCK/T*53115.01)+3.*EXP(-HCK/T*82884.41)
      RETURN
C     14.03
   82 PFGROUND=2.
      RETURN
C     14.04
   83 PFGROUND=1.
      RETURN
C     14.05
   84 PFGROUND=4.+2.*EXP(-HCK/T*5090.)
      RETURN
C     15.00
   85 PFGROUND=4.
      RETURN
C     15.01
   86 PFGROUND=1.+3.*EXP(-HCK/T*164.90)+5.*EXP(-HCK/T*469.12)+
     1 5.*EXP(-HCK/T*8882.31)+1.*EXP(-HCK/T*21575.63)
      RETURN
C     15.02
   87 PFGROUND=2.+4.*EXP(-HCK/T*559.14)+2.*EXP(-HCK/T*56021.67)+
     1 4.*EXP(-HCK/T*57125.98)+6.*EXP(-HCK/T*57454.00)+
     2 4.*EXP(-HCK/T*74916.85)+6.*EXP(-HCK/T*74945.86)
      RETURN
C     15.03
   88 PFGROUND=1.+1.*EXP(-HCK/T*67918.03)+3.*EXP(-HCK/T*68146.48)+
     1 5.*EXP(-HCK/T*68615.17)
      RETURN
C     15.04
   89 PFGROUND=2.+2.*EXP(-HCK/T*88651.87)+4.*EXP(-HCK/T*89447.25)
      RETURN
C     15.05
   90 PFGROUND=1.
      RETURN
C     16.00
   91 PFGROUND=5.+3.*EXP(-HCK/T*396.055)+EXP(-HCK/T*573.640)+
     1 5.*EXP(-HCK/T*9238.609)
      RETURN
C     16.01
   92 PFGROUND=4.+4.*EXP(-HCK/T*14852.94)+6.*EXP(-HCK/T*14884.73)+
     1 2.*EXP(-HCK/T*24524.83)+4.*EXP(-HCK/T*24571.54)
      RETURN
C     16.02
   93 PFGROUND=1.+3.*EXP(-HCK/T*298.69)+5.*EXP(-HCK/T*833.08)+
     1 5.*EXP(-HCK/T*11322.7)+1.*EXP(-HCK/T*27161.0)
      RETURN
C     16.03
   94 PFGROUND=2.+4.*EXP(-HCK/T*951.43)+2.*EXP(-HCK/T*71184.1)+
     1 4.*EXP(-HCK/T*71528.7)+6.*EXP(-HCK/T*72074.4)+
     2 4.*EXP(-HCK/T*94103.1)+6.*EXP(-HCK/T*94150.4)
      RETURN
C     16.04
   95 PFGROUND=1.+1.*EXP(-HCK/T*83024.0)+3.*EXP(-HCK/T*83393.5)+
     1 5.*EXP(-HCK/T*84155.2)
      RETURN
C     16.05
   96 PFGROUND=2.
      RETURN
C     17.00
   97 PFGROUND=4.+2.*EXP(-HCK/T*882.36)
      RETURN
C     17.01
   98 PFGROUND=5.+3.*EXP(-HCK/T*696.1)+EXP(-HCK/T*996.4)+
     1 5.*EXP(-HCK/T*11653.58)+1.*EXP(-HCK/T*27878.02)
      RETURN
C     17.02
   99 PFGROUND=4.+4.*EXP(-HCK/T*18053.)+6.*EXP(-HCK/T*18118.6)+
     1 2.*EXP(-HCK/T*29812.)+4.*EXP(-HCK/T*29907.)
      RETURN
C     17.03
  100 PFGROUND=1.+3.*EXP(-HCK/T*491.)+5.*EXP(-HCK/T*1341.)+
     1 5.*EXP(-HCK/T*13767.6)+1.*EXP(-HCK/T*32547.8)+
     2 5.*EXP(-HCK/T*65000.)
      RETURN
C     17.04
  101 PFGROUND=2.+4.*EXP(-HCK/T*1490.8)+2.*EXP(-HCK/T*86000.)+
     1 4.*EXP(-HCK/T*86538.)+6.*EXP(-HCK/T*87381.)
      RETURN
C     17.05
  102 PFGROUND=1.+1.*EXP(-HCK/T*97405.)+3.*EXP(-HCK/T*97958.)+
     1 5.*EXP(-HCK/T*99123.)
      RETURN
C     18.00
  103 PFGROUND=1.
      RETURN
C     18.01
  104 PFGROUND=4.+2.*EXP(-HCK/T*1431.41)
      RETURN
C     18.02
  105 PFGROUND=5.+3.*EXP(-HCK/T*1112.1)+EXP(-HCK/T*1570.2)+
     1 5.*EXP(-HCK/T*14010.004)+1.*EXP(-HCK/T*33265.724)
      RETURN
C     18.03
  106 PFGROUND=4.+4.*EXP(-HCK/T*21090.4)+6.*EXP(-HCK/T*21219.3)+
     1 2.*EXP(-HCK/T*34855.5)+4.*EXP(-HCK/T*35032.6)
      RETURN
C     18.04
  107 PFGROUND=1.+3.*EXP(-HCK/T*765.)+5.*EXP(-HCK/T*2030.)+
     1 5.*EXP(-HCK/T*16298.9)+1.*EXP(-HCK/T*37912.0)+
     2 5.*EXP(-HCK/T*84100.0)
      RETURN
C     18.05
  108 PFGROUND=2.+4.*EXP(-HCK/T*2208.)
      RETURN
C     19.00
  109 PFGROUND=2.
      RETURN
C     19.01
  110 PFGROUND=1.
      RETURN
C     19.02
  111 PFGROUND=4.+2.*EXP(-HCK/T*2166.)
      RETURN
C     19.03
  112 PFGROUND=5.+3.*EXP(-HCK/T*1673.)+EXP(-HCK/T*2325.)+
     1 5.*EXP(-HCK/T*16384.1)+EXP(-HCK/T*38546.3)
      RETURN
C     19.04
  113 PFGROUND=4.+4.*EXP(-HCK/T*24012.5)+6.*EXP(-HCK/T*24249.6)+
     1 2.*EXP(-HCK/T*39758.1)+4.*EXP(-HCK/T*40080.2)
      RETURN
C     19.05
  114 PFGROUND=1.+3.*EXP(-HCK/T*1132.)+5.*EXP(-HCK/T*2924.)+
     1 5.*EXP(-HCK/T*18977.8)+1.*EXP(-HCK/T*43358.8)
      RETURN
      ENDIF
      IF(NELION.GT.114.AND.NELION.LT.169)THEN
C     THESE ARE IRON GROUP ELEMENTS TO BE READ FROM PFIRON
      PFGROUND=1.
      RETURN
      ENDIF
      IF(NELION.GT.168.AND.NELION.LT.337)THEN
      GO TO (169,170,171,172,173,174,175,176,177,178,179,180,
     1       181,182,183,184,185,186,187,188,189,190,191,192,
     2       193,194,195,196,197,198,199,200,201,202,203,204,
     3       205,206,207,208,209,210,211,212,213,214,215,216,
     4       217,218,219,220,221,222,223,224,225,226,227,228,
     5       229,230,231,232,233,234,235,236,237,238,239,240,
     6       241,242,243,244,245,246,247,248,249,250,251,252,
     7       253,254,255,256,257,258,259,260,261,262,263,264,
     8       265,266,267,268,269,270,271,272,273,274,275,276,
     9       277,278,279,280,281,282,283,284,285,286,287,288,
     1       289,290,291,292,293,294,295,296,297,298,299,300,
     2       301,302,303,304,305,306,307,308,309,310,311,312,
     3       313,314,315,316,317,318,319,320,321,322,323,324,
     4       325,326,327,328,329,330,331,332,333,334,335,336),
     5       NELION-168
C     29.00
  169 PFGROUND=2.
      RETURN
C     29.01
  170 PFGROUND=1.
      RETURN
C     29.02
  171 PFGROUND=6.+4.*EXP(-HCK/T*2071.8)
      RETURN
c    
  172 pfground=1.
      return
  173 pfground=1.
      return
  174 pfground=1.
      return
c
C     30.00
  175 PFGROUND=1.
      RETURN
C     30.01
  176 PFGROUND=2.
      RETURN
C     30.02
  177 PFGROUND=1.
      RETURN
c    
  178 pfground=1.
      return
  179 pfground=1.
      return
  180 pfground=1.
      return
c
C     31.00
  181 PFGROUND=2.+4.*EXP(-HCK/T*826.19)
      RETURN
C     31.01
  182 PFGROUND=1.
      RETURN
C     31.02
  183 PFGROUND=2.
      RETURN
c    
  184 pfground=1.
      return
  185 pfground=1.
      return
  186 pfground=1.
      return
c
C     32.00
  187 PFGROUND=1.+3.*EXP(-HCK/T*557.134)+5.*EXP(-HCK/T*1409.961)+
     1 5.*EXP(-HCK/T*7125.299)
      RETURN
C     32.01
  188 PFGROUND=2.+4.*EXP(-HCK/T*1767.356)
      RETURN
C     32.02
  189 PFGROUND=1.
      RETURN
c    
  190 pfground=1.
      return
  191 pfground=1.
      return
  192 pfground=1.
      return
c
C     33.00
  193 PFGROUND=4.
      RETURN
C     33.01
  194 PFGROUND=1.+3.*EXP(-HCK/T*1061.)+5.*EXP(-HCK/T*2538.)
      RETURN
C     33.02
  195 PFGROUND=2.+4.*EXP(-HCK/T*2940.)
      RETURN
c    
  196 pfground=1.
      return
  197 pfground=1.
      return
  198 pfground=1.
      return
c
C     34.00
  199 PFGROUND=5.+3.*EXP(-HCK/T*1989.49)+EXP(-HCK/T*2534.35)+
     1 5.*EXP(-HCK/T*9576.149)+1.*EXP(-HCK/T*22446.202)
      RETURN
C     34.01
  200 PFGROUND=4.+4.*EXP(-HCK/T*13168.2)+6.*EXP(-HCK/T*13784.4)+
     1 2.*EXP(-HCK/T*23038.3)+4.*EXP(-HCK/T*23894.8)
      RETURN
C     34.02
  201 PFGROUND=1.+3.*EXP(-HCK/T*1741.)+5.*EXP(-HCK/T*3937.)+
     1 5.*EXP(-HCK/T*13032.)+1.*EXP(-HCK/T*28430.)
      RETURN
c    
  202 pfground=1.
      return
  203 pfground=1.
      return
  204 pfground=1.
      return
c
C     35.00
  205 PFGROUND=4.+2.*EXP(-HCK/T*3685.24)
      RETURN
C     35.01
  206 PFGROUND=5.+3.*EXP(-HCK/T*3136.4)+EXP(-HCK/T*3837.5)+
     1 5.*EXP(-HCK/T*12089.1)
      RETURN
C     35.02
  207 PFGROUND=4.+4.*EXP(-HCK/T*15042.0)+6.*EXP(-HCK/T*16301)+
     1 2.*EXP(-HCK/T*26915.0)+4.*EXP(-HCK/T*28579.0)
      RETURN
c    
  208 pfground=1.
      return
  209 pfground=1.
      return
  210 pfground=1.
      return
c
C     36.00
  211 PFGROUND=1.
      RETURN
C     36.01
  212 PFGROUND=4.+2.*EXP(-HCK/T*5371.)
      RETURN
C     36.02
  213 PFGROUND=5.+3.*EXP(-HCK/T*3136.4)+EXP(-HCK/T*3837.5)+
     1 5.*EXP(-HCK/T*14644.3)+1.*EXP(-HCK/T*33079.6)
      RETURN
c    
  214 pfground=1.
      return
  215 pfground=1.
      return
  216 pfground=1.
      return
c
C     37.00
  217 PFGROUND=2.
      RETURN
C     37.01
  218 PFGROUND=1.
      RETURN
C     37.02
  219 PFGROUND=4.+2.*EXP(-HCK/T*7380.)
      RETURN
c    
  220 pfground=1.
      return
  221 pfground=1.
      return
  222 pfground=1.
      return
c
C     38.00
  223 PFGROUND=1.
      RETURN
C     38.01
  224 PFGROUND=2.+4.*EXP(-HCK/T*14555.50)+6.*EXP(-HCK/T*14836.24)
      RETURN
C     38.02
  225 PFGROUND=1.
      RETURN
c    
  226 pfground=1.
      return
  227 pfground=1.
      return
  228 pfground=1.
      return
c
C     39.00
  229 PFGROUND=4.+6.*EXP(-HCK/T*530.36)
      RETURN
C     39.01
  230 PFGROUND=1.+3.*EXP(-HCK/T*840.198)+5.*EXP(-HCK/T*1045.076)+
     1 7.*EXP(-HCK/T*1449.752)+5.*EXP(-HCK/T*3296.280)+
     2 5.*EXP(-HCK/T*8003.126)+7.*EXP(-HCK/T*8328.039)+
     3 9.*EXP(-HCK/T*8743.322)
      RETURN
C     39.02
  231 PFGROUND=4.+6.*EXP(-HCK/T*724.15)+2.*EXP(-HCK/T*7467.10)
      RETURN
c    
  232 pfground=1.
      return
  233 pfground=1.
      return
  234 pfground=1.
      return
c
C     40.00
  235 PFGROUND=5.+7.*EXP(-HCK/T*570.41)+9.*EXP(-HCK/T*1240.84)+
     1 1.*EXP(-HCK/T*4196.85)+3.*EXP(-HCK/T*4376.28)+
     2 5.*EXP(-HCK/T*4186.11)+3.*EXP(-HCK/T*4870.53)+
     3 5.*EXP(-HCK/T*5023.41)+7.*EXP(-HCK/T*5249.07)+
     4 9.*EXP(-HCK/T*5540.54)+11.*EXP(-HCK/T*5888.93)+
     5 5.*EXP(-HCK/T*5101.68)+9.*EXP(-HCK/T*8057.30)
      RETURN
C     40.01
  236 PFGROUND=4.+6.*EXP(-HCK/T*314.67)+8.*EXP(-HCK/T*763.44)+
     1 10.*EXP(-HCK/T*1322.91)+4.*EXP(-HCK/T*2572.21)+
     2  6.*EXP(-HCK/T*2895.00)+8.*EXP(-HCK/T*3299.58)+
     3 10.*EXP(-HCK/T*3757.63)+4.*EXP(-HCK/T*4247.97)+
     4  6.*EXP(-HCK/T*4505.30)+2.*EXP(-HCK/T*5723.78)+
     5  4.*EXP(-HCK/T*6111.16)+6.*EXP(-HCK/T*5752.55)+
     6  8.*EXP(-HCK/T*6467.10)+2.*EXP(-HCK/T*7512.61)+
     7  4.*EXP(-HCK/T*7736.05)+6.*EXP(-HCK/T*8058.27)+
     8  8.*EXP(-HCK/T*7837.49)+10.*EXP(-HCK/T*8152.57)+
     9  2.*EXP(-HCK/T*9553.13)+4.*EXP(-HCK/T*9742.80)+
     A  6.*EXP(-HCK/T*9968.75) 
      RETURN
C     40.02
  237 PFGROUND=5.+7.*EXP(-HCK/T*681.2)+9.*EXP(-HCK/T*1485.8)+
     1 5.*EXP(-HCK/T*5742.8)+1.*EXP(-HCK/T*8062.7)+
     2 3.*EXP(-HCK/T*8327.0)+5.*EXP(-HCK/T*8839.7)+
     3 9.*EXP(-HCK/T*11049.9)+1.*EXP(-HCK/T*23974.9)+
     4 3.*EXP(-HCK/T*18400.8)+5.*EXP(-HCK/T*18804.7)+
     5 7.*EXP(-HCK/T*19535.3)+5.*EXP(-HCK/T*25066.9)+
     6 1.*EXP(-HCK/T*36473.7)
      RETURN
c    
  238 pfground=1.
      return
  239 pfground=1.
      return
  240 pfground=1.
      return
c
C     41.00
  241 PFGROUND=2.+4.*EXP(-HCK/T*154.19)+6.*EXP(-HCK/T*391.99)+
     1  8.*EXP(-HCK/T*695.25)+10.*EXP(-HCK/T*1050.26)+
     2  4.*EXP(-HCK/T*1142.79)+6.*EXP(-HCK/T*1586.90)+
     3  8.*EXP(-HCK/T*2154.11)+10.*EXP(-HCK/T*2805.36)+
     4  2.*EXP(-HCK/T*4998.17)+4.*EXP(-HCK/T*5297.92)+
     5  6.*EXP(-HCK/T*5965.45)+2.*EXP(-HCK/T*8410.90)+
     6  4.*EXP(-HCK/T*8705.32)+6.*EXP(-HCK/T*9043.14)+
     7  8.*EXP(-HCK/T*9497.52)+8.*EXP(-HCK/T*8827.00)+
     8 10.*EXP(-HCK/T*9328.88)+4.*EXP(-HCK/T*9439.08)+
     9  6.*EXP(-HCK/T*10237.51)
      RETURN
C     41.01
  242 PFGROUND=1.+3.*EXP(-HCK/T*158.99)+5.*EXP(-HCK/T*438.38)+
     1 7.*EXP(-HCK/T*801.38)+9.*EXP(-HCK/T*1224.87)+
     2 3.*EXP(-HCK/T*2356.76)+5.*EXP(-HCK/T*2629.07)+
     3 7.*EXP(-HCK/T*3029.57)+9.*EXP(-HCK/T*3542.50)+
     4 11.*EXP(-HCK/T*4146.00)+1.*EXP(-HCK/T*5562.26)+
     5 3.*EXP(-HCK/T*6192.33)+5.*EXP(-HCK/T*7261.33)+
     6 5.*EXP(-HCK/T*7505.78)+7.*EXP(-HCK/T*7900.65)+
     7 9.*EXP(-HCK/T*8320.40)+9.*EXP(-HCK/T*9509.67)+
     8 11.*EXP(-HCK/T*9812.56)+13.*EXP(-HCK/T*10186.41)
      RETURN
C     41.02
  243 PFGROUND=4.+6.*EXP(-HCK/T*515.8)+8.*EXP(-HCK/T*1176.6)+
     1 10.*EXP(-HCK/T*1939.0)+
     2  2.*EXP(-HCK/T*8664.3)+4.*EXP(-HCK/T*8607.5)+
     3  6.*EXP(-HCK/T*9593.7)+8.*EXP(-HCK/T*9236.1)+
     4 10.*EXP(-HCK/T*9804.5)+4.*EXP(-HCK/T*10912.2)+
     5  6.*EXP(-HCK/T*13094.0)+10.*EXP(-HCK/T*12916.0)+
     6 12.*EXP(-HCK/T*13263.8)+6.*EXP(-HCK/T*19975.0)+
     7  8.*EXP(-HCK/T*19861.0)+4.*EXP(-HCK/T*25220.2)+
     8  6.*EXP(-HCK/T*25735.2)+8.*EXP(-HCK/T*26463.7)+
     9 10.*EXP(-HCK/T*27373.5)
      RETURN
c    
  244 pfground=1.
      return
  245 pfground=1.
      return
  246 pfground=1.
      return
c
C     42.00
  247 PFGROUND=7.
      RETURN
C     42.01
  248 PFGROUND=6.
      RETURN
C     42.02
  249 PFGROUND=1.+3.*EXP(-HCK/T*243.10)+5.*EXP(-HCK/T*669.60)+
     1         7.*EXP(-HCK/T*1225.20)+9.*EXP(-HCK/T*1873.80)
      RETURN
c    
  250 pfground=1.
      return
  251 pfground=1.
      return
  252 pfground=1.
      return
c
C     43.00
C     7jun04 corrected by John Laird   second term is low
C 253 PFGROUND=6.
  253 PFGROUND=6.   +10.*EXP(-HCK/T*2572.89)+8.*EXP(-HCK/T*3250.91)+
     1 6.*EXP(-HCK/T*3700.54)+4.*EXP(-HCK/T*4002.57)+
     2 2.*EXP(-HCK/T*4178.75)
      RETURN
C     43.01
C     7jun04 corrected by John Laird  second term is low
C 254 PFGROUND=7.
  254 PFGROUND=7.  +9.*EXP(-HCK/T*3461.27)+7.*EXP(-HCK/T*4217.17)+
     1 5.*EXP(-HCK/T*4669.22)+3.*EXP(-HCK/T*4961.14)+
     2 1.*EXP(-HCK/T*5100.98)
      RETURN
C     43.02
  255 PFGROUND=6.
      RETURN
c    
  256 pfground=1.
      return
  257 pfground=1.
      return
  258 pfground=1.
      return
c
C     44.00
  259 PFGROUND=11.+9.*EXP(-HCK/T*1190.64)+7.*EXP(-HCK/T*2091.54)+
     1 5.*EXP(-HCK/T*2713.24)+3.*EXP(-HCK/T*3105.49)+
     2 9.*EXP(-HCK/T*6545.03)+7.*EXP(-HCK/T*8084.12)+
     3 5.*EXP(-HCK/T*9183.66)+9.*EXP(-HCK/T*7483.07)+
     4 7.*EXP(-HCK/T*8575.42)+5.*EXP(-HCK/T*9057.64)+
     5 3.*EXP(-HCK/T*9072.98)+1.*EXP(-HCK/T*8492.37)+
     6 7.*EXP(-HCK/T*8770.93)+5.*EXP(-HCK/T*8043.69)+
     7 3.*EXP(-HCK/T*9620.29)+9.*EXP(-HCK/T*9120.63)
      RETURN
C     44.01
c     4jan03 corrected by John Lester
  260 PFGROUND=10.+8.*EXP(-HCK/T*1523.1)+6.*EXP(-HCK/T*2493.9)+
     1 4.*EXP(-HCK/T*3104.2)+6.*EXP(-HCK/T*8256.7)+
     2 4.*EXP(-HCK/T*8477.4)+2.*EXP(-HCK/T*9373.4)+
     3 10.*EXP(-HCK/T*9151.6)
c    1         4.*EXP(HCK/T*3104.2)
c     corrected by Katherina Bischof
      RETURN
C     44.02
  261 PFGROUND=9.+7.*EXP(-HCK/T*1158.8)+5.*EXP(-HCK/T*1826.3)+
     1 3.*EXP(-HCK/T*2266.3)+EXP(-HCK/T*2476.0)+
     2 7.*EXP(-HCK/T*27162.8)+5.*EXP(-HCK/T*41111.7)
      RETURN
c
  262 pfground=1.
      return
  263 pfground=1.
      return
  264 pfground=1.
      return
c
C     45.00
  265 PFGROUND=10.+8.*EXP(-HCK/T*1529.97)+6.*EXP(-HCK/T*2598.03)+
     1 4.*EXP(-HCK/T*3472.68)+6.*EXP(-HCK/T*3309.86)+
     2 4.*EXP(-HCK/T*5657.97)+8.*EXP(-HCK/T*5690.97)+
     3 6.*EXP(-HCK/T*7791.23)+6.*EXP(-HCK/T*9221.22)
      RETURN
C     45.01
  266 PFGROUND=9.+7.*EXP(-HCK/T*2401.3)+5.*EXP(-HCK/T*3580.7)+
     1 5.*EXP(-HCK/T*8164.4)+1.*EXP(-HCK/T*10760.8)+
     2 3.*EXP(-HCK/T*10515.0)+5.*EXP(-HCK/T*11643.7)+
     3 9.*EXP(-HCK/T*14855.4)+11.*EXP(-HCK/T*16884.8)+
     4 9.*EXP(-HCK/T*18540.4)+7.*EXP(-HCK/T*19792.4)
      RETURN
C     45.02
  267 PFGROUND=10.+8.*EXP(-HCK/T*2147.8)+6.*EXP(-HCK/T*3485.7)+
     1 4.*EXP(-HCK/T*4322.0)+6.*EXP(-HCK/T*11062.3)+
     2 4.*EXP(-HCK/T*10997.1)+2.*EXP(-HCK/T*12469.8)+
     3 10.*EXP(-HCK/T*14044.0)+8.*EXP(-HCK/T*15256.8)+
     4 4.*EXP(-HCK/T*16870.7)+2.*EXP(-HCK/T*18303.7)+
     5 12.*EXP(-HCK/T*19490.2)+6.*EXP(-HCK/T*19528.5)
      RETURN
c    
  268 pfground=1.
      return
  269 pfground=1.
      return
  270 pfground=1.
      return
c
C     46.00
  271 PFGROUND=1.+7.*EXP(-HCK/T*6564.11)+5.*EXP(-HCK/T*7754.99)
      RETURN
C     46.01
  272 PFGROUND=6.+4.*EXP(-HCK/T*3539.2)
      RETURN
C     46.02
  273 PFGROUND=9.+7.*EXP(-HCK/T*3229.3)+5.*EXP(-HCK/T*4687.5)+
     1 5.*EXP(-HCK/T*10229.3)+3.*EXP(-HCK/T*13468.9)+
     2 1.*EXP(-HCK/T*13697.5)+5.*EXP(-HCK/T*14634.4)+
     3 9.*EXP(-HCK/T*17879.3)
      RETURN
c    
  274 pfground=1.
      return
  275 pfground=1.
      return
  276 pfground=1.
      return
c
C     47.00
  277 PFGROUND=2.
      RETURN
C     47.01
  278 PFGROUND=1.
      RETURN
C     47.02
  279 PFGROUND=6.+4.*EXP(-HCK/T*4607.)
      RETURN
c    
  280 pfground=1.
      return
  281 pfground=1.
      return
  282 pfground=1.
      return
c
C     48.00
  283 PFGROUND=1.
      RETURN
C     48.01
  284 PFGROUND=2.
      RETURN
C     48.02
  285 PFGROUND=1.
      RETURN
c    
  286 pfground=1.
      return
  287 pfground=1.
      return
  288 pfground=1.
      return
c
C     49.00
  289 PFGROUND=2.+4.*EXP(-HCK/T*2212.598)
      RETURN
C     49.01
  290 PFGROUND=1.
      RETURN
C     49.02
  291 PFGROUND=2.
      RETURN
c    
  292 pfground=1.
      return
  293 pfground=1
      return
  294 pfground=1.
      return
c
C     50.00
  295 PFGROUND=1.+3.*EXP(-HCK/T*1691.8)+5.*EXP(-HCK/T*3427.7)+
     1 5.*EXP(-HCK/T*6513.0)
      RETURN
C     50.01
  296 PFGROUND=2.+4.*EXP(-HCK/T*4251.4)
      RETURN
C     50.02
  297 PFGROUND=1.
      RETURN
c    
  298 pfground=1.
      return
  299 pfground=1.
      return
  300 pfground=1.
      return
c
C     51.00
  301 PFGROUND=4.+4.*EXP(-HCK/T*8512.1)+6.*EXP(-HCK/T*9854.1)
      RETURN
C     51.01
  302 PFGROUND=1.+3.*EXP(-HCK/T*3055.0)+5.*EXP(-HCK/T*5659.0)
      RETURN
C     51.02
  303 PFGROUND=2.+4.*EXP(-HCK/T*6576.)
      RETURN
c    
  304 pfground=1.
      return
  305 pfground=1.
      return
  306 pfground=1.
      return
c
C     52.00
  307 PFGROUND=5.+3.*EXP(-HCK/T*4750.712)+EXP(-HCK/T*4706.5)
      RETURN
C     52.01
  308 PFGROUND=4.+4.*EXP(-HCK/T*10222.385)+6.*EXP(-HCK/T*12421.854)+
     1 2.*EXP(-HCK/T*20546.591)+4.*EXP(-HCK/T*24032.2)
      RETURN
C     52.02
  309 PFGROUND=1.+3.*EXP(-HCK/T*4756.5)+5.*EXP(-HCK/T*8166.9)+
     1 5.*EXP(-HCK/T*17538.)
      RETURN
c    
  310 pfground=1.
      return
  311 pfground=1.
      return
  312 pfground=1.
      return
c
C     53.00
  313 PFGROUND=4.+2.*EXP(-HCK/T*7063.15)
      RETURN
C     53.01
  314 PFGROUND=5.+3.*EXP(-HCK/T*7087.0)+EXP(-HCK/T*6447.9)+
     1 5.*EXP(-HCK/T*13727.2)+1.*EXP(-HCK/T*29501.3)
      RETURN
C     53.02
  315 PFGROUND=4.+4.*EXP(-HCK/T*11711.2)+6.*EXP(-HCK/T*14901.9)+
     1 2.*EXP(-HCK/T*24299.3)+4.*EXP(-HCK/T*29636.8)
      RETURN
c    
  316 pfground=1.
      return
  317 pfground=1.
      return
  318 pfground=1.
      return
c
C     54.00
  319 PFGROUND=1.
      RETURN
C     54.01
  320 PFGROUND=4.+2.*EXP(-HCK/T*10537.01)
      RETURN
C     54.02
  321 PFGROUND=5.+3.*EXP(-HCK/T*9794.36)+EXP(-HCK/T*8130.08)+
     1 5.*EXP(-HCK/T*17098.73)+1.*EXP(-HCK/T*36102.94)
      RETURN
c    
  322 pfground=1.
      return
  323 pfground=1.
      return
  324 pfground=1.
      return
c
C     55.00
  325 PFGROUND=2.
      RETURN
C     55.01
  326 PFGROUND=1.
      RETURN
C     55.02
  327 PFGROUND=4.+2.*EXP(-HCK/T*13884.)
      RETURN
c    
  328 pfground=1.
      return
  329 pfground=1.
      return
  330 pfground=1.
      return
c
C     56.00
  331 PFGROUND=1.
      RETURN
C     56.01
  332 PFGROUND=2.+4.*EXP(-HCK/T*4873.852)+6.*EXP(-HCK/T*5674.807)
      RETURN
C     56.02
  333 PFGROUND=1.
      RETURN
c    
  334 pfground=1.
      return
  335 pfground=1.
      return
  336 pfground=1.
      return
c
      ENDIF
C      IF(NELION.GT.336)THEN
C     THESE CAN HAVE LOW EXCITED LEVELS
      PFGROUND=1.
      RETURN
      END
      SUBROUTINE PFIRON(NELEM,ION,TLOG8,POTLOW8,PF)
      REAL*8 TLOG8,POTLOW8,PF
      DIMENSION POTLO(7),POTLOLOG(7)
      DIMENSION PFTAB(7,56,10,9),P63(63,560)
      EQUIVALENCE (PFTAB(1,1,1,1),P63(1,1))
      DIMENSION PF001(63),PF002(63),PF003(63),PF004(63),PF005(63)
      DIMENSION PF006(63),PF007(63),PF008(63),PF009(63),PF010(63)
      DIMENSION PF011(63),PF012(63),PF013(63),PF014(63),PF015(63)
      DIMENSION PF016(63),PF017(63),PF018(63),PF019(63),PF020(63)
      DIMENSION PF021(63),PF022(63),PF023(63),PF024(63),PF025(63)
      DIMENSION PF026(63),PF027(63),PF028(63),PF029(63),PF030(63)
      DIMENSION PF031(63),PF032(63),PF033(63),PF034(63),PF035(63)
      DIMENSION PF036(63),PF037(63),PF038(63),PF039(63),PF040(63)
      DIMENSION PF041(63),PF042(63),PF043(63),PF044(63),PF045(63)
      DIMENSION PF046(63),PF047(63),PF048(63),PF049(63),PF050(63)
      DIMENSION PF051(63),PF052(63),PF053(63),PF054(63),PF055(63)
      DIMENSION PF056(63),PF057(63),PF058(63),PF059(63),PF060(63)
      DIMENSION PF061(63),PF062(63),PF063(63),PF064(63),PF065(63)
      DIMENSION PF066(63),PF067(63),PF068(63),PF069(63),PF070(63)
      DIMENSION PF071(63),PF072(63),PF073(63),PF074(63),PF075(63)
      DIMENSION PF076(63),PF077(63),PF078(63),PF079(63),PF080(63)
      DIMENSION PF081(63),PF082(63),PF083(63),PF084(63),PF085(63)
      DIMENSION PF086(63),PF087(63),PF088(63),PF089(63),PF090(63)
      DIMENSION PF091(63),PF092(63),PF093(63),PF094(63),PF095(63)
      DIMENSION PF096(63),PF097(63),PF098(63),PF099(63),PF100(63)
      DIMENSION PF101(63),PF102(63),PF103(63),PF104(63),PF105(63)
      DIMENSION PF106(63),PF107(63),PF108(63),PF109(63),PF110(63)
      DIMENSION PF111(63),PF112(63),PF113(63),PF114(63),PF115(63)
      DIMENSION PF116(63),PF117(63),PF118(63),PF119(63),PF120(63)
      DIMENSION PF121(63),PF122(63),PF123(63),PF124(63),PF125(63)
      DIMENSION PF126(63),PF127(63),PF128(63),PF129(63),PF130(63)
      DIMENSION PF131(63),PF132(63),PF133(63),PF134(63),PF135(63)
      DIMENSION PF136(63),PF137(63),PF138(63),PF139(63),PF140(63)
      DIMENSION PF141(63),PF142(63),PF143(63),PF144(63),PF145(63)
      DIMENSION PF146(63),PF147(63),PF148(63),PF149(63),PF150(63)
      DIMENSION PF151(63),PF152(63),PF153(63),PF154(63),PF155(63)
      DIMENSION PF156(63),PF157(63),PF158(63),PF159(63),PF160(63)
      DIMENSION PF161(63),PF162(63),PF163(63),PF164(63),PF165(63)
      DIMENSION PF166(63),PF167(63),PF168(63),PF169(63),PF170(63)
      DIMENSION PF171(63),PF172(63),PF173(63),PF174(63),PF175(63)
      DIMENSION PF176(63),PF177(63),PF178(63),PF179(63),PF180(63)
      DIMENSION PF181(63),PF182(63),PF183(63),PF184(63),PF185(63)
      DIMENSION PF186(63),PF187(63),PF188(63),PF189(63),PF190(63)
      DIMENSION PF191(63),PF192(63),PF193(63),PF194(63),PF195(63)
      DIMENSION PF196(63),PF197(63),PF198(63),PF199(63),PF200(63)
      DIMENSION PF201(63),PF202(63),PF203(63),PF204(63),PF205(63)
      DIMENSION PF206(63),PF207(63),PF208(63),PF209(63),PF210(63)
      DIMENSION PF211(63),PF212(63),PF213(63),PF214(63),PF215(63)
      DIMENSION PF216(63),PF217(63),PF218(63),PF219(63),PF220(63)
      DIMENSION PF221(63),PF222(63),PF223(63),PF224(63),PF225(63)
      DIMENSION PF226(63),PF227(63),PF228(63),PF229(63),PF230(63)
      DIMENSION PF231(63),PF232(63),PF233(63),PF234(63),PF235(63)
      DIMENSION PF236(63),PF237(63),PF238(63),PF239(63),PF240(63)
      DIMENSION PF241(63),PF242(63),PF243(63),PF244(63),PF245(63)
      DIMENSION PF246(63),PF247(63),PF248(63),PF249(63),PF250(63)
      DIMENSION PF251(63),PF252(63),PF253(63),PF254(63),PF255(63)
      DIMENSION PF256(63),PF257(63),PF258(63),PF259(63),PF260(63)
      DIMENSION PF261(63),PF262(63),PF263(63),PF264(63),PF265(63)
      DIMENSION PF266(63),PF267(63),PF268(63),PF269(63),PF270(63)
      DIMENSION PF271(63),PF272(63),PF273(63),PF274(63),PF275(63)
      DIMENSION PF276(63),PF277(63),PF278(63),PF279(63),PF280(63)
      DIMENSION PF281(63),PF282(63),PF283(63),PF284(63),PF285(63)
      DIMENSION PF286(63),PF287(63),PF288(63),PF289(63),PF290(63)
      DIMENSION PF291(63),PF292(63),PF293(63),PF294(63),PF295(63)
      DIMENSION PF296(63),PF297(63),PF298(63),PF299(63),PF300(63)
      DIMENSION PF301(63),PF302(63),PF303(63),PF304(63),PF305(63)
      DIMENSION PF306(63),PF307(63),PF308(63),PF309(63),PF310(63)
      DIMENSION PF311(63),PF312(63),PF313(63),PF314(63),PF315(63)
      DIMENSION PF316(63),PF317(63),PF318(63),PF319(63),PF320(63)
      DIMENSION PF321(63),PF322(63),PF323(63),PF324(63),PF325(63)
      DIMENSION PF326(63),PF327(63),PF328(63),PF329(63),PF330(63)
      DIMENSION PF331(63),PF332(63),PF333(63),PF334(63),PF335(63)
      DIMENSION PF336(63),PF337(63),PF338(63),PF339(63),PF340(63)
      DIMENSION PF341(63),PF342(63),PF343(63),PF344(63),PF345(63)
      DIMENSION PF346(63),PF347(63),PF348(63),PF349(63),PF350(63)
      DIMENSION PF351(63),PF352(63),PF353(63),PF354(63),PF355(63)
      DIMENSION PF356(63),PF357(63),PF358(63),PF359(63),PF360(63)
      DIMENSION PF361(63),PF362(63),PF363(63),PF364(63),PF365(63)
      DIMENSION PF366(63),PF367(63),PF368(63),PF369(63),PF370(63)
      DIMENSION PF371(63),PF372(63),PF373(63),PF374(63),PF375(63)
      DIMENSION PF376(63),PF377(63),PF378(63),PF379(63),PF380(63)
      DIMENSION PF381(63),PF382(63),PF383(63),PF384(63),PF385(63)
      DIMENSION PF386(63),PF387(63),PF388(63),PF389(63),PF390(63)
      DIMENSION PF391(63),PF392(63),PF393(63),PF394(63),PF395(63)
      DIMENSION PF396(63),PF397(63),PF398(63),PF399(63),PF400(63)
      DIMENSION PF401(63),PF402(63),PF403(63),PF404(63),PF405(63)
      DIMENSION PF406(63),PF407(63),PF408(63),PF409(63),PF410(63)
      DIMENSION PF411(63),PF412(63),PF413(63),PF414(63),PF415(63)
      DIMENSION PF416(63),PF417(63),PF418(63),PF419(63),PF420(63)
      DIMENSION PF421(63),PF422(63),PF423(63),PF424(63),PF425(63)
      DIMENSION PF426(63),PF427(63),PF428(63),PF429(63),PF430(63)
      DIMENSION PF431(63),PF432(63),PF433(63),PF434(63),PF435(63)
      DIMENSION PF436(63),PF437(63),PF438(63),PF439(63),PF440(63)
      DIMENSION PF441(63),PF442(63),PF443(63),PF444(63),PF445(63)
      DIMENSION PF446(63),PF447(63),PF448(63),PF449(63),PF450(63)
      DIMENSION PF451(63),PF452(63),PF453(63),PF454(63),PF455(63)
      DIMENSION PF456(63),PF457(63),PF458(63),PF459(63),PF460(63)
      DIMENSION PF461(63),PF462(63),PF463(63),PF464(63),PF465(63)
      DIMENSION PF466(63),PF467(63),PF468(63),PF469(63),PF470(63)
      DIMENSION PF471(63),PF472(63),PF473(63),PF474(63),PF475(63)
      DIMENSION PF476(63),PF477(63),PF478(63),PF479(63),PF480(63)
      DIMENSION PF481(63),PF482(63),PF483(63),PF484(63),PF485(63)
      DIMENSION PF486(63),PF487(63),PF488(63),PF489(63),PF490(63)
      DIMENSION PF491(63),PF492(63),PF493(63),PF494(63),PF495(63)
      DIMENSION PF496(63),PF497(63),PF498(63),PF499(63),PF500(63)
      DIMENSION PF501(63),PF502(63),PF503(63),PF504(63),PF505(63)
      DIMENSION PF506(63),PF507(63),PF508(63),PF509(63),PF510(63)
      DIMENSION PF511(63),PF512(63),PF513(63),PF514(63),PF515(63)
      DIMENSION PF516(63),PF517(63),PF518(63),PF519(63),PF520(63)
      DIMENSION PF521(63),PF522(63),PF523(63),PF524(63),PF525(63)
      DIMENSION PF526(63),PF527(63),PF528(63),PF529(63),PF530(63)
      DIMENSION PF531(63),PF532(63),PF533(63),PF534(63),PF535(63)
      DIMENSION PF536(63),PF537(63),PF538(63),PF539(63),PF540(63)
      DIMENSION PF541(63),PF542(63),PF543(63),PF544(63),PF545(63)
      DIMENSION PF546(63),PF547(63),PF548(63),PF549(63),PF550(63)
      DIMENSION PF551(63),PF552(63),PF553(63),PF554(63),PF555(63)
      DIMENSION PF556(63),PF557(63),PF558(63),PF559(63),PF560(63)
      EQUIVALENCE (PF001(1),P63(001,1)),(PF002(1),P63(1,002))
      EQUIVALENCE (PF003(1),P63(1,003)),(PF004(1),P63(1,004))
      EQUIVALENCE (PF005(1),P63(1,005)),(PF006(1),P63(1,006))
      EQUIVALENCE (PF007(1),P63(1,007)),(PF008(1),P63(1,008))
      EQUIVALENCE (PF009(1),P63(1,009)),(PF010(1),P63(1,010))
      EQUIVALENCE (PF011(1),P63(1,011)),(PF012(1),P63(1,012))
      EQUIVALENCE (PF013(1),P63(1,013)),(PF014(1),P63(1,014))
      EQUIVALENCE (PF015(1),P63(1,015)),(PF016(1),P63(1,016))
      EQUIVALENCE (PF017(1),P63(1,017)),(PF018(1),P63(1,018))
      EQUIVALENCE (PF019(1),P63(1,019)),(PF020(1),P63(1,020))
      EQUIVALENCE (PF021(1),P63(1,021)),(PF022(1),P63(1,022))
      EQUIVALENCE (PF023(1),P63(1,023)),(PF024(1),P63(1,024))
      EQUIVALENCE (PF025(1),P63(1,025)),(PF026(1),P63(1,026))
      EQUIVALENCE (PF027(1),P63(1,027)),(PF028(1),P63(1,028))
      EQUIVALENCE (PF029(1),P63(1,029)),(PF030(1),P63(1,030))
      EQUIVALENCE (PF031(1),P63(1,031)),(PF032(1),P63(1,032))
      EQUIVALENCE (PF033(1),P63(1,033)),(PF034(1),P63(1,034))
      EQUIVALENCE (PF035(1),P63(1,035)),(PF036(1),P63(1,036))
      EQUIVALENCE (PF037(1),P63(1,037)),(PF038(1),P63(1,038))
      EQUIVALENCE (PF039(1),P63(1,039)),(PF040(1),P63(1,040))
      EQUIVALENCE (PF041(1),P63(1,041)),(PF042(1),P63(1,042))
      EQUIVALENCE (PF043(1),P63(1,043)),(PF044(1),P63(1,044))
      EQUIVALENCE (PF045(1),P63(1,045)),(PF046(1),P63(1,046))
      EQUIVALENCE (PF047(1),P63(1,047)),(PF048(1),P63(1,048))
      EQUIVALENCE (PF049(1),P63(1,049)),(PF050(1),P63(1,050))
      EQUIVALENCE (PF051(1),P63(1,051)),(PF052(1),P63(1,052))
      EQUIVALENCE (PF053(1),P63(1,053)),(PF054(1),P63(1,054))
      EQUIVALENCE (PF055(1),P63(1,055)),(PF056(1),P63(1,056))
      EQUIVALENCE (PF057(1),P63(1,057)),(PF058(1),P63(1,058))
      EQUIVALENCE (PF059(1),P63(1,059)),(PF060(1),P63(1,060))
      EQUIVALENCE (PF061(1),P63(1,061)),(PF062(1),P63(1,062))
      EQUIVALENCE (PF063(1),P63(1,063)),(PF064(1),P63(1,064))
      EQUIVALENCE (PF065(1),P63(1,065)),(PF066(1),P63(1,066))
      EQUIVALENCE (PF067(1),P63(1,067)),(PF068(1),P63(1,068))
      EQUIVALENCE (PF069(1),P63(1,069)),(PF070(1),P63(1,070))
      EQUIVALENCE (PF071(1),P63(1,071)),(PF072(1),P63(1,072))
      EQUIVALENCE (PF073(1),P63(1,073)),(PF074(1),P63(1,074))
      EQUIVALENCE (PF075(1),P63(1,075)),(PF076(1),P63(1,076))
      EQUIVALENCE (PF077(1),P63(1,077)),(PF078(1),P63(1,078))
      EQUIVALENCE (PF079(1),P63(1,079)),(PF080(1),P63(1,080))
      EQUIVALENCE (PF081(1),P63(1,081)),(PF082(1),P63(1,082))
      EQUIVALENCE (PF083(1),P63(1,083)),(PF084(1),P63(1,084))
      EQUIVALENCE (PF085(1),P63(1,085)),(PF086(1),P63(1,086))
      EQUIVALENCE (PF087(1),P63(1,087)),(PF088(1),P63(1,088))
      EQUIVALENCE (PF089(1),P63(1,089)),(PF090(1),P63(1,090))
      EQUIVALENCE (PF091(1),P63(1,091)),(PF092(1),P63(1,092))
      EQUIVALENCE (PF093(1),P63(1,093)),(PF094(1),P63(1,094))
      EQUIVALENCE (PF095(1),P63(1,095)),(PF096(1),P63(1,096))
      EQUIVALENCE (PF097(1),P63(1,097)),(PF098(1),P63(1,098))
      EQUIVALENCE (PF099(1),P63(1,099)),(PF100(1),P63(1,100))
      EQUIVALENCE (PF101(1),P63(1,101)),(PF102(1),P63(1,102))
      EQUIVALENCE (PF103(1),P63(1,103)),(PF104(1),P63(1,104))
      EQUIVALENCE (PF105(1),P63(1,105)),(PF106(1),P63(1,106))
      EQUIVALENCE (PF107(1),P63(1,107)),(PF108(1),P63(1,108))
      EQUIVALENCE (PF109(1),P63(1,109)),(PF110(1),P63(1,110))
      EQUIVALENCE (PF111(1),P63(1,111)),(PF112(1),P63(1,112))
      EQUIVALENCE (PF113(1),P63(1,113)),(PF114(1),P63(1,114))
      EQUIVALENCE (PF115(1),P63(1,115)),(PF116(1),P63(1,116))
      EQUIVALENCE (PF117(1),P63(1,117)),(PF118(1),P63(1,118))
      EQUIVALENCE (PF119(1),P63(1,119)),(PF120(1),P63(1,120))
      EQUIVALENCE (PF121(1),P63(1,121)),(PF122(1),P63(1,122))
      EQUIVALENCE (PF123(1),P63(1,123)),(PF124(1),P63(1,124))
      EQUIVALENCE (PF125(1),P63(1,125)),(PF126(1),P63(1,126))
      EQUIVALENCE (PF127(1),P63(1,127)),(PF128(1),P63(1,128))
      EQUIVALENCE (PF129(1),P63(1,129)),(PF130(1),P63(1,130))
      EQUIVALENCE (PF131(1),P63(1,131)),(PF132(1),P63(1,132))
      EQUIVALENCE (PF133(1),P63(1,133)),(PF134(1),P63(1,134))
      EQUIVALENCE (PF135(1),P63(1,135)),(PF136(1),P63(1,136))
      EQUIVALENCE (PF137(1),P63(1,137)),(PF138(1),P63(1,138))
      EQUIVALENCE (PF139(1),P63(1,139)),(PF140(1),P63(1,140))
      EQUIVALENCE (PF141(1),P63(1,141)),(PF142(1),P63(1,142))
      EQUIVALENCE (PF143(1),P63(1,143)),(PF144(1),P63(1,144))
      EQUIVALENCE (PF145(1),P63(1,145)),(PF146(1),P63(1,146))
      EQUIVALENCE (PF147(1),P63(1,147)),(PF148(1),P63(1,148))
      EQUIVALENCE (PF149(1),P63(1,149)),(PF150(1),P63(1,150))
      EQUIVALENCE (PF151(1),P63(1,151)),(PF152(1),P63(1,152))
      EQUIVALENCE (PF153(1),P63(1,153)),(PF154(1),P63(1,154))
      EQUIVALENCE (PF155(1),P63(1,155)),(PF156(1),P63(1,156))
      EQUIVALENCE (PF157(1),P63(1,157)),(PF158(1),P63(1,158))
      EQUIVALENCE (PF159(1),P63(1,159)),(PF160(1),P63(1,160))
      EQUIVALENCE (PF161(1),P63(1,161)),(PF162(1),P63(1,162))
      EQUIVALENCE (PF163(1),P63(1,163)),(PF164(1),P63(1,164))
      EQUIVALENCE (PF165(1),P63(1,165)),(PF166(1),P63(1,166))
      EQUIVALENCE (PF167(1),P63(1,167)),(PF168(1),P63(1,168))
      EQUIVALENCE (PF169(1),P63(1,169)),(PF170(1),P63(1,170))
      EQUIVALENCE (PF171(1),P63(1,171)),(PF172(1),P63(1,172))
      EQUIVALENCE (PF173(1),P63(1,173)),(PF174(1),P63(1,174))
      EQUIVALENCE (PF175(1),P63(1,175)),(PF176(1),P63(1,176))
      EQUIVALENCE (PF177(1),P63(1,177)),(PF178(1),P63(1,178))
      EQUIVALENCE (PF179(1),P63(1,179)),(PF180(1),P63(1,180))
      EQUIVALENCE (PF181(1),P63(1,181)),(PF182(1),P63(1,182))
      EQUIVALENCE (PF183(1),P63(1,183)),(PF184(1),P63(1,184))
      EQUIVALENCE (PF185(1),P63(1,185)),(PF186(1),P63(1,186))
      EQUIVALENCE (PF187(1),P63(1,187)),(PF188(1),P63(1,188))
      EQUIVALENCE (PF189(1),P63(1,189)),(PF190(1),P63(1,190))
      EQUIVALENCE (PF191(1),P63(1,191)),(PF192(1),P63(1,192))
      EQUIVALENCE (PF193(1),P63(1,193)),(PF194(1),P63(1,194))
      EQUIVALENCE (PF195(1),P63(1,195)),(PF196(1),P63(1,196))
      EQUIVALENCE (PF197(1),P63(1,197)),(PF198(1),P63(1,198))
      EQUIVALENCE (PF199(1),P63(1,199)),(PF200(1),P63(1,200))
      EQUIVALENCE (PF201(1),P63(1,201)),(PF202(1),P63(1,202))
      EQUIVALENCE (PF203(1),P63(1,203)),(PF204(1),P63(1,204))
      EQUIVALENCE (PF205(1),P63(1,205)),(PF206(1),P63(1,206))
      EQUIVALENCE (PF207(1),P63(1,207)),(PF208(1),P63(1,208))
      EQUIVALENCE (PF209(1),P63(1,209)),(PF210(1),P63(1,210))
      EQUIVALENCE (PF211(1),P63(1,211)),(PF212(1),P63(1,212))
      EQUIVALENCE (PF213(1),P63(1,213)),(PF214(1),P63(1,214))
      EQUIVALENCE (PF215(1),P63(1,215)),(PF216(1),P63(1,216))
      EQUIVALENCE (PF217(1),P63(1,217)),(PF218(1),P63(1,218))
      EQUIVALENCE (PF219(1),P63(1,219)),(PF220(1),P63(1,220))
      EQUIVALENCE (PF221(1),P63(1,221)),(PF222(1),P63(1,222))
      EQUIVALENCE (PF223(1),P63(1,223)),(PF224(1),P63(1,224))
      EQUIVALENCE (PF225(1),P63(1,225)),(PF226(1),P63(1,226))
      EQUIVALENCE (PF227(1),P63(1,227)),(PF228(1),P63(1,228))
      EQUIVALENCE (PF229(1),P63(1,229)),(PF230(1),P63(1,230))
      EQUIVALENCE (PF231(1),P63(1,231)),(PF232(1),P63(1,232))
      EQUIVALENCE (PF233(1),P63(1,233)),(PF234(1),P63(1,234))
      EQUIVALENCE (PF235(1),P63(1,235)),(PF236(1),P63(1,236))
      EQUIVALENCE (PF237(1),P63(1,237)),(PF238(1),P63(1,238))
      EQUIVALENCE (PF239(1),P63(1,239)),(PF240(1),P63(1,240))
      EQUIVALENCE (PF241(1),P63(1,241)),(PF242(1),P63(1,242))
      EQUIVALENCE (PF243(1),P63(1,243)),(PF244(1),P63(1,244))
      EQUIVALENCE (PF245(1),P63(1,245)),(PF246(1),P63(1,246))
      EQUIVALENCE (PF247(1),P63(1,247)),(PF248(1),P63(1,248))
      EQUIVALENCE (PF249(1),P63(1,249)),(PF250(1),P63(1,250))
      EQUIVALENCE (PF251(1),P63(1,251)),(PF252(1),P63(1,252))
      EQUIVALENCE (PF253(1),P63(1,253)),(PF254(1),P63(1,254))
      EQUIVALENCE (PF255(1),P63(1,255)),(PF256(1),P63(1,256))
      EQUIVALENCE (PF257(1),P63(1,257)),(PF258(1),P63(1,258))
      EQUIVALENCE (PF259(1),P63(1,259)),(PF260(1),P63(1,260))
      EQUIVALENCE (PF261(1),P63(1,261)),(PF262(1),P63(1,262))
      EQUIVALENCE (PF263(1),P63(1,263)),(PF264(1),P63(1,264))
      EQUIVALENCE (PF265(1),P63(1,265)),(PF266(1),P63(1,266))
      EQUIVALENCE (PF267(1),P63(1,267)),(PF268(1),P63(1,268))
      EQUIVALENCE (PF269(1),P63(1,269)),(PF270(1),P63(1,270))
      EQUIVALENCE (PF271(1),P63(1,271)),(PF272(1),P63(1,272))
      EQUIVALENCE (PF273(1),P63(1,273)),(PF274(1),P63(1,274))
      EQUIVALENCE (PF275(1),P63(1,275)),(PF276(1),P63(1,276))
      EQUIVALENCE (PF277(1),P63(1,277)),(PF278(1),P63(1,278))
      EQUIVALENCE (PF279(1),P63(1,279)),(PF280(1),P63(1,280))
      EQUIVALENCE (PF281(1),P63(1,281)),(PF282(1),P63(1,282))
      EQUIVALENCE (PF283(1),P63(1,283)),(PF284(1),P63(1,284))
      EQUIVALENCE (PF285(1),P63(1,285)),(PF286(1),P63(1,286))
      EQUIVALENCE (PF287(1),P63(1,287)),(PF288(1),P63(1,288))
      EQUIVALENCE (PF289(1),P63(1,289)),(PF290(1),P63(1,290))
      EQUIVALENCE (PF291(1),P63(1,291)),(PF292(1),P63(1,292))
      EQUIVALENCE (PF293(1),P63(1,293)),(PF294(1),P63(1,294))
      EQUIVALENCE (PF295(1),P63(1,295)),(PF296(1),P63(1,296))
      EQUIVALENCE (PF297(1),P63(1,297)),(PF298(1),P63(1,298))
      EQUIVALENCE (PF299(1),P63(1,299)),(PF300(1),P63(1,300))
      EQUIVALENCE (PF301(1),P63(1,301)),(PF302(1),P63(1,302))
      EQUIVALENCE (PF303(1),P63(1,303)),(PF304(1),P63(1,304))
      EQUIVALENCE (PF305(1),P63(1,305)),(PF306(1),P63(1,306))
      EQUIVALENCE (PF307(1),P63(1,307)),(PF308(1),P63(1,308))
      EQUIVALENCE (PF309(1),P63(1,309)),(PF310(1),P63(1,310))
      EQUIVALENCE (PF311(1),P63(1,311)),(PF312(1),P63(1,312))
      EQUIVALENCE (PF313(1),P63(1,313)),(PF314(1),P63(1,314))
      EQUIVALENCE (PF315(1),P63(1,315)),(PF316(1),P63(1,316))
      EQUIVALENCE (PF317(1),P63(1,317)),(PF318(1),P63(1,318))
      EQUIVALENCE (PF319(1),P63(1,319)),(PF320(1),P63(1,320))
      EQUIVALENCE (PF321(1),P63(1,321)),(PF322(1),P63(1,322))
      EQUIVALENCE (PF323(1),P63(1,323)),(PF324(1),P63(1,324))
      EQUIVALENCE (PF325(1),P63(1,325)),(PF326(1),P63(1,326))
      EQUIVALENCE (PF327(1),P63(1,327)),(PF328(1),P63(1,328))
      EQUIVALENCE (PF329(1),P63(1,329)),(PF330(1),P63(1,330))
      EQUIVALENCE (PF331(1),P63(1,331)),(PF332(1),P63(1,332))
      EQUIVALENCE (PF333(1),P63(1,333)),(PF334(1),P63(1,334))
      EQUIVALENCE (PF335(1),P63(1,335)),(PF336(1),P63(1,336))
      EQUIVALENCE (PF337(1),P63(1,337)),(PF338(1),P63(1,338))
      EQUIVALENCE (PF339(1),P63(1,339)),(PF340(1),P63(1,340))
      EQUIVALENCE (PF341(1),P63(1,341)),(PF342(1),P63(1,342))
      EQUIVALENCE (PF343(1),P63(1,343)),(PF344(1),P63(1,344))
      EQUIVALENCE (PF345(1),P63(1,345)),(PF346(1),P63(1,346))
      EQUIVALENCE (PF347(1),P63(1,347)),(PF348(1),P63(1,348))
      EQUIVALENCE (PF349(1),P63(1,349)),(PF350(1),P63(1,350))
      EQUIVALENCE (PF351(1),P63(1,351)),(PF352(1),P63(1,352))
      EQUIVALENCE (PF353(1),P63(1,353)),(PF354(1),P63(1,354))
      EQUIVALENCE (PF355(1),P63(1,355)),(PF356(1),P63(1,356))
      EQUIVALENCE (PF357(1),P63(1,357)),(PF358(1),P63(1,358))
      EQUIVALENCE (PF359(1),P63(1,359)),(PF360(1),P63(1,360))
      EQUIVALENCE (PF361(1),P63(1,361)),(PF362(1),P63(1,362))
      EQUIVALENCE (PF363(1),P63(1,363)),(PF364(1),P63(1,364))
      EQUIVALENCE (PF365(1),P63(1,365)),(PF366(1),P63(1,366))
      EQUIVALENCE (PF367(1),P63(1,367)),(PF368(1),P63(1,368))
      EQUIVALENCE (PF369(1),P63(1,369)),(PF370(1),P63(1,370))
      EQUIVALENCE (PF371(1),P63(1,371)),(PF372(1),P63(1,372))
      EQUIVALENCE (PF373(1),P63(1,373)),(PF374(1),P63(1,374))
      EQUIVALENCE (PF375(1),P63(1,375)),(PF376(1),P63(1,376))
      EQUIVALENCE (PF377(1),P63(1,377)),(PF378(1),P63(1,378))
      EQUIVALENCE (PF379(1),P63(1,379)),(PF380(1),P63(1,380))
      EQUIVALENCE (PF381(1),P63(1,381)),(PF382(1),P63(1,382))
      EQUIVALENCE (PF383(1),P63(1,383)),(PF384(1),P63(1,384))
      EQUIVALENCE (PF385(1),P63(1,385)),(PF386(1),P63(1,386))
      EQUIVALENCE (PF387(1),P63(1,387)),(PF388(1),P63(1,388))
      EQUIVALENCE (PF389(1),P63(1,389)),(PF390(1),P63(1,390))
      EQUIVALENCE (PF391(1),P63(1,391)),(PF392(1),P63(1,392))
      EQUIVALENCE (PF393(1),P63(1,393)),(PF394(1),P63(1,394))
      EQUIVALENCE (PF395(1),P63(1,395)),(PF396(1),P63(1,396))
      EQUIVALENCE (PF397(1),P63(1,397)),(PF398(1),P63(1,398))
      EQUIVALENCE (PF399(1),P63(1,399)),(PF400(1),P63(1,400))
      EQUIVALENCE (PF401(1),P63(1,401)),(PF402(1),P63(1,402))
      EQUIVALENCE (PF403(1),P63(1,403)),(PF404(1),P63(1,404))
      EQUIVALENCE (PF405(1),P63(1,405)),(PF406(1),P63(1,406))
      EQUIVALENCE (PF407(1),P63(1,407)),(PF408(1),P63(1,408))
      EQUIVALENCE (PF409(1),P63(1,409)),(PF410(1),P63(1,410))
      EQUIVALENCE (PF411(1),P63(1,411)),(PF412(1),P63(1,412))
      EQUIVALENCE (PF413(1),P63(1,413)),(PF414(1),P63(1,414))
      EQUIVALENCE (PF415(1),P63(1,415)),(PF416(1),P63(1,416))
      EQUIVALENCE (PF417(1),P63(1,417)),(PF418(1),P63(1,418))
      EQUIVALENCE (PF419(1),P63(1,419)),(PF420(1),P63(1,420))
      EQUIVALENCE (PF421(1),P63(1,421)),(PF422(1),P63(1,422))
      EQUIVALENCE (PF423(1),P63(1,423)),(PF424(1),P63(1,424))
      EQUIVALENCE (PF425(1),P63(1,425)),(PF426(1),P63(1,426))
      EQUIVALENCE (PF427(1),P63(1,427)),(PF428(1),P63(1,428))
      EQUIVALENCE (PF429(1),P63(1,429)),(PF430(1),P63(1,430))
      EQUIVALENCE (PF431(1),P63(1,431)),(PF432(1),P63(1,432))
      EQUIVALENCE (PF433(1),P63(1,433)),(PF434(1),P63(1,434))
      EQUIVALENCE (PF435(1),P63(1,435)),(PF436(1),P63(1,436))
      EQUIVALENCE (PF437(1),P63(1,437)),(PF438(1),P63(1,438))
      EQUIVALENCE (PF439(1),P63(1,439)),(PF440(1),P63(1,440))
      EQUIVALENCE (PF441(1),P63(1,441)),(PF442(1),P63(1,442))
      EQUIVALENCE (PF443(1),P63(1,443)),(PF444(1),P63(1,444))
      EQUIVALENCE (PF445(1),P63(1,445)),(PF446(1),P63(1,446))
      EQUIVALENCE (PF447(1),P63(1,447)),(PF448(1),P63(1,448))
      EQUIVALENCE (PF449(1),P63(1,449)),(PF450(1),P63(1,450))
      EQUIVALENCE (PF451(1),P63(1,451)),(PF452(1),P63(1,452))
      EQUIVALENCE (PF453(1),P63(1,453)),(PF454(1),P63(1,454))
      EQUIVALENCE (PF455(1),P63(1,455)),(PF456(1),P63(1,456))
      EQUIVALENCE (PF457(1),P63(1,457)),(PF458(1),P63(1,458))
      EQUIVALENCE (PF459(1),P63(1,459)),(PF460(1),P63(1,460))
      EQUIVALENCE (PF461(1),P63(1,461)),(PF462(1),P63(1,462))
      EQUIVALENCE (PF463(1),P63(1,463)),(PF464(1),P63(1,464))
      EQUIVALENCE (PF465(1),P63(1,465)),(PF466(1),P63(1,466))
      EQUIVALENCE (PF467(1),P63(1,467)),(PF468(1),P63(1,468))
      EQUIVALENCE (PF469(1),P63(1,469)),(PF470(1),P63(1,470))
      EQUIVALENCE (PF471(1),P63(1,471)),(PF472(1),P63(1,472))
      EQUIVALENCE (PF473(1),P63(1,473)),(PF474(1),P63(1,474))
      EQUIVALENCE (PF475(1),P63(1,475)),(PF476(1),P63(1,476))
      EQUIVALENCE (PF477(1),P63(1,477)),(PF478(1),P63(1,478))
      EQUIVALENCE (PF479(1),P63(1,479)),(PF480(1),P63(1,480))
      EQUIVALENCE (PF481(1),P63(1,481)),(PF482(1),P63(1,482))
      EQUIVALENCE (PF483(1),P63(1,483)),(PF484(1),P63(1,484))
      EQUIVALENCE (PF485(1),P63(1,485)),(PF486(1),P63(1,486))
      EQUIVALENCE (PF487(1),P63(1,487)),(PF488(1),P63(1,488))
      EQUIVALENCE (PF489(1),P63(1,489)),(PF490(1),P63(1,490))
      EQUIVALENCE (PF491(1),P63(1,491)),(PF492(1),P63(1,492))
      EQUIVALENCE (PF493(1),P63(1,493)),(PF494(1),P63(1,494))
      EQUIVALENCE (PF495(1),P63(1,495)),(PF496(1),P63(1,496))
      EQUIVALENCE (PF497(1),P63(1,497)),(PF498(1),P63(1,498))
      EQUIVALENCE (PF499(1),P63(1,499)),(PF500(1),P63(1,500))
      EQUIVALENCE (PF501(1),P63(1,501)),(PF502(1),P63(1,502))
      EQUIVALENCE (PF503(1),P63(1,503)),(PF504(1),P63(1,504))
      EQUIVALENCE (PF505(1),P63(1,505)),(PF506(1),P63(1,506))
      EQUIVALENCE (PF507(1),P63(1,507)),(PF508(1),P63(1,508))
      EQUIVALENCE (PF509(1),P63(1,509)),(PF510(1),P63(1,510))
      EQUIVALENCE (PF511(1),P63(1,511)),(PF512(1),P63(1,512))
      EQUIVALENCE (PF513(1),P63(1,513)),(PF514(1),P63(1,514))
      EQUIVALENCE (PF515(1),P63(1,515)),(PF516(1),P63(1,516))
      EQUIVALENCE (PF517(1),P63(1,517)),(PF518(1),P63(1,518))
      EQUIVALENCE (PF519(1),P63(1,519)),(PF520(1),P63(1,520))
      EQUIVALENCE (PF521(1),P63(1,521)),(PF522(1),P63(1,522))
      EQUIVALENCE (PF523(1),P63(1,523)),(PF524(1),P63(1,524))
      EQUIVALENCE (PF525(1),P63(1,525)),(PF526(1),P63(1,526))
      EQUIVALENCE (PF527(1),P63(1,527)),(PF528(1),P63(1,528))
      EQUIVALENCE (PF529(1),P63(1,529)),(PF530(1),P63(1,530))
      EQUIVALENCE (PF531(1),P63(1,531)),(PF532(1),P63(1,532))
      EQUIVALENCE (PF533(1),P63(1,533)),(PF534(1),P63(1,534))
      EQUIVALENCE (PF535(1),P63(1,535)),(PF536(1),P63(1,536))
      EQUIVALENCE (PF537(1),P63(1,537)),(PF538(1),P63(1,538))
      EQUIVALENCE (PF539(1),P63(1,539)),(PF540(1),P63(1,540))
      EQUIVALENCE (PF541(1),P63(1,541)),(PF542(1),P63(1,542))
      EQUIVALENCE (PF543(1),P63(1,543)),(PF544(1),P63(1,544))
      EQUIVALENCE (PF545(1),P63(1,545)),(PF546(1),P63(1,546))
      EQUIVALENCE (PF547(1),P63(1,547)),(PF548(1),P63(1,548))
      EQUIVALENCE (PF549(1),P63(1,549)),(PF550(1),P63(1,550))
      EQUIVALENCE (PF551(1),P63(1,551)),(PF552(1),P63(1,552))
      EQUIVALENCE (PF553(1),P63(1,553)),(PF554(1),P63(1,554))
      EQUIVALENCE (PF555(1),P63(1,555)),(PF556(1),P63(1,556))
      EQUIVALENCE (PF557(1),P63(1,557)),(PF558(1),P63(1,558))
      EQUIVALENCE (PF559(1),P63(1,559)),(PF560(1),P63(1,560))
      DATA PF001/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     4    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     5    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.001,
     6    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.002,
     7    1.004,    1.004,   1.004,   1.004,   1.004,   1.004,   1.003,
     8    1.005,    1.005,   1.005,   1.005,   1.005,   1.005,   1.004,
     9    1.007,    1.007,   1.007,   1.007,   1.007,   1.007,   1.006/
      DATA PF002/
     1    1.010,    1.010,   1.010,   1.010,   1.010,   1.010,   1.009,
     2    1.015,    1.015,   1.015,   1.015,   1.015,   1.015,   1.012,
     3    1.020,    1.020,   1.020,   1.020,   1.020,   1.020,   1.016,
     4    1.027,    1.027,   1.027,   1.027,   1.027,   1.027,   1.021,
     5    1.036,    1.036,   1.036,   1.036,   1.036,   1.036,   1.028,
     6    1.048,    1.048,   1.048,   1.048,   1.048,   1.048,   1.036,
     7    1.064,    1.064,   1.064,   1.064,   1.064,   1.063,   1.046,
     8    1.083,    1.083,   1.083,   1.083,   1.083,   1.082,   1.059,
     9    1.107,    1.107,   1.107,   1.107,   1.106,   1.106,   1.074/
      DATA PF003/
     1    1.137,    1.137,   1.136,   1.136,   1.136,   1.134,   1.092,
     2    1.173,    1.173,   1.173,   1.172,   1.172,   1.169,   1.113,
     3    1.245,    1.244,   1.243,   1.242,   1.240,   1.235,   1.151,
     4    1.341,    1.340,   1.336,   1.333,   1.330,   1.321,   1.198,
     5    1.470,    1.467,   1.460,   1.454,   1.447,   1.430,   1.256,
     6    1.643,    1.638,   1.623,   1.610,   1.596,   1.566,   1.324,
     7    1.877,    1.866,   1.837,   1.810,   1.785,   1.733,   1.405,
     8    2.193,    2.172,   2.117,   2.067,   2.022,   1.934,   1.498,
     9    2.623,    2.584,   2.484,   2.393,   2.314,   2.174,   1.604/
      DATA PF004/
     1    3.208,    3.139,   2.963,   2.805,   2.673,   2.455,   1.723,
     2    4.003,    3.886,   3.586,   3.323,   3.109,   2.780,   1.856,
     3    5.079,    4.886,   4.396,   3.969,   3.634,   3.151,   2.001,
     4    7.740,    7.327,   6.292,   5.407,   4.743,   3.874,   2.271,
     5   11.943,   11.130,   9.114,   7.417,   6.196,   4.732,   2.573,
     6   18.324,   16.837,  13.185,  10.154,   8.052,   5.718,   2.901,
     7   27.604,   25.059,  18.856,  13.773,  10.361,   6.824,   3.252,
     8   40.529,   36.419,  26.474,  18.417,  13.161,   8.037,   3.618,
     9   57.791,   51.489,  36.344,  24.194,  16.470,   9.338,   3.994/
      DATA PF005/
     1   79.950,   70.728,  48.693,  31.173,  20.285,  10.708,   4.375,
     2  107.373,   94.424,  63.648,  39.369,  24.584,  12.126,   4.755,
     3  140.190,  122.667,  81.214,  48.743,  29.320,  13.570,   5.129,
     4  178.280,  155.336, 101.281,  59.203,  34.433,  15.022,   5.494,
     5  221.284,  192.109, 123.627,  70.616,  39.851,  16.463,   5.847,
     6  268.640,  232.499, 147.943,  82.815,  45.493,  17.877,   6.184,
     7  319.634,  275.893, 173.857,  95.612,  51.276,  19.251,   6.505,
     8  373.448,  321.597, 200.957, 108.812,  57.120,  20.573,   6.807,
     9  429.222,  368.884, 228.823, 122.221,  62.948,  21.836,   7.090/
      DATA PF006/
     1  486.101,  417.035, 257.045, 135.655,  68.694,  23.033,   7.355,
     2  543.273,  465.369, 285.238, 148.949,  74.299,  24.160,   7.600,
     3  600.000,  513.270, 313.063, 161.960,  79.715,  25.215,   7.826,
     4  655.640,  560.204, 340.224, 174.566,  84.903,  26.198,   8.034,
     5  709.651,  605.723, 366.480, 186.673,  89.835,  27.109,   8.226,
     6  761.599,  649.468, 391.641, 198.207,  94.492,  27.949,   8.400,
     7  811.155,  691.168, 415.563, 209.116,  98.862,  28.722,   8.559,
     8  858.081,  730.629, 438.150, 219.370, 102.941,  29.431,   8.704,
     9  902.226,  767.732, 459.345, 228.952, 106.728,  30.078,   8.835/
      DATA PF007/
     1  943.513,  802.414, 479.121, 237.861, 110.229,  30.668,   8.954,
     2  981.926,  834.668, 497.484, 246.106, 113.453,  31.205,   9.062,
     3    2.001,    2.001,   2.001,   2.001,   2.001,   2.001,   2.001,
     4    2.001,    2.001,   2.001,   2.001,   2.001,   2.001,   2.001,
     5    2.002,    2.002,   2.002,   2.002,   2.002,   2.002,   2.002,
     6    2.003,    2.003,   2.003,   2.003,   2.003,   2.003,   2.003,
     7    2.004,    2.004,   2.004,   2.004,   2.004,   2.004,   2.004,
     8    2.006,    2.006,   2.006,   2.006,   2.006,   2.006,   2.006,
     9    2.008,    2.008,   2.008,   2.008,   2.008,   2.008,   2.008/
      DATA PF008/
     1    2.011,    2.011,   2.011,   2.011,   2.011,   2.011,   2.011,
     2    2.015,    2.015,   2.015,   2.015,   2.015,   2.015,   2.015,
     3    2.020,    2.020,   2.020,   2.020,   2.020,   2.020,   2.020,
     4    2.026,    2.026,   2.026,   2.026,   2.026,   2.026,   2.026,
     5    2.034,    2.034,   2.034,   2.034,   2.034,   2.034,   2.034,
     6    2.044,    2.044,   2.044,   2.044,   2.044,   2.044,   2.044,
     7    2.057,    2.057,   2.057,   2.057,   2.057,   2.057,   2.057,
     8    2.072,    2.072,   2.072,   2.072,   2.072,   2.072,   2.072,
     9    2.090,    2.090,   2.090,   2.090,   2.090,   2.090,   2.090/
      DATA PF009/
     1    2.111,    2.111,   2.111,   2.111,   2.111,   2.111,   2.111,
     2    2.137,    2.137,   2.137,   2.137,   2.137,   2.137,   2.137,
     3    2.166,    2.166,   2.166,   2.166,   2.166,   2.166,   2.166,
     4    2.201,    2.201,   2.201,   2.201,   2.201,   2.201,   2.201,
     5    2.262,    2.262,   2.262,   2.262,   2.262,   2.262,   2.262,
     6    2.337,    2.337,   2.337,   2.337,   2.337,   2.337,   2.337,
     7    2.426,    2.426,   2.426,   2.426,   2.426,   2.426,   2.426,
     8    2.532,    2.532,   2.532,   2.532,   2.532,   2.532,   2.532,
     9    2.654,    2.654,   2.654,   2.654,   2.654,   2.654,   2.654/
      DATA PF010/
     1    2.795,    2.795,   2.795,   2.795,   2.795,   2.795,   2.795,
     2    2.956,    2.956,   2.956,   2.956,   2.955,   2.955,   2.955,
     3    3.136,    3.136,   3.136,   3.136,   3.136,   3.136,   3.135,
     4    3.337,    3.337,   3.337,   3.337,   3.337,   3.337,   3.336,
     5    3.561,    3.561,   3.561,   3.561,   3.560,   3.559,   3.557,
     6    3.986,    3.986,   3.986,   3.985,   3.982,   3.979,   3.974,
     7    4.487,    4.487,   4.487,   4.486,   4.476,   4.465,   4.450,
     8    5.091,    5.091,   5.090,   5.087,   5.055,   5.024,   4.988,
     9    5.845,    5.845,   5.843,   5.835,   5.749,   5.668,   5.587/
      DATA PF011/
     1    6.839,    6.839,   6.834,   6.812,   6.603,   6.418,   6.251,
     2    8.210,    8.210,   8.199,   8.150,   7.690,   7.298,   6.981,
     3   10.161,   10.161,  10.137,  10.036,   9.104,   8.342,   7.778,
     4   12.952,   12.952,  12.906,  12.712,  10.968,   9.588,   8.644,
     5   16.896,   16.896,  16.813,  16.467,  13.414,  11.073,   9.579,
     6   22.330,   22.330,  22.190,  21.610,  16.582,  12.830,  10.579,
     7   29.582,   29.582,  29.360,  28.441,  20.599,  14.885,  11.641,
     8   38.941,   38.941,  38.605,  37.219,  25.564,  17.251,  12.756,
     9   50.615,   50.615,  50.129,  48.131,  31.540,  19.929,  13.915/
      DATA PF012/
     1   64.715,   64.715,  64.040,  61.273,  38.543,  22.903,  15.106,
     2   81.239,   81.239,  80.334,  76.633,  46.543,  26.147,  16.318,
     3  100.071,  100.071,  98.896,  94.102,  55.463,  29.620,  17.537,
     4  120.997,  120.997, 119.513, 113.476,  65.190,  33.278,  18.750,
     5  143.719,  143.719, 141.894, 134.478,  75.583,  37.068,  19.947,
     6  167.885,  167.885, 165.689, 156.781,  86.480,  40.937,  21.115,
     7  193.110,  193.110, 190.520, 180.032,  97.715,  44.833,  22.246,
     8  219.001,  219.001, 216.001, 203.870, 109.124,  48.709,  23.333,
     9  245.178,  245.178, 241.759, 227.946, 120.549,  52.521,  24.369/
      DATA PF013/
     1  271.290,  271.290, 267.447, 251.942, 131.852,  56.232,  25.351,
     2  297.023,  297.023, 292.759, 275.570, 142.909,  59.812,  26.274,
     3  322.110,  322.110, 317.432, 298.590, 153.619,  63.237,  27.139,
     4  346.332,  346.332, 341.251, 320.802, 163.900,  66.488,  27.944,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF014/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF015/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF016/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF017/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     8    1.003,    1.003,   1.003,   1.003,   1.003,   1.003,   1.003,
     9    1.010,    1.010,   1.010,   1.010,   1.010,   1.010,   1.010/
      DATA PF018/
     1    1.029,    1.029,   1.029,   1.029,   1.029,   1.028,   1.027,
     2    1.076,    1.076,   1.076,   1.076,   1.076,   1.072,   1.068,
     3    1.189,    1.189,   1.189,   1.189,   1.189,   1.171,   1.156,
     4    1.448,    1.448,   1.448,   1.448,   1.448,   1.386,   1.336,
     5    2.015,    2.015,   2.015,   2.015,   2.015,   1.829,   1.679,
     6    3.192,    3.192,   3.192,   3.192,   3.192,   2.692,   2.302,
     7    5.496,    5.496,   5.496,   5.496,   5.495,   4.291,   3.371,
     8    9.727,    9.727,   9.727,   9.727,   9.726,   7.090,   5.113,
     9   17.025,   17.025,  17.025,  17.025,  17.022,  11.723,   7.814/
      DATA PF019/
     1   28.861,   28.861,  28.861,  28.861,  28.855,  18.980,  11.805,
     2   46.977,   46.977,  46.977,  46.977,  46.967,  29.767,  17.438,
     3   73.250,   73.250,  73.250,  73.250,  73.233,  45.030,  25.055,
     4  109.508,  109.508, 109.508, 109.508, 109.482,  65.657,  34.949,
     5  157.338,  157.338, 157.338, 157.338, 157.299,  92.388,  47.334,
     6  217.901,  217.901, 217.901, 217.901, 217.847, 125.722,  62.321,
     7    4.234,    4.234,   4.234,   4.234,   4.234,   4.234,   4.234,
     8    4.257,    4.257,   4.257,   4.257,   4.257,   4.257,   4.257,
     9    4.282,    4.282,   4.282,   4.282,   4.282,   4.282,   4.282/
      DATA PF020/
     1    4.308,    4.308,   4.308,   4.308,   4.308,   4.308,   4.308,
     2    4.335,    4.335,   4.335,   4.335,   4.335,   4.335,   4.335,
     3    4.363,    4.363,   4.363,   4.363,   4.363,   4.363,   4.363,
     4    4.392,    4.392,   4.392,   4.392,   4.392,   4.392,   4.392,
     5    4.422,    4.422,   4.422,   4.422,   4.422,   4.422,   4.422,
     6    4.453,    4.453,   4.453,   4.453,   4.453,   4.453,   4.453,
     7    4.484,    4.484,   4.484,   4.484,   4.484,   4.484,   4.484,
     8    4.516,    4.516,   4.516,   4.516,   4.516,   4.516,   4.516,
     9    4.548,    4.548,   4.548,   4.548,   4.548,   4.548,   4.548/
      DATA PF021/
     1    4.581,    4.581,   4.581,   4.581,   4.581,   4.581,   4.581,
     2    4.615,    4.615,   4.615,   4.615,   4.615,   4.615,   4.615,
     3    4.648,    4.648,   4.648,   4.648,   4.648,   4.648,   4.648,
     4    4.682,    4.682,   4.682,   4.682,   4.682,   4.682,   4.682,
     5    4.716,    4.716,   4.716,   4.716,   4.716,   4.716,   4.716,
     6    4.749,    4.749,   4.749,   4.749,   4.749,   4.749,   4.749,
     7    4.783,    4.783,   4.783,   4.783,   4.783,   4.783,   4.783,
     8    4.817,    4.817,   4.817,   4.817,   4.817,   4.817,   4.817,
     9    4.867,    4.867,   4.867,   4.867,   4.867,   4.867,   4.867/
      DATA PF022/
     1    4.917,    4.917,   4.917,   4.917,   4.917,   4.917,   4.917,
     2    4.966,    4.966,   4.966,   4.966,   4.966,   4.966,   4.966,
     3    5.014,    5.014,   5.014,   5.014,   5.014,   5.014,   5.014,
     4    5.061,    5.061,   5.061,   5.061,   5.061,   5.061,   5.061,
     5    5.107,    5.107,   5.107,   5.107,   5.107,   5.107,   5.107,
     6    5.152,    5.152,   5.152,   5.152,   5.152,   5.152,   5.152,
     7    5.195,    5.195,   5.195,   5.195,   5.195,   5.195,   5.195,
     8    5.237,    5.237,   5.237,   5.237,   5.237,   5.237,   5.237,
     9    5.277,    5.277,   5.277,   5.277,   5.277,   5.277,   5.277/
      DATA PF023/
     1    5.341,    5.341,   5.341,   5.341,   5.341,   5.341,   5.341,
     2    5.400,    5.400,   5.400,   5.400,   5.400,   5.400,   5.400,
     3    5.456,    5.456,   5.456,   5.456,   5.456,   5.456,   5.456,
     4    5.507,    5.507,   5.507,   5.507,   5.507,   5.507,   5.507,
     5    5.554,    5.554,   5.554,   5.554,   5.554,   5.554,   5.554,
     6    5.597,    5.597,   5.597,   5.597,   5.597,   5.597,   5.597,
     7    5.637,    5.637,   5.637,   5.637,   5.637,   5.637,   5.637,
     8    5.674,    5.674,   5.674,   5.674,   5.674,   5.674,   5.674,
     9    5.708,    5.708,   5.708,   5.708,   5.708,   5.708,   5.708/
      DATA PF024/
     1    5.743,    5.743,   5.743,   5.743,   5.743,   5.743,   5.743,
     2    5.782,    5.782,   5.782,   5.782,   5.782,   5.782,   5.782,
     3    5.837,    5.837,   5.837,   5.837,   5.837,   5.837,   5.837,
     4    5.926,    5.926,   5.926,   5.926,   5.926,   5.926,   5.926,
     5    6.084,    6.084,   6.084,   6.084,   6.084,   6.083,   6.083,
     6    6.374,    6.374,   6.374,   6.374,   6.373,   6.372,   6.368,
     7    6.909,    6.909,   6.909,   6.908,   6.906,   6.902,   6.884,
     8    7.897,    7.897,   7.896,   7.895,   7.886,   7.872,   7.809,
     9    9.718,    9.718,   9.717,   9.712,   9.683,   9.637,   9.440/
      DATA PF025/
     1   13.044,   13.044,  13.041,  13.027,  12.942,  12.813,  12.266,
     2   18.991,   18.991,  18.982,  18.946,  18.727,  18.400,  17.045,
     3   29.280,   29.280,  29.258,  29.174,  28.669,  27.918,  24.875,
     4   46.353,   46.353,  46.308,  46.128,  45.061,  43.487,  37.230,
     5   73.396,   73.396,  73.306,  72.954,  70.877,  67.832,  55.938,
     6  114.209,  114.209, 114.046, 113.406, 109.642, 104.162,  83.077,
     7  172.942,  172.942, 172.665, 171.574, 165.183, 155.929, 120.806,
     8  253.710,  253.710, 253.264, 251.510, 241.265, 226.503, 171.153,
     9    5.678,    5.678,   5.678,   5.678,   5.678,   5.678,   5.678/
      DATA PF026/
     1    5.733,    5.733,   5.733,   5.733,   5.733,   5.733,   5.733,
     2    5.790,    5.790,   5.790,   5.790,   5.790,   5.790,   5.790,
     3    5.849,    5.849,   5.849,   5.849,   5.849,   5.849,   5.849,
     4    5.910,    5.910,   5.910,   5.910,   5.910,   5.910,   5.910,
     5    5.972,    5.972,   5.972,   5.972,   5.972,   5.972,   5.972,
     6    6.035,    6.035,   6.035,   6.035,   6.035,   6.035,   6.035,
     7    6.099,    6.099,   6.099,   6.099,   6.099,   6.099,   6.099,
     8    6.165,    6.165,   6.165,   6.165,   6.165,   6.165,   6.165,
     9    6.231,    6.231,   6.231,   6.231,   6.231,   6.231,   6.231/
      DATA PF027/
     1    6.298,    6.298,   6.298,   6.298,   6.298,   6.298,   6.298,
     2    6.365,    6.365,   6.365,   6.365,   6.365,   6.365,   6.365,
     3    6.433,    6.433,   6.433,   6.433,   6.433,   6.433,   6.433,
     4    6.501,    6.501,   6.501,   6.501,   6.501,   6.501,   6.501,
     5    6.570,    6.570,   6.570,   6.570,   6.570,   6.570,   6.570,
     6    6.639,    6.639,   6.639,   6.639,   6.639,   6.639,   6.639,
     7    6.708,    6.708,   6.708,   6.708,   6.708,   6.708,   6.708,
     8    6.777,    6.777,   6.777,   6.777,   6.777,   6.777,   6.777,
     9    6.847,    6.847,   6.847,   6.847,   6.847,   6.847,   6.847/
      DATA PF028/
     1    6.917,    6.917,   6.917,   6.917,   6.917,   6.917,   6.917,
     2    7.023,    7.023,   7.023,   7.023,   7.023,   7.023,   7.023,
     3    7.130,    7.130,   7.130,   7.130,   7.130,   7.130,   7.130,
     4    7.239,    7.239,   7.239,   7.239,   7.239,   7.239,   7.239,
     5    7.350,    7.350,   7.350,   7.350,   7.350,   7.350,   7.350,
     6    7.463,    7.463,   7.463,   7.463,   7.463,   7.463,   7.463,
     7    7.579,    7.579,   7.579,   7.579,   7.579,   7.579,   7.579,
     8    7.699,    7.699,   7.699,   7.699,   7.699,   7.699,   7.699,
     9    7.822,    7.822,   7.822,   7.822,   7.822,   7.822,   7.822/
      DATA PF029/
     1    7.950,    7.950,   7.950,   7.950,   7.950,   7.950,   7.950,
     2    8.082,    8.082,   8.082,   8.082,   8.082,   8.082,   8.082,
     3    8.312,    8.312,   8.312,   8.312,   8.312,   8.312,   8.312,
     4    8.555,    8.555,   8.555,   8.555,   8.555,   8.555,   8.555,
     5    8.811,    8.811,   8.811,   8.811,   8.811,   8.811,   8.811,
     6    9.078,    9.078,   9.078,   9.078,   9.078,   9.078,   9.078,
     7    9.355,    9.355,   9.355,   9.355,   9.355,   9.355,   9.355,
     8    9.641,    9.641,   9.641,   9.641,   9.641,   9.641,   9.641,
     9    9.932,    9.932,   9.932,   9.932,   9.932,   9.932,   9.932/
      DATA PF030/
     1   10.226,   10.226,  10.226,  10.226,  10.226,  10.226,  10.226,
     2   10.523,   10.523,  10.523,  10.523,  10.523,  10.523,  10.523,
     3   10.821,   10.821,  10.821,  10.821,  10.821,  10.821,  10.821,
     4   11.125,   11.125,  11.125,  11.125,  11.125,  11.125,  11.125,
     5   11.443,   11.443,  11.443,  11.443,  11.443,  11.443,  11.443,
     6   11.792,   11.792,  11.792,  11.792,  11.792,  11.792,  11.792,
     7   12.207,   12.207,  12.207,  12.207,  12.207,  12.207,  12.207,
     8   12.740,   12.740,  12.740,  12.740,  12.740,  12.740,  12.740,
     9   13.484,   13.484,  13.484,  13.484,  13.484,  13.484,  13.483/
      DATA PF031/
     1   14.582,   14.582,  14.582,  14.582,  14.582,  14.581,  14.577,
     2   16.277,   16.276,  16.275,  16.275,  16.274,  16.269,  16.252,
     3   18.975,   18.972,  18.968,  18.967,  18.963,  18.945,  18.883,
     4   23.372,   23.363,  23.347,  23.345,  23.332,  23.274,  23.076,
     5   30.624,   30.598,  30.553,  30.545,  30.508,  30.342,  29.788,
     6   42.569,   42.500,  42.384,  42.364,  42.268,  41.846,  40.458,
     7   61.936,   61.776,  61.506,  61.459,  61.235,  60.265,  57.122,
     8   92.494,   92.154,  91.580,  91.481,  91.008,  88.967,  82.453,
     9  139.043,  138.378, 137.254, 137.060, 136.138, 132.180, 119.707/
      DATA PF032/
     1  207.208,  205.997, 203.952, 203.601, 201.928, 194.787, 172.533,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF033/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     8    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     9    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001/
      DATA PF034/
     1    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     2    4.003,    4.003,   4.003,   4.003,   4.003,   4.003,   4.003,
     3    4.004,    4.004,   4.004,   4.004,   4.004,   4.004,   4.004,
     4    4.007,    4.007,   4.007,   4.007,   4.007,   4.007,   4.007,
     5    4.012,    4.012,   4.012,   4.012,   4.012,   4.012,   4.012,
     6    4.018,    4.018,   4.018,   4.018,   4.018,   4.018,   4.018,
     7    4.028,    4.028,   4.028,   4.028,   4.028,   4.028,   4.028,
     8    4.041,    4.041,   4.041,   4.041,   4.041,   4.041,   4.041,
     9    4.060,    4.060,   4.060,   4.060,   4.060,   4.060,   4.060/
      DATA PF035/
     1    4.085,    4.085,   4.085,   4.085,   4.085,   4.085,   4.085,
     2    4.118,    4.118,   4.118,   4.118,   4.118,   4.118,   4.118,
     3    4.160,    4.160,   4.160,   4.160,   4.160,   4.160,   4.160,
     4    4.213,    4.213,   4.213,   4.213,   4.213,   4.213,   4.213,
     5    4.329,    4.329,   4.329,   4.329,   4.329,   4.329,   4.329,
     6    4.488,    4.488,   4.488,   4.488,   4.488,   4.488,   4.488,
     7    4.696,    4.696,   4.696,   4.696,   4.696,   4.696,   4.696,
     8    4.957,    4.957,   4.957,   4.957,   4.957,   4.957,   4.957,
     9    5.276,    5.276,   5.276,   5.276,   5.276,   5.276,   5.276/
      DATA PF036/
     1    5.654,    5.654,   5.654,   5.654,   5.654,   5.654,   5.654,
     2    6.089,    6.089,   6.089,   6.089,   6.089,   6.089,   6.089,
     3    6.579,    6.579,   6.579,   6.579,   6.579,   6.579,   6.579,
     4    7.119,    7.119,   7.119,   7.119,   7.119,   7.119,   7.119,
     5    7.705,    7.705,   7.705,   7.705,   7.705,   7.705,   7.705,
     6    8.332,    8.332,   8.332,   8.332,   8.332,   8.332,   8.332,
     7    9.000,    9.000,   9.000,   9.000,   9.000,   9.000,   9.000,
     8    9.712,    9.712,   9.712,   9.712,   9.712,   9.712,   9.712,
     9   10.484,   10.484,  10.484,  10.484,  10.484,  10.484,  10.484/
      DATA PF037/
     1   11.340,   11.340,  11.340,  11.340,  11.340,  11.340,  11.340,
     2   12.326,   12.326,  12.326,  12.326,  12.326,  12.326,  12.326,
     3   13.518,   13.518,  13.518,  13.518,  13.518,  13.518,  13.518,
     4   15.028,   15.028,  15.028,  15.028,  15.028,  15.028,  15.027,
     5   17.035,   17.035,  17.035,  17.035,  17.034,  17.034,  17.033,
     6   19.821,   19.821,  19.821,  19.821,  19.821,  19.819,  19.815,
     7   23.845,   23.845,  23.844,  23.843,  23.842,  23.838,  23.822,
     8   29.849,   29.848,  29.846,  29.844,  29.838,  29.825,  29.774,
     9   39.023,   39.021,  39.016,  39.010,  38.992,  38.952,  38.804/
      DATA PF038/
     1   53.190,   53.185,  53.171,  53.156,  53.109,  53.004,  52.625,
     2   74.988,   74.975,  74.941,  74.906,  74.795,  74.550,  73.669,
     3  107.977,  107.948, 107.876, 107.799, 107.560, 107.035, 105.170,
     4    2.283,    2.283,   2.283,   2.283,   2.283,   2.283,   2.283,
     5    2.374,    2.374,   2.374,   2.374,   2.374,   2.374,   2.374,
     6    2.469,    2.469,   2.469,   2.469,   2.469,   2.469,   2.469,
     7    2.567,    2.567,   2.567,   2.567,   2.567,   2.567,   2.567,
     8    2.668,    2.668,   2.668,   2.668,   2.668,   2.668,   2.668,
     9    2.773,    2.773,   2.773,   2.773,   2.773,   2.773,   2.773/
      DATA PF039/
     1    2.880,    2.880,   2.880,   2.880,   2.880,   2.880,   2.880,
     2    2.990,    2.990,   2.990,   2.990,   2.990,   2.990,   2.990,
     3    3.102,    3.102,   3.102,   3.102,   3.102,   3.102,   3.102,
     4    3.217,    3.217,   3.217,   3.217,   3.217,   3.217,   3.217,
     5    3.334,    3.334,   3.334,   3.334,   3.334,   3.334,   3.334,
     6    3.452,    3.452,   3.452,   3.452,   3.452,   3.452,   3.452,
     7    3.573,    3.573,   3.573,   3.573,   3.573,   3.573,   3.573,
     8    3.694,    3.694,   3.694,   3.694,   3.694,   3.694,   3.694,
     9    3.817,    3.817,   3.817,   3.817,   3.817,   3.817,   3.817/
      DATA PF040/
     1    3.941,    3.941,   3.941,   3.941,   3.941,   3.941,   3.941,
     2    4.066,    4.066,   4.066,   4.066,   4.066,   4.066,   4.066,
     3    4.192,    4.192,   4.192,   4.192,   4.192,   4.192,   4.192,
     4    4.318,    4.318,   4.318,   4.318,   4.318,   4.318,   4.318,
     5    4.445,    4.445,   4.445,   4.445,   4.445,   4.445,   4.445,
     6    4.635,    4.635,   4.635,   4.635,   4.635,   4.635,   4.635,
     7    4.826,    4.826,   4.826,   4.826,   4.826,   4.826,   4.826,
     8    5.017,    5.017,   5.017,   5.017,   5.017,   5.017,   5.017,
     9    5.209,    5.209,   5.209,   5.209,   5.209,   5.209,   5.209/
      DATA PF041/
     1    5.401,    5.401,   5.401,   5.401,   5.401,   5.401,   5.401,
     2    5.593,    5.593,   5.593,   5.593,   5.593,   5.593,   5.593,
     3    5.787,    5.787,   5.787,   5.787,   5.787,   5.787,   5.787,
     4    5.981,    5.981,   5.981,   5.981,   5.981,   5.981,   5.981,
     5    6.177,    6.177,   6.177,   6.177,   6.177,   6.177,   6.177,
     6    6.374,    6.374,   6.374,   6.374,   6.374,   6.374,   6.374,
     7    6.707,    6.707,   6.707,   6.707,   6.707,   6.707,   6.707,
     8    7.046,    7.046,   7.046,   7.046,   7.046,   7.046,   7.046,
     9    7.391,    7.391,   7.391,   7.391,   7.391,   7.391,   7.391/
      DATA PF042/
     1    7.743,    7.743,   7.743,   7.743,   7.743,   7.743,   7.743,
     2    8.099,    8.099,   8.099,   8.099,   8.099,   8.099,   8.099,
     3    8.460,    8.460,   8.460,   8.460,   8.460,   8.460,   8.460,
     4    8.825,    8.825,   8.825,   8.825,   8.825,   8.825,   8.825,
     5    9.193,    9.193,   9.193,   9.193,   9.193,   9.193,   9.193,
     6    9.563,    9.563,   9.563,   9.563,   9.563,   9.563,   9.563,
     7    9.940,    9.940,   9.940,   9.940,   9.940,   9.940,   9.940,
     8   10.327,   10.327,  10.327,  10.327,  10.327,  10.327,  10.327,
     9   10.733,   10.733,  10.733,  10.733,  10.733,  10.733,  10.733/
      DATA PF043/
     1   11.171,   11.171,  11.171,  11.171,  11.171,  11.171,  11.171,
     2   11.662,   11.662,  11.662,  11.662,  11.662,  11.662,  11.662,
     3   12.233,   12.233,  12.233,  12.233,  12.233,  12.233,  12.233,
     4   12.922,   12.922,  12.922,  12.922,  12.922,  12.922,  12.922,
     5   13.783,   13.783,  13.783,  13.783,  13.783,  13.783,  13.783,
     6   14.889,   14.889,  14.889,  14.889,  14.889,  14.889,  14.889,
     7   16.345,   16.345,  16.345,  16.345,  16.345,  16.345,  16.345,
     8   18.301,   18.301,  18.301,  18.301,  18.301,  18.301,  18.301,
     9   20.976,   20.976,  20.976,  20.976,  20.976,  20.976,  20.976/
      DATA PF044/
     1   24.698,   24.697,  24.697,  24.697,  24.697,  24.696,  24.695,
     2   29.957,   29.956,  29.956,  29.956,  29.956,  29.953,  29.949,
     3   37.491,   37.488,  37.488,  37.488,  37.488,  37.477,  37.465,
     4   48.370,   48.362,  48.362,  48.362,  48.361,  48.333,  48.300,
     5   64.090,   64.068,  64.068,  64.068,  64.067,  63.999,  63.919,
     6    2.206,    2.206,   2.206,   2.206,   2.206,   2.206,   2.206,
     7    2.235,    2.235,   2.235,   2.235,   2.235,   2.235,   2.235,
     8    2.267,    2.267,   2.267,   2.267,   2.267,   2.267,   2.267,
     9    2.302,    2.302,   2.302,   2.302,   2.302,   2.302,   2.302/
      DATA PF045/
     1    2.339,    2.339,   2.339,   2.339,   2.339,   2.339,   2.339,
     2    2.379,    2.379,   2.379,   2.379,   2.379,   2.379,   2.379,
     3    2.421,    2.421,   2.421,   2.421,   2.421,   2.421,   2.421,
     4    2.466,    2.466,   2.466,   2.466,   2.466,   2.466,   2.466,
     5    2.514,    2.514,   2.514,   2.514,   2.514,   2.514,   2.514,
     6    2.563,    2.563,   2.563,   2.563,   2.563,   2.563,   2.563,
     7    2.615,    2.615,   2.615,   2.615,   2.615,   2.615,   2.615,
     8    2.669,    2.669,   2.669,   2.669,   2.669,   2.669,   2.669,
     9    2.725,    2.725,   2.725,   2.725,   2.725,   2.725,   2.725/
      DATA PF046/
     1    2.783,    2.783,   2.783,   2.783,   2.783,   2.783,   2.783,
     2    2.843,    2.843,   2.843,   2.843,   2.843,   2.843,   2.843,
     3    2.904,    2.904,   2.904,   2.904,   2.904,   2.904,   2.904,
     4    2.967,    2.967,   2.967,   2.967,   2.967,   2.967,   2.967,
     5    3.031,    3.031,   3.031,   3.031,   3.031,   3.031,   3.031,
     6    3.095,    3.095,   3.095,   3.095,   3.095,   3.095,   3.095,
     7    3.161,    3.161,   3.161,   3.161,   3.161,   3.161,   3.161,
     8    3.261,    3.261,   3.261,   3.261,   3.261,   3.261,   3.261,
     9    3.362,    3.362,   3.362,   3.362,   3.362,   3.362,   3.362/
      DATA PF047/
     1    3.464,    3.464,   3.464,   3.464,   3.464,   3.464,   3.464,
     2    3.565,    3.565,   3.565,   3.565,   3.565,   3.565,   3.565,
     3    3.666,    3.666,   3.666,   3.666,   3.666,   3.666,   3.666,
     4    3.767,    3.767,   3.767,   3.767,   3.767,   3.767,   3.767,
     5    3.866,    3.866,   3.866,   3.866,   3.866,   3.866,   3.866,
     6    3.963,    3.963,   3.963,   3.963,   3.963,   3.963,   3.963,
     7    4.059,    4.059,   4.059,   4.059,   4.059,   4.059,   4.059,
     8    4.152,    4.152,   4.152,   4.152,   4.152,   4.152,   4.152,
     9    4.302,    4.302,   4.302,   4.302,   4.302,   4.302,   4.302/
      DATA PF048/
     1    4.445,    4.445,   4.445,   4.445,   4.445,   4.445,   4.445,
     2    4.579,    4.579,   4.579,   4.579,   4.579,   4.579,   4.579,
     3    4.705,    4.705,   4.705,   4.705,   4.705,   4.705,   4.705,
     4    4.823,    4.823,   4.823,   4.823,   4.823,   4.823,   4.823,
     5    4.933,    4.933,   4.933,   4.933,   4.933,   4.933,   4.933,
     6    5.035,    5.035,   5.035,   5.035,   5.035,   5.035,   5.035,
     7    5.132,    5.132,   5.132,   5.132,   5.132,   5.132,   5.132,
     8    5.226,    5.226,   5.226,   5.226,   5.226,   5.226,   5.226,
     9    5.323,    5.323,   5.323,   5.323,   5.323,   5.323,   5.323/
      DATA PF049/
     1    5.427,    5.427,   5.427,   5.427,   5.427,   5.427,   5.427,
     2    5.549,    5.549,   5.549,   5.549,   5.549,   5.549,   5.549,
     3    5.701,    5.701,   5.701,   5.701,   5.701,   5.701,   5.701,
     4    5.898,    5.898,   5.898,   5.898,   5.898,   5.898,   5.898,
     5    6.157,    6.157,   6.157,   6.157,   6.157,   6.157,   6.157,
     6    6.498,    6.498,   6.498,   6.498,   6.498,   6.498,   6.498,
     7    6.949,    6.949,   6.949,   6.949,   6.949,   6.949,   6.949,
     8    7.540,    7.540,   7.540,   7.540,   7.540,   7.540,   7.540,
     9    8.316,    8.316,   8.316,   8.316,   8.316,   8.316,   8.316/
      DATA PF050/
     1    9.333,    9.333,   9.333,   9.333,   9.333,   9.333,   9.333,
     2   10.673,   10.673,  10.673,  10.673,  10.673,  10.673,  10.673,
     3   12.449,   12.449,  12.449,  12.449,  12.449,  12.449,  12.449,
     4   14.822,   14.822,  14.822,  14.822,  14.822,  14.822,  14.821,
     5   18.016,   18.016,  18.016,  18.015,  18.015,  18.014,  18.012,
     6   22.346,   22.346,  22.346,  22.344,  22.343,  22.341,  22.333,
     7   28.243,   28.243,  28.243,  28.240,  28.237,  28.230,  28.209,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF051/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF052/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF053/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF054/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     9    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.002/
      DATA PF055/
     1    1.005,    1.005,   1.005,   1.005,   1.005,   1.005,   1.005,
     2    1.012,    1.012,   1.012,   1.012,   1.012,   1.012,   1.012,
     3    1.024,    1.024,   1.024,   1.024,   1.024,   1.024,   1.024,
     4    1.047,    1.047,   1.047,   1.047,   1.047,   1.047,   1.047,
     5    1.084,    1.084,   1.084,   1.084,   1.084,   1.084,   1.084,
     6    1.142,    1.142,   1.142,   1.142,   1.142,   1.142,   1.142,
     7    1.228,    1.228,   1.228,   1.228,   1.228,   1.228,   1.228,
     8    1.350,    1.350,   1.350,   1.350,   1.350,   1.350,   1.350,
     9    1.517,    1.517,   1.517,   1.517,   1.517,   1.517,   1.517/
      DATA PF056/
     1    1.739,    1.739,   1.739,   1.739,   1.739,   1.739,   1.739,
     2    2.028,    2.028,   2.028,   2.028,   2.028,   2.028,   2.028,
     3    2.400,    2.400,   2.400,   2.400,   2.400,   2.400,   2.400,
     4    2.876,    2.876,   2.876,   2.876,   2.876,   2.876,   2.876,
     5    3.482,    3.482,   3.482,   3.482,   3.482,   3.482,   3.482,
     6    4.256,    4.256,   4.256,   4.256,   4.256,   4.256,   4.256,
     7    5.249,    5.249,   5.249,   5.249,   5.249,   5.249,   5.248,
     8    6.533,    6.533,   6.533,   6.533,   6.533,   6.532,   6.532,
     9    8.219,    8.219,   8.218,   8.218,   8.218,   8.216,   8.215/
      DATA PF057/
     1    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     2    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     3    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     4    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     5    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     6    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     7    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     8    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     9    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000/
      DATA PF058/
     1    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     2    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     3    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     4    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     5    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     6    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     7    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     8    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     9    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000/
      DATA PF059/
     1    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     2    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     3    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     4    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     5    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     6    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     7    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     8    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     9    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000/
      DATA PF060/
     1    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     2    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     3    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     4    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     5    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     6    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     7    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     8    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     9    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000/
      DATA PF061/
     1    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     2    2.000,    2.000,   2.000,   2.000,   2.000,   2.000,   2.000,
     3    2.001,    2.001,   2.001,   2.001,   2.001,   2.001,   2.001,
     4    2.002,    2.002,   2.002,   2.002,   2.002,   2.002,   2.002,
     5    2.004,    2.004,   2.004,   2.004,   2.004,   2.004,   2.004,
     6    2.010,    2.010,   2.010,   2.010,   2.010,   2.010,   2.010,
     7    2.020,    2.020,   2.020,   2.020,   2.020,   2.020,   2.020,
     8    2.037,    2.037,   2.037,   2.037,   2.037,   2.037,   2.037,
     9    2.064,    2.064,   2.064,   2.064,   2.064,   2.064,   2.064/
      DATA PF062/
     1    2.105,    2.105,   2.105,   2.105,   2.105,   2.105,   2.105,
     2    2.165,    2.165,   2.165,   2.165,   2.165,   2.165,   2.165,
     3    2.246,    2.246,   2.246,   2.246,   2.246,   2.246,   2.246,
     4    2.353,    2.353,   2.353,   2.353,   2.353,   2.353,   2.353,
     5    2.491,    2.491,   2.491,   2.491,   2.491,   2.491,   2.491,
     6    2.663,    2.663,   2.663,   2.663,   2.663,   2.663,   2.663,
     7    2.874,    2.874,   2.874,   2.874,   2.874,   2.874,   2.874,
     8    3.128,    3.128,   3.128,   3.128,   3.128,   3.128,   3.128,
     9    3.430,    3.430,   3.430,   3.430,   3.430,   3.430,   3.430/
      DATA PF063/
     1    3.787,    3.787,   3.787,   3.787,   3.787,   3.787,   3.787,
     2    4.211,    4.211,   4.211,   4.211,   4.211,   4.211,   4.211,
     3    9.354,    9.354,   9.354,   9.354,   9.354,   9.354,   9.354,
     4    9.387,    9.387,   9.387,   9.387,   9.387,   9.387,   9.387,
     5    9.421,    9.421,   9.421,   9.421,   9.421,   9.421,   9.421,
     6    9.457,    9.457,   9.457,   9.457,   9.457,   9.457,   9.457,
     7    9.495,    9.495,   9.495,   9.495,   9.495,   9.495,   9.495,
     8    9.537,    9.537,   9.537,   9.537,   9.537,   9.537,   9.537,
     9    9.584,    9.584,   9.584,   9.584,   9.584,   9.584,   9.584/
      DATA PF064/
     1    9.637,    9.637,   9.637,   9.637,   9.637,   9.637,   9.637,
     2    9.699,    9.699,   9.699,   9.699,   9.699,   9.699,   9.698,
     3    9.772,    9.772,   9.772,   9.772,   9.772,   9.772,   9.770,
     4    9.858,    9.858,   9.858,   9.858,   9.858,   9.858,   9.855,
     5    9.960,    9.960,   9.960,   9.960,   9.960,   9.960,   9.957,
     6   10.083,   10.082,  10.082,  10.082,  10.082,  10.082,  10.077,
     7   10.229,   10.229,  10.229,  10.229,  10.229,  10.229,  10.220,
     8   10.403,   10.403,  10.403,  10.403,  10.403,  10.403,  10.390,
     9   10.611,   10.611,  10.611,  10.611,  10.611,  10.610,  10.592/
      DATA PF065/
     1   10.858,   10.858,  10.858,  10.858,  10.857,  10.856,  10.829,
     2   11.150,   11.150,  11.150,  11.149,  11.149,  11.147,  11.108,
     3   11.494,   11.494,  11.493,  11.492,  11.491,  11.488,  11.433,
     4   11.898,   11.897,  11.896,  11.895,  11.892,  11.887,  11.809,
     5   12.634,   12.634,  12.629,  12.626,  12.621,  12.609,  12.483,
     6   13.561,   13.559,  13.548,  13.541,  13.529,  13.503,  13.303,
     7   14.722,   14.717,  14.693,  14.675,  14.649,  14.599,  14.289,
     8   16.177,   16.167,  16.112,  16.074,  16.019,  15.926,  15.457,
     9   18.008,   17.987,  17.870,  17.792,  17.683,  17.517,  16.822/
      DATA PF066/
     1   20.329,   20.285,  20.051,  19.897,  19.690,  19.404,  18.397,
     2   23.296,   23.212,  22.763,  22.472,  22.095,  21.620,  20.191,
     3   27.127,   26.973,  26.148,  25.621,  24.963,  24.200,  22.210,
     4   32.117,   31.843,  30.389,  29.471,  28.364,  27.175,  24.459,
     5   38.653,   38.183,  35.717,  34.176,  32.377,  30.578,  26.934,
     6   54.380,   53.319,  47.808,  44.423,  40.654,  37.275,  31.551,
     7   78.870,   76.678,  65.393,  58.565,  51.278,  45.346,  36.743,
     8  116.106,  111.918,  90.544,  77.783,  64.665,  54.864,  42.444,
     9  170.857,  163.400, 125.634, 103.350,  81.194,  65.852,  48.570/
      DATA PF067/
     1  248.339,  235.867, 173.143, 136.519, 101.164,  78.280,  55.027,
     2  353.721,  333.997, 235.411, 178.384, 124.757,  92.065,  61.714,
     3  491.573,  461.898, 314.381, 229.759, 152.010, 107.070,  68.531,
     4  665.346,  622.639, 411.369, 291.073, 182.806, 123.117,  75.382,
     5  876.975,  817.898, 526.913, 362.321, 216.879, 139.995,  82.182,
     6 1126.658, 1047.769, 660.704, 443.051, 253.832, 157.477,  88.852,
     7 1412.836, 1310.754, 811.612, 532.405, 293.168, 175.325,  95.330,
     8 1732.350, 1603.906, 977.792, 629.193, 334.323, 193.308, 101.564,
     9 2080.733, 1923.106,1156.840, 731.982, 376.702, 211.209, 107.513/
      DATA PF068/
     1 2452.574, 2263.394,1345.978, 839.197, 419.712, 228.834, 113.150,
     2 2841.920, 2619.331,1542.244, 949.224, 462.790, 246.011, 118.455,
     3 3242.643, 2985.336,1742.662,1060.485, 505.420, 262.602, 123.419,
     4 3648.772, 3355.984,1944.389,1171.511, 547.151, 278.493, 128.039,
     5 4054.742, 3726.227,2144.821,1280.989, 587.605, 293.601, 132.320,
     6 4455.578, 4091.563,2341.668,1387.789, 626.476, 307.869, 136.270,
     7 4847.004, 4448.129,2532.996,1490.979, 663.531, 321.261, 139.900,
     8 5225.494, 4792.746,2717.237,1589.826, 698.605, 333.763, 143.226,
     9 5588.269, 5122.915,2893.184,1683.784, 731.590, 345.377, 146.264/
      DATA PF069/
     1 5933.259, 5436.779,3059.966,1772.481, 762.435, 356.119, 149.031,
     2 6259.042, 5733.071,3217.014,1855.695, 791.131, 366.015, 151.546,
     3 6564.769, 6011.041,3364.020,1933.335, 817.704, 375.099, 153.827,
     4 6850.075, 6270.376,3500.899,2005.419, 842.212, 383.413, 155.891,
     5   15.556,   15.556,  15.556,  15.556,  15.556,  15.556,  15.556,
     6   15.791,   15.791,  15.791,  15.791,  15.791,  15.791,  15.791,
     7   16.041,   16.041,  16.041,  16.041,  16.041,  16.041,  16.041,
     8   16.305,   16.305,  16.305,  16.305,  16.305,  16.305,  16.305,
     9   16.584,   16.584,  16.584,  16.584,  16.584,  16.584,  16.584/
      DATA PF070/
     1   16.878,   16.878,  16.878,  16.878,  16.878,  16.878,  16.878,
     2   17.189,   17.189,  17.189,  17.189,  17.189,  17.189,  17.189,
     3   17.515,   17.515,  17.515,  17.515,  17.515,  17.515,  17.515,
     4   17.859,   17.859,  17.859,  17.859,  17.859,  17.859,  17.859,
     5   18.219,   18.219,  18.219,  18.219,  18.219,  18.219,  18.219,
     6   18.596,   18.596,  18.596,  18.596,  18.596,  18.596,  18.596,
     7   18.990,   18.990,  18.990,  18.990,  18.990,  18.990,  18.990,
     8   19.402,   19.402,  19.402,  19.402,  19.402,  19.402,  19.402,
     9   19.832,   19.832,  19.832,  19.832,  19.832,  19.832,  19.832/
      DATA PF071/
     1   20.280,   20.280,  20.280,  20.280,  20.280,  20.280,  20.280,
     2   20.746,   20.746,  20.746,  20.746,  20.746,  20.746,  20.746,
     3   21.230,   21.230,  21.230,  21.230,  21.230,  21.230,  21.230,
     4   21.732,   21.732,  21.732,  21.732,  21.732,  21.732,  21.732,
     5   22.254,   22.254,  22.254,  22.254,  22.254,  22.254,  22.254,
     6   22.794,   22.794,  22.794,  22.794,  22.794,  22.794,  22.794,
     7   23.641,   23.641,  23.641,  23.641,  23.641,  23.641,  23.641,
     8   24.534,   24.534,  24.534,  24.534,  24.534,  24.534,  24.534,
     9   25.473,   25.473,  25.473,  25.473,  25.473,  25.473,  25.473/
      DATA PF072/
     1   26.461,   26.461,  26.461,  26.461,  26.461,  26.461,  26.461,
     2   27.501,   27.501,  27.501,  27.501,  27.501,  27.501,  27.501,
     3   28.598,   28.598,  28.598,  28.598,  28.598,  28.598,  28.597,
     4   29.754,   29.754,  29.754,  29.754,  29.754,  29.754,  29.753,
     5   30.976,   30.976,  30.976,  30.976,  30.976,  30.976,  30.974,
     6   32.271,   32.271,  32.271,  32.271,  32.270,  32.269,  32.266,
     7   33.647,   33.647,  33.647,  33.647,  33.645,  33.642,  33.635,
     8   36.156,   36.156,  36.156,  36.156,  36.145,  36.132,  36.110,
     9   39.018,   39.018,  39.018,  39.018,  38.976,  38.931,  38.862/
      DATA PF073/
     1   42.411,   42.411,  42.411,  42.409,  42.271,  42.128,  41.943,
     2   46.669,   46.669,  46.669,  46.665,  46.260,  45.863,  45.412,
     3   52.393,   52.392,  52.392,  52.382,  51.324,  50.338,  49.341,
     4   60.565,   60.564,  60.564,  60.540,  58.053,  55.830,  53.805,
     5   72.662,   72.661,  72.661,  72.608,  67.280,  62.695,  58.880,
     6   90.709,   90.706,  90.706,  90.600,  80.095,  71.350,  64.635,
     7  117.238,  117.232, 117.232, 117.035,  97.795,  82.245,  71.122,
     8  155.145,  155.135, 155.135, 154.792, 121.798,  95.819,  78.368,
     9  207.440,  207.424, 207.424, 206.863, 153.505, 112.455,  86.372/
      DATA PF074/
     1  276.943,  276.918, 276.918, 276.047, 194.150, 132.429,  95.097,
     2  365.969,  365.932, 365.932, 364.643, 244.663, 155.882, 104.478,
     3  476.062,  476.010, 476.010, 474.181, 305.559, 182.799, 114.419,
     4  607.823,  607.751, 607.751, 605.255, 376.879, 213.005, 124.807,
     5  760.843,  760.746, 760.746, 757.453, 458.184, 246.185, 135.512,
     6  933.747,  933.622, 933.622, 929.404, 548.596, 281.905, 146.401,
     7 1124.328, 1124.172,1124.172,1118.914, 646.881, 319.652, 157.341,
     8 1329.741, 1329.550,1329.550,1323.151, 751.544, 358.862, 168.207,
     9 1546.723, 1546.495,1546.495,1538.872, 860.944, 398.963, 178.885/
      DATA PF075/
     1 1771.815, 1771.547,1771.547,1762.637, 973.389, 439.396, 189.277,
     2 2001.563, 2001.254,2001.254,1991.015,1087.234, 479.645, 199.302,
     3 2232.679, 2232.328,2232.328,2220.738,1200.942, 519.249, 208.895,
     4 2462.169, 2461.775,2461.775,2448.832,1313.141, 557.815, 218.007,
     5 2687.408, 2686.972,2686.972,2672.690,1422.651, 595.020, 226.606,
     6 2906.191, 2905.714,2905.714,2890.122,1528.502, 630.610, 234.672,
     7    9.237,    9.237,   9.237,   9.237,   9.237,   9.237,   9.237,
     8    9.269,    9.269,   9.269,   9.269,   9.269,   9.269,   9.269,
     9    9.300,    9.300,   9.300,   9.300,   9.300,   9.300,   9.300/
      DATA PF076/
     1    9.329,    9.329,   9.329,   9.329,   9.329,   9.329,   9.329,
     2    9.358,    9.358,   9.358,   9.358,   9.358,   9.358,   9.358,
     3    9.385,    9.385,   9.385,   9.385,   9.385,   9.385,   9.385,
     4    9.411,    9.411,   9.411,   9.411,   9.411,   9.411,   9.411,
     5    9.437,    9.437,   9.437,   9.437,   9.437,   9.437,   9.437,
     6    9.461,    9.461,   9.461,   9.461,   9.461,   9.461,   9.461,
     7    9.484,    9.484,   9.484,   9.484,   9.484,   9.484,   9.484,
     8    9.506,    9.506,   9.506,   9.506,   9.506,   9.506,   9.506,
     9    9.528,    9.528,   9.528,   9.528,   9.528,   9.528,   9.528/
      DATA PF077/
     1    9.548,    9.548,   9.548,   9.548,   9.548,   9.548,   9.548,
     2    9.568,    9.568,   9.568,   9.568,   9.568,   9.568,   9.568,
     3    9.587,    9.587,   9.587,   9.587,   9.587,   9.587,   9.587,
     4    9.605,    9.605,   9.605,   9.605,   9.605,   9.605,   9.605,
     5    9.622,    9.622,   9.622,   9.622,   9.622,   9.622,   9.622,
     6    9.639,    9.639,   9.639,   9.639,   9.639,   9.639,   9.639,
     7    9.655,    9.655,   9.655,   9.655,   9.655,   9.655,   9.655,
     8    9.670,    9.670,   9.670,   9.670,   9.670,   9.670,   9.670,
     9    9.693,    9.693,   9.693,   9.693,   9.693,   9.693,   9.693/
      DATA PF078/
     1    9.714,    9.714,   9.714,   9.714,   9.714,   9.714,   9.714,
     2    9.735,    9.735,   9.735,   9.735,   9.735,   9.735,   9.735,
     3    9.755,    9.755,   9.755,   9.755,   9.755,   9.755,   9.755,
     4    9.775,    9.775,   9.775,   9.775,   9.775,   9.775,   9.775,
     5    9.795,    9.795,   9.795,   9.795,   9.795,   9.795,   9.795,
     6    9.816,    9.816,   9.816,   9.816,   9.816,   9.816,   9.816,
     7    9.837,    9.837,   9.837,   9.837,   9.837,   9.837,   9.837,
     8    9.859,    9.859,   9.859,   9.859,   9.859,   9.859,   9.859,
     9    9.883,    9.883,   9.883,   9.883,   9.883,   9.883,   9.883/
      DATA PF079/
     1    9.927,    9.927,   9.927,   9.927,   9.927,   9.927,   9.927,
     2    9.979,    9.979,   9.979,   9.979,   9.979,   9.979,   9.979,
     3   10.039,   10.039,  10.039,  10.039,  10.039,  10.039,  10.039,
     4   10.112,   10.112,  10.112,  10.112,  10.112,  10.112,  10.111,
     5   10.199,   10.199,  10.199,  10.199,  10.199,  10.199,  10.198,
     6   10.305,   10.305,  10.305,  10.305,  10.305,  10.305,  10.304,
     7   10.439,   10.439,  10.439,  10.439,  10.439,  10.437,  10.435,
     8   10.615,   10.615,  10.615,  10.615,  10.615,  10.607,  10.599,
     9   10.857,   10.857,  10.857,  10.857,  10.857,  10.832,  10.810/
      DATA PF080/
     1   11.216,   11.216,  11.216,  11.216,  11.216,  11.144,  11.087,
     2   11.774,   11.774,  11.774,  11.774,  11.774,  11.592,  11.455,
     3   12.664,   12.664,  12.664,  12.664,  12.664,  12.248,  11.950,
     4   14.076,   14.076,  14.076,  14.076,  14.076,  13.210,  12.614,
     5   16.266,   16.266,  16.266,  16.266,  16.266,  14.599,  13.493,
     6   19.542,   19.542,  19.542,  19.542,  19.542,  16.553,  14.635,
     7   24.247,   24.247,  24.247,  24.247,  24.247,  19.219,  16.085,
     8   30.728,   30.728,  30.728,  30.728,  30.728,  22.733,  17.878,
     9   39.295,   39.295,  39.295,  39.295,  39.295,  27.209,  20.037/
      DATA PF081/
     1   50.193,   50.193,  50.193,  50.193,  50.193,  32.723,  22.568,
     2   63.569,   63.569,  63.569,  63.569,  63.569,  39.308,  25.462,
     3   79.455,   79.455,  79.455,  79.455,  79.455,  46.945,  28.692,
     4   97.769,   97.769,  97.769,  97.769,  97.769,  55.571,  32.220,
     5  118.322,  118.322, 118.322, 118.322, 118.322,  65.078,  35.994,
     6  140.832,  140.832, 140.832, 140.832, 140.832,  75.330,  39.958,
     7  164.953,  164.953, 164.953, 164.953, 164.953,  86.164,  44.052,
     8  190.298,  190.298, 190.298, 190.298, 190.298,  97.412,  48.216,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF082/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF083/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF084/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF085/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF086/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     4    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.002,
     5    1.006,    1.006,   1.006,   1.006,   1.006,   1.006,   1.006,
     6    1.015,    1.015,   1.015,   1.015,   1.015,   1.015,   1.015,
     7    1.039,    1.039,   1.039,   1.039,   1.039,   1.039,   1.038,
     8    1.089,    1.089,   1.089,   1.089,   1.089,   1.089,   1.089,
     9    1.195,    1.195,   1.195,   1.195,   1.195,   1.195,   1.191/
      DATA PF087/
     1    1.408,    1.408,   1.408,   1.408,   1.408,   1.408,   1.392,
     2    1.831,    1.831,   1.831,   1.831,   1.830,   1.829,   1.775,
     3    2.656,    2.656,   2.656,   2.656,   2.655,   2.649,   2.485,
     4    4.233,    4.233,   4.233,   4.232,   4.229,   4.214,   3.769,
     5    7.146,    7.146,   7.146,   7.143,   7.137,   7.097,   6.017,
     6   12.293,   12.293,  12.293,  12.286,  12.272,  12.184,   9.799,
     7   20.942,   20.942,  20.942,  20.927,  20.897,  20.716,  15.886,
     8   34.722,   34.722,  34.722,  34.693,  34.636,  34.293,  25.233,
     9   55.558,   55.558,  55.558,  55.507,  55.403,  54.796,  38.927/
      DATA PF088/
     1   85.515,   85.515,  85.515,  85.429,  85.256,  84.245,  58.092,
     2    4.102,    4.102,   4.102,   4.102,   4.102,   4.102,   4.102,
     3    4.116,    4.116,   4.116,   4.116,   4.116,   4.116,   4.116,
     4    4.132,    4.132,   4.132,   4.132,   4.132,   4.132,   4.132,
     5    4.149,    4.149,   4.149,   4.149,   4.149,   4.149,   4.149,
     6    4.168,    4.168,   4.168,   4.168,   4.168,   4.168,   4.168,
     7    4.188,    4.188,   4.188,   4.188,   4.188,   4.188,   4.188,
     8    4.209,    4.209,   4.209,   4.209,   4.209,   4.209,   4.209,
     9    4.231,    4.231,   4.231,   4.231,   4.231,   4.231,   4.231/
      DATA PF089/
     1    4.255,    4.255,   4.255,   4.255,   4.255,   4.255,   4.255,
     2    4.279,    4.279,   4.279,   4.279,   4.279,   4.279,   4.279,
     3    4.305,    4.305,   4.305,   4.305,   4.305,   4.305,   4.305,
     4    4.332,    4.332,   4.332,   4.332,   4.332,   4.332,   4.332,
     5    4.360,    4.360,   4.360,   4.360,   4.360,   4.360,   4.360,
     6    4.389,    4.389,   4.389,   4.389,   4.389,   4.389,   4.389,
     7    4.419,    4.419,   4.419,   4.419,   4.419,   4.419,   4.419,
     8    4.449,    4.449,   4.449,   4.449,   4.449,   4.449,   4.449,
     9    4.481,    4.481,   4.481,   4.481,   4.481,   4.481,   4.481/
      DATA PF090/
     1    4.513,    4.513,   4.513,   4.513,   4.513,   4.513,   4.513,
     2    4.545,    4.545,   4.545,   4.545,   4.545,   4.545,   4.545,
     3    4.578,    4.578,   4.578,   4.578,   4.578,   4.578,   4.578,
     4    4.628,    4.628,   4.628,   4.628,   4.628,   4.628,   4.628,
     5    4.678,    4.678,   4.678,   4.678,   4.678,   4.678,   4.678,
     6    4.729,    4.729,   4.729,   4.729,   4.729,   4.729,   4.729,
     7    4.780,    4.780,   4.780,   4.780,   4.780,   4.780,   4.780,
     8    4.830,    4.830,   4.830,   4.830,   4.830,   4.830,   4.830,
     9    4.880,    4.880,   4.880,   4.880,   4.880,   4.880,   4.880/
      DATA PF091/
     1    4.930,    4.930,   4.930,   4.930,   4.930,   4.930,   4.930,
     2    4.979,    4.979,   4.979,   4.979,   4.979,   4.979,   4.979,
     3    5.027,    5.027,   5.027,   5.027,   5.027,   5.027,   5.027,
     4    5.073,    5.073,   5.073,   5.073,   5.073,   5.073,   5.073,
     5    5.149,    5.149,   5.149,   5.149,   5.149,   5.149,   5.149,
     6    5.220,    5.220,   5.220,   5.220,   5.220,   5.220,   5.220,
     7    5.287,    5.287,   5.287,   5.287,   5.287,   5.287,   5.287,
     8    5.350,    5.350,   5.350,   5.350,   5.350,   5.350,   5.350,
     9    5.409,    5.409,   5.409,   5.409,   5.409,   5.409,   5.409/
      DATA PF092/
     1    5.464,    5.464,   5.464,   5.464,   5.464,   5.464,   5.464,
     2    5.515,    5.515,   5.515,   5.515,   5.515,   5.515,   5.515,
     3    5.561,    5.561,   5.561,   5.561,   5.561,   5.561,   5.561,
     4    5.604,    5.604,   5.604,   5.604,   5.604,   5.604,   5.604,
     5    5.645,    5.645,   5.645,   5.645,   5.645,   5.645,   5.645,
     6    5.684,    5.684,   5.684,   5.684,   5.684,   5.684,   5.684,
     7    5.726,    5.726,   5.726,   5.726,   5.726,   5.726,   5.726,
     8    5.779,    5.779,   5.779,   5.779,   5.779,   5.779,   5.779,
     9    5.858,    5.858,   5.858,   5.858,   5.858,   5.858,   5.858/
      DATA PF093/
     1    5.990,    5.990,   5.990,   5.990,   5.990,   5.990,   5.990,
     2    6.221,    6.221,   6.221,   6.221,   6.221,   6.221,   6.221,
     3    6.622,    6.622,   6.622,   6.622,   6.622,   6.622,   6.621,
     4    7.315,    7.315,   7.315,   7.315,   7.315,   7.314,   7.311,
     5    8.505,    8.505,   8.505,   8.505,   8.504,   8.502,   8.490,
     6   10.554,   10.554,  10.553,  10.551,  10.549,  10.542,  10.500,
     7   14.092,   14.092,  14.088,  14.082,  14.075,  14.055,  13.924,
     8   20.178,   20.177,  20.168,  20.151,  20.130,  20.074,  19.717,
     9   30.487,   30.485,  30.462,  30.420,  30.368,  30.230,  29.357/
      DATA PF094/
     1   47.479,   47.474,  47.423,  47.327,  47.210,  46.900,  44.965,
     2   74.482,   74.472,  74.366,  74.167,  73.927,  73.290,  69.356,
     3  115.643,  115.624, 115.421, 115.040, 114.581, 113.371, 105.967,
     4    5.346,    5.346,   5.346,   5.346,   5.346,   5.346,   5.346,
     5    5.386,    5.386,   5.386,   5.386,   5.386,   5.386,   5.386,
     6    5.428,    5.428,   5.428,   5.428,   5.428,   5.428,   5.428,
     7    5.472,    5.472,   5.472,   5.472,   5.472,   5.472,   5.472,
     8    5.519,    5.519,   5.519,   5.519,   5.519,   5.519,   5.519,
     9    5.568,    5.568,   5.568,   5.568,   5.568,   5.568,   5.568/
      DATA PF095/
     1    5.620,    5.620,   5.620,   5.620,   5.620,   5.620,   5.620,
     2    5.673,    5.673,   5.673,   5.673,   5.673,   5.673,   5.673,
     3    5.729,    5.729,   5.729,   5.729,   5.729,   5.729,   5.729,
     4    5.786,    5.786,   5.786,   5.786,   5.786,   5.786,   5.786,
     5    5.846,    5.846,   5.846,   5.846,   5.846,   5.846,   5.846,
     6    5.906,    5.906,   5.906,   5.906,   5.906,   5.906,   5.906,
     7    5.969,    5.969,   5.969,   5.969,   5.969,   5.969,   5.969,
     8    6.032,    6.032,   6.032,   6.032,   6.032,   6.032,   6.032,
     9    6.097,    6.097,   6.097,   6.097,   6.097,   6.097,   6.097/
      DATA PF096/
     1    6.163,    6.163,   6.163,   6.163,   6.163,   6.163,   6.163,
     2    6.230,    6.230,   6.230,   6.230,   6.230,   6.230,   6.230,
     3    6.298,    6.298,   6.298,   6.298,   6.298,   6.298,   6.298,
     4    6.367,    6.367,   6.367,   6.367,   6.367,   6.367,   6.367,
     5    6.437,    6.437,   6.437,   6.437,   6.437,   6.437,   6.437,
     6    6.543,    6.543,   6.543,   6.543,   6.543,   6.543,   6.543,
     7    6.651,    6.651,   6.651,   6.651,   6.651,   6.651,   6.651,
     8    6.762,    6.762,   6.762,   6.762,   6.762,   6.762,   6.762,
     9    6.874,    6.874,   6.874,   6.874,   6.874,   6.874,   6.874/
      DATA PF097/
     1    6.989,    6.989,   6.989,   6.989,   6.989,   6.989,   6.989,
     2    7.106,    7.106,   7.106,   7.106,   7.106,   7.106,   7.106,
     3    7.227,    7.227,   7.227,   7.227,   7.227,   7.227,   7.227,
     4    7.351,    7.351,   7.351,   7.351,   7.351,   7.351,   7.351,
     5    7.479,    7.479,   7.479,   7.479,   7.479,   7.479,   7.479,
     6    7.611,    7.611,   7.611,   7.611,   7.611,   7.611,   7.611,
     7    7.842,    7.842,   7.842,   7.842,   7.842,   7.842,   7.842,
     8    8.085,    8.085,   8.085,   8.085,   8.085,   8.085,   8.085,
     9    8.341,    8.341,   8.341,   8.341,   8.341,   8.341,   8.341/
      DATA PF098/
     1    8.610,    8.610,   8.610,   8.610,   8.610,   8.610,   8.610,
     2    8.890,    8.890,   8.890,   8.890,   8.890,   8.890,   8.890,
     3    9.180,    9.180,   9.180,   9.180,   9.180,   9.180,   9.180,
     4    9.477,    9.477,   9.477,   9.477,   9.477,   9.477,   9.477,
     5    9.780,    9.780,   9.780,   9.780,   9.780,   9.780,   9.780,
     6   10.085,   10.085,  10.085,  10.085,  10.085,  10.085,  10.085,
     7   10.392,   10.392,  10.392,  10.392,  10.392,  10.392,  10.392,
     8   10.700,   10.700,  10.700,  10.700,  10.700,  10.700,  10.700,
     9   11.012,   11.012,  11.012,  11.012,  11.012,  11.012,  11.012/
      DATA PF099/
     1   11.336,   11.336,  11.336,  11.336,  11.336,  11.336,  11.336,
     2   11.687,   11.687,  11.687,  11.687,  11.687,  11.687,  11.687,
     3   12.096,   12.096,  12.096,  12.096,  12.096,  12.096,  12.096,
     4   12.612,   12.612,  12.612,  12.612,  12.612,  12.612,  12.612,
     5   13.314,   13.314,  13.314,  13.314,  13.314,  13.314,  13.314,
     6   14.321,   14.321,  14.321,  14.321,  14.321,  14.321,  14.320,
     7   15.820,   15.820,  15.820,  15.820,  15.820,  15.820,  15.818,
     8   18.107,   18.107,  18.107,  18.107,  18.107,  18.105,  18.098,
     9   21.666,   21.666,  21.666,  21.666,  21.665,  21.656,  21.632/
      DATA PF100/
     1   27.301,   27.301,  27.300,  27.299,  27.296,  27.267,  27.184,
     2   36.327,   36.325,  36.323,  36.320,  36.312,  36.225,  35.980,
     3   50.809,   50.804,  50.799,  50.791,  50.769,  50.538,  49.898,
     4   73.811,   73.798,  73.785,  73.767,  73.715,  73.162,  71.656,
     5  109.561,  109.532, 109.504, 109.465, 109.352, 108.149, 104.921,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF101/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF102/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     5    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     6    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     7    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     8    4.003,    4.003,   4.003,   4.003,   4.003,   4.003,   4.003,
     9    4.006,    4.006,   4.006,   4.006,   4.006,   4.006,   4.006/
      DATA PF103/
     1    4.009,    4.009,   4.009,   4.009,   4.009,   4.009,   4.009,
     2    4.015,    4.015,   4.015,   4.015,   4.015,   4.015,   4.015,
     3    4.023,    4.023,   4.023,   4.023,   4.023,   4.023,   4.023,
     4    4.035,    4.035,   4.035,   4.035,   4.035,   4.035,   4.035,
     5    4.051,    4.051,   4.051,   4.051,   4.051,   4.051,   4.051,
     6    4.072,    4.072,   4.072,   4.072,   4.072,   4.072,   4.072,
     7    4.101,    4.101,   4.101,   4.101,   4.101,   4.101,   4.101,
     8    4.139,    4.139,   4.139,   4.139,   4.139,   4.139,   4.139,
     9    4.224,    4.224,   4.224,   4.224,   4.224,   4.224,   4.224/
      DATA PF104/
     1    4.346,    4.346,   4.346,   4.346,   4.346,   4.346,   4.346,
     2    4.510,    4.510,   4.510,   4.510,   4.510,   4.510,   4.510,
     3    4.723,    4.723,   4.723,   4.723,   4.723,   4.723,   4.723,
     4    4.990,    4.990,   4.990,   4.990,   4.990,   4.990,   4.990,
     5    5.316,    5.316,   5.316,   5.316,   5.316,   5.316,   5.316,
     6    5.699,    5.699,   5.699,   5.699,   5.699,   5.699,   5.699,
     7    6.140,    6.140,   6.140,   6.140,   6.140,   6.140,   6.140,
     8    6.635,    6.635,   6.635,   6.635,   6.635,   6.635,   6.635,
     9    7.179,    7.179,   7.179,   7.179,   7.179,   7.179,   7.179/
      DATA PF105/
     1    7.768,    7.768,   7.768,   7.768,   7.768,   7.768,   7.768,
     2    8.398,    8.398,   8.398,   8.398,   8.398,   8.398,   8.398,
     3    9.067,    9.067,   9.067,   9.067,   9.067,   9.067,   9.067,
     4    9.779,    9.779,   9.779,   9.779,   9.779,   9.779,   9.779,
     5   10.549,   10.549,  10.549,  10.549,  10.549,  10.549,  10.549,
     6   11.401,   11.401,  11.401,  11.401,  11.401,  11.401,  11.401,
     7   12.382,   12.382,  12.382,  12.382,  12.382,  12.382,  12.382,
     8   13.562,   13.562,  13.562,  13.562,  13.562,  13.562,  13.562,
     9   15.049,   15.049,  15.049,  15.049,  15.049,  15.049,  15.049/
      DATA PF106/
     1   17.007,   17.007,  17.007,  17.007,  17.007,  17.007,  17.007,
     2   19.682,   19.682,  19.682,  19.682,  19.682,  19.682,  19.682,
     3   23.456,   23.456,  23.456,  23.455,  23.455,  23.454,  23.453,
     4   28.929,   28.929,  28.929,  28.928,  28.927,  28.923,  28.919,
     5   37.054,   37.054,  37.054,  37.051,  37.047,  37.035,  37.022,
     6   49.314,   49.314,  49.313,  49.306,  49.294,  49.259,  49.219,
     7   67.932,   67.930,  67.929,  67.910,  67.878,  67.784,  67.681,
     8    1.740,    1.740,   1.740,   1.740,   1.740,   1.740,   1.740,
     9    1.807,    1.807,   1.807,   1.807,   1.807,   1.807,   1.807/
      DATA PF107/
     1    1.877,    1.877,   1.877,   1.877,   1.877,   1.877,   1.877,
     2    1.952,    1.952,   1.952,   1.952,   1.952,   1.952,   1.952,
     3    2.030,    2.030,   2.030,   2.030,   2.030,   2.030,   2.030,
     4    2.112,    2.112,   2.112,   2.112,   2.112,   2.112,   2.112,
     5    2.197,    2.197,   2.197,   2.197,   2.197,   2.197,   2.197,
     6    2.286,    2.286,   2.286,   2.286,   2.286,   2.286,   2.286,
     7    2.379,    2.379,   2.379,   2.379,   2.379,   2.379,   2.379,
     8    2.475,    2.475,   2.475,   2.475,   2.475,   2.475,   2.475,
     9    2.575,    2.575,   2.575,   2.575,   2.575,   2.575,   2.575/
      DATA PF108/
     1    2.677,    2.677,   2.677,   2.677,   2.677,   2.677,   2.677,
     2    2.783,    2.783,   2.783,   2.783,   2.783,   2.783,   2.783,
     3    2.892,    2.892,   2.892,   2.892,   2.892,   2.892,   2.892,
     4    3.004,    3.004,   3.004,   3.004,   3.004,   3.004,   3.004,
     5    3.118,    3.118,   3.118,   3.118,   3.118,   3.118,   3.118,
     6    3.234,    3.234,   3.234,   3.234,   3.234,   3.234,   3.234,
     7    3.352,    3.352,   3.352,   3.352,   3.352,   3.352,   3.352,
     8    3.473,    3.473,   3.473,   3.473,   3.473,   3.473,   3.473,
     9    3.595,    3.595,   3.595,   3.595,   3.595,   3.595,   3.595/
      DATA PF109/
     1    3.782,    3.782,   3.782,   3.782,   3.782,   3.782,   3.782,
     2    3.971,    3.971,   3.971,   3.971,   3.971,   3.971,   3.971,
     3    4.163,    4.163,   4.163,   4.163,   4.163,   4.163,   4.163,
     4    4.358,    4.358,   4.358,   4.358,   4.358,   4.358,   4.358,
     5    4.554,    4.554,   4.554,   4.554,   4.554,   4.554,   4.554,
     6    4.752,    4.752,   4.752,   4.752,   4.752,   4.752,   4.752,
     7    4.952,    4.952,   4.952,   4.952,   4.952,   4.952,   4.952,
     8    5.154,    5.154,   5.154,   5.154,   5.154,   5.154,   5.154,
     9    5.358,    5.358,   5.358,   5.358,   5.358,   5.358,   5.358/
      DATA PF110/
     1    5.564,    5.564,   5.564,   5.564,   5.564,   5.564,   5.564,
     2    5.912,    5.912,   5.912,   5.912,   5.912,   5.912,   5.912,
     3    6.267,    6.267,   6.267,   6.267,   6.267,   6.267,   6.267,
     4    6.628,    6.628,   6.628,   6.628,   6.628,   6.628,   6.628,
     5    6.996,    6.996,   6.996,   6.996,   6.996,   6.996,   6.996,
     6    7.370,    7.370,   7.370,   7.370,   7.370,   7.370,   7.370,
     7    7.750,    7.750,   7.750,   7.750,   7.750,   7.750,   7.750,
     8    8.134,    8.134,   8.134,   8.134,   8.134,   8.134,   8.134,
     9    8.521,    8.521,   8.521,   8.521,   8.521,   8.521,   8.521/
      DATA PF111/
     1    8.910,    8.910,   8.910,   8.910,   8.910,   8.910,   8.910,
     2    9.301,    9.301,   9.301,   9.301,   9.301,   9.301,   9.301,
     3    9.697,    9.697,   9.697,   9.697,   9.697,   9.697,   9.697,
     4   10.102,   10.102,  10.102,  10.102,  10.102,  10.102,  10.102,
     5   10.526,   10.526,  10.526,  10.526,  10.526,  10.526,  10.526,
     6   10.980,   10.980,  10.980,  10.980,  10.980,  10.980,  10.980,
     7   11.485,   11.485,  11.485,  11.485,  11.485,  11.485,  11.485,
     8   12.070,   12.070,  12.070,  12.070,  12.070,  12.070,  12.070,
     9   12.771,   12.771,  12.771,  12.771,  12.771,  12.771,  12.771/
      DATA PF112/
     1   13.642,   13.642,  13.642,  13.642,  13.642,  13.642,  13.642,
     2   14.755,   14.755,  14.755,  14.755,  14.755,  14.755,  14.755,
     3   16.211,   16.211,  16.211,  16.211,  16.211,  16.211,  16.211,
     4   18.151,   18.151,  18.151,  18.151,  18.151,  18.151,  18.151,
     5   20.779,   20.779,  20.779,  20.779,  20.779,  20.779,  20.778,
     6   24.385,   24.385,  24.385,  24.385,  24.385,  24.385,  24.384,
     7   29.401,   29.401,  29.401,  29.401,  29.400,  29.399,  29.397,
     8   36.459,   36.459,  36.459,  36.458,  36.456,  36.453,  36.444,
     9   46.484,   46.484,  46.482,  46.479,  46.474,  46.466,  46.438/
      DATA PF113/
     1    2.076,    2.076,   2.076,   2.076,   2.076,   2.076,   2.076,
     2    2.090,    2.090,   2.090,   2.090,   2.090,   2.090,   2.090,
     3    2.107,    2.107,   2.107,   2.107,   2.107,   2.107,   2.107,
     4    2.126,    2.126,   2.126,   2.126,   2.126,   2.126,   2.126,
     5    2.148,    2.148,   2.148,   2.148,   2.148,   2.148,   2.148,
     6    2.171,    2.171,   2.171,   2.171,   2.171,   2.171,   2.171,
     7    2.197,    2.197,   2.197,   2.197,   2.197,   2.197,   2.197,
     8    2.226,    2.226,   2.226,   2.226,   2.226,   2.226,   2.226,
     9    2.257,    2.257,   2.257,   2.257,   2.257,   2.257,   2.257/
      DATA PF114/
     1    2.291,    2.291,   2.291,   2.291,   2.291,   2.291,   2.291,
     2    2.327,    2.327,   2.327,   2.327,   2.327,   2.327,   2.327,
     3    2.366,    2.366,   2.366,   2.366,   2.366,   2.366,   2.366,
     4    2.408,    2.408,   2.408,   2.408,   2.408,   2.408,   2.408,
     5    2.452,    2.452,   2.452,   2.452,   2.452,   2.452,   2.452,
     6    2.499,    2.499,   2.499,   2.499,   2.499,   2.499,   2.499,
     7    2.548,    2.548,   2.548,   2.548,   2.548,   2.548,   2.548,
     8    2.599,    2.599,   2.599,   2.599,   2.599,   2.599,   2.599,
     9    2.652,    2.652,   2.652,   2.652,   2.652,   2.652,   2.652/
      DATA PF115/
     1    2.708,    2.708,   2.708,   2.708,   2.708,   2.708,   2.708,
     2    2.765,    2.765,   2.765,   2.765,   2.765,   2.765,   2.765,
     3    2.855,    2.855,   2.855,   2.855,   2.855,   2.855,   2.855,
     4    2.947,    2.947,   2.947,   2.947,   2.947,   2.947,   2.947,
     5    3.043,    3.043,   3.043,   3.043,   3.043,   3.043,   3.043,
     6    3.141,    3.141,   3.141,   3.141,   3.141,   3.141,   3.141,
     7    3.240,    3.240,   3.240,   3.240,   3.240,   3.240,   3.240,
     8    3.341,    3.341,   3.341,   3.341,   3.341,   3.341,   3.341,
     9    3.443,    3.443,   3.443,   3.443,   3.443,   3.443,   3.443/
      DATA PF116/
     1    3.544,    3.544,   3.544,   3.544,   3.544,   3.544,   3.544,
     2    3.646,    3.646,   3.646,   3.646,   3.646,   3.646,   3.646,
     3    3.746,    3.746,   3.746,   3.746,   3.746,   3.746,   3.746,
     4    3.911,    3.911,   3.911,   3.911,   3.911,   3.911,   3.911,
     5    4.071,    4.071,   4.071,   4.071,   4.071,   4.071,   4.071,
     6    4.224,    4.224,   4.224,   4.224,   4.224,   4.224,   4.224,
     7    4.371,    4.371,   4.371,   4.371,   4.371,   4.371,   4.371,
     8    4.510,    4.510,   4.510,   4.510,   4.510,   4.510,   4.510,
     9    4.641,    4.641,   4.641,   4.641,   4.641,   4.641,   4.641/
      DATA PF117/
     1    4.763,    4.763,   4.763,   4.763,   4.763,   4.763,   4.763,
     2    4.879,    4.879,   4.879,   4.879,   4.879,   4.879,   4.879,
     3    4.988,    4.988,   4.988,   4.988,   4.988,   4.988,   4.988,
     4    5.094,    5.094,   5.094,   5.094,   5.094,   5.094,   5.094,
     5    5.202,    5.202,   5.202,   5.202,   5.202,   5.202,   5.202,
     6    5.319,    5.319,   5.319,   5.319,   5.319,   5.319,   5.319,
     7    5.452,    5.452,   5.452,   5.452,   5.452,   5.452,   5.452,
     8    5.616,    5.616,   5.616,   5.616,   5.616,   5.616,   5.616,
     9    5.824,    5.824,   5.824,   5.824,   5.824,   5.824,   5.824/
      DATA PF118/
     1    6.096,    6.096,   6.096,   6.096,   6.096,   6.096,   6.096,
     2    6.452,    6.452,   6.452,   6.452,   6.452,   6.452,   6.452,
     3    6.921,    6.921,   6.921,   6.921,   6.921,   6.921,   6.921,
     4    7.538,    7.538,   7.538,   7.538,   7.538,   7.538,   7.538,
     5    8.347,    8.347,   8.347,   8.347,   8.347,   8.347,   8.347,
     6    9.412,    9.412,   9.412,   9.412,   9.412,   9.412,   9.412,
     7   10.816,   10.816,  10.816,  10.816,  10.816,  10.816,  10.816,
     8   12.672,   12.672,  12.672,  12.672,  12.672,  12.672,  12.672,
     9   15.136,   15.136,  15.136,  15.136,  15.136,  15.136,  15.136/
      DATA PF119/
     1   18.418,   18.418,  18.418,  18.418,  18.418,  18.417,  18.417,
     2   22.807,   22.807,  22.807,  22.806,  22.806,  22.804,  22.803,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF120/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF121/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF122/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF123/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     5    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.002,
     6    1.006,    1.006,   1.006,   1.006,   1.006,   1.006,   1.006,
     7    1.013,    1.013,   1.013,   1.013,   1.013,   1.013,   1.013,
     8    1.026,    1.026,   1.026,   1.026,   1.026,   1.026,   1.026,
     9    1.050,    1.050,   1.050,   1.050,   1.050,   1.050,   1.050/
      DATA PF124/
     1    1.089,    1.089,   1.089,   1.089,   1.089,   1.089,   1.089,
     2    1.150,    1.150,   1.150,   1.150,   1.150,   1.150,   1.150,
     3    1.239,    1.239,   1.239,   1.239,   1.239,   1.239,   1.239,
     4    1.366,    1.366,   1.366,   1.366,   1.366,   1.366,   1.366,
     5    1.538,    1.538,   1.538,   1.538,   1.538,   1.538,   1.538,
     6    1.767,    1.767,   1.767,   1.767,   1.767,   1.767,   1.767,
     7    2.064,    2.064,   2.064,   2.064,   2.064,   2.064,   2.064,
     8    2.447,    2.447,   2.447,   2.447,   2.447,   2.447,   2.447,
     9    2.936,    2.936,   2.936,   2.936,   2.936,   2.936,   2.936/
      DATA PF125/
     1    3.559,    3.559,   3.559,   3.559,   3.559,   3.559,   3.559,
     2    4.352,    4.352,   4.352,   4.352,   4.352,   4.352,   4.352,
     3    5.362,    5.362,   5.362,   5.362,   5.362,   5.362,   5.362,
     4    6.658,    6.658,   6.658,   6.658,   6.658,   6.658,   6.657,
     5   18.535,   18.535,  18.535,  18.535,  18.535,  18.535,  18.535,
     6   18.752,   18.752,  18.752,  18.752,  18.752,  18.752,  18.752,
     7   18.985,   18.985,  18.985,  18.985,  18.985,  18.985,  18.985,
     8   19.235,   19.235,  19.235,  19.235,  19.235,  19.235,  19.235,
     9   19.507,   19.507,  19.507,  19.507,  19.507,  19.507,  19.507/
      DATA PF126/
     1   19.804,   19.804,  19.804,  19.804,  19.804,  19.804,  19.803,
     2   20.128,   20.128,  20.128,  20.128,  20.128,  20.128,  20.128,
     3   20.484,   20.484,  20.484,  20.484,  20.484,  20.484,  20.484,
     4   20.877,   20.877,  20.877,  20.877,  20.877,  20.877,  20.876,
     5   21.312,   21.312,  21.312,  21.312,  21.312,  21.312,  21.310,
     6   21.793,   21.793,  21.793,  21.793,  21.793,  21.793,  21.790,
     7   22.327,   22.327,  22.327,  22.327,  22.327,  22.327,  22.321,
     8   22.920,   22.920,  22.920,  22.920,  22.920,  22.920,  22.911,
     9   23.581,   23.581,  23.581,  23.581,  23.581,  23.581,  23.566/
      DATA PF127/
     1   24.318,   24.317,  24.317,  24.317,  24.317,  24.317,  24.293,
     2   25.139,   25.139,  25.139,  25.139,  25.139,  25.138,  25.101,
     3   26.056,   26.056,  26.056,  26.055,  26.055,  26.054,  25.997,
     4   27.081,   27.081,  27.080,  27.080,  27.079,  27.077,  26.991,
     5   28.227,   28.227,  28.226,  28.225,  28.224,  28.220,  28.093,
     6   29.511,   29.510,  29.508,  29.506,  29.503,  29.496,  29.312,
     7   31.733,   31.730,  31.724,  31.719,  31.713,  31.697,  31.383,
     8   34.379,   34.372,  34.356,  34.342,  34.328,  34.294,  33.775,
     9   37.545,   37.529,  37.488,  37.457,  37.425,  37.356,  36.524/
      DATA PF128/
     1   41.362,   41.325,  41.232,  41.160,  41.092,  40.958,  39.662,
     2   46.010,   45.929,  45.726,  45.572,  45.434,  45.185,  43.220,
     3   51.744,   51.574,  51.154,  50.842,  50.574,  50.131,  47.224,
     4   58.920,   58.584,  57.756,  57.154,  56.655,  55.895,  51.695,
     5   68.042,   67.404,  65.844,  64.730,  63.839,  62.583,  56.648,
     6   79.799,   78.639,  75.824,  73.844,  72.314,  70.303,  62.092,
     7   95.116,   93.090,  88.205,  84.822,  82.286,  79.164,  68.025,
     8  131.993,  127.261, 115.968, 108.320, 102.854,  96.755,  78.982,
     9  189.917,  179.842, 156.008, 140.187, 129.345, 118.258,  91.202/
      DATA PF129/
     1  279.274,  259.512, 213.134, 182.893, 162.928, 144.026, 104.554,
     2  412.955,  376.930, 292.988, 239.112, 204.704, 174.276, 118.868,
     3  605.594,  544.075, 401.634, 311.493, 255.591, 209.058, 133.941,
     4  872.307,  773.192, 544.990, 402.378, 316.216, 248.241, 149.555,
     5 1227.144, 1075.526, 728.194, 513.542, 386.834, 291.515, 165.489,
     6 1681.515, 1460.060, 955.010, 645.975, 467.280, 338.413, 181.529,
     7 2242.879, 1932.476,1227.386, 799.750, 556.974, 388.337, 197.474,
     8 2913.895, 2494.504,1545.219, 973.996, 654.956, 440.605, 213.148,
     9 3692.133, 3143.729,1906.344,1166.966, 759.962, 494.488, 228.399/
      DATA PF130/
     1 4570.325, 3873.835,2306.737,1376.177, 870.513, 549.252, 243.103,
     2 5537.061, 4675.195,2740.862,1598.609, 985.009, 604.189, 257.162,
     3 6577.779, 5535.696,3202.113,1830.909,1101.824, 658.649, 270.507,
     4 7675.888, 6441.655,3683.277,2069.608,1219.385, 712.055, 283.088,
     5 8813.880, 7378.722,4176.982,2311.297,1336.234, 763.916, 294.879,
     6 9974.329, 8332.684,4676.071,2552.781,1451.076, 813.833, 305.870,
     711140.706, 9290.118,5173.903,2791.186,1562.802, 861.495, 316.067,
     812297.992,10238.870,5664.560,3024.025,1670.504, 906.677, 325.486,
     913433.066,11168.362,6142.975,3249.236,1773.475, 949.232, 334.153/
      DATA PF131/
     114534.923,12069.755,6604.986,3465.182,1871.195, 989.078, 342.101,
     215594.715,12935.977,7047.331,3670.636,1963.316,1026.195, 349.368,
     316605.689,13761.657,7467.596,3864.749,2049.642,1060.606, 355.993,
     417563.033,14543.000,7864.145,4047.004,2130.106,1092.375, 362.018,
     518463.662,15277.609,8236.023,4217.170,2204.748,1121.595, 367.486,
     619305.992,15964.296,8582.854,4375.258,2273.691,1148.380, 372.439,
     7   38.022,   38.022,  38.022,  38.022,  38.022,  38.022,  38.022,
     8   38.750,   38.750,  38.750,  38.750,  38.750,  38.750,  38.750,
     9   39.484,   39.484,  39.484,  39.484,  39.484,  39.484,  39.484/
      DATA PF132/
     1   40.226,   40.226,  40.226,  40.226,  40.226,  40.226,  40.226,
     2   40.979,   40.979,  40.979,  40.979,  40.979,  40.979,  40.979,
     3   41.744,   41.744,  41.744,  41.744,  41.744,  41.744,  41.744,
     4   42.525,   42.525,  42.525,  42.525,  42.525,  42.525,  42.525,
     5   43.324,   43.324,  43.324,  43.324,  43.324,  43.324,  43.324,
     6   44.144,   44.144,  44.144,  44.144,  44.144,  44.144,  44.144,
     7   44.987,   44.987,  44.987,  44.987,  44.987,  44.987,  44.987,
     8   45.858,   45.858,  45.858,  45.858,  45.858,  45.858,  45.858,
     9   46.759,   46.759,  46.759,  46.759,  46.759,  46.759,  46.759/
      DATA PF133/
     1   47.694,   47.694,  47.694,  47.694,  47.694,  47.694,  47.694,
     2   48.666,   48.666,  48.666,  48.666,  48.666,  48.666,  48.666,
     3   49.680,   49.680,  49.680,  49.680,  49.680,  49.680,  49.680,
     4   50.737,   50.737,  50.737,  50.737,  50.737,  50.737,  50.737,
     5   51.842,   51.842,  51.842,  51.842,  51.842,  51.842,  51.842,
     6   52.999,   52.999,  52.999,  52.999,  52.999,  52.999,  52.999,
     7   54.210,   54.210,  54.210,  54.210,  54.210,  54.210,  54.210,
     8   55.479,   55.479,  55.479,  55.479,  55.479,  55.479,  55.479,
     9   57.497,   57.497,  57.497,  57.497,  57.497,  57.497,  57.497/
      DATA PF134/
     1   59.663,   59.663,  59.663,  59.663,  59.663,  59.663,  59.663,
     2   61.987,   61.987,  61.987,  61.987,  61.987,  61.987,  61.987,
     3   64.480,   64.480,  64.480,  64.480,  64.480,  64.480,  64.480,
     4   67.153,   67.153,  67.153,  67.153,  67.153,  67.153,  67.153,
     5   70.018,   70.018,  70.018,  70.018,  70.018,  70.018,  70.018,
     6   73.090,   73.090,  73.090,  73.090,  73.090,  73.089,  73.089,
     7   76.384,   76.384,  76.384,  76.384,  76.384,  76.384,  76.382,
     8   79.922,   79.922,  79.922,  79.922,  79.921,  79.920,  79.917,
     9   83.727,   83.727,  83.727,  83.727,  83.725,  83.722,  83.714/
      DATA PF135/
     1   90.755,   90.754,  90.753,  90.751,  90.743,  90.729,  90.700,
     2   98.839,   98.834,  98.829,  98.823,  98.790,  98.735,  98.637,
     3  108.368,  108.349, 108.330, 108.305, 108.188, 108.001, 107.715,
     4  120.040,  119.979, 119.915, 119.832, 119.465, 118.908, 118.165,
     5  135.100,  134.923, 134.737, 134.498, 133.480, 132.004, 130.261,
     6  155.641,  155.178, 154.698, 154.087, 151.558, 148.041, 144.306,
     7  184.928,  183.842, 182.720, 181.313, 175.620, 167.995, 160.616,
     8  227.649,  225.327, 222.938, 219.975, 208.243, 193.040, 179.489,
     9  289.974,  285.401, 280.716, 274.963, 252.616, 224.490, 201.173/
      DATA PF136/
     1  379.341,  370.978, 362.438, 352.045, 312.358, 263.685, 225.833,
     2  503.946,  489.622, 475.040, 457.435, 391.218, 311.854, 253.527,
     3  671.989,  648.851, 625.359, 597.197, 492.698, 369.980, 284.190,
     4  890.806,  855.330, 819.397, 776.590, 619.657, 438.676, 317.631,
     5 1166.042, 1114.119,1061.638, 999.469, 773.984, 518.105, 353.545,
     6 1500.997, 1428.085,1354.530,1267.829, 956.367, 607.950, 391.531,
     7 1896.253, 1797.579,1698.203,1581.585,1166.211, 707.437, 431.118,
     8 2349.607, 2220.389,2090.450,1938.569,1401.687, 815.395, 471.797,
     9 2856.289, 2691.965,2526.945,2334.740,1659.898, 930.348, 513.050/
      DATA PF137/
     1 3409.402, 3205.824,3001.630,2764.543,1937.127,1050.626, 554.371,
     2 4000.496, 3754.096,3507.214,3221.363,2229.114,1174.468, 595.294,
     3 4620.192, 4328.088,4035.693,3697.988,2531.345,1300.124, 635.399,
     4 5258.777, 4918.842,4578.856,4187.058,2839.308,1425.932, 674.331,
     5 5906.731, 5517.603,5128.711,4681.440,3148.710,1550.382, 711.798,
     6 6555.144, 6116.202,5677.823,5174.525,3455.635,1672.155, 747.570,
     7 7196.013, 6707.324,6219.556,5660.435,3756.653,1790.145, 781.484,
     8 7822.429, 7284.672,6748.215,6134.143,4048.877,1903.465, 813.428,
     9   17.922,   17.922,  17.922,  17.922,  17.922,  17.922,  17.922/
      DATA PF138/
     1   18.052,   18.052,  18.052,  18.052,  18.052,  18.052,  18.052,
     2   18.181,   18.181,  18.181,  18.181,  18.181,  18.181,  18.181,
     3   18.307,   18.307,  18.307,  18.307,  18.307,  18.307,  18.307,
     4   18.432,   18.432,  18.432,  18.432,  18.432,  18.432,  18.432,
     5   18.556,   18.556,  18.556,  18.556,  18.556,  18.556,  18.556,
     6   18.680,   18.680,  18.680,  18.680,  18.680,  18.680,  18.680,
     7   18.804,   18.804,  18.804,  18.804,  18.804,  18.804,  18.804,
     8   18.930,   18.930,  18.930,  18.930,  18.930,  18.930,  18.930,
     9   19.057,   19.057,  19.057,  19.057,  19.057,  19.057,  19.057/
      DATA PF139/
     1   19.188,   19.188,  19.188,  19.188,  19.188,  19.188,  19.188,
     2   19.322,   19.322,  19.322,  19.322,  19.322,  19.322,  19.322,
     3   19.460,   19.460,  19.460,  19.460,  19.460,  19.460,  19.460,
     4   19.604,   19.604,  19.604,  19.604,  19.604,  19.604,  19.604,
     5   19.753,   19.753,  19.753,  19.753,  19.753,  19.753,  19.753,
     6   19.910,   19.910,  19.910,  19.910,  19.910,  19.910,  19.910,
     7   20.074,   20.074,  20.074,  20.074,  20.074,  20.074,  20.074,
     8   20.247,   20.247,  20.247,  20.247,  20.247,  20.247,  20.247,
     9   20.429,   20.429,  20.429,  20.429,  20.429,  20.429,  20.429/
      DATA PF140/
     1   20.620,   20.620,  20.620,  20.620,  20.620,  20.620,  20.620,
     2   20.928,   20.928,  20.928,  20.928,  20.928,  20.928,  20.928,
     3   21.260,   21.260,  21.260,  21.260,  21.260,  21.260,  21.260,
     4   21.619,   21.619,  21.619,  21.619,  21.619,  21.619,  21.619,
     5   22.006,   22.006,  22.006,  22.006,  22.006,  22.006,  22.006,
     6   22.420,   22.420,  22.420,  22.420,  22.420,  22.420,  22.420,
     7   22.864,   22.864,  22.864,  22.864,  22.864,  22.864,  22.864,
     8   23.336,   23.336,  23.336,  23.336,  23.336,  23.336,  23.336,
     9   23.837,   23.837,  23.837,  23.837,  23.837,  23.837,  23.837/
      DATA PF141/
     1   24.366,   24.366,  24.366,  24.366,  24.366,  24.366,  24.366,
     2   24.924,   24.924,  24.924,  24.924,  24.924,  24.924,  24.924,
     3   25.917,   25.917,  25.917,  25.917,  25.917,  25.917,  25.917,
     4   26.991,   26.991,  26.991,  26.991,  26.991,  26.991,  26.991,
     5   28.149,   28.149,  28.149,  28.149,  28.149,  28.149,  28.149,
     6   29.397,   29.397,  29.397,  29.397,  29.397,  29.397,  29.397,
     7   30.750,   30.750,  30.750,  30.750,  30.750,  30.750,  30.749,
     8   32.227,   32.227,  32.227,  32.227,  32.227,  32.226,  32.225,
     9   33.865,   33.865,  33.865,  33.865,  33.865,  33.861,  33.856/
      DATA PF142/
     1   35.729,   35.729,  35.729,  35.729,  35.729,  35.712,  35.692,
     2   37.946,   37.946,  37.946,  37.946,  37.946,  37.882,  37.812,
     3   40.753,   40.753,  40.753,  40.753,  40.752,  40.550,  40.340,
     4   44.589,   44.589,  44.589,  44.589,  44.588,  44.021,  43.461,
     5   50.202,   50.202,  50.202,  50.202,  50.200,  48.779,  47.435,
     6   58.771,   58.771,  58.771,  58.771,  58.766,  55.544,  52.611,
     7   71.993,   71.993,  71.993,  71.993,  71.981,  65.299,  59.417,
     8   92.103,   92.103,  92.103,  92.103,  92.079,  79.276,  68.337,
     9  121.793,  121.793, 121.793, 121.793, 121.751,  98.893,  79.877/
      DATA PF143/
     1  164.030,  164.030, 164.030, 164.030, 163.957, 125.641,  94.508,
     2  221.774,  221.774, 221.774, 221.774, 221.656, 160.935, 112.621,
     3  297.668,  297.668, 297.668, 297.668, 297.487, 205.960, 134.477,
     4  393.741,  393.741, 393.741, 393.741, 393.476, 261.533, 160.177,
     5  511.174,  511.174, 511.174, 511.174, 510.802, 328.012, 189.649,
     6  650.169,  650.169, 650.169, 650.169, 649.666, 405.252, 222.650,
     7  809.931,  809.931, 809.931, 809.931, 809.272, 492.621, 258.791,
     8  988.744,  988.744, 988.744, 988.744, 987.907, 589.059, 297.568,
     9 1184.138, 1184.138,1184.138,1184.138,1183.100, 693.169, 338.400/
      DATA PF144/
     1 1393.089, 1393.089,1393.089,1393.089,1391.833, 803.329, 380.665,
     2    8.612,    8.612,   8.612,   8.612,   8.612,   8.612,   8.612,
     3    8.667,    8.667,   8.667,   8.667,   8.667,   8.667,   8.667,
     4    8.720,    8.720,   8.720,   8.720,   8.720,   8.720,   8.720,
     5    8.771,    8.771,   8.771,   8.771,   8.771,   8.771,   8.771,
     6    8.821,    8.821,   8.821,   8.821,   8.821,   8.821,   8.821,
     7    8.868,    8.868,   8.868,   8.868,   8.868,   8.868,   8.868,
     8    8.914,    8.914,   8.914,   8.914,   8.914,   8.914,   8.914,
     9    8.959,    8.959,   8.959,   8.959,   8.959,   8.959,   8.959/
      DATA PF145/
     1    9.001,    9.001,   9.001,   9.001,   9.001,   9.001,   9.001,
     2    9.043,    9.043,   9.043,   9.043,   9.043,   9.043,   9.043,
     3    9.082,    9.082,   9.082,   9.082,   9.082,   9.082,   9.082,
     4    9.120,    9.120,   9.120,   9.120,   9.120,   9.120,   9.120,
     5    9.157,    9.157,   9.157,   9.157,   9.157,   9.157,   9.157,
     6    9.192,    9.192,   9.192,   9.192,   9.192,   9.192,   9.192,
     7    9.226,    9.226,   9.226,   9.226,   9.226,   9.226,   9.226,
     8    9.259,    9.259,   9.259,   9.259,   9.259,   9.259,   9.259,
     9    9.290,    9.290,   9.290,   9.290,   9.290,   9.290,   9.290/
      DATA PF146/
     1    9.320,    9.320,   9.320,   9.320,   9.320,   9.320,   9.320,
     2    9.349,    9.349,   9.349,   9.349,   9.349,   9.349,   9.349,
     3    9.377,    9.377,   9.377,   9.377,   9.377,   9.377,   9.377,
     4    9.416,    9.416,   9.416,   9.416,   9.416,   9.416,   9.416,
     5    9.453,    9.453,   9.453,   9.453,   9.453,   9.453,   9.453,
     6    9.488,    9.488,   9.488,   9.488,   9.488,   9.488,   9.488,
     7    9.521,    9.521,   9.521,   9.521,   9.521,   9.521,   9.521,
     8    9.552,    9.552,   9.552,   9.552,   9.552,   9.552,   9.552,
     9    9.581,    9.581,   9.581,   9.581,   9.581,   9.581,   9.581/
      DATA PF147/
     1    9.608,    9.608,   9.608,   9.608,   9.608,   9.608,   9.608,
     2    9.633,    9.633,   9.633,   9.633,   9.633,   9.633,   9.633,
     3    9.657,    9.657,   9.657,   9.657,   9.657,   9.657,   9.657,
     4    9.679,    9.679,   9.679,   9.679,   9.679,   9.679,   9.679,
     5    9.713,    9.713,   9.713,   9.713,   9.713,   9.713,   9.713,
     6    9.744,    9.744,   9.744,   9.744,   9.744,   9.744,   9.744,
     7    9.772,    9.772,   9.772,   9.772,   9.772,   9.772,   9.772,
     8    9.797,    9.797,   9.797,   9.797,   9.797,   9.797,   9.797,
     9    9.821,    9.821,   9.821,   9.821,   9.821,   9.821,   9.821/
      DATA PF148/
     1    9.844,    9.844,   9.844,   9.844,   9.844,   9.844,   9.844,
     2    9.867,    9.867,   9.867,   9.867,   9.867,   9.867,   9.867,
     3    9.894,    9.894,   9.894,   9.894,   9.894,   9.894,   9.894,
     4    9.926,    9.926,   9.926,   9.926,   9.926,   9.926,   9.926,
     5    9.969,    9.969,   9.969,   9.969,   9.969,   9.969,   9.968,
     6   10.027,   10.027,  10.027,  10.027,  10.027,  10.027,  10.026,
     7   10.115,   10.115,  10.115,  10.115,  10.115,  10.115,  10.111,
     8   10.255,   10.255,  10.255,  10.255,  10.255,  10.254,  10.243,
     9   10.492,   10.492,  10.492,  10.492,  10.492,  10.492,  10.457/
      DATA PF149/
     1   10.910,   10.910,  10.910,  10.910,  10.910,  10.910,  10.814,
     2   11.646,   11.646,  11.646,  11.646,  11.646,  11.645,  11.409,
     3   12.913,   12.913,  12.913,  12.913,  12.913,  12.911,  12.383,
     4   15.011,   15.011,  15.011,  15.011,  15.011,  15.007,  13.925,
     5   18.325,   18.325,  18.325,  18.325,  18.325,  18.316,  16.267,
     6   23.306,   23.306,  23.306,  23.306,  23.306,  23.290,  19.670,
     7   30.440,   30.440,  30.440,  30.440,  30.440,  30.413,  24.398,
     8   40.198,   40.198,  40.198,  40.198,  40.198,  40.155,  30.699,
     9   52.986,   52.986,  52.986,  52.986,  52.986,  52.919,  38.767/
      DATA PF150/
     1   69.098,   69.098,  69.098,  69.098,  69.098,  69.001,  48.728,
     2   88.684,   88.684,  88.684,  88.684,  88.684,  88.550,  60.620,
     3  111.735,  111.735, 111.735, 111.735, 111.735, 111.555,  74.396,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF151/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF152/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF153/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF154/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001/
      DATA PF155/
     1    1.004,    1.004,   1.004,   1.004,   1.004,   1.004,   1.004,
     2    1.012,    1.012,   1.012,   1.012,   1.012,   1.012,   1.012,
     3    1.031,    1.031,   1.031,   1.031,   1.031,   1.031,   1.031,
     4    1.072,    1.072,   1.072,   1.072,   1.072,   1.072,   1.072,
     5    1.153,    1.153,   1.153,   1.153,   1.153,   1.153,   1.153,
     6    1.308,    1.308,   1.308,   1.308,   1.308,   1.308,   1.308,
     7    1.594,    1.594,   1.594,   1.594,   1.594,   1.593,   1.592,
     8    2.115,    2.115,   2.115,   2.114,   2.113,   2.112,   2.107,
     9    3.061,    3.061,   3.060,   3.059,   3.055,   3.050,   3.034/
      DATA PF156/
     1    4.768,    4.767,   4.766,   4.762,   4.751,   4.734,   4.686,
     2    7.800,    7.797,   7.794,   7.783,   7.753,   7.708,   7.583,
     3   13.030,   13.023,  13.015,  12.989,  12.918,  12.810,  12.514,
     4   21.713,   21.699,  21.682,  21.624,  21.468,  21.233,  20.597,
     5   35.504,   35.476,  35.442,  35.325,  35.010,  34.541,  33.282,
     6    4.036,    4.036,   4.036,   4.036,   4.036,   4.036,   4.036,
     7    4.043,    4.043,   4.043,   4.043,   4.043,   4.043,   4.043,
     8    4.051,    4.051,   4.051,   4.051,   4.051,   4.051,   4.051,
     9    4.061,    4.061,   4.061,   4.061,   4.061,   4.061,   4.061/
      DATA PF157/
     1    4.071,    4.071,   4.071,   4.071,   4.071,   4.071,   4.071,
     2    4.082,    4.082,   4.082,   4.082,   4.082,   4.082,   4.082,
     3    4.095,    4.095,   4.095,   4.095,   4.095,   4.095,   4.095,
     4    4.109,    4.109,   4.109,   4.109,   4.109,   4.109,   4.109,
     5    4.124,    4.124,   4.124,   4.124,   4.124,   4.124,   4.124,
     6    4.141,    4.141,   4.141,   4.141,   4.141,   4.141,   4.141,
     7    4.159,    4.159,   4.159,   4.159,   4.159,   4.159,   4.159,
     8    4.178,    4.178,   4.178,   4.178,   4.178,   4.178,   4.178,
     9    4.199,    4.199,   4.199,   4.199,   4.199,   4.199,   4.199/
      DATA PF158/
     1    4.220,    4.220,   4.220,   4.220,   4.220,   4.220,   4.220,
     2    4.243,    4.243,   4.243,   4.243,   4.243,   4.243,   4.243,
     3    4.267,    4.267,   4.267,   4.267,   4.267,   4.267,   4.267,
     4    4.293,    4.293,   4.293,   4.293,   4.293,   4.293,   4.293,
     5    4.319,    4.319,   4.319,   4.319,   4.319,   4.319,   4.319,
     6    4.347,    4.347,   4.347,   4.347,   4.347,   4.347,   4.347,
     7    4.375,    4.375,   4.375,   4.375,   4.375,   4.375,   4.375,
     8    4.420,    4.420,   4.420,   4.420,   4.420,   4.420,   4.420,
     9    4.466,    4.466,   4.466,   4.466,   4.466,   4.466,   4.466/
      DATA PF159/
     1    4.513,    4.513,   4.513,   4.513,   4.513,   4.513,   4.513,
     2    4.562,    4.562,   4.562,   4.562,   4.562,   4.562,   4.562,
     3    4.612,    4.612,   4.612,   4.612,   4.612,   4.612,   4.612,
     4    4.662,    4.662,   4.662,   4.662,   4.662,   4.662,   4.662,
     5    4.713,    4.713,   4.713,   4.713,   4.713,   4.713,   4.713,
     6    4.764,    4.764,   4.764,   4.764,   4.764,   4.764,   4.764,
     7    4.814,    4.814,   4.814,   4.814,   4.814,   4.814,   4.814,
     8    4.865,    4.865,   4.865,   4.865,   4.865,   4.865,   4.865,
     9    4.947,    4.947,   4.947,   4.947,   4.947,   4.947,   4.947/
      DATA PF160/
     1    5.027,    5.027,   5.027,   5.027,   5.027,   5.027,   5.027,
     2    5.105,    5.105,   5.105,   5.105,   5.105,   5.105,   5.105,
     3    5.178,    5.178,   5.178,   5.178,   5.178,   5.178,   5.178,
     4    5.248,    5.248,   5.248,   5.248,   5.248,   5.248,   5.248,
     5    5.314,    5.314,   5.314,   5.314,   5.314,   5.314,   5.314,
     6    5.375,    5.375,   5.375,   5.375,   5.375,   5.375,   5.375,
     7    5.432,    5.432,   5.432,   5.432,   5.432,   5.432,   5.432,
     8    5.485,    5.485,   5.485,   5.485,   5.485,   5.485,   5.485,
     9    5.535,    5.535,   5.535,   5.535,   5.535,   5.535,   5.535/
      DATA PF161/
     1    5.581,    5.581,   5.581,   5.581,   5.581,   5.581,   5.581,
     2    5.625,    5.625,   5.625,   5.625,   5.625,   5.625,   5.625,
     3    5.672,    5.672,   5.672,   5.672,   5.672,   5.672,   5.672,
     4    5.727,    5.727,   5.727,   5.727,   5.727,   5.727,   5.727,
     5    5.806,    5.806,   5.806,   5.806,   5.806,   5.806,   5.806,
     6    5.934,    5.934,   5.934,   5.934,   5.934,   5.934,   5.934,
     7    6.149,    6.149,   6.149,   6.149,   6.149,   6.149,   6.149,
     8    6.516,    6.516,   6.516,   6.516,   6.516,   6.516,   6.516,
     9    7.131,    7.131,   7.131,   7.131,   7.131,   7.131,   7.131/
      DATA PF162/
     1    8.151,    8.151,   8.151,   8.151,   8.151,   8.151,   8.150,
     2    9.831,    9.831,   9.831,   9.831,   9.831,   9.830,   9.826,
     3   12.606,   12.606,  12.606,  12.605,  12.604,  12.601,  12.588,
     4   17.212,   17.212,  17.212,  17.210,  17.207,  17.196,  17.155,
     5   24.862,   24.862,  24.862,  24.858,  24.848,  24.818,  24.700,
     6   37.447,   37.447,  37.445,  37.437,  37.410,  37.334,  37.036,
     7   57.715,   57.715,  57.711,  57.691,  57.629,  57.454,  56.773,
     8    5.150,    5.150,   5.150,   5.150,   5.150,   5.150,   5.150,
     9    5.173,    5.173,   5.173,   5.173,   5.173,   5.173,   5.173/
      DATA PF163/
     1    5.199,    5.199,   5.199,   5.199,   5.199,   5.199,   5.199,
     2    5.227,    5.227,   5.227,   5.227,   5.227,   5.227,   5.227,
     3    5.258,    5.258,   5.258,   5.258,   5.258,   5.258,   5.258,
     4    5.291,    5.291,   5.291,   5.291,   5.291,   5.291,   5.291,
     5    5.327,    5.327,   5.327,   5.327,   5.327,   5.327,   5.327,
     6    5.365,    5.365,   5.365,   5.365,   5.365,   5.365,   5.365,
     7    5.406,    5.406,   5.406,   5.406,   5.406,   5.406,   5.406,
     8    5.450,    5.450,   5.450,   5.450,   5.450,   5.450,   5.450,
     9    5.496,    5.496,   5.496,   5.496,   5.496,   5.496,   5.496/
      DATA PF164/
     1    5.544,    5.544,   5.544,   5.544,   5.544,   5.544,   5.544,
     2    5.595,    5.595,   5.595,   5.595,   5.595,   5.595,   5.595,
     3    5.648,    5.648,   5.648,   5.648,   5.648,   5.648,   5.648,
     4    5.703,    5.703,   5.703,   5.703,   5.703,   5.703,   5.703,
     5    5.760,    5.760,   5.760,   5.760,   5.760,   5.760,   5.760,
     6    5.818,    5.818,   5.818,   5.818,   5.818,   5.818,   5.818,
     7    5.879,    5.879,   5.879,   5.879,   5.879,   5.879,   5.879,
     8    5.942,    5.942,   5.942,   5.942,   5.942,   5.942,   5.942,
     9    6.006,    6.006,   6.006,   6.006,   6.006,   6.006,   6.006/
      DATA PF165/
     1    6.105,    6.105,   6.105,   6.105,   6.105,   6.105,   6.105,
     2    6.207,    6.207,   6.207,   6.207,   6.207,   6.207,   6.207,
     3    6.313,    6.313,   6.313,   6.313,   6.313,   6.313,   6.313,
     4    6.421,    6.421,   6.421,   6.421,   6.421,   6.421,   6.421,
     5    6.533,    6.533,   6.533,   6.533,   6.533,   6.533,   6.533,
     6    6.648,    6.648,   6.648,   6.648,   6.648,   6.648,   6.648,
     7    6.767,    6.767,   6.767,   6.767,   6.767,   6.767,   6.767,
     8    6.890,    6.890,   6.890,   6.890,   6.890,   6.890,   6.890,
     9    7.016,    7.016,   7.016,   7.016,   7.016,   7.016,   7.016/
      DATA PF166/
     1    7.147,    7.147,   7.147,   7.147,   7.147,   7.147,   7.147,
     2    7.375,    7.375,   7.375,   7.375,   7.375,   7.375,   7.375,
     3    7.616,    7.616,   7.616,   7.616,   7.616,   7.616,   7.616,
     4    7.871,    7.871,   7.871,   7.871,   7.871,   7.871,   7.871,
     5    8.140,    8.140,   8.140,   8.140,   8.140,   8.140,   8.140,
     6    8.421,    8.421,   8.421,   8.421,   8.421,   8.421,   8.421,
     7    8.714,    8.714,   8.714,   8.714,   8.714,   8.714,   8.714,
     8    9.017,    9.017,   9.017,   9.017,   9.017,   9.017,   9.017,
     9    9.326,    9.326,   9.326,   9.326,   9.326,   9.326,   9.326/
      DATA PF167/
     1    9.641,    9.641,   9.641,   9.641,   9.641,   9.641,   9.641,
     2    9.958,    9.958,   9.958,   9.958,   9.958,   9.958,   9.958,
     3   10.275,   10.275,  10.275,  10.275,  10.275,  10.275,  10.275,
     4   10.594,   10.594,  10.594,  10.594,  10.594,  10.594,  10.594,
     5   10.915,   10.915,  10.915,  10.915,  10.915,  10.915,  10.915,
     6   11.247,   11.247,  11.247,  11.247,  11.247,  11.247,  11.247,
     7   11.605,   11.605,  11.605,  11.605,  11.605,  11.605,  11.605,
     8   12.019,   12.019,  12.019,  12.019,  12.019,  12.019,  12.019,
     9   12.537,   12.537,  12.537,  12.537,  12.537,  12.537,  12.537/
      DATA PF168/
     1   13.234,   13.234,  13.234,  13.234,  13.234,  13.234,  13.234,
     2   14.225,   14.225,  14.225,  14.225,  14.225,  14.225,  14.225,
     3   15.678,   15.678,  15.678,  15.678,  15.678,  15.678,  15.678,
     4   17.850,   17.850,  17.850,  17.850,  17.850,  17.850,  17.849,
     5   21.135,   21.135,  21.135,  21.135,  21.135,  21.134,  21.132,
     6   26.162,   26.162,  26.162,  26.162,  26.160,  26.159,  26.149,
     7   33.937,   33.937,  33.937,  33.935,  33.931,  33.926,  33.891,
     8   46.051,   46.051,  46.051,  46.045,  46.033,  46.019,  45.913,
     9   64.933,   64.933,  64.931,  64.915,  64.884,  64.845,  64.562/
      DATA PF169/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF170/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF171/
     1    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     2    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     3    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     4    4.003,    4.003,   4.003,   4.003,   4.003,   4.003,   4.003,
     5    4.005,    4.005,   4.005,   4.005,   4.005,   4.005,   4.005,
     6    4.008,    4.008,   4.008,   4.008,   4.008,   4.008,   4.008,
     7    4.013,    4.013,   4.013,   4.013,   4.013,   4.013,   4.013,
     8    4.020,    4.020,   4.020,   4.020,   4.020,   4.020,   4.020,
     9    4.030,    4.030,   4.030,   4.030,   4.030,   4.030,   4.030/
      DATA PF172/
     1    4.045,    4.045,   4.045,   4.045,   4.045,   4.045,   4.045,
     2    4.065,    4.065,   4.065,   4.065,   4.065,   4.065,   4.065,
     3    4.091,    4.091,   4.091,   4.091,   4.091,   4.091,   4.091,
     4    4.154,    4.154,   4.154,   4.154,   4.154,   4.154,   4.154,
     5    4.246,    4.246,   4.246,   4.246,   4.246,   4.246,   4.246,
     6    4.375,    4.375,   4.375,   4.375,   4.375,   4.375,   4.375,
     7    4.549,    4.549,   4.549,   4.549,   4.549,   4.549,   4.549,
     8    4.772,    4.772,   4.772,   4.772,   4.772,   4.772,   4.772,
     9    5.051,    5.051,   5.051,   5.051,   5.051,   5.051,   5.051/
      DATA PF173/
     1    5.387,    5.387,   5.387,   5.387,   5.387,   5.387,   5.387,
     2    5.781,    5.781,   5.781,   5.781,   5.781,   5.781,   5.781,
     3    6.232,    6.232,   6.232,   6.232,   6.232,   6.232,   6.232,
     4    6.736,    6.736,   6.736,   6.736,   6.736,   6.736,   6.736,
     5    7.288,    7.288,   7.288,   7.288,   7.288,   7.288,   7.288,
     6    7.884,    7.884,   7.884,   7.884,   7.884,   7.884,   7.884,
     7    8.519,    8.519,   8.519,   8.519,   8.519,   8.519,   8.519,
     8    9.193,    9.193,   9.193,   9.193,   9.193,   9.193,   9.193,
     9    9.911,    9.911,   9.911,   9.911,   9.911,   9.911,   9.911/
      DATA PF174/
     1   10.688,   10.688,  10.688,  10.688,  10.688,  10.688,  10.688,
     2   11.553,   11.553,  11.553,  11.553,  11.553,  11.553,  11.553,
     3   12.553,   12.553,  12.553,  12.553,  12.553,  12.553,  12.553,
     4   13.763,   13.763,  13.763,  13.763,  13.763,  13.763,  13.763,
     5   15.292,   15.292,  15.292,  15.292,  15.292,  15.292,  15.292,
     6   17.301,   17.301,  17.301,  17.301,  17.301,  17.301,  17.301,
     7   20.027,   20.027,  20.027,  20.027,  20.027,  20.027,  20.027,
     8   23.820,   23.820,  23.820,  23.820,  23.820,  23.820,  23.820,
     9   29.218,   29.218,  29.218,  29.218,  29.218,  29.217,  29.215/
      DATA PF175/
     1   37.046,   37.046,  37.046,  37.046,  37.045,  37.043,  37.035,
     2   48.576,   48.576,  48.576,  48.575,  48.573,  48.566,  48.542,
     3    1.176,    1.176,   1.176,   1.176,   1.176,   1.176,   1.176,
     4    1.202,    1.202,   1.202,   1.202,   1.202,   1.202,   1.202,
     5    1.231,    1.231,   1.231,   1.231,   1.231,   1.231,   1.231,
     6    1.262,    1.262,   1.262,   1.262,   1.262,   1.262,   1.262,
     7    1.296,    1.296,   1.296,   1.296,   1.296,   1.296,   1.296,
     8    1.334,    1.334,   1.334,   1.334,   1.334,   1.334,   1.334,
     9    1.374,    1.374,   1.374,   1.374,   1.374,   1.374,   1.374/
      DATA PF176/
     1    1.418,    1.418,   1.418,   1.418,   1.418,   1.418,   1.418,
     2    1.466,    1.466,   1.466,   1.466,   1.466,   1.466,   1.466,
     3    1.517,    1.517,   1.517,   1.517,   1.517,   1.517,   1.517,
     4    1.571,    1.571,   1.571,   1.571,   1.571,   1.571,   1.571,
     5    1.630,    1.630,   1.630,   1.630,   1.630,   1.630,   1.630,
     6    1.692,    1.692,   1.692,   1.692,   1.692,   1.692,   1.692,
     7    1.758,    1.758,   1.758,   1.758,   1.758,   1.758,   1.758,
     8    1.828,    1.828,   1.828,   1.828,   1.828,   1.828,   1.828,
     9    1.903,    1.903,   1.903,   1.903,   1.903,   1.903,   1.903/
      DATA PF177/
     1    1.981,    1.981,   1.981,   1.981,   1.981,   1.981,   1.981,
     2    2.063,    2.063,   2.063,   2.063,   2.063,   2.063,   2.063,
     3    2.149,    2.149,   2.149,   2.149,   2.149,   2.149,   2.149,
     4    2.239,    2.239,   2.239,   2.239,   2.239,   2.239,   2.239,
     5    2.380,    2.380,   2.380,   2.380,   2.380,   2.380,   2.380,
     6    2.531,    2.531,   2.531,   2.531,   2.531,   2.531,   2.531,
     7    2.689,    2.689,   2.689,   2.689,   2.689,   2.689,   2.689,
     8    2.854,    2.854,   2.854,   2.854,   2.854,   2.854,   2.854,
     9    3.027,    3.027,   3.027,   3.027,   3.027,   3.027,   3.027/
      DATA PF178/
     1    3.206,    3.206,   3.206,   3.206,   3.206,   3.206,   3.206,
     2    3.391,    3.391,   3.391,   3.391,   3.391,   3.391,   3.391,
     3    3.582,    3.582,   3.582,   3.582,   3.582,   3.582,   3.582,
     4    3.778,    3.778,   3.778,   3.778,   3.778,   3.778,   3.778,
     5    3.980,    3.980,   3.980,   3.980,   3.980,   3.980,   3.980,
     6    4.327,    4.327,   4.327,   4.327,   4.327,   4.327,   4.327,
     7    4.686,    4.686,   4.686,   4.686,   4.686,   4.686,   4.686,
     8    5.058,    5.058,   5.058,   5.058,   5.058,   5.058,   5.058,
     9    5.442,    5.442,   5.442,   5.442,   5.442,   5.442,   5.442/
      DATA PF179/
     1    5.837,    5.837,   5.837,   5.837,   5.837,   5.837,   5.837,
     2    6.241,    6.241,   6.241,   6.241,   6.241,   6.241,   6.241,
     3    6.655,    6.655,   6.655,   6.655,   6.655,   6.655,   6.655,
     4    7.075,    7.075,   7.075,   7.075,   7.075,   7.075,   7.075,
     5    7.501,    7.501,   7.501,   7.501,   7.501,   7.501,   7.501,
     6    7.932,    7.932,   7.932,   7.932,   7.932,   7.932,   7.932,
     7    8.368,    8.368,   8.368,   8.368,   8.368,   8.368,   8.368,
     8    8.811,    8.811,   8.811,   8.811,   8.811,   8.811,   8.811,
     9    9.265,    9.265,   9.265,   9.265,   9.265,   9.265,   9.265/
      DATA PF180/
     1    9.739,    9.739,   9.739,   9.739,   9.739,   9.739,   9.739,
     2   10.245,   10.245,  10.245,  10.245,  10.245,  10.245,  10.245,
     3   10.805,   10.805,  10.805,  10.805,  10.805,  10.805,  10.805,
     4   11.447,   11.447,  11.447,  11.447,  11.447,  11.447,  11.447,
     5   12.209,   12.209,  12.209,  12.209,  12.209,  12.209,  12.209,
     6   13.145,   13.145,  13.145,  13.145,  13.145,  13.145,  13.145,
     7   14.331,   14.331,  14.331,  14.331,  14.331,  14.331,  14.331,
     8   15.869,   15.869,  15.869,  15.869,  15.869,  15.869,  15.869,
     9   17.903,   17.903,  17.903,  17.903,  17.903,  17.903,  17.903/
      DATA PF181/
     1   20.634,   20.634,  20.634,  20.634,  20.634,  20.634,  20.634,
     2   24.348,   24.348,  24.348,  24.348,  24.348,  24.348,  24.348,
     3   29.454,   29.454,  29.454,  29.454,  29.454,  29.453,  29.452,
     4   36.541,   36.540,  36.540,  36.540,  36.540,  36.538,  36.534,
     5    2.022,    2.022,   2.022,   2.022,   2.022,   2.022,   2.022,
     6    2.028,    2.028,   2.028,   2.028,   2.028,   2.028,   2.028,
     7    2.035,    2.035,   2.035,   2.035,   2.035,   2.035,   2.035,
     8    2.043,    2.043,   2.043,   2.043,   2.043,   2.043,   2.043,
     9    2.053,    2.053,   2.053,   2.053,   2.053,   2.053,   2.053/
      DATA PF182/
     1    2.065,    2.065,   2.065,   2.065,   2.065,   2.065,   2.065,
     2    2.078,    2.078,   2.078,   2.078,   2.078,   2.078,   2.078,
     3    2.093,    2.093,   2.093,   2.093,   2.093,   2.093,   2.093,
     4    2.110,    2.110,   2.110,   2.110,   2.110,   2.110,   2.110,
     5    2.129,    2.129,   2.129,   2.129,   2.129,   2.129,   2.129,
     6    2.151,    2.151,   2.151,   2.151,   2.151,   2.151,   2.151,
     7    2.175,    2.175,   2.175,   2.175,   2.175,   2.175,   2.175,
     8    2.201,    2.201,   2.201,   2.201,   2.201,   2.201,   2.201,
     9    2.230,    2.230,   2.230,   2.230,   2.230,   2.230,   2.230/
      DATA PF183/
     1    2.262,    2.262,   2.262,   2.262,   2.262,   2.262,   2.262,
     2    2.296,    2.296,   2.296,   2.296,   2.296,   2.296,   2.296,
     3    2.333,    2.333,   2.333,   2.333,   2.333,   2.333,   2.333,
     4    2.372,    2.372,   2.372,   2.372,   2.372,   2.372,   2.372,
     5    2.414,    2.414,   2.414,   2.414,   2.414,   2.414,   2.414,
     6    2.459,    2.459,   2.459,   2.459,   2.459,   2.459,   2.459,
     7    2.530,    2.530,   2.530,   2.530,   2.530,   2.530,   2.530,
     8    2.607,    2.607,   2.607,   2.607,   2.607,   2.607,   2.607,
     9    2.688,    2.688,   2.688,   2.688,   2.688,   2.688,   2.688/
      DATA PF184/
     1    2.774,    2.774,   2.774,   2.774,   2.774,   2.774,   2.774,
     2    2.864,    2.864,   2.864,   2.864,   2.864,   2.864,   2.864,
     3    2.957,    2.957,   2.957,   2.957,   2.957,   2.957,   2.957,
     4    3.052,    3.052,   3.052,   3.052,   3.052,   3.052,   3.052,
     5    3.151,    3.151,   3.151,   3.151,   3.151,   3.151,   3.151,
     6    3.250,    3.250,   3.250,   3.250,   3.250,   3.250,   3.250,
     7    3.351,    3.351,   3.351,   3.351,   3.351,   3.351,   3.351,
     8    3.520,    3.520,   3.520,   3.520,   3.520,   3.520,   3.520,
     9    3.689,    3.689,   3.689,   3.689,   3.689,   3.689,   3.689/
      DATA PF185/
     1    3.855,    3.855,   3.855,   3.855,   3.855,   3.855,   3.855,
     2    4.017,    4.017,   4.017,   4.017,   4.017,   4.017,   4.017,
     3    4.173,    4.173,   4.173,   4.173,   4.173,   4.173,   4.173,
     4    4.322,    4.322,   4.322,   4.322,   4.322,   4.322,   4.322,
     5    4.464,    4.464,   4.464,   4.464,   4.464,   4.464,   4.464,
     6    4.598,    4.598,   4.598,   4.598,   4.598,   4.598,   4.598,
     7    4.725,    4.725,   4.725,   4.725,   4.725,   4.725,   4.725,
     8    4.846,    4.846,   4.846,   4.846,   4.846,   4.846,   4.846,
     9    4.965,    4.965,   4.965,   4.965,   4.965,   4.965,   4.965/
      DATA PF186/
     1    5.085,    5.085,   5.085,   5.085,   5.085,   5.085,   5.085,
     2    5.214,    5.214,   5.214,   5.214,   5.214,   5.214,   5.214,
     3    5.361,    5.361,   5.361,   5.361,   5.361,   5.361,   5.361,
     4    5.540,    5.540,   5.540,   5.540,   5.540,   5.540,   5.540,
     5    5.764,    5.764,   5.764,   5.764,   5.764,   5.764,   5.764,
     6    6.054,    6.054,   6.054,   6.054,   6.054,   6.054,   6.054,
     7    6.430,    6.430,   6.430,   6.430,   6.430,   6.430,   6.430,
     8    6.920,    6.920,   6.920,   6.920,   6.920,   6.920,   6.920,
     9    7.559,    7.559,   7.559,   7.559,   7.559,   7.559,   7.559/
      DATA PF187/
     1    8.392,    8.392,   8.392,   8.392,   8.392,   8.392,   8.392,
     2    9.482,    9.482,   9.482,   9.482,   9.482,   9.482,   9.482,
     3   10.912,   10.912,  10.912,  10.912,  10.912,  10.912,  10.912,
     4   12.796,   12.796,  12.796,  12.796,  12.796,  12.796,  12.796,
     5   15.289,   15.289,  15.289,  15.289,  15.289,  15.289,  15.289,
     6   18.600,   18.600,  18.600,  18.600,  18.600,  18.600,  18.599,
     7   28.964,   28.964,  28.964,  28.964,  28.964,  28.964,  28.964,
     8   29.653,   29.653,  29.653,  29.653,  29.653,  29.653,  29.653,
     9   30.355,   30.355,  30.355,  30.355,  30.355,  30.355,  30.355/
      DATA PF188/
     1   31.070,   31.070,  31.070,  31.070,  31.070,  31.070,  31.070,
     2   31.800,   31.800,  31.800,  31.800,  31.800,  31.800,  31.800,
     3   32.546,   32.546,  32.546,  32.546,  32.546,  32.546,  32.546,
     4   33.311,   33.311,  33.311,  33.311,  33.311,  33.311,  33.310,
     5   34.097,   34.097,  34.097,  34.097,  34.097,  34.097,  34.096,
     6   34.909,   34.909,  34.909,  34.909,  34.909,  34.909,  34.907,
     7   35.752,   35.752,  35.752,  35.752,  35.752,  35.752,  35.748,
     8   36.630,   36.630,  36.630,  36.630,  36.630,  36.630,  36.624,
     9   37.550,   37.550,  37.550,  37.550,  37.550,  37.550,  37.541/
      DATA PF189/
     1   38.521,   38.521,  38.521,  38.521,  38.521,  38.521,  38.506,
     2   39.552,   39.552,  39.552,  39.552,  39.552,  39.552,  39.528,
     3   40.654,   40.654,  40.654,  40.654,  40.654,  40.653,  40.616,
     4   41.839,   41.839,  41.839,  41.839,  41.839,  41.838,  41.781,
     5   43.122,   43.122,  43.122,  43.122,  43.121,  43.120,  43.035,
     6   44.520,   44.520,  44.520,  44.519,  44.519,  44.516,  44.389,
     7   46.051,   46.051,  46.051,  46.050,  46.049,  46.043,  45.858,
     8   47.737,   47.737,  47.737,  47.735,  47.733,  47.723,  47.456,
     9   50.611,   50.611,  50.610,  50.607,  50.601,  50.579,  50.128/
      DATA PF190/
     1   53.988,   53.987,  53.985,  53.976,  53.962,  53.917,  53.177,
     2   57.987,   57.984,  57.978,  57.958,  57.927,  57.835,  56.657,
     3   62.755,   62.749,  62.736,  62.690,  62.624,  62.447,  60.620,
     4   68.478,   68.466,  68.437,  68.341,  68.207,  67.879,  65.116,
     5   75.387,   75.362,  75.304,  75.111,  74.852,  74.270,  70.189,
     6   83.777,   83.728,  83.614,  83.246,  82.765,  81.770,  75.878,
     7   94.015,   93.923,  93.710,  93.038,  92.180,  90.537,  82.211,
     8  106.560,  106.394, 106.013, 104.833, 103.363, 100.737,  89.209,
     9  121.977,  121.688, 121.031, 119.037, 116.606, 112.538,  96.882/
      DATA PF191/
     1  155.960,  155.291, 153.784, 149.355, 144.131, 136.206, 111.159,
     2  203.772,  202.360, 199.205, 190.182, 179.852, 165.480, 127.228,
     3  270.211,  267.461, 261.364, 244.355, 225.380, 200.934, 144.936,
     4  360.723,  355.745, 344.776, 314.845, 282.220, 242.947, 164.067,
     5  480.987,  472.537, 454.025, 404.496, 351.604, 291.656, 184.354,
     6  636.365,  622.824, 593.310, 515.716, 434.350, 346.924, 205.502,
     7  831.318,  810.702, 765.974, 650.205, 530.755, 408.348, 227.205,
     8 1068.885, 1038.900, 974.113, 808.736, 640.542, 475.277, 249.159,
     9 1350.316, 1308.446,1218.309, 991.052, 762.864, 546.865, 271.081/
      DATA PF192/
     1 1674.905, 1618.524,1497.540,1195.859, 896.369, 622.124, 292.715,
     2 2040.034, 1966.531,1809.259,1420.927,1039.299, 699.986, 313.839,
     3 2441.398, 2348.296,2149.603,1663.266,1189.613, 779.369, 334.269,
     4 2873.361, 2758.428,2513.703,1919.352,1345.124, 859.220, 353.857,
     5 3329.382, 3190.712,2896.046,2185.359,1503.617, 938.566, 372.495,
     6 3802.459, 3638.530,3290.825,2457.389,1662.961,1016.538, 390.104,
     7 4285.530, 4095.237,3692.263,2731.665,1821.191,1092.393, 406.640,
     8 4771.823, 4554.478,4094.883,3004.685,1976.565,1165.521, 422.080,
     9 5255.115, 5010.436,4493.705,3273.332,2127.600,1235.444, 436.426/
      DATA PF193/
     1 5729.917, 5457.992,4884.378,3534.940,2273.087,1301.811, 449.696,
     2 6191.573, 5892.818,5263.250,3787.321,2412.088,1364.386, 461.922,
     3 6636.300, 6311.411,5627.389,4028.763,2543.918,1423.035, 473.146,
     4 7061.173, 6711.069,5974.558,4258.007,2668.125,1477.713, 483.416,
     5 7464.068, 7089.847,6303.169,4474.204,2784.458,1528.443, 492.789,
     6 7843.587, 7446.475,6612.213,4676.869,2892.842,1575.309, 501.319,
     7 8198.964, 7780.273,6901.181,4865.822,2993.341,1618.440, 509.066,
     8 8529.971, 8091.061,7169.988,5041.141,3086.134,1657.997, 516.086,
     9   26.527,   26.527,  26.527,  26.527,  26.527,  26.527,  26.527/
      DATA PF194/
     1   27.124,   27.124,  27.124,  27.124,  27.124,  27.124,  27.124,
     2   27.742,   27.742,  27.742,  27.742,  27.742,  27.742,  27.742,
     3   28.381,   28.381,  28.381,  28.381,  28.381,  28.381,  28.381,
     4   29.042,   29.042,  29.042,  29.042,  29.042,  29.042,  29.042,
     5   29.727,   29.727,  29.727,  29.727,  29.727,  29.727,  29.727,
     6   30.436,   30.436,  30.436,  30.436,  30.436,  30.436,  30.436,
     7   31.172,   31.172,  31.172,  31.172,  31.172,  31.172,  31.172,
     8   31.936,   31.936,  31.936,  31.936,  31.936,  31.936,  31.936,
     9   32.732,   32.732,  32.732,  32.732,  32.732,  32.732,  32.732/
      DATA PF195/
     1   33.562,   33.562,  33.562,  33.562,  33.562,  33.562,  33.562,
     2   34.431,   34.431,  34.431,  34.431,  34.431,  34.431,  34.431,
     3   35.342,   35.342,  35.342,  35.342,  35.342,  35.342,  35.342,
     4   36.301,   36.301,  36.301,  36.301,  36.301,  36.301,  36.301,
     5   37.312,   37.312,  37.312,  37.312,  37.312,  37.312,  37.312,
     6   38.382,   38.382,  38.382,  38.382,  38.382,  38.382,  38.382,
     7   39.518,   39.518,  39.518,  39.518,  39.518,  39.518,  39.518,
     8   40.725,   40.725,  40.725,  40.725,  40.725,  40.725,  40.725,
     9   42.012,   42.012,  42.012,  42.012,  42.012,  42.012,  42.012/
      DATA PF196/
     1   43.387,   43.387,  43.387,  43.387,  43.387,  43.387,  43.387,
     2   45.631,   45.631,  45.631,  45.631,  45.631,  45.631,  45.631,
     3   48.121,   48.121,  48.121,  48.121,  48.121,  48.121,  48.121,
     4   50.887,   50.887,  50.887,  50.887,  50.887,  50.887,  50.887,
     5   53.962,   53.962,  53.962,  53.962,  53.962,  53.962,  53.962,
     6   57.379,   57.379,  57.379,  57.379,  57.379,  57.379,  57.379,
     7   61.172,   61.172,  61.172,  61.172,  61.172,  61.172,  61.172,
     8   65.380,   65.380,  65.380,  65.380,  65.380,  65.380,  65.380,
     9   70.040,   70.040,  70.040,  70.040,  70.039,  70.039,  70.039/
      DATA PF197/
     1   75.194,   75.194,  75.194,  75.194,  75.194,  75.193,  75.191,
     2   80.890,   80.890,  80.890,  80.890,  80.889,  80.888,  80.883,
     3   91.742,   91.742,  91.741,  91.741,  91.736,  91.729,  91.710,
     4  104.592,  104.590, 104.589, 104.588, 104.563, 104.531, 104.462,
     5  119.955,  119.947, 119.942, 119.937, 119.837, 119.715, 119.496,
     6  138.688,  138.661, 138.641, 138.624, 138.274, 137.877, 137.259,
     7  162.267,  162.180, 162.117, 162.063, 161.004, 159.859, 158.297,
     8  193.182,  192.939, 192.762, 192.612, 189.769, 186.828, 183.251,
     9  235.426,  234.815, 234.373, 234.002, 227.139, 220.324, 212.825/
      DATA PF198/
     1  294.951,  293.562, 292.561, 291.731, 276.683, 262.263, 247.739,
     2  379.953,  377.068, 374.994, 373.291, 342.993, 314.867, 288.660,
     3  500.805,  495.268, 491.297, 488.070, 431.535, 380.513, 336.130,
     4  669.541,  659.643, 652.560, 646.852, 548.278, 461.514, 390.489,
     5  898.911,  882.298, 870.434, 860.945, 699.154, 559.875, 451.826,
     6 1201.122, 1174.768,1155.980,1141.055, 889.433, 677.055, 519.947,
     7 1586.509, 1546.746,1518.445,1496.097,1123.113, 813.776, 594.375,
     8 2062.332, 2004.965,1964.190,1932.166,1402.448, 969.920, 674.380,
     9 2631.943, 2552.410,2495.950,2451.821,1727.664,1144.515, 759.023/
      DATA PF199/
     1 3294.384, 3187.969,3112.512,3053.783,2096.908,1335.801, 847.223,
     2 4044.477, 3906.535,3808.817,3733.052,2506.408,1541.374, 937.818,
     3 4873.314, 4699.476,4576.439,4481.367,2950.798,1758.360,1029.634,
     4 5769.029, 5555.398,5404.315,5287.924,3423.548,1983.616,1121.540,
     5 6717.742, 6461.028,6279.603,6140.213,3917.429,2213.916,1212.491,
     6 7704.516, 7402.132,7188.564,7024.873,4424.971,2446.116,1301.561,
     7 8714.251, 8364.358,8117.373,7928.473,4938.856,2677.288,1387.960,
     8 9732.430, 9333.938,9052.787,8838.166,5452.236,2904.817,1471.049,
     910745.700,10298.233,9982.668,9742.185,5958.966,3126.453,1550.328/
      DATA PF200/
     111742.262,11246.095,10896.32,10630.17, 6453.75, 3340.35, 1625.44,
     2   22.450,   22.450,  22.450,  22.450,  22.450,  22.450,  22.450,
     3   22.668,   22.668,  22.668,  22.668,  22.668,  22.668,  22.668,
     4   22.880,   22.880,  22.880,  22.880,  22.880,  22.880,  22.880,
     5   23.088,   23.088,  23.088,  23.088,  23.088,  23.088,  23.088,
     6   23.292,   23.292,  23.292,  23.292,  23.292,  23.292,  23.292,
     7   23.493,   23.493,  23.493,  23.493,  23.493,  23.493,  23.493,
     8   23.692,   23.692,  23.692,  23.692,  23.692,  23.692,  23.692,
     9   23.889,   23.889,  23.889,  23.889,  23.889,  23.889,  23.889/
      DATA PF201/
     1   24.087,   24.087,  24.087,  24.087,  24.087,  24.087,  24.087,
     2   24.286,   24.286,  24.286,  24.286,  24.286,  24.286,  24.286,
     3   24.488,   24.488,  24.488,  24.488,  24.488,  24.488,  24.488,
     4   24.695,   24.695,  24.695,  24.695,  24.695,  24.695,  24.695,
     5   24.909,   24.909,  24.909,  24.909,  24.909,  24.909,  24.909,
     6   25.131,   25.131,  25.131,  25.131,  25.131,  25.131,  25.131,
     7   25.365,   25.365,  25.365,  25.365,  25.365,  25.365,  25.365,
     8   25.612,   25.612,  25.612,  25.612,  25.612,  25.612,  25.612,
     9   25.875,   25.875,  25.875,  25.875,  25.875,  25.875,  25.875/
      DATA PF202/
     1   26.156,   26.156,  26.156,  26.156,  26.156,  26.156,  26.156,
     2   26.458,   26.458,  26.458,  26.458,  26.458,  26.458,  26.458,
     3   26.783,   26.783,  26.783,  26.783,  26.783,  26.783,  26.783,
     4   27.320,   27.320,  27.320,  27.320,  27.320,  27.320,  27.320,
     5   27.924,   27.924,  27.924,  27.924,  27.924,  27.924,  27.924,
     6   28.603,   28.603,  28.603,  28.603,  28.603,  28.603,  28.603,
     7   29.363,   29.363,  29.363,  29.363,  29.363,  29.363,  29.363,
     8   30.212,   30.212,  30.212,  30.212,  30.212,  30.212,  30.212,
     9   31.156,   31.156,  31.156,  31.156,  31.156,  31.156,  31.156/
      DATA PF203/
     1   32.198,   32.198,  32.198,  32.198,  32.198,  32.198,  32.198,
     2   33.344,   33.344,  33.344,  33.344,  33.344,  33.344,  33.344,
     3   34.597,   34.597,  34.597,  34.597,  34.597,  34.597,  34.597,
     4   35.960,   35.960,  35.960,  35.960,  35.960,  35.960,  35.960,
     5   38.481,   38.481,  38.481,  38.481,  38.481,  38.481,  38.481,
     6   41.326,   41.326,  41.326,  41.326,  41.326,  41.326,  41.326,
     7   44.511,   44.511,  44.511,  44.511,  44.511,  44.511,  44.511,
     8   48.060,   48.060,  48.060,  48.060,  48.060,  48.060,  48.060,
     9   52.010,   52.010,  52.010,  52.010,  52.010,  52.010,  52.010/
      DATA PF204/
     1   56.423,   56.423,  56.423,  56.423,  56.423,  56.423,  56.423,
     2   61.395,   61.395,  61.395,  61.395,  61.395,  61.395,  61.395,
     3   67.095,   67.095,  67.095,  67.095,  67.095,  67.095,  67.093,
     4   73.831,   73.831,  73.831,  73.830,  73.830,  73.830,  73.822,
     5   82.195,   82.195,  82.195,  82.194,  82.194,  82.192,  82.162,
     6   93.328,   93.328,  93.327,  93.324,  93.321,  93.315,  93.214,
     7  109.315,  109.315, 109.310, 109.300, 109.292, 109.270, 108.977,
     8  133.704,  133.704, 133.691, 133.662, 133.639, 133.578, 132.816,
     9  172.048,  172.047, 172.015, 171.941, 171.881, 171.731, 169.945/
      DATA PF205/
     1  232.299,  232.297, 232.223, 232.052, 231.915, 231.576, 227.763,
     2  324.880,  324.876, 324.719, 324.359, 324.071, 323.372, 315.872,
     3  462.289,  462.281, 461.974, 461.273, 460.717, 459.385, 445.679,
     4  658.216,  658.201, 657.643, 656.375, 655.373, 653.006, 629.548,
     5  926.273,  926.247, 925.299, 923.147, 921.455, 917.502, 879.632,
     6 1278.553, 1278.513,1276.989,1273.542,1270.843,1264.601,1206.563,
     7 1724.272, 1724.210,1721.885,1716.639,1712.547,1703.168,1618.256,
     8 2268.715, 2268.625,2265.238,2257.610,2251.679,2238.197,2119.001,
     9 2912.655, 2912.528,2907.792,2897.143,2888.889,2870.258,2708.990/
      DATA PF206/
     1 3652.272, 3652.100,3645.714,3631.377,3620.294,3595.438,3384.303,
     2 4479.541, 4479.316,4470.981,4452.293,4437.882,4405.744,4137.300,
     3 5382.976, 5382.692,5372.122,5348.455,5330.243,5289.835,4957.322,
     4   16.025,   16.025,  16.025,  16.025,  16.025,  16.025,  16.025,
     5   16.208,   16.208,  16.208,  16.208,  16.208,  16.208,  16.208,
     6   16.387,   16.387,  16.387,  16.387,  16.387,  16.387,  16.387,
     7   16.561,   16.561,  16.561,  16.561,  16.561,  16.561,  16.561,
     8   16.732,   16.732,  16.732,  16.732,  16.732,  16.732,  16.732,
     9   16.899,   16.899,  16.899,  16.899,  16.899,  16.899,  16.899/
      DATA PF207/
     1   17.063,   17.063,  17.063,  17.063,  17.063,  17.063,  17.063,
     2   17.223,   17.223,  17.223,  17.223,  17.223,  17.223,  17.223,
     3   17.381,   17.381,  17.381,  17.381,  17.381,  17.381,  17.381,
     4   17.536,   17.536,  17.536,  17.536,  17.536,  17.536,  17.536,
     5   17.691,   17.691,  17.691,  17.691,  17.691,  17.691,  17.691,
     6   17.844,   17.844,  17.844,  17.844,  17.844,  17.844,  17.844,
     7   17.996,   17.996,  17.996,  17.996,  17.996,  17.996,  17.996,
     8   18.150,   18.150,  18.150,  18.150,  18.150,  18.150,  18.150,
     9   18.304,   18.304,  18.304,  18.304,  18.304,  18.304,  18.304/
      DATA PF208/
     1   18.460,   18.460,  18.460,  18.460,  18.460,  18.460,  18.460,
     2   18.619,   18.619,  18.619,  18.619,  18.619,  18.619,  18.619,
     3   18.781,   18.781,  18.781,  18.781,  18.781,  18.781,  18.781,
     4   18.948,   18.948,  18.948,  18.948,  18.948,  18.948,  18.948,
     5   19.120,   19.120,  19.120,  19.120,  19.120,  19.120,  19.120,
     6   19.390,   19.390,  19.390,  19.390,  19.390,  19.390,  19.390,
     7   19.676,   19.676,  19.676,  19.676,  19.676,  19.676,  19.676,
     8   19.981,   19.981,  19.981,  19.981,  19.981,  19.981,  19.981,
     9   20.306,   20.306,  20.306,  20.306,  20.306,  20.306,  20.306/
      DATA PF209/
     1   20.655,   20.655,  20.655,  20.655,  20.655,  20.655,  20.655,
     2   21.027,   21.027,  21.027,  21.027,  21.027,  21.027,  21.027,
     3   21.425,   21.425,  21.425,  21.425,  21.425,  21.425,  21.425,
     4   21.848,   21.848,  21.848,  21.848,  21.848,  21.848,  21.848,
     5   22.296,   22.296,  22.296,  22.296,  22.296,  22.296,  22.296,
     6   22.770,   22.770,  22.770,  22.770,  22.770,  22.770,  22.770,
     7   23.612,   23.612,  23.612,  23.612,  23.612,  23.612,  23.612,
     8   24.515,   24.515,  24.515,  24.515,  24.515,  24.515,  24.515,
     9   25.468,   25.468,  25.468,  25.468,  25.468,  25.468,  25.468/
      DATA PF210/
     1   26.463,   26.463,  26.463,  26.463,  26.463,  26.463,  26.463,
     2   27.488,   27.488,  27.488,  27.488,  27.488,  27.488,  27.488,
     3   28.535,   28.535,  28.535,  28.535,  28.535,  28.535,  28.535,
     4   29.597,   29.597,  29.597,  29.597,  29.597,  29.597,  29.597,
     5   30.673,   30.673,  30.673,  30.673,  30.673,  30.673,  30.673,
     6   31.769,   31.769,  31.769,  31.769,  31.769,  31.769,  31.769,
     7   32.899,   32.899,  32.899,  32.899,  32.899,  32.899,  32.899,
     8   34.094,   34.094,  34.094,  34.094,  34.094,  34.094,  34.092,
     9   35.409,   35.409,  35.409,  35.409,  35.409,  35.409,  35.399/
      DATA PF211/
     1   36.952,   36.952,  36.952,  36.952,  36.952,  36.952,  36.910,
     2   38.929,   38.929,  38.929,  38.929,  38.929,  38.928,  38.783,
     3   41.731,   41.730,  41.730,  41.729,  41.729,  41.727,  41.289,
     4   46.057,   46.055,  46.055,  46.053,  46.053,  46.047,  44.874,
     5   53.066,   53.062,  53.062,  53.056,  53.056,  53.043,  50.220,
     6   64.522,   64.512,  64.512,  64.498,  64.498,  64.469,  58.296,
     7   82.878,   82.858,  82.858,  82.829,  82.829,  82.770,  70.369,
     8  111.261,  111.221, 111.221, 111.166, 111.166, 111.053,  87.961,
     9  153.311,  153.238, 153.238, 153.140, 153.140, 152.940, 112.747/
      DATA PF212/
     1  212.892,  212.769, 212.769, 212.603, 212.603, 212.272, 146.405,
     2  293.715,  293.520, 293.520, 293.256, 293.256, 292.735, 190.434,
     3  398.933,  398.636, 398.636, 398.236, 398.236, 397.459, 245.997,
     4  530.780,  530.350, 530.350, 529.771, 529.771, 528.658, 313.775,
     5  690.322,  689.724, 689.724, 688.919, 688.919, 687.387, 393.899,
     6    7.902,    7.902,   7.902,   7.902,   7.902,   7.902,   7.902,
     7    7.978,    7.978,   7.978,   7.978,   7.978,   7.978,   7.978,
     8    8.052,    8.052,   8.052,   8.052,   8.052,   8.052,   8.052,
     9    8.125,    8.125,   8.125,   8.125,   8.125,   8.125,   8.125/
      DATA PF213/
     1    8.195,    8.195,   8.195,   8.195,   8.195,   8.195,   8.195,
     2    8.263,    8.263,   8.263,   8.263,   8.263,   8.263,   8.263,
     3    8.329,    8.329,   8.329,   8.329,   8.329,   8.329,   8.329,
     4    8.393,    8.393,   8.393,   8.393,   8.393,   8.393,   8.393,
     5    8.455,    8.455,   8.455,   8.455,   8.455,   8.455,   8.455,
     6    8.515,    8.515,   8.515,   8.515,   8.515,   8.515,   8.515,
     7    8.573,    8.573,   8.573,   8.573,   8.573,   8.573,   8.573,
     8    8.630,    8.630,   8.630,   8.630,   8.630,   8.630,   8.630,
     9    8.684,    8.684,   8.684,   8.684,   8.684,   8.684,   8.684/
      DATA PF214/
     1    8.736,    8.736,   8.736,   8.736,   8.736,   8.736,   8.736,
     2    8.787,    8.787,   8.787,   8.787,   8.787,   8.787,   8.787,
     3    8.836,    8.836,   8.836,   8.836,   8.836,   8.836,   8.836,
     4    8.883,    8.883,   8.883,   8.883,   8.883,   8.883,   8.883,
     5    8.929,    8.929,   8.929,   8.929,   8.929,   8.929,   8.929,
     6    8.972,    8.972,   8.972,   8.972,   8.972,   8.972,   8.972,
     7    9.015,    9.015,   9.015,   9.015,   9.015,   9.015,   9.015,
     8    9.075,    9.075,   9.075,   9.075,   9.075,   9.075,   9.075,
     9    9.132,    9.132,   9.132,   9.132,   9.132,   9.132,   9.132/
      DATA PF215/
     1    9.186,    9.186,   9.186,   9.186,   9.186,   9.186,   9.186,
     2    9.237,    9.237,   9.237,   9.237,   9.237,   9.237,   9.237,
     3    9.284,    9.284,   9.284,   9.284,   9.284,   9.284,   9.284,
     4    9.329,    9.329,   9.329,   9.329,   9.329,   9.329,   9.329,
     5    9.372,    9.372,   9.372,   9.372,   9.372,   9.372,   9.372,
     6    9.412,    9.412,   9.412,   9.412,   9.412,   9.412,   9.412,
     7    9.449,    9.449,   9.449,   9.449,   9.449,   9.449,   9.449,
     8    9.484,    9.484,   9.484,   9.484,   9.484,   9.484,   9.484,
     9    9.538,    9.538,   9.538,   9.538,   9.538,   9.538,   9.538/
      DATA PF216/
     1    9.586,    9.586,   9.586,   9.586,   9.586,   9.586,   9.586,
     2    9.630,    9.630,   9.630,   9.630,   9.630,   9.630,   9.630,
     3    9.669,    9.669,   9.669,   9.669,   9.669,   9.669,   9.669,
     4    9.704,    9.704,   9.704,   9.704,   9.704,   9.704,   9.704,
     5    9.736,    9.736,   9.736,   9.736,   9.736,   9.736,   9.736,
     6    9.764,    9.764,   9.764,   9.764,   9.764,   9.764,   9.764,
     7    9.790,    9.790,   9.790,   9.790,   9.790,   9.790,   9.790,
     8    9.813,    9.813,   9.813,   9.813,   9.813,   9.813,   9.813,
     9    9.835,    9.835,   9.835,   9.835,   9.835,   9.835,   9.835/
      DATA PF217/
     1    9.857,    9.857,   9.857,   9.857,   9.857,   9.857,   9.857,
     2    9.882,    9.882,   9.882,   9.882,   9.882,   9.882,   9.882,
     3    9.914,    9.914,   9.914,   9.914,   9.914,   9.914,   9.914,
     4    9.966,    9.966,   9.966,   9.966,   9.966,   9.966,   9.966,
     5   10.058,   10.058,  10.058,  10.058,  10.058,  10.058,  10.058,
     6   10.231,   10.231,  10.231,  10.231,  10.231,  10.231,  10.229,
     7   10.557,   10.557,  10.557,  10.557,  10.556,  10.555,  10.549,
     8   11.153,   11.153,  11.152,  11.152,  11.150,  11.148,  11.130,
     9   12.200,   12.200,  12.198,  12.198,  12.194,  12.188,  12.139/
      DATA PF218/
     1   13.961,   13.961,  13.956,  13.956,  13.947,  13.932,  13.813,
     2   16.788,   16.788,  16.776,  16.776,  16.755,  16.721,  16.463,
     3   21.118,   21.118,  21.093,  21.093,  21.051,  20.980,  20.463,
     4   27.460,   27.460,  27.412,  27.412,  27.332,  27.196,  26.236,
     5   36.356,   36.356,  36.271,  36.271,  36.128,  35.889,  34.220,
     6   48.338,   48.338,  48.195,  48.195,  47.956,  47.557,  44.828,
     7   63.868,   63.868,  63.641,  63.641,  63.264,  62.636,  58.404,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF219/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF220/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF221/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF222/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF223/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     6    1.004,    1.004,   1.004,   1.004,   1.004,   1.004,   1.004,
     7    1.012,    1.012,   1.012,   1.012,   1.012,   1.012,   1.012,
     8    1.031,    1.031,   1.031,   1.031,   1.031,   1.031,   1.031,
     9    1.070,    1.070,   1.070,   1.070,   1.070,   1.070,   1.070/
      DATA PF224/
     1    1.148,    1.148,   1.148,   1.148,   1.148,   1.148,   1.148,
     2    1.293,    1.293,   1.293,   1.293,   1.293,   1.293,   1.293,
     3    1.553,    1.553,   1.553,   1.553,   1.553,   1.553,   1.553,
     4    2.007,    2.007,   2.007,   2.007,   2.007,   2.007,   2.007,
     5    2.794,    2.794,   2.794,   2.794,   2.794,   2.794,   2.794,
     6    4.157,    4.156,   4.156,   4.156,   4.156,   4.155,   4.155,
     7    6.503,    6.503,   6.502,   6.502,   6.501,   6.499,   6.498,
     8   10.492,   10.491,  10.490,  10.490,  10.486,  10.481,  10.479,
     9   17.115,   17.112,  17.110,  17.110,  17.101,  17.087,  17.084/
      DATA PF225/
     1    4.010,    4.010,   4.010,   4.010,   4.010,   4.010,   4.010,
     2    4.013,    4.013,   4.013,   4.013,   4.013,   4.013,   4.013,
     3    4.016,    4.016,   4.016,   4.016,   4.016,   4.016,   4.016,
     4    4.020,    4.020,   4.020,   4.020,   4.020,   4.020,   4.020,
     5    4.025,    4.025,   4.025,   4.025,   4.025,   4.025,   4.025,
     6    4.030,    4.030,   4.030,   4.030,   4.030,   4.030,   4.030,
     7    4.036,    4.036,   4.036,   4.036,   4.036,   4.036,   4.036,
     8    4.044,    4.044,   4.044,   4.044,   4.044,   4.044,   4.044,
     9    4.052,    4.052,   4.052,   4.052,   4.052,   4.052,   4.052/
      DATA PF226/
     1    4.061,    4.061,   4.061,   4.061,   4.061,   4.061,   4.061,
     2    4.071,    4.071,   4.071,   4.071,   4.071,   4.071,   4.071,
     3    4.083,    4.083,   4.083,   4.083,   4.083,   4.083,   4.083,
     4    4.096,    4.096,   4.096,   4.096,   4.096,   4.096,   4.096,
     5    4.110,    4.110,   4.110,   4.110,   4.110,   4.110,   4.110,
     6    4.125,    4.125,   4.125,   4.125,   4.125,   4.125,   4.125,
     7    4.142,    4.142,   4.142,   4.142,   4.142,   4.142,   4.142,
     8    4.160,    4.160,   4.160,   4.160,   4.160,   4.160,   4.160,
     9    4.179,    4.179,   4.179,   4.179,   4.179,   4.179,   4.179/
      DATA PF227/
     1    4.200,    4.200,   4.200,   4.200,   4.200,   4.200,   4.200,
     2    4.221,    4.221,   4.221,   4.221,   4.221,   4.221,   4.221,
     3    4.256,    4.256,   4.256,   4.256,   4.256,   4.256,   4.256,
     4    4.294,    4.294,   4.294,   4.294,   4.294,   4.294,   4.294,
     5    4.334,    4.334,   4.334,   4.334,   4.334,   4.334,   4.334,
     6    4.377,    4.377,   4.377,   4.377,   4.377,   4.377,   4.377,
     7    4.421,    4.421,   4.421,   4.421,   4.421,   4.421,   4.421,
     8    4.467,    4.467,   4.467,   4.467,   4.467,   4.467,   4.467,
     9    4.515,    4.515,   4.515,   4.515,   4.515,   4.515,   4.515/
      DATA PF228/
     1    4.564,    4.564,   4.564,   4.564,   4.564,   4.564,   4.564,
     2    4.613,    4.613,   4.613,   4.613,   4.613,   4.613,   4.613,
     3    4.664,    4.664,   4.664,   4.664,   4.664,   4.664,   4.664,
     4    4.748,    4.748,   4.748,   4.748,   4.748,   4.748,   4.748,
     5    4.833,    4.833,   4.833,   4.833,   4.833,   4.833,   4.833,
     6    4.916,    4.916,   4.916,   4.916,   4.916,   4.916,   4.916,
     7    4.997,    4.997,   4.997,   4.997,   4.997,   4.997,   4.997,
     8    5.075,    5.075,   5.075,   5.075,   5.075,   5.075,   5.075,
     9    5.151,    5.151,   5.151,   5.151,   5.151,   5.151,   5.151/
      DATA PF229/
     1    5.222,    5.222,   5.222,   5.222,   5.222,   5.222,   5.222,
     2    5.289,    5.289,   5.289,   5.289,   5.289,   5.289,   5.289,
     3    5.352,    5.352,   5.352,   5.352,   5.352,   5.352,   5.352,
     4    5.411,    5.411,   5.411,   5.411,   5.411,   5.411,   5.411,
     5    5.466,    5.466,   5.466,   5.466,   5.466,   5.466,   5.466,
     6    5.517,    5.517,   5.517,   5.517,   5.517,   5.517,   5.517,
     7    5.567,    5.567,   5.567,   5.567,   5.567,   5.567,   5.567,
     8    5.618,    5.618,   5.618,   5.618,   5.618,   5.618,   5.618,
     9    5.677,    5.677,   5.677,   5.677,   5.677,   5.677,   5.677/
      DATA PF230/
     1    5.758,    5.758,   5.758,   5.758,   5.758,   5.758,   5.758,
     2    5.885,    5.885,   5.885,   5.885,   5.885,   5.885,   5.885,
     3    6.096,    6.096,   6.096,   6.096,   6.096,   6.096,   6.096,
     4    6.454,    6.454,   6.454,   6.454,   6.454,   6.454,   6.454,
     5    7.050,    7.050,   7.050,   7.050,   7.050,   7.050,   7.050,
     6    8.026,    8.026,   8.026,   8.026,   8.026,   8.026,   8.026,
     7    9.607,    9.607,   9.607,   9.607,   9.607,   9.607,   9.606,
     8   12.154,   12.154,  12.154,  12.154,  12.154,  12.153,  12.151,
     9   16.263,   16.263,  16.263,  16.262,  16.261,  16.258,  16.252/
      DATA PF231/
     1   22.903,   22.903,  22.901,  22.900,  22.896,  22.885,  22.868,
     2   33.601,   33.600,  33.594,  33.592,  33.579,  33.547,  33.499,
     3    5.053,    5.053,   5.053,   5.053,   5.053,   5.053,   5.053,
     4    5.065,    5.065,   5.065,   5.065,   5.065,   5.065,   5.065,
     5    5.077,    5.077,   5.077,   5.077,   5.077,   5.077,   5.077,
     6    5.092,    5.092,   5.092,   5.092,   5.092,   5.092,   5.092,
     7    5.109,    5.109,   5.109,   5.109,   5.109,   5.109,   5.109,
     8    5.128,    5.128,   5.128,   5.128,   5.128,   5.128,   5.128,
     9    5.149,    5.149,   5.149,   5.149,   5.149,   5.149,   5.149/
      DATA PF232/
     1    5.173,    5.173,   5.173,   5.173,   5.173,   5.173,   5.173,
     2    5.198,    5.198,   5.198,   5.198,   5.198,   5.198,   5.198,
     3    5.227,    5.227,   5.227,   5.227,   5.227,   5.227,   5.227,
     4    5.258,    5.258,   5.258,   5.258,   5.258,   5.258,   5.258,
     5    5.291,    5.291,   5.291,   5.291,   5.291,   5.291,   5.291,
     6    5.327,    5.327,   5.327,   5.327,   5.327,   5.327,   5.327,
     7    5.366,    5.366,   5.366,   5.366,   5.366,   5.366,   5.366,
     8    5.407,    5.407,   5.407,   5.407,   5.407,   5.407,   5.407,
     9    5.451,    5.451,   5.451,   5.451,   5.451,   5.451,   5.451/
      DATA PF233/
     1    5.497,    5.497,   5.497,   5.497,   5.497,   5.497,   5.497,
     2    5.546,    5.546,   5.546,   5.546,   5.546,   5.546,   5.546,
     3    5.597,    5.597,   5.597,   5.597,   5.597,   5.597,   5.597,
     4    5.650,    5.650,   5.650,   5.650,   5.650,   5.650,   5.650,
     5    5.735,    5.735,   5.735,   5.735,   5.735,   5.735,   5.735,
     6    5.824,    5.824,   5.824,   5.824,   5.824,   5.824,   5.824,
     7    5.918,    5.918,   5.918,   5.918,   5.918,   5.918,   5.918,
     8    6.017,    6.017,   6.017,   6.017,   6.017,   6.017,   6.017,
     9    6.119,    6.119,   6.119,   6.119,   6.119,   6.119,   6.119/
      DATA PF234/
     1    6.227,    6.227,   6.227,   6.227,   6.227,   6.227,   6.227,
     2    6.339,    6.339,   6.339,   6.339,   6.339,   6.339,   6.339,
     3    6.455,    6.455,   6.455,   6.455,   6.455,   6.455,   6.455,
     4    6.576,    6.576,   6.576,   6.576,   6.576,   6.576,   6.576,
     5    6.702,    6.702,   6.702,   6.702,   6.702,   6.702,   6.702,
     6    6.923,    6.923,   6.923,   6.923,   6.923,   6.923,   6.923,
     7    7.158,    7.158,   7.158,   7.158,   7.158,   7.158,   7.158,
     8    7.408,    7.408,   7.408,   7.408,   7.408,   7.408,   7.408,
     9    7.674,    7.674,   7.674,   7.674,   7.674,   7.674,   7.674/
      DATA PF235/
     1    7.953,    7.953,   7.953,   7.953,   7.953,   7.953,   7.953,
     2    8.247,    8.247,   8.247,   8.247,   8.247,   8.247,   8.247,
     3    8.551,    8.551,   8.551,   8.551,   8.551,   8.551,   8.551,
     4    8.866,    8.866,   8.866,   8.866,   8.866,   8.866,   8.866,
     5    9.187,    9.187,   9.187,   9.187,   9.187,   9.187,   9.187,
     6    9.514,    9.514,   9.514,   9.514,   9.514,   9.514,   9.514,
     7    9.842,    9.842,   9.842,   9.842,   9.842,   9.842,   9.842,
     8   10.170,   10.170,  10.170,  10.170,  10.170,  10.170,  10.170,
     9   10.499,   10.499,  10.499,  10.499,  10.499,  10.499,  10.499/
      DATA PF236/
     1   10.829,   10.829,  10.829,  10.829,  10.829,  10.829,  10.829,
     2   11.169,   11.169,  11.169,  11.169,  11.169,  11.169,  11.169,
     3   11.534,   11.534,  11.534,  11.534,  11.534,  11.534,  11.534,
     4   11.953,   11.953,  11.953,  11.953,  11.953,  11.953,  11.953,
     5   12.472,   12.472,  12.472,  12.472,  12.472,  12.472,  12.472,
     6   13.169,   13.169,  13.169,  13.169,  13.169,  13.169,  13.169,
     7   14.156,   14.156,  14.156,  14.156,  14.156,  14.156,  14.156,
     8   15.603,   15.603,  15.603,  15.603,  15.603,  15.603,  15.603,
     9   17.762,   17.762,  17.762,  17.762,  17.762,  17.762,  17.762/
      DATA PF237/
     1   21.013,   21.013,  21.013,  21.013,  21.013,  21.013,  21.013,
     2   25.942,   25.942,  25.942,  25.942,  25.941,  25.941,  25.940,
     3   33.459,   33.459,  33.459,  33.458,  33.457,  33.456,  33.452,
     4   44.982,   44.982,  44.982,  44.979,  44.975,  44.969,  44.958,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF238/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF239/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     8    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     9    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002/
      DATA PF240/
     1    4.004,    4.004,   4.004,   4.004,   4.004,   4.004,   4.004,
     2    4.007,    4.007,   4.007,   4.007,   4.007,   4.007,   4.007,
     3    4.012,    4.012,   4.012,   4.012,   4.012,   4.012,   4.012,
     4    4.018,    4.018,   4.018,   4.018,   4.018,   4.018,   4.018,
     5    4.028,    4.028,   4.028,   4.028,   4.028,   4.028,   4.028,
     6    4.042,    4.042,   4.042,   4.042,   4.042,   4.042,   4.042,
     7    4.060,    4.060,   4.060,   4.060,   4.060,   4.060,   4.060,
     8    4.106,    4.106,   4.106,   4.106,   4.106,   4.106,   4.106,
     9    4.176,    4.176,   4.176,   4.176,   4.176,   4.176,   4.176/
      DATA PF241/
     1    4.278,    4.278,   4.278,   4.278,   4.278,   4.278,   4.278,
     2    4.418,    4.418,   4.418,   4.418,   4.418,   4.418,   4.418,
     3    4.604,    4.604,   4.604,   4.604,   4.604,   4.604,   4.604,
     4    4.841,    4.841,   4.841,   4.841,   4.841,   4.841,   4.841,
     5    5.134,    5.134,   5.134,   5.134,   5.134,   5.134,   5.134,
     6    5.485,    5.485,   5.485,   5.485,   5.485,   5.485,   5.485,
     7    5.894,    5.894,   5.894,   5.894,   5.894,   5.894,   5.894,
     8    6.358,    6.358,   6.358,   6.358,   6.358,   6.358,   6.358,
     9    6.874,    6.874,   6.874,   6.874,   6.874,   6.874,   6.874/
      DATA PF242/
     1    7.436,    7.436,   7.436,   7.436,   7.436,   7.436,   7.436,
     2    8.040,    8.040,   8.040,   8.040,   8.040,   8.040,   8.040,
     3    8.682,    8.682,   8.682,   8.682,   8.682,   8.682,   8.682,
     4    9.363,    9.363,   9.363,   9.363,   9.363,   9.363,   9.363,
     5   10.088,   10.088,  10.088,  10.088,  10.088,  10.088,  10.088,
     6   10.875,   10.875,  10.875,  10.875,  10.875,  10.875,  10.875,
     7   11.754,   11.754,  11.754,  11.754,  11.754,  11.754,  11.754,
     8   12.778,   12.778,  12.778,  12.778,  12.778,  12.778,  12.778,
     9   14.025,   14.025,  14.025,  14.025,  14.025,  14.025,  14.025/
      DATA PF243/
     1   15.611,   15.611,  15.611,  15.611,  15.611,  15.611,  15.611,
     2   17.707,   17.707,  17.707,  17.707,  17.707,  17.707,  17.707,
     3   20.556,   20.556,  20.556,  20.556,  20.556,  20.556,  20.556,
     4   24.515,   24.515,  24.515,  24.515,  24.515,  24.515,  24.515,
     5   30.111,   30.111,  30.111,  30.111,  30.111,  30.111,  30.111,
     6   38.133,   38.133,  38.133,  38.133,  38.133,  38.133,  38.132,
     7    1.176,    1.176,   1.176,   1.176,   1.176,   1.176,   1.176,
     8    1.202,    1.202,   1.202,   1.202,   1.202,   1.202,   1.202,
     9    1.231,    1.231,   1.231,   1.231,   1.231,   1.231,   1.231/
      DATA PF244/
     1    1.262,    1.262,   1.262,   1.262,   1.262,   1.262,   1.262,
     2    1.296,    1.296,   1.296,   1.296,   1.296,   1.296,   1.296,
     3    1.334,    1.334,   1.334,   1.334,   1.334,   1.334,   1.334,
     4    1.374,    1.374,   1.374,   1.374,   1.374,   1.374,   1.374,
     5    1.418,    1.418,   1.418,   1.418,   1.418,   1.418,   1.418,
     6    1.466,    1.466,   1.466,   1.466,   1.466,   1.466,   1.466,
     7    1.517,    1.517,   1.517,   1.517,   1.517,   1.517,   1.517,
     8    1.571,    1.571,   1.571,   1.571,   1.571,   1.571,   1.571,
     9    1.630,    1.630,   1.630,   1.630,   1.630,   1.630,   1.630/
      DATA PF245/
     1    1.692,    1.692,   1.692,   1.692,   1.692,   1.692,   1.692,
     2    1.758,    1.758,   1.758,   1.758,   1.758,   1.758,   1.758,
     3    1.828,    1.828,   1.828,   1.828,   1.828,   1.828,   1.828,
     4    1.903,    1.903,   1.903,   1.903,   1.903,   1.903,   1.903,
     5    1.981,    1.981,   1.981,   1.981,   1.981,   1.981,   1.981,
     6    2.063,    2.063,   2.063,   2.063,   2.063,   2.063,   2.063,
     7    2.149,    2.149,   2.149,   2.149,   2.149,   2.149,   2.149,
     8    2.239,    2.239,   2.239,   2.239,   2.239,   2.239,   2.239,
     9    2.380,    2.380,   2.380,   2.380,   2.380,   2.380,   2.380/
      DATA PF246/
     1    2.531,    2.531,   2.531,   2.531,   2.531,   2.531,   2.531,
     2    2.689,    2.689,   2.689,   2.689,   2.689,   2.689,   2.689,
     3    2.854,    2.854,   2.854,   2.854,   2.854,   2.854,   2.854,
     4    3.027,    3.027,   3.027,   3.027,   3.027,   3.027,   3.027,
     5    3.206,    3.206,   3.206,   3.206,   3.206,   3.206,   3.206,
     6    3.391,    3.391,   3.391,   3.391,   3.391,   3.391,   3.391,
     7    3.582,    3.582,   3.582,   3.582,   3.582,   3.582,   3.582,
     8    3.778,    3.778,   3.778,   3.778,   3.778,   3.778,   3.778,
     9    3.980,    3.980,   3.980,   3.980,   3.980,   3.980,   3.980/
      DATA PF247/
     1    4.327,    4.327,   4.327,   4.327,   4.327,   4.327,   4.327,
     2    4.686,    4.686,   4.686,   4.686,   4.686,   4.686,   4.686,
     3    5.058,    5.058,   5.058,   5.058,   5.058,   5.058,   5.058,
     4    5.442,    5.442,   5.442,   5.442,   5.442,   5.442,   5.442,
     5    5.837,    5.837,   5.837,   5.837,   5.837,   5.837,   5.837,
     6    6.241,    6.241,   6.241,   6.241,   6.241,   6.241,   6.241,
     7    6.654,    6.654,   6.654,   6.654,   6.654,   6.654,   6.654,
     8    7.074,    7.074,   7.074,   7.074,   7.074,   7.074,   7.074,
     9    7.499,    7.499,   7.499,   7.499,   7.499,   7.499,   7.499/
      DATA PF248/
     1    7.927,    7.927,   7.927,   7.927,   7.927,   7.927,   7.927,
     2    8.358,    8.358,   8.358,   8.358,   8.358,   8.358,   8.358,
     3    8.792,    8.792,   8.792,   8.792,   8.792,   8.792,   8.792,
     4    9.230,    9.230,   9.230,   9.230,   9.230,   9.230,   9.230,
     5    9.679,    9.679,   9.679,   9.679,   9.679,   9.679,   9.679,
     6   10.148,   10.148,  10.148,  10.148,  10.148,  10.148,  10.148,
     7   10.651,   10.651,  10.651,  10.651,  10.651,  10.651,  10.651,
     8   11.210,   11.210,  11.210,  11.210,  11.210,  11.210,  11.210,
     9   11.856,   11.856,  11.856,  11.856,  11.856,  11.856,  11.856/
      DATA PF249/
     1   12.631,   12.631,  12.631,  12.631,  12.631,  12.631,  12.631,
     2   13.593,   13.593,  13.593,  13.593,  13.593,  13.593,  13.593,
     3   14.822,   14.822,  14.822,  14.822,  14.822,  14.822,  14.822,
     4   16.428,   16.428,  16.428,  16.428,  16.428,  16.428,  16.428,
     5   18.563,   18.563,  18.563,  18.563,  18.563,  18.563,  18.563,
     6   21.438,   21.438,  21.438,  21.438,  21.438,  21.438,  21.438,
     7   25.346,   25.346,  25.346,  25.346,  25.346,  25.346,  25.346,
     8   30.698,   30.698,  30.698,  30.698,  30.698,  30.698,  30.698,
     9    7.123,    7.123,   7.123,   7.123,   7.123,   7.123,   7.123/
      DATA PF250/
     1    7.157,    7.157,   7.157,   7.157,   7.157,   7.157,   7.157,
     2    7.199,    7.199,   7.199,   7.199,   7.199,   7.199,   7.199,
     3    7.249,    7.249,   7.249,   7.249,   7.249,   7.249,   7.249,
     4    7.310,    7.310,   7.310,   7.310,   7.310,   7.310,   7.309,
     5    7.380,    7.380,   7.380,   7.380,   7.380,   7.380,   7.380,
     6    7.463,    7.463,   7.463,   7.463,   7.463,   7.463,   7.463,
     7    7.560,    7.560,   7.560,   7.560,   7.560,   7.560,   7.559,
     8    7.671,    7.671,   7.671,   7.671,   7.671,   7.671,   7.669,
     9    7.798,    7.798,   7.798,   7.798,   7.798,   7.798,   7.795/
      DATA PF251/
     1    7.943,    7.943,   7.943,   7.943,   7.943,   7.943,   7.938,
     2    8.107,    8.107,   8.107,   8.107,   8.107,   8.107,   8.099,
     3    8.293,    8.293,   8.293,   8.293,   8.293,   8.293,   8.278,
     4    8.501,    8.501,   8.501,   8.501,   8.501,   8.501,   8.479,
     5    8.735,    8.735,   8.735,   8.735,   8.735,   8.735,   8.700,
     6    8.998,    8.998,   8.998,   8.998,   8.998,   8.998,   8.945,
     7    9.292,    9.292,   9.292,   9.292,   9.292,   9.292,   9.213,
     8    9.623,    9.623,   9.623,   9.623,   9.623,   9.622,   9.506,
     9    9.995,    9.995,   9.995,   9.995,   9.994,   9.992,   9.826/
      DATA PF252/
     1   10.414,   10.414,  10.414,  10.414,  10.412,  10.409,  10.172,
     2   11.148,   11.148,  11.148,  11.148,  11.145,  11.138,  10.747,
     3   12.040,   12.040,  12.039,  12.038,  12.032,  12.017,  11.389,
     4   13.131,   13.131,  13.129,  13.127,  13.112,  13.083,  12.105,
     5   14.480,   14.478,  14.475,  14.469,  14.438,  14.381,  12.898,
     6   16.157,   16.154,  16.146,  16.135,  16.073,  15.966,  13.773,
     7   18.256,   18.250,  18.234,  18.211,  18.091,  17.899,  14.733,
     8   20.893,   20.880,  20.849,  20.805,  20.583,  20.253,  15.782,
     9   24.210,   24.187,  24.128,  24.048,  23.654,  23.104,  16.922/
      DATA PF253/
     1   28.384,   28.342,  28.236,  28.094,  27.422,  26.536,  18.155,
     2   33.621,   33.549,  33.365,  33.123,  32.017,  30.634,  19.482,
     3   45.393,   45.226,  44.803,  44.262,  41.897,  39.176,  21.900,
     4   62.161,   61.807,  60.920,  59.810,  55.151,  50.172,  24.566,
     5   85.505,   84.813,  83.099,  80.991,  72.467,  63.928,  27.460,
     6  117.147,  115.892, 112.806, 109.073,  94.466,  80.650,  30.555,
     7  158.815,  156.679, 151.467, 145.256, 121.644, 100.420,  33.812,
     8  212.068,  208.639, 200.326, 190.546, 154.315, 123.189,  37.193,
     9  278.133,  272.905, 260.299, 245.642, 192.573, 148.775,  40.653/
      DATA PF254/
     1  357.757,  350.143, 331.876, 310.855, 236.276, 176.883,  44.148,
     2  451.119,  440.473, 415.049, 386.061, 285.054, 207.124,  47.638,
     3  557.795,  543.443, 509.306, 470.702, 338.335, 239.048,  51.082,
     4  676.789,  658.058, 613.669, 563.837, 395.393, 272.170,  54.449,
     5  806.615,  782.869, 726.773, 664.207, 455.393, 306.002,  57.708,
     6  945.415,  916.078, 846.969, 770.336, 517.447, 340.073,  60.837,
     7 1091.092, 1055.670, 972.439, 880.623, 580.664, 373.950,  63.818,
     8 1241.441, 1199.539,1101.308, 993.441, 644.187, 407.250,  66.639,
     9 1394.271, 1345.602,1231.737,1107.214, 707.233, 439.645,  69.291/
      DATA PF255/
     1 1547.507, 1491.892,1362.008,1220.483, 769.109, 470.869,  71.771,
     2 1699.264, 1636.625,1490.574,1331.950, 829.228, 500.716,  74.078,
     3 1847.894, 1778.252,1616.103,1440.505, 887.111, 529.034,  76.214,
     4 1992.015, 1915.474,1737.489,1545.237, 942.390, 555.723,  78.185,
     5 2130.518, 2047.254,1853.855,1645.434, 994.797, 580.726,  79.996,
     6 2262.556, 2172.804,1964.547,1740.572,1044.155, 604.024,  81.655,
     7 2387.530, 2291.570,2069.111,1830.298,1090.370, 625.631,  83.170,
     8 2505.057, 2403.204,2167.272,1914.408,1133.414, 645.584,  84.549,
     9 2614.947, 2507.537,2258.912,1992.830,1173.316, 663.939,  85.803/
      DATA PF256/
     1 2717.167, 2604.550,2344.038,2065.593,1210.150, 680.766,  86.941,
     2    6.006,    6.006,   6.006,   6.006,   6.006,   6.006,   6.006,
     3    6.010,    6.010,   6.010,   6.010,   6.010,   6.010,   6.010,
     4    6.014,    6.014,   6.014,   6.014,   6.014,   6.014,   6.014,
     5    6.019,    6.019,   6.019,   6.019,   6.019,   6.019,   6.019,
     6    6.027,    6.027,   6.027,   6.027,   6.027,   6.027,   6.027,
     7    6.038,    6.038,   6.038,   6.038,   6.038,   6.038,   6.038,
     8    6.051,    6.051,   6.051,   6.051,   6.051,   6.051,   6.051,
     9    6.069,    6.069,   6.069,   6.069,   6.069,   6.069,   6.069/
      DATA PF257/
     1    6.091,    6.091,   6.091,   6.091,   6.091,   6.091,   6.091,
     2    6.119,    6.119,   6.119,   6.119,   6.119,   6.119,   6.119,
     3    6.155,    6.155,   6.155,   6.155,   6.155,   6.155,   6.155,
     4    6.200,    6.200,   6.200,   6.200,   6.200,   6.200,   6.200,
     5    6.254,    6.254,   6.254,   6.254,   6.254,   6.254,   6.254,
     6    6.321,    6.321,   6.321,   6.321,   6.321,   6.321,   6.321,
     7    6.402,    6.402,   6.402,   6.402,   6.402,   6.402,   6.402,
     8    6.500,    6.500,   6.500,   6.500,   6.500,   6.500,   6.500,
     9    6.618,    6.618,   6.618,   6.618,   6.618,   6.618,   6.618/
      DATA PF258/
     1    6.758,    6.758,   6.758,   6.758,   6.758,   6.758,   6.758,
     2    6.924,    6.924,   6.924,   6.924,   6.924,   6.924,   6.924,
     3    7.119,    7.119,   7.119,   7.119,   7.119,   7.119,   7.119,
     4    7.479,    7.479,   7.479,   7.479,   7.479,   7.479,   7.479,
     5    7.933,    7.933,   7.933,   7.933,   7.933,   7.933,   7.933,
     6    8.504,    8.504,   8.504,   8.504,   8.504,   8.504,   8.504,
     7    9.215,    9.215,   9.215,   9.215,   9.215,   9.215,   9.215,
     8   10.096,   10.096,  10.096,  10.096,  10.096,  10.096,  10.096,
     9   11.181,   11.181,  11.181,  11.181,  11.181,  11.181,  11.181/
      DATA PF259/
     1   12.513,   12.513,  12.513,  12.513,  12.513,  12.513,  12.513,
     2   14.136,   14.136,  14.136,  14.136,  14.136,  14.136,  14.136,
     3   16.105,   16.105,  16.105,  16.105,  16.105,  16.105,  16.105,
     4   18.483,   18.483,  18.483,  18.482,  18.482,  18.482,  18.482,
     5   23.546,   23.546,  23.546,  23.546,  23.546,  23.545,  23.541,
     6   30.334,   30.334,  30.333,  30.333,  30.331,  30.327,  30.309,
     7   39.351,   39.351,  39.350,  39.349,  39.340,  39.321,  39.253,
     8   51.284,   51.283,  51.277,  51.273,  51.236,  51.166,  50.941,
     9   67.117,   67.112,  67.093,  67.077,  66.948,  66.714,  66.060/
      DATA PF260/
     1   88.325,   88.308,  88.249,  88.197,  87.804,  87.119,  85.423,
     2  117.134,  117.085, 116.919, 116.777, 115.715, 113.930, 109.961,
     3  156.815,  156.694, 156.277, 155.923, 153.348, 149.158, 140.677,
     4  211.945,  211.668, 210.724, 209.929, 204.257, 195.290, 178.592,
     5  288.513,  287.935, 285.980, 284.341, 272.876, 255.207, 224.644,
     6  393.796,  392.683, 388.941, 385.821, 364.351, 332.009, 279.596,
     7  535.941,  533.947, 527.272, 521.733, 484.180, 428.742, 343.941,
     8  723.292,  719.938, 708.758, 699.518, 637.709, 548.081, 417.828,
     9  963.543,  958.211, 940.507, 925.928, 829.560, 692.026, 501.025/
      DATA PF261/
     1 1262.881, 1254.821,1228.152,1206.264,1063.095, 861.645, 592.923,
     2 1625.255, 1613.609,1575.186,1543.743,1340.007,1056.922, 692.566,
     3 2051.899, 2035.730,1982.529,1939.106,1660.089,1276.726, 798.722,
     4 2541.153, 2519.491,2448.388,2390.489,2021.221,1518.888, 909.960,
     5 3088.595, 3060.483,2968.406,2893.582,2419.537,1780.368,1024.743,
     6 3687.426, 3651.963,3536.029,3441.993,2849.748,2057.487,1141.511,
     7 4329.026, 4285.406,4143.046,4027.765,3305.545,2346.179,1258.757,
     8 5003.596, 4951.136,4780.188,4641.959,3780.035,2642.238,1375.085,
     9 5700.796, 5638.959,5437.725,5275.221,4266.161,2941.538,1489.255/
      DATA PF262/
     1 6410.329, 6338.731,6106.012,5918.300,4757.061,3240.214,1600.207,
     2 7122.420, 7040.831,6775.921,6562.465,5246.354,3534.790,1707.073,
     3 7828.173, 7736.510,7439.175,7199.813,5728.346,3822.262,1809.177,
     4   19.811,   19.811,  19.811,  19.811,  19.811,  19.811,  19.811,
     5   20.011,   20.011,  20.011,  20.011,  20.011,  20.011,  20.011,
     6   20.206,   20.206,  20.206,  20.206,  20.206,  20.206,  20.206,
     7   20.394,   20.394,  20.394,  20.394,  20.394,  20.394,  20.394,
     8   20.577,   20.577,  20.577,  20.577,  20.577,  20.577,  20.577,
     9   20.754,   20.754,  20.754,  20.754,  20.754,  20.754,  20.754/
      DATA PF263/
     1   20.926,   20.926,  20.926,  20.926,  20.926,  20.926,  20.926,
     2   21.093,   21.093,  21.093,  21.093,  21.093,  21.093,  21.093,
     3   21.256,   21.256,  21.256,  21.256,  21.256,  21.256,  21.256,
     4   21.415,   21.415,  21.415,  21.415,  21.415,  21.415,  21.415,
     5   21.572,   21.572,  21.572,  21.572,  21.572,  21.572,  21.572,
     6   21.727,   21.727,  21.727,  21.727,  21.727,  21.727,  21.727,
     7   21.882,   21.882,  21.882,  21.882,  21.882,  21.882,  21.882,
     8   22.038,   22.038,  22.038,  22.038,  22.038,  22.038,  22.038,
     9   22.196,   22.196,  22.196,  22.196,  22.196,  22.196,  22.196/
      DATA PF264/
     1   22.360,   22.360,  22.360,  22.360,  22.360,  22.360,  22.360,
     2   22.531,   22.531,  22.531,  22.531,  22.531,  22.531,  22.531,
     3   22.711,   22.711,  22.711,  22.711,  22.711,  22.711,  22.711,
     4   22.905,   22.905,  22.905,  22.905,  22.905,  22.905,  22.905,
     5   23.115,   23.115,  23.115,  23.115,  23.115,  23.115,  23.115,
     6   23.468,   23.468,  23.468,  23.468,  23.468,  23.468,  23.468,
     7   23.878,   23.878,  23.878,  23.878,  23.878,  23.878,  23.878,
     8   24.361,   24.361,  24.361,  24.361,  24.361,  24.361,  24.361,
     9   24.932,   24.932,  24.932,  24.932,  24.932,  24.932,  24.932/
      DATA PF265/
     1   25.607,   25.607,  25.607,  25.607,  25.607,  25.607,  25.607,
     2   26.403,   26.403,  26.403,  26.403,  26.403,  26.403,  26.403,
     3   27.337,   27.337,  27.337,  27.337,  27.337,  27.337,  27.337,
     4   28.424,   28.424,  28.424,  28.424,  28.424,  28.424,  28.424,
     5   29.681,   29.681,  29.681,  29.681,  29.681,  29.681,  29.681,
     6   31.123,   31.123,  31.123,  31.123,  31.123,  31.123,  31.123,
     7   33.975,   33.975,  33.975,  33.975,  33.975,  33.975,  33.975,
     8   37.444,   37.444,  37.444,  37.444,  37.444,  37.444,  37.444,
     9   41.593,   41.593,  41.593,  41.593,  41.593,  41.593,  41.593/
      DATA PF266/
     1   46.493,   46.493,  46.493,  46.493,  46.493,  46.493,  46.493,
     2   52.230,   52.230,  52.230,  52.230,  52.230,  52.230,  52.230,
     3   58.922,   58.922,  58.922,  58.922,  58.922,  58.921,  58.921,
     4   66.740,   66.740,  66.740,  66.740,  66.739,  66.737,  66.733,
     5   75.952,   75.952,  75.951,  75.950,  75.946,  75.933,  75.914,
     6   87.001,   86.999,  86.997,  86.991,  86.974,  86.917,  86.839,
     7  100.669,  100.662, 100.656, 100.632, 100.567, 100.351, 100.077,
     8  118.374,  118.351, 118.328, 118.249, 118.030, 117.331, 116.488,
     9  142.640,  142.572, 142.502, 142.267, 141.625, 139.630, 137.332/
      DATA PF267/
     1  177.738,  177.556, 177.370, 176.751, 175.073, 169.993, 164.377,
     2  230.398,  229.961, 229.518, 228.050, 224.102, 212.416, 199.958,
     3  310.396,  309.446, 308.483, 305.316, 296.852, 272.296, 246.951,
     4  430.781,  428.882, 426.960, 420.673, 403.971, 356.375, 308.638,
     5  607.516,  603.995, 600.437, 588.854, 558.242, 472.393, 388.456,
     6  858.470,  852.368, 846.205, 826.240, 773.710, 628.481, 489.667,
     7 1201.849, 1191.885,1181.832,1149.396,1064.397, 832.366, 615.004,
     8 1654.310, 1638.886,1623.334,1573.347,1442.822,1090.522, 766.348,
     9 2229.096, 2206.327,2183.387,2109.890,1918.590,1407.425, 944.499/
      DATA PF268/
     1 2934.518, 2902.301,2869.861,2766.233,2497.277,1785.028,1149.065,
     2 3773.008, 3729.110,3684.934,3544.182,3179.798,2222.521,1378.478,
     3 4740.848, 4683.014,4624.842,4439.926,3962.293,2716.399,1630.131,
     4 5828.546, 5754.602,5680.259,5444.426,4836.504,3260.778,1900.585,
     5 7021.723, 6929.676,6837.166,6544.247,5790.527,3847.903,2185.835,
     6   19.764,   19.764,  19.764,  19.764,  19.764,  19.764,  19.764,
     7   20.053,   20.053,  20.053,  20.053,  20.053,  20.053,  20.053,
     8   20.334,   20.334,  20.334,  20.334,  20.334,  20.334,  20.334,
     9   20.610,   20.610,  20.610,  20.610,  20.610,  20.610,  20.610/
      DATA PF269/
     1   20.879,   20.879,  20.879,  20.879,  20.879,  20.879,  20.879,
     2   21.142,   21.142,  21.142,  21.142,  21.142,  21.142,  21.142,
     3   21.399,   21.399,  21.399,  21.399,  21.399,  21.399,  21.399,
     4   21.650,   21.650,  21.650,  21.650,  21.650,  21.650,  21.650,
     5   21.897,   21.897,  21.897,  21.897,  21.897,  21.897,  21.897,
     6   22.139,   22.139,  22.139,  22.139,  22.139,  22.139,  22.139,
     7   22.378,   22.378,  22.378,  22.378,  22.378,  22.378,  22.378,
     8   22.614,   22.614,  22.614,  22.614,  22.614,  22.614,  22.614,
     9   22.848,   22.848,  22.848,  22.848,  22.848,  22.848,  22.848/
      DATA PF270/
     1   23.082,   23.082,  23.082,  23.082,  23.082,  23.082,  23.082,
     2   23.318,   23.318,  23.318,  23.318,  23.318,  23.318,  23.318,
     3   23.555,   23.555,  23.555,  23.555,  23.555,  23.555,  23.555,
     4   23.798,   23.798,  23.798,  23.798,  23.798,  23.798,  23.798,
     5   24.046,   24.046,  24.046,  24.046,  24.046,  24.046,  24.046,
     6   24.303,   24.303,  24.303,  24.303,  24.303,  24.303,  24.303,
     7   24.570,   24.570,  24.570,  24.570,  24.570,  24.570,  24.570,
     8   24.996,   24.996,  24.996,  24.996,  24.996,  24.996,  24.996,
     9   25.459,   25.459,  25.459,  25.459,  25.459,  25.459,  25.459/
      DATA PF271/
     1   25.968,   25.968,  25.968,  25.968,  25.968,  25.968,  25.968,
     2   26.530,   26.530,  26.530,  26.530,  26.530,  26.530,  26.530,
     3   27.156,   27.156,  27.156,  27.156,  27.156,  27.156,  27.156,
     4   27.851,   27.851,  27.851,  27.851,  27.851,  27.851,  27.851,
     5   28.625,   28.625,  28.625,  28.625,  28.625,  28.625,  28.625,
     6   29.483,   29.483,  29.483,  29.483,  29.483,  29.483,  29.483,
     7   30.430,   30.430,  30.430,  30.430,  30.430,  30.430,  30.430,
     8   31.472,   31.472,  31.472,  31.472,  31.472,  31.472,  31.472,
     9   33.425,   33.425,  33.425,  33.425,  33.425,  33.425,  33.425/
      DATA PF272/
     1   35.652,   35.652,  35.652,  35.652,  35.652,  35.652,  35.652,
     2   38.150,   38.150,  38.150,  38.150,  38.150,  38.150,  38.150,
     3   40.906,   40.906,  40.906,  40.906,  40.906,  40.906,  40.906,
     4   43.900,   43.900,  43.900,  43.900,  43.900,  43.900,  43.900,
     5   47.108,   47.108,  47.108,  47.108,  47.108,  47.108,  47.108,
     6   50.509,   50.509,  50.509,  50.509,  50.509,  50.509,  50.509,
     7   54.086,   54.086,  54.086,  54.086,  54.086,  54.086,  54.086,
     8   57.841,   57.841,  57.841,  57.841,  57.841,  57.841,  57.841,
     9   61.795,   61.795,  61.795,  61.795,  61.795,  61.795,  61.794/
      DATA PF273/
     1   66.012,   66.012,  66.012,  66.012,  66.012,  66.011,  66.009,
     2   70.622,   70.621,  70.621,  70.621,  70.619,  70.616,  70.606,
     3   75.873,   75.872,  75.872,  75.872,  75.863,  75.850,  75.803,
     4   82.248,   82.245,  82.243,  82.243,  82.209,  82.158,  81.985,
     5   90.661,   90.648,  90.643,  90.641,  90.526,  90.360,  89.804,
     6  102.787,  102.748, 102.732, 102.729, 102.387, 101.904, 100.337,
     7  121.508,  121.405, 121.360, 121.352, 120.453, 119.202, 115.254,
     8  151.404,  151.156, 151.049, 151.030, 148.899, 145.976, 136.985,
     9  199.164,  198.625, 198.392, 198.350, 193.751, 187.524, 168.799/
      DATA PF274/
     1  273.743,  272.663, 272.196, 272.112, 262.983, 250.767, 214.758,
     2  386.115,  384.109, 383.242, 383.087, 366.265, 343.992, 279.499,
     3  548.578,  545.097, 543.591, 543.324, 514.323, 476.280, 367.860,
     4  773.679,  767.986, 765.526, 765.089, 717.965, 656.664, 484.405,
     5 1072.906, 1064.084,1060.271,1059.596, 986.963, 893.175, 632.924,
     6 1455.419, 1442.382,1436.749,1435.753,1328.947,1191.941, 815.999,
     7 1926.998, 1908.533,1900.557,1899.149,1748.542,1556.482,1034.709,
     8   14.034,   14.034,  14.034,  14.034,  14.034,  14.034,  14.034,
     9   14.260,   14.260,  14.260,  14.260,  14.260,  14.260,  14.260/
      DATA PF275/
     1   14.483,   14.483,  14.483,  14.483,  14.483,  14.483,  14.483,
     2   14.701,   14.701,  14.701,  14.701,  14.701,  14.701,  14.701,
     3   14.916,   14.916,  14.916,  14.916,  14.916,  14.916,  14.916,
     4   15.126,   15.126,  15.126,  15.126,  15.126,  15.126,  15.126,
     5   15.332,   15.332,  15.332,  15.332,  15.332,  15.332,  15.332,
     6   15.535,   15.535,  15.535,  15.535,  15.535,  15.535,  15.535,
     7   15.733,   15.733,  15.733,  15.733,  15.733,  15.733,  15.733,
     8   15.928,   15.928,  15.928,  15.928,  15.928,  15.928,  15.928,
     9   16.119,   16.119,  16.119,  16.119,  16.119,  16.119,  16.119/
      DATA PF276/
     1   16.308,   16.308,  16.308,  16.308,  16.308,  16.308,  16.308,
     2   16.493,   16.493,  16.493,  16.493,  16.493,  16.493,  16.493,
     3   16.676,   16.676,  16.676,  16.676,  16.676,  16.676,  16.676,
     4   16.858,   16.858,  16.858,  16.858,  16.858,  16.858,  16.858,
     5   17.038,   17.038,  17.038,  17.038,  17.038,  17.038,  17.038,
     6   17.217,   17.217,  17.217,  17.217,  17.217,  17.217,  17.217,
     7   17.397,   17.397,  17.397,  17.397,  17.397,  17.397,  17.397,
     8   17.577,   17.577,  17.577,  17.577,  17.577,  17.577,  17.577,
     9   17.759,   17.759,  17.759,  17.759,  17.759,  17.759,  17.759/
      DATA PF277/
     1   18.037,   18.037,  18.037,  18.037,  18.037,  18.037,  18.037,
     2   18.322,   18.322,  18.322,  18.322,  18.322,  18.322,  18.322,
     3   18.618,   18.618,  18.618,  18.618,  18.618,  18.618,  18.618,
     4   18.928,   18.928,  18.928,  18.928,  18.928,  18.928,  18.928,
     5   19.253,   19.253,  19.253,  19.253,  19.253,  19.253,  19.253,
     6   19.597,   19.597,  19.597,  19.597,  19.597,  19.597,  19.597,
     7   19.962,   19.962,  19.962,  19.962,  19.962,  19.962,  19.962,
     8   20.348,   20.348,  20.348,  20.348,  20.348,  20.348,  20.348,
     9   20.758,   20.758,  20.758,  20.758,  20.758,  20.758,  20.758/
      DATA PF278/
     1   21.192,   21.192,  21.192,  21.192,  21.192,  21.192,  21.192,
     2   21.968,   21.968,  21.968,  21.968,  21.968,  21.968,  21.968,
     3   22.811,   22.811,  22.811,  22.811,  22.811,  22.811,  22.811,
     4   23.714,   23.714,  23.714,  23.714,  23.714,  23.714,  23.714,
     5   24.671,   24.671,  24.671,  24.671,  24.671,  24.671,  24.671,
     6   25.670,   25.670,  25.670,  25.670,  25.670,  25.670,  25.670,
     7   26.702,   26.702,  26.702,  26.702,  26.702,  26.702,  26.702,
     8   27.753,   27.753,  27.753,  27.753,  27.753,  27.753,  27.753,
     9   28.812,   28.812,  28.812,  28.812,  28.812,  28.812,  28.812/
      DATA PF279/
     1   29.869,   29.869,  29.869,  29.869,  29.869,  29.869,  29.869,
     2   30.916,   30.916,  30.916,  30.916,  30.916,  30.916,  30.916,
     3   31.948,   31.948,  31.948,  31.948,  31.948,  31.948,  31.948,
     4   32.967,   32.967,  32.967,  32.967,  32.967,  32.967,  32.967,
     5   33.984,   33.984,  33.984,  33.984,  33.984,  33.984,  33.984,
     6   35.025,   35.025,  35.025,  35.025,  35.025,  35.025,  35.024,
     7   36.147,   36.147,  36.147,  36.147,  36.147,  36.147,  36.145,
     8   37.462,   37.462,  37.462,  37.462,  37.462,  37.462,  37.455,
     9   39.188,   39.188,  39.188,  39.187,  39.187,  39.186,  39.160/
      DATA PF280/
     1   41.725,   41.725,  41.725,  41.723,  41.723,  41.720,  41.633,
     2   45.780,   45.780,  45.779,  45.775,  45.775,  45.764,  45.517,
     3   52.511,   52.511,  52.508,  52.497,  52.497,  52.468,  51.839,
     4   63.676,   63.673,  63.666,  63.641,  63.641,  63.572,  62.125,
     5   81.733,   81.728,  81.713,  81.658,  81.658,  81.510,  78.470,
     6  109.854,  109.843, 109.813, 109.703, 109.703, 109.412, 103.519,
     7  151.788,  151.769, 151.713, 151.509, 151.509, 150.974, 140.345,
     8  211.601,  211.569, 211.471, 211.118, 211.118, 210.200, 192.220,
     9  293.300,  293.247, 293.087, 292.511, 292.511, 291.025, 262.301/
      DATA PF281/
     1    7.141,    7.141,   7.141,   7.141,   7.141,   7.141,   7.141,
     2    7.234,    7.234,   7.234,   7.234,   7.234,   7.234,   7.234,
     3    7.325,    7.325,   7.325,   7.325,   7.325,   7.325,   7.325,
     4    7.414,    7.414,   7.414,   7.414,   7.414,   7.414,   7.414,
     5    7.502,    7.502,   7.502,   7.502,   7.502,   7.502,   7.502,
     6    7.588,    7.588,   7.588,   7.588,   7.588,   7.588,   7.588,
     7    7.672,    7.672,   7.672,   7.672,   7.672,   7.672,   7.672,
     8    7.754,    7.754,   7.754,   7.754,   7.754,   7.754,   7.754,
     9    7.834,    7.834,   7.834,   7.834,   7.834,   7.834,   7.834/
      DATA PF282/
     1    7.912,    7.912,   7.912,   7.912,   7.912,   7.912,   7.912,
     2    7.988,    7.988,   7.988,   7.988,   7.988,   7.988,   7.988,
     3    8.062,    8.062,   8.062,   8.062,   8.062,   8.062,   8.062,
     4    8.134,    8.134,   8.134,   8.134,   8.134,   8.134,   8.134,
     5    8.204,    8.204,   8.204,   8.204,   8.204,   8.204,   8.204,
     6    8.272,    8.272,   8.272,   8.272,   8.272,   8.272,   8.272,
     7    8.338,    8.338,   8.338,   8.338,   8.338,   8.338,   8.338,
     8    8.401,    8.401,   8.401,   8.401,   8.401,   8.401,   8.401,
     9    8.463,    8.463,   8.463,   8.463,   8.463,   8.463,   8.463/
      DATA PF283/
     1    8.523,    8.523,   8.523,   8.523,   8.523,   8.523,   8.523,
     2    8.581,    8.581,   8.581,   8.581,   8.581,   8.581,   8.581,
     3    8.664,    8.664,   8.664,   8.664,   8.664,   8.664,   8.664,
     4    8.743,    8.743,   8.743,   8.743,   8.743,   8.743,   8.743,
     5    8.818,    8.818,   8.818,   8.818,   8.818,   8.818,   8.818,
     6    8.889,    8.889,   8.889,   8.889,   8.889,   8.889,   8.889,
     7    8.957,    8.957,   8.957,   8.957,   8.957,   8.957,   8.957,
     8    9.020,    9.020,   9.020,   9.020,   9.020,   9.020,   9.020,
     9    9.080,    9.080,   9.080,   9.080,   9.080,   9.080,   9.080/
      DATA PF284/
     1    9.137,    9.137,   9.137,   9.137,   9.137,   9.137,   9.137,
     2    9.191,    9.191,   9.191,   9.191,   9.191,   9.191,   9.191,
     3    9.241,    9.241,   9.241,   9.241,   9.241,   9.241,   9.241,
     4    9.319,    9.319,   9.319,   9.319,   9.319,   9.319,   9.319,
     5    9.389,    9.389,   9.389,   9.389,   9.389,   9.389,   9.389,
     6    9.452,    9.452,   9.452,   9.452,   9.452,   9.452,   9.452,
     7    9.509,    9.509,   9.509,   9.509,   9.509,   9.509,   9.509,
     8    9.561,    9.561,   9.561,   9.561,   9.561,   9.561,   9.561,
     9    9.607,    9.607,   9.607,   9.607,   9.607,   9.607,   9.607/
      DATA PF285/
     1    9.648,    9.648,   9.648,   9.648,   9.648,   9.648,   9.648,
     2    9.685,    9.685,   9.685,   9.685,   9.685,   9.685,   9.685,
     3    9.719,    9.719,   9.719,   9.719,   9.719,   9.719,   9.719,
     4    9.749,    9.749,   9.749,   9.749,   9.749,   9.749,   9.749,
     5    9.776,    9.776,   9.776,   9.776,   9.776,   9.776,   9.776,
     6    9.801,    9.801,   9.801,   9.801,   9.801,   9.801,   9.801,
     7    9.825,    9.825,   9.825,   9.825,   9.825,   9.825,   9.825,
     8    9.853,    9.853,   9.853,   9.853,   9.853,   9.853,   9.853,
     9    9.891,    9.891,   9.891,   9.891,   9.891,   9.891,   9.891/
      DATA PF286/
     1    9.959,    9.959,   9.959,   9.959,   9.959,   9.959,   9.959,
     2   10.087,   10.087,  10.087,  10.087,  10.087,  10.087,  10.087,
     3   10.332,   10.332,  10.332,  10.332,  10.332,  10.332,  10.332,
     4   10.786,   10.786,  10.786,  10.786,  10.786,  10.786,  10.786,
     5   11.584,   11.584,  11.584,  11.584,  11.584,  11.584,  11.584,
     6   12.927,   12.927,  12.927,  12.927,  12.927,  12.927,  12.925,
     7   15.089,   15.089,  15.089,  15.089,  15.089,  15.087,  15.084,
     8   18.433,   18.433,  18.433,  18.433,  18.433,  18.429,  18.421,
     9   23.418,   23.418,  23.418,  23.418,  23.418,  23.409,  23.393/
      DATA PF287/
     1   30.592,   30.592,  30.592,  30.592,  30.592,  30.574,  30.540,
     2   40.566,   40.566,  40.566,  40.566,  40.566,  40.532,  40.470,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF288/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF289/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF290/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF291/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF292/
     1    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.002,
     2    1.005,    1.005,   1.005,   1.005,   1.005,   1.005,   1.005,
     3    1.013,    1.013,   1.013,   1.013,   1.013,   1.013,   1.013,
     4    1.033,    1.033,   1.033,   1.033,   1.033,   1.033,   1.033,
     5    1.076,    1.076,   1.076,   1.076,   1.076,   1.076,   1.076,
     6    1.158,    1.158,   1.158,   1.158,   1.158,   1.158,   1.158,
     7    1.310,    1.310,   1.310,   1.310,   1.310,   1.310,   1.310,
     8    1.576,    1.576,   1.576,   1.576,   1.576,   1.576,   1.576,
     9    2.031,    2.031,   2.031,   2.031,   2.031,   2.031,   2.031/
      DATA PF293/
     1    2.796,    2.796,   2.796,   2.796,   2.796,   2.796,   2.796,
     2    4.073,    4.073,   4.073,   4.073,   4.073,   4.073,   4.073,
     3    6.191,    6.191,   6.191,   6.191,   6.191,   6.191,   6.191,
     4    9.673,    9.673,   9.673,   9.673,   9.673,   9.673,   9.672,
     5    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     6    4.003,    4.003,   4.003,   4.003,   4.003,   4.003,   4.003,
     7    4.004,    4.004,   4.004,   4.004,   4.004,   4.004,   4.004,
     8    4.005,    4.005,   4.005,   4.005,   4.005,   4.005,   4.005,
     9    4.007,    4.007,   4.007,   4.007,   4.007,   4.007,   4.007/
      DATA PF294/
     1    4.009,    4.009,   4.009,   4.009,   4.009,   4.009,   4.009,
     2    4.011,    4.011,   4.011,   4.011,   4.011,   4.011,   4.011,
     3    4.014,    4.014,   4.014,   4.014,   4.014,   4.014,   4.014,
     4    4.018,    4.018,   4.018,   4.018,   4.018,   4.018,   4.018,
     5    4.022,    4.022,   4.022,   4.022,   4.022,   4.022,   4.022,
     6    4.027,    4.027,   4.027,   4.027,   4.027,   4.027,   4.027,
     7    4.033,    4.033,   4.033,   4.033,   4.033,   4.033,   4.033,
     8    4.040,    4.040,   4.040,   4.040,   4.040,   4.040,   4.040,
     9    4.047,    4.047,   4.047,   4.047,   4.047,   4.047,   4.047/
      DATA PF295/
     1    4.056,    4.056,   4.056,   4.056,   4.056,   4.056,   4.056,
     2    4.066,    4.066,   4.066,   4.066,   4.066,   4.066,   4.066,
     3    4.077,    4.077,   4.077,   4.077,   4.077,   4.077,   4.077,
     4    4.089,    4.089,   4.089,   4.089,   4.089,   4.089,   4.089,
     5    4.102,    4.102,   4.102,   4.102,   4.102,   4.102,   4.102,
     6    4.117,    4.117,   4.117,   4.117,   4.117,   4.117,   4.117,
     7    4.141,    4.141,   4.141,   4.141,   4.141,   4.141,   4.141,
     8    4.169,    4.169,   4.169,   4.169,   4.169,   4.169,   4.169,
     9    4.199,    4.199,   4.199,   4.199,   4.199,   4.199,   4.199/
      DATA PF296/
     1    4.232,    4.232,   4.232,   4.232,   4.232,   4.232,   4.232,
     2    4.268,    4.268,   4.268,   4.268,   4.268,   4.268,   4.268,
     3    4.306,    4.306,   4.306,   4.306,   4.306,   4.306,   4.306,
     4    4.347,    4.347,   4.347,   4.347,   4.347,   4.347,   4.347,
     5    4.390,    4.390,   4.390,   4.390,   4.390,   4.390,   4.390,
     6    4.435,    4.435,   4.435,   4.435,   4.435,   4.435,   4.435,
     7    4.482,    4.482,   4.482,   4.482,   4.482,   4.482,   4.482,
     8    4.563,    4.563,   4.563,   4.563,   4.563,   4.563,   4.563,
     9    4.646,    4.646,   4.646,   4.646,   4.646,   4.646,   4.646/
      DATA PF297/
     1    4.730,    4.730,   4.730,   4.730,   4.730,   4.730,   4.730,
     2    4.815,    4.815,   4.815,   4.815,   4.815,   4.815,   4.815,
     3    4.898,    4.898,   4.898,   4.898,   4.898,   4.898,   4.898,
     4    4.980,    4.980,   4.980,   4.980,   4.980,   4.980,   4.980,
     5    5.059,    5.059,   5.059,   5.059,   5.059,   5.059,   5.059,
     6    5.135,    5.135,   5.135,   5.135,   5.135,   5.135,   5.135,
     7    5.207,    5.207,   5.207,   5.207,   5.207,   5.207,   5.207,
     8    5.275,    5.275,   5.275,   5.275,   5.275,   5.275,   5.275,
     9    5.339,    5.339,   5.339,   5.339,   5.339,   5.339,   5.339/
      DATA PF298/
     1    5.399,    5.399,   5.399,   5.399,   5.399,   5.399,   5.399,
     2    5.456,    5.456,   5.456,   5.456,   5.456,   5.456,   5.456,
     3    5.511,    5.511,   5.511,   5.511,   5.511,   5.511,   5.511,
     4    5.567,    5.567,   5.567,   5.567,   5.567,   5.567,   5.567,
     5    5.633,    5.633,   5.633,   5.633,   5.633,   5.633,   5.633,
     6    5.723,    5.723,   5.723,   5.723,   5.723,   5.723,   5.723,
     7    5.862,    5.862,   5.862,   5.862,   5.862,   5.862,   5.862,
     8    6.092,    6.092,   6.092,   6.092,   6.092,   6.092,   6.092,
     9    6.476,    6.476,   6.476,   6.476,   6.476,   6.476,   6.476/
      DATA PF299/
     1    7.110,    7.110,   7.110,   7.110,   7.110,   7.110,   7.110,
     2    8.138,    8.138,   8.138,   8.138,   8.138,   8.138,   8.138,
     3    9.780,    9.780,   9.780,   9.780,   9.780,   9.780,   9.780,
     4   12.381,   12.381,  12.381,  12.381,  12.381,  12.381,  12.380,
     5   16.487,   16.487,  16.487,  16.487,  16.486,  16.486,  16.483,
     6   22.965,   22.965,  22.965,  22.965,  22.963,  22.961,  22.953,
     7    5.015,    5.015,   5.015,   5.015,   5.015,   5.015,   5.015,
     8    5.019,    5.019,   5.019,   5.019,   5.019,   5.019,   5.019,
     9    5.025,    5.025,   5.025,   5.025,   5.025,   5.025,   5.025/
      DATA PF300/
     1    5.031,    5.031,   5.031,   5.031,   5.031,   5.031,   5.031,
     2    5.038,    5.038,   5.038,   5.038,   5.038,   5.038,   5.038,
     3    5.047,    5.047,   5.047,   5.047,   5.047,   5.047,   5.047,
     4    5.057,    5.057,   5.057,   5.057,   5.057,   5.057,   5.057,
     5    5.069,    5.069,   5.069,   5.069,   5.069,   5.069,   5.069,
     6    5.083,    5.083,   5.083,   5.083,   5.083,   5.083,   5.083,
     7    5.098,    5.098,   5.098,   5.098,   5.098,   5.098,   5.098,
     8    5.116,    5.116,   5.116,   5.116,   5.116,   5.116,   5.116,
     9    5.136,    5.136,   5.136,   5.136,   5.136,   5.136,   5.136/
      DATA PF301/
     1    5.158,    5.158,   5.158,   5.158,   5.158,   5.158,   5.158,
     2    5.182,    5.182,   5.182,   5.182,   5.182,   5.182,   5.182,
     3    5.209,    5.209,   5.209,   5.209,   5.209,   5.209,   5.209,
     4    5.239,    5.239,   5.239,   5.239,   5.239,   5.239,   5.239,
     5    5.271,    5.271,   5.271,   5.271,   5.271,   5.271,   5.271,
     6    5.306,    5.306,   5.306,   5.306,   5.306,   5.306,   5.306,
     7    5.343,    5.343,   5.343,   5.343,   5.343,   5.343,   5.343,
     8    5.383,    5.383,   5.383,   5.383,   5.383,   5.383,   5.383,
     9    5.448,    5.448,   5.448,   5.448,   5.448,   5.448,   5.448/
      DATA PF302/
     1    5.519,    5.519,   5.519,   5.519,   5.519,   5.519,   5.519,
     2    5.596,    5.596,   5.596,   5.596,   5.596,   5.596,   5.596,
     3    5.678,    5.678,   5.678,   5.678,   5.678,   5.678,   5.678,
     4    5.766,    5.766,   5.766,   5.766,   5.766,   5.766,   5.766,
     5    5.860,    5.860,   5.860,   5.860,   5.860,   5.860,   5.860,
     6    5.959,    5.959,   5.959,   5.959,   5.959,   5.959,   5.959,
     7    6.064,    6.064,   6.064,   6.064,   6.064,   6.064,   6.064,
     8    6.175,    6.175,   6.175,   6.175,   6.175,   6.175,   6.175,
     9    6.291,    6.291,   6.291,   6.291,   6.291,   6.291,   6.291/
      DATA PF303/
     1    6.497,    6.497,   6.497,   6.497,   6.497,   6.497,   6.497,
     2    6.720,    6.720,   6.720,   6.720,   6.720,   6.720,   6.720,
     3    6.960,    6.960,   6.960,   6.960,   6.960,   6.960,   6.960,
     4    7.217,    7.217,   7.217,   7.217,   7.217,   7.217,   7.217,
     5    7.491,    7.491,   7.491,   7.491,   7.491,   7.491,   7.491,
     6    7.780,    7.780,   7.780,   7.780,   7.780,   7.780,   7.780,
     7    8.084,    8.084,   8.084,   8.084,   8.084,   8.084,   8.084,
     8    8.400,    8.400,   8.400,   8.400,   8.400,   8.400,   8.400,
     9    8.725,    8.725,   8.725,   8.725,   8.725,   8.725,   8.725/
      DATA PF304/
     1    9.058,    9.058,   9.058,   9.058,   9.058,   9.058,   9.058,
     2    9.395,    9.395,   9.395,   9.395,   9.395,   9.395,   9.395,
     3    9.734,    9.734,   9.734,   9.734,   9.734,   9.734,   9.734,
     4   10.074,   10.074,  10.074,  10.074,  10.074,  10.074,  10.074,
     5   10.415,   10.415,  10.415,  10.415,  10.415,  10.415,  10.415,
     6   10.761,   10.761,  10.761,  10.761,  10.761,  10.761,  10.761,
     7   11.124,   11.124,  11.124,  11.124,  11.124,  11.124,  11.124,
     8   11.526,   11.526,  11.526,  11.526,  11.526,  11.526,  11.526,
     9   12.004,   12.004,  12.004,  12.004,  12.004,  12.004,  12.004/
      DATA PF305/
     1   12.617,   12.617,  12.617,  12.617,  12.617,  12.617,  12.617,
     2   13.455,   13.455,  13.455,  13.455,  13.455,  13.455,  13.455,
     3   14.646,   14.646,  14.646,  14.646,  14.646,  14.646,  14.646,
     4   16.373,   16.373,  16.373,  16.373,  16.373,  16.373,  16.373,
     5   18.899,   18.899,  18.899,  18.899,  18.899,  18.899,  18.899,
     6   22.607,   22.607,  22.607,  22.607,  22.607,  22.607,  22.607,
     7   28.067,   28.067,  28.067,  28.067,  28.067,  28.067,  28.067,
     8   36.143,   36.143,  36.143,  36.143,  36.143,  36.143,  36.142,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF306/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF307/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF308/
     1    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     2    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     3    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     4    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     5    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     6    4.004,    4.004,   4.004,   4.004,   4.004,   4.004,   4.004,
     7    4.007,    4.007,   4.007,   4.007,   4.007,   4.007,   4.007,
     8    4.011,    4.011,   4.011,   4.011,   4.011,   4.011,   4.011,
     9    4.018,    4.018,   4.018,   4.018,   4.018,   4.018,   4.018/
      DATA PF309/
     1    4.027,    4.027,   4.027,   4.027,   4.027,   4.027,   4.027,
     2    4.040,    4.040,   4.040,   4.040,   4.040,   4.040,   4.040,
     3    4.074,    4.074,   4.074,   4.074,   4.074,   4.074,   4.074,
     4    4.127,    4.127,   4.127,   4.127,   4.127,   4.127,   4.127,
     5    4.207,    4.207,   4.207,   4.207,   4.207,   4.207,   4.207,
     6    4.320,    4.320,   4.320,   4.320,   4.320,   4.320,   4.320,
     7    4.474,    4.474,   4.474,   4.474,   4.474,   4.474,   4.474,
     8    4.676,    4.676,   4.676,   4.676,   4.676,   4.676,   4.676,
     9    4.930,    4.930,   4.930,   4.930,   4.930,   4.930,   4.930/
      DATA PF310/
     1    5.241,    5.241,   5.241,   5.241,   5.241,   5.241,   5.241,
     2    5.609,    5.609,   5.609,   5.609,   5.609,   5.609,   5.609,
     3    6.034,    6.034,   6.034,   6.034,   6.034,   6.034,   6.034,
     4    6.513,    6.513,   6.513,   6.513,   6.513,   6.513,   6.513,
     5    7.043,    7.043,   7.043,   7.043,   7.043,   7.043,   7.043,
     6    7.617,    7.617,   7.617,   7.617,   7.617,   7.617,   7.617,
     7    8.230,    8.230,   8.230,   8.230,   8.230,   8.230,   8.230,
     8    8.881,    8.881,   8.881,   8.881,   8.881,   8.881,   8.881,
     9    9.571,    9.571,   9.571,   9.571,   9.571,   9.571,   9.571/
      DATA PF311/
     1   10.308,   10.308,  10.308,  10.308,  10.308,  10.308,  10.308,
     2   11.111,   11.111,  11.111,  11.111,  11.111,  11.111,  11.111,
     3   12.018,   12.018,  12.018,  12.018,  12.018,  12.018,  12.018,
     4   13.085,   13.085,  13.085,  13.085,  13.085,  13.085,  13.085,
     5   14.400,   14.400,  14.400,  14.400,  14.400,  14.400,  14.400,
     6   16.090,   16.090,  16.090,  16.090,  16.090,  16.090,  16.090,
     7   18.338,   18.338,  18.338,  18.338,  18.338,  18.338,  18.338,
     8   21.407,   21.407,  21.407,  21.407,  21.407,  21.407,  21.407,
     9   25.671,   25.671,  25.671,  25.671,  25.671,  25.671,  25.671/
      DATA PF312/
     1   31.675,   31.675,  31.675,  31.675,  31.675,  31.675,  31.675,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     5    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     6    6.002,    6.002,   6.002,   6.002,   6.002,   6.002,   6.002,
     7    6.003,    6.003,   6.003,   6.003,   6.003,   6.003,   6.003,
     8    6.005,    6.005,   6.005,   6.005,   6.005,   6.005,   6.005,
     9    6.008,    6.008,   6.008,   6.008,   6.008,   6.008,   6.008/
      DATA PF313/
     1    6.012,    6.012,   6.012,   6.012,   6.012,   6.012,   6.012,
     2    6.018,    6.018,   6.018,   6.018,   6.018,   6.018,   6.018,
     3    6.026,    6.026,   6.026,   6.026,   6.026,   6.026,   6.026,
     4    6.037,    6.037,   6.037,   6.037,   6.037,   6.037,   6.037,
     5    6.052,    6.052,   6.052,   6.052,   6.052,   6.052,   6.052,
     6    6.072,    6.072,   6.072,   6.072,   6.072,   6.072,   6.072,
     7    6.099,    6.099,   6.099,   6.099,   6.099,   6.099,   6.098,
     8    6.134,    6.134,   6.134,   6.134,   6.134,   6.134,   6.133,
     9    6.180,    6.180,   6.180,   6.180,   6.180,   6.180,   6.177/
      DATA PF314/
     1    6.239,    6.239,   6.239,   6.239,   6.239,   6.239,   6.234,
     2    6.314,    6.314,   6.314,   6.314,   6.314,   6.313,   6.305,
     3    6.408,    6.408,   6.408,   6.408,   6.408,   6.407,   6.394,
     4    6.596,    6.596,   6.595,   6.595,   6.595,   6.593,   6.567,
     5    6.854,    6.853,   6.853,   6.853,   6.852,   6.847,   6.799,
     6    7.204,    7.204,   7.204,   7.203,   7.200,   7.189,   7.103,
     7    7.675,    7.675,   7.674,   7.672,   7.666,   7.643,   7.494,
     8    8.302,    8.302,   8.300,   8.294,   8.282,   8.237,   7.987,
     9    9.132,    9.130,   9.127,   9.114,   9.090,   9.004,   8.598/
      DATA PF315/
     1   10.223,   10.220,  10.212,  10.187,  10.138,   9.983,   9.343,
     2   11.651,   11.645,  11.630,  11.579,  11.488,  11.217,  10.237,
     3   13.511,   13.499,  13.471,  13.376,  13.210,  12.754,  11.293,
     4   15.923,   15.901,  15.850,  15.679,  15.390,  14.649,  12.523,
     5   21.582,   21.527,  21.398,  20.980,  20.308,  18.759,  14.986,
     6   30.063,   29.936,  29.644,  28.717,  27.292,  24.296,  17.986,
     7   42.469,   42.205,  41.600,  39.717,  36.928,  31.533,  21.527,
     8   60.113,   59.603,  58.448,  54.905,  49.829,  40.711,  25.589,
     9   84.432,   83.517,  81.458,  75.232,  66.578,  52.018,  30.131/
      DATA PF316/
     1  116.866,  115.326, 111.881, 101.592,  87.667,  65.561,  35.090,
     2  158.718,  156.268, 150.819, 134.718, 113.438,  81.357,  40.394,
     3  211.006,  207.301, 199.099, 175.103, 144.047,  99.328,  45.958,
     4  274.350,  268.992, 257.184, 222.938, 179.438, 119.302,  51.698,
     5  348.890,  341.448, 325.109, 278.089, 219.348, 141.031,  57.527,
     6  434.272,  424.298, 402.474, 340.101, 263.326, 164.209,  63.366,
     7  529.671,  516.721, 488.474, 408.240, 310.770, 188.489,  69.143,
     8  633.863,  617.521, 581.972, 481.550, 360.973, 213.511,  74.796,
     9  745.325,  725.217, 681.583, 558.924, 413.171, 238.916,  80.273/
      DATA PF317/
     1  862.342,  838.153, 785.776, 639.177, 466.585, 264.365,  85.531,
     2  983.119,  954.599, 892.963, 721.118, 520.464, 289.550,  90.540,
     3 1105.879, 1072.850,1001.590, 803.602, 574.112, 314.201,  95.277,
     4 1228.942, 1191.296,1110.200, 885.577, 626.909, 338.093,  99.728,
     5 1350.785, 1308.483,1217.483, 966.114, 678.328, 361.045, 103.888,
     6 1470.083, 1423.148,1322.304,1044.427, 727.935, 382.920, 107.755,
     7 1585.725, 1534.235,1423.725,1119.873, 775.393, 403.620, 111.334,
     8 1696.824, 1640.903,1520.998,1191.959, 820.451, 423.082, 114.632,
     9 1802.704, 1742.513,1613.566,1260.322, 862.944, 441.278, 117.662/
      DATA PF318/
     1 1902.888, 1838.618,1701.037,1324.725, 902.774, 458.201, 120.434,
     2 1997.075, 1928.938,1783.177,1385.037, 939.908, 473.870, 122.965,
     3 2085.118, 2013.338,1859.876,1441.219, 974.360, 488.318, 125.269,
     4    7.008,    7.008,   7.008,   7.008,   7.008,   7.008,   7.008,
     5    7.012,    7.012,   7.012,   7.012,   7.012,   7.012,   7.012,
     6    7.016,    7.016,   7.016,   7.016,   7.016,   7.016,   7.016,
     7    7.021,    7.021,   7.021,   7.021,   7.021,   7.021,   7.021,
     8    7.028,    7.028,   7.028,   7.028,   7.028,   7.028,   7.028,
     9    7.037,    7.037,   7.037,   7.037,   7.037,   7.037,   7.037/
      DATA PF319/
     1    7.048,    7.048,   7.048,   7.048,   7.048,   7.048,   7.048,
     2    7.062,    7.062,   7.062,   7.062,   7.062,   7.062,   7.062,
     3    7.079,    7.079,   7.079,   7.079,   7.079,   7.079,   7.079,
     4    7.100,    7.100,   7.100,   7.100,   7.100,   7.100,   7.100,
     5    7.126,    7.126,   7.126,   7.126,   7.126,   7.126,   7.126,
     6    7.158,    7.158,   7.158,   7.158,   7.158,   7.158,   7.158,
     7    7.196,    7.196,   7.196,   7.196,   7.196,   7.196,   7.196,
     8    7.242,    7.242,   7.242,   7.242,   7.242,   7.242,   7.242,
     9    7.296,    7.296,   7.296,   7.296,   7.296,   7.296,   7.296/
      DATA PF320/
     1    7.360,    7.360,   7.360,   7.360,   7.360,   7.360,   7.360,
     2    7.435,    7.435,   7.435,   7.435,   7.435,   7.435,   7.435,
     3    7.523,    7.523,   7.523,   7.523,   7.523,   7.523,   7.523,
     4    7.626,    7.626,   7.626,   7.626,   7.626,   7.626,   7.626,
     5    7.745,    7.745,   7.745,   7.745,   7.745,   7.745,   7.745,
     6    7.961,    7.961,   7.961,   7.961,   7.961,   7.961,   7.961,
     7    8.230,    8.230,   8.230,   8.230,   8.230,   8.230,   8.230,
     8    8.564,    8.564,   8.564,   8.564,   8.564,   8.564,   8.564,
     9    8.977,    8.977,   8.977,   8.977,   8.977,   8.977,   8.977/
      DATA PF321/
     1    9.489,    9.489,   9.489,   9.489,   9.489,   9.489,   9.489,
     2   10.123,   10.123,  10.123,  10.123,  10.123,  10.123,  10.123,
     3   10.909,   10.909,  10.909,  10.909,  10.909,  10.909,  10.909,
     4   11.882,   11.882,  11.882,  11.882,  11.882,  11.882,  11.882,
     5   13.084,   13.084,  13.084,  13.084,  13.084,  13.083,  13.083,
     6   14.565,   14.565,  14.565,  14.565,  14.565,  14.565,  14.564,
     7   17.822,   17.822,  17.822,  17.822,  17.821,  17.820,  17.818,
     8   22.368,   22.368,  22.368,  22.367,  22.366,  22.361,  22.350,
     9   28.652,   28.651,  28.650,  28.648,  28.641,  28.622,  28.583/
      DATA PF322/
     1   37.272,   37.265,  37.261,  37.255,  37.229,  37.161,  37.039,
     2   49.043,   49.019,  49.006,  48.987,  48.900,  48.692,  48.349,
     3   65.099,   65.028,  64.990,  64.932,  64.683,  64.117,  63.257,
     4   87.015,   86.823,  86.723,  86.572,  85.936,  84.551,  82.599,
     5  116.918,  116.457, 116.218, 115.860, 114.392, 111.318, 107.262,
     6  157.560,  156.554, 156.033, 155.262, 152.170, 145.912, 138.119,
     7  212.291,  210.274, 209.232, 207.705, 201.699, 189.905, 175.953,
     8  284.914,  281.165, 279.231, 276.424, 265.568, 244.820, 221.361,
     9  379.407,  372.890, 369.538, 364.706, 346.308, 311.978, 274.690/
      DATA PF323/
     1  499.550,  488.886, 483.411, 475.572, 446.129, 392.351, 335.979,
     2  648.525,  631.984, 623.506, 611.439, 566.670, 486.433, 404.938,
     3  828.534,  804.072, 791.555, 773.830, 708.790, 594.169, 480.965,
     4 1040.529, 1005.861, 988.148, 963.179, 872.449, 714.932, 563.181,
     5 1284.073, 1236.770,1212.631,1178.745,1056.676, 847.559, 650.498,
     6 1557.351, 1494.951,1463.145,1418.658,1259.640, 990.438, 741.686,
     7 1857.310, 1777.438,1736.767,1680.068,1478.787,1141.620, 835.452,
     8 2179.909, 2080.380,2029.747,1959.362,1711.034,1298.948, 930.508,
     9 2520.412, 2399.322,2337.770,2252.428,1952.973,1460.186,1025.630/
      DATA PF324/
     1 2873.715, 2729.501,2656.246,2554.915,2201.084,1623.137,1119.703,
     2 3234.634, 3066.114,2980.568,2862.477,2451.914,1785.734,1211.747,
     3 3598.172, 3404.556,3306.327,3170.977,2702.226,1946.112,1300.940,
     4 3959.710, 3740.594,3629.485,3476.636,2949.111,2102.654,1386.619,
     5 4315.152, 4070.492,3946.486,3776.144,3190.051,2254.014,1468.278,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF325/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     9    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001/
      DATA PF326/
     1    6.002,    6.002,   6.002,   6.002,   6.002,   6.002,   6.002,
     2    6.003,    6.003,   6.003,   6.003,   6.003,   6.003,   6.003,
     3    6.004,    6.004,   6.004,   6.004,   6.004,   6.004,   6.004,
     4    6.007,    6.007,   6.007,   6.007,   6.007,   6.007,   6.007,
     5    6.010,    6.010,   6.010,   6.010,   6.010,   6.010,   6.010,
     6    6.015,    6.015,   6.015,   6.015,   6.015,   6.015,   6.015,
     7    6.021,    6.021,   6.021,   6.021,   6.021,   6.021,   6.021,
     8    6.037,    6.037,   6.037,   6.037,   6.037,   6.037,   6.037,
     9    6.061,    6.061,   6.061,   6.061,   6.061,   6.061,   6.061/
      DATA PF327/
     1    6.098,    6.098,   6.098,   6.098,   6.098,   6.098,   6.098,
     2    6.154,    6.154,   6.154,   6.154,   6.154,   6.154,   6.154,
     3    6.234,    6.234,   6.234,   6.234,   6.234,   6.234,   6.234,
     4    6.349,    6.349,   6.349,   6.349,   6.349,   6.349,   6.349,
     5    6.508,    6.508,   6.508,   6.508,   6.508,   6.508,   6.508,
     6    6.724,    6.724,   6.724,   6.724,   6.724,   6.724,   6.724,
     7    7.012,    7.012,   7.012,   7.012,   7.012,   7.012,   7.012,
     8    7.390,    7.390,   7.390,   7.390,   7.390,   7.390,   7.390,
     9    8.271,    8.271,   8.271,   8.271,   8.271,   8.271,   8.271/
      DATA PF328/
     1    9.558,    9.558,   9.558,   9.558,   9.558,   9.558,   9.558,
     2   11.370,   11.370,  11.370,  11.370,  11.370,  11.370,  11.370,
     3   13.842,   13.842,  13.842,  13.842,  13.842,  13.842,  13.842,
     4   17.128,   17.128,  17.128,  17.128,  17.128,  17.128,  17.128,
     5   21.406,   21.406,  21.406,  21.406,  21.406,  21.406,  21.406,
     6   26.899,   26.899,  26.899,  26.899,  26.899,  26.898,  26.897,
     7   33.902,   33.902,  33.902,  33.902,  33.901,  33.897,  33.890,
     8   42.848,   42.847,  42.846,  42.844,  42.838,  42.820,  42.789,
     9   54.423,   54.423,  54.417,  54.408,  54.380,  54.306,  54.184/
      DATA PF329/
     1   69.802,   69.798,  69.779,  69.743,  69.638,  69.372,  68.955,
     2   91.026,   91.014,  90.950,  90.833,  90.494,  89.665,  88.417,
     3  121.592,  121.557, 121.371, 121.034, 120.073, 117.785, 114.472,
     4  167.185,  167.095, 166.615, 165.752, 163.320, 157.659, 149.749,
     5  236.428,  236.219, 235.104, 233.108, 227.543, 214.855, 197.666,
     6  341.417,  340.971, 338.608, 334.394, 322.756, 296.704, 262.369,
     7  497.755,  496.883, 492.266, 484.060, 461.599, 412.136, 348.511,
     8  723.929,  722.343, 713.956, 699.095, 658.737, 571.146, 460.881,
     9 1039.969, 1037.265,1022.990, 997.759, 929.721, 783.952, 603.935/
      DATA PF330/
     1 1465.575, 1461.226,1438.293,1397.852,1289.481,1059.963, 781.305,
     2 2018.013, 2011.370,1976.380,1914.800,1750.707,1406.727, 995.368,
     3 2710.155, 2700.464,2649.475,2559.900,2322.394,1829.055,1246.958,
     4 3548.996, 3535.428,3464.108,3339.013,3008.798,2328.452,1535.239,
     5 4534.858, 4516.543,4420.358,4251.890,3808.940,2902.921,1857.764,
     6 5661.329, 5637.401,5511.833,5292.182,4716.685,3547.139,2210.678,
     7 6915.891, 6885.525,6726.283,6448.041,5721.321,4252.933,2589.032,
     8   17.582,   17.582,  17.582,  17.582,  17.582,  17.582,  17.582,
     9   17.846,   17.846,  17.846,  17.846,  17.846,  17.846,  17.846/
      DATA PF331/
     1   18.103,   18.103,  18.103,  18.103,  18.103,  18.103,  18.103,
     2   18.354,   18.354,  18.354,  18.354,  18.354,  18.354,  18.354,
     3   18.598,   18.598,  18.598,  18.598,  18.598,  18.598,  18.598,
     4   18.835,   18.835,  18.835,  18.835,  18.835,  18.835,  18.835,
     5   19.066,   19.066,  19.066,  19.066,  19.066,  19.066,  19.066,
     6   19.290,   19.290,  19.290,  19.290,  19.290,  19.290,  19.290,
     7   19.507,   19.507,  19.507,  19.507,  19.507,  19.507,  19.507,
     8   19.719,   19.719,  19.719,  19.719,  19.719,  19.719,  19.719,
     9   19.924,   19.924,  19.924,  19.924,  19.924,  19.924,  19.924/
      DATA PF332/
     1   20.124,   20.124,  20.124,  20.124,  20.124,  20.124,  20.124,
     2   20.319,   20.319,  20.319,  20.319,  20.319,  20.319,  20.319,
     3   20.510,   20.510,  20.510,  20.510,  20.510,  20.510,  20.510,
     4   20.696,   20.696,  20.696,  20.696,  20.696,  20.696,  20.696,
     5   20.880,   20.880,  20.880,  20.880,  20.880,  20.880,  20.880,
     6   21.061,   21.061,  21.061,  21.061,  21.061,  21.061,  21.061,
     7   21.243,   21.243,  21.243,  21.243,  21.243,  21.243,  21.243,
     8   21.425,   21.425,  21.425,  21.425,  21.425,  21.425,  21.425,
     9   21.611,   21.611,  21.611,  21.611,  21.611,  21.611,  21.611/
      DATA PF333/
     1   21.899,   21.899,  21.899,  21.899,  21.899,  21.899,  21.899,
     2   22.208,   22.208,  22.208,  22.208,  22.208,  22.208,  22.208,
     3   22.547,   22.547,  22.547,  22.547,  22.547,  22.547,  22.547,
     4   22.928,   22.928,  22.928,  22.928,  22.928,  22.928,  22.928,
     5   23.365,   23.365,  23.365,  23.365,  23.365,  23.365,  23.365,
     6   23.872,   23.872,  23.872,  23.872,  23.872,  23.872,  23.872,
     7   24.464,   24.464,  24.464,  24.464,  24.464,  24.464,  24.464,
     8   25.158,   25.158,  25.158,  25.158,  25.158,  25.158,  25.158,
     9   25.970,   25.970,  25.970,  25.970,  25.970,  25.970,  25.970/
      DATA PF334/
     1   26.915,   26.915,  26.915,  26.915,  26.915,  26.915,  26.915,
     2   28.831,   28.831,  28.831,  28.831,  28.831,  28.831,  28.831,
     3   31.225,   31.225,  31.225,  31.225,  31.225,  31.225,  31.225,
     4   34.150,   34.150,  34.150,  34.150,  34.150,  34.150,  34.150,
     5   37.640,   37.640,  37.640,  37.640,  37.640,  37.640,  37.640,
     6   41.714,   41.714,  41.714,  41.714,  41.714,  41.714,  41.714,
     7   46.375,   46.375,  46.375,  46.375,  46.375,  46.375,  46.375,
     8   51.614,   51.614,  51.614,  51.614,  51.614,  51.614,  51.614,
     9   57.419,   57.419,  57.419,  57.419,  57.419,  57.419,  57.419/
      DATA PF335/
     1   63.790,   63.790,  63.790,  63.790,  63.790,  63.790,  63.790,
     2   70.753,   70.753,  70.753,  70.753,  70.753,  70.753,  70.753,
     3   78.395,   78.395,  78.395,  78.395,  78.395,  78.394,  78.392,
     4   86.906,   86.906,  86.905,  86.904,  86.902,  86.899,  86.887,
     5   96.668,   96.667,  96.663,  96.656,  96.648,  96.632,  96.577,
     6  108.433,  108.427, 108.412, 108.384, 108.348, 108.285, 108.068,
     7  123.653,  123.631, 123.578, 123.477, 123.349, 123.127, 122.397,
     8  145.054,  144.982, 144.815, 144.500, 144.102, 143.424, 141.265,
     9  177.466,  177.267, 176.804, 175.933, 174.843, 173.004, 167.329/
      DATA PF336/
     1  228.856,  228.360, 227.211, 225.054, 222.378, 217.906, 204.477,
     2  311.317,  310.201, 307.616, 302.778, 296.818, 286.941, 258.004,
     3  441.695,  439.394, 434.071, 424.131, 411.963, 391.950, 334.585,
     4  641.489,  637.103, 626.970, 608.086, 585.102, 547.548, 441.979,
     5  935.823,  928.028, 910.043, 876.586, 836.073, 770.263, 588.445,
     6 1351.488, 1338.476,1308.487,1252.784,1185.640,1077.140, 781.968,
     7 1914.345, 1893.802,1846.501,1758.762,1653.430,1484.014,1029.405,
     8 2646.519, 2615.658,2544.657,2413.119,2255.778,2003.756,1335.700,
     9 3563.888, 3519.532,3417.562,3228.859,3003.863,2644.803,1703.317/
      DATA PF337/
     1   16.969,   16.969,  16.969,  16.969,  16.969,  16.969,  16.969,
     2   17.308,   17.308,  17.308,  17.308,  17.308,  17.308,  17.308,
     3   17.643,   17.643,  17.643,  17.643,  17.643,  17.643,  17.643,
     4   17.973,   17.973,  17.973,  17.973,  17.973,  17.973,  17.973,
     5   18.298,   18.298,  18.298,  18.298,  18.298,  18.298,  18.298,
     6   18.617,   18.617,  18.617,  18.617,  18.617,  18.617,  18.617,
     7   18.931,   18.931,  18.931,  18.931,  18.931,  18.931,  18.931,
     8   19.239,   19.239,  19.239,  19.239,  19.239,  19.239,  19.239,
     9   19.541,   19.541,  19.541,  19.541,  19.541,  19.541,  19.541/
      DATA PF338/
     1   19.838,   19.838,  19.838,  19.838,  19.838,  19.838,  19.838,
     2   20.129,   20.129,  20.129,  20.129,  20.129,  20.129,  20.129,
     3   20.415,   20.415,  20.415,  20.415,  20.415,  20.415,  20.415,
     4   20.696,   20.696,  20.696,  20.696,  20.696,  20.696,  20.696,
     5   20.973,   20.973,  20.973,  20.973,  20.973,  20.973,  20.973,
     6   21.247,   21.247,  21.247,  21.247,  21.247,  21.247,  21.247,
     7   21.518,   21.518,  21.518,  21.518,  21.518,  21.518,  21.518,
     8   21.788,   21.788,  21.788,  21.788,  21.788,  21.788,  21.788,
     9   22.058,   22.058,  22.058,  22.058,  22.058,  22.058,  22.058/
      DATA PF339/
     1   22.328,   22.328,  22.328,  22.328,  22.328,  22.328,  22.328,
     2   22.602,   22.602,  22.602,  22.602,  22.602,  22.602,  22.602,
     3   23.021,   23.021,  23.021,  23.021,  23.021,  23.021,  23.021,
     4   23.456,   23.456,  23.456,  23.456,  23.456,  23.456,  23.456,
     5   23.915,   23.915,  23.915,  23.915,  23.915,  23.915,  23.915,
     6   24.406,   24.406,  24.406,  24.406,  24.406,  24.406,  24.406,
     7   24.937,   24.937,  24.937,  24.937,  24.937,  24.937,  24.937,
     8   25.517,   25.517,  25.517,  25.517,  25.517,  25.517,  25.517,
     9   26.153,   26.153,  26.153,  26.153,  26.153,  26.153,  26.153/
      DATA PF340/
     1   26.854,   26.854,  26.854,  26.854,  26.854,  26.854,  26.854,
     2   27.629,   27.629,  27.629,  27.629,  27.629,  27.629,  27.629,
     3   28.482,   28.482,  28.482,  28.482,  28.482,  28.482,  28.482,
     4   30.099,   30.099,  30.099,  30.099,  30.099,  30.099,  30.099,
     5   31.973,   31.973,  31.973,  31.973,  31.973,  31.973,  31.973,
     6   34.117,   34.117,  34.117,  34.117,  34.117,  34.117,  34.117,
     7   36.530,   36.530,  36.530,  36.530,  36.530,  36.530,  36.530,
     8   39.204,   39.204,  39.204,  39.204,  39.204,  39.204,  39.204,
     9   42.121,   42.121,  42.121,  42.121,  42.121,  42.121,  42.121/
      DATA PF341/
     1   45.253,   45.253,  45.253,  45.253,  45.253,  45.253,  45.253,
     2   48.570,   48.570,  48.570,  48.570,  48.570,  48.570,  48.570,
     3   52.038,   52.038,  52.038,  52.038,  52.038,  52.038,  52.038,
     4   55.623,   55.623,  55.623,  55.623,  55.623,  55.623,  55.623,
     5   59.295,   59.295,  59.295,  59.295,  59.295,  59.295,  59.295,
     6   63.037,   63.037,  63.037,  63.037,  63.037,  63.037,  63.037,
     7   66.856,   66.856,  66.856,  66.856,  66.856,  66.856,  66.856,
     8   70.791,   70.791,  70.791,  70.791,  70.791,  70.791,  70.790,
     9   74.951,   74.951,  74.951,  74.951,  74.951,  74.950,  74.946/
      DATA PF342/
     1   79.561,   79.561,  79.561,  79.561,  79.559,  79.554,  79.538,
     2   85.072,   85.072,  85.072,  85.072,  85.063,  85.044,  84.978,
     3   92.353,   92.353,  92.353,  92.352,  92.322,  92.254,  92.028,
     4  103.009,  103.009, 103.009, 103.006, 102.910, 102.702, 102.025,
     5  119.821,  119.819, 119.819, 119.810, 119.548, 118.981, 117.179,
     6  147.257,  147.252, 147.252, 147.231, 146.584, 145.200, 140.888,
     7  191.936,  191.924, 191.924, 191.877, 190.430, 187.367, 177.980,
     8  262.857,  262.831, 262.831, 262.734, 259.770, 253.552, 234.773,
     9  371.251,  371.201, 371.201, 371.017, 365.399, 353.711, 318.872/
      DATA PF343/
     1  529.958,  529.868, 529.868, 529.542, 519.609, 499.097, 438.662,
     2  752.369,  752.220, 752.220, 751.675, 735.169, 701.308, 602.566,
     3   12.040,   12.040,  12.040,  12.040,  12.040,  12.040,  12.040,
     4   12.289,   12.289,  12.289,  12.289,  12.289,  12.289,  12.289,
     5   12.537,   12.537,  12.537,  12.537,  12.537,  12.537,  12.537,
     6   12.783,   12.783,  12.783,  12.783,  12.783,  12.783,  12.783,
     7   13.027,   13.027,  13.027,  13.027,  13.027,  13.027,  13.027,
     8   13.268,   13.268,  13.268,  13.268,  13.268,  13.268,  13.268,
     9   13.507,   13.507,  13.507,  13.507,  13.507,  13.507,  13.507/
      DATA PF344/
     1   13.742,   13.742,  13.742,  13.742,  13.742,  13.742,  13.742,
     2   13.975,   13.975,  13.975,  13.975,  13.975,  13.975,  13.975,
     3   14.204,   14.204,  14.204,  14.204,  14.204,  14.204,  14.204,
     4   14.430,   14.430,  14.430,  14.430,  14.430,  14.430,  14.430,
     5   14.652,   14.652,  14.652,  14.652,  14.652,  14.652,  14.652,
     6   14.872,   14.872,  14.872,  14.872,  14.872,  14.872,  14.872,
     7   15.088,   15.088,  15.088,  15.088,  15.088,  15.088,  15.088,
     8   15.302,   15.302,  15.302,  15.302,  15.302,  15.302,  15.302,
     9   15.513,   15.513,  15.513,  15.513,  15.513,  15.513,  15.513/
      DATA PF345/
     1   15.721,   15.721,  15.721,  15.721,  15.721,  15.721,  15.721,
     2   15.928,   15.928,  15.928,  15.928,  15.928,  15.928,  15.928,
     3   16.134,   16.134,  16.134,  16.134,  16.134,  16.134,  16.134,
     4   16.338,   16.338,  16.338,  16.338,  16.338,  16.338,  16.338,
     5   16.645,   16.645,  16.645,  16.645,  16.645,  16.645,  16.645,
     6   16.954,   16.954,  16.954,  16.954,  16.954,  16.954,  16.954,
     7   17.266,   17.266,  17.266,  17.266,  17.266,  17.266,  17.266,
     8   17.586,   17.586,  17.586,  17.586,  17.586,  17.586,  17.586,
     9   17.915,   17.915,  17.915,  17.915,  17.915,  17.915,  17.915/
      DATA PF346/
     1   18.256,   18.256,  18.256,  18.256,  18.256,  18.256,  18.256,
     2   18.612,   18.612,  18.612,  18.612,  18.612,  18.612,  18.612,
     3   18.985,   18.985,  18.985,  18.985,  18.985,  18.985,  18.985,
     4   19.377,   19.377,  19.377,  19.377,  19.377,  19.377,  19.377,
     5   19.790,   19.790,  19.790,  19.790,  19.790,  19.790,  19.790,
     6   20.526,   20.526,  20.526,  20.526,  20.526,  20.526,  20.526,
     7   21.327,   21.327,  21.327,  21.327,  21.327,  21.327,  21.327,
     8   22.191,   22.191,  22.191,  22.191,  22.191,  22.191,  22.191,
     9   23.115,   23.115,  23.115,  23.115,  23.115,  23.115,  23.115/
      DATA PF347/
     1   24.091,   24.091,  24.091,  24.091,  24.091,  24.091,  24.091,
     2   25.110,   25.110,  25.110,  25.110,  25.110,  25.110,  25.110,
     3   26.161,   26.161,  26.161,  26.161,  26.161,  26.161,  26.161,
     4   27.233,   27.233,  27.233,  27.233,  27.233,  27.233,  27.233,
     5   28.313,   28.313,  28.313,  28.313,  28.313,  28.313,  28.313,
     6   29.391,   29.391,  29.391,  29.391,  29.391,  29.391,  29.391,
     7   30.455,   30.455,  30.455,  30.455,  30.455,  30.455,  30.455,
     8   31.498,   31.498,  31.498,  31.498,  31.498,  31.498,  31.498,
     9   32.513,   32.513,  32.513,  32.513,  32.513,  32.513,  32.513/
      DATA PF348/
     1   33.499,   33.499,  33.499,  33.499,  33.499,  33.499,  33.499,
     2   34.465,   34.465,  34.465,  34.465,  34.465,  34.465,  34.465,
     3   35.436,   35.436,  35.436,  35.436,  35.436,  35.436,  35.436,
     4   36.466,   36.466,  36.466,  36.466,  36.466,  36.466,  36.466,
     5   37.667,   37.667,  37.667,  37.667,  37.667,  37.667,  37.666,
     6   39.247,   39.247,  39.246,  39.246,  39.246,  39.246,  39.244,
     7   41.574,   41.574,  41.574,  41.574,  41.573,  41.572,  41.565,
     8   45.281,   45.281,  45.281,  45.279,  45.276,  45.274,  45.250,
     9   51.395,   51.395,  51.394,  51.390,  51.382,  51.374,  51.307/
      DATA PF349/
     1   61.500,   61.500,  61.496,  61.486,  61.465,  61.444,  61.275,
     2   77.883,   77.883,  77.874,  77.849,  77.801,  77.753,  77.366,
     3  103.622,  103.622, 103.604, 103.550, 103.447, 103.345, 102.538,
     4  142.555,  142.555, 142.520, 142.414, 142.213, 142.014, 140.459,
     5    6.388,    6.388,   6.388,   6.388,   6.388,   6.388,   6.388,
     6    6.489,    6.489,   6.489,   6.489,   6.489,   6.489,   6.489,
     7    6.589,    6.589,   6.589,   6.589,   6.589,   6.589,   6.589,
     8    6.689,    6.689,   6.689,   6.689,   6.689,   6.689,   6.689,
     9    6.788,    6.788,   6.788,   6.788,   6.788,   6.788,   6.788/
      DATA PF350/
     1    6.886,    6.886,   6.886,   6.886,   6.886,   6.886,   6.886,
     2    6.983,    6.983,   6.983,   6.983,   6.983,   6.983,   6.983,
     3    7.078,    7.078,   7.078,   7.078,   7.078,   7.078,   7.078,
     4    7.172,    7.172,   7.172,   7.172,   7.172,   7.172,   7.172,
     5    7.264,    7.264,   7.264,   7.264,   7.264,   7.264,   7.264,
     6    7.355,    7.355,   7.355,   7.355,   7.355,   7.355,   7.355,
     7    7.444,    7.444,   7.444,   7.444,   7.444,   7.444,   7.444,
     8    7.531,    7.531,   7.531,   7.531,   7.531,   7.531,   7.531,
     9    7.616,    7.616,   7.616,   7.616,   7.616,   7.616,   7.616/
      DATA PF351/
     1    7.699,    7.699,   7.699,   7.699,   7.699,   7.699,   7.699,
     2    7.781,    7.781,   7.781,   7.781,   7.781,   7.781,   7.781,
     3    7.860,    7.860,   7.860,   7.860,   7.860,   7.860,   7.860,
     4    7.938,    7.938,   7.938,   7.938,   7.938,   7.938,   7.938,
     5    8.013,    8.013,   8.013,   8.013,   8.013,   8.013,   8.013,
     6    8.086,    8.086,   8.086,   8.086,   8.086,   8.086,   8.086,
     7    8.192,    8.192,   8.192,   8.192,   8.192,   8.192,   8.192,
     8    8.294,    8.294,   8.294,   8.294,   8.294,   8.294,   8.294,
     9    8.391,    8.391,   8.391,   8.391,   8.391,   8.391,   8.391/
      DATA PF352/
     1    8.483,    8.483,   8.483,   8.483,   8.483,   8.483,   8.483,
     2    8.571,    8.571,   8.571,   8.571,   8.571,   8.571,   8.571,
     3    8.655,    8.655,   8.655,   8.655,   8.655,   8.655,   8.655,
     4    8.735,    8.735,   8.735,   8.735,   8.735,   8.735,   8.735,
     5    8.810,    8.810,   8.810,   8.810,   8.810,   8.810,   8.810,
     6    8.882,    8.882,   8.882,   8.882,   8.882,   8.882,   8.882,
     7    8.949,    8.949,   8.949,   8.949,   8.949,   8.949,   8.949,
     8    9.054,    9.054,   9.054,   9.054,   9.054,   9.054,   9.054,
     9    9.149,    9.149,   9.149,   9.149,   9.149,   9.149,   9.149/
      DATA PF353/
     1    9.236,    9.236,   9.236,   9.236,   9.236,   9.236,   9.236,
     2    9.314,    9.314,   9.314,   9.314,   9.314,   9.314,   9.314,
     3    9.384,    9.384,   9.384,   9.384,   9.384,   9.384,   9.384,
     4    9.448,    9.448,   9.448,   9.448,   9.448,   9.448,   9.448,
     5    9.506,    9.506,   9.506,   9.506,   9.506,   9.506,   9.506,
     6    9.557,    9.557,   9.557,   9.557,   9.557,   9.557,   9.557,
     7    9.604,    9.604,   9.604,   9.604,   9.604,   9.604,   9.604,
     8    9.646,    9.646,   9.646,   9.646,   9.646,   9.646,   9.646,
     9    9.683,    9.683,   9.683,   9.683,   9.683,   9.683,   9.683/
      DATA PF354/
     1    9.717,    9.717,   9.717,   9.717,   9.717,   9.717,   9.717,
     2    9.748,    9.748,   9.748,   9.748,   9.748,   9.748,   9.748,
     3    9.777,    9.777,   9.777,   9.777,   9.777,   9.777,   9.777,
     4    9.809,    9.809,   9.809,   9.809,   9.809,   9.809,   9.809,
     5    9.851,    9.851,   9.851,   9.851,   9.851,   9.851,   9.851,
     6    9.921,    9.921,   9.921,   9.921,   9.921,   9.921,   9.921,
     7   10.051,   10.051,  10.051,  10.051,  10.051,  10.051,  10.051,
     8   10.296,   10.296,  10.296,  10.296,  10.296,  10.296,  10.296,
     9   10.740,   10.740,  10.740,  10.740,  10.740,  10.740,  10.739/
      DATA PF355/
     1   11.506,   11.506,  11.505,  11.505,  11.505,  11.505,  11.504,
     2   12.764,   12.764,  12.764,  12.764,  12.764,  12.762,  12.759,
     3   14.746,   14.746,  14.745,  14.745,  14.745,  14.738,  14.729,
     4   17.758,   17.758,  17.758,  17.758,  17.755,  17.738,  17.710,
     5   22.207,   22.207,  22.206,  22.206,  22.199,  22.154,  22.084,
     6   28.615,   28.615,  28.611,  28.611,  28.595,  28.492,  28.333,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF356/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF357/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF358/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF359/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF360/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     6    1.002,    1.002,   1.002,   1.002,   1.002,   1.002,   1.002,
     7    1.006,    1.006,   1.006,   1.006,   1.006,   1.006,   1.006,
     8    1.016,    1.016,   1.016,   1.016,   1.016,   1.016,   1.016,
     9    1.039,    1.039,   1.039,   1.039,   1.039,   1.039,   1.039/
      DATA PF361/
     1    1.088,    1.088,   1.088,   1.088,   1.088,   1.088,   1.088,
     2    1.181,    1.181,   1.181,   1.181,   1.181,   1.181,   1.181,
     3    1.349,    1.349,   1.349,   1.349,   1.349,   1.349,   1.349,
     4    1.642,    1.642,   1.642,   1.642,   1.642,   1.642,   1.642,
     5    2.134,    2.134,   2.134,   2.134,   2.134,   2.134,   2.134,
     6    2.948,    2.948,   2.948,   2.948,   2.948,   2.948,   2.948,
     7    4.273,    4.273,   4.273,   4.273,   4.273,   4.273,   4.273,
     8    6.412,    6.412,   6.412,   6.412,   6.412,   6.412,   6.412,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF362/
     1    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     2    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     3    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     4    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     5    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     6    4.003,    4.003,   4.003,   4.003,   4.003,   4.003,   4.003,
     7    4.004,    4.004,   4.004,   4.004,   4.004,   4.004,   4.004,
     8    4.005,    4.005,   4.005,   4.005,   4.005,   4.005,   4.005,
     9    4.007,    4.007,   4.007,   4.007,   4.007,   4.007,   4.007/
      DATA PF363/
     1    4.009,    4.009,   4.009,   4.009,   4.009,   4.009,   4.009,
     2    4.011,    4.011,   4.011,   4.011,   4.011,   4.011,   4.011,
     3    4.014,    4.014,   4.014,   4.014,   4.014,   4.014,   4.014,
     4    4.017,    4.017,   4.017,   4.017,   4.017,   4.017,   4.017,
     5    4.021,    4.021,   4.021,   4.021,   4.021,   4.021,   4.021,
     6    4.026,    4.026,   4.026,   4.026,   4.026,   4.026,   4.026,
     7    4.032,    4.032,   4.032,   4.032,   4.032,   4.032,   4.032,
     8    4.039,    4.039,   4.039,   4.039,   4.039,   4.039,   4.039,
     9    4.046,    4.046,   4.046,   4.046,   4.046,   4.046,   4.046/
      DATA PF364/
     1    4.055,    4.055,   4.055,   4.055,   4.055,   4.055,   4.055,
     2    4.069,    4.069,   4.069,   4.069,   4.069,   4.069,   4.069,
     3    4.087,    4.087,   4.087,   4.087,   4.087,   4.087,   4.087,
     4    4.107,    4.107,   4.107,   4.107,   4.107,   4.107,   4.107,
     5    4.130,    4.130,   4.130,   4.130,   4.130,   4.130,   4.130,
     6    4.156,    4.156,   4.156,   4.156,   4.156,   4.156,   4.156,
     7    4.185,    4.185,   4.185,   4.185,   4.185,   4.185,   4.185,
     8    4.217,    4.217,   4.217,   4.217,   4.217,   4.217,   4.217,
     9    4.252,    4.252,   4.252,   4.252,   4.252,   4.252,   4.252/
      DATA PF365/
     1    4.289,    4.289,   4.289,   4.289,   4.289,   4.289,   4.289,
     2    4.329,    4.329,   4.329,   4.329,   4.329,   4.329,   4.329,
     3    4.400,    4.400,   4.400,   4.400,   4.400,   4.400,   4.400,
     4    4.477,    4.477,   4.477,   4.477,   4.477,   4.477,   4.477,
     5    4.557,    4.557,   4.557,   4.557,   4.557,   4.557,   4.557,
     6    4.640,    4.640,   4.640,   4.640,   4.640,   4.640,   4.640,
     7    4.725,    4.725,   4.725,   4.725,   4.725,   4.725,   4.725,
     8    4.809,    4.809,   4.809,   4.809,   4.809,   4.809,   4.809,
     9    4.893,    4.893,   4.893,   4.893,   4.893,   4.893,   4.893/
      DATA PF366/
     1    4.975,    4.975,   4.975,   4.975,   4.975,   4.975,   4.975,
     2    5.054,    5.054,   5.054,   5.054,   5.054,   5.054,   5.054,
     3    5.130,    5.130,   5.130,   5.130,   5.130,   5.130,   5.130,
     4    5.203,    5.203,   5.203,   5.203,   5.203,   5.203,   5.203,
     5    5.271,    5.271,   5.271,   5.271,   5.271,   5.271,   5.271,
     6    5.336,    5.336,   5.336,   5.336,   5.336,   5.336,   5.336,
     7    5.397,    5.397,   5.397,   5.397,   5.397,   5.397,   5.397,
     8    5.458,    5.458,   5.458,   5.458,   5.458,   5.458,   5.458,
     9    5.520,    5.520,   5.520,   5.520,   5.520,   5.520,   5.520/
      DATA PF367/
     1    5.595,    5.595,   5.595,   5.595,   5.595,   5.595,   5.595,
     2    5.697,    5.697,   5.697,   5.697,   5.697,   5.697,   5.697,
     3    5.856,    5.856,   5.856,   5.856,   5.856,   5.856,   5.856,
     4    6.117,    6.117,   6.117,   6.117,   6.117,   6.117,   6.117,
     5    6.550,    6.550,   6.550,   6.550,   6.550,   6.550,   6.550,
     6    7.257,    7.257,   7.257,   7.257,   7.257,   7.257,   7.257,
     7    8.393,    8.393,   8.393,   8.393,   8.393,   8.393,   8.393,
     8   10.190,   10.190,  10.190,  10.190,  10.190,  10.190,  10.190,
     9   13.002,   13.002,  13.002,  13.002,  13.002,  13.002,  13.002/
      DATA PF368/
     1   17.374,   17.374,  17.374,  17.374,  17.374,  17.374,  17.374,
     2    5.003,    5.003,   5.003,   5.003,   5.003,   5.003,   5.003,
     3    5.005,    5.005,   5.005,   5.005,   5.005,   5.005,   5.005,
     4    5.006,    5.006,   5.006,   5.006,   5.006,   5.006,   5.006,
     5    5.008,    5.008,   5.008,   5.008,   5.008,   5.008,   5.008,
     6    5.011,    5.011,   5.011,   5.011,   5.011,   5.011,   5.011,
     7    5.014,    5.014,   5.014,   5.014,   5.014,   5.014,   5.014,
     8    5.018,    5.018,   5.018,   5.018,   5.018,   5.018,   5.018,
     9    5.023,    5.023,   5.023,   5.023,   5.023,   5.023,   5.023/
      DATA PF369/
     1    5.029,    5.029,   5.029,   5.029,   5.029,   5.029,   5.029,
     2    5.036,    5.036,   5.036,   5.036,   5.036,   5.036,   5.036,
     3    5.045,    5.045,   5.045,   5.045,   5.045,   5.045,   5.045,
     4    5.054,    5.054,   5.054,   5.054,   5.054,   5.054,   5.054,
     5    5.066,    5.066,   5.066,   5.066,   5.066,   5.066,   5.066,
     6    5.079,    5.079,   5.079,   5.079,   5.079,   5.079,   5.079,
     7    5.094,    5.094,   5.094,   5.094,   5.094,   5.094,   5.094,
     8    5.112,    5.112,   5.112,   5.112,   5.112,   5.112,   5.112,
     9    5.131,    5.131,   5.131,   5.131,   5.131,   5.131,   5.131/
      DATA PF370/
     1    5.153,    5.153,   5.153,   5.153,   5.153,   5.153,   5.153,
     2    5.177,    5.177,   5.177,   5.177,   5.177,   5.177,   5.177,
     3    5.203,    5.203,   5.203,   5.203,   5.203,   5.203,   5.203,
     4    5.248,    5.248,   5.248,   5.248,   5.248,   5.248,   5.248,
     5    5.298,    5.298,   5.298,   5.298,   5.298,   5.298,   5.298,
     6    5.355,    5.355,   5.355,   5.355,   5.355,   5.355,   5.355,
     7    5.418,    5.418,   5.418,   5.418,   5.418,   5.418,   5.418,
     8    5.488,    5.488,   5.488,   5.488,   5.488,   5.488,   5.488,
     9    5.563,    5.563,   5.563,   5.563,   5.563,   5.563,   5.563/
      DATA PF371/
     1    5.646,    5.646,   5.646,   5.646,   5.646,   5.646,   5.646,
     2    5.734,    5.734,   5.734,   5.734,   5.734,   5.734,   5.734,
     3    5.830,    5.830,   5.830,   5.830,   5.830,   5.830,   5.830,
     4    5.931,    5.931,   5.931,   5.931,   5.931,   5.931,   5.931,
     5    6.116,    6.116,   6.116,   6.116,   6.116,   6.116,   6.116,
     6    6.319,    6.319,   6.319,   6.319,   6.319,   6.319,   6.319,
     7    6.542,    6.542,   6.542,   6.542,   6.542,   6.542,   6.542,
     8    6.784,    6.784,   6.784,   6.784,   6.784,   6.784,   6.784,
     9    7.045,    7.045,   7.045,   7.045,   7.045,   7.045,   7.045/
      DATA PF372/
     1    7.325,    7.325,   7.325,   7.325,   7.325,   7.325,   7.325,
     2    7.622,    7.622,   7.622,   7.622,   7.622,   7.622,   7.622,
     3    7.934,    7.934,   7.934,   7.934,   7.934,   7.934,   7.934,
     4    8.259,    8.259,   8.259,   8.259,   8.259,   8.259,   8.259,
     5    8.595,    8.595,   8.595,   8.595,   8.595,   8.595,   8.595,
     6    8.938,    8.938,   8.938,   8.938,   8.938,   8.938,   8.938,
     7    9.285,    9.285,   9.285,   9.285,   9.285,   9.285,   9.285,
     8    9.635,    9.635,   9.635,   9.635,   9.635,   9.635,   9.635,
     9    9.984,    9.984,   9.984,   9.984,   9.984,   9.984,   9.984/
      DATA PF373/
     1   10.336,   10.336,  10.336,  10.336,  10.336,  10.336,  10.336,
     2   10.693,   10.693,  10.693,  10.693,  10.693,  10.693,  10.693,
     3   11.069,   11.069,  11.069,  11.069,  11.069,  11.069,  11.069,
     4   11.487,   11.487,  11.487,  11.487,  11.487,  11.487,  11.487,
     5   11.987,   11.987,  11.987,  11.987,  11.987,  11.987,  11.987,
     6   12.633,   12.633,  12.633,  12.633,  12.633,  12.633,  12.633,
     7   13.520,   13.520,  13.520,  13.520,  13.520,  13.520,  13.520,
     8   14.787,   14.787,  14.787,  14.787,  14.787,  14.787,  14.787,
     9   16.631,   16.631,  16.631,  16.631,  16.631,  16.631,  16.631/
      DATA PF374/
     1   19.338,   19.338,  19.338,  19.338,  19.338,  19.338,  19.338,
     2   23.317,   23.317,  23.317,  23.317,  23.317,  23.317,  23.317,
     3   29.168,   29.168,  29.168,  29.168,  29.168,  29.168,  29.168,
     4   19.692,   19.692,  19.692,  19.692,  19.692,  19.692,  19.692,
     5   19.946,   19.946,  19.946,  19.946,  19.946,  19.946,  19.946,
     6   20.207,   20.207,  20.207,  20.207,  20.207,  20.207,  20.207,
     7   20.476,   20.476,  20.476,  20.476,  20.476,  20.476,  20.476,
     8   20.754,   20.754,  20.754,  20.754,  20.754,  20.754,  20.754,
     9   21.044,   21.044,  21.044,  21.044,  21.044,  21.044,  21.044/
      DATA PF375/
     1   21.348,   21.348,  21.348,  21.348,  21.348,  21.348,  21.348,
     2   21.667,   21.667,  21.667,  21.667,  21.667,  21.667,  21.667,
     3   22.004,   22.004,  22.004,  22.004,  22.004,  22.004,  22.004,
     4   22.362,   22.362,  22.362,  22.362,  22.362,  22.362,  22.361,
     5   22.742,   22.742,  22.742,  22.742,  22.742,  22.742,  22.742,
     6   23.148,   23.148,  23.148,  23.148,  23.148,  23.148,  23.148,
     7   23.584,   23.584,  23.584,  23.584,  23.584,  23.584,  23.583,
     8   24.052,   24.052,  24.052,  24.052,  24.052,  24.052,  24.051,
     9   24.557,   24.557,  24.557,  24.557,  24.557,  24.557,  24.556/
      DATA PF376/
     1   25.105,   25.105,  25.105,  25.105,  25.105,  25.104,  25.103,
     2   25.699,   25.699,  25.699,  25.699,  25.699,  25.699,  25.696,
     3   26.347,   26.347,  26.347,  26.347,  26.347,  26.347,  26.341,
     4   27.056,   27.056,  27.056,  27.056,  27.056,  27.056,  27.047,
     5   27.834,   27.834,  27.834,  27.834,  27.834,  27.833,  27.818,
     6   29.153,   29.153,  29.153,  29.153,  29.152,  29.150,  29.120,
     7   30.689,   30.689,  30.688,  30.688,  30.686,  30.681,  30.624,
     8   32.490,   32.490,  32.490,  32.488,  32.484,  32.472,  32.367,
     9   34.619,   34.619,  34.617,  34.612,  34.602,  34.576,  34.389/
      DATA PF377/
     1   37.152,   37.151,  37.147,  37.136,  37.112,  37.057,  36.737,
     2   40.188,   40.186,  40.176,  40.151,  40.098,  39.989,  39.455,
     3   43.856,   43.851,  43.829,  43.775,  43.664,  43.456,  42.594,
     4   48.322,   48.310,  48.266,  48.154,  47.934,  47.554,  46.202,
     5   53.803,   53.780,  53.693,  53.474,  53.056,  52.388,  50.323,
     6   60.584,   60.539,  60.374,  59.965,  59.205,  58.074,  55.000,
     7   75.805,   75.685,  75.248,  74.190,  72.301,  69.778,  64.126,
     8   98.002,   97.715,  96.675,  94.205,  89.953,  84.791,  75.012,
     9  130.393,  129.764, 127.511, 122.253, 113.490, 103.711,  87.706/
      DATA PF378/
     1  177.139,  175.874, 171.388, 161.078, 144.378, 127.086, 102.180,
     2  243.218,  240.863, 232.575, 213.785, 184.112, 155.358, 118.325,
     3  334.109,  330.010, 315.685, 283.604, 234.070, 188.811, 135.966,
     4  455.302,  448.584, 425.258, 373.577, 295.363, 227.535, 154.871,
     5  611.734,  601.300, 565.276, 486.228, 368.703, 271.406, 174.770,
     6  807.227,  791.780, 738.715, 623.266, 454.314, 320.086, 195.372,
     7 1044.045, 1022.131, 947.188, 785.378, 551.886, 373.050, 216.382,
     8 1322.623, 1292.694,1190.753, 972.138, 660.596, 429.620, 237.516,
     9 1641.501, 1601.988,1467.884,1182.028, 779.169, 489.011, 258.512/
      DATA PF379/
     1 1997.454, 1946.842,1775.611,1412.573, 905.981, 550.380, 279.137,
     2 2385.781, 2322.673,2109.771,1660.539,1039.170, 612.874, 299.192,
     3 2800.685, 2723.862,2465.345,1922.183,1176.761, 675.671, 318.517,
     4 3235.699, 3144.159,2836.810,2193.498,1316.775, 738.010, 336.985,
     5 3684.095, 3577.077,3218.484,2470.447,1457.320, 799.216, 354.504,
     6 4139.252, 4016.247,3604.823,2749.161,1596.668, 858.711, 371.014,
     7 4594.948, 4455.693,3990.657,3026.088,1733.297, 916.026, 386.479,
     8 5045.575, 4890.036,4371.358,3298.094,1865.923, 970.793, 400.889,
     9 5486.275, 5314.625,4742.944,3562.522,1993.507,1022.743, 414.254/
      DATA PF380/
     1 5913.008, 5725.597,5102.129,3817.216,2115.252,1071.699, 426.594,
     2 6322.559, 6119.885,5446.320,4060.508,2230.584,1117.562, 437.947,
     3 6712.506, 6495.185,5773.589,4291.191,2339.131,1160.300, 448.355,
     4 7081.158, 6849.892,6082.609,4508.468,2440.699,1199.938, 457.867,
     5 7427.471, 7183.025,6372.590,4711.909,2535.242,1236.543, 466.539,
     6   28.795,   28.795,  28.795,  28.795,  28.795,  28.795,  28.795,
     7   29.467,   29.467,  29.467,  29.467,  29.467,  29.467,  29.467,
     8   30.148,   30.148,  30.148,  30.148,  30.148,  30.148,  30.148,
     9   30.838,   30.838,  30.838,  30.838,  30.838,  30.838,  30.838/
      DATA PF381/
     1   31.536,   31.536,  31.536,  31.536,  31.536,  31.536,  31.536,
     2   32.244,   32.244,  32.244,  32.244,  32.244,  32.244,  32.244,
     3   32.960,   32.960,  32.960,  32.960,  32.960,  32.960,  32.960,
     4   33.685,   33.685,  33.685,  33.685,  33.685,  33.685,  33.685,
     5   34.419,   34.419,  34.419,  34.419,  34.419,  34.419,  34.419,
     6   35.163,   35.163,  35.163,  35.163,  35.163,  35.163,  35.163,
     7   35.918,   35.918,  35.918,  35.918,  35.918,  35.918,  35.918,
     8   36.684,   36.684,  36.684,  36.684,  36.684,  36.684,  36.684,
     9   37.463,   37.463,  37.463,  37.463,  37.463,  37.463,  37.463/
      DATA PF382/
     1   38.257,   38.257,  38.257,  38.257,  38.257,  38.257,  38.257,
     2   39.067,   39.067,  39.067,  39.067,  39.067,  39.067,  39.067,
     3   39.896,   39.896,  39.896,  39.896,  39.896,  39.896,  39.896,
     4   40.746,   40.746,  40.746,  40.746,  40.746,  40.746,  40.746,
     5   41.622,   41.622,  41.622,  41.622,  41.622,  41.622,  41.622,
     6   42.526,   42.526,  42.526,  42.526,  42.526,  42.526,  42.526,
     7   43.464,   43.464,  43.464,  43.464,  43.464,  43.464,  43.464,
     8   44.946,   44.946,  44.946,  44.946,  44.946,  44.946,  44.946,
     9   46.536,   46.536,  46.536,  46.536,  46.536,  46.536,  46.536/
      DATA PF383/
     1   48.258,   48.258,  48.258,  48.258,  48.258,  48.258,  48.258,
     2   50.140,   50.140,  50.140,  50.140,  50.140,  50.140,  50.140,
     3   52.215,   52.215,  52.215,  52.215,  52.215,  52.215,  52.215,
     4   54.519,   54.519,  54.519,  54.519,  54.519,  54.519,  54.519,
     5   57.093,   57.093,  57.093,  57.093,  57.093,  57.093,  57.093,
     6   59.980,   59.980,  59.980,  59.980,  59.980,  59.980,  59.980,
     7   63.230,   63.230,  63.230,  63.230,  63.230,  63.230,  63.230,
     8   66.899,   66.899,  66.899,  66.899,  66.899,  66.899,  66.898,
     9   74.112,   74.112,  74.112,  74.112,  74.112,  74.111,  74.106/
      DATA PF384/
     1   83.002,   83.001,  83.001,  83.001,  83.000,  82.995,  82.973,
     2   94.020,   94.020,  94.019,  94.017,  94.011,  93.992,  93.908,
     3  107.809,  107.808, 107.805, 107.798, 107.774, 107.702, 107.427,
     4  125.325,  125.321, 125.311, 125.283, 125.202, 124.972, 124.182,
     5  148.022,  148.009, 147.979, 147.893, 147.652, 146.997, 144.970,
     6  178.080,  178.046, 177.962, 177.730, 177.089, 175.428, 170.728,
     7  218.642,  218.557, 218.348, 217.784, 216.257, 212.447, 202.492,
     8  273.973,  273.782, 273.317, 272.067, 268.757, 260.770, 241.323,
     9  349.483,  349.092, 348.139, 345.601, 339.005, 323.554, 288.212/
      DATA PF385/
     1  451.527,  450.783, 448.978, 444.209, 432.010, 404.187, 343.967,
     2  586.971,  585.651, 582.463, 574.095, 552.992, 505.991, 409.120,
     3  762.573,  760.375, 755.081, 741.267, 706.876, 631.869, 483.847,
     4  984.275,  980.811, 972.491, 950.899, 897.749, 783.975, 567.932,
     5 1256.523, 1251.328,1238.881,1206.728,1128.386, 963.442, 660.764,
     6 1581.735, 1574.280,1556.456,1510.608,1399.902,1170.229, 761.380,
     7 1960.002, 1949.714,1925.169,1862.267,1711.600,1403.095, 868.532,
     8 2389.037, 2375.329,2342.684,2259.302,2061.006,1659.686, 980.774,
     9 2864.368, 2846.665,2804.572,2697.378,2444.077,1936.729,1096.548/
      DATA PF386/
     1 3379.718, 3357.483,3304.687,3170.596,2855.531,2230.276,1214.278,
     2 3927.498, 3900.254,3835.646,3671.942,3289.242,2535.981,1332.443,
     3 4499.342, 4466.691,4389.345,4193.779,3738.651,2849.364,1449.637,
     4 5086.626, 5048.257,4957.457,4728.301,4197.145,3166.042,1564.612,
     5 5680.920, 5636.616,5531.863,5267.938,4658.378,3481.920,1676.303,
     6 6274.347, 6223.984,6104.999,5805.663,5116.521,3793.322,1783.843,
     7 6859.847, 6803.388,6670.097,6335.215,5566.429,4097.083,1886.555,
     8   19.261,   19.261,  19.261,  19.261,  19.261,  19.261,  19.261,
     9   19.464,   19.464,  19.464,  19.464,  19.464,  19.464,  19.464/
      DATA PF387/
     1   19.661,   19.661,  19.661,  19.661,  19.661,  19.661,  19.661,
     2   19.854,   19.854,  19.854,  19.854,  19.854,  19.854,  19.854,
     3   20.041,   20.041,  20.041,  20.041,  20.041,  20.041,  20.041,
     4   20.224,   20.224,  20.224,  20.224,  20.224,  20.224,  20.224,
     5   20.402,   20.402,  20.402,  20.402,  20.402,  20.402,  20.402,
     6   20.575,   20.575,  20.575,  20.575,  20.575,  20.575,  20.575,
     7   20.743,   20.743,  20.743,  20.743,  20.743,  20.743,  20.743,
     8   20.908,   20.908,  20.908,  20.908,  20.908,  20.908,  20.908,
     9   21.068,   21.068,  21.068,  21.068,  21.068,  21.068,  21.068/
      DATA PF388/
     1   21.225,   21.225,  21.225,  21.225,  21.225,  21.225,  21.225,
     2   21.378,   21.378,  21.378,  21.378,  21.378,  21.378,  21.378,
     3   21.530,   21.530,  21.530,  21.530,  21.530,  21.530,  21.530,
     4   21.680,   21.680,  21.680,  21.680,  21.680,  21.680,  21.680,
     5   21.830,   21.830,  21.830,  21.830,  21.830,  21.830,  21.830,
     6   21.981,   21.981,  21.981,  21.981,  21.981,  21.981,  21.981,
     7   22.135,   22.135,  22.135,  22.135,  22.135,  22.135,  22.135,
     8   22.294,   22.294,  22.294,  22.294,  22.294,  22.294,  22.294,
     9   22.459,   22.459,  22.459,  22.459,  22.459,  22.459,  22.459/
      DATA PF389/
     1   22.726,   22.726,  22.726,  22.726,  22.726,  22.726,  22.726,
     2   23.024,   23.024,  23.024,  23.024,  23.024,  23.024,  23.024,
     3   23.364,   23.364,  23.364,  23.364,  23.364,  23.364,  23.364,
     4   23.759,   23.759,  23.759,  23.759,  23.759,  23.759,  23.759,
     5   24.225,   24.225,  24.225,  24.225,  24.225,  24.225,  24.225,
     6   24.777,   24.777,  24.777,  24.777,  24.777,  24.777,  24.777,
     7   25.431,   25.431,  25.431,  25.431,  25.431,  25.431,  25.431,
     8   26.206,   26.206,  26.206,  26.206,  26.206,  26.206,  26.206,
     9   27.118,   27.118,  27.118,  27.118,  27.118,  27.118,  27.118/
      DATA PF390/
     1   28.186,   28.186,  28.186,  28.186,  28.186,  28.186,  28.186,
     2   30.360,   30.360,  30.360,  30.360,  30.360,  30.360,  30.360,
     3   33.097,   33.097,  33.097,  33.097,  33.097,  33.097,  33.097,
     4   36.482,   36.482,  36.482,  36.482,  36.482,  36.482,  36.482,
     5   40.609,   40.609,  40.609,  40.609,  40.609,  40.609,  40.609,
     6   45.595,   45.595,  45.595,  45.595,  45.595,  45.595,  45.595,
     7   51.603,   51.603,  51.603,  51.603,  51.603,  51.603,  51.602,
     8   58.864,   58.864,  58.864,  58.864,  58.863,  58.862,  58.859,
     9   67.724,   67.724,  67.723,  67.723,  67.720,  67.716,  67.702/
      DATA PF391/
     1   78.710,   78.708,  78.705,  78.703,  78.690,  78.673,  78.620,
     2   92.634,   92.626,  92.616,  92.607,  92.558,  92.497,  92.314,
     3  110.769,  110.742, 110.706, 110.678, 110.517, 110.321, 109.772,
     4  135.082,  135.003, 134.897, 134.814, 134.347, 133.797, 132.334,
     5  168.539,  168.329, 168.052, 167.835, 166.633, 165.251, 161.745,
     6  215.393,  214.896, 214.239, 213.730, 210.934, 207.795, 200.156,
     7  281.384,  280.310, 278.897, 277.806, 271.875, 265.351, 250.055,
     8  373.723,  371.591, 368.790, 366.640, 355.047, 342.525, 314.118,
     9  500.793,  496.864, 491.713, 487.776, 466.708, 444.317, 394.990/
      DATA PF392/
     1  671.547,  664.773, 655.906, 649.156, 613.275, 575.691, 495.019,
     2  894.678,  883.673, 869.285, 858.370, 800.700, 741.067, 615.993,
     3 1177.698, 1160.735,1138.586,1121.837,1033.806, 943.819, 758.925,
     4 1526.072, 1501.128,1468.594,1444.062,1315.727,1185.876, 923.911,
     5 1942.576, 1907.403,1861.573,1827.101,1647.523,1467.471,1110.095,
     6 2426.952, 2379.173,2316.973,2270.293,2028.027,1787.082,1315.723,
     7 2975.893, 2913.118,2831.460,2770.299,2453.929,2141.550,1538.276,
     8 3583.340, 3503.275,3399.197,3321.382,2920.061,2526.343,1774.664,
     9 4240.993, 4141.541,4012.342,3915.899,3419.813,2935.906,2021.435/
      DATA PF393/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF394/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     8    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     9    6.002,    6.002,   6.002,   6.002,   6.002,   6.002,   6.002/
      DATA PF395/
     1    6.003,    6.003,   6.003,   6.003,   6.003,   6.003,   6.003,
     2    6.004,    6.004,   6.004,   6.004,   6.004,   6.004,   6.004,
     3    6.008,    6.008,   6.008,   6.008,   6.008,   6.008,   6.008,
     4    6.015,    6.015,   6.015,   6.015,   6.015,   6.015,   6.015,
     5    6.026,    6.026,   6.026,   6.026,   6.026,   6.026,   6.026,
     6    6.043,    6.043,   6.043,   6.043,   6.043,   6.043,   6.043,
     7    6.071,    6.071,   6.071,   6.071,   6.071,   6.071,   6.071,
     8    6.114,    6.114,   6.114,   6.114,   6.114,   6.114,   6.114,
     9    6.176,    6.176,   6.176,   6.176,   6.176,   6.176,   6.176/
      DATA PF396/
     1    6.267,    6.267,   6.267,   6.267,   6.267,   6.267,   6.267,
     2    6.394,    6.394,   6.394,   6.394,   6.394,   6.394,   6.394,
     3    6.569,    6.569,   6.569,   6.569,   6.569,   6.569,   6.569,
     4    7.005,    7.005,   7.005,   7.005,   7.005,   7.005,   7.005,
     5    7.684,    7.684,   7.684,   7.684,   7.684,   7.684,   7.684,
     6    8.697,    8.697,   8.697,   8.697,   8.697,   8.697,   8.697,
     7   10.140,   10.140,  10.140,  10.140,  10.140,  10.140,  10.140,
     8   12.118,   12.118,  12.118,  12.118,  12.118,  12.118,  12.118,
     9   14.733,   14.733,  14.733,  14.733,  14.733,  14.733,  14.733/
      DATA PF397/
     1   18.079,   18.079,  18.079,  18.079,  18.079,  18.079,  18.079,
     2   22.240,   22.240,  22.240,  22.240,  22.240,  22.240,  22.240,
     3   27.293,   27.293,  27.293,  27.293,  27.293,  27.293,  27.293,
     4   33.317,   33.317,  33.317,  33.317,  33.317,  33.316,  33.316,
     5   40.419,   40.419,  40.419,  40.419,  40.418,  40.418,  40.418,
     6   48.781,   48.780,  48.780,  48.780,  48.779,  48.777,  48.773,
     7   58.739,   58.738,  58.737,  58.733,  58.730,  58.722,  58.701,
     8   70.943,   70.937,  70.931,  70.916,  70.902,  70.863,  70.773,
     9   86.649,   86.626,  86.603,  86.542,  86.490,  86.338,  86.006/
      DATA PF398/
     1  108.252,  108.172, 108.095, 107.889, 107.714, 107.209, 106.144,
     2  140.109,  139.870, 139.641, 139.028, 138.511, 137.042, 134.035,
     3  189.665,  189.033, 188.425, 186.807, 185.453, 181.642, 174.059,
     4  268.697,  267.191, 265.743, 261.899, 258.702, 249.795, 232.499,
     5  394.354,  391.085, 387.948, 379.636, 372.763, 353.778, 317.712,
     6  589.551,  583.033, 576.782, 560.258, 546.660, 509.392, 439.960,
     7  882.376,  870.316, 858.762, 828.276, 803.299, 735.314, 610.833,
     8 1304.331, 1283.464,1263.487,1210.863,1167.920,1051.749, 842.299,
     9 1887.589, 1853.575,1821.030,1735.431,1665.822,1478.548,1145.514/
      DATA PF399/
     1 2661.691, 2609.112,2558.835,2426.773,2319.714,2033.093,1529.593,
     2 3650.253, 3572.739,3498.656,3304.293,3147.168,2728.338,2000.570,
     3   15.218,   15.218,  15.218,  15.218,  15.218,  15.218,  15.218,
     4   15.531,   15.531,  15.531,  15.531,  15.531,  15.531,  15.531,
     5   15.839,   15.839,  15.839,  15.839,  15.839,  15.839,  15.839,
     6   16.142,   16.142,  16.142,  16.142,  16.142,  16.142,  16.142,
     7   16.438,   16.438,  16.438,  16.438,  16.438,  16.438,  16.438,
     8   16.728,   16.728,  16.728,  16.728,  16.728,  16.728,  16.728,
     9   17.012,   17.012,  17.012,  17.012,  17.012,  17.012,  17.012/
      DATA PF400/
     1   17.290,   17.290,  17.290,  17.290,  17.290,  17.290,  17.290,
     2   17.561,   17.561,  17.561,  17.561,  17.561,  17.561,  17.561,
     3   17.826,   17.826,  17.826,  17.826,  17.826,  17.826,  17.826,
     4   18.084,   18.084,  18.084,  18.084,  18.084,  18.084,  18.084,
     5   18.336,   18.336,  18.336,  18.336,  18.336,  18.336,  18.336,
     6   18.582,   18.582,  18.582,  18.582,  18.582,  18.582,  18.582,
     7   18.821,   18.821,  18.821,  18.821,  18.821,  18.821,  18.821,
     8   19.054,   19.054,  19.054,  19.054,  19.054,  19.054,  19.054,
     9   19.281,   19.281,  19.281,  19.281,  19.281,  19.281,  19.281/
      DATA PF401/
     1   19.503,   19.503,  19.503,  19.503,  19.503,  19.503,  19.503,
     2   19.721,   19.721,  19.721,  19.721,  19.721,  19.721,  19.721,
     3   19.935,   19.935,  19.935,  19.935,  19.935,  19.935,  19.935,
     4   20.146,   20.146,  20.146,  20.146,  20.146,  20.146,  20.146,
     5   20.460,   20.460,  20.460,  20.460,  20.460,  20.460,  20.460,
     6   20.775,   20.775,  20.775,  20.775,  20.775,  20.775,  20.775,
     7   21.098,   21.098,  21.098,  21.098,  21.098,  21.098,  21.098,
     8   21.437,   21.437,  21.437,  21.437,  21.437,  21.437,  21.437,
     9   21.801,   21.801,  21.801,  21.801,  21.801,  21.801,  21.801/
      DATA PF402/
     1   22.203,   22.203,  22.203,  22.203,  22.203,  22.203,  22.203,
     2   22.654,   22.654,  22.654,  22.654,  22.654,  22.654,  22.654,
     3   23.169,   23.169,  23.169,  23.169,  23.169,  23.169,  23.169,
     4   23.763,   23.763,  23.763,  23.763,  23.763,  23.763,  23.763,
     5   24.453,   24.453,  24.453,  24.453,  24.453,  24.453,  24.453,
     6   25.859,   25.859,  25.859,  25.859,  25.859,  25.859,  25.859,
     7   27.649,   27.649,  27.649,  27.649,  27.649,  27.649,  27.649,
     8   29.893,   29.893,  29.893,  29.893,  29.893,  29.893,  29.893,
     9   32.647,   32.647,  32.647,  32.647,  32.647,  32.647,  32.647/
      DATA PF403/
     1   35.951,   35.951,  35.951,  35.951,  35.951,  35.951,  35.951,
     2   39.830,   39.830,  39.830,  39.830,  39.830,  39.830,  39.830,
     3   44.287,   44.287,  44.287,  44.287,  44.287,  44.287,  44.287,
     4   49.307,   49.307,  49.307,  49.307,  49.307,  49.307,  49.307,
     5   54.859,   54.859,  54.859,  54.859,  54.859,  54.859,  54.859,
     6   60.898,   60.898,  60.898,  60.898,  60.898,  60.898,  60.898,
     7   67.374,   67.374,  67.374,  67.374,  67.374,  67.374,  67.374,
     8   74.245,   74.245,  74.245,  74.245,  74.245,  74.245,  74.245,
     9   81.494,   81.494,  81.494,  81.494,  81.494,  81.494,  81.494/
      DATA PF404/
     1   89.160,   89.160,  89.160,  89.159,  89.159,  89.159,  89.158,
     2   97.379,   97.379,  97.379,  97.378,  97.378,  97.375,  97.371,
     3  106.480,  106.480, 106.479, 106.475, 106.472, 106.459, 106.435,
     4  117.148,  117.148, 117.141, 117.123, 117.110, 117.056, 116.955,
     5  130.762,  130.762, 130.733, 130.664, 130.616, 130.416, 130.052,
     6  149.982,  149.981, 149.888, 149.660, 149.506, 148.862, 147.721,
     7  179.660,  179.657, 179.389, 178.734, 178.292, 176.466, 173.310,
     8  228.024,  228.018, 227.327, 225.646, 224.519, 219.898, 212.084,
     9  307.932,  307.917, 306.314, 302.420, 299.823, 289.250, 271.719/
      DATA PF405/
     1  437.809,  437.777, 434.385, 426.152, 420.687, 398.576, 362.553,
     2  641.858,  641.796, 635.178, 619.132, 608.526, 565.851, 497.404,
     3  949.185,  949.072, 937.065, 907.982, 888.831, 812.151, 690.860,
     4 1391.783, 1391.591,1371.175,1321.762,1289.334,1160.059, 958.090,
     5   14.270,   14.270,  14.270,  14.270,  14.270,  14.270,  14.270,
     6   14.631,   14.631,  14.631,  14.631,  14.631,  14.631,  14.631,
     7   14.992,   14.992,  14.992,  14.992,  14.992,  14.992,  14.992,
     8   15.350,   15.350,  15.350,  15.350,  15.350,  15.350,  15.350,
     9   15.707,   15.707,  15.707,  15.707,  15.707,  15.707,  15.707/
      DATA PF406/
     1   16.061,   16.061,  16.061,  16.061,  16.061,  16.061,  16.061,
     2   16.411,   16.411,  16.411,  16.411,  16.411,  16.411,  16.411,
     3   16.759,   16.759,  16.759,  16.759,  16.759,  16.759,  16.759,
     4   17.102,   17.102,  17.102,  17.102,  17.102,  17.102,  17.102,
     5   17.441,   17.441,  17.441,  17.441,  17.441,  17.441,  17.441,
     6   17.776,   17.776,  17.776,  17.776,  17.776,  17.776,  17.776,
     7   18.106,   18.106,  18.106,  18.106,  18.106,  18.106,  18.106,
     8   18.432,   18.432,  18.432,  18.432,  18.432,  18.432,  18.432,
     9   18.753,   18.753,  18.753,  18.753,  18.753,  18.753,  18.753/
      DATA PF407/
     1   19.069,   19.069,  19.069,  19.069,  19.069,  19.069,  19.069,
     2   19.382,   19.382,  19.382,  19.382,  19.382,  19.382,  19.382,
     3   19.691,   19.691,  19.691,  19.691,  19.691,  19.691,  19.691,
     4   19.997,   19.997,  19.997,  19.997,  19.997,  19.997,  19.997,
     5   20.300,   20.300,  20.300,  20.300,  20.300,  20.300,  20.300,
     6   20.602,   20.602,  20.602,  20.602,  20.602,  20.602,  20.602,
     7   21.056,   21.056,  21.056,  21.056,  21.056,  21.056,  21.056,
     8   21.512,   21.512,  21.512,  21.512,  21.512,  21.512,  21.512,
     9   21.979,   21.979,  21.979,  21.979,  21.979,  21.979,  21.979/
      DATA PF408/
     1   22.461,   22.461,  22.461,  22.461,  22.461,  22.461,  22.461,
     2   22.965,   22.965,  22.965,  22.965,  22.965,  22.965,  22.965,
     3   23.500,   23.500,  23.500,  23.500,  23.500,  23.500,  23.500,
     4   24.073,   24.073,  24.073,  24.073,  24.073,  24.073,  24.073,
     5   24.693,   24.693,  24.693,  24.693,  24.693,  24.693,  24.693,
     6   25.368,   25.368,  25.368,  25.368,  25.368,  25.368,  25.368,
     7   26.107,   26.107,  26.107,  26.107,  26.107,  26.107,  26.107,
     8   27.499,   27.499,  27.499,  27.499,  27.499,  27.499,  27.499,
     9   29.119,   29.119,  29.119,  29.119,  29.119,  29.119,  29.119/
      DATA PF409/
     1   30.989,   30.989,  30.989,  30.989,  30.989,  30.989,  30.989,
     2   33.124,   33.124,  33.124,  33.124,  33.124,  33.124,  33.124,
     3   35.525,   35.525,  35.525,  35.525,  35.525,  35.525,  35.525,
     4   38.187,   38.187,  38.187,  38.187,  38.187,  38.187,  38.187,
     5   41.093,   41.093,  41.093,  41.093,  41.093,  41.093,  41.093,
     6   44.218,   44.218,  44.218,  44.218,  44.218,  44.218,  44.218,
     7   47.531,   47.531,  47.531,  47.531,  47.531,  47.531,  47.531,
     8   50.998,   50.998,  50.998,  50.998,  50.998,  50.998,  50.998,
     9   54.581,   54.581,  54.581,  54.581,  54.581,  54.581,  54.581/
      DATA PF410/
     1   58.240,   58.240,  58.240,  58.240,  58.240,  58.240,  58.240,
     2   61.941,   61.941,  61.941,  61.941,  61.941,  61.941,  61.941,
     3   65.657,   65.657,  65.657,  65.657,  65.657,  65.657,  65.657,
     4   69.379,   69.379,  69.379,  69.379,  69.379,  69.379,  69.379,
     5   73.126,   73.126,  73.126,  73.126,  73.126,  73.126,  73.126,
     6   76.978,   76.978,  76.978,  76.978,  76.977,  76.977,  76.977,
     7   81.117,   81.117,  81.117,  81.117,  81.117,  81.117,  81.114,
     8   85.922,   85.921,  85.921,  85.921,  85.920,  85.919,  85.903,
     9   92.113,   92.113,  92.112,  92.111,  92.108,  92.103,  92.042/
      DATA PF411/
     1  101.024,  101.023, 101.021, 101.016, 101.006, 100.987, 100.785,
     2  114.980,  114.978, 114.970, 114.956, 114.925, 114.869, 114.276,
     3  137.804,  137.798, 137.778, 137.739, 137.655, 137.505, 135.955,
     4  175.347,  175.331, 175.283, 175.190, 174.988, 174.630, 170.978,
     5  235.900,  235.866, 235.759, 235.555, 235.113, 234.335, 226.500,
     6  330.304,  330.235, 330.019, 329.607, 328.721, 327.165, 311.692,
     7   10.200,   10.200,  10.200,  10.200,  10.200,  10.200,  10.200,
     8   10.448,   10.448,  10.448,  10.448,  10.448,  10.448,  10.448,
     9   10.698,   10.698,  10.698,  10.698,  10.698,  10.698,  10.698/
      DATA PF412/
     1   10.949,   10.949,  10.949,  10.949,  10.949,  10.949,  10.949,
     2   11.201,   11.201,  11.201,  11.201,  11.201,  11.201,  11.201,
     3   11.453,   11.453,  11.453,  11.453,  11.453,  11.453,  11.453,
     4   11.705,   11.705,  11.705,  11.705,  11.705,  11.705,  11.705,
     5   11.956,   11.956,  11.956,  11.956,  11.956,  11.956,  11.956,
     6   12.207,   12.207,  12.207,  12.207,  12.207,  12.207,  12.207,
     7   12.456,   12.456,  12.456,  12.456,  12.456,  12.456,  12.456,
     8   12.704,   12.704,  12.704,  12.704,  12.704,  12.704,  12.704,
     9   12.951,   12.951,  12.951,  12.951,  12.951,  12.951,  12.951/
      DATA PF413/
     1   13.195,   13.195,  13.195,  13.195,  13.195,  13.195,  13.195,
     2   13.437,   13.437,  13.437,  13.437,  13.437,  13.437,  13.437,
     3   13.676,   13.676,  13.676,  13.676,  13.676,  13.676,  13.676,
     4   13.914,   13.914,  13.914,  13.914,  13.914,  13.914,  13.914,
     5   14.149,   14.149,  14.149,  14.149,  14.149,  14.149,  14.149,
     6   14.382,   14.382,  14.382,  14.382,  14.382,  14.382,  14.382,
     7   14.613,   14.613,  14.613,  14.613,  14.613,  14.613,  14.613,
     8   14.843,   14.843,  14.843,  14.843,  14.843,  14.843,  14.843,
     9   15.185,   15.185,  15.185,  15.185,  15.185,  15.185,  15.185/
      DATA PF414/
     1   15.525,   15.525,  15.525,  15.525,  15.525,  15.525,  15.525,
     2   15.865,   15.865,  15.865,  15.865,  15.865,  15.865,  15.865,
     3   16.208,   16.208,  16.208,  16.208,  16.208,  16.208,  16.208,
     4   16.556,   16.556,  16.556,  16.556,  16.556,  16.556,  16.556,
     5   16.910,   16.910,  16.910,  16.910,  16.910,  16.910,  16.910,
     6   17.274,   17.274,  17.274,  17.274,  17.274,  17.274,  17.274,
     7   17.649,   17.649,  17.649,  17.649,  17.649,  17.649,  17.649,
     8   18.039,   18.039,  18.039,  18.039,  18.039,  18.039,  18.039,
     9   18.446,   18.446,  18.446,  18.446,  18.446,  18.446,  18.446/
      DATA PF415/
     1   19.165,   19.165,  19.165,  19.165,  19.165,  19.165,  19.165,
     2   19.942,   19.942,  19.942,  19.942,  19.942,  19.942,  19.942,
     3   20.780,   20.780,  20.780,  20.780,  20.780,  20.780,  20.780,
     4   21.679,   21.679,  21.679,  21.679,  21.679,  21.679,  21.679,
     5   22.635,   22.635,  22.635,  22.635,  22.635,  22.635,  22.635,
     6   23.641,   23.641,  23.641,  23.641,  23.641,  23.641,  23.641,
     7   24.689,   24.689,  24.689,  24.689,  24.689,  24.689,  24.689,
     8   25.767,   25.767,  25.767,  25.767,  25.767,  25.767,  25.767,
     9   26.865,   26.865,  26.865,  26.865,  26.865,  26.865,  26.865/
      DATA PF416/
     1   27.971,   27.971,  27.971,  27.971,  27.971,  27.971,  27.971,
     2   29.072,   29.072,  29.072,  29.072,  29.072,  29.072,  29.072,
     3   30.159,   30.159,  30.159,  30.159,  30.159,  30.159,  30.159,
     4   31.222,   31.222,  31.222,  31.222,  31.222,  31.222,  31.222,
     5   32.255,   32.255,  32.255,  32.255,  32.255,  32.255,  32.255,
     6   33.255,   33.255,  33.255,  33.255,  33.255,  33.255,  33.255,
     7   34.228,   34.228,  34.228,  34.228,  34.228,  34.228,  34.228,
     8   35.198,   35.198,  35.198,  35.198,  35.198,  35.198,  35.198,
     9   36.217,   36.217,  36.217,  36.217,  36.217,  36.217,  36.217/
      DATA PF417/
     1   37.388,   37.388,  37.388,  37.388,  37.388,  37.388,  37.388,
     2   38.889,   38.889,  38.889,  38.889,  38.889,  38.889,  38.889,
     3   41.016,   41.016,  41.016,  41.016,  41.016,  41.016,  41.016,
     4   44.230,   44.230,  44.230,  44.230,  44.230,  44.229,  44.228,
     5   49.242,   49.242,  49.242,  49.242,  49.242,  49.241,  49.238,
     6   57.126,   57.126,  57.126,  57.126,  57.126,  57.124,  57.115,
     7   69.461,   69.461,  69.461,  69.461,  69.461,  69.455,  69.431,
     8   88.474,   88.474,  88.474,  88.474,  88.474,  88.459,  88.400,
     9    5.695,    5.695,   5.695,   5.695,   5.695,   5.695,   5.695/
      DATA PF418/
     1    5.794,    5.794,   5.794,   5.794,   5.794,   5.794,   5.794,
     2    5.894,    5.894,   5.894,   5.894,   5.894,   5.894,   5.894,
     3    5.995,    5.995,   5.995,   5.995,   5.995,   5.995,   5.995,
     4    6.096,    6.096,   6.096,   6.096,   6.096,   6.096,   6.096,
     5    6.198,    6.198,   6.198,   6.198,   6.198,   6.198,   6.198,
     6    6.299,    6.299,   6.299,   6.299,   6.299,   6.299,   6.299,
     7    6.401,    6.401,   6.401,   6.401,   6.401,   6.401,   6.401,
     8    6.502,    6.502,   6.502,   6.502,   6.502,   6.502,   6.502,
     9    6.602,    6.602,   6.602,   6.602,   6.602,   6.602,   6.602/
      DATA PF419/
     1    6.702,    6.702,   6.702,   6.702,   6.702,   6.702,   6.702,
     2    6.801,    6.801,   6.801,   6.801,   6.801,   6.801,   6.801,
     3    6.899,    6.899,   6.899,   6.899,   6.899,   6.899,   6.899,
     4    6.995,    6.995,   6.995,   6.995,   6.995,   6.995,   6.995,
     5    7.090,    7.090,   7.090,   7.090,   7.090,   7.090,   7.090,
     6    7.184,    7.184,   7.184,   7.184,   7.184,   7.184,   7.184,
     7    7.276,    7.276,   7.276,   7.276,   7.276,   7.276,   7.276,
     8    7.366,    7.366,   7.366,   7.366,   7.366,   7.366,   7.366,
     9    7.455,    7.455,   7.455,   7.455,   7.455,   7.455,   7.455/
      DATA PF420/
     1    7.542,    7.542,   7.542,   7.542,   7.542,   7.542,   7.542,
     2    7.669,    7.669,   7.669,   7.669,   7.669,   7.669,   7.669,
     3    7.791,    7.791,   7.791,   7.791,   7.791,   7.791,   7.791,
     4    7.909,    7.909,   7.909,   7.909,   7.909,   7.909,   7.909,
     5    8.023,    8.023,   8.023,   8.023,   8.023,   8.023,   8.023,
     6    8.131,    8.131,   8.131,   8.131,   8.131,   8.131,   8.131,
     7    8.236,    8.236,   8.236,   8.236,   8.236,   8.236,   8.236,
     8    8.335,    8.335,   8.335,   8.335,   8.335,   8.335,   8.335,
     9    8.430,    8.430,   8.430,   8.430,   8.430,   8.430,   8.430/
      DATA PF421/
     1    8.521,    8.521,   8.521,   8.521,   8.521,   8.521,   8.521,
     2    8.607,    8.607,   8.607,   8.607,   8.607,   8.607,   8.607,
     3    8.741,    8.741,   8.741,   8.741,   8.741,   8.741,   8.741,
     4    8.864,    8.864,   8.864,   8.864,   8.864,   8.864,   8.864,
     5    8.977,    8.977,   8.977,   8.977,   8.977,   8.977,   8.977,
     6    9.079,    9.079,   9.079,   9.079,   9.079,   9.079,   9.079,
     7    9.172,    9.172,   9.172,   9.172,   9.172,   9.172,   9.172,
     8    9.256,    9.256,   9.256,   9.256,   9.256,   9.256,   9.256,
     9    9.332,    9.332,   9.332,   9.332,   9.332,   9.332,   9.332/
      DATA PF422/
     1    9.401,    9.401,   9.401,   9.401,   9.401,   9.401,   9.401,
     2    9.463,    9.463,   9.463,   9.463,   9.463,   9.463,   9.463,
     3    9.519,    9.519,   9.519,   9.519,   9.519,   9.519,   9.519,
     4    9.570,    9.570,   9.570,   9.570,   9.570,   9.570,   9.570,
     5    9.615,    9.615,   9.615,   9.615,   9.615,   9.615,   9.615,
     6    9.656,    9.656,   9.656,   9.656,   9.656,   9.656,   9.656,
     7    9.693,    9.693,   9.693,   9.693,   9.693,   9.693,   9.693,
     8    9.729,    9.729,   9.729,   9.729,   9.729,   9.729,   9.729,
     9    9.767,    9.767,   9.767,   9.767,   9.767,   9.767,   9.767/
      DATA PF423/
     1    9.817,    9.817,   9.817,   9.817,   9.817,   9.817,   9.817,
     2    9.899,    9.899,   9.899,   9.899,   9.899,   9.899,   9.899,
     3   10.047,   10.047,  10.047,  10.047,  10.047,  10.047,  10.047,
     4   10.319,   10.319,  10.319,  10.319,  10.319,  10.319,  10.319,
     5   10.801,   10.801,  10.801,  10.801,  10.801,  10.801,  10.801,
     6   11.615,   11.615,  11.615,  11.615,  11.615,  11.615,  11.615,
     7   12.918,   12.918,  12.918,  12.918,  12.918,  12.918,  12.918,
     8   14.914,   14.914,  14.914,  14.914,  14.914,  14.914,  14.914,
     9   17.857,   17.857,  17.857,  17.857,  17.857,  17.857,  17.857/
      DATA PF424/
     1   22.076,   22.076,  22.076,  22.076,  22.076,  22.076,  22.076,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF425/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF426/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF427/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF428/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF429/
     1    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     2    1.003,    1.003,   1.003,   1.003,   1.003,   1.003,   1.003,
     3    1.008,    1.008,   1.008,   1.008,   1.008,   1.008,   1.008,
     4    1.021,    1.021,   1.021,   1.021,   1.021,   1.021,   1.021,
     5    1.049,    1.049,   1.049,   1.049,   1.049,   1.049,   1.049,
     6    1.107,    1.107,   1.107,   1.107,   1.107,   1.107,   1.107,
     7    1.217,    1.217,   1.217,   1.217,   1.217,   1.217,   1.217,
     8    1.413,    1.413,   1.413,   1.413,   1.413,   1.413,   1.413,
     9    1.748,    1.748,   1.748,   1.748,   1.748,   1.748,   1.748/
      DATA PF430/
     1    2.305,    2.305,   2.305,   2.305,   2.305,   2.305,   2.305,
     2    3.213,    3.213,   3.213,   3.213,   3.213,   3.213,   3.213,
     3    4.669,    4.669,   4.669,   4.669,   4.669,   4.669,   4.669,
     4    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     5    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     6    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     7    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     8    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000,
     9    4.000,    4.000,   4.000,   4.000,   4.000,   4.000,   4.000/
      DATA PF431/
     1    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     2    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     3    4.001,    4.001,   4.001,   4.001,   4.001,   4.001,   4.001,
     4    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     5    4.002,    4.002,   4.002,   4.002,   4.002,   4.002,   4.002,
     6    4.003,    4.003,   4.003,   4.003,   4.003,   4.003,   4.003,
     7    4.004,    4.004,   4.004,   4.004,   4.004,   4.004,   4.004,
     8    4.005,    4.005,   4.005,   4.005,   4.005,   4.005,   4.005,
     9    4.007,    4.007,   4.007,   4.007,   4.007,   4.007,   4.007/
      DATA PF432/
     1    4.009,    4.009,   4.009,   4.009,   4.009,   4.009,   4.009,
     2    4.011,    4.011,   4.011,   4.011,   4.011,   4.011,   4.011,
     3    4.014,    4.014,   4.014,   4.014,   4.014,   4.014,   4.014,
     4    4.018,    4.018,   4.018,   4.018,   4.018,   4.018,   4.018,
     5    4.022,    4.022,   4.022,   4.022,   4.022,   4.022,   4.022,
     6    4.030,    4.030,   4.030,   4.030,   4.030,   4.030,   4.030,
     7    4.040,    4.040,   4.040,   4.040,   4.040,   4.040,   4.040,
     8    4.051,    4.051,   4.051,   4.051,   4.051,   4.051,   4.051,
     9    4.066,    4.066,   4.066,   4.066,   4.066,   4.066,   4.066/
      DATA PF433/
     1    4.083,    4.083,   4.083,   4.083,   4.083,   4.083,   4.083,
     2    4.102,    4.102,   4.102,   4.102,   4.102,   4.102,   4.102,
     3    4.125,    4.125,   4.125,   4.125,   4.125,   4.125,   4.125,
     4    4.150,    4.150,   4.150,   4.150,   4.150,   4.150,   4.150,
     5    4.178,    4.178,   4.178,   4.178,   4.178,   4.178,   4.178,
     6    4.209,    4.209,   4.209,   4.209,   4.209,   4.209,   4.209,
     7    4.268,    4.268,   4.268,   4.268,   4.268,   4.268,   4.268,
     8    4.333,    4.333,   4.333,   4.333,   4.333,   4.333,   4.333,
     9    4.405,    4.405,   4.405,   4.405,   4.405,   4.405,   4.405/
      DATA PF434/
     1    4.482,    4.482,   4.482,   4.482,   4.482,   4.482,   4.482,
     2    4.562,    4.562,   4.562,   4.562,   4.562,   4.562,   4.562,
     3    4.645,    4.645,   4.645,   4.645,   4.645,   4.645,   4.645,
     4    4.730,    4.730,   4.730,   4.730,   4.730,   4.730,   4.730,
     5    4.815,    4.815,   4.815,   4.815,   4.815,   4.815,   4.815,
     6    4.898,    4.898,   4.898,   4.898,   4.898,   4.898,   4.898,
     7    4.980,    4.980,   4.980,   4.980,   4.980,   4.980,   4.980,
     8    5.059,    5.059,   5.059,   5.059,   5.059,   5.059,   5.059,
     9    5.135,    5.135,   5.135,   5.135,   5.135,   5.135,   5.135/
      DATA PF435/
     1    5.207,    5.207,   5.207,   5.207,   5.207,   5.207,   5.207,
     2    5.276,    5.276,   5.276,   5.276,   5.276,   5.276,   5.276,
     3    5.343,    5.343,   5.343,   5.343,   5.343,   5.343,   5.343,
     4    5.409,    5.409,   5.409,   5.409,   5.409,   5.409,   5.409,
     5    5.481,    5.481,   5.481,   5.481,   5.481,   5.481,   5.481,
     6    5.571,    5.571,   5.571,   5.571,   5.571,   5.571,   5.571,
     7    5.698,    5.698,   5.698,   5.698,   5.698,   5.698,   5.698,
     8    5.899,    5.899,   5.899,   5.899,   5.899,   5.899,   5.899,
     9    6.225,    6.225,   6.225,   6.225,   6.225,   6.225,   6.225/
      DATA PF436/
     1    6.758,    6.758,   6.758,   6.758,   6.758,   6.758,   6.758,
     2    7.615,    7.615,   7.615,   7.615,   7.615,   7.615,   7.615,
     3    8.967,    8.967,   8.967,   8.967,   8.967,   8.967,   8.967,
     4   11.068,   11.068,  11.068,  11.068,  11.068,  11.068,  11.068,
     5   14.299,   14.299,  14.299,  14.299,  14.299,  14.299,  14.299,
     6   19.784,   19.784,  19.784,  19.784,  19.784,  19.784,  19.784,
     7   20.312,   20.312,  20.312,  20.312,  20.312,  20.312,  20.312,
     8   20.859,   20.859,  20.859,  20.859,  20.859,  20.859,  20.859,
     9   21.426,   21.426,  21.426,  21.426,  21.426,  21.426,  21.426/
      DATA PF437/
     1   22.013,   22.013,  22.013,  22.013,  22.013,  22.013,  22.013,
     2   22.621,   22.621,  22.621,  22.621,  22.621,  22.621,  22.621,
     3   23.249,   23.249,  23.249,  23.249,  23.249,  23.249,  23.249,
     4   23.898,   23.898,  23.898,  23.898,  23.898,  23.898,  23.898,
     5   24.568,   24.568,  24.568,  24.568,  24.568,  24.568,  24.568,
     6   25.260,   25.260,  25.260,  25.260,  25.260,  25.260,  25.260,
     7   25.974,   25.974,  25.974,  25.974,  25.974,  25.974,  25.974,
     8   26.711,   26.711,  26.711,  26.711,  26.711,  26.711,  26.711,
     9   27.472,   27.472,  27.472,  27.472,  27.472,  27.472,  27.472/
      DATA PF438/
     1   28.259,   28.259,  28.259,  28.259,  28.259,  28.259,  28.258,
     2   29.073,   29.073,  29.073,  29.073,  29.073,  29.073,  29.071,
     3   29.915,   29.915,  29.915,  29.915,  29.915,  29.915,  29.913,
     4   30.790,   30.790,  30.790,  30.790,  30.790,  30.790,  30.786,
     5   31.699,   31.699,  31.699,  31.699,  31.699,  31.699,  31.693,
     6   32.647,   32.647,  32.647,  32.647,  32.647,  32.647,  32.637,
     7   33.639,   33.639,  33.639,  33.639,  33.639,  33.638,  33.623,
     8   35.222,   35.222,  35.222,  35.221,  35.221,  35.220,  35.190,
     9   36.940,   36.940,  36.940,  36.939,  36.938,  36.935,  36.879/
      DATA PF439/
     1   38.827,   38.826,  38.825,  38.823,  38.821,  38.813,  38.713,
     2   40.923,   40.921,  40.918,  40.912,  40.908,  40.891,  40.717,
     3   43.283,   43.279,  43.270,  43.257,  43.247,  43.212,  42.919,
     4   45.978,   45.969,  45.948,  45.920,  45.896,  45.826,  45.349,
     5   49.103,   49.083,  49.038,  48.977,  48.929,  48.794,  48.039,
     6   52.786,   52.745,  52.651,  52.526,  52.431,  52.184,  51.021,
     7   57.198,   57.116,  56.930,  56.686,  56.507,  56.070,  54.326,
     8   62.566,   62.410,  62.058,  61.603,  61.280,  60.537,  57.983,
     9   74.490,   74.075,  73.146,  71.974,  71.179,  69.513,  64.926/
      DATA PF440/
     1   91.899,   90.906,  88.704,  85.980,  84.201,  80.776,  73.002,
     2  117.605,  115.444, 110.690, 104.914, 101.270,  94.752,  82.253,
     3  155.353,  151.030, 141.591, 130.304, 123.396, 111.822,  92.670,
     4  209.746,  201.726, 184.332, 163.824, 151.609, 132.290, 104.188,
     5  285.982,  272.070, 242.077, 207.158, 186.853, 156.342, 116.697,
     6  389.417,  366.688, 317.945, 261.831, 229.891, 184.022, 130.048,
     7  525.025,  489.822, 414.682, 329.040, 281.211, 215.225, 144.061,
     8  696.846,  644.856, 534.351, 409.514, 340.964, 249.700, 158.543,
     9  907.519,  833.923, 678.082, 503.418, 408.937, 287.064, 173.295/
      DATA PF441/
     1 1157.969, 1057.653, 845.941, 610.325, 484.564, 326.835, 188.123,
     2 1447.303, 1315.095,1036.905, 729.245, 566.971, 368.460, 202.848,
     3 1772.887, 1603.800,1248.955, 858.708, 655.040, 411.352, 217.310,
     4 2130.591, 1920.048,1479.247, 996.877, 747.490, 454.921, 231.373,
     5 2515.138, 2259.153,1724.339,1141.683, 842.962, 498.602, 244.925,
     6 2920.507, 2615.817,1980.439,1290.955, 940.092, 541.878, 257.878,
     7 3340.336, 2984.477,2243.638,1442.538,1037.576, 584.289, 270.167,
     8 3768.277, 3359.616,2510.115,1594.395,1134.221, 625.449, 281.750,
     9 4198.305, 3736.013,2776.304,1744.674,1228.977, 665.042, 292.603/
      DATA PF442/
     1 4624.931, 4108.937,3039.010,1891.763,1320.956, 702.826, 302.718,
     2 5043.356, 4474.264,3295.479,2034.311,1409.440, 738.624, 312.101,
     3 5449.547, 4828.543,3543.436,2171.235,1493.876, 772.324, 320.766,
     4 5840.258, 5169.008,3781.086,2301.713,1573.868, 803.865, 328.740,
     5 6213.005, 5493.558,4007.089,2425.162,1649.158, 833.233, 336.051,
     6 6566.016, 5800.704,4220.523,2541.218,1719.610, 860.449, 342.734,
     7 6898.153, 6089.505,4420.834,2649.700,1785.194, 885.567, 348.827,
     8   16.529,   16.529,  16.529,  16.529,  16.529,  16.529,  16.529,
     9   17.012,   17.012,  17.012,  17.012,  17.012,  17.012,  17.012/
      DATA PF443/
     1   17.518,   17.518,  17.518,  17.518,  17.518,  17.518,  17.518,
     2   18.047,   18.047,  18.047,  18.047,  18.047,  18.047,  18.047,
     3   18.599,   18.599,  18.599,  18.599,  18.599,  18.599,  18.599,
     4   19.175,   19.175,  19.175,  19.175,  19.175,  19.175,  19.175,
     5   19.774,   19.774,  19.774,  19.774,  19.774,  19.774,  19.774,
     6   20.398,   20.398,  20.398,  20.398,  20.398,  20.398,  20.398,
     7   21.046,   21.046,  21.046,  21.046,  21.046,  21.046,  21.046,
     8   21.719,   21.719,  21.719,  21.719,  21.719,  21.719,  21.719,
     9   22.417,   22.417,  22.417,  22.417,  22.417,  22.417,  22.417/
      DATA PF444/
     1   23.140,   23.140,  23.140,  23.140,  23.140,  23.140,  23.140,
     2   23.890,   23.890,  23.890,  23.890,  23.890,  23.890,  23.890,
     3   24.666,   24.666,  24.666,  24.666,  24.666,  24.666,  24.666,
     4   25.470,   25.470,  25.470,  25.470,  25.470,  25.470,  25.470,
     5   26.302,   26.302,  26.302,  26.302,  26.302,  26.302,  26.302,
     6   27.163,   27.163,  27.163,  27.163,  27.163,  27.163,  27.163,
     7   28.055,   28.055,  28.055,  28.055,  28.055,  28.055,  28.055,
     8   28.980,   28.980,  28.980,  28.980,  28.980,  28.980,  28.980,
     9   29.938,   29.938,  29.938,  29.938,  29.938,  29.938,  29.938/
      DATA PF445/
     1   31.442,   31.442,  31.442,  31.442,  31.442,  31.442,  31.442,
     2   33.035,   33.035,  33.035,  33.035,  33.035,  33.035,  33.035,
     3   34.726,   34.726,  34.726,  34.726,  34.726,  34.726,  34.726,
     4   36.525,   36.525,  36.525,  36.525,  36.525,  36.525,  36.525,
     5   38.446,   38.446,  38.446,  38.446,  38.446,  38.446,  38.446,
     6   40.502,   40.502,  40.502,  40.502,  40.502,  40.502,  40.502,
     7   42.710,   42.710,  42.710,  42.710,  42.710,  42.710,  42.710,
     8   45.091,   45.091,  45.091,  45.091,  45.091,  45.091,  45.091,
     9   47.665,   47.665,  47.665,  47.665,  47.665,  47.665,  47.665/
      DATA PF446/
     1   50.459,   50.459,  50.459,  50.459,  50.459,  50.459,  50.459,
     2   55.690,   55.690,  55.690,  55.690,  55.690,  55.689,  55.687,
     3   61.801,   61.801,  61.801,  61.801,  61.800,  61.797,  61.788,
     4   69.059,   69.059,  69.058,  69.057,  69.050,  69.036,  69.000,
     5   77.874,   77.873,  77.870,  77.866,  77.834,  77.779,  77.653,
     6   88.917,   88.910,  88.901,  88.884,  88.767,  88.577,  88.191,
     7  103.302,  103.280, 103.251, 103.195, 102.823, 102.243, 101.201,
     8  122.872,  122.807, 122.722, 122.559, 121.516, 119.950, 117.419,
     9  150.532,  150.362, 150.142, 149.725, 147.107, 143.313, 137.720/
      DATA PF447/
     1  190.603,  190.204, 189.690, 188.723, 182.779, 174.429, 163.082,
     2  249.049,  248.195, 247.100, 245.055, 232.710, 215.841, 194.510,
     3  333.482,  331.801, 329.651, 325.666, 301.984, 270.411, 232.947,
     4  452.844,  449.767, 445.846, 438.623, 396.300, 341.095, 279.177,
     5  616.752,  611.480, 604.779, 592.508, 521.497, 430.657, 333.727,
     6  834.601,  826.081, 815.279, 795.598, 682.972, 541.368, 396.801,
     7 1114.555, 1101.488,1084.955,1054.971, 885.080, 674.737, 468.247,
     8 1462.625, 1443.495,1419.335,1375.699,1130.626, 831.330, 547.551,
     9 1881.966, 1855.096,1821.218,1760.252,1420.534,1010.680, 633.882/
      DATA PF448/
     1 2372.506, 2336.133,2290.344,2208.208,1753.721,1211.323, 726.144,
     2 2930.938, 2883.298,2823.402,2716.274,2127.186,1430.914, 823.062,
     3 3551.027, 3490.434,3414.342,3278.596,2536.280,1666.416, 923.259,
     4 4224.162, 4149.082,4054.899,3887.262,2975.083,1914.330,1025.338,
     5 4940.042, 4849.157,4735.253,4532.930,3436.855,2170.923,1127.946,
     6 5687.411, 5579.654,5444.719,5205.476,3914.474,2432.440,1229.835,
     7 6454.747, 6329.332,6172.401,5894.611,4400.839,2695.291,1329.894,
     8 7230.861, 7087.282,6907.743,6590.391,4889.205,2956.181,1427.175,
     9 8005.359, 7843.387,7640.966,7283.632,5373.430,3212.212,1520.902/
      DATA PF449/
     1   17.797,   17.797,  17.797,  17.797,  17.797,  17.797,  17.797,
     2   18.083,   18.083,  18.083,  18.083,  18.083,  18.083,  18.083,
     3   18.368,   18.368,  18.368,  18.368,  18.368,  18.368,  18.368,
     4   18.650,   18.650,  18.650,  18.650,  18.650,  18.650,  18.650,
     5   18.930,   18.930,  18.930,  18.930,  18.930,  18.930,  18.930,
     6   19.207,   19.207,  19.207,  19.207,  19.207,  19.207,  19.207,
     7   19.481,   19.481,  19.481,  19.481,  19.481,  19.481,  19.481,
     8   19.752,   19.752,  19.752,  19.752,  19.752,  19.752,  19.752,
     9   20.021,   20.021,  20.021,  20.021,  20.021,  20.021,  20.021/
      DATA PF450/
     1   20.286,   20.286,  20.286,  20.286,  20.286,  20.286,  20.286,
     2   20.549,   20.549,  20.549,  20.549,  20.549,  20.549,  20.549,
     3   20.809,   20.809,  20.809,  20.809,  20.809,  20.809,  20.809,
     4   21.068,   21.068,  21.068,  21.068,  21.068,  21.068,  21.068,
     5   21.326,   21.326,  21.326,  21.326,  21.326,  21.326,  21.326,
     6   21.583,   21.583,  21.583,  21.583,  21.583,  21.583,  21.583,
     7   21.842,   21.842,  21.842,  21.842,  21.842,  21.842,  21.842,
     8   22.102,   22.102,  22.102,  22.102,  22.102,  22.102,  22.102,
     9   22.366,   22.366,  22.366,  22.366,  22.366,  22.366,  22.366/
      DATA PF451/
     1   22.634,   22.634,  22.634,  22.634,  22.634,  22.634,  22.634,
     2   22.909,   22.909,  22.909,  22.909,  22.909,  22.909,  22.909,
     3   23.339,   23.339,  23.339,  23.339,  23.339,  23.339,  23.339,
     4   23.795,   23.795,  23.795,  23.795,  23.795,  23.795,  23.795,
     5   24.285,   24.285,  24.285,  24.285,  24.285,  24.285,  24.285,
     6   24.817,   24.817,  24.817,  24.817,  24.817,  24.817,  24.817,
     7   25.401,   25.401,  25.401,  25.401,  25.401,  25.401,  25.401,
     8   26.044,   26.044,  26.044,  26.044,  26.044,  26.044,  26.044,
     9   26.756,   26.756,  26.756,  26.756,  26.756,  26.756,  26.756/
      DATA PF452/
     1   27.546,   27.546,  27.546,  27.546,  27.546,  27.546,  27.546,
     2   28.421,   28.421,  28.421,  28.421,  28.421,  28.421,  28.421,
     3   29.390,   29.390,  29.390,  29.390,  29.390,  29.390,  29.390,
     4   31.236,   31.236,  31.236,  31.236,  31.236,  31.236,  31.236,
     5   33.407,   33.407,  33.407,  33.407,  33.407,  33.407,  33.407,
     6   35.948,   35.948,  35.948,  35.948,  35.948,  35.948,  35.948,
     7   38.921,   38.921,  38.921,  38.921,  38.921,  38.921,  38.921,
     8   42.415,   42.415,  42.415,  42.415,  42.415,  42.415,  42.415,
     9   46.561,   46.561,  46.561,  46.561,  46.561,  46.561,  46.560/
      DATA PF453/
     1   51.557,   51.557,  51.557,  51.556,  51.556,  51.556,  51.555,
     2   57.701,   57.701,  57.700,  57.699,  57.699,  57.696,  57.691,
     3   65.452,   65.452,  65.450,  65.445,  65.444,  65.429,  65.406,
     4   75.543,   75.541,  75.533,  75.512,  75.506,  75.445,  75.351,
     5   89.176,   89.171,  89.139,  89.060,  89.038,  88.820,  88.504,
     6  108.367,  108.353, 108.247, 107.992, 107.918, 107.241, 106.307,
     7  136.433,  136.392, 136.087, 135.358, 135.151, 133.290, 130.833,
     8  178.598,  178.491, 177.710, 175.850, 175.329, 170.749, 164.928,
     9  242.584,  242.337, 240.530, 236.249, 235.060, 224.835, 212.281/
      DATA PF454/
     1  339.003,  338.480, 334.662, 325.661, 323.183, 302.265, 277.352,
     2  481.306,  480.286, 472.853, 455.397, 450.628, 411.038, 365.145,
     3  685.190,  683.339, 669.880, 638.377, 629.830, 559.923, 480.809,
     4  967.419,  964.272, 941.422, 888.106, 873.729, 757.688, 629.139,
     5 1344.232, 1339.181,1302.561,1217.344,1194.491,1012.195, 814.050,
     6 1829.603, 1821.902,1766.146,1636.714,1602.174,1329.519,1038.122,
     7 2433.646, 2422.432,2341.335,2153.481,2103.569,1713.232,1302.284,
     8 3161.450, 3145.774,3032.527,2770.706,2701.411,2163.980,1605.683,
     9 4012.485, 3991.357,3838.855,3486.883,3394.048,2679.379,1945.741/
      DATA PF455/
     1 4980.635, 4953.066,4754.242,4296.060,4175.583,3254.227,2318.375,
     2 6054.767, 6019.822,5767.974,5188.396,5036.416,3880.956,2718.328,
     3   17.424,   17.424,  17.424,  17.424,  17.424,  17.424,  17.424,
     4   17.662,   17.662,  17.662,  17.662,  17.662,  17.662,  17.662,
     5   17.897,   17.897,  17.897,  17.897,  17.897,  17.897,  17.897,
     6   18.128,   18.128,  18.128,  18.128,  18.128,  18.128,  18.128,
     7   18.355,   18.355,  18.355,  18.355,  18.355,  18.355,  18.355,
     8   18.577,   18.577,  18.577,  18.577,  18.577,  18.577,  18.577,
     9   18.795,   18.795,  18.795,  18.795,  18.795,  18.795,  18.795/
      DATA PF456/
     1   19.009,   19.009,  19.009,  19.009,  19.009,  19.009,  19.009,
     2   19.218,   19.218,  19.218,  19.218,  19.218,  19.218,  19.218,
     3   19.422,   19.422,  19.422,  19.422,  19.422,  19.422,  19.422,
     4   19.621,   19.621,  19.621,  19.621,  19.621,  19.621,  19.621,
     5   19.815,   19.815,  19.815,  19.815,  19.815,  19.815,  19.815,
     6   20.006,   20.006,  20.006,  20.006,  20.006,  20.006,  20.006,
     7   20.191,   20.191,  20.191,  20.191,  20.191,  20.191,  20.191,
     8   20.373,   20.373,  20.373,  20.373,  20.373,  20.373,  20.373,
     9   20.552,   20.552,  20.552,  20.552,  20.552,  20.552,  20.552/
      DATA PF457/
     1   20.727,   20.727,  20.727,  20.727,  20.727,  20.727,  20.727,
     2   20.900,   20.900,  20.900,  20.900,  20.900,  20.900,  20.900,
     3   21.072,   21.072,  21.072,  21.072,  21.072,  21.072,  21.072,
     4   21.244,   21.244,  21.244,  21.244,  21.244,  21.244,  21.244,
     5   21.504,   21.504,  21.504,  21.504,  21.504,  21.504,  21.504,
     6   21.773,   21.773,  21.773,  21.773,  21.773,  21.773,  21.773,
     7   22.058,   22.058,  22.058,  22.058,  22.058,  22.058,  22.058,
     8   22.368,   22.368,  22.368,  22.368,  22.368,  22.368,  22.368,
     9   22.713,   22.713,  22.713,  22.713,  22.713,  22.713,  22.713/
      DATA PF458/
     1   23.105,   23.105,  23.105,  23.105,  23.105,  23.105,  23.105,
     2   23.558,   23.558,  23.558,  23.558,  23.558,  23.558,  23.558,
     3   24.086,   24.086,  24.086,  24.086,  24.086,  24.086,  24.086,
     4   24.705,   24.705,  24.705,  24.705,  24.705,  24.705,  24.705,
     5   25.430,   25.430,  25.430,  25.430,  25.430,  25.430,  25.430,
     6   26.918,   26.918,  26.918,  26.918,  26.918,  26.918,  26.918,
     7   28.818,   28.818,  28.818,  28.818,  28.818,  28.818,  28.818,
     8   31.194,   31.194,  31.194,  31.194,  31.194,  31.194,  31.194,
     9   34.098,   34.098,  34.098,  34.098,  34.098,  34.098,  34.098/
      DATA PF459/
     1   37.567,   37.567,  37.567,  37.567,  37.567,  37.567,  37.567,
     2   41.625,   41.625,  41.625,  41.625,  41.625,  41.625,  41.625,
     3   46.284,   46.284,  46.284,  46.284,  46.284,  46.284,  46.284,
     4   51.552,   51.552,  51.552,  51.552,  51.552,  51.552,  51.552,
     5   57.449,   57.449,  57.449,  57.449,  57.449,  57.449,  57.449,
     6   64.032,   64.032,  64.032,  64.032,  64.032,  64.032,  64.032,
     7   71.428,   71.428,  71.428,  71.428,  71.428,  71.427,  71.427,
     8   79.892,   79.892,  79.891,  79.891,  79.890,  79.887,  79.883,
     9   89.888,   89.888,  89.887,  89.884,  89.879,  89.866,  89.847/
      DATA PF460/
     1  102.237,  102.235, 102.230, 102.217, 102.196, 102.144, 102.070,
     2  118.341,  118.335, 118.316, 118.269, 118.194, 118.012, 117.764,
     3  140.547,  140.529, 140.469, 140.323, 140.089, 139.532, 138.801,
     4  172.630,  172.579, 172.413, 172.007, 171.365, 169.857, 167.944,
     5  220.347,  220.221, 219.808, 218.803, 217.222, 213.553, 209.047,
     6  291.930,  291.647, 290.716, 288.458, 284.932, 276.830, 267.157,
     7  398.315,  397.730, 395.812, 391.168, 383.959, 367.544, 348.433,
     8  552.936,  551.819, 548.166, 539.335, 525.699, 494.899, 459.835,
     9  770.983,  768.998, 762.510, 746.852, 722.784, 668.816, 608.588/
      DATA PF461/
     1 1068.169, 1064.853,1054.026,1027.940, 988.005, 899.037, 801.493,
     2 1459.168, 1453.931,1436.844,1395.729,1333.019,1194.112,1044.197,
     3 1956.016, 1948.144,1922.483,1860.811,1767.051,1560.429,1340.543,
     4 2566.728, 2555.409,2518.538,2430.020,2295.835,2001.477,1692.115,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF462/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF463/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     6    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     7    6.002,    6.002,   6.002,   6.002,   6.002,   6.002,   6.002,
     8    6.004,    6.004,   6.004,   6.004,   6.004,   6.004,   6.004,
     9    6.008,    6.008,   6.008,   6.008,   6.008,   6.008,   6.008/
      DATA PF464/
     1    6.014,    6.014,   6.014,   6.014,   6.014,   6.014,   6.014,
     2    6.024,    6.024,   6.024,   6.024,   6.024,   6.024,   6.024,
     3    6.042,    6.042,   6.042,   6.042,   6.042,   6.042,   6.042,
     4    6.068,    6.068,   6.068,   6.068,   6.068,   6.068,   6.068,
     5    6.109,    6.109,   6.109,   6.109,   6.109,   6.109,   6.109,
     6    6.170,    6.170,   6.170,   6.170,   6.170,   6.170,   6.170,
     7    6.258,    6.258,   6.258,   6.258,   6.258,   6.258,   6.258,
     8    6.489,    6.489,   6.489,   6.489,   6.489,   6.489,   6.489,
     9    6.875,    6.875,   6.875,   6.875,   6.875,   6.875,   6.875/
      DATA PF465/
     1    7.485,    7.485,   7.485,   7.485,   7.485,   7.485,   7.485,
     2    8.405,    8.405,   8.405,   8.405,   8.405,   8.405,   8.405,
     3    9.729,    9.729,   9.729,   9.729,   9.729,   9.729,   9.729,
     4   11.560,   11.560,  11.560,  11.560,  11.560,  11.560,  11.560,
     5   14.000,   14.000,  14.000,  14.000,  14.000,  14.000,  14.000,
     6   17.141,   17.141,  17.141,  17.141,  17.141,  17.141,  17.141,
     7   21.059,   21.059,  21.059,  21.059,  21.059,  21.059,  21.059,
     8   25.807,   25.807,  25.807,  25.807,  25.807,  25.807,  25.807,
     9   31.415,   31.415,  31.415,  31.415,  31.415,  31.415,  31.415/
      DATA PF466/
     1   37.894,   37.894,  37.894,  37.894,  37.894,  37.894,  37.894,
     2   45.250,   45.250,  45.250,  45.250,  45.250,  45.250,  45.250,
     3   53.515,   53.515,  53.515,  53.515,  53.515,  53.514,  53.514,
     4   62.795,   62.795,  62.795,  62.795,  62.794,  62.793,  62.791,
     5   73.365,   73.365,  73.365,  73.363,  73.358,  73.350,  73.341,
     6   85.838,   85.837,  85.837,  85.828,  85.805,  85.765,  85.724,
     7  101.506,  101.502, 101.499, 101.465, 101.370, 101.210, 101.052,
     8  122.955,  122.940, 122.933, 122.812, 122.479, 121.928, 121.397,
     9  155.081,  155.035, 155.011, 154.643, 153.624, 151.963, 150.400/
      DATA PF467/
     1  206.521,  206.396, 206.331, 205.331, 202.580, 198.139, 194.041,
     2  291.354,  291.048, 290.890, 288.456, 281.782, 271.115, 261.441,
     3  430.654,  429.976, 429.626, 424.248, 409.545, 386.249, 365.452,
     4  653.340,  651.960, 651.251, 640.348, 610.626, 563.892, 522.750,
     5  995.774,  993.177, 991.843, 971.378, 915.720, 828.803, 753.232,
     6 1499.805, 1495.243,1492.901,1457.028,1359.676,1208.574,1078.643,
     7   12.805,   12.805,  12.805,  12.805,  12.805,  12.805,  12.805,
     8   13.147,   13.147,  13.147,  13.147,  13.147,  13.147,  13.147,
     9   13.487,   13.487,  13.487,  13.487,  13.487,  13.487,  13.487/
      DATA PF468/
     1   13.823,   13.823,  13.823,  13.823,  13.823,  13.823,  13.823,
     2   14.157,   14.157,  14.157,  14.157,  14.157,  14.157,  14.157,
     3   14.486,   14.486,  14.486,  14.486,  14.486,  14.486,  14.486,
     4   14.811,   14.811,  14.811,  14.811,  14.811,  14.811,  14.811,
     5   15.131,   15.131,  15.131,  15.131,  15.131,  15.131,  15.131,
     6   15.446,   15.446,  15.446,  15.446,  15.446,  15.446,  15.446,
     7   15.756,   15.756,  15.756,  15.756,  15.756,  15.756,  15.756,
     8   16.061,   16.061,  16.061,  16.061,  16.061,  16.061,  16.061,
     9   16.359,   16.359,  16.359,  16.359,  16.359,  16.359,  16.359/
      DATA PF469/
     1   16.652,   16.652,  16.652,  16.652,  16.652,  16.652,  16.652,
     2   16.939,   16.939,  16.939,  16.939,  16.939,  16.939,  16.939,
     3   17.219,   17.219,  17.219,  17.219,  17.219,  17.219,  17.219,
     4   17.493,   17.493,  17.493,  17.493,  17.493,  17.493,  17.493,
     5   17.761,   17.761,  17.761,  17.761,  17.761,  17.761,  17.761,
     6   18.024,   18.024,  18.024,  18.024,  18.024,  18.024,  18.024,
     7   18.280,   18.280,  18.280,  18.280,  18.280,  18.280,  18.280,
     8   18.532,   18.532,  18.532,  18.532,  18.532,  18.532,  18.532,
     9   18.900,   18.900,  18.900,  18.900,  18.900,  18.900,  18.900/
      DATA PF470/
     1   19.261,   19.261,  19.261,  19.261,  19.261,  19.261,  19.261,
     2   19.617,   19.617,  19.617,  19.617,  19.617,  19.617,  19.617,
     3   19.975,   19.975,  19.975,  19.975,  19.975,  19.975,  19.975,
     4   20.340,   20.340,  20.340,  20.340,  20.340,  20.340,  20.340,
     5   20.720,   20.720,  20.720,  20.720,  20.720,  20.720,  20.720,
     6   21.125,   21.125,  21.125,  21.125,  21.125,  21.125,  21.125,
     7   21.567,   21.567,  21.567,  21.567,  21.567,  21.567,  21.567,
     8   22.058,   22.058,  22.058,  22.058,  22.058,  22.058,  22.058,
     9   22.612,   22.612,  22.612,  22.612,  22.612,  22.612,  22.612/
      DATA PF471/
     1   23.720,   23.720,  23.720,  23.720,  23.720,  23.720,  23.720,
     2   25.123,   25.123,  25.123,  25.123,  25.123,  25.123,  25.123,
     3   26.896,   26.896,  26.896,  26.896,  26.896,  26.896,  26.896,
     4   29.109,   29.109,  29.109,  29.109,  29.109,  29.109,  29.109,
     5   31.820,   31.820,  31.820,  31.820,  31.820,  31.820,  31.820,
     6   35.075,   35.075,  35.075,  35.075,  35.075,  35.075,  35.075,
     7   38.900,   38.900,  38.900,  38.900,  38.900,  38.900,  38.900,
     8   43.302,   43.302,  43.302,  43.302,  43.302,  43.302,  43.302,
     9   48.268,   48.268,  48.268,  48.268,  48.268,  48.268,  48.268/
      DATA PF472/
     1   53.768,   53.768,  53.768,  53.768,  53.768,  53.768,  53.768,
     2   59.753,   59.753,  59.753,  59.753,  59.753,  59.753,  59.753,
     3   66.163,   66.163,  66.163,  66.163,  66.163,  66.163,  66.163,
     4   72.930,   72.930,  72.930,  72.930,  72.930,  72.930,  72.930,
     5   79.989,   79.989,  79.989,  79.989,  79.989,  79.989,  79.989,
     6   87.289,   87.289,  87.289,  87.289,  87.289,  87.289,  87.289,
     7   94.819,   94.819,  94.819,  94.819,  94.819,  94.819,  94.818,
     8  102.638,  102.638, 102.638, 102.638, 102.638, 102.637, 102.636,
     9  110.943,  110.943, 110.943, 110.943, 110.942, 110.940, 110.934/
      DATA PF473/
     1  120.188,  120.188, 120.188, 120.188, 120.184, 120.172, 120.144,
     2  131.315,  131.315, 131.315, 131.315, 131.301, 131.251, 131.135,
     3  146.202,  146.202, 146.201, 146.201, 146.152, 145.972, 145.568,
     4  168.391,  168.390, 168.388, 168.387, 168.232, 167.676, 166.442,
     5  204.150,  204.147, 204.141, 204.139, 203.711, 202.188, 198.855,
     6  263.755,  263.747, 263.733, 263.729, 262.669, 258.930, 250.850,
     7  362.699,  362.681, 362.648, 362.639, 360.266, 351.940, 334.145,
     8  522.406,  522.369, 522.302, 522.283, 517.411, 500.416, 464.455,
     9   11.863,   11.863,  11.863,  11.863,  11.863,  11.863,  11.863/
      DATA PF474/
     1   12.214,   12.214,  12.214,  12.214,  12.214,  12.214,  12.214,
     2   12.569,   12.569,  12.569,  12.569,  12.569,  12.569,  12.569,
     3   12.927,   12.927,  12.927,  12.927,  12.927,  12.927,  12.927,
     4   13.287,   13.287,  13.287,  13.287,  13.287,  13.287,  13.287,
     5   13.648,   13.648,  13.648,  13.648,  13.648,  13.648,  13.648,
     6   14.010,   14.010,  14.010,  14.010,  14.010,  14.010,  14.010,
     7   14.372,   14.372,  14.372,  14.372,  14.372,  14.372,  14.372,
     8   14.734,   14.734,  14.734,  14.734,  14.734,  14.734,  14.734,
     9   15.094,   15.094,  15.094,  15.094,  15.094,  15.094,  15.094/
      DATA PF475/
     1   15.453,   15.453,  15.453,  15.453,  15.453,  15.453,  15.453,
     2   15.810,   15.810,  15.810,  15.810,  15.810,  15.810,  15.810,
     3   16.165,   16.165,  16.165,  16.165,  16.165,  16.165,  16.165,
     4   16.516,   16.516,  16.516,  16.516,  16.516,  16.516,  16.516,
     5   16.865,   16.865,  16.865,  16.865,  16.865,  16.865,  16.865,
     6   17.210,   17.210,  17.210,  17.210,  17.210,  17.210,  17.210,
     7   17.553,   17.553,  17.553,  17.553,  17.553,  17.553,  17.553,
     8   17.892,   17.892,  17.892,  17.892,  17.892,  17.892,  17.892,
     9   18.228,   18.228,  18.228,  18.228,  18.228,  18.228,  18.228/
      DATA PF476/
     1   18.561,   18.561,  18.561,  18.561,  18.561,  18.561,  18.561,
     2   19.058,   19.058,  19.058,  19.058,  19.058,  19.058,  19.058,
     3   19.553,   19.553,  19.553,  19.553,  19.553,  19.553,  19.553,
     4   20.049,   20.049,  20.049,  20.049,  20.049,  20.049,  20.049,
     5   20.550,   20.550,  20.550,  20.550,  20.550,  20.550,  20.550,
     6   21.063,   21.063,  21.063,  21.063,  21.063,  21.063,  21.063,
     7   21.592,   21.592,  21.592,  21.592,  21.592,  21.592,  21.592,
     8   22.146,   22.146,  22.146,  22.146,  22.146,  22.146,  22.146,
     9   22.731,   22.731,  22.731,  22.731,  22.731,  22.731,  22.731/
      DATA PF477/
     1   23.356,   23.356,  23.356,  23.356,  23.356,  23.356,  23.356,
     2   24.029,   24.029,  24.029,  24.029,  24.029,  24.029,  24.029,
     3   25.279,   25.279,  25.279,  25.279,  25.279,  25.279,  25.279,
     4   26.721,   26.721,  26.721,  26.721,  26.721,  26.721,  26.721,
     5   28.386,   28.386,  28.386,  28.386,  28.386,  28.386,  28.386,
     6   30.297,   30.297,  30.297,  30.297,  30.297,  30.297,  30.297,
     7   32.469,   32.469,  32.469,  32.469,  32.469,  32.469,  32.469,
     8   34.904,   34.904,  34.904,  34.904,  34.904,  34.904,  34.904,
     9   37.597,   37.597,  37.597,  37.597,  37.597,  37.597,  37.597/
      DATA PF478/
     1   40.532,   40.532,  40.532,  40.532,  40.532,  40.532,  40.532,
     2   43.686,   43.686,  43.686,  43.686,  43.686,  43.686,  43.686,
     3   47.028,   47.028,  47.028,  47.028,  47.028,  47.028,  47.028,
     4   50.522,   50.522,  50.522,  50.522,  50.522,  50.522,  50.522,
     5   54.131,   54.131,  54.131,  54.131,  54.131,  54.131,  54.131,
     6   57.814,   57.814,  57.814,  57.814,  57.814,  57.814,  57.814,
     7   61.534,   61.534,  61.534,  61.534,  61.534,  61.534,  61.534,
     8   65.255,   65.255,  65.255,  65.255,  65.255,  65.255,  65.255,
     9   68.953,   68.953,  68.953,  68.953,  68.953,  68.953,  68.953/
      DATA PF479/
     1   72.624,   72.624,  72.624,  72.624,  72.624,  72.624,  72.624,
     2   76.305,   76.305,  76.305,  76.305,  76.305,  76.305,  76.305,
     3   80.103,   80.103,  80.103,  80.103,  80.103,  80.103,  80.103,
     4   84.254,   84.254,  84.254,  84.254,  84.254,  84.254,  84.254,
     5   89.213,   89.213,  89.213,  89.213,  89.212,  89.212,  89.211,
     6   95.801,   95.801,  95.801,  95.801,  95.800,  95.799,  95.796,
     7  105.459,  105.459, 105.458, 105.458, 105.455, 105.449, 105.439,
     8  120.611,  120.611, 120.609, 120.608, 120.597, 120.578, 120.549,
     9  145.168,  145.168, 145.161, 145.158, 145.128, 145.076, 144.996/
      DATA PF480/
     1  185.079,  185.079, 185.061, 185.054, 184.979, 184.851, 184.655,
     2    8.647,    8.647,   8.647,   8.647,   8.647,   8.647,   8.647,
     3    8.872,    8.872,   8.872,   8.872,   8.872,   8.872,   8.872,
     4    9.101,    9.101,   9.101,   9.101,   9.101,   9.101,   9.101,
     5    9.334,    9.334,   9.334,   9.334,   9.334,   9.334,   9.334,
     6    9.572,    9.572,   9.572,   9.572,   9.572,   9.572,   9.572,
     7    9.814,    9.814,   9.814,   9.814,   9.814,   9.814,   9.814,
     8   10.058,   10.058,  10.058,  10.058,  10.058,  10.058,  10.058,
     9   10.305,   10.305,  10.305,  10.305,  10.305,  10.305,  10.305/
      DATA PF481/
     1   10.555,   10.555,  10.555,  10.555,  10.555,  10.555,  10.555,
     2   10.806,   10.806,  10.806,  10.806,  10.806,  10.806,  10.806,
     3   11.058,   11.058,  11.058,  11.058,  11.058,  11.058,  11.058,
     4   11.311,   11.311,  11.311,  11.311,  11.311,  11.311,  11.311,
     5   11.564,   11.564,  11.564,  11.564,  11.564,  11.564,  11.564,
     6   11.817,   11.817,  11.817,  11.817,  11.817,  11.817,  11.817,
     7   12.070,   12.070,  12.070,  12.070,  12.070,  12.070,  12.070,
     8   12.323,   12.323,  12.323,  12.323,  12.323,  12.323,  12.323,
     9   12.574,   12.574,  12.574,  12.574,  12.574,  12.574,  12.574/
      DATA PF482/
     1   12.825,   12.825,  12.825,  12.825,  12.825,  12.825,  12.825,
     2   13.074,   13.074,  13.074,  13.074,  13.074,  13.074,  13.074,
     3   13.323,   13.323,  13.323,  13.323,  13.323,  13.323,  13.323,
     4   13.693,   13.693,  13.693,  13.693,  13.693,  13.693,  13.693,
     5   14.062,   14.062,  14.062,  14.062,  14.062,  14.062,  14.062,
     6   14.430,   14.430,  14.430,  14.430,  14.430,  14.430,  14.430,
     7   14.798,   14.798,  14.798,  14.798,  14.798,  14.798,  14.798,
     8   15.168,   15.168,  15.168,  15.168,  15.168,  15.168,  15.168,
     9   15.541,   15.541,  15.541,  15.541,  15.541,  15.541,  15.541/
      DATA PF483/
     1   15.920,   15.920,  15.920,  15.920,  15.920,  15.920,  15.920,
     2   16.308,   16.308,  16.308,  16.308,  16.308,  16.308,  16.308,
     3   16.705,   16.705,  16.705,  16.705,  16.705,  16.705,  16.705,
     4   17.116,   17.116,  17.116,  17.116,  17.116,  17.116,  17.116,
     5   17.833,   17.833,  17.833,  17.833,  17.833,  17.833,  17.833,
     6   18.600,   18.600,  18.600,  18.600,  18.600,  18.600,  18.600,
     7   19.424,   19.424,  19.424,  19.424,  19.424,  19.424,  19.424,
     8   20.306,   20.306,  20.306,  20.306,  20.306,  20.306,  20.306,
     9   21.246,   21.246,  21.246,  21.246,  21.246,  21.246,  21.246/
      DATA PF484/
     1   22.241,   22.241,  22.241,  22.241,  22.241,  22.241,  22.241,
     2   23.284,   23.284,  23.284,  23.284,  23.284,  23.284,  23.284,
     3   24.366,   24.366,  24.366,  24.366,  24.366,  24.366,  24.366,
     4   25.476,   25.476,  25.476,  25.476,  25.476,  25.476,  25.476,
     5   26.603,   26.603,  26.603,  26.603,  26.603,  26.603,  26.603,
     6   27.735,   27.735,  27.735,  27.735,  27.735,  27.735,  27.735,
     7   28.861,   28.861,  28.861,  28.861,  28.861,  28.861,  28.861,
     8   29.970,   29.970,  29.970,  29.970,  29.970,  29.970,  29.970,
     9   31.053,   31.053,  31.053,  31.053,  31.053,  31.053,  31.053/
      DATA PF485/
     1   32.104,   32.104,  32.104,  32.104,  32.104,  32.104,  32.104,
     2   33.121,   33.121,  33.121,  33.121,  33.121,  33.121,  33.121,
     3   34.110,   34.110,  34.110,  34.110,  34.110,  34.110,  34.110,
     4   35.096,   35.096,  35.096,  35.096,  35.096,  35.096,  35.096,
     5   36.132,   36.132,  36.132,  36.132,  36.132,  36.132,  36.132,
     6   37.320,   37.320,  37.320,  37.320,  37.320,  37.320,  37.320,
     7   38.833,   38.833,  38.833,  38.833,  38.833,  38.833,  38.833,
     8   40.940,   40.940,  40.940,  40.940,  40.940,  40.940,  40.940,
     9   44.038,   44.038,  44.038,  44.038,  44.038,  44.038,  44.038/
      DATA PF486/
     1   48.700,   48.700,  48.700,  48.700,  48.700,  48.700,  48.700,
     2   55.748,   55.748,  55.748,  55.748,  55.748,  55.748,  55.748,
     3   66.359,   66.359,  66.359,  66.359,  66.359,  66.359,  66.359,
     4    5.109,    5.109,   5.109,   5.109,   5.109,   5.109,   5.109,
     5    5.197,    5.197,   5.197,   5.197,   5.197,   5.197,   5.197,
     6    5.287,    5.287,   5.287,   5.287,   5.287,   5.287,   5.287,
     7    5.379,    5.379,   5.379,   5.379,   5.379,   5.379,   5.379,
     8    5.474,    5.474,   5.474,   5.474,   5.474,   5.474,   5.474,
     9    5.570,    5.570,   5.570,   5.570,   5.570,   5.570,   5.570/
      DATA PF487/
     1    5.668,    5.668,   5.668,   5.668,   5.668,   5.668,   5.668,
     2    5.767,    5.767,   5.767,   5.767,   5.767,   5.767,   5.767,
     3    5.866,    5.866,   5.866,   5.866,   5.866,   5.866,   5.866,
     4    5.967,    5.967,   5.967,   5.967,   5.967,   5.967,   5.967,
     5    6.068,    6.068,   6.068,   6.068,   6.068,   6.068,   6.068,
     6    6.170,    6.170,   6.170,   6.170,   6.170,   6.170,   6.170,
     7    6.272,    6.272,   6.272,   6.272,   6.272,   6.272,   6.272,
     8    6.373,    6.373,   6.373,   6.373,   6.373,   6.373,   6.373,
     9    6.474,    6.474,   6.474,   6.474,   6.474,   6.474,   6.474/
      DATA PF488/
     1    6.575,    6.575,   6.575,   6.575,   6.575,   6.575,   6.575,
     2    6.675,    6.675,   6.675,   6.675,   6.675,   6.675,   6.675,
     3    6.774,    6.774,   6.774,   6.774,   6.774,   6.774,   6.774,
     4    6.872,    6.872,   6.872,   6.872,   6.872,   6.872,   6.872,
     5    6.969,    6.969,   6.969,   6.969,   6.969,   6.969,   6.969,
     6    7.111,    7.111,   7.111,   7.111,   7.111,   7.111,   7.111,
     7    7.251,    7.251,   7.251,   7.251,   7.251,   7.251,   7.251,
     8    7.387,    7.387,   7.387,   7.387,   7.387,   7.387,   7.387,
     9    7.518,    7.518,   7.518,   7.518,   7.518,   7.518,   7.518/
      DATA PF489/
     1    7.646,    7.646,   7.646,   7.646,   7.646,   7.646,   7.646,
     2    7.769,    7.769,   7.769,   7.769,   7.769,   7.769,   7.769,
     3    7.888,    7.888,   7.888,   7.888,   7.888,   7.888,   7.888,
     4    8.002,    8.002,   8.002,   8.002,   8.002,   8.002,   8.002,
     5    8.112,    8.112,   8.112,   8.112,   8.112,   8.112,   8.112,
     6    8.217,    8.217,   8.217,   8.217,   8.217,   8.217,   8.217,
     7    8.382,    8.382,   8.382,   8.382,   8.382,   8.382,   8.382,
     8    8.534,    8.534,   8.534,   8.534,   8.534,   8.534,   8.534,
     9    8.674,    8.674,   8.674,   8.674,   8.674,   8.674,   8.674/
      DATA PF490/
     1    8.803,    8.803,   8.803,   8.803,   8.803,   8.803,   8.803,
     2    8.921,    8.921,   8.921,   8.921,   8.921,   8.921,   8.921,
     3    9.028,    9.028,   9.028,   9.028,   9.028,   9.028,   9.028,
     4    9.126,    9.126,   9.126,   9.126,   9.126,   9.126,   9.126,
     5    9.214,    9.214,   9.214,   9.214,   9.214,   9.214,   9.214,
     6    9.294,    9.294,   9.294,   9.294,   9.294,   9.294,   9.294,
     7    9.367,    9.367,   9.367,   9.367,   9.367,   9.367,   9.367,
     8    9.432,    9.432,   9.432,   9.432,   9.432,   9.432,   9.432,
     9    9.491,    9.491,   9.491,   9.491,   9.491,   9.491,   9.491/
      DATA PF491/
     1    9.545,    9.545,   9.545,   9.545,   9.545,   9.545,   9.545,
     2    9.593,    9.593,   9.593,   9.593,   9.593,   9.593,   9.593,
     3    9.637,    9.637,   9.637,   9.637,   9.637,   9.637,   9.637,
     4    9.679,    9.679,   9.679,   9.679,   9.679,   9.679,   9.679,
     5    9.725,    9.725,   9.725,   9.725,   9.725,   9.725,   9.725,
     6    9.787,    9.787,   9.787,   9.787,   9.787,   9.787,   9.787,
     7    9.886,    9.886,   9.886,   9.886,   9.886,   9.886,   9.886,
     8   10.063,   10.063,  10.063,  10.063,  10.063,  10.063,  10.063,
     9   10.381,   10.381,  10.381,  10.381,  10.381,  10.381,  10.381/
      DATA PF492/
     1   10.932,   10.932,  10.932,  10.932,  10.932,  10.932,  10.932,
     2   11.841,   11.841,  11.841,  11.841,  11.841,  11.841,  11.841,
     3   13.264,   13.264,  13.264,  13.264,  13.264,  13.264,  13.263,
     4   15.389,   15.388,  15.388,  15.388,  15.388,  15.388,  15.388,
     5   18.444,   18.444,  18.444,  18.444,  18.443,  18.443,  18.442,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF493/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF494/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF495/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF496/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     7    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     8    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     9    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000/
      DATA PF497/
     1    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     2    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     3    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     4    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     5    1.000,    1.000,   1.000,   1.000,   1.000,   1.000,   1.000,
     6    1.001,    1.001,   1.001,   1.001,   1.001,   1.001,   1.001,
     7    1.003,    1.003,   1.003,   1.003,   1.003,   1.003,   1.003,
     8    1.009,    1.009,   1.009,   1.009,   1.009,   1.009,   1.009,
     9    1.024,    1.024,   1.024,   1.024,   1.024,   1.024,   1.024/
      DATA PF498/
     1    1.057,    1.057,   1.057,   1.057,   1.057,   1.057,   1.057,
     2    1.122,    1.122,   1.122,   1.122,   1.122,   1.122,   1.122,
     3    1.245,    1.245,   1.245,   1.245,   1.245,   1.245,   1.245,
     4    1.463,    1.463,   1.463,   1.463,   1.463,   1.463,   1.463,
     5    1.838,    1.838,   1.838,   1.838,   1.838,   1.838,   1.838,
     6    2.462,    2.462,   2.462,   2.462,   2.462,   2.462,   2.462,
     7    3.477,    3.477,   3.477,   3.477,   3.477,   3.477,   3.477,
     8   23.091,   23.091,  23.091,  23.091,  23.091,  23.091,  23.091,
     9   23.504,   23.504,  23.504,  23.504,  23.504,  23.504,  23.504/
      DATA PF499/
     1   23.919,   23.919,  23.919,  23.919,  23.919,  23.919,  23.919,
     2   24.335,   24.335,  24.335,  24.335,  24.335,  24.335,  24.335,
     3   24.752,   24.752,  24.752,  24.752,  24.752,  24.752,  24.752,
     4   25.168,   25.168,  25.168,  25.168,  25.168,  25.168,  25.168,
     5   25.584,   25.584,  25.584,  25.584,  25.584,  25.584,  25.584,
     6   25.999,   25.999,  25.999,  25.999,  25.999,  25.999,  25.999,
     7   26.413,   26.413,  26.413,  26.413,  26.413,  26.413,  26.413,
     8   26.826,   26.826,  26.826,  26.826,  26.826,  26.826,  26.825,
     9   27.236,   27.236,  27.236,  27.236,  27.236,  27.236,  27.236/
      DATA PF500/
     1   27.646,   27.646,  27.646,  27.646,  27.646,  27.646,  27.645,
     2   28.053,   28.053,  28.053,  28.053,  28.053,  28.053,  28.053,
     3   28.459,   28.459,  28.459,  28.459,  28.459,  28.459,  28.458,
     4   28.864,   28.864,  28.864,  28.864,  28.864,  28.864,  28.863,
     5   29.269,   29.269,  29.269,  29.269,  29.269,  29.269,  29.267,
     6   29.674,   29.674,  29.674,  29.674,  29.674,  29.674,  29.670,
     7   30.081,   30.081,  30.081,  30.081,  30.081,  30.081,  30.075,
     8   30.491,   30.491,  30.491,  30.491,  30.491,  30.491,  30.481,
     9   30.906,   30.906,  30.906,  30.906,  30.906,  30.906,  30.890/
      DATA PF501/
     1   31.544,   31.544,  31.543,  31.543,  31.543,  31.542,  31.513,
     2   32.209,   32.209,  32.208,  32.208,  32.207,  32.206,  32.154,
     3   32.917,   32.917,  32.915,  32.914,  32.912,  32.909,  32.820,
     4   33.689,   33.688,  33.684,  33.680,  33.676,  33.669,  33.522,
     5   34.551,   34.550,  34.540,  34.530,  34.521,  34.507,  34.271,
     6   35.543,   35.539,  35.517,  35.496,  35.475,  35.448,  35.080,
     7   36.715,   36.706,  36.660,  36.615,  36.572,  36.523,  35.962,
     8   38.138,   38.121,  38.027,  37.937,  37.854,  37.764,  36.934,
     9   39.907,   39.874,  39.693,  39.519,  39.366,  39.212,  38.009/
      DATA PF502/
     1   42.152,   42.090,  41.753,  41.436,  41.163,  40.906,  39.203,
     2   47.430,   47.270,  46.408,  45.612,  44.958,  44.400,  41.496,
     3   55.626,   55.252,  53.261,  51.455,  50.025,  48.912,  44.215,
     4   68.318,   67.522,  63.323,  59.572,  56.704,  54.643,  47.401,
     5   87.592,   86.029,  77.865,  70.669,  65.336,  61.766,  51.073,
     6  115.984,  113.135,  98.364,  85.506,  76.232,  70.408,  55.225,
     7  156.323,  151.457, 126.403, 104.834,  89.647,  80.635,  59.832,
     8  211.487,  203.646, 163.525, 129.320, 105.747,  92.448,  64.846,
     9  284.104,  272.109, 211.065, 159.474, 124.591, 105.776,  70.201/
      DATA PF503/
     1  376.258,  358.738, 270.004, 195.591, 146.122, 120.488,  75.824,
     2  489.252,  464.694, 340.851, 237.710, 170.168, 136.398,  81.633,
     3  623.454,  590.271, 423.582, 285.608, 196.459, 153.282,  87.545,
     4  778.255,  734.863, 517.637, 338.815, 224.642, 170.891,  93.482,
     5  952.132,  897.021, 621.972, 396.652, 254.310, 188.969,  99.371,
     6 1142.785, 1074.586, 735.147, 458.285, 285.026, 207.264, 105.148,
     7 1347.333, 1264.871, 855.442, 522.782, 316.350, 225.537, 110.757,
     8 1562.531, 1464.861, 980.976, 589.175, 347.855, 243.577, 116.156,
     9 1784.982, 1671.409,1109.826, 656.508, 379.152, 261.196, 121.309/
      DATA PF504/
     1 2011.326, 1881.411,1240.121, 723.879, 409.894, 278.241, 126.192,
     2 2238.393, 2091.940,1370.126, 790.477, 439.785, 294.590, 130.789,
     3 2463.316, 2300.356,1498.291, 855.594, 468.584, 310.148, 135.092,
     4 2683.600, 2504.369,1623.289, 918.642, 496.104, 324.853, 139.098,
     5 2897.165, 2702.067,1744.027, 979.152, 522.209, 338.664, 142.810,
     6 3102.347, 2891.927,1859.649,1036.770, 546.808, 351.564, 146.236,
     7 3297.885, 3072.798,1969.520,1091.248, 569.850, 363.552, 149.386,
     8 3482.889, 3243.870,2073.208,1142.431, 591.321, 374.644, 152.272,
     9 3656.800, 3404.640,2170.460,1190.248, 611.231, 384.865, 154.908/
      DATA PF505/
     1    7.470,    7.470,   7.470,   7.470,   7.470,   7.470,   7.470,
     2    7.555,    7.555,   7.555,   7.555,   7.555,   7.555,   7.555,
     3    7.644,    7.644,   7.644,   7.644,   7.644,   7.644,   7.644,
     4    7.739,    7.739,   7.739,   7.739,   7.739,   7.739,   7.739,
     5    7.839,    7.839,   7.839,   7.839,   7.839,   7.839,   7.839,
     6    7.946,    7.946,   7.946,   7.946,   7.946,   7.946,   7.946,
     7    8.061,    8.061,   8.061,   8.061,   8.061,   8.061,   8.061,
     8    8.185,    8.185,   8.185,   8.185,   8.185,   8.185,   8.185,
     9    8.319,    8.319,   8.319,   8.319,   8.319,   8.319,   8.319/
      DATA PF506/
     1    8.464,    8.464,   8.464,   8.464,   8.464,   8.464,   8.464,
     2    8.622,    8.622,   8.622,   8.622,   8.622,   8.622,   8.622,
     3    8.794,    8.794,   8.794,   8.794,   8.794,   8.794,   8.794,
     4    8.981,    8.981,   8.981,   8.981,   8.981,   8.981,   8.981,
     5    9.185,    9.185,   9.185,   9.185,   9.185,   9.185,   9.185,
     6    9.406,    9.406,   9.406,   9.406,   9.406,   9.406,   9.406,
     7    9.647,    9.647,   9.647,   9.647,   9.647,   9.647,   9.647,
     8    9.908,    9.908,   9.908,   9.908,   9.908,   9.908,   9.908,
     9   10.192,   10.192,  10.192,  10.192,  10.192,  10.192,  10.192/
      DATA PF507/
     1   10.498,   10.498,  10.498,  10.498,  10.498,  10.498,  10.498,
     2   10.828,   10.828,  10.828,  10.828,  10.828,  10.828,  10.828,
     3   11.372,   11.372,  11.372,  11.372,  11.372,  11.372,  11.372,
     4   11.976,   11.976,  11.976,  11.976,  11.976,  11.976,  11.976,
     5   12.645,   12.645,  12.645,  12.645,  12.645,  12.645,  12.645,
     6   13.381,   13.381,  13.381,  13.381,  13.381,  13.381,  13.381,
     7   14.187,   14.187,  14.187,  14.187,  14.187,  14.187,  14.187,
     8   15.067,   15.067,  15.067,  15.067,  15.067,  15.067,  15.067,
     9   16.024,   16.024,  16.024,  16.024,  16.024,  16.024,  16.024/
      DATA PF508/
     1   17.062,   17.062,  17.062,  17.062,  17.062,  17.062,  17.062,
     2   18.185,   18.185,  18.185,  18.185,  18.185,  18.185,  18.185,
     3   19.400,   19.400,  19.400,  19.400,  19.400,  19.400,  19.400,
     4   21.649,   21.649,  21.649,  21.649,  21.649,  21.648,  21.648,
     5   24.226,   24.226,  24.226,  24.225,  24.225,  24.224,  24.223,
     6   27.219,   27.219,  27.218,  27.218,  27.216,  27.212,  27.204,
     7   30.778,   30.778,  30.776,  30.773,  30.764,  30.749,  30.717,
     8   35.168,   35.165,  35.161,  35.148,  35.111,  35.054,  34.948,
     9   40.857,   40.847,  40.830,  40.785,  40.657,  40.471,  40.161/
      DATA PF509/
     1   48.664,   48.634,  48.581,  48.442,  48.056,  47.522,  46.719,
     2   59.971,   59.887,  59.740,  59.363,  58.332,  56.961,  55.081,
     3   76.962,   76.753,  76.390,  75.471,  72.997,  69.816,  65.801,
     4  102.850,  102.378, 101.566,  99.531,  94.134,  87.400,  79.499,
     5  141.993,  141.024, 139.359, 135.224, 124.407, 111.266,  96.811,
     6  199.838,  197.994, 194.838, 187.063, 166.959, 143.113, 118.337,
     7  282.625,  279.356, 273.773, 260.122, 225.195, 184.635, 144.568,
     8  396.889,  391.441, 382.159, 359.616, 302.471, 237.352, 175.837,
     9  548.806,  540.218, 525.618, 490.365, 401.744, 302.437, 212.270/
      DATA PF510/
     1  743.527,  730.643, 708.780, 656.268, 525.235, 380.578, 253.772,
     2  984.581,  966.084, 934.754, 859.851, 674.174, 471.897, 300.026,
     3 1273.473, 1247.945,1204.769,1101.975, 848.652, 575.925, 350.520,
     4 1609.516, 1575.496,1518.034,1381.737,1047.603, 691.641, 404.588,
     5 1989.891, 1945.947,1871.815,1696.554,1268.901, 817.559, 461.452,
     6 2409.916, 2354.713,2261.686,2042.402,1509.546, 951.847, 520.281,
     7 2863.455, 2795.806,2681.915,2414.155,1765.907,1092.459, 580.234,
     8 3343.391, 3262.303,3125.904,2805.977,2033.980,1237.262, 640.502,
     9 3842.120, 3746.821,3586.638,3211.708,2309.640,1384.155, 700.338/
      DATA PF511/
     1 4351.992, 4241.940,4057.085,3625.212,2588.854,1531.161, 759.085,
     2 4865.683, 4740.569,4530.540,4040.665,2867.860,1676.494, 816.181,
     3   12.790,   12.790,  12.790,  12.790,  12.790,  12.790,  12.790,
     4   12.985,   12.985,  12.985,  12.985,  12.985,  12.985,  12.985,
     5   13.181,   13.181,  13.181,  13.181,  13.181,  13.181,  13.181,
     6   13.378,   13.378,  13.378,  13.378,  13.378,  13.378,  13.378,
     7   13.576,   13.576,  13.576,  13.576,  13.576,  13.576,  13.576,
     8   13.773,   13.773,  13.773,  13.773,  13.773,  13.773,  13.773,
     9   13.971,   13.971,  13.971,  13.971,  13.971,  13.971,  13.971/
      DATA PF512/
     1   14.169,   14.169,  14.169,  14.169,  14.169,  14.169,  14.169,
     2   14.366,   14.366,  14.366,  14.366,  14.366,  14.366,  14.366,
     3   14.562,   14.562,  14.562,  14.562,  14.562,  14.562,  14.562,
     4   14.758,   14.758,  14.758,  14.758,  14.758,  14.758,  14.758,
     5   14.953,   14.953,  14.953,  14.953,  14.953,  14.953,  14.953,
     6   15.148,   15.148,  15.148,  15.148,  15.148,  15.148,  15.148,
     7   15.342,   15.342,  15.342,  15.342,  15.342,  15.342,  15.342,
     8   15.537,   15.537,  15.537,  15.537,  15.537,  15.537,  15.537,
     9   15.731,   15.731,  15.731,  15.731,  15.731,  15.731,  15.731/
      DATA PF513/
     1   15.925,   15.925,  15.925,  15.925,  15.925,  15.925,  15.925,
     2   16.120,   16.120,  16.120,  16.120,  16.120,  16.120,  16.120,
     3   16.317,   16.317,  16.317,  16.317,  16.317,  16.317,  16.317,
     4   16.515,   16.515,  16.515,  16.515,  16.515,  16.515,  16.515,
     5   16.818,   16.818,  16.818,  16.818,  16.818,  16.818,  16.818,
     6   17.128,   17.128,  17.128,  17.128,  17.128,  17.128,  17.128,
     7   17.448,   17.448,  17.448,  17.448,  17.448,  17.448,  17.448,
     8   17.780,   17.780,  17.780,  17.780,  17.780,  17.780,  17.780,
     9   18.127,   18.127,  18.127,  18.127,  18.127,  18.127,  18.127/
      DATA PF514/
     1   18.492,   18.492,  18.492,  18.492,  18.492,  18.492,  18.492,
     2   18.876,   18.876,  18.876,  18.876,  18.876,  18.876,  18.876,
     3   19.282,   19.282,  19.282,  19.282,  19.282,  19.282,  19.282,
     4   19.712,   19.712,  19.712,  19.712,  19.712,  19.712,  19.712,
     5   20.168,   20.168,  20.168,  20.168,  20.168,  20.168,  20.168,
     6   20.994,   20.994,  20.994,  20.994,  20.994,  20.994,  20.994,
     7   21.917,   21.917,  21.917,  21.917,  21.917,  21.917,  21.917,
     8   22.958,   22.958,  22.958,  22.958,  22.958,  22.958,  22.958,
     9   24.155,   24.155,  24.155,  24.155,  24.155,  24.155,  24.155/
      DATA PF515/
     1   25.564,   25.564,  25.564,  25.564,  25.564,  25.564,  25.564,
     2   27.271,   27.271,  27.271,  27.271,  27.271,  27.271,  27.271,
     3   29.401,   29.401,  29.401,  29.401,  29.401,  29.401,  29.400,
     4   32.137,   32.137,  32.137,  32.137,  32.137,  32.136,  32.133,
     5   35.751,   35.751,  35.751,  35.750,  35.749,  35.742,  35.731,
     6   40.667,   40.664,  40.663,  40.660,  40.655,  40.626,  40.577,
     7   47.580,   47.570,  47.564,  47.554,  47.531,  47.421,  47.245,
     8   57.683,   57.650,  57.627,  57.593,  57.517,  57.153,  56.595,
     9   73.016,   72.914,  72.847,  72.743,  72.517,  71.459,  69.906/
      DATA PF516/
     1   96.943,   96.667,  96.487,  96.207,  95.611,  92.875,  89.002,
     2  134.675,  134.009, 133.573, 132.901, 131.485, 125.098, 116.359,
     3  193.714,  192.249, 191.293, 189.824, 186.761, 173.166, 155.111,
     4  284.002,  281.046, 279.121, 276.171, 270.082, 243.427, 208.951,
     5  417.663,  412.136, 408.543, 403.055, 391.820, 343.245, 281.879,
     6  608.239,  598.586, 592.320, 582.774, 563.380, 480.452, 377.852,
     7  869.510,  853.643, 843.356, 827.722, 796.172, 662.595, 500.372,
     8 1214.077, 1189.368,1173.366,1149.100,1100.420, 896.125, 652.085,
     9 1651.956, 1615.287,1591.563,1555.656,1484.006,1185.663, 834.473/
      DATA PF517/
     1 2189.430, 2137.298,2103.600,2052.684,1951.568,1533.453,1047.668,
     2 2828.329, 2756.996,2710.924,2641.417,2503.962,1939.108,1290.422,
     3 3565.824, 3471.490,3410.605,3318.877,3138.160,2399.623,1560.212,
     4 4394.699, 4273.682,4195.626,4078.169,3847.539,2909.659,1853.454,
     5   15.654,   15.654,  15.654,  15.654,  15.654,  15.654,  15.654,
     6   15.938,   15.938,  15.938,  15.938,  15.938,  15.938,  15.938,
     7   16.224,   16.224,  16.224,  16.224,  16.224,  16.224,  16.224,
     8   16.512,   16.512,  16.512,  16.512,  16.512,  16.512,  16.512,
     9   16.801,   16.801,  16.801,  16.801,  16.801,  16.801,  16.801/
      DATA PF518/
     1   17.091,   17.091,  17.091,  17.091,  17.091,  17.091,  17.091,
     2   17.380,   17.380,  17.380,  17.380,  17.380,  17.380,  17.380,
     3   17.669,   17.669,  17.669,  17.669,  17.669,  17.669,  17.669,
     4   17.957,   17.957,  17.957,  17.957,  17.957,  17.957,  17.957,
     5   18.244,   18.244,  18.244,  18.244,  18.244,  18.244,  18.244,
     6   18.529,   18.529,  18.529,  18.529,  18.529,  18.529,  18.529,
     7   18.813,   18.813,  18.813,  18.813,  18.813,  18.813,  18.813,
     8   19.095,   19.095,  19.095,  19.095,  19.095,  19.095,  19.095,
     9   19.375,   19.375,  19.375,  19.375,  19.375,  19.375,  19.375/
      DATA PF519/
     1   19.654,   19.654,  19.654,  19.654,  19.654,  19.654,  19.654,
     2   19.932,   19.932,  19.932,  19.932,  19.932,  19.932,  19.932,
     3   20.209,   20.209,  20.209,  20.209,  20.209,  20.209,  20.209,
     4   20.486,   20.486,  20.486,  20.486,  20.486,  20.486,  20.486,
     5   20.763,   20.763,  20.763,  20.763,  20.763,  20.763,  20.763,
     6   21.043,   21.043,  21.043,  21.043,  21.043,  21.043,  21.043,
     7   21.468,   21.468,  21.468,  21.468,  21.468,  21.468,  21.468,
     8   21.905,   21.905,  21.905,  21.905,  21.905,  21.905,  21.905,
     9   22.359,   22.359,  22.359,  22.359,  22.359,  22.359,  22.359/
      DATA PF520/
     1   22.836,   22.836,  22.836,  22.836,  22.836,  22.836,  22.836,
     2   23.345,   23.345,  23.345,  23.345,  23.345,  23.345,  23.345,
     3   23.892,   23.892,  23.892,  23.892,  23.892,  23.892,  23.892,
     4   24.487,   24.487,  24.487,  24.487,  24.487,  24.487,  24.487,
     5   25.136,   25.136,  25.136,  25.136,  25.136,  25.136,  25.136,
     6   25.849,   25.849,  25.849,  25.849,  25.849,  25.849,  25.849,
     7   26.633,   26.633,  26.633,  26.633,  26.633,  26.633,  26.633,
     8   28.116,   28.116,  28.116,  28.116,  28.116,  28.116,  28.116,
     9   29.843,   29.843,  29.843,  29.843,  29.843,  29.843,  29.843/
      DATA PF521/
     1   31.831,   31.831,  31.831,  31.831,  31.831,  31.831,  31.831,
     2   34.091,   34.091,  34.091,  34.091,  34.091,  34.091,  34.091,
     3   36.622,   36.622,  36.622,  36.622,  36.622,  36.622,  36.622,
     4   39.418,   39.418,  39.418,  39.418,  39.418,  39.418,  39.418,
     5   42.472,   42.472,  42.472,  42.472,  42.472,  42.472,  42.472,
     6   45.782,   45.782,  45.782,  45.782,  45.782,  45.782,  45.782,
     7   49.368,   49.368,  49.368,  49.368,  49.368,  49.368,  49.368,
     8   53.289,   53.289,  53.289,  53.289,  53.289,  53.289,  53.289,
     9   57.670,   57.670,  57.670,  57.670,  57.670,  57.670,  57.670/
      DATA PF522/
     1   62.749,   62.749,  62.749,  62.749,  62.748,  62.747,  62.744,
     2   68.942,   68.941,  68.940,  68.940,  68.934,  68.931,  68.915,
     3   76.976,   76.972,  76.970,  76.967,  76.941,  76.926,  76.855,
     4   88.130,   88.117,  88.107,  88.094,  87.995,  87.937,  87.674,
     5  104.659,  104.614, 104.582, 104.536, 104.202, 104.009, 103.164,
     6  130.458,  130.323, 130.227, 130.092, 129.104, 128.543, 126.146,
     7  171.947,  171.589, 171.333, 170.975, 168.381, 166.926, 160.859,
     8  239.038,  238.182, 237.572, 236.720, 230.581, 227.184, 213.297,
     9  345.913,  344.052, 342.726, 340.885, 327.657, 320.423, 291.375/
      DATA PF523/
     1  511.278,  507.561, 504.915, 501.251, 475.034, 460.842, 404.766,
     2  757.814,  750.928, 746.029, 739.266, 691.028, 665.155, 564.370,
     3 1110.723, 1098.790,1090.308,1078.630, 995.569, 951.382, 781.425,
     4 1595.503, 1576.024,1562.192,1543.187,1408.373,1337.173,1066.397,
     5 2235.316, 2205.172,2183.780,2154.448,1946.862,1837.937,1427.834,
     6 3048.406, 3003.921,2972.371,2929.188,2624.204,2465.094,1871.380,
     7   15.655,   15.655,  15.655,  15.655,  15.655,  15.655,  15.655,
     8   15.911,   15.911,  15.911,  15.911,  15.911,  15.911,  15.911,
     9   16.166,   16.166,  16.166,  16.166,  16.166,  16.166,  16.166/
      DATA PF524/
     1   16.419,   16.419,  16.419,  16.419,  16.419,  16.419,  16.419,
     2   16.670,   16.670,  16.670,  16.670,  16.670,  16.670,  16.670,
     3   16.918,   16.918,  16.918,  16.918,  16.918,  16.918,  16.918,
     4   17.164,   17.164,  17.164,  17.164,  17.164,  17.164,  17.164,
     5   17.406,   17.406,  17.406,  17.406,  17.406,  17.406,  17.406,
     6   17.645,   17.645,  17.645,  17.645,  17.645,  17.645,  17.645,
     7   17.881,   17.881,  17.881,  17.881,  17.881,  17.881,  17.881,
     8   18.112,   18.112,  18.112,  18.112,  18.112,  18.112,  18.112,
     9   18.340,   18.340,  18.340,  18.340,  18.340,  18.340,  18.340/
      DATA PF525/
     1   18.563,   18.563,  18.563,  18.563,  18.563,  18.563,  18.563,
     2   18.782,   18.782,  18.782,  18.782,  18.782,  18.782,  18.782,
     3   18.997,   18.997,  18.997,  18.997,  18.997,  18.997,  18.997,
     4   19.207,   19.207,  19.207,  19.207,  19.207,  19.207,  19.207,
     5   19.414,   19.414,  19.414,  19.414,  19.414,  19.414,  19.414,
     6   19.616,   19.616,  19.616,  19.616,  19.616,  19.616,  19.616,
     7   19.816,   19.816,  19.816,  19.816,  19.816,  19.816,  19.816,
     8   20.012,   20.012,  20.012,  20.012,  20.012,  20.012,  20.012,
     9   20.302,   20.302,  20.302,  20.302,  20.302,  20.302,  20.302/
      DATA PF526/
     1   20.590,   20.590,  20.590,  20.590,  20.590,  20.590,  20.590,
     2   20.881,   20.881,  20.881,  20.881,  20.881,  20.881,  20.881,
     3   21.180,   21.180,  21.180,  21.180,  21.180,  21.180,  21.180,
     4   21.494,   21.494,  21.494,  21.494,  21.494,  21.494,  21.494,
     5   21.832,   21.832,  21.832,  21.832,  21.832,  21.832,  21.832,
     6   22.205,   22.205,  22.205,  22.205,  22.205,  22.205,  22.205,
     7   22.624,   22.624,  22.624,  22.624,  22.624,  22.624,  22.624,
     8   23.103,   23.103,  23.103,  23.103,  23.103,  23.103,  23.103,
     9   23.655,   23.655,  23.655,  23.655,  23.655,  23.655,  23.655/
      DATA PF527/
     1   24.784,   24.784,  24.784,  24.784,  24.784,  24.784,  24.784,
     2   26.234,   26.234,  26.234,  26.234,  26.234,  26.234,  26.234,
     3   28.080,   28.080,  28.080,  28.080,  28.080,  28.080,  28.080,
     4   30.387,   30.387,  30.387,  30.387,  30.387,  30.387,  30.387,
     5   33.208,   33.208,  33.208,  33.208,  33.208,  33.208,  33.208,
     6   36.583,   36.583,  36.583,  36.583,  36.583,  36.583,  36.583,
     7   40.533,   40.533,  40.533,  40.533,  40.533,  40.533,  40.533,
     8   45.059,   45.059,  45.059,  45.059,  45.059,  45.059,  45.059,
     9   50.147,   50.147,  50.147,  50.147,  50.147,  50.147,  50.147/
      DATA PF528/
     1   55.766,   55.766,  55.766,  55.766,  55.766,  55.766,  55.766,
     2   61.881,   61.881,  61.881,  61.881,  61.881,  61.881,  61.881,
     3   68.462,   68.462,  68.462,  68.462,  68.462,  68.462,  68.462,
     4   75.511,   75.511,  75.511,  75.511,  75.511,  75.511,  75.511,
     5   83.097,   83.097,  83.097,  83.097,  83.097,  83.097,  83.096,
     6   91.415,   91.414,  91.414,  91.414,  91.413,  91.411,  91.410,
     7  100.880,  100.880, 100.877, 100.876, 100.872, 100.863, 100.855,
     8  112.301,  112.298, 112.288, 112.280, 112.264, 112.222, 112.188,
     9  127.166,  127.156, 127.118, 127.087, 127.025, 126.868, 126.741/
      DATA PF529/
     1  148.137,  148.106, 147.977, 147.873, 147.668, 147.156, 146.753,
     2  179.776,  179.683, 179.307, 179.003, 178.408, 176.937, 175.804,
     3  229.476,  229.232, 228.252, 227.463, 225.923, 222.157, 219.311,
     4  308.435,  307.861, 305.560, 303.711, 300.117, 291.411, 284.946,
     5  432.375,  431.147, 426.223, 422.272, 414.627, 396.251, 382.820,
     6  621.674,  619.251, 609.551, 601.781, 586.799, 551.041, 525.266,
     7  900.626,  896.191, 878.439, 864.241, 836.949, 772.229, 726.149,
     8 1295.791, 1288.186,1257.766,1233.468,1186.895,1077.070, 999.733,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF530/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF531/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     3    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     4    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     5    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     6    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     7    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     8    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     9    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000/
      DATA PF532/
     1    6.000,    6.000,   6.000,   6.000,   6.000,   6.000,   6.000,
     2    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     3    6.001,    6.001,   6.001,   6.001,   6.001,   6.001,   6.001,
     4    6.002,    6.002,   6.002,   6.002,   6.002,   6.002,   6.002,
     5    6.005,    6.005,   6.005,   6.005,   6.005,   6.005,   6.005,
     6    6.009,    6.009,   6.009,   6.009,   6.009,   6.009,   6.009,
     7    6.016,    6.016,   6.016,   6.016,   6.016,   6.016,   6.016,
     8    6.028,    6.028,   6.028,   6.028,   6.028,   6.028,   6.028,
     9    6.048,    6.048,   6.048,   6.048,   6.048,   6.048,   6.048/
      DATA PF533/
     1    6.078,    6.078,   6.078,   6.078,   6.078,   6.078,   6.078,
     2    6.124,    6.124,   6.124,   6.124,   6.124,   6.124,   6.124,
     3    6.251,    6.251,   6.251,   6.251,   6.251,   6.251,   6.251,
     4    6.478,    6.478,   6.478,   6.478,   6.478,   6.478,   6.478,
     5    6.857,    6.857,   6.857,   6.857,   6.857,   6.857,   6.857,
     6    7.457,    7.457,   7.457,   7.457,   7.457,   7.457,   7.457,
     7    8.362,    8.362,   8.362,   8.362,   8.362,   8.362,   8.362,
     8    9.667,    9.667,   9.667,   9.667,   9.667,   9.667,   9.667,
     9   11.476,   11.476,  11.476,  11.476,  11.476,  11.476,  11.476/
      DATA PF534/
     1   13.889,   13.889,  13.889,  13.889,  13.889,  13.889,  13.889,
     2   16.998,   16.998,  16.998,  16.998,  16.998,  16.998,  16.998,
     3   20.881,   20.881,  20.881,  20.881,  20.881,  20.881,  20.881,
     4   25.588,   25.588,  25.588,  25.588,  25.588,  25.588,  25.588,
     5   31.142,   31.142,  31.142,  31.142,  31.142,  31.142,  31.142,
     6   37.538,   37.538,  37.538,  37.538,  37.538,  37.538,  37.538,
     7   44.746,   44.746,  44.746,  44.746,  44.746,  44.746,  44.746,
     8   52.723,   52.723,  52.723,  52.723,  52.723,  52.723,  52.723,
     9   61.438,   61.438,  61.438,  61.438,  61.438,  61.438,  61.438/
      DATA PF535/
     1   70.913,   70.913,  70.913,  70.913,  70.912,  70.912,  70.911,
     2   81.293,   81.293,  81.293,  81.292,  81.292,  81.290,  81.285,
     3   92.989,   92.989,  92.989,  92.985,  92.982,  92.976,  92.949,
     4  106.945,  106.945, 106.945, 106.926, 106.911, 106.884, 106.765,
     5  125.159,  125.159, 125.158, 125.084, 125.027, 124.924, 124.475,
     6  151.611,  151.609, 151.607, 151.357, 151.168, 150.828, 149.363,
     7  193.715,  193.708, 193.704, 192.970, 192.414, 191.429, 187.228,
     8  264.259,  264.239, 264.230, 262.312, 260.864, 258.318, 247.576,
     9  383.518,  383.471, 383.449, 378.937, 375.537, 369.603, 344.801/
      DATA PF536/
     1  580.962,  580.860, 580.814, 571.141, 563.864, 551.249, 498.964,
     2   10.541,   10.541,  10.541,  10.541,  10.541,  10.541,  10.541,
     3   10.886,   10.886,  10.886,  10.886,  10.886,  10.886,  10.886,
     4   11.234,   11.234,  11.234,  11.234,  11.234,  11.234,  11.234,
     5   11.581,   11.581,  11.581,  11.581,  11.581,  11.581,  11.581,
     6   11.929,   11.929,  11.929,  11.929,  11.929,  11.929,  11.929,
     7   12.276,   12.276,  12.276,  12.276,  12.276,  12.276,  12.276,
     8   12.622,   12.622,  12.622,  12.622,  12.622,  12.622,  12.622,
     9   12.966,   12.966,  12.966,  12.966,  12.966,  12.966,  12.966/
      DATA PF537/
     1   13.308,   13.308,  13.308,  13.308,  13.308,  13.308,  13.308,
     2   13.647,   13.647,  13.647,  13.647,  13.647,  13.647,  13.647,
     3   13.983,   13.983,  13.983,  13.983,  13.983,  13.983,  13.983,
     4   14.315,   14.315,  14.315,  14.315,  14.315,  14.315,  14.315,
     5   14.643,   14.643,  14.643,  14.643,  14.643,  14.643,  14.643,
     6   14.966,   14.966,  14.966,  14.966,  14.966,  14.966,  14.966,
     7   15.285,   15.285,  15.285,  15.285,  15.285,  15.285,  15.285,
     8   15.598,   15.598,  15.598,  15.598,  15.598,  15.598,  15.598,
     9   15.906,   15.906,  15.906,  15.906,  15.906,  15.906,  15.906/
      DATA PF538/
     1   16.209,   16.209,  16.209,  16.209,  16.209,  16.209,  16.209,
     2   16.506,   16.506,  16.506,  16.506,  16.506,  16.506,  16.506,
     3   16.798,   16.798,  16.798,  16.798,  16.798,  16.798,  16.798,
     4   17.225,   17.225,  17.225,  17.225,  17.225,  17.225,  17.225,
     5   17.641,   17.641,  17.641,  17.641,  17.641,  17.641,  17.641,
     6   18.048,   18.048,  18.048,  18.048,  18.048,  18.048,  18.048,
     7   18.448,   18.448,  18.448,  18.448,  18.448,  18.448,  18.448,
     8   18.845,   18.845,  18.845,  18.845,  18.845,  18.845,  18.845,
     9   19.244,   19.244,  19.244,  19.244,  19.244,  19.244,  19.244/
      DATA PF539/
     1   19.653,   19.653,  19.653,  19.653,  19.653,  19.653,  19.653,
     2   20.079,   20.079,  20.079,  20.079,  20.079,  20.079,  20.079,
     3   20.532,   20.532,  20.532,  20.532,  20.532,  20.532,  20.532,
     4   21.026,   21.026,  21.026,  21.026,  21.026,  21.026,  21.026,
     5   21.972,   21.972,  21.972,  21.972,  21.972,  21.972,  21.972,
     6   23.134,   23.134,  23.134,  23.134,  23.134,  23.134,  23.134,
     7   24.587,   24.587,  24.587,  24.587,  24.587,  24.587,  24.587,
     8   26.408,   26.408,  26.408,  26.408,  26.408,  26.408,  26.408,
     9   28.666,   28.666,  28.666,  28.666,  28.666,  28.666,  28.666/
      DATA PF540/
     1   31.425,   31.425,  31.425,  31.425,  31.425,  31.425,  31.425,
     2   34.728,   34.728,  34.728,  34.728,  34.728,  34.728,  34.728,
     3   38.606,   38.606,  38.606,  38.606,  38.606,  38.606,  38.606,
     4   43.065,   43.065,  43.065,  43.065,  43.065,  43.065,  43.065,
     5   48.094,   48.094,  48.094,  48.094,  48.094,  48.094,  48.094,
     6   53.661,   53.661,  53.661,  53.661,  53.661,  53.661,  53.661,
     7   59.717,   59.717,  59.717,  59.717,  59.717,  59.717,  59.717,
     8   66.197,   66.197,  66.197,  66.197,  66.197,  66.197,  66.197,
     9   73.026,   73.026,  73.026,  73.026,  73.026,  73.026,  73.026/
      DATA PF541/
     1   80.126,   80.126,  80.126,  80.126,  80.126,  80.126,  80.126,
     2   87.418,   87.418,  87.418,  87.418,  87.418,  87.418,  87.418,
     3   94.843,   94.843,  94.843,  94.843,  94.843,  94.843,  94.843,
     4  102.373,  102.373, 102.373, 102.373, 102.373, 102.373, 102.373,
     5  110.050,  110.050, 110.050, 110.050, 110.050, 110.050, 110.050,
     6  118.043,  118.043, 118.043, 118.043, 118.043, 118.043, 118.040,
     7  126.756,  126.756, 126.756, 126.756, 126.754, 126.753, 126.741,
     8  137.050,  137.050, 137.050, 137.050, 137.039, 137.038, 136.984,
     9  150.652,  150.652, 150.651, 150.650, 150.608, 150.604, 150.407/
      DATA PF542/
     1  170.855,  170.854, 170.853, 170.850, 170.713, 170.698, 170.072,
     2  203.565,  203.563, 203.561, 203.550, 203.160, 203.117, 201.360,
     3  258.613,  258.607, 258.601, 258.574, 257.579, 257.469, 253.063,
     4    9.538,    9.538,   9.538,   9.538,   9.538,   9.538,   9.538,
     5    9.852,    9.852,   9.852,   9.852,   9.852,   9.852,   9.852,
     6   10.173,   10.173,  10.173,  10.173,  10.173,  10.173,  10.173,
     7   10.502,   10.502,  10.502,  10.502,  10.502,  10.502,  10.502,
     8   10.837,   10.837,  10.837,  10.837,  10.837,  10.837,  10.837,
     9   11.178,   11.178,  11.178,  11.178,  11.178,  11.178,  11.178/
      DATA PF543/
     1   11.524,   11.524,  11.524,  11.524,  11.524,  11.524,  11.524,
     2   11.875,   11.875,  11.875,  11.875,  11.875,  11.875,  11.875,
     3   12.230,   12.230,  12.230,  12.230,  12.230,  12.230,  12.230,
     4   12.588,   12.588,  12.588,  12.588,  12.588,  12.588,  12.588,
     5   12.948,   12.948,  12.948,  12.948,  12.948,  12.948,  12.948,
     6   13.311,   13.311,  13.311,  13.311,  13.311,  13.311,  13.311,
     7   13.675,   13.675,  13.675,  13.675,  13.675,  13.675,  13.675,
     8   14.039,   14.039,  14.039,  14.039,  14.039,  14.039,  14.039,
     9   14.404,   14.404,  14.404,  14.404,  14.404,  14.404,  14.404/
      DATA PF544/
     1   14.769,   14.769,  14.769,  14.769,  14.769,  14.769,  14.769,
     2   15.133,   15.133,  15.133,  15.133,  15.133,  15.133,  15.133,
     3   15.496,   15.496,  15.496,  15.496,  15.496,  15.496,  15.496,
     4   15.857,   15.857,  15.857,  15.857,  15.857,  15.857,  15.857,
     5   16.218,   16.218,  16.218,  16.218,  16.218,  16.218,  16.218,
     6   16.755,   16.755,  16.755,  16.755,  16.755,  16.755,  16.755,
     7   17.290,   17.290,  17.290,  17.290,  17.290,  17.290,  17.290,
     8   17.824,   17.824,  17.824,  17.824,  17.824,  17.824,  17.824,
     9   18.360,   18.360,  18.360,  18.360,  18.360,  18.360,  18.360/
      DATA PF545/
     1   18.899,   18.899,  18.899,  18.899,  18.899,  18.899,  18.899,
     2   19.448,   19.448,  19.448,  19.448,  19.448,  19.448,  19.448,
     3   20.010,   20.010,  20.010,  20.010,  20.010,  20.010,  20.010,
     4   20.592,   20.592,  20.592,  20.592,  20.592,  20.592,  20.592,
     5   21.202,   21.202,  21.202,  21.202,  21.202,  21.202,  21.202,
     6   21.846,   21.846,  21.846,  21.846,  21.846,  21.846,  21.846,
     7   23.018,   23.018,  23.018,  23.018,  23.018,  23.018,  23.018,
     8   24.347,   24.347,  24.347,  24.347,  24.347,  24.347,  24.347,
     9   25.866,   25.866,  25.866,  25.866,  25.866,  25.866,  25.866/
      DATA PF546/
     1   27.608,   27.608,  27.608,  27.608,  27.608,  27.608,  27.608,
     2   29.596,   29.596,  29.596,  29.596,  29.596,  29.596,  29.596,
     3   31.843,   31.843,  31.843,  31.843,  31.843,  31.843,  31.843,
     4   34.353,   34.353,  34.353,  34.353,  34.353,  34.353,  34.353,
     5   37.120,   37.120,  37.120,  37.120,  37.120,  37.120,  37.120,
     6   40.127,   40.127,  40.127,  40.127,  40.127,  40.127,  40.127,
     7   43.351,   43.351,  43.351,  43.351,  43.351,  43.351,  43.351,
     8   46.760,   46.760,  46.760,  46.760,  46.760,  46.760,  46.760,
     9   50.319,   50.319,  50.319,  50.319,  50.319,  50.319,  50.319/
      DATA PF547/
     1   53.988,   53.988,  53.988,  53.988,  53.988,  53.988,  53.988,
     2   57.726,   57.726,  57.726,  57.726,  57.726,  57.726,  57.726,
     3   61.494,   61.494,  61.494,  61.494,  61.494,  61.494,  61.494,
     4   65.255,   65.255,  65.255,  65.255,  65.255,  65.255,  65.255,
     5   68.983,   68.983,  68.983,  68.983,  68.983,  68.983,  68.983,
     6   72.666,   72.666,  72.666,  72.666,  72.666,  72.666,  72.666,
     7   76.329,   76.329,  76.329,  76.329,  76.329,  76.329,  76.329,
     8   80.060,   80.060,  80.060,  80.060,  80.060,  80.060,  80.060,
     9   84.053,   84.053,  84.053,  84.053,  84.053,  84.053,  84.053/
      DATA PF548/
     1   88.676,   88.676,  88.676,  88.676,  88.676,  88.676,  88.676,
     2   94.564,   94.564,  94.564,  94.564,  94.564,  94.564,  94.563,
     3  102.781,  102.781, 102.781, 102.781, 102.781, 102.779, 102.777,
     4  115.070,  115.070, 115.070, 115.069, 115.068, 115.064, 115.057,
     5  134.233,  134.233, 134.233, 134.231, 134.229, 134.214, 134.194,
     6    7.464,    7.464,   7.464,   7.464,   7.464,   7.464,   7.464,
     7    7.652,    7.652,   7.652,   7.652,   7.652,   7.652,   7.652,
     8    7.848,    7.848,   7.848,   7.848,   7.848,   7.848,   7.848,
     9    8.050,    8.050,   8.050,   8.050,   8.050,   8.050,   8.050/
      DATA PF549/
     1    8.259,    8.259,   8.259,   8.259,   8.259,   8.259,   8.259,
     2    8.474,    8.474,   8.474,   8.474,   8.474,   8.474,   8.474,
     3    8.695,    8.695,   8.695,   8.695,   8.695,   8.695,   8.695,
     4    8.922,    8.922,   8.922,   8.922,   8.922,   8.922,   8.922,
     5    9.153,    9.153,   9.153,   9.153,   9.153,   9.153,   9.153,
     6    9.389,    9.389,   9.389,   9.389,   9.389,   9.389,   9.389,
     7    9.629,    9.629,   9.629,   9.629,   9.629,   9.629,   9.629,
     8    9.872,    9.872,   9.872,   9.872,   9.872,   9.872,   9.872,
     9   10.119,   10.119,  10.119,  10.119,  10.119,  10.119,  10.119/
      DATA PF550/
     1   10.368,   10.368,  10.368,  10.368,  10.368,  10.368,  10.368,
     2   10.620,   10.620,  10.620,  10.620,  10.620,  10.620,  10.620,
     3   10.873,   10.873,  10.873,  10.873,  10.873,  10.873,  10.873,
     4   11.128,   11.128,  11.128,  11.128,  11.128,  11.128,  11.128,
     5   11.384,   11.384,  11.384,  11.384,  11.384,  11.384,  11.384,
     6   11.641,   11.641,  11.641,  11.641,  11.641,  11.641,  11.641,
     7   11.899,   11.899,  11.899,  11.899,  11.899,  11.899,  11.899,
     8   12.286,   12.286,  12.286,  12.286,  12.286,  12.286,  12.286,
     9   12.675,   12.675,  12.675,  12.675,  12.675,  12.675,  12.675/
      DATA PF551/
     1   13.065,   13.065,  13.065,  13.065,  13.065,  13.065,  13.065,
     2   13.456,   13.456,  13.456,  13.456,  13.456,  13.456,  13.456,
     3   13.850,   13.850,  13.850,  13.850,  13.850,  13.850,  13.850,
     4   14.247,   14.247,  14.247,  14.247,  14.247,  14.247,  14.247,
     5   14.650,   14.650,  14.650,  14.650,  14.650,  14.650,  14.650,
     6   15.059,   15.059,  15.059,  15.059,  15.059,  15.059,  15.059,
     7   15.477,   15.477,  15.477,  15.477,  15.477,  15.477,  15.477,
     8   15.905,   15.905,  15.905,  15.905,  15.905,  15.905,  15.905,
     9   16.648,   16.648,  16.648,  16.648,  16.648,  16.648,  16.648/
      DATA PF552/
     1   17.433,   17.433,  17.433,  17.433,  17.433,  17.433,  17.433,
     2   18.269,   18.269,  18.269,  18.269,  18.269,  18.269,  18.269,
     3   19.161,   19.161,  19.161,  19.161,  19.161,  19.161,  19.161,
     4   20.108,   20.108,  20.108,  20.108,  20.108,  20.108,  20.108,
     5   21.111,   21.111,  21.111,  21.111,  21.111,  21.111,  21.111,
     6   22.165,   22.165,  22.165,  22.165,  22.165,  22.165,  22.165,
     7   23.262,   23.262,  23.262,  23.262,  23.262,  23.262,  23.262,
     8   24.394,   24.394,  24.394,  24.394,  24.394,  24.394,  24.394,
     9   25.548,   25.548,  25.548,  25.548,  25.548,  25.548,  25.548/
      DATA PF553/
     1   26.715,   26.715,  26.715,  26.715,  26.715,  26.715,  26.715,
     2   27.880,   27.880,  27.880,  27.880,  27.880,  27.880,  27.880,
     3   29.034,   29.034,  29.034,  29.034,  29.034,  29.034,  29.034,
     4   30.166,   30.166,  30.166,  30.166,  30.166,  30.166,  30.166,
     5   31.267,   31.267,  31.267,  31.267,  31.267,  31.267,  31.267,
     6   32.332,   32.332,  32.332,  32.332,  32.332,  32.332,  32.332,
     7   33.358,   33.358,  33.358,  33.358,  33.358,  33.358,  33.358,
     8   34.354,   34.354,  34.354,  34.354,  34.354,  34.354,  34.354,
     9   35.348,   35.348,  35.348,  35.348,  35.348,  35.348,  35.348/
      DATA PF554/
     1   36.396,   36.396,  36.396,  36.396,  36.396,  36.396,  36.396,
     2   37.608,   37.608,  37.608,  37.608,  37.608,  37.608,  37.608,
     3   39.157,   39.157,  39.157,  39.157,  39.157,  39.157,  39.157,
     4   41.311,   41.311,  41.311,  41.311,  41.311,  41.311,  41.311,
     5   44.442,   44.442,  44.442,  44.442,  44.442,  44.442,  44.442,
     6   49.065,   49.065,  49.065,  49.065,  49.065,  49.065,  49.065,
     7   55.870,   55.870,  55.870,  55.870,  55.870,  55.870,  55.870,
     8    4.672,    4.672,   4.672,   4.672,   4.672,   4.672,   4.672,
     9    4.742,    4.742,   4.742,   4.742,   4.742,   4.742,   4.742/
      DATA PF555/
     1    4.815,    4.815,   4.815,   4.815,   4.815,   4.815,   4.815,
     2    4.892,    4.892,   4.892,   4.892,   4.892,   4.892,   4.892,
     3    4.972,    4.972,   4.972,   4.972,   4.972,   4.972,   4.972,
     4    5.055,    5.055,   5.055,   5.055,   5.055,   5.055,   5.055,
     5    5.141,    5.141,   5.141,   5.141,   5.141,   5.141,   5.141,
     6    5.229,    5.229,   5.229,   5.229,   5.229,   5.229,   5.229,
     7    5.320,    5.320,   5.320,   5.320,   5.320,   5.320,   5.320,
     8    5.413,    5.413,   5.413,   5.413,   5.413,   5.413,   5.413,
     9    5.508,    5.508,   5.508,   5.508,   5.508,   5.508,   5.508/
      DATA PF556/
     1    5.605,    5.605,   5.605,   5.605,   5.605,   5.605,   5.605,
     2    5.703,    5.703,   5.703,   5.703,   5.703,   5.703,   5.703,
     3    5.802,    5.802,   5.802,   5.802,   5.802,   5.802,   5.802,
     4    5.903,    5.903,   5.903,   5.903,   5.903,   5.903,   5.903,
     5    6.004,    6.004,   6.004,   6.004,   6.004,   6.004,   6.004,
     6    6.105,    6.105,   6.105,   6.105,   6.105,   6.105,   6.105,
     7    6.207,    6.207,   6.207,   6.207,   6.207,   6.207,   6.207,
     8    6.308,    6.308,   6.308,   6.308,   6.308,   6.308,   6.308,
     9    6.410,    6.410,   6.410,   6.410,   6.410,   6.410,   6.410/
      DATA PF557/
     1    6.561,    6.561,   6.561,   6.561,   6.561,   6.561,   6.561,
     2    6.711,    6.711,   6.711,   6.711,   6.711,   6.711,   6.711,
     3    6.858,    6.858,   6.858,   6.858,   6.858,   6.858,   6.858,
     4    7.003,    7.003,   7.003,   7.003,   7.003,   7.003,   7.003,
     5    7.145,    7.145,   7.145,   7.145,   7.145,   7.145,   7.145,
     6    7.284,    7.284,   7.284,   7.284,   7.284,   7.284,   7.284,
     7    7.419,    7.419,   7.419,   7.419,   7.419,   7.419,   7.419,
     8    7.549,    7.549,   7.549,   7.549,   7.549,   7.549,   7.549,
     9    7.676,    7.676,   7.676,   7.676,   7.676,   7.676,   7.676/
      DATA PF558/
     1    7.798,    7.798,   7.798,   7.798,   7.798,   7.798,   7.798,
     2    7.992,    7.992,   7.992,   7.992,   7.992,   7.992,   7.992,
     3    8.173,    8.173,   8.173,   8.173,   8.173,   8.173,   8.173,
     4    8.341,    8.341,   8.341,   8.341,   8.341,   8.341,   8.341,
     5    8.496,    8.496,   8.496,   8.496,   8.496,   8.496,   8.496,
     6    8.640,    8.640,   8.640,   8.640,   8.640,   8.640,   8.640,
     7    8.771,    8.771,   8.771,   8.771,   8.771,   8.771,   8.771,
     8    8.892,    8.892,   8.892,   8.892,   8.892,   8.892,   8.892,
     9    9.001,    9.001,   9.001,   9.001,   9.001,   9.001,   9.001/
      DATA PF559/
     1    9.101,    9.101,   9.101,   9.101,   9.101,   9.101,   9.101,
     2    9.192,    9.192,   9.192,   9.192,   9.192,   9.192,   9.192,
     3    9.275,    9.275,   9.275,   9.275,   9.275,   9.275,   9.275,
     4    9.349,    9.349,   9.349,   9.349,   9.349,   9.349,   9.349,
     5    9.416,    9.416,   9.416,   9.416,   9.416,   9.416,   9.416,
     6    9.477,    9.477,   9.477,   9.477,   9.477,   9.477,   9.477,
     7    9.532,    9.532,   9.532,   9.532,   9.532,   9.532,   9.532,
     8    9.583,    9.583,   9.583,   9.583,   9.583,   9.583,   9.583,
     9    9.633,    9.633,   9.633,   9.633,   9.633,   9.633,   9.633/
      DATA PF560/
     1    9.689,    9.689,   9.689,   9.689,   9.689,   9.689,   9.689,
     2    9.766,    9.766,   9.766,   9.766,   9.766,   9.766,   9.766,
     3    9.891,    9.891,   9.891,   9.891,   9.891,   9.891,   9.891,
     4   10.111,   10.111,  10.111,  10.111,  10.111,  10.111,  10.111,
     5   10.499,   10.499,  10.499,  10.499,  10.499,  10.499,  10.499,
     6   11.155,   11.155,  11.155,  11.155,  11.155,  11.155,  11.155,
     7   12.209,   12.209,  12.209,  12.209,  12.209,  12.209,  12.209,
     8   13.817,   13.817,  13.817,  13.817,  13.817,  13.817,  13.817,
     9   16.163,   16.163,  16.163,  16.163,  16.163,  16.163,  16.163/
      DATA POTLO/500.,1000.,2000.,4000.,8000.,16000.,32000./
      DATA POTLOLOG/2.69897,3.,3.30103,3.60206,3.90309,4.20412,4.50515/
C     IF(PFTAB(1,1,1,1).EQ.0.)THEN
C     OPEN(UNIT=4,FILE='KU2A:[KURUCZ.SYNTHE]PFIRON.DAT',
C    1STATUS='OLD',SHARED,READONLY)
C     READ(4,1)PFTAB
C   1 FORMAT(26X,7F10.3)
C     ENDIF
C123456789012345678901234567890
C 20.09        56   199526.     4.211     4.211     4.211     4.211     4.211     4.211     4.211
      TLOG=TLOG8
      POTLOW=POTLOW8
      IF(TLOG.GT.4.)GO TO 20
      IF(TLOG.LT.3.7)GO TO 10
      IT=(TLOG-3.7)/.03+21.
      F=(TLOG-(IT-21)*.03-3.7)/.03
      GO TO 30
   10 IT=(TLOG-3.32)/.02+2.
      IT=MAX(IT,2)
      F=(TLOG-(IT-2)*.02-3.32)/.02
      GO TO 30
   20 IT=(TLOG-4.0)/.05+31.
      IT=MIN(IT,56)
      F=(TLOG-(IT-31)*.05-4.)/.05
   30 LOW=1
      IF(POTLOW.LT.POTLO(LOW))GO TO 32
      DO 31 LOW=2,7
      IF(POTLOW.LT.POTLO(LOW))GO TO 35
   31 CONTINUE
      LOW=7
   32 PF=F*PFTAB(LOW,IT,ION,NELEM-19)+
     1   (1.-F)*PFTAB(LOW,IT-1,ION,NELEM-19)
      RETURN
   35 P=(LOG10(POTLOW)-POTLOLOG(LOW-1))/.30103
      PF=P*(F*PFTAB(LOW,IT,ION,NELEM-19)+
     1   (1.-F)*PFTAB(LOW,IT-1,ION,NELEM-19))+
     2   (1.-P)*(F*PFTAB(LOW-1,IT,ION,NELEM-19)+
     3   (1.-F)*PFTAB(LOW-1,IT-1,ION,NELEM-19))
      RETURN
      END
      SUBROUTINE MOLEC(CODOUT,MODE,NUMBER)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION NUMBER(kw,1)
      REAL*8 NUMBER
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /XABUND/XABUND(99),WTMOLE
      COMMON /XNMOL/XNMOL(kw,160)
      COMMON /IFEQUA/IFEQUA(101),KCOMPS(450),LOCJ(161),CODE(160),
     1               EQUIL(6,160),IDEQUA(25),NEQUA,NUMMOL,NLOC
      COMMON /IFPOP/IFPOP
      DATA IREAD/0/
      IF(IFPOP.EQ.2)GO TO 200
      IF(IREAD.EQ.1)GO TO 200
      IF(IFPRES.EQ.1)GO TO 200
      READ(5,151)NUMMOL
  151 FORMAT(I5)
      DO 155 JMOL=1,NUMMOL
      READ(5,152)CODE(JMOL)
  152 FORMAT(F20.2)
      READ(5,153)(XNMOL(J,JMOL),J=1,NRHOX)
  153 FORMAT(1P8E10.3)
      WRITE(6,154)CODE(JMOL),(XNMOL(J,JMOL),J=1,NRHOX)
  154 FORMAT(F20.2/(1P8E10.3))
  155 CONTINUE
      READ(5,158)
      READ(5,158)(XNATOM(J),RHO(J),J=1,NRHOX)
      WRITE(6,158)(XNATOM(J),RHO(J),J=1,NRHOX)
  158 FORMAT(1P8E10.3)
      READ(5,158)
      READ(5,158)(XNE(J),J=1,NRHOX)
      WRITE(6,158)(XNE(J),J=1,NRHOX)
      IREAD=1
  200 IF(CODOUT.LT.100.)GO TO 300
      DO 201 JMOL=1,NUMMOL
      IF(CODE(JMOL).EQ.CODOUT)GO TO 203
  201 CONTINUE
      WRITE(6,202)CODOUT
  202 FORMAT(22H1BETTER LUCK NEXT TIMEF20.2)
      CALL EXIT
  203 DO 204 J=1,NRHOX
C 204 NUMBER(J,ION)=XNMOL(J,JMOL)
  204 NUMBER(J,1)=XNMOL(J,JMOL)
      RETURN
  300 C=CODOUT
      NN=1
      IF(MODE.EQ.11)NN=(C-DFLOAT( INT(C)))*100.+1.5
      DO 321 I=1,NN
      DO 301 JMOL=1,NUMMOL
      ION=NN-I+1
      IF(CODE(JMOL)+.001.GT.C.AND.CODE(JMOL)-.001.LT.C)GO TO 303
  301 CONTINUE
      GO TO 305
  303 DO 304 J=1,NRHOX
  304 NUMBER(J,ION)=XNMOL(J,JMOL)
      GO TO 321
  305 ID=CODOUT
      DO 311 JMOL=1,NUMMOL
      IF( INT(CODE(JMOL)).EQ.ID)GO TO 313
  311 CONTINUE
      GO TO 400
  313 DO 314 J=1,NRHOX
  314 NUMBER(J,ION)=0.
  321 C=C-.01
      RETURN
  400 ION=(CODOUT-DFLOAT(ID))*100.+1.5
      NN=ION
      IF(MODE.EQ.1)NN=1
      DO 401 J=1,NRHOX
      CALL PFSAHA(J,ID,ION,MODE,NUMBER)
      DO 401 I=1,NN
  401 NUMBER(J,I)=NUMBER(J,I)*XNATOM(J)*XABUND(ID)
      RETURN
      END
      SUBROUTINE NMOLEC(MODE)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /EDENS/EDENS(kw),IFEDNS
      COMMON /ELEM/ABUND(99),ATMASS(99),ELEM(99)
      COMMON /ITER/ ITER,IFPRNT(15),IFPNCH(15),NUMITS
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /XABUND/XABUND(99),WTMOLE
      COMMON /XNSAVE/XNSAVE(kw,25)
      DIMENSION PFP(13),PFM(13),EION(7),PFPLUS(kw),PFMIN(kw)
      EQUIVALENCE (PFP(7),EION(1))
      DIMENSION EQUILJ(160)
      DIMENSION XNZ(kw,25)
      DIMENSION EQ(25),XN(25),XAB(25),DTERM(25),DEQ(625)
      DIMENSION FRAC(kw,6)
      EQUIVALENCE (FRAC(1,1),DEQ(1))
      DIMENSION EQOLD(25)
      COMMON /XNMOL/XNMOL(kw,160)
      COMMON /IFEQUA/IFEQUA(101),KCOMPS(450),LOCJ(161),CODE(160),
     1               EQUIL(6,160),IDEQUA(25),NEQUA,NUMMOL,NLOC
      NEQUA1=NEQUA+1
      NEQNEQ=NEQUA**2
C
   30 DO 31 K=2,NEQUA
      ID=IDEQUA(K)
      IF(ID.LT.100)XAB(K)=DMAX1(XABUND(ID),1.D-20)
   31 CONTINUE
      IF(ID.EQ.100)XAB(NEQUA)=0.
      XNTOT=P(1)/TK(1)
      XN(1)=XNTOT/2.
      IF(T(1).LT.4000.)XN(1)=XNTOT
      X=XN(1)/10.
      DO 32 K=2,NEQUA
   32 XN(K)=X*XAB(K)
      IF(ID.EQ.100)XN(NEQUA)=X
      XNE(1)=X
	igiro=1
      DO 110 J=1,NRHOX
1100  XNTOT=P(J)/TK(J)
      IF(J.EQ.1)GO TO 34
	if(j.gt.1.and.igiro.gt.1)go to 34
      RATIO=P(J)/P(J-1)
      XNE(J)=XNE(J-1)*RATIO
      DO 33 K=1,NEQUA
   33 XN(K)=XN(K)*RATIO
   34 IF(IFEDNS.EQ.0)GO TO 3334
      DO 3333 K=1,NEQUA
 3333 XN(K)=XNSAVE(J,K)
 3334 CONTINUE
      DO 37 JMOL=1,NUMMOL
      NCOMP=LOCJ(JMOL+1)-LOCJ(JMOL)
      IF(EQUIL(1,JMOL).EQ.0.)GO TO 35
      ION=(CODE(JMOL)-DFLOAT( INT(CODE(JMOL))))*100.+.5
      EQUILJ(JMOL)=0.
      IF(T(J).GT.10000.)GO TO 37
      IF(CODE(JMOL).EQ.101.)THEN
C     FOR 1000 < T < 9000
C     Kurucz, R.L. 1985, A comment on molecular partition functions.
C     Rejected by ApJ Lett.  Center for Astrophysics preprint no. 2162.
C      T10000=T(J)/10000.
C      EQUILJ(JMOL)=EXP(EQUIL(1,JMOL)/TKEV(J)-46.4584+16.3660*T10000-
C     1 49.3992*T10000**2+111.822*T10000**3-149.567*T10000**4+
C     2 106.206*T10000**5-30.8720*T10000**6-1.5*TLOG(J))
      EQUILJ(JMOL)=EXP(EQUIL(1,JMOL)/TKEV(J)-46.4584+(16.3660E-4+
     1 (-49.3992E-8+(111.822E-12+(-149.567E-16+(106.206E-20-30.8720E-24*
     2 T(J))*T(J))*T(J))*T(J))*T(J))*T(J)-1.5*TLOG(J))
      GO TO 37
      ENDIF
      EQUILJ(JMOL)=EXP(EQUIL(1,JMOL)/TKEV(J)-EQUIL(2,JMOL)+
     1(EQUIL(3,JMOL)+(-EQUIL(4,JMOL)+(EQUIL(5,JMOL)-EQUIL(6,JMOL)*
     2T(J))*T(J))*T(J))*T(J)-1.5*(DFLOAT(NCOMP-ION-ION-1))*TLOG(J))
      GO TO 37
   35 IF(NCOMP.GT.1)GO TO 36
      EQUILJ(JMOL)=1.
      GO TO 37
   36 ID=CODE(JMOL)
      ION=NCOMP-1
      CALL PFSAHA(J,ID,NCOMP,12,FRAC)
      EQUILJ(JMOL)=FRAC(J,NCOMP)/FRAC(J,1)*XNE(J)**ION
   37 CONTINUE
      DO 48 K=1,NEQUA
   48 EQOLD(K)=0.
C
C     SET UP 1ST ORDER EQUATIONS FOR THE CHANGE IN NUMBER DENSITY OF
C        EACH ELEMENT.
   50 DO 60 KL=1,NEQNEQ
   60 DEQ(KL)=0.
      EQ(1)=-XNTOT
      K1=1
      KK=1
      DO 61 K=2,NEQUA
      EQ(1)=EQ(1)+XN(K)
      K1=K1+NEQUA
C     K1 IS ACTUALLY 1K
      DEQ(K1)=1.
      EQ(K)=XN(K)-XAB(K)*XN(1)
      KK=KK+NEQUA1
      DEQ(KK)=1.
   61 DEQ(K)=-XAB(K)
      IF(IDEQUA(NEQUA).LT.100)GO TO 62
      EQ(NEQUA)=-XN(NEQUA)
      DEQ(NEQNEQ)=-1.
   62 CONTINUE
      DO 99 JMOL=1,NUMMOL
      NCOMP=LOCJ(JMOL+1)-LOCJ(JMOL)
      IF(NCOMP.EQ.1)GO TO 99
      TERM=EQUILJ(JMOL)
      LOCJ1=LOCJ(JMOL)
      LOCJ2=LOCJ(JMOL+1)-1
      DO 80 LOCK=LOCJ1,LOCJ2
      K=KCOMPS(LOCK)
      IF(K.EQ.NEQUA1)GO TO 79
      TERM=TERM*XN(K)
      GO TO 80
   79 TERM=TERM/XN(NEQUA)
   80 CONTINUE
      EQ(1)=EQ(1)+TERM
      DO 85 LOCK=LOCJ1,LOCJ2
      K=KCOMPS(LOCK)
      IF(K.LT.NEQUA1)GO TO 81
      K=NEQUA
      D=-TERM/XN(K)
      GO TO 82
   81 D=TERM/XN(K)
   82 EQ(K)=EQ(K)+TERM
      NEQUAK=NEQUA*K-NEQUA
      K1=NEQUAK+1
      DEQ(K1)=DEQ(K1)+D
      DO 83 LOCM=LOCJ1,LOCJ2
      M=KCOMPS(LOCM)
      IF(M.EQ.NEQUA1)M=NEQUA
      MK=M+NEQUAK
   83 DEQ(MK)=DEQ(MK)+D
   85 CONTINUE
C
C     CORRECTION TO CHARGE EQUATION FOR NEGATIVE IONS
      K=KCOMPS(LOCJ2)
      IF(IDEQUA(K).NE.100)GO TO 99
      DO 95 LOCK=LOCJ1,LOCJ2
      K=KCOMPS(LOCK)
      D=TERM/XN(K)
      IF(K.EQ.NEQUA)EQ(K)=EQ(K)-TERM-TERM
      NEQUAK=NEQUA*K-NEQUA
      DO 93 LOCM=LOCJ1,LOCJ2
      M=KCOMPS(LOCM)
      IF(M.NE.NEQUA)GO TO 93
      MK=M+NEQUAK
      DEQ(MK)=DEQ(MK)-D-D
   93 CONTINUE
   95 CONTINUE
C
   99 CONTINUE
C
      CALL SOLVIT(DEQ,NEQUA,EQ,DTERM)
      IFERR=0
      SCALE=100.
      DO 105 K=1,NEQUA
      RATIO=ABS(EQ(K)/XN(K))
C     IF(RATIO.GT..001)IFERR=1
      IF(RATIO.GT..0001)IFERR=1
      IF(EQOLD(K)*EQ(K).LT.0.)EQ(K)=EQ(K)*.69
      XNEQ=XN(K)-EQ(K)
      XN100=XN(K)/100.
cc      IF(XNEQ.LT.XN100)GO TO 101
      IF(abs(XNEQ).LT.XN100)GO TO 101
      XN100=XN(K)*100.
C     IF(XNEQ.GT.XN100)GO TO 102
cc      XN(K)=XNEQ
      XN(K)=abs(XNEQ)
      GO TO 105
  101 XN(K)=XN(K)/SCALE
      IF(EQOLD(K)*EQ(K).LT.0.)SCALE=SQRT(SCALE)
      GO TO 105
C 102 XN(K)=XN100
  105 EQOLD(K)=EQ(K)
      IF(IFERR.EQ.1)GO TO 50
C
      DO 107 K=1,NEQUA
  107 XNZ(J,K)=XN(K)
      XNATOM(J)=XN(1)
      RHO(J)=XNATOM(J)*WTMOLE*1.660E-24
      IF(IDEQUA(NEQUA).EQ.100)XNE(J)=XN(NEQUA)
      DO 109 JMOL=1,NUMMOL
      NCOMP=LOCJ(JMOL+1)-LOCJ(JMOL)
      XNMOL(J,JMOL)=EQUILJ(JMOL)
      LOCJ1=LOCJ(JMOL)
      LOCJ2=LOCJ(JMOL+1)-1
      DO 109 LOCK=LOCJ1,LOCJ2
      K=KCOMPS(LOCK)
      IF(K.EQ.NEQUA1)GO TO 108
      XNMOL(J,JMOL)=XNMOL(J,JMOL)*XN(K)
      GO TO 109
  108 XNMOL(J,JMOL)=XNMOL(J,JMOL)/XN(NEQUA)
  109 CONTINUE
c	type*,j,igiro,xne(j),xnz(j,14)
	igiro=igiro+1
	if(igiro.eq.4)then
	igiro=1
	go to 110
	endif
	if(igiro.gt.1)go to 1100
  110 CONTINUE
      IF(IFEDNS.EQ.1)GO TO 160
      DO 1111 K=1,NEQUA
      DO 1111 J=1,NRHOX
 1111 XNSAVE(J,K)=XNZ(J,K)
      IF(ITER.LT.NUMITS)GO TO 120
      WRITE(6,112)(J,RHOX(J),T(J),P(J),XNE(J),XNATOM(J),RHO(J),
     1J=1,NRHOX)
  112 FORMAT(1H1,10X,4HRHOX,9X,1HT,11X,1HP,10X,3HXNE,8X,6HXNATOM,
     1 8X,3HRHO/(I5,1P6E12.3))
      NN=(NUMMOL/10)*10
      IF(NN.LT.NUMMOL)NN=NN+10
      DO 111 JMOL1=1,NN,10
      JMOL10=JMOL1+9
  111 WRITE(6,113)(CODE(JMOL),JMOL=JMOL1,JMOL10),(J,(XNMOL(J,JMOL),
     1JMOL=JMOL1,JMOL10),J=1,NRHOX)
  113 FORMAT(1H1,49X,26HMOLECULAR NUMBER DENSITIES/5X,10F12.2/
     1(I5,1P10E12.3))
  120 IF(MODE.EQ.2.OR.MODE.EQ.12)GO TO 149
      DO 125 K=2,NEQUA
      ID=IDEQUA(K)
      IF(ID.EQ.100)GO TO 122
      DO 121 J=1,NRHOX
C     CALCULATE PARTITION FUNCTIONS
      CALL PFSAHA(J,ID,1,3,FRAC)
  121 XNZ(J,K)=XNZ(J,K)/FRAC(J,1)/1.8786E20/SQRT((ATMASS(ID)*T(J))**3)
      GO TO 125
  122 DO 123 J=1,NRHOX
  123 XNZ(J,K)=XNZ(J,K)/2./2.4148E15/T(J)/SQRT(T(J))
  125 CONTINUE
      DO 140 JMOL=1,NUMMOL
      NCOMP=LOCJ(JMOL+1)-LOCJ(JMOL)
      IF(EQUIL(1,JMOL).EQ.0.)GO TO 135
      DO 126 J=1,NRHOX
C 126 XNMOL(J,JMOL)=EXP(EQUIL(1,JMOL)/T(J))
  126 XNMOL(J,JMOL)=EXP(EQUIL(1,JMOL)/TKEV(J))
      AMASS=0.
      LOCJ1=LOCJ(JMOL)
      LOCJ2=LOCJ(JMOL+1)-1
      DO 130 LOCK=LOCJ1,LOCJ2
      K=KCOMPS(LOCK)
      IF(K.EQ.NEQUA1)GO TO 128
      ID=IDEQUA(K)
      IF(ID.LT.100)AMASS=AMASS+ATMASS(ID)
      DO 127 J=1,NRHOX
  127 XNMOL(J,JMOL)=XNMOL(J,JMOL)*XNZ(J,K)
      GO TO 130
  128 DO 129 J=1,NRHOX
  129 XNMOL(J,JMOL)=XNMOL(J,JMOL)/XNZ(J,NEQUA)
  130 CONTINUE
      DO 131 J=1,NRHOX
  131 XNMOL(J,JMOL)=XNMOL(J,JMOL)*1.8786E20*SQRT((AMASS*T(J))**3)
      GO TO 140
  135 ID=CODE(JMOL)
      DO 136 J=1,NRHOX
      CALL PFSAHA(J,ID,NCOMP,3,FRAC)
  136 XNMOL(J,JMOL)=XNMOL(J,JMOL)/FRAC(J,1)
  140 CONTINUE
  149 IF(IFPNCH(ITER).NE.5)RETURN
      WRITE(6,150)
  150 FORMAT(1H1,20X,38HNUMBER DENSITIES / PARTITION FUNCTIONS)
      WRITE(6,151)NUMMOL
      WRITE(7,151)NUMMOL
  151 FORMAT(I5,10H MOLECULES)
      DO 155 JMOL=1,NUMMOL
      WRITE(6,152)CODE(JMOL),(XNMOL(J,JMOL),J=1,NRHOX)
      WRITE(7,152)CODE(JMOL),(XNMOL(J,JMOL),J=1,NRHOX)
  152 FORMAT(F20.2/(1P8E10.3))
  155 CONTINUE
      WRITE(6,158)(XNATOM(J),RHO(J),J=1,NRHOX)
      WRITE(7,158)(XNATOM(J),RHO(J),J=1,NRHOX)
  158 FORMAT(11H XNATOM,RHO/(1P8E10.3))
      RETURN
  160 DO 161 J=1,NRHOX
      XNTOT=P(J)/TK(J)
  161 EDENS(J)=1.5*XNTOT*TK(J)
      DO 180 JMOL=1,NUMMOL
      NCOMP=LOCJ(JMOL+1)-LOCJ(JMOL)
      IF(EQUIL(1,JMOL).EQ.0.)GO TO 175
      DO 166 J=1,NRHOX
      IF(XNMOL(J,JMOL).LE.0.0)GO TO 166
      TPLUS=T(J)*1.001
      TMINUS=T(J)*.999
      PFPLUS(J)=EXP(-EQUIL(2,JMOL)+
     1(EQUIL(3,JMOL)+(-EQUIL(4,JMOL)+(EQUIL(5,JMOL)-EQUIL(6,JMOL)*
     2TPLUS)*TPLUS)*TPLUS)*TPLUS)+1.E-30
      PFMIN(J)=EXP(-EQUIL(2,JMOL)+
     1(EQUIL(3,JMOL)+(-EQUIL(4,JMOL)+(EQUIL(5,JMOL)-EQUIL(6,JMOL)*
     2TMINUS)*TMINUS)*TMINUS)*TMINUS)+1.E-30
      IF(CODE(JMOL).NE.101.)GO TO 166
C     FOR 1000 < T < 9000
C     Kurucz, R.L. 1985, A comment on molecular partition functions.
C     Rejected by ApJ Lett.  Center for Astrophysics preprint no. 2162.
	tminus10=tminus/10000.
	tplus10=tplus/10000.
      PFMIN(J)=EXP(0.582145+(16.3760+(-49.4684+(112.049+(-149.953+
     1 (106.531-30.9791*TMINUS10)*TMINUS10)*TMINUS10)*TMINUS10)
	1 *TMINUS10)*TMINUS10)+1.E-30
      PFPLUS(J)=EXP(0.582145+(16.3760+(-49.4684+(112.049+(-149.953+
     1 (106.531-30.9791*TPLUS10)*TPLUS10)*TPLUS10)*TPLUS10)
	1 *TPLUS10)*TPLUS10)+1.E-30
  166 CONTINUE
      IF(CODE(JMOL).EQ.101)GO TO 172
      LOCJ1=LOCJ(JMOL)
      LOCJ2=LOCJ(JMOL+1)-1
      DO 170 LOCK=LOCJ1,LOCJ2
      K=KCOMPS(LOCK)
      IF(K.EQ.NEQUA)GO TO 168
      IF(K.GT.NEQUA)GO TO 180
      ID=IDEQUA(K)
      DO 167 J=1,NRHOX
      IF(XNMOL(J,JMOL).LE.0.0)GO TO 167
      T(J)=T(J)*1.001
      TK(J)=TK(J)*1.001
      TKEV(J)=TKEV(J)*1.001
      CALL PFSAHA(J,ID,1,3,FRAC)
      PFPLUS(J)=PFPLUS(J)*FRAC(J,1)
      T(J)=T(J)/1.001*.999
      TK(J)=TK(J)/1.001*.999
      TKEV(J)=TKEV(J)/1.001*.999
      CALL PFSAHA(J,ID,1,3,FRAC)
      PFMIN(J)=PFMIN(J)*FRAC(J,1)
      T(J)=T(J)/.999
      TK(J)=TK(J)/.999
      TKEV(J)=TKEV(J)/.999
  167 CONTINUE
      GO TO 170
  168 CONTINUE
  170 CONTINUE
  172 DO 171 J=1,NRHOX
      IF(XNMOL(J,JMOL).LE.0.0)GO TO 171
      EDENS(J)=EDENS(J)+XNMOL(J,JMOL)*TK(J)*
     1(-EQUIL(1,JMOL)/TKEV(J)+(PFPLUS(J)-PFMIN(J))/(PFPLUS(J)+
     2PFMIN(J))*2.*500.)
  171 CONTINUE
      GO TO 180
  175 ID=CODE(JMOL)
      DO 177 J=1,NRHOX
      IF(XNMOL(J,JMOL).LE.0.0)GO TO 177
      T(J)=T(J)*1.001
      TK(J)=TK(J)*1.001
      TKEV(J)=TKEV(J)*1.001
      CALL PFSAHA(J,ID,NCOMP,5,PFP)
      T(J)=T(J)/1.001*.999
      TK(J)=TK(J)/1.001*.999
      TKEV(J)=TKEV(J)/1.001*.999
      CALL PFSAHA(J,ID,NCOMP,5,PFM)
      T(J)=T(J)/.999
      TK(J)=TK(J)/.999
      TKEV(J)=TKEV(J)/.999
      ION=NCOMP
      PFP(ION)=MAX(PFP(ION),PFM(ION))
      EDENS(J)=EDENS(J)+XNMOL(J,JMOL)*TK(J)*
     1(EION(ION)/TKEV(J)+(PFP(ION)-PFM(ION))/(PFP(ION)+PFM(ION))*
     22.*500.)
  177 CONTINUE
  180 CONTINUE
      DO 181 J=1,NRHOX
  181 EDENS(J)=EDENS(J)/RHO(J)
      RETURN
      END
      SUBROUTINE CONVEC
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /EDENS/EDENS(kw),IFEDNS
      COMMON /FLUX/ FLUX,FLXERR(kw),FLXDRV(kw),FLXRAD(kw)
      COMMON /HEIGHT/HEIGHT(kw)
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/EDENS1(kw),EDENS2(kw),EDENS3(kw),EDENS4(kw),RHO1(kw),
     1            RHO2(kw),RHO3(kw),RHO4(kw),SAVXNE(kw),SAVXNA(kw),
     2            SAVRHO(kw),DILUT(kw),DUMMY(kw,13)
      COMMON /PTOTAL/PTOTAL(kw)
      COMMON /PZERO/PZERO,PCON,PRADK0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /RAD/ACCRAD(kw),PRAD(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TEFF/TEFF,GRAV,GLOG
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      COMMON /XABUND/XABUND(99),WTMOLE
      DIMENSION DTDRHX(kw),ABCONV(kw),DELTAT(kw),ROSST(kw)
	dimension dltdlpsmooth(kw)
      EQUIVALENCE (DTDRHX(1),DLTDLP(1))
      DIMENSION CNVINT(kw),DELHGT(kw)
      CALL DERIV(RHOX,T,DTDRHX,NRHOX)
C     CALCULATE DERIVATIVES BY EVALUATING FUNCTIONS AT + AND - .001
      IFEDNS=1
c	do 101 j=1,nrhox
c	dltdlp(j)=ptotal(j)/t(j)/grav*dtdrhx(j)
c101	CONTINUE
c	do 105 kk=1,5
c	do 102 j=2,nrhox-1
c	dltdlpsmooth(j)=.3*dltdlp(j-1)+.4*dltdlp(j)+.3*dltdlp(j+1)
c102	continue
c	do 103 j=2,nrhox-1
c	dltdlp(j)=dltdlpsmooth(j)
c103	continue
c105	continue
      DO 10 J=1,NRHOX
      DILUT(J)=1.-EXP(-TAUROS(J))
C     DILUT(J)=PRAD(J)/PRADK(J)
      SAVXNE(J)=XNE(J)
      SAVXNA(J)=XNATOM(J)
      SAVRHO(J)=RHO(J)
      TLOG(J)=TLOG(J)+.0009995003
      T(J)=T(J)*1.001
      TK(J)=TK(J)*1.001
   10 TKEV(J)=TKEV(J)*1.001
      ITEMP=ITEMP+1
      CALL POPS(0.D0,1,XNE)
      DO 11 J=1,NRHOX
C     3.*PRADK IS APPROXIMATELY RADEN THE RADIATION DENSITY
C     PRADK IS USED BECAUSE IT CAN BE RECONSTRUCTED FROM MODEL DECKS
C        WHEREAS RADEN CANNOT
C     RIGOROUSLY THE RADIATION FIELD SHOULD BE RECALCULATED
      EDENS1(J)=EDENS(J)+3.*PRADK(J)/RHO(J)*(1.+DILUT(J)*(1.001**4-1.))
C      WRITE(6,6666)J,EDENS(J),EDENS1(J),PRADK(J),RHO(J),DILUT(J)
      RHO1(J)=RHO(J)
      TLOG(J)=TLOG(J)-.0009995003-.0010005003
      T(J)=T(J)/1.001*.999
      TK(J)=TK(J)/1.001*.999
   11 TKEV(J)=TKEV(J)/1.001*.999
      ITEMP=ITEMP+1
      CALL POPS(0.D0,1,XNE)
      DO 12 J=1,NRHOX
      EDENS2(J)=EDENS(J)+3.*PRADK(J)/RHO(J)*(1.+DILUT(J)*(.999**4-1.))
C      WRITE(6,6666)J,EDENS(J),EDENS2(J),PRADK(J),RHO(J),DILUT(J)
      RHO2(J)=RHO(J)
      TLOG(J)=TLOG(J)+.0010005003
      T(J)=T(J)/.999
      TK(J)=TK(J)/.999
      TKEV(J)=TKEV(J)/.999
   12 P(J)=P(J)*1.001
      ITEMP=ITEMP+1
      CALL POPS(0.D0,1,XNE)
      DO 13 J=1,NRHOX
      EDENS3(J)=EDENS(J)+3.*PRADK(J)/RHO(J)
      RHO3(J)=RHO(J)
   13 P(J)=P(J)/1.001*.999
      ITEMP=ITEMP+1
      CALL POPS(0.D0,1,XNE)
      DO 14 J=1,NRHOX
      EDENS4(J)=EDENS(J)+3.*PRADK(J)/RHO(J)
      RHO4(J)=RHO(J)
      XNE(J)=SAVXNE(J)
      XNATOM(J)=SAVXNA(J)
      RHO(J)=SAVRHO(J)
   14 P(J)=P(J)/.999
      DO 30 J=1,NRHOX
      DEDT=(EDENS1(J)-EDENS2(J))/T(J)*500.
      DRDT=(RHO1(J)-RHO2(J))/T(J)*500.
      DEDPG=(EDENS3(J)-EDENS4(J))/P(J)*500.
      DRDPG=(RHO3(J)-RHO4(J))/P(J)*500.
C
C     CALCULATE THERMODYNAMIC QUANTITIES AND CONVECTIVE FLUX
C     IGNORING PTURB AND ASSUMING PRAD PROPORTIONAL TO T**4
      DPDPG=1.
      DPDT=4.*PRADK(J)/T(J)*DILUT(J)
C     DPDT=4.*PRAD(J)/T(J)
C      WRITE(6,6666)J,DEDT,DEDPG,DRDT,DRDPG,DPDT,DPDPG
C 6666 FORMAT(I10,1P6E12.3)
      DLTDLP(J)=PTOTAL(J)/T(J)/GRAV*DTDRHX(J)
      HEATCV=DEDT-DEDPG*DRDT/DRDPG
      HEATCP(J)=DEDT-DEDPG*DPDT/DPDPG-PTOTAL(J)/RHO(J)**2*(DRDT-
     1DRDPG*DPDT/DPDPG)
      IF(HEATCV.LE.0.)THEN
      VELSND(J)=0.
      GO TO 144
      ENDIF
      VELSND(J)=SQRT(HEATCP(J)/HEATCV*DPDPG/DRDPG)
144   DLRDLT(J)=T(J)/RHO(J)*(DRDT-DRDPG*DPDT/DPDPG)
      GRDADB(J)=-PTOTAL(J)/RHO(J)/T(J)*DLRDLT(J)/HEATCP(J)
      HSCALE(J)=PTOTAL(J)/RHO(J)/GRAV
      VCONV(J)=0.
      FLXCNV(J)=0.
      ABCONV(J)=ABROSS(J)
      DELTAT(J)=0.
      ROSST(J)=0.
      IF(MIXLTH.EQ.0.)GO TO 30
      IF(J.LT.4)GO TO 30
      DEL=DLTDLP(J)-GRDADB(J)
      IF(DEL.LT.0.)GO TO 30
      VCO=.5*MIXLTH*SQRT(MAX(-.5*PTOTAL(J)/RHO(J)*DLRDLT(J),0.D0))
      IF(VCO.EQ.0.)GO TO 30
      FLUXCO=.5*RHO(J)*HEATCP(J)*T(J)*MIXLTH/12.5664
      ROSST(J)=ROSSTAB(T(J),P(J),VTURB(J))
      OLDDELT=0.
C     ITERATE ON THE OPACITY
      ITS30=30
      IF(IFCONV.EQ.0)ITS30=1
      DO 29 IDELTAT=1,ITS30
      DPLUS=ROSSTAB(T(J)+DELTAT(J),P(J),VTURB(J))/ROSST(J)
      DMINUS=ROSSTAB(T(J)-DELTAT(J),P(J),VTURB(J))/ROSST(J)
      ABCONV(J)=2./(1./DPLUS+1./DMINUS)*ABROSS(J)
C      PRINT 5555,J,IDELTAT,T(J),DELTAT(J),DPLUS,ROSST(J),DMINUS,
C     1ABCONV(J),ABROSS(J)
 5555 FORMAT(2I5,1P7E12.3)
      D=8.*5.6697E-5*T(J)**4/(ABCONV(J)*HSCALE(J)*RHO(J))/
     1(FLUXCO*12.5664)/VCO
C     CORRECTION FOR OPTICALLY THIN BUBBLES AFTER MIHALAS
      TAUB=ABCONV(J)*RHO(J)*MIXLTH*HSCALE(J)
      D=D*TAUB**2/(2.+TAUB**2)
C
      D=D**2/2.
      DDD=(DEL/(D+DEL))**2
      IF(DDD.LT..5)GO TO 24
      DELTA=(1.-SQRT(1.-DDD))/DDD
      GO TO 26
   24 DELTA=.5
      TERM=.5
      UP=-1.
      DOWN=2.
   25 UP=UP+2.
      DOWN=DOWN+2.
      TERM=UP/DOWN*DDD*TERM
      DELTA=DELTA+TERM
      IF(TERM.GT.1.E-6)GO TO 25
   26 DELTA=DELTA*DEL**2/(D+DEL)
      VCONV(J)=VCO*SQRT(DELTA)
      FLXCNV(J)=FLUXCO*VCONV(J)*DELTA
      FLXCNV(J)=MAX(FLXCNV(J),0.D0)
      DELTAT(J)=T(J)*MIXLTH*DELTA
      DELTAT(J)=DMIN1(DELTAT(J),T(J)*.15)
      DELTAT(J)=DELTAT(J)*.7+OLDDELT*.3
      IF(DELTAT(J).LT.OLDDELT+.5.AND.DELTAT(J).GT.OLDDELT-.5)GO TO 30
      OLDDELT=DELTAT(J)
   29 CONTINUE
   30 CONTINUE
C
C
C     ELIMINATE ARTIFACTUAL CONVECTION ABOVE THE MAIN CONVECTION ZONE
C     REWRITE CODE IF THERE ARE TWO CONVECTION ZONES
cc      DO 730 J=3,NRHOX
cc      K=NRHOX+1-J
cc      IF(FLXCNV(K).GT.0.)GO TO 731
cc  730 CONTINUE
cc      RETURN
cc  731 DO 732 J=1,K
cc      L=K+1-J
cc      IF(FLXCNV(L).EQ.0.)GO TO 733
cc  732 CONTINUE
cc  733 DO 734 J=1,L
cc      VCONV(J)=0.
cc  734 FLXCNV(J)=0.	
CC     PATCH TO REMOVE NUMERICAL ARTIFACTS INCLUDING SINGLE POINT DROPOUTS
C      DO 7735 J=1,NRHOX/2
C 7735 FLXCNV(J)=0.
C      DO 7736 J=1,NRHOX
C 7736 FLXCNV0(J)=FLXCNV(J)
C      DO 7737 J=2,NRHOX-1
C 7737 FLXCNV(J)=.3*FLXCNV0(J-1)+.4*FLXCNV0(J)+.3*FLXCNV0(J+1)
      DO 735 J=1,NRHOX
  735 FLXCNV0(J)=FLXCNV(J)
C
C
C     SMOOTH OVER A SCALE HEIGHT 
C     ASSUME OVERSHOOTING BY 0.5 HSCALE IF CONVECTION IS STRONG
C     BUT NONE IF CONVECTION IS WEAK
C     SETTING OVERWT=0. COMPLETE TURNS OFF OVERSHOOTING
      IF(OVERWT.GT.0.)THEN
C     WTCNV=MIN(FLXCNV(NRHOX)/FLUX,1.D0)*OVERWT
C     CORRECTION FROM FIORELLA CASTELLI
      WTCNV=0.
      DO 774 J=1,NRHOX
  774 WTCNV=MAX(WTCNV,FLXCNV(J)/FLUX)
      WTCNV=MIN(WTCNV,1.D0)*OVERWT
      DO 776 J=1,NRHOX
C      DELHGT(J)=MIN(HSCALE(J)*MIXLTH*.5D-5,HEIGHT(NRHOX)-HEIGHT(J),
      DELHGT(J)=MIN(HSCALE(J)*.5D-5*WTCNV,HEIGHT(NRHOX)-HEIGHT(J),
     1HEIGHT(J)-HEIGHT(1))
C      WRITE(6,775)J,HEIGHT(J),DELHGT(J),CNVINT(J)
      FLXCNV0(J)=FLXCNV(J)
  776 FLXCNV1(J)=0.
      CALL INTEG(HEIGHT,FLXCNV,CNVINT,NRHOX,0.D0)
      DO 777 J=NRHOX/2,NRHOX-1
      IF(DELHGT(J).EQ.0.)GO TO 777
C      WRITE(6,775)J,HEIGHT(J),DELHGT(J),CNVINT(J)
  775 FORMAT(I5,1P3E12.3)
      M=MAP1(HEIGHT,CNVINT,NRHOX,HEIGHT(J)-DELHGT(J),CNV1,1)
      M=MAP1(HEIGHT,CNVINT,NRHOX,HEIGHT(J)+DELHGT(J),CNV2,1)
      FLXCNV1(J)=FLXCNV1(J)+(CNV2-CNV1)/DELHGT(J)/2.
  777 CONTINUE
      DO 779 J=1,NRHOX
      FLXCNV1(J)=MAX(FLXCNV1(J),0.D0)
      FLXCNV0(J)=MAX(FLXCNV0(J),0.D0)
  779 FLXCNV(J)=MAX(FLXCNV0(J),FLXCNV1(J))
      ENDIF
C     PATCH TO REMOVE NUMERICAL ARTIFACTS
      DO 7779 J=1,NCONV
 7779 FLXCNV(J)=0.
C
C
      RETURN
      END
      SUBROUTINE HIGH
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
      COMMON /HEIGHT/HEIGHT(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      DIMENSION RHOINV(kw)
C     EQUIVALENCE (RHOINV(1),ABTOT(1))
      DO 1 J=1,NRHOX
    1 RHOINV(J)=1.E-5/RHO(J)
      CALL INTEG(RHOX,RHOINV,HEIGHT,NRHOX,0.D0)
C     CALL INTEG(RHOX,RHOINV,HEIGHT,NRHOX)
      RETURN
      END
      SUBROUTINE TURB
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /CONV/DLTDLP(kw),HEATCP(kw),DLRDLT(kw),VELSND(kw),
     1             GRDADB(kw),HSCALE(kw),FLXCNV(kw),VCONV(kw),MIXLTH,
     2             OVERWT,FLXCNV0(kw),FLXCNV1(kw),IFCONV,NCONV
      REAL*8 MIXLTH
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      DO 10 J=1,NRHOX
      VTURB(J)=(TRBFDG*RHO(J)**TRBPOW+TRBSND*VELSND(J)/1.E5+TRBCON)*1.E5
   10 PTURB(J)=RHO(J)*VTURB(J)**2*0.5
      RETURN
      END
      SUBROUTINE KAPP(N,NSTEPS,STEPWT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IFOP/IFOP(20)
      COMMON /OPS/AHYD(kw),AH2P(kw),AHMIN(kw),SIGH(kw),AHE1(kw),
     1       AHE2(kw),AHEMIN(kw),SIGHE(kw),ACOOL(kw),ALUKE(kw),AHOT(kw),
     2            SIGEL(kw),SIGH2(kw),AHLINE(kw),ALINES(kw),SIGLIN(kw),
     3            AXLINE(kw),SIGXL(kw),AXCONT(kw),SIGX(kw),SHYD(kw),
     4            SHMIN(kw),SHLINE(kw),SXLINE(kw),SXCONT(kw)
      COMMON /OPTOT/ACONT(kw),SCONT(kw),ALINE(kw),SLINE(kw),SIGMAC(kw),
     1              SIGMAL(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      DIMENSION DUMMY(kw,25)
      EQUIVALENCE (AHYD(1),DUMMY(1,1))
      STEPWT=1.
      NSTEPS=1
      IF(N.GT.1)GO TO 200
      DO 91 J=1,NRHOX
      DO 91 I=1,25
   91 DUMMY(J,I)=0.
      IF(IFOP(1).EQ.1)CALL HOP
      IF(IFOP(2).EQ.1)CALL H2PLOP
      IF(IFOP(3).EQ.1)CALL HMINOP
      IF(IFOP(4).EQ.1)CALL HRAYOP
      IF(IFOP(5).EQ.1)CALL HE1OP
      IF(IFOP(6).EQ.1)CALL HE2OP
      IF(IFOP(7).EQ.1)CALL HEMIOP
      IF(IFOP(8).EQ.1)CALL HERAOP
      IF(IFOP(9).EQ.1)CALL COOLOP
      IF(IFOP(10).EQ.1)CALL LUKEOP
      IF(IFOP(11).EQ.1)CALL HOTOP
      IF(IFOP(12).EQ.1)CALL ELECOP
      IF(IFOP(13).EQ.1)CALL H2RAOP
      IF(IFOP(14).EQ.1.AND.N.GT.0)CALL HLINOP
      IF(IFOP(15).EQ.1.AND.N.GT.0)CALL LINOP(N,NSTEPS,STEPWT)
      IF(IFOP(16).EQ.1.AND.N.GT.0)CALL LINSOP(N,NSTEPS,STEPWT)
      IF(IFOP(17).EQ.1.AND.N.GT.0)CALL XLINOP
      IF(IFOP(18).EQ.1.AND.N.GT.0)CALL XLISOP
      IF(IFOP(19).EQ.1)CALL XCONOP
      IF(IFOP(20).EQ.1)CALL XSOP
      DO 100 J=1,NRHOX
      A=AH2P(J)+AHE1(J)+AHE2(J)+AHEMIN(J)+ACOOL(J)+ALUKE(J)+AHOT(J)
      ACONT(J)=A+AHYD(J)+AHMIN(J)+AXCONT(J)
      SCONT(J)=BNU(J)
      IF(ACONT(J).GT.0.)SCONT(J)=(A*BNU(J)+AHYD(J)*SHYD(J)+AHMIN(J)*
     1SHMIN(J)+AXCONT(J)*SXCONT(J))/ACONT(J)
      ALINE(J)=AHLINE(J)+ALINES(J)+AXLINE(J)
      SLINE(J)=BNU(J)
      IF(ALINE(J).GT.0.)SLINE(J)=(AHLINE(J)*SHLINE(J)+ALINES(J)*BNU(J)+
     1AXLINE(J)*SXLINE(J))/ALINE(J)
      SIGMAC(J)=SIGH(J)+SIGHE(J)+SIGEL(J)+SIGH2(J)+SIGX(J)
  100 SIGMAL(J)=SIGLIN(J)+SIGXL(J)
      RETURN
  200 IF(IFOP(15).EQ.1)CALL LINOP(N,NSTEPS,STEPWT)
      IF(IFOP(16).EQ.1)CALL LINSOP(N,NSTEPS,STEPWT)
      DO 201 J=1,NRHOX
      ALINE(J)=AHLINE(J)+ALINES(J)+AXLINE(J)
      IF(ALINE(J).GT.0.)SLINE(J)=(AHLINE(J)*SHLINE(J)+ALINES(J)*BNU(J)+
     1AXLINE(J)*SXLINE(J))/ALINE(J)
  201 SIGMAL(J)=SIGLIN(J)+SIGXL(J)
      RETURN
      END
      SUBROUTINE HOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     REQUIRES FUNCTIONS COULX AND COULFF
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/AHYD(kw),D1(kw,19),SHYD(kw),D2(kw,4)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION CONT(8),BOLT(kw,8),EXLIM(kw),FREET(kw),BOLTEX(kw)
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 15 J=1,NRHOX
      DO 11 N=1,8
   11 BOLT(J,N)=EXP(-(13.595-13.595/DFLOAT(N*N))/TKEV(J))*2.*
     1DFLOAT(N*N)*XNFPH(J,1)/RHO(J)
      DO 12 N=1,6
   12 BOLT(J,N)=BOLT(J,N)*BHYD(J,N)
      FREET(J)=XNE(J)*XNFH(J,2)/RHO(J)/SQRT(T(J))
      XR=XNFPH(J,1)*(2./2./13.595)*TKEV(J)/RHO(J)
      BOLTEX(J)=EXP(-13.427/TKEV(J))*XR
   15 EXLIM(J)=EXP(-13.595/TKEV(J))*XR
   20 DO 21 N=1,8
C   21 CONT(N)=COULX(N,FREQ,1.D0)
   21 CONT(N)=XKARSAS(FREQ,1.D0,N,N)
      FREQ3=FREQ**3
      CFREE=3.6919E8/FREQ3
      C=2.815E29/FREQ3
      DO 32 J=1,NRHOX
      EX=BOLTEX(J)
      IF(FREQ.LT.4.05933E13)EX=EXLIM(J)/EHVKT(J)
      H=(CONT(7)*BOLT(J,7)+CONT(8)*BOLT(J,8)+(EX-EXLIM(J))*C+
     1COULFF(J,1)*FREET(J)*CFREE)*STIM(J)
      S=H*BNU(J)
      DO 31 N=1,6
      H=H+CONT(N)*BOLT(J,N)*(1.-EHVKT(J)/BHYD(J,N))
   31 S=S+CONT(N)*BOLT(J,N)*BNU(J)*STIM(J)/BHYD(J,N)
      AHYD(J)=H
   32 SHYD(J)=S/H
      RETURN
      END
      FUNCTION XKARSAS(FREQ,ZEFF2,N,L)
C     24jul03 XKARZAS one bad number in X11 - X13 data
C     24jul03 KARSAS should be KARZAS everywhere
C     Karzas, W.J. and Latter, R. 1960, APJS 6, 167-212
C      IMPLICIT REAL*8 (A-H,O-Z)
      IMPLICIT REAL*4 (A-H,O-Z)
      PARAMETER (kw=99)
      REAL*8 FREQ,ZEFF2,XKARSAS
      DIMENSION FREQ1(29),FREQ2(29),FREQ3(29),FREQ4(29),FREQ5(29)
      DIMENSION FREQ6(29),FREQ7(29),FREQ8(29),FREQ9(29),FREQ10(29)
      DIMENSION FREQ11(29),FREQ12(29),FREQ13(29),FREQ14(29),FREQ15(29)
      DIMENSION X1(29),X2(29),X3(29),X4(29),X5(29)
      DIMENSION X6(29),X7(29),X8(29),X9(29),X10(29)
      DIMENSION X11(29),X12(29),X13(29),X14(29),X15(29)
      DIMENSION X1s(29),X2s(29),X3s(29),X4s(29),X5s(29),X6s(29)
      DIMENSION X2p(29),X3p(29),X4p(29),X5p(29),X6p(29)
      DIMENSION X3d(29),X4d(29),X5d(29),X6d(29)
      DIMENSION X4f(29),X5f(29),X6f(29),X5g(29),X6g(29),X6h(29)
      DIMENSION FREQN(29,15),XN(29,15),XL(29,6,6),FREQN15(29)
      DIMENSION EKARSAS(29)
      EQUIVALENCE (XN(1,1),X1(1)),(FREQN(1,1),FREQ1(1))
      EQUIVALENCE (XN(1,2),X2(1)),(FREQN(1,2),FREQ2(1))
      EQUIVALENCE (XN(1,3),X3(1)),(FREQN(1,3),FREQ3(1))
      EQUIVALENCE (XN(1,4),X4(1)),(FREQN(1,4),FREQ4(1))
      EQUIVALENCE (XN(1,5),X5(1)),(FREQN(1,5),FREQ5(1))
      EQUIVALENCE (XN(1,6),X6(1)),(FREQN(1,6),FREQ6(1))
      EQUIVALENCE (XN(1,7),X7(1)),(FREQN(1,7),FREQ7(1))
      EQUIVALENCE (XN(1,8),X8(1)),(FREQN(1,8),FREQ8(1))
      EQUIVALENCE (XN(1,9),X9(1)),(FREQN(1,9),FREQ9(1))
      EQUIVALENCE (XN(1,10),X10(1)),(FREQN(1,10),FREQ10(1))
      EQUIVALENCE (XN(1,11),X11(1)),(FREQN(1,11),FREQ11(1))
      EQUIVALENCE (XN(1,12),X12(1)),(FREQN(1,12),FREQ12(1))
      EQUIVALENCE (XN(1,13),X13(1)),(FREQN(1,13),FREQ13(1))
      EQUIVALENCE (XN(1,14),X14(1)),(FREQN(1,14),FREQ14(1))
      EQUIVALENCE (XN(1,15),X15(1)),(FREQN(1,15),FREQ15(1))
      EQUIVALENCE (XL(1,1,1),X1s(1)),(XL(1,1,2),X2s(1))
      EQUIVALENCE (XL(1,1,3),X3s(1)),(XL(1,1,4),X4s(1))
      EQUIVALENCE (XL(1,1,5),X5s(1)),(XL(1,1,6),X6s(1))
      EQUIVALENCE (XL(1,2,2),X2p(1)),(XL(1,2,3),X3p(1))
      EQUIVALENCE (XL(1,2,4),X4p(1)),(XL(1,2,5),X5p(1))
      EQUIVALENCE (XL(1,2,6),X6p(1))
      EQUIVALENCE (XL(1,3,3),X3d(1)),(XL(1,3,4),X4d(1))
      EQUIVALENCE (XL(1,3,5),X5d(1)),(XL(1,3,6),X6d(1))
      EQUIVALENCE (XL(1,4,4),X4f(1)),(XL(1,4,5),X5f(1))
      EQUIVALENCE (XL(1,4,6),X6f(1))
      EQUIVALENCE (XL(1,5,5),X5g(1)),(XL(1,5,6),X6g(1))
      EQUIVALENCE (XL(1,6,6),X6h(1))
      DATA FREQ1/
     1    19.516982,   19.164810,   18.915052,   18.563043,   18.120083,
     2    17.828904,   17.521260,   17.174377,   16.931912,   16.747387,
     3    16.600083,   16.377277,   16.215909,   16.094200,   15.999955,
     4    15.925518,   15.866216,   15.817969,   15.745954,   15.676626,
     5    15.613849,   15.562692,   15.533972,   15.525713,   15.521260,
     6    15.518864,   15.518023,   15.517421,   15.516939/
      DATA X1/
     1   -30.274422,  -29.048572,  -28.181067,  -26.962272,  -25.437868,
     2   -24.444170,  -23.404269,  -22.248421,  -21.454163,  -20.858944,
     3   -20.390346,  -19.694283,  -19.200905,  -18.835387,  -18.556686,
     4   -18.339364,  -18.168213,  -18.030238,  -17.826632,  -17.633456,
     5   -17.461067,  -17.322353,  -17.245241,  -17.223162,  -17.211266,
     6   -17.204840,  -17.202587,  -17.200999,  -17.199715/
      DATA X1s/
     1   -30.274422,  -29.048572,  -28.181067,  -26.962272,  -25.437868,
     2   -24.444170,  -23.404269,  -22.248421,  -21.454163,  -20.858944,
     3   -20.390346,  -19.694283,  -19.200905,  -18.835387,  -18.556686,
     4   -18.339364,  -18.168213,  -18.030238,  -17.826632,  -17.633456,
     5   -17.461067,  -17.322353,  -17.245241,  -17.223162,  -17.211266,
     6   -17.204840,  -17.202587,  -17.200999,  -17.199715/
      DATA FREQ2/
     1    19.516949,   19.164737,   18.914922,   18.562750,   18.119270,
     2    17.827313,   17.518023,   17.167149,   16.919200,   16.727792,
     3    16.572317,   16.329852,   16.145327,   15.998094,   15.876964,
     4    15.775097,   15.688665,   15.613849,   15.492095,   15.358548,
     5    15.215909,   15.074566,   14.979337,   14.948961,   14.931912,
     6    14.922531,   14.919200,   14.916804,   14.914879/
      DATA X2/
     1   -31.779474,  -30.553459,  -29.685827,  -28.466543,  -26.940432,
     2   -25.943993,  -24.898608,  -23.729491,  -22.917021,  -22.298979,
     3   -21.803393,  -21.042629,  -20.473370,  -20.025469,  -19.660029,
     4   -19.355246,  -19.098003,  -18.876442,  -18.517855,  -18.127425,
     5   -17.714170,  -17.308930,  -17.038908,  -16.953361,  -16.905447,
     6   -16.879127,  -16.869826,  -16.863085,  -16.857754/
      DATA X2s/
     1   -31.177414,  -29.951530,  -29.083850,  -27.864712,  -26.339031,
     2   -25.343652,  -24.299685,  -23.134693,  -22.327692,  -21.716473,
     3   -21.228927,  -20.487480,  -19.941059,  -19.517455,  -19.178033,
     4   -18.899376,  -18.668043,  -18.471683,  -18.160149,  -17.830286,
     5   -17.492277,  -17.172499,  -16.965517,  -16.901255,  -16.865263,
     6   -16.845632,  -16.838714,  -16.833696,  -16.829681/
      DATA X2p/
     1   -35.779538,  -34.184208,  -33.083933,  -31.512708,  -29.543604,
     2   -28.256123,  -26.903279,  -25.387738,  -24.333408,  -23.531477,
     3   -22.889415,  -21.907557,  -21.178842,  -20.610306,  -20.152156,
     4   -19.774043,  -19.458248,  -19.189136,  -18.759267,  -18.299831,
     5   -17.823327,  -17.365980,  -17.066362,  -16.972218,  -16.919695,
     6   -16.890892,  -16.880696,  -16.873357,  -16.867478/
      DATA FREQ3/
     1    19.516943,   19.164723,   18.914898,   18.562696,   18.119119,
     2    17.827018,   17.517421,   17.165797,   16.916804,   16.724064,
     3    16.566974,   16.320472,   16.130898,   15.977703,   15.849803,
     4    15.740463,   15.646019,   15.562696,   15.423010,   15.261631,
     5    15.074579,   14.863704,   14.696235,   14.635934,   14.600123,
     6    14.579728,   14.572359,   14.567017,   14.562696/
      DATA X3/
     1   -32.659912,  -31.433874,  -30.566210,  -29.346836,  -27.820290,
     2   -26.823453,  -25.777089,  -24.605440,  -23.789519,  -23.167057,
     3   -22.666147,  -21.891933,  -21.306393,  -20.839041,  -20.451712,
     4   -20.122889,  -19.840361,  -19.591597,  -19.176587,  -18.699419,
     5   -18.149566,  -17.533628,  -17.049033,  -16.875774,  -16.773227,
     6   -16.714935,  -16.693926,  -16.678663,  -16.666369/
      DATA X3s/
     1   -31.705705,  -30.479739,  -29.612265,  -28.392746,  -26.866974,
     2   -25.871133,  -24.826672,  -23.659806,  -22.850344,  -22.235989,
     3   -21.744734,  -20.993964,  -20.435725,  -19.998364,  -19.643303,
     4   -19.347420,  -19.097776,  -18.881962,  -18.529746,  -18.137370,
     5   -17.701228,  -17.231454,  -16.873769,  -16.748412,  -16.674666,
     6   -16.633129,  -16.617776,  -16.606984,  -16.598091/
      DATA X3p/
     1   -36.234105,  -34.655854,  -33.538432,  -31.967064,  -29.997698,
     2   -28.709867,  -27.356451,  -25.839127,  -24.782259,  -23.977343,
     3   -23.331485,  -22.340276,  -21.599900,  -21.017917,  -20.544424,
     4   -20.149344,  -19.815760,  -19.527654,  -19.058410,  -18.538322,
     5   -17.967020,  -17.364676,  -16.918642,  -16.765111,  -16.675798,
     6   -16.625318,  -16.607492,  -16.594210,  -16.583614/
      DATA X3d/
     1   -41.364414,  -39.434006,  -38.066663,  -36.143204,  -33.730242,
     2   -32.150245,  -30.487089,  -28.617809,  -27.311427,  -26.313205,
     3   -25.509946,  -24.270587,  -23.339149,  -22.602299,  -21.924436,
     4   -21.493723,  -21.063954,  -20.691590,  -20.080654,  -19.397357,
     5   -18.637161,  -17.823176,  -17.209853,  -16.996234,  -16.871214,
     6   -16.800539,  -16.775144,  -16.756765,  -16.741919/
      DATA FREQ4/
     1    19.516941,   19.164719,   18.914889,   18.562677,   18.119066,
     2    17.826915,   17.517210,   17.165323,   16.915963,   16.722752,
     3    16.565089,   16.317140,   16.125732,   15.970333,   15.839881,
     4    15.727658,   15.630046,   15.543267,   15.395977,   15.221861,
     5    15.011789,   14.756488,   14.527662,   14.435545,   14.377277,
     6    14.342650,   14.329852,   14.320471,   14.312819/
      DATA X4/
     1   -33.284599,  -32.058554,  -31.190879,  -29.971473,  -28.444826,
     2   -27.447836,  -26.401066,  -25.228582,  -24.411413,  -23.787317,
     3   -23.284581,  -22.505775,  -21.914353,  -21.439606,  -21.044235,
     4   -20.705972,  -20.413135,  -20.153596,  -19.714525,  -19.197426,
     5   -18.576241,  -17.824248,  -17.155428,  -16.887819,  -16.719154,
     6   -16.619216,  -16.582315,  -16.555295,  -16.533276/
      DATA X4s/
     1   -32.080641,  -30.854674,  -29.986801,  -28.767697,  -27.241693,
     2   -26.245685,  -25.200974,  -24.033538,  -23.223063,  -22.607845,
     3   -22.115266,  -21.360872,  -20.798453,  -20.355878,  -19.995174,
     4   -19.692644,  -19.435600,  -19.211713,  -18.841933,  -18.420428,
     5   -17.932110,  -17.363567,  -16.873130,  -16.680219,  -16.559751,
     6   -16.488746,  -16.462241,  -16.443053,  -16.427763/
      DATA X4p/
     1   -36.585694,  -35.007703,  -33.890016,  -32.318668,  -30.349350,
     2   -29.061334,  -27.707618,  -26.189677,  -25.132040,  -24.325956,
     3   -23.678826,  -22.684226,  -21.939671,  -21.352566,  -20.873369,
     4   -20.471723,  -20.130813,  -19.835172,  -19.348733,  -18.800381,
     5   -18.178384,  -17.480038,  -16.904760,  -16.685329,  -16.550262,
     6   -16.471169,  -16.442151,  -16.420831,  -16.403759/
      DATA X4d/
     1   -41.585694,  -39.655304,  -38.288039,  -36.364454,  -33.951410,
     2   -32.371226,  -30.707789,  -28.837992,  -27.530994,  -26.531796,
     3   -25.727043,  -24.484484,  -23.549206,  -22.807462,  -22.198909,
     4   -21.686891,  -21.250382,  -20.870478,  -20.243060,  -19.532238,
     5   -18.722925,  -17.815346,  -17.075994,  -16.798160,  -16.628568,
     6   -16.529588,  -16.493472,  -16.467238,  -16.445815/
      DATA X4f/
     1   -47.062815,  -44.780358,  -43.163100,  -40.887314,  -38.030685,
     2   -36.158301,  -34.185235,  -31.963719,  -30.407089,  -29.214529,
     3   -28.252197,  -26.761810,  -25.634821,  -24.737662,  -23.998757,
     4   -23.374580,  -22.839980,  -22.373323,  -21.598611,  -20.713453,
     5   -19.693804,  -18.530997,  -17.563112,  -17.193424,  -16.965517,
     6   -16.832288,  -16.783370,  -16.747717,  -16.718672/
      DATA FREQ5/
     1    19.516940,   19.164717,   18.914886,   18.562668,   18.119042,
     2    17.826867,   17.517112,   17.165103,   16.915573,   16.722143,
     3    16.564213,   16.315589,   16.123320,   15.966880,   15.835211,
     4    15.721601,   15.622449,   15.533972,   15.382871,   15.202143,
     5    14.979337,   14.696203,   14.420029,   14.298047,   14.215909,
     6    14.164752,   14.145327,   14.130897,   14.118999/
      DATA X5/
     1   -33.769146,  -32.543097,  -31.675417,  -30.455996,  -28.929303,
     2   -27.932243,  -26.885239,  -25.712408,  -24.894628,  -24.269941,
     3   -23.766226,  -22.985245,  -22.390846,  -21.912586,  -21.513577,
     4   -21.170761,  -20.873304,  -20.608270,  -20.156957,  -19.619181,
     5   -18.958075,  -18.121143,  -17.308727,  -16.951892,  -16.712503,
     6   -16.563827,  -16.507488,  -16.465627,  -16.431184/
      DATA X5s/
     1   -32.371142,  -31.145245,  -30.277611,  -29.058332,  -27.532386,
     2   -26.536299,  -25.491539,  -24.323724,  -23.512880,  -22.897091,
     3   -22.403960,  -21.648140,  -21.083702,  -20.638728,  -20.275002,
     4   -19.969127,  -19.708598,  -19.480857,  -19.102318,  -18.665521,
     5   -18.148008,  -17.516456,  -16.921283,  -16.663742,  -16.492247,
     6   -16.386117,  -16.345903,  -16.316173,  -16.291778/
      DATA X5p/
     1   -36.866137,  -35.287883,  -34.170413,  -32.599199,  -30.629663,
     2   -29.341564,  -27.987755,  -26.469536,  -25.411517,  -24.604882,
     3   -23.957191,  -22.961135,  -22.214481,  -21.625034,  -21.142933,
     4   -20.738297,  -20.393941,  -20.094254,  -19.599261,  -19.036165,
     5   -18.385686,  -17.626125,  -16.948476,  -16.665818,  -16.480643,
     6   -16.367024,  -16.324502,  -16.292865,  -16.266917/
      DATA X5d/
     1   -41.816885,  -39.886598,  -38.519116,  -36.595706,  -34.182651,
     2   -32.602365,  -30.938792,  -29.068803,  -27.761491,  -26.761551,
     3   -25.956256,  -24.712472,  -23.775049,  -23.031086,  -22.420027,
     4   -21.905038,  -21.464940,  -21.081321,  -20.445565,  -19.720393,
     5   -18.883701,  -17.916497,  -17.077571,  -16.738117,  -16.519620,
     6   -16.387033,  -16.337715,  -16.301341,  -16.271391/
      DATA X5f/
     1   -47.128880,  -44.846322,  -43.229046,  -40.953347,  -38.096716,
     2   -36.224291,  -34.250943,  -32.029199,  -30.472360,  -29.279276,
     3   -28.316408,  -26.824527,  -25.695751,  -24.796176,  -24.054627,
     4   -23.427631,  -22.889877,  -22.419401,  -21.636478,  -20.737351,
     5   -19.690904,  -18.469715,  -17.404053,  -16.973748,  -16.697901,
     6   -16.531879,  -16.469784,  -16.423961,  -16.386588/
      DATA X5g/
     1   -52.894711,  -50.260082,  -48.392958,  -45.765034,  -42.464679,
     2   -40.300146,  -38.017153,  -35.443424,  -33.636754,  -32.250427,
     3   -31.129593,  -29.389103,  -28.068001,  -27.012118,  -26.138711,
     4   -25.398332,  -24.761042,  -24.202462,  -23.268415,  -22.188504,
     5   -20.919298,  -19.415147,  -18.073478,  -17.521544,  -17.163795,
     6   -16.946562,  -16.865194,  -16.805098,  -16.755865/
      DATA FREQ6/
     1    19.516940,   19.164715,   18.914883,   18.562663,   18.119029,
     2    17.826841,   17.517059,   17.164984,   16.915361,   16.721812,
     3    16.563737,   16.314744,   16.122004,   15.964992,   15.832652,
     4    15.718275,   15.618265,   15.528838,   15.375583,   15.191044,
     5    14.960636,   14.659571,   14.348026,   14.199875,   14.094175,
     6    14.025088,   13.998063,   13.977668,   13.960636/
      DATA X6/
     1   -34.165051,  -32.939000,  -32.071317,  -30.851888,  -29.325169,
     2   -28.328071,  -27.280986,  -26.107892,  -25.289843,  -24.664705,
     3   -24.160564,  -23.378190,  -22.782394,  -22.302428,  -21.901012,
     4   -21.555896,  -21.255472,  -20.987585,  -20.529803,  -19.979782,
     5   -19.295022,  -18.402541,  -17.482757,  -17.047424,  -16.737838,
     6   -16.536084,  -16.457331,  -16.397931,  -16.348398/
      DATA X6s/
     1   -32.608820,  -31.382756,  -30.515126,  -29.295866,  -27.769793,
     2   -26.773814,  -25.728819,  -24.560932,  -23.750086,  -23.133811,
     3   -22.640288,  -21.883631,  -21.318035,  -20.871913,  -20.506426,
     4   -20.198858,  -19.936428,  -19.706400,  -19.322760,  -18.877373,
     5   -18.342274,  -17.669792,  -16.995256,  -16.680122,  -16.457336,
     6   -16.312694,  -16.256489,  -16.214113,  -16.178612/
      DATA X6p/
     1   -37.098169,  -35.519950,  -34.402525,  -32.831070,  -30.861699,
     2   -29.573885,  -28.219694,  -26.701459,  -25.643044,  -24.836230,
     3   -24.188105,  -23.191275,  -22.443490,  -21.852666,  -21.369042,
     4   -20.962634,  -20.616374,  -20.314553,  -19.814673,  -19.242970,
     5   -18.575541,  -17.775947,  -17.020568,  -16.681448,  -16.445735,
     6   -16.294606,  -16.235710,  -16.191866,  -16.154983/
      DATA X6d/
     1   -42.024362,  -40.094064,  -38.726686,  -36.803137,  -34.390124,
     2   -32.809866,  -31.146180,  -29.276029,  -27.968300,  -26.968324,
     3   -26.162701,  -24.918051,  -23.979662,  -23.234506,  -22.621799,
     4   -22.105162,  -21.663212,  -21.277514,  -20.637026,  -19.903484,
     5   -19.050185,  -18.044511,  -17.129904,  -16.735338,  -16.467566,
     6   -16.298269,  -16.232977,  -16.184230,  -16.143922/
      DATA X6f/
     1   -47.267412,  -44.984913,  -43.367636,  -41.091842,  -38.235239,
     2   -36.362731,  -34.389528,  -32.167518,  -30.610443,  -29.417223,
     3   -28.453971,  -26.961283,  -25.831491,  -24.930907,  -24.187725,
     4   -23.559075,  -23.019383,  -22.547066,  -21.759545,  -20.852145,
     5   -19.789541,  -18.530522,  -17.390884,  -16.906727,  -16.582667,
     6   -16.380139,  -16.302886,  -16.245236,  -16.197380/
      DATA X6g/
     1   -52.845039,  -50.210247,  -48.343069,  -45.715131,  -42.414728,
     2   -40.250164,  -37.967149,  -35.393156,  -33.586496,  -32.199833,
     3   -31.078643,  -29.337458,  -27.969702,  -26.958401,  -26.083595,
     4   -25.341555,  -24.702345,  -24.141808,  -23.203287,  -22.115356,
     5   -20.830007,  -19.288694,  -17.874057,  -17.268729,  -16.863465,
     6   -16.610369,  -16.513883,  -16.442010,  -16.382570/
      DATA X6h/
     1   -58.850334,  -55.863542,  -53.746437,  -50.766409,  -47.022317,
     2   -44.565391,  -41.972509,  -39.046704,  -36.990356,  -35.410261,
     3   -34.131188,  -32.140740,  -30.626018,  -29.411767,  -28.404701,
     4   -27.548439,  -26.808936,  -26.159088,  -25.067378,  -23.795088,
     5   -22.279431,  -20.436907,  -18.711058,  -17.957760,  -17.446882,
     6   -17.124901,  -17.001376,  -16.909196,  -16.832806/
      DATA FREQ7/
     1    19.516939,   19.164715,   18.914882,   18.562661,   18.119021,
     2    17.826825,   17.517027,   17.164912,   16.915233,   16.721612,
     3    16.563450,   16.314234,   16.121209,   15.963850,   15.831103,
     4    15.716257,   15.615723,   15.525712,   15.371128,   15.184212,
     5    14.948958,   14.635891,   14.298034,   14.127792,   13.999929,
     6    13.912303,   13.876929,   13.849764,   13.826742/
      DATA X7/
     1   -34.499784,  -33.273731,  -32.406047,  -31.186614,  -29.659879,
     2   -28.662758,  -27.615624,  -26.442410,  -25.624138,  -24.998790,
     3   -24.494343,  -23.711394,  -23.114332,  -22.633333,  -22.230699,
     4   -21.884181,  -21.582185,  -21.312152,  -20.849982,  -20.292819,
     5   -19.593097,  -18.663739,  -17.663648,  -17.161477,  -16.785637,
     6   -16.528798,  -16.425342,  -16.345983,  -16.278790/
      DATA FREQ8/
     1    19.516939,   19.164714,   18.914881,   18.562659,   18.119016,
     2    17.826815,   17.517006,   17.164865,   16.915150,   16.721482,
     3    16.563263,   16.313903,   16.120692,   15.963107,   15.830094,
     4    15.714942,   15.614066,   15.523672,   15.368212,   15.179720,
     5    14.941207,   14.619801,   14.262209,   14.073663,   13.925602,
     6    13.819464,   13.775217,   13.740590,   13.710759/
      DATA X8/
     1   -34.789743,  -33.563690,  -32.696004,  -31.476568,  -29.949823,
     2   -28.952576,  -27.905521,  -26.732230,  -25.913849,  -25.288312,
     3   -24.783697,  -24.000359,  -23.402741,  -22.921064,  -22.517235,
     4   -22.169801,  -21.866776,  -21.595595,  -21.130798,  -20.568503,
     5   -19.858590,  -18.903358,  -17.843146,  -17.285660,  -16.849210,
     6   -16.537235,  -16.407454,  -16.306014,  -16.218699/
      DATA FREQ9/
     1    19.516939,   19.164714,   18.914881,   18.562657,   18.119012,
     2    17.826808,   17.516992,   17.164833,   16.915093,   16.721394,
     3    16.563135,   16.313676,   16.120337,   15.962597,   15.829401,
     4    15.714039,   15.612925,   15.522267,   15.366202,   15.176613,
     5    14.935812,   14.608414,   14.235819,   14.032225,   13.866132,
     6    13.741981,   13.688539,   13.645876,   13.608454/
      DATA X9/
     1   -35.045505,  -33.819451,  -32.951765,  -31.732326,  -30.205575,
     2   -29.208318,  -28.161241,  -26.987832,  -26.169441,  -25.543807,
     3   -25.039029,  -24.255440,  -23.657439,  -23.175297,  -22.770919,
     4   -22.422852,  -22.118723,  -21.846749,  -21.380133,  -20.814545,
     5   -20.097359,  -19.123314,  -18.017622,  -17.414518,  -16.923750,
     6   -16.558183,  -16.401026,  -16.275647,  -16.165911/
      DATA FREQ10/
     1    19.516939,   19.164714,   18.914880,   18.562657,   18.119009,
     2    17.826803,   17.516982,   17.164810,   16.915052,   16.721330,
     3    16.563043,   16.313513,   16.120083,   15.962231,   15.828904,
     4    15.713391,   15.612108,   15.521260,   15.364758,   15.174377,
     5    14.931912,   14.600083,   14.215909,   13.999955,   13.817969,
     6    13.676626,   13.613849,   13.562692,   13.516939/
      DATA X10/
     1   -35.274293,  -34.048238,  -33.180551,  -31.961111,  -30.434355,
     2   -29.437090,  -28.389998,  -27.216550,  -26.398051,  -25.772354,
     3   -25.267495,  -24.483312,  -23.885464,  -23.402587,  -22.997820,
     4   -22.649302,  -22.344664,  -22.072514,  -21.604193,  -21.035827,
     5   -20.313639,  -19.326284,  -18.184568,  -17.544349,  -17.005732,
     6   -16.588554,  -16.403642,  -16.253350,  -16.118795/
      DATA FREQ11/
     1    19.516939,   19.164713,   18.914880,   18.562656,   18.119008,
     2    17.826799,   17.516974,   17.164793,   16.915022,   16.721283,
     3    16.562976,   16.313392,   16.119895,   15.961961,   15.828537,
     4    15.712911,   15.611502,   15.520513,   15.363687,   15.172715,
     5    14.929003,   14.593814,   14.200566,   13.974434,   13.778545,
     6    13.621032,   13.548931,   13.488931,   13.434153/
      DATA X11/
     1   -35.481256,  -34.255201,  -33.387514,  -32.168073,  -30.641313,
     2   -29.644043,  -28.596939,  -27.423463,  -26.604924,  -25.979176,
     3   -25.474255,  -24.689915,  -24.091864,  -23.608739,  -23.203681,
     4   -22.854826,  -22.549810,  -22.276842,  -21.807547,  -21.237407,
     5   -20.511071,  -19.513620,  -18.342986,  -17.672186,  -17.092253,
     6   -16.625647,  -16.412652,  -16.237373,  -16.076228/
C    5   -20.511071,  -19.513620,  -18.342150,  -17.667949,  -17.093121,
C    6   -16.627232,  -16.414294,  -16.237373,  -16.076228/
C    25jul03 FIVE bad number in X11 - X13 
      DATA FREQ12/
     1    19.516939,   19.164713,   18.914880,   18.562655,   18.119006,
     2    17.826796,   17.516969,   17.164780,   16.914999,   16.721247,
     3    16.562924,   16.313301,   16.119752,   15.961755,   15.828257,
     4    15.712546,   15.611041,   15.519944,   15.362870,   15.171447,
     5    14.926778,   14.588984,   14.188523,   13.953966,   13.745966,
     6    13.573403,   13.492115,   13.423028,   13.358576/
      DATA X12/
     1   -35.670198,  -34.444144,  -33.576456,  -32.357014,  -30.830251,
     2   -29.832977,  -28.785864,  -27.612367,  -26.793798,  -26.168012,
     3   -25.663043,  -24.878583,  -24.280378,  -23.797065,  -23.391784,
     4   -23.042673,  -22.737368,  -22.464078,  -21.994040,  -21.422148,
     5   -20.692935,  -19.687256,  -18.494545,  -17.795069,  -17.182159,
     6   -16.669643,  -16.429381,  -16.227310,  -16.037494/
C    5   -20.692935,  -19.687256,  -18.494545,  -17.795069,  -17.183891,
C    6   -16.673156,  -16.431990,  -16.227310,  -16.037494/
      DATA FREQ13/
     1    19.516939,   19.164713,   18.914880,   18.562655,   18.119005,
     2    17.826794,   17.516964,   17.164770,   16.914981,   16.721219,
     3    16.562884,   16.313230,   16.119641,   15.961595,   15.828039,
     4    15.712262,   15.610681,   15.519501,   15.362233,   15.170457,
     5    14.925038,   14.585188,   14.178914,   13.937343,   13.718804,
     6    13.532347,   13.442104,   13.363780,   13.289052/
      DATA X13/
     1   -35.844009,  -34.617954,  -33.750266,  -32.530823,  -31.004058,
     2   -30.006781,  -28.959661,  -27.786148,  -26.967555,  -26.341739,
     3   -25.836687,  -25.051753,  -24.453445,  -23.969994,  -23.564544,
     4   -23.215236,  -22.909707,  -22.636559,  -22.165546,  -21.592592,
     5   -20.861125,  -19.849269,  -18.640363,  -17.921966,  -17.273191,
     6   -16.719020,  -16.451969,  -16.222218,  -16.001878/
C    5   -20.861125,  -19.849269,  -18.639111,  -17.918166,  -17.276217,
C    6   -16.722786,  -16.454970,  -16.222218,  -16.001878/
      DATA FREQ14/
     1    19.516939,   19.164713,   18.914879,   18.562655,   18.119004,
     2    17.826792,   17.516961,   17.164762,   16.914967,   16.721197,
     3    16.562852,   16.313173,   16.119552,   15.961468,   15.827866,
     4    15.712036,   15.610396,   15.519149,   15.361728,   15.169670,
     5    14.923652,   14.582152,   14.171135,   13.923684,   13.695974,
     6    13.496762,   13.397869,   13.310243,   13.224682/
      DATA X14/
     1   -36.004932,  -34.778877,  -33.911189,  -32.691746,  -31.164979,
     2   -30.167699,  -29.120574,  -27.947047,  -27.128436,  -26.502596,
     3   -25.997515,  -25.212506,  -24.614103,  -24.130536,  -23.724949,
     4   -23.375482,  -23.069774,  -22.796032,  -22.324557,  -21.750758,
     5   -21.017491,  -20.000677,  -18.777116,  -18.041065,  -17.364348,
     6   -16.772813,  -16.479089,  -16.221551,  -15.968930/
C    5   -21.017491,  -20.000677,  -18.776282,  -18.037692,  -17.368650,
C    6   -16.776515,  -16.482568,  -16.221551,  -15.968930/
      DATA FREQ15/
     1    19.516939,   19.164713,   18.914879,   18.562654,   18.119003,
     2    17.826791,   17.516958,   17.164756,   16.914956,   16.721179,
     3    16.562826,   16.313127,   16.119481,   15.961365,   15.827726,
     4    15.711854,   15.610166,   15.518864,   15.361319,   15.169034,
     5    14.922532,   14.579688,   14.164756,   13.912343,   13.676639,
     6    13.465764,   13.358576,   13.261657,   13.164756/
      DATA X15/
     1   -36.154748,  -34.928693,  -34.061005,  -32.841561,  -31.314793,
     2   -30.317511,  -29.270382,  -28.096844,  -27.278218,  -26.652358,
     3   -26.147254,  -25.362186,  -24.763705,  -24.280044,  -23.874346,
     4   -23.524751,  -23.218899,  -22.944996,  -22.473148,  -21.898667,
     5   -21.163944,  -20.143099,  -18.907170,  -18.155759,  -17.454858,
     6   -16.827663,  -16.509932,  -16.224591,  -15.938340/
C    5   -21.163944,  -20.143099,  -18.906962,  -18.152646,  -17.460462,
C    6   -16.832855,  -16.513888,  -16.224591,  -15.938340/
       DATA EKARSAS/10000.,4444.,2500.,1111.,400.,204.1,100.,44.44,
     1 25.,16.,11.11,6.25,4.,2.778,2.041,1.562,1.235,1.,0.6944,0.4444,
     2 0.25,0.1111,0.04,0.02041,0.01,0.004444,0.0025,0.001111,0./
      FREQLG=LOG10(SNGL(FREQ/ZEFF2))
      XKARSAS=0.
      IF(L.GE.N.OR.N.GT.6)THEN
      IF(N.GT.15)GO TO 5
      IF(FREQLG.LT.FREQN(29,N))RETURN
      DO 1 I=2,29
      IF(FREQLG.GT.FREQN(I,N))GO TO 2
    1 CONTINUE
    2 X=(FREQLG-FREQN(I,N))/(FREQN(I-1,N)-FREQN(I,N))*
     1(XN(I-1,N)-XN(I,N))+XN(I,N)
      XKARSAS=EXP(X*2.30258509299405E0)/ZEFF2
      RETURN
      ENDIF
      IF(FREQLG.LT.FREQN(29,N))RETURN
      DO 3 I=2,29
      IF(FREQLG.GT.FREQN(I,N))GO TO 4
    3 CONTINUE
    4 X=(FREQLG-FREQN(I,N))/(FREQN(I-1,N)-FREQN(I,N))*
     1(XL(I-1,L+1,N)-XL(I,L+1,N))+XL(I,L+1,N)
      XKARSAS=EXP(X*2.30258509299405E0)/ZEFF2
      RETURN
    5 FREQN15(29)=LOG10(109677.576*2.99792458E10/N**2)
      IF(FREQLG.LT.FREQN15(29))RETURN
      DO 6 I=2,28
      FREQN15(I)=LOG10((EKARSAS(I)+1./N**2)*109677.576*2.99792458E10)
      IF(FREQLG.GT.FREQN15(I))GO TO 7
    6 CONTINUE
      I=29
    7 X=(FREQLG-FREQN15(I))/(FREQN15(I-1)-FREQN15(I))*
     1(XN(I-1,15)-XN(I,15))+XN(I,15)
      XKARSAS=EXP(X*2.30258509299405E0)/ZEFF2
      RETURN
      END
      FUNCTION COULX(N,FREQ,Z)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION A(6),B(6),C(6)
      DATA A/.9916,1.105,1.101,1.101,1.102,1.0986/
      DATA B/2.719E13,-2.375E14,-9.863E13,-5.765E13,-3.909E13,-2.704E13/
      DATA C/-2.268E30,4.077E28,1.035E28,4.593E27,2.371E27,1.229E27/
      IF(FREQ.LT.Z*Z*3.28805E15/DFLOAT(N*N))GO TO 1
      COULX=2.815E29/FREQ/FREQ/FREQ/DFLOAT(N**5)*Z**4
      IF(N.GT.6)RETURN
      IF(N.EQ.1)THEN
      COULX=COULX*COULBF1S(FREQ,Z)
      RETURN
      ENDIF
      COULX=COULX*(A(N)+(B(N)+C(N)*(Z*Z/FREQ))*(Z*Z/FREQ))
      RETURN
    1 COULX=0.
      RETURN
      END
      FUNCTION COULBF1S(FREQ,Z)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION GAUNT1S(151)
      DATA GAUNT1S/
     1 0.7973,0.8094,0.8212,0.8328,0.8439,0.8548,0.8653,0.8754,0.8852,
     2 0.8946,0.9035,0.9120,0.9201,0.9278,0.9351,0.9420,0.9484,0.9544,
     3 0.9601,0.9653,0.9702,0.9745,0.9785,0.9820,0.9852,0.9879,0.9903,
     4 0.9922,0.9938,0.9949,0.9957,0.9960,0.9960,0.9957,0.9949,0.9938,
     5 0.9923,0.9905,0.9884,0.9859,0.9832,0.9801,0.9767,0.9730,0.9688,
     6 0.9645,0.9598,0.9550,0.9499,0.9445,0.9389,0.9330,0.9269,0.9206,
     7 0.9140,0.9071,0.9001,0.8930,0.8856,0.8781,0.8705,0.8627,0.8546,
     8 0.8464,0.8381,0.8298,0.8213,0.8128,0.8042,0.7954,0.7866,0.7777,
     9 0.7685,0.7593,0.7502,0.7410,0.7318,0.7226,0.7134,0.7042,0.6951,
     A 0.6859,0.6767,0.6675,0.6584,0.6492,0.6401,0.6310,0.6219,0.6129,
     1 0.6039,0.5948,0.5859,0.5769,0.5680,0.5590,0.5502,0.5413,0.5324,
     2 0.5236,0.5148,0.5063,0.4979,0.4896,0.4814,0.4733,0.4652,0.4572,
     3 0.4493,0.4415,0.4337,0.4261,0.4185,0.4110,0.4035,0.3962,0.3889,
     4 0.3818,0.3749,0.3680,0.3611,0.3544,0.3478,0.3413,0.3348,0.3285,
     5 0.3222,0.3160,0.3099,0.3039,0.2980,0.2923,0.2866,0.2810,0.2755,
     6 0.2701,0.2648,0.2595,0.2544,0.2493,0.2443,0.2394,0.2345,0.2298,
     7 0.2251,0.2205,0.2160,0.2115,0.2072,0.2029,0.1987/
      COULBF1S=0.
      IF(FREQ/Z**2.LT.3.28805E15)RETURN
      ELOG=LOG10(FREQ/Z**2/3.28805E15)
      I=ELOG/.02
      I=MAX(MIN(I+1,150),1)
      COULBF1S=GAUNT1S(I)+
     1(GAUNT1S(I+1)-GAUNT1S(I))/.02*(ELOG-(I-1)*.02)
      RETURN
      END
      FUNCTION COULFF(J,NZ)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION Z4LOG(6),A(11,12)
      DATA Z4LOG/0.,1.20412,1.90849,2.40824,2.79588,3.11261/
      DATA A/
     15.53,5.49,5.46,5.43,5.40,5.25,5.00,4.69,4.48,4.16,3.85,
     24.91,4.87,4.84,4.80,4.77,4.63,4.40,4.13,3.87,3.52,3.27,
     34.29,4.25,4.22,4.18,4.15,4.02,3.80,3.57,3.27,2.98,2.70,
     43.64,3.61,3.59,3.56,3.54,3.41,3.22,2.97,2.70,2.45,2.20,
     53.00,2.98,2.97,2.95,2.94,2.81,2.65,2.44,2.21,2.01,1.81,
     62.41,2.41,2.41,2.41,2.41,2.32,2.19,2.02,1.84,1.67,1.50,
     71.87,1.89,1.91,1.93,1.95,1.90,1.80,1.68,1.52,1.41,1.30,
     81.33,1.39,1.44,1.49,1.55,1.56,1.51,1.42,1.33,1.25,1.17,
     90.90,0.95,1.00,1.08,1.17,1.30,1.32,1.30,1.20,1.15,1.11,
     A0.55,0.58,0.62,0.70,0.85,1.01,1.15,1.18,1.15,1.11,1.08,
     B0.33,0.36,0.39,0.46,0.59,0.76,0.97,1.09,1.13,1.10,1.08,
     C0.19,0.21,0.24,0.28,0.38,0.53,0.76,0.96,1.08,1.09,1.09/
C     ERROR CORRECTED 13APR88
C     A0.45,0.48,0.52,0.60,0.75,0.91,1.15,1.18,1.15,1.11,1.08,
C
C     GAMLOG=DLOG10(158000*Z*Z/T)*2
      GAMLOG=10.39638-TLOG(J)/1.15129+Z4LOG(NZ)
      IGAM=MAX0(MIN0( INT(GAMLOG+7.),10),1)
C     HVKTLG=DLOG10(HVKT)*2
      HVKTLG=(FREQLG-TLOG(J))/1.15129-20.63764
      IHVKT=MAX0(MIN0( INT(HVKTLG+9.),11),1)
      P=GAMLOG-DFLOAT(IGAM-7)
      Q=HVKTLG-DFLOAT(IHVKT-9)
      COULFF=(1.-P)*((1.-Q)*A(IGAM,IHVKT)+Q*A(IGAM,IHVKT+1))+
     1P*((1.-Q)*A(IGAM+1,IHVKT)+Q*A(IGAM+1,IHVKT+1))
      RETURN
      END
      SUBROUTINE H2PLOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw),AH2P(kw),D2(kw,23)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      IF(FREQ.GT.3.28805D15)RETURN
      FR=-3.0233D3+(3.7797D2+(-1.82496D1+(3.9207D-1-3.1672D-3*FREQLG)*
     1FREQLG)*FREQLG)*FREQLG
      ES=-7.342D-3+(-2.409D-15+(1.028D-30+(-4.230D-46+(1.224D-61-
     1 1.351D-77*FREQ)*FREQ)*FREQ)*FREQ)*FREQ
      DO 10 J=1,NRHOX
   10 AH2P(J)=EXP(-ES/TKEV(J)+FR)*XNFPH(J,1)*2.*BHYD(J,1)*XNFPH(J,2)/
     1RHO(J)*STIM(J)
      RETURN
      END
      SUBROUTINE HMINOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,2),AHMIN(kw),D2(kw,18),SHMIN(kw),D3(kw,3)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION WBF(85),BF(85),FFLOG(22,11),FF(11,22)
      DIMENSION FFBEG(11,11),FFEND(11,11),FFTT(11),WFFLOG(22)
      DIMENSION THETA(kw),FFTHETA(kw),THETAFF(11),WAVEK(22)
      EQUIVALENCE (FF(1,1),FFBEG(1,1)),(FF(1,12),FFEND(1,1))
C     FROM MATHISEN (1984), AFTER WISHART(1979) AND BROAD AND REINHARDT (1976)
      DATA WBF/  18.00,  19.60,  21.40,  23.60,  26.40,  29.80,  34.30,
     1   40.40,  49.10,  62.60, 111.30, 112.10, 112.67, 112.95, 113.05,
     2  113.10, 113.20, 113.23, 113.50, 114.40, 121.00, 139.00, 164.00,
     3  175.00, 200.00, 225.00, 250.00, 275.00, 300.00, 325.00, 350.00,
     4  375.00, 400.00, 425.00, 450.00, 475.00, 500.00, 525.00, 550.00,
     5  575.00, 600.00, 625.00, 650.00, 675.00, 700.00, 725.00, 750.00,
     6  775.00, 800.00, 825.00, 850.00, 875.00, 900.00, 925.00, 950.00,
     7  975.00,1000.00,1025.00,1050.00,1075.00,1100.00,1125.00,1150.00,
     8 1175.00,1200.00,1225.00,1250.00,1275.00,1300.00,1325.00,1350.00,
     9 1375.00,1400.00,1425.00,1450.00,1475.00,1500.00,1525.00,1550.00,
     A 1575.00,1600.00,1610.00,1620.00,1630.00,1643.91/
      DATA BF/   0.067,  0.088,  0.117,  0.155,  0.206,  0.283,  0.414,
     1   0.703,   1.24,   2.33,  11.60,  13.90,  24.30,  66.70,  95.00,
     2   56.60,  20.00,  14.60,   8.50,   7.10,   5.43,   5.91,   7.29,
     3   7.918,  9.453,  11.08,  12.75,  14.46,  16.19,  17.92,  19.65,
     4   21.35,  23.02,  24.65,  26.24,  27.77,  29.23,  30.62,  31.94,
     5   33.17,  34.32,  35.37,  36.32,  37.17,  37.91,  38.54,  39.07,
     6   39.48,  39.77,  39.95,  40.01,  39.95,  39.77,  39.48,  39.06,
     7   38.53,  37.89,  37.13,  36.25,  35.28,  34.19,  33.01,  31.72,
     8   30.34,  28.87,  27.33,  25.71,  24.02,  22.26,  20.46,  18.62,
     9   16.74,  14.85,  12.95,  11.07,  9.211,  7.407,  5.677,  4.052,
     A   2.575,  1.302, 0.8697, 0.4974, 0.1989,    0. /
C    Bell and Berrington J.Phys.B,vol. 20, 801-806,1987.
      DATA WAVEK/.50,.40,.35,.30,.25,.20,.18,.16,.14,.12,.10,.09,.08,
     1 .07,.06,.05,.04,.03,.02,.01,.008,.006/
      DATA THETAFF/
     1  0.5,  0.6, 0.8,  1.0,  1.2,  1.4,  1.6,  1.8,  2.0,  2.8,  3.6/
      DATA FFBEG/
     1.0178,.0222,.0308,.0402,.0498,.0596,.0695,.0795,.0896, .131, .172,   1823
     2.0228,.0280,.0388,.0499,.0614,.0732,.0851,.0972, .110, .160, .211,   2278
     3.0277,.0342,.0476,.0615,.0760,.0908, .105, .121, .136, .199, .262,   2604
     4.0364,.0447,.0616,.0789,.0966, .114, .132, .150, .169, .243, .318,   3038
     5.0520,.0633,.0859, .108, .131, .154, .178, .201, .225, .321, .418,   3645
     6.0791,.0959, .129, .161, .194, .227, .260, .293, .327, .463, .602,   4557
     7.0965, .117, .157, .195, .234, .272, .311, .351, .390, .549, .711,   5063
     8 .121, .146, .195, .241, .288, .334, .381, .428, .475, .667, .861,   5696
     9 .154, .188, .249, .309, .367, .424, .482, .539, .597, .830, 1.07,   6510
     A .208, .250, .332, .409, .484, .557, .630, .702, .774, 1.06, 1.36,   7595
     B .293, .354, .468, .576, .677, .777, .874, .969, 1.06, 1.45, 1.83/   9113
      DATA FFEND/
     1 .358, .432, .572, .702, .825, .943, 1.06, 1.17, 1.28, 1.73, 2.17,  10126
     2 .448, .539, .711, .871, 1.02, 1.16, 1.29, 1.43, 1.57, 2.09, 2.60,  11392
     3 .579, .699, .924, 1.13, 1.33, 1.51, 1.69, 1.86, 2.02, 2.67, 3.31,  13019
     4 .781, .940, 1.24, 1.52, 1.78, 2.02, 2.26, 2.48, 2.69, 3.52, 4.31,  15189
     5 1.11, 1.34, 1.77, 2.17, 2.53, 2.87, 3.20, 3.51, 3.80, 4.92, 5.97,  18227
     6 1.73, 2.08, 2.74, 3.37, 3.90, 4.50, 5.01, 5.50, 5.95, 7.59, 9.06,  22784
     7 3.04, 3.65, 4.80, 5.86, 6.86, 7.79, 8.67, 9.50, 10.3, 13.2, 15.6,  30378
     8 6.79, 8.16, 10.7, 13.1, 15.3, 17.4, 19.4, 21.2, 23.0, 29.5, 35.0,  45567
     9 27.0, 32.4, 42.6, 51.9, 60.7, 68.9, 76.8, 84.2, 91.4, 117., 140.,  91134
     A 42.3, 50.6, 66.4, 80.8, 94.5, 107., 120., 131., 142., 183., 219., 113918
     B 75.1, 90.0, 118., 144., 168., 191., 212., 234., 253., 325., 388./ 151890
      DIMENSION XHMIN(kw)
      DATA ITEMP1,ISTART/0,0/
      IF(ISTART.EQ.0)THEN
      ISTART=1
      DO 2 IWAVE=1,22
C     91.134 NUMBER TAKEN FROM BELL AND BERRINGTON
      WFFLOG(IWAVE)=DLOG(91.134D0/WAVEK(IWAVE))
      DO 2 ITHETA=1,11
    2 FFLOG(IWAVE,ITHETA)=DLOG(FF(ITHETA,IWAVE)*1.E-26)
      ENDIF
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 11 J=1,NRHOX
      THETA(J)=5040./T(J)
C     .754209 HOTOP AND LINEBERGER J.PHYS.CHEM.REF.DATA VOL 14,731-752,1985.
   11 XHMIN(J)=EXP(.754209/TKEV(J))/(2.*2.4148E15*T(J)*SQRT(T(J)))*
     1BMIN(J)*BHYD(J,1)*XNFPH(J,1)*XNE(J)
   20 WAVE=2.99792458E17/FREQ
      WAVELOG=DLOG(WAVE)
      DO 21 ITHETA=1,11
      CALL LINTER(WFFLOG,FFLOG(1,ITHETA),22,WAVELOG,FFTLOG,1)
   21 FFTT(ITHETA)=EXP(FFTLOG)/THETAFF(ITHETA)*5040.*1.380658E-16
      HMINBF=0.
      IF(FREQ.GT.1.82365E14)MAXWAVE=MAP1(WBF,BF,85,WAVE,HMINBF,1)
C     MAXT=MAP1(THETAFF,FFTT,11,THETA,FFTHETA,NRHOX)
      DO 31 J=1,NRHOX
      CALL LINTER(THETAFF,FFTT,11,THETA(J),FFTHETA(J),1)
      HMINFF=FFTHETA(J)*XNFPH(J,1)*2.*BHYD(J,1)*XNE(J)/RHO(J)
      H=HMINBF*1.E-18*(1.-EHVKT(J)/BMIN(J))*XHMIN(J)/RHO(J)
      AHMIN(J)=H+HMINFF
   31 SHMIN(J)=(H*BNU(J)*STIM(J)/(BMIN(J)-EHVKT(J))+HMINFF*BNU(J))/
     1AHMIN(J)
      RETURN
      END
      SUBROUTINE LINTER(XOLD,YOLD,NOLD,XNEW,YNEW,NNEW)
      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION XOLD(1),YOLD(1),XNEW(1),YNEW(1)
C     XOLD AND XNEW INCREASING
      IOLD=2
      DO 2 INEW=1,NNEW
    1 IF(XNEW(INEW).LT.XOLD(IOLD))GO TO 2
      IF(IOLD.EQ.NOLD)GO TO 2
      IOLD=IOLD+1
      GO TO 1
    2 YNEW(INEW)=YOLD(IOLD-1)+(YOLD(IOLD)-YOLD(IOLD-1))/
     1(XOLD(IOLD)-XOLD(IOLD-1))*(XNEW(INEW)-XOLD(IOLD-1))
      RETURN
      END
c      SUBROUTINE HRAYOP
c      IMPLICIT REAL*8 (A-H,O-Z)
c      PARAMETER (kw=99)
c      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
c      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
c      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
c      COMMON /OPS/D1(kw,3),SIGH(kw),D2(kw,21)
c      COMMON /RHOX/RHOX(kw),NRHOX
c      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
c      WAVE=2.997925E18/DMIN1(FREQ,2.463D15)
c      WW=WAVE**2
c      SIG=(5.799E-13+1.422E-6/WW+2.784/(WW*WW))/(WW*WW)
c      DO 2 J=1,NRHOX
c    2 SIGH(J)=SIG*XNFPH(J,1)*2.*BHYD(J,1)/RHO(J)
c      RETURN
c      END
      SUBROUTINE HRAYOP
C     Gavrila, M. 1966, Coherent scattering of light by atomic hydrogen,
C     JILA Report No. 86
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C      COMMON /BHYD/BHYD(kw,8),AHYD(kw),SHYD(kw),AH2P(kw),BMIN(kw),
C     1             AHMIN(kw),SHMIN(kw),SIGH(kw),SIGH2(kw),AHLINE(kw),
C     2             SHLINE(kw),XNFPH(kw,2),XNFH(kw)
C      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw),WAVENO
C      COMMON /RHOX/RHOX(kw),NRHOX
C      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw),PTOTAL(kw)
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,3),SIGH(kw),D2(kw,21)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      REAL*8 GAVRILAM(74),GAVRILAMAB(27),GAVRILAMBC(24),GAVRILAMCD(22)
      REAL*8 GAVRILALYMANCONT(64),FGAVRILALYMANCONT(64)
C     FGAVRILAM .01 TO .74 BY .01
      DATA GAVRILAM/
     1  -0.000113,  -0.000450,  -0.001014,  -0.001804,  -0.002823,
     2  -0.004072,  -0.005553,  -0.007269,  -0.009223,  -0.011419,
     3  -0.013861,  -0.016553,  -0.019500,  -0.022709,  -0.026185,
     4  -0.029936,  -0.033968,  -0.038291,  -0.042913,  -0.047843,
     5  -0.053093,  -0.058674,  -0.064599,  -0.070882,  -0.077537,
     6  -0.084581,  -0.092031,  -0.099907,  -0.108230,  -0.117022,
     7  -0.126308,  -0.136117,  -0.146477,  -0.157422,  -0.168987,
     8  -0.181213,  -0.194143,  -0.207825,  -0.222313,  -0.237667,
     9  -0.253953,  -0.271245,  -0.289626,  -0.309189,  -0.330041,
     A  -0.352300,  -0.376103,  -0.401605,  -0.428985,  -0.458448,
     1  -0.490235,  -0.524625,  -0.561947,  -0.602591,  -0.647023,
     2  -0.695805,  -0.749619,  -0.809306,  -0.875910,  -0.950750,
     3  -1.035515,  -1.132403,  -1.244337,  -1.375285,  -1.530787,
     4  -1.718821,  -1.951320,  -2.246993,  -2.636960,  -3.177142,
     5  -3.979234,  -5.303624,  -7.930999, -15.763602/
C     FGAVRILAMAB  .755 TO .885 BY .005
      DATA GAVRILAMAB/
     1  31.008832,  15.382871,  10.160646,   7.538338,   5.955062,   
     2   4.890397,   4.121176,   3.535672,   3.071659,   2.691623,
     3   2.371483,   2.094936,   1.850395,   1.629203,   1.424526,
     4   1.230596,   1.042127,   0.853766,   0.659460,   0.451533,
     5   0.219115,  -0.054939,  -0.400868,  -0.879559,  -1.637857,
     6  -3.150374,  -8.326078/
C     FGAVRILAMBC  .890 TO .936 BY .002
      DATA GAVRILAMBC/
     1  32.260389,  11.880702,   7.418436,   5.442077,   4.313409,   
     2   3.573504,   3.043218,   2.637983,   2.312466,   2.039959,
     3   1.803441,   1.591244,   1.394717,   1.206823,   1.021148,
     4   0.831020,   0.628449,   0.402484,   0.136127,  -0.200462,
     5  -0.667435,  -1.410661,  -2.906862,  -8.169314/
C    5  -0.667435,  -1.410661,  -2.906862,  -8.169314, -26.332319/
C     FGAVRILAMCD  .938 TO ,959 BY .001
      DATA GAVRILAMCD/
     1  27.981406,   9.816495,   6.145775,   4.544224,   3.630968,
     2   3.029081,   2.593248,   2.255265,   1.978565,   1.741426,
     3   1.529699,   1.333240,   1.143898,   0.954154,   0.755875,
     4   0.538760,   0.287687,  -0.022759,  -0.441666,  -1.081712,
     5  -2.278530,  -5.705843/
      DATA GAVRILALYMANCONT/
     1   2.667783,   2.526696,   2.408970,   2.308970,   2.222736,
     2   2.147415,   2.080913,   2.021653,   1.968431,   1.920304,
     3   1.876527,   1.799739,   1.734455,   1.678180,   1.629118,
     4   1.585943,   1.547643,   1.513435,   1.482700,   1.454941,
     5   1.429751,   1.406798,   1.385804,   1.366536,   1.348797,
     6   1.332419,   1.317257,   1.303187,   1.290100,   1.277901,
     7   1.266509,   1.255848,   1.245856,   1.236474,   1.227652,
     8   1.219344,   1.190492,   1.167227,   1.148153,   1.132293,
     9   1.118945,   1.107593,   1.097848,   1.089413,   1.082059,
     A   1.075606,   1.069908,   1.064850,   1.060338,   1.056294,
     1   1.052655,   1.038936,   1.030042,   1.023928,   1.019536,
     2   1.016269,   1.011814,   1.008986,   1.007074,   1.005720,
     3   1.004724,   1.003970,   1.003385,   1.003140/
      DATA FGAVRILALYMANCONT/
     1 1.00,1.05,1.10,1.15,1.20,1.25,1.30,1.35,1.40,1.45,
     2 1.5,1.6,1.7,1.8,1.9,2.0,2.1,2.2,2.3,2.4,2.5,2.6,2.7,2.8,2.9,
     3 3.0,3.1,3.2,3.3,3.4,3.5,3.6,3.7,3.8,3.9,4.0,4.4,4.8,5.2,5.6,
     4 6.0,6.4,6.8,7.2,7.6,8.0,8.4,8.8,9.2,9.6,10.,12.,14,16.,18.,
     5 20.,24.,28.,32.,36.,40.,44.,48.,50./
      XSECT=0.
c      IF(FREQ.LT.3.288051E13)THEN 
      IF(FREQ.LT.3.289841E13)THEN 
c      XSECT=6.65E-25*GAVRILAM(1)**2*(3.288051E13/FREQ)**4
      XSECT=6.65246E-25*GAVRILAM(1)**2*(FREQ/3.289841E13)**4
      GO TO 1
      ENDIF
cc      IF(FREQ.LE..74*3.288051E15)THEN
      IF(FREQ.LE.2.4190611e15)THEN
      I=FREQ/3.289841E13
      I=MIN(I+1,74)
      G=GAVRILAM(I-1)+(GAVRILAM(I)-GAVRILAM(I-1))/3.289841E13*
     1 (FREQ-(I-1)*3.289841E13)
      XSECT=6.65246E-25*G**2
      GO TO 1
      ENDIF
cc      IF(FREQ.LT..755*3.288051E15)GO TO 1
      IF(FREQ.LT..77*3.289841E15)GO TO 1
      IF(FREQ.LE..885*3.289841E15)THEN
      I=(FREQ-.755*3.289841E15)/1.644921E13
	i=i+1
      I=MIN(I+1,27)
      G=GAVRILAMAB(I-1)+(GAVRILAMAB(I)-GAVRILAMAB(I-1))/1.644921E13*
     1 (FREQ-(.755*3.289841E15+((I-1)-1)*1.6644921E13))
c     1 (FREQ-(I-1)*1.644026E13)
      XSECT=6.65246E-25*G**2
      GO TO 1
      ENDIF
      IF(FREQ.LT..890*3.289841E15)GO TO 1
      IF(FREQ.LE..936*3.289841E15)THEN
      I=(FREQ-.890*3.289841E15)/0.657968E13
	i=i+1
      I=MIN(I+1,24)
      G=GAVRILAMBC(I-1)+(GAVRILAMBC(I)-GAVRILAMBC(I-1))/0.657968E13*
     1 (FREQ-(.890*3.289841E15+((I-1)-1)*0.657968E13)) 
c     1 (FREQ-(I-1)*0.657968E13)
      XSECT=6.65246E-25*G**2
      GO TO 1
      ENDIF
      IF(FREQ.LT..938*3.289841E15)GO TO 1
      IF(FREQ.LE..959*3.289841E15)THEN
      I=(FREQ-.938*3.289841E15)/0.3289841E13
	I=I+1
      I=MIN(I+1,22)
      G=GAVRILAMCD(I-1)+(GAVRILAMCD(I)-GAVRILAMCD(I-1))/0.3289841E13*
     1 (FREQ-(.938*3.289841E15+((I-1)-1)*0.3289841E13))
C     1 (FREQ-(I-1)*0.3288051E13)
      XSECT=6.65246E-25*G**2
      GO TO 1
      ENDIF
      IF(FREQ.LT..961*3.289841E15)GO TO 1
      XSECT=6.65246E-25*GAVRILALYMANCONT(1)
      IF(FREQ.LE.1.000*3.289841E15)GO TO 1
      IDUM=MAP1(FGAVRILALYMANCONT,GAVRILALYMANCONT,64,
     1 FREQ/3.2898041E15,G,1)
      XSECT=6.65246E-25*G
    1 DO 2 J=1,NRHOX
    2 SIGH(J)=XSECT*XNFPH(J,1)*2.*BHYD(J,1)/RHO(J)
      RETURN
      END
      SUBROUTINE HE1OP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     REQUIRES FUNCTIONS COULX AND COULFF
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,4),AHE1(kw),D2(kw,20)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION CHI(10),BOLT(kw,10),EXLIM(kw),HEFREQ(10),TRANS(10),G(10)
      DIMENSION TRANS1S(10),TRANSN(27),BOLTN(kw,27)
      DIMENSION BOLTEX(kw),FREET(kw),AHE1FREE(kw),AHE1BOUND(kw)
      DATA G/1.,3.,1.,9.,3.,3.,1.,9.,20.,3./
      DATA HEFREQ/5.945209E15,1.152844E15,.9603331E15,.8761076E15,
     1 .8147104E15,.4519048E15,.4030971E15,.3821191E15,.3660215E15,
     2 .3627891E15/
      DATA CHI/0.,19.819,20.615,20.964,21.217,22.718,22.920,23.006,
     1 23.073,23.086/
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 10
      ITEMP1=ITEMP
      RYD=109722.273*2.99792458E10
      DO 5 J=1,NRHOX
      DO 4 N=1,10
    4 BOLT(J,N)=EXP(-CHI(N)/TKEV(J))*G(N)*XNFPHE(J,1)/RHO(J)
      DO 304 N=4,27
  304 BOLTN(J,N)=EXP(-24.587*(1.-1./N**2)/TKEV(J))*4.*N**2*
     1XNFPHE(J,1)/RHO(J)
      FREET(J)=XNE(J)*XNFHE(J,2)/RHO(J)/SQRT(T(J))
      XR=XNFPHE(J,1)*(4./2./13.595)*TKEV(J)/RHO(J)
      BOLTEX(J)=EXP(-23.730/TKEV(J))*XR
    5 EXLIM(J)=EXP(-24.587/TKEV(J))*XR
   10 FREQ3=FREQ**3
      CFREE=3.6919E8/FREQ3
      C=2.815E29/FREQ3
      DO 15 IMIN=1,10
      IF(HEFREQ(IMIN).LE.FREQ)GO TO 16
   15 CONTINUE
      IMIN=0
      GO TO 40
   16 GO TO (21,22,23,24,25,26,27,28,29,30),IMIN
   21 TRANS(1)=CROSSHE(FREQ)
   22 TRANS(2)=HE12s3S(FREQ)
   23 TRANS(3)=HE12s1S(FREQ)
   24 TRANS(4)=HE12p3P(FREQ)
   25 TRANS(5)=HE12p1P(FREQ)
C     1s3s 3S
   26 TRANS(6)=XKARSAS(FREQ,1.236439D0,3,0)
c     1s3s 1S
   27 TRANS(7)=XKARSAS(FREQ,1.102898D0,3,0)
c     1s3p 3P
   28 TRANS(8)=XKARSAS(FREQ,1.045499D0,3,1)
c     1s3d 3D+1D
   29 TRANS(9)=XKARSAS(FREQ,1.001427D0,3,2)
c     1s3p 1P
   30 TRANS(10)=XKARSAS(FREQ,.9926D0,3,1)
c     HeII n=2
   31 ELIM=527490.06
      FREQHE=(ELIM-171135.000)*2.99792458E10
  776 FORMAT(1P10E13.6)
      IF(FREQ.LT.FREQHE)GO TO 32
      ZEFF2=FREQHE/RYD
      TRANS(5)=TRANS(5)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-169087.)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 32
      ZEFF2=FREQHE/RYD
      TRANS(4)=TRANS(4)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-166277.546)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 32
      ZEFF2=FREQHE/RYD
      TRANS(3)=TRANS(3)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-159856.069)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 32
      ZEFF2=FREQHE/RYD
      TRANS(2)=TRANS(2)+XKARSAS(FREQ,ZEFF2,1,0)
C     HeII n=3
   32 ELIM=588451.59
      FREQHE=(ELIM-186209.471)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 40
      ZEFF2=FREQHE/RYD
      TRANS(10)=TRANS(10)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-186101.)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 40
      ZEFF2=FREQHE/RYD
      TRANS(9)=TRANS(9)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-185564.)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 40
      ZEFF2=FREQHE/RYD
      TRANS(8)=TRANS(8)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-184864.)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 40
      ZEFF2=FREQHE/RYD
      TRANS(7)=TRANS(7)+XKARSAS(FREQ,ZEFF2,1,0)
      FREQHE=(ELIM-183236.)*2.99792458E10
      IF(FREQ.LT.FREQHE)GO TO 40
      ZEFF2=FREQHE/RYD
      TRANS(6)=TRANS(6)+XKARSAS(FREQ,ZEFF2,1,0)
      IF(FREQ.LT.1.25408E+16)GO TO 40
      DO 34 N=4,27
      ZEFF2=4.-3./N**2
   34 TRANSN(N)=XKARSAS(FREQ,ZEFF2,1,0)
   40 DO 45 J=1,NRHOX
      EX=BOLTEX(J)
      IF(FREQ.LT.2.055E14)EX=EXLIM(J)/EHVKT(J)
      HE1=(EX-EXLIM(J))*C
      IF(IMIN.EQ.0)GO TO 44
      DO 41 N=IMIN,10
   41 HE1=HE1+TRANS(N)*BOLT(J,N)
      IF(FREQ.LT.1.25408E+16)GO TO 44
      DO 42 N=4,27
   42 HE1=HE1+TRANSN(N)*BOLTN(J,N)
   44 AHE1BOUND(J)=HE1*STIM(J)
      AHE1FREE(J)=(COULFF(J,1)*FREET(J)*CFREE)*STIM(J)
   45 AHE1(J)=(HE1+COULFF(J,1)*FREET(J)*CFREE)*STIM(J)
C      PRINT 777,AHE1BOUND,AHE1FREE
  777 FORMAT(1P10E12.4)
      RETURN
      END
      FUNCTION CROSSHE(FREQ)
C     Marr, G.V. and West, J.B. Atomic Data and Nuclear Data Tables,
c     vol 18, 497-508, 1976.
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION W(kw),X505(92),X50(16),X20(11),X10(21)
      DATA X505/
     1 7.58, 7.46, 7.33, 7.19, 7.06, 6.94, 6.81, 6.68, 6.55, 6.43,
     2 6.30, 6.18, 6.05, 5.93, 5.81, 5.69, 5.57, 5.45, 5.33, 5.21,
     3 5.10, 4.98, 4.87, 4.76, 4.64, 4.53, 4.42, 4.31, 4.20, 4.09,
     4 4.00, 3.88, 3.78, 3.68, 3.57, 3.47, 3.37, 3.27, 3.18, 3.08,
     5 2.98, 2.89, 2.80, 2.70, 2.61, 2.52, 2.44, 2.35, 2.26, 2.18,
     6 2.10, 2.02, 1.94, 1.86, 1.78, 1.70, 1.63, 1.55, 1.48, 1.41,
     7 1.34, 1.28, 1.21, 1.14, 1.08, 1.02, .961, .903, .847, .792,
     8 .738, .687, .637, .588, .542, .497, .454, .412, .373, .335,
     9 .299, .265, .233, .202, .174, .147, .123, .100,.0795,.0609,
     A.0443,.0315/
      DATA X50/.0315,.0282,.0250,.0220,.0193,.0168,.0145,.0124,.0105,
     1.00885,.00736,.00604,.00489,.00389,.00303,.00231/
      DATA X20/.00231,.00199,.00171,.00145,.00122,.00101,.000832,
     1 .000673,.000535,.000417,.000318/
      DATA X10/.000318,.000274,.000235,.000200,.000168,.000139,.000115,
     1 .000093,.000074,.000057,.000044,.000032,.000023,.000016,.000010,
     2.000006,.000003,.000001,.0000006,.0000003,0./
      CROSSHE=0.
      IF(FREQ.LT.5.945209E15)RETURN
      WAVE=2.99792458E18/FREQ
      IF(WAVE.GT.50.)THEN
      I=93.-(WAVE-50.)/5.
      I=MIN(92,MAX(2,I))
      CROSSHE=((WAVE-(92-I)*5-50)/5.*(X505(I-1)-X505(I))+X505(I))*1.E-18
      RETURN
      ENDIF
      IF(WAVE.GT.20.)THEN
      I=17.-(WAVE-20.)/2.
      I=MIN(16,MAX(2,I))
      CROSSHE=((WAVE-(16-I)*2-20)/2.*(X50(I-1)-X50(I))+X50(I))*1.E-18
      RETURN
      ENDIF
      IF(WAVE.GT.10.)THEN
      I=12.-(WAVE-10.)/1.
      I=MIN(11,MAX(2,I))
      CROSSHE=((WAVE-(11-I)*1-10)/1.*(X20(I-1)-X20(I))+X20(I))*1.E-18
      RETURN
      ENDIF
      I=22.-WAVE/.5
      I=MIN(21,MAX(2,I))
      CROSSHE=((WAVE-(21-I)*.5)/.5*(X10(I-1)-X10(I))+X10(I))*1.E-18
      RETURN
      END
      FUNCTION HE111S(FREQ)
C     FOLLOWING MATHISEN
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION W(64),X(64)
      DATA W/
     1 504.3, 501.5, 498.7, 493.3, 488.1, 480.3, 477.8, 454.0, 443.0,
     2 395.0, 356.4, 348.2, 324.6, 302.0, 298.1, 275.6, 260.6, 256.2,
     3 239.4, 224.6,  220.,  215,   210.,  205.,  200.,  195.,  190.,
     4  185.,  180.,  175.,  170.,  165.,  160.,  155.,  150.,  145.,
     5  135.,  130.,  125.,  120.,  115.,  110.,  105.,  100.,   95.,
     6   90.,   85.,   80.,   75.,   70.,   65.,   60.,   55.,   50.,
     7   45.,   40.,   35.,   30.,   25.,   20.,   15.,   10.,  5.,0./
      DATA X/
     1 7.346, 7.317, 7.259, 7.143, 7.030, 6.857, 6.800, 6.284, 6.041,
     2 4.977, 4.138, 3.961, 3.474, 3.025, 2.945, 2.522, 2.259, 2.179,
     3 1.901, 1.684, 1.61 , 1.53 , 1.45 , 1.38 , 1.30 , 1.22 , 1.14 ,
     4 1.08 , 1.02 , 0.961, 0.903, 0.847, 0.792, 0.738, 0.687, 0.637,
     5 0.542, 0.497, 0.454, 0.412, 0.373, 0.335, 0.299, 0.265, 0.233,
     6 0.202, 0.174, 0.147, 0.124, 0.103,0.0840,0.0676,0.0535,0.0414,
     7.0311,.0266,.0158,.0104,.00637,.00349,.00161,.00054,.000083,0./
      HE111S=0.
      IF(FREQ.LT.5.945209E15)RETURN
      WAVE=2.99792458E18/FREQ
      DO 3 I=2,64
      IF(WAVE.GT.W(I))GO TO 4
    3 CONTINUE
    4 HE111S=((WAVE-W(I))/(W(I-1)-W(I))*(X(I-1)-X(I))+X(I))*1.E-18
      RETURN
      END
      FUNCTION HE12S1S(FREQ)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION FREQ1S(16),X1S(16)
      DATA FREQ1S/
     1    15.947182,   15.913654,   15.877320,   15.837666,   15.794025,
     2    15.745503,   15.690869,   15.628361,   15.555317,   15.467455,
     3    15.357189,   15.289399,   15.251073,   15.209035,   15.162487,
     4    14.982421/
      DATA X1S/
     1   -19.635557,  -19.159345,  -18.958474,  -18.809535,  -18.676481,
     2   -18.546006,  -18.410962,  -18.264821,  -18.100205,  -17.909165,
     3   -17.684370,  -17.557867,  -17.490360,  -17.417876,  -17.349386,
     4   -17.084441/
      HE12S1S=0.
      IF(FREQ.LT.32033.214*2.99792458E10)RETURN
      IF(FREQ.GT.2.4*109722.267*2.99792458E10)GO TO 3
      FREQLG=LOG10(FREQ)
      DO 1 I=2,16
      IF(FREQLG.GT.FREQ1S(I))GO TO 2
    1 CONTINUE
    2 X=(FREQLG-FREQ1S(I))/(FREQ1S(I-1)-FREQ1S(I))*
     1(X1S(I-1)-X1S(I))+X1S(I)
      HE12S1S=EXP(X*2.30258509299405E0)
      RETURN
    3 WAVENO=FREQ/2.99792458E10
      EK=(WAVENO-32033.214)/109722.267
      EPS=2.*(EK-2.612316)/.00322
      HE12S1S=.008175*(484940./WAVENO)**2.71*8.067E-18*
     1(EPS+76.21)**2/(1.+EPS**2)
      RETURN
      END
      FUNCTION HE12S3S(FREQ)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION FREQ3S(16),X3S(16)
      DATA FREQ3S/
     1    15.956523,   15.923736,   15.888271,   15.849649,   15.807255,
     2    15.760271,   15.707580,   15.647601,   15.577992,   15.495055,
     3    15.392451,   15.330345,   15.295609,   15.257851,   15.216496,
     4    15.061770/
      DATA X3S/
     1   -18.426022,  -18.610700,  -18.593051,  -18.543304,  -18.465513,
     2   -18.378707,  -18.278574,  -18.164329,  -18.033346,  -17.882435,
     3   -17.705542,  -17.605584,  -17.553459,  -17.500667,  -17.451318,
     4   -17.266686/
      HE12S3S=0.
      IF(FREQ.LT.38454.691*2.99792458E10)RETURN
      IF(FREQ.GT.2.4*109722.267*2.99792458E10)GO TO 3
      FREQLG=LOG10(FREQ)
      DO 1 I=2,16
      IF(FREQLG.GT.FREQ3S(I))GO TO 2
    1 CONTINUE
    2 X=(FREQLG-FREQ3S(I))/(FREQ3S(I-1)-FREQ3S(I))*
     1(X3S(I-1)-X3S(I))+X3S(I)
      HE12S3S=EXP(X*2.30258509299405E0)
      RETURN
    3 WAVENO=FREQ/2.99792458E10
      EK=(WAVENO-38454.691)/109722.267
      EPS=2.*(EK-2.47898)/.000780
      HE12S3S=.01521*(470310./WAVENO)**3.12*8.067E-18*
     1(EPS-122.4)**2/(1.+EPS**2)
      RETURN
      END
      FUNCTION HE12P1P(FREQ)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION FREQ1P(16),X1P(16)
      DATA FREQ1P/
     1    15.939981,   15.905870,   15.868850,   15.828377,   15.783742,
     2    15.733988,   15.677787,   15.613218,   15.537343,   15.445346,
     3    15.328474,   15.255641,   15.214064,   15.168081,   15.116647,
     4    14.911002/
      DATA X1P/
     1   -18.798876,  -19.685922,  -20.011664,  -20.143030,  -20.091354,
     2   -19.908333,  -19.656788,  -19.367745,  -19.043016,  -18.674484,
     3   -18.240861,  -17.989700,  -17.852015,  -17.702677,  -17.525347,
     4   -16.816344/
      HE12P1P=0.
      IF(FREQ.LT.27175.76*2.99792458E10)RETURN
      IF(FREQ.GT.2.4*109722.267*2.99792458E10)GO TO 3
      FREQLG=LOG10(FREQ)
      DO 1 I=2,16
      IF(FREQLG.GT.FREQ1P(I))GO TO 2
    1 CONTINUE
    2 X=(FREQLG-FREQ1P(I))/(FREQ1P(I-1)-FREQ1P(I))*
     1(X1P(I-1)-X1P(I))+X1P(I)
      HE12P1P=EXP(X*2.30258509299405E0)
      RETURN
    3 WAVENO=FREQ/2.99792458E10
      EK=(WAVENO-27175.76)/109722.267
      EPS1S=2.*(EK-2.446534)/.01037
      EPS1D=2.*(EK-2.59427)/.00538
C     bug reported by Y. Takeda 21jan94
C      HE12S1P=.0009487*(466750./WAVENO)**3.69*8.067E-18*
      HE12P1P=.0009487*(466750./WAVENO)**3.69*8.067E-18*
     1((EPS1S-29.30)**2/(1.+EPS1S**2)+(EPS1D+172.4)**2/(1.+EPS1D**2))
      RETURN
      END
      FUNCTION HE12P3P(FREQ)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      DIMENSION FREQ3P(16),X3P(16)
      DATA FREQ3P/
     1    15.943031,   15.909169,   15.872441,   15.832318,   15.788107,
     2    15.738880,   15.683351,   15.619667,   15.545012,   15.454805,
     3    15.340813,   15.270195,   15.230054,   15.185821,   15.136567,
     4    14.942557/
      DATA X3P/
     1   -19.791021,  -19.697886,  -19.591421,  -19.471855,  -19.337053,
     2   -19.183958,  -19.009750,  -18.807990,  -18.570571,  -18.288361,
     3   -17.943476,  -17.738737,  -17.624154,  -17.497163,  -17.403183,
     4   -17.032999/
      HE12P3P=0.
      IF(FREQ.LT.29223.753*2.99792458E10)RETURN
      FREQLG=LOG10(FREQ)
      DO 1 I=2,16
      IF(FREQLG.GT.FREQ3P(I))GO TO 2
    1 CONTINUE
    2 X=(FREQLG-FREQ3P(I))/(FREQ3P(I-1)-FREQ3P(I))*
     1(X3P(I-1)-X3P(I))+X3P(I)
      HE12P3P=EXP(X*2.30258509299405E0)
      RETURN
      END
      SUBROUTINE HE2OP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     REQUIRES FUNCTIONS COULX AND COULFF
C     FREQUENCIES ARE 4X HYDROGEN,CHI ARE FOR ION POT=54.403
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,5),AHE2(kw),D2(kw,19)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION CONT(9),BOLT(kw,9),EXLIM(kw),FREET(kw),BOLTEX(kw)
      DIMENSION AHE2BOUND(kw),AHE2FREE(kw)
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 15 J=1,NRHOX
      DO 14 N=1,9
   14 BOLT(J,N)=EXP(-(54.403-54.403/DFLOAT(N*N))/TKEV(J))*2.*
     1DFLOAT(N*N)*XNFPHE(J,2)/RHO(J)
      FREET(J)=XNE(J)*XNFHE(J,3)/RHO(J)/SQRT(T(J))
      XR=XNFPHE(J,2)*(2./2./13.595)*TKEV(J)/RHO(J)
      BOLTEX(J)=EXP(-53.859/TKEV(J))*XR
   15 EXLIM(J)=EXP(-54.403/TKEV(J))*XR
   20 DO 21 N=1,9
C   21 CONT(N)=COULX(N,FREQ,2.D0)
   21 CONT(N)=XKARSAS(FREQ,4.D0,N,N)
      FREQ3=FREQ**3
      CFREE=3.6919E8/FREQ3*4.
      C=2.815E29*2.*2./FREQ3
      DO 35 J=1,NRHOX
      EX=BOLTEX(J)
      IF(FREQ.LT.1.31522E14)EX=EXLIM(J)/EHVKT(J)
      HE2=(EX-EXLIM(J))*C
      DO 31 N=1,9
   31 HE2=HE2+CONT(N)*BOLT(J,N)
      AHE2BOUND(J)=HE2*STIM(J)
      AHE2FREE(J)=(COULFF(J,2)*CFREE*FREET(J))*STIM(J)
   35 AHE2(J)=(HE2+COULFF(J,2)*CFREE*FREET(J))*STIM(J)
C      PRINT 777,AHE2BOUND,AHE2FREE
  777 FORMAT(1P10E12.4)
      RETURN
      END
      SUBROUTINE HEMIOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,6),AHEMIN(kw),D2(kw,18)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      A=3.397D-46+(-5.216D-31+7.039D-15/FREQ)/FREQ
      B=-4.116D-42+(1.067D-26+8.135D-11/FREQ)/FREQ
      C=5.081D-37+(-8.724D-23-5.659D-8/FREQ)/FREQ
      DO 3 J=1,NRHOX
    3 AHEMIN(J)=(A*T(J)+B+C/T(J))*XNE(J)*XNFPHE(J,1)/RHO(J)
      RETURN
      END
      SUBROUTINE HERAOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,7),SIGHE(kw),D2(kw,17)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      WAVE=2.997925E18/DMIN1(FREQ,5.15D15)
      WW=WAVE**2
      SIG=5.484E-14/WW/WW*(1.+(2.44E5+5.94E10/(WW-2.90E5))/WW)**2
      DO 2 J=1,NRHOX
    2 SIGHE(J)=SIG*XNFPHE(J,1)/RHO(J)
      RETURN
      END
      SUBROUTINE COOLOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     SI1,MG1,AL1,C1,FE1
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /OPS/D1(kw,8),ACOOL(kw),D2(kw,16)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /XNFP/XNFPC(kw,4),XNFPN(kw,5),XNFPO(kw,6),XNFPNE(kw,6),
     1             XNFPAL(kw,1),XNFPMG(kw,2),XNFPSI(kw,2),XNFPCA(kw,2),
     2             XNFPFE(kw,1),XNFPCH(kw),XNFPOH(kw)
	common/bsi/asi1(kw)
      REAL*8 MG1OP
      REAL*8 AH2COLL(kw)
      IF(FREQ.GT.3.28805E15)RETURN
      CALL H2COLLOP(AH2COLL)
	call si1op
      DO 20 J=1,NRHOX
   20 ACOOL(J)=(C1OP(J)*XNFPC(J,1)+MG1OP(J)*XNFPMG(J,1)+
c     1AL1OP(J)*XNFPAL(J,1)+SI1OP(J)*XNFPSI(J,1)+FE1OP(J)*XNFPFE(J,1)+
     1AL1OP(J)*XNFPAL(J,1)+FE1OP(J)*XNFPFE(J,1)+
     2CHOP(J)*XNFPCH(J)+OHOP(J)*XNFPOH(J))*STIM(J)/RHO(J)+
	1 ASI1(J)*XNFPSI(J,1)/RHO(j)+AH2COLL(J)
      RETURN
      END
      FUNCTION C1OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES THE PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION C1240(kw),C1444(kw)
      RYD=109732.298
      DATA FREQ1,ITEMP1/0.,0/
      IF(ITEMP.EQ.ITEMP1)GO TO 30
      ITEMP1=ITEMP
      DO 20 K=1,NRHOX
      C1240(K)=5.*EXP(-1.264/TKEV(K))
   20 C1444(K)=EXP(-2.683/TKEV(K))
   30 IF(FREQ.EQ.FREQ1)GO TO 40
      RYD=109732.298
      WAVENO=FREQ/2.99792458E10
c      XS=0.
      XS0=0.
      XS1=0.
c      XD=0.
      XD0=0.
      XD1=0.
      XD2=0.
c      XP=0.
      X1444=0.
      X1240=0.
      X1100=0.
      IF(FREQ.GE.2.7254E15)X1100=
C  P2 3P   1
C     LIMIT 2P0.5 90820.42
c      IF(WAVENO.LT.90777.000)GO TO 30
C     Luo, D. and Pradhan, A.K. 1989, J.Phys. B, 22, 3377-3395.
     1 10.**(-16.80-(WAVENO-90777.000)/3./RYD)
c     1SEATON(2.7254D15,1.219D-17,2.D0,3.317D0)
c
      IF(FREQ.GE.2.4196E15)THEN
C  P2 1D   2
C     LIMIT 2P0.5 90820.42
c      IF(WAVENO.LT.80627.760)GO TO 30
C     Luo, D. and Pradhan, A.K. 1989, J.Phys. B, 22, 3377-3395.
      XD0=10.**(-16.80-(WAVENO-80627.760)/3./RYD)
C     Fit to Burke, P.G. and Taylor, K.T. 1979, J. Phys. B, 12, 2971-2984.
      EPS=(WAVENO-93917.)*2./9230.
      A=22.E-18
      B=26.E-18
      XD1=(A*EPS+B)/(EPS**2+1.)
C     Fit to Burke, P.G. and Taylor, K.T. 1979, J. Phys. B, 12, 2971-2984.
      EPS=(WAVENO-111130.)*2./2743.
      A=-10.5E-18
      B=46.E-18
      XD2=(A*EPS+B)/(EPS**2+1.)
      X1240=XD0+XD1+XD2
      ENDIF
c     1SEATON(2.4196D15,1.03D-17,1.5D0,2.789D0)
c
      IF(FREQ.GE.2.0761E15)THEN
C  P2 1S   3
C     LIMIT 2P0.5 90820.42
C      IF(WAVENO.LT.69172.400)GO TO 30
C     Luo, D. and Pradhan, A.K. 1989, J.Phys. B, 22, 3377-3395.
      XS0=10.**(-16.80-(WAVENO-69172.400)/3./RYD)
      EPS=(WAVENO-97700.)*2./2743.
      A=68.E-18
      B=118.E-18
C     Fit to Burke, P.G. and Taylor, K.T. 1979, J. Phys. B, 12, 2971-2984.
      XS1=(A*EPS+B)/(EPS**2+1.)
      X1444=XS0+XS1
      ENDIF
c     1SEATON(2.0761D15,9.59D-18,1.5D0,3.501D0)
c
      FREQ1=FREQ
   40 C1OP=X1100*9.+X1240*C1240(J)+X1444*C1444(J)
c   30 PRINT 1,WAVE,WAVENO,XS,XS0,XS1,XD,XD0,XD1,XD2,XP
c    1 FORMAT(F8.1,F10.1,1P8E11.3)
      RETURN
      END
      FUNCTION SEATON(FREQ0,XSECT,POWER,A)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      SEATON=XSECT*(A+(1.-A)*(FREQ0/FREQ))*
     1SQRT((FREQ0/FREQ)**( INT(2.*POWER+.01)))
      RETURN
      END
      FUNCTION MG1OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES THE PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      REAL*8 MG1OP
      DIMENSION FLOG(9),FREQMG(7),PEACH(7,15),X(7),TLG(7),DT(kw),NT(kw)
      DATA PEACH/
C        4000     5000     6000     7000     8000     9000    10000     WAVE(A)
     1 -42.474, -42.350, -42.109, -41.795, -41.467, -41.159, -40.883,   1500
     2 -41.808, -41.735, -41.582, -41.363, -41.115, -40.866, -40.631,   1550
     3 -41.273, -41.223, -41.114, -40.951, -40.755, -40.549, -40.347,   1621
     4 -45.583, -44.008, -42.957, -42.205, -41.639, -41.198, -40.841,   1622
     5 -44.324, -42.747, -41.694, -40.939, -40.370, -39.925, -39.566,   2513
     6 -50.969, -48.388, -46.630, -45.344, -44.355, -43.568, -42.924,   2514
     7 -50.633, -48.026, -46.220, -44.859, -43.803, -42.957, -42.264,   3756
     8 -53.028, -49.643, -47.367, -45.729, -44.491, -43.520, -42.736,   3757
     9 -51.785, -48.352, -46.050, -44.393, -43.140, -42.157, -41.363,   6549
     T -52.285, -48.797, -46.453, -44.765, -43.486, -42.480, -41.668,   6550
     1 -52.028, -48.540, -46.196, -44.507, -43.227, -42.222, -41.408,   7234
     2 -52.384, -48.876, -46.513, -44.806, -43.509, -42.488, -41.660,   7235
     3 -52.363, -48.856, -46.493, -44.786, -43.489, -42.467, -41.639,   7291
     4 -54.704, -50.772, -48.107, -46.176, -44.707, -43.549, -42.611,   7292
     5 -54.359, -50.349, -47.643, -45.685, -44.198, -43.027, -42.418/   9000
      DATA FREQMG/1.9341452E15,1.8488510E15,1.1925797E15,7.9804046E14,
     1 4.5772110E14,4.1440977E14,4.1113514E14/
      DATA FLOG/35.23123,35.19844,35.15334,34.71490,34.31318,33.75728,
     1 33.65788,33.64994,33.43947/
      DATA TLG/8.29405,8.51719,8.69951,8.85367,8.98720,9.10498,9.21034/
      DATA FREQ1,ITEMP1/0.,0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 11 K=1,NRHOX
      N=MAX0(MIN0(6, INT(T(K)/1000.)-3),1)
      NT(K)=N
   11 DT(K)=(TLOG(K)-TLG(N))/(TLG(N+1)-TLG(N))
      GO TO 21
   20 IF(FREQ.EQ.FREQ1)GO TO 30
   21 FREQ1=FREQ
      DO 22 N=1,7
      IF(FREQ.GT.FREQMG(N))GO TO 23
   22 CONTINUE
      N=8
   23 D=(FREQLG-FLOG(N))/(FLOG(N+1)-FLOG(N))
      IF(N.GT.2)N=2*N-2
      D1=1.-D
      DO 24 IT=1,7
   24 X(IT)=PEACH(IT,N+1)*D+PEACH(IT,N)*D1
   30 N=NT(J)
      MG1OP=EXP(X(N)*(1.-DT(J))+X(N+1)*DT(J))
      RETURN
      END
      FUNCTION AL1OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES THE PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      AL1OP=0.
      IF(FREQ.GE.1.443E15)AL1OP=6.5E-17*(1.443E15/FREQ)**4.4*6.
      RETURN
      END
      SUBROUTINE SI1OP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
c      COMMON /ACOOL/AC1(kw),AMG1(kw),AAL1(kw),ASI1(kw),AFE1(kw)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION ELEV(33),GLEV(33),BOLT(33,kw),X(33)
	common/bsi/asi1(kw)
      DATA ELEV/
     1   59962.284,  59100.,     59077.112,  58893.40,   58801.529,
     2   58777.,     57488.974,  56503.346,  54225.621,  53387.34,
     3   53362.24,   51612.012,  50533.424,  50189.389,  49965.894,
     4   49399.670,  49128.131,  48161.459,  47351.554,  47284.061,
     5   45303.310,  40991.884,  39859.920,  15394.370,   6298.850,   
     6     223.157,      77.115,      0.000,     94000.,    79664.0,     
     7   72000.,      56698.738,  33326.053/
      DATA GLEV/9.,56.,15.,7.,3.,28.,21.,5.,15.,3.,7.,1.,9.,5.,21.,
     1 3.,9.,15.,5.,3.,15.,3.,9.,1.,5.,5.,3.,1.,3.,3.,5.,12.,5./
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 3
      ITEMP1=ITEMP
      DO 2  K=1,NRHOX
      DO 2 I=1,33
      BOLT(I,K)=GLEV(I)*EXP(-ELEV(I)*HCKT(K))
    2 CONTINUE
    3 CONTINUE
      Z=1. 
      FREQ3=2.815E29/FREQ/FREQ/FREQ*Z**4
      WAVENO=FREQ/2.99792458E10
	wave=2.99792458E18/freq
      DO 4 I=1,33
    4 X(I)=0.
C     ELIM=65747.55
C      Si II 3s2 3p 2P average
      ELIM=65939.18
      RYD=109732.298
C  3s2 3p4d 3P
C     ELEV=59962.284
      IF(WAVENO.LT.ELIM-ELEV(1))GO TO 30
C     GLEV=9.
      ZEFF2=16./RYD*(ELIM-ELEV(1))
      X(1)=XKARSAS(FREQ,ZEFF2,4,2)
C  3s2 3p4f (2P3/2)4f
C     ELEV=59100.
      IF(WAVENO.LT.ELIM-ELEV(2))GO TO 30
C     GLEV=56.
      ZEFF2=16./RYD*(ELIM-ELEV(2))
      X(2)=XKARSAS(FREQ,ZEFF2,4,3)
C  3s2 3p4d 3D
C     ELEV=59077.112
      IF(WAVENO.LT.ELIM-ELEV(3))GO TO 30
C     GLEV=15.
      ZEFF2=16./RYD*(ELIM-ELEV(3))
      X(3)=XKARSAS(FREQ,ZEFF2,4,2)
C  3s2 3p4d 1F
C     ELEV=58893.40
      IF(WAVENO.LT.ELIM-ELEV(4))GO TO 30
C     GLEV=7.
      ZEFF2=16./RYD*(ELIM-ELEV(4))
      X(4)=XKARSAS(FREQ,ZEFF2,4,2)
C  3s2 3p4d 1P
C     ELEV=58801.529
      IF(WAVENO.LT.ELIM-ELEV(5))GO TO 30
C     GLEV=3.
      ZEFF2=16./RYD*(ELIM-ELEV(5))
      X(5)=XKARSAS(FREQ,ZEFF2,4,2)
C  3s2 3p4f (2P1/2)4f
C     ELEV=58777.
      IF(WAVENO.LT.ELIM-ELEV(6))GO TO 30
C     GLEV=28.
      ZEFF2=16./RYD*(ELIM-ELEV(6))
      X(6)=XKARSAS(FREQ,ZEFF2,4,3)
C  3s2 3p4d 3F
C     ELEV=57488.974
      IF(WAVENO.LT.ELIM-ELEV(7))GO TO 30
C     GLEV=21.
      ZEFF2=16./RYD*(ELIM-ELEV(7))
      X(7)=XKARSAS(FREQ,ZEFF2,4,2)
C  3s2 3p4d 1D
C     ELEV=56503.346
      IF(WAVENO.LT.ELIM-ELEV(8))GO TO 30
C     GLEV=5.
      ZEFF2=16./RYD*(ELIM-ELEV(8))
      X(8)=XKARSAS(FREQ,ZEFF2,4,2)
C  3s2 3p3d 3D
C     ELEV=54225.621
      IF(WAVENO.LT.ELIM-ELEV(9))GO TO 30
C     GLEV=15.
      ZEFF2=9./RYD*(ELIM-ELEV(9))
      X(9)=XKARSAS(FREQ,ZEFF2,3,2)
C  3s2 3p3d 1P
C     ELEV=53387.34
      IF(WAVENO.LT.ELIM-ELEV(10))GO TO 30
C     GLEV=3.
      ZEFF2=9./RYD*(ELIM-ELEV(10))
      X(10)=XKARSAS(FREQ,ZEFF2,3,2)
C  3s2 3p3d 1F
C     ELEV=53362.24
      IF(WAVENO.LT.ELIM-ELEV(11))GO TO 30
C     GLEV=7.
      ZEFF2=9./RYD*(ELIM-ELEV(11))
      X(11)=XKARSAS(FREQ,ZEFF2,3,2)
C  3s2 3p4p 1S
C     ELEV=51612.012
      IF(WAVENO.LT.ELIM-ELEV(12))GO TO 30
C     GLEV=1.
      ZEFF2=16./RYD*(ELIM-ELEV(12))
      X(12)=XKARSAS(FREQ,ZEFF2,4,1)
C  3s2 3p3d 3P
C     ELEV=50533.424
      IF(WAVENO.LT.ELIM-ELEV(13))GO TO 30
C     GLEV=9.
      ZEFF2=9./RYD*(ELIM-ELEV(13))
cc      X(13)=XKARSAS(FREQ,ZEFF2,3,2)
      x(13)=si1seaton3p3d3p(freq)
C  3s2 3p4p 1D
C     ELEV=50189.389
      IF(WAVENO.LT.ELIM-ELEV(14))GO TO 30
C     GLEV=5.
      ZEFF2=16./RYD*(ELIM-ELEV(14))
cc      X(14)=XKARSAS(FREQ,ZEFF2,4,1)
      x(14)=si1seaton3p4p1d(freq)
C  3s2 3p3d 3F
C     ELEV=49965.894
      IF(WAVENO.LT.ELIM-ELEV(15))GO TO 30
C     GLEV=21.
      ZEFF2=9./RYD*(ELIM-ELEV(15))
cc      X(15)=XKARSAS(FREQ,ZEFF2,3,2)
      x(15)=42.68E-18*(15973.206/waveno)**2.4
C  3s2 3p4p 3S
C     ELEV=49399.670
      IF(WAVENO.LT.ELIM-ELEV(16))GO TO 30
C     GLEV=3.
      ZEFF2=16./RYD*(ELIM-ELEV(16))
cc      X(16)=XKARSAS(FREQ,ZEFF2,4,1)
      x(16)=si1seaton3p4p3s(freq)   
C  3s2 3p4p 3P
C     ELEV=49128.131
      IF(WAVENO.LT.ELIM-ELEV(17))GO TO 30
C     GLEV=9.
      ZEFF2=16./RYD*(ELIM-ELEV(17))
cc      X(17)=XKARSAS(FREQ,ZEFF2,4,1)
      if(waveno.ge.16810.969)x(17)=15.67E-18*(16810.969/waveno)**0.7
      if(waveno.gt.23803.)x(17)=11.90E-18*(23803/waveno)**3.7
C  3s2 3p4p 3D
C     ELEV=48161.459
      IF(WAVENO.LT.ELIM-ELEV(18))GO TO 30
C     GLEV=15.
      ZEFF2=16./RYD*(ELIM-ELEV(18))
cc      X(18)=XKARSAS(FREQ,ZEFF2,4,1)
      x(18)=18.7E-18*(17777.641/waveno)**2.5
C  3s2 3p3d 1D
C     ELEV=47351.554
      IF(WAVENO.LT.ELIM-ELEV(19))GO TO 30
C     GLEV=5.
      ZEFF2=9./RYD*(ELIM-ELEV(19))
cc      X(19)=XKARSAS(FREQ,ZEFF2,3,2)
      x(19)=37E-18*(18587.564/waveno)**2
C  2s2 3p4p 1P
C     ELEV=47284.061
      IF(WAVENO.LT.ELIM-ELEV(20))GO TO 30
C     GLEV=3.
      ZEFF2=16./RYD*(ELIM-ELEV(20))
cc      X(20)=XKARSAS(FREQ,ZEFF2,4,1)
      x(20)=12.41E-18*(18655.039/waveno)**2.3
C  2s2p3 3D
C     ELEV=45303.310
      IF(WAVENO.LT.ELIM-ELEV(21))GO TO 60
C     GLEV=15.
      ZEFF2=9./RYD*(ELIM-ELEV(21))
cc      X(21)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
      X(21)=16.64E-18*(20636.37/waveno)**1.4
C  3s2 3p4s 1P
C     ELEV=40991.884
      IF(WAVENO.LT.ELIM-ELEV(22))GO TO 30
C     GLEV=3.
      ZEFF2=16./RYD*(ELIM-ELEV(22))
cc      X(21)=XKARSAS(FREQ,ZEFF2,4,0)
      x(22)=4.09E-18*(24947.216/waveno)**2      
C  3s2 3p4s 3P
C     ELEV=39859.920
      IF(WAVENO.LT.ELIM-ELEV(23))GO TO 30
C     GLEV=9.
      ZEFF2=16./RYD*(ELIM-ELEV(23))
cc      X(22)=XKARSAS(FREQ,ZEFF2,4,0)
      x(23)=1.25E-18*(26079.180/waveno)**2
C
C      Si II 3s2 3p 2P1/2
   30 ELIM=65747.55
C  3s2 3p2 1S
C     ELEV=15394.370
      IF(WAVENO.LT.ELIM-ELEV(24))GO TO 40
C     GLEV=1.
      EPS=(WAVENO-70000.)*2./6500.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
      RESON1=(97.E-18*EPS+94.E-18)/(EPS**2+1.)
C     EPS=(WAVENO-89700.)*2./75.
C     RESON2=900.E-18/(EPS**2+1.)
      X(24)=(37.E-18*(50353.180/WAVENO)**2.40+RESON1)/3.
C     X(23)=46.E-18*(50353.180/WAVENO)**.5/3.
C  3s2 3p2 1D
C     ELEV=6298.850
      IF(WAVENO.LT.ELIM-ELEV(25))GO TO 40
C     GLEV=5.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     IF(WAVENO.LT.59448.700)GO TO 30
      EPS=(WAVENO-78600.)*2./13000.
      RESON1=(-10.E-18*EPS+77.E-18)/(EPS**2+1.)
C     EPS=(WAVENO-98000.)*2./400.
C     RESON2=(65.E-18*EPS+65.E-18)/(EPS**2+1.)
C     EPS=(WAVENO-99500.)*2./50.
C     RESON3=204.E-18/(EPS**2+1.)
      X(25)=(24.5E-18*(59448.700/WAVENO)**1.85+RESON1)/3.
C     X(24)=35.E-18*(59448.700/WAVENO)**3/3.
C  3s2 3p2 3P2
C     ELEV=223.157
      IF(WAVENO.LT.ELIM-ELEV(26))GO TO 40
C     GLEV=5.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     RESON1=0.
C     RESON2=0.
C     RESON3=0.
C     IF(WAVENO.LT.100000.)THEN
C     EPS=(WAVENO-92200.)*2./950.
C     RESON1=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.92200.AND.WAVENO.LT.103600.)THEN
C     EPS=(WAVENO-100000.)*2./300.
C     RESON2=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.100000.AND.WAVENO.LT.105000.)THEN
C     EPS=(WAVENO-103600.)*2./150.
C     RESON3=20.E-18*EPS/(EPS**2+1.)
C     ENDIF
      IF(WAVENO.LE.74000.)X(26)=72.E-18*(65524.393/WAVENO)**1.90/3.
      IF(WAVENO.GT.74000.)X(26)=93.E-18*(65524.393/WAVENO)**4.00/3.
C     X(25)=X(25)+(RESON1+RESON2+RESON3)/3.
C     X(25)=37.E-18*MIN(1.D0,(74000./WAVENO)**5)/3.
C  3s2 3p2 3P1
C     ELEV=77.115
      IF(WAVENO.LT.ELIM-ELEV(27))GO TO 40
C     GLEV=3.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     RESON1=0.
C     RESON2=0.
C     RESON3=0.
C     IF(WAVENO.LT.100000.)THEN
C     EPS=(WAVENO-92200.)*2./950.
C     RESON1=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.92200.AND.WAVENO.LT.103600.)THEN
C     EPS=(WAVENO-100000.)*2./300.
C     RESON2=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.100000.AND.WAVENO.LT.105000.)THEN
C     EPS=(WAVENO-103600.)*2./150.
C     RESON3=20.E-18*EPS/(EPS**2+1.)
C     ENDIF
      IF(WAVENO.LE.74000.)X(27)=72.E-18*(65524.393/WAVENO)**1.90*2./3.
      IF(WAVENO.GT.74000.)X(27)=93.E-18*(65524.393/WAVENO)**4.00*2./3.
C     X(26)=X(26)+(RESON1+RESON2+RESON3)*2./3.
C     X(26)=37.E-18*MIN(1.D0,(74000./WAVENO)**5)*2./3.
C  3s2 3p2 3P0
C     ELEV=0.00
      IF(WAVENO.LT.ELIM-ELEV(28))GO TO 40
C     GLEV=1.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     RESON1=0.
C     RESON2=0.
C     RESON3=0.
C     IF(WAVENO.LT.100000.)THEN
C     EPS=(WAVENO-92200.)*2./950.
C     RESON1=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.92200.AND.WAVENO.LT.103600.)THEN
C     EPS=(WAVENO-100000.)*2./300.
C     RESON2=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.100000.AND.WAVENO.LT.105000.)THEN
C     EPS=(WAVENO-103600.)*2./150.
C     RESON3=20.E-18*EPS/(EPS**2+1.)
C     ENDIF
      IF(WAVENO.LE.74000.)X(28)=72.E-18*(65524.393/WAVENO)**1.90/3.
      IF(WAVENO.GT.74000.)X(28)=93.E-18*(65524.393/WAVENO)**4.00/3.
C     X(27)=X(27)+(RESON1+RESON2+RESON3)/3.
C     X(27)=37.E-18*MIN(1.D0,(74000./WAVENO)**5)/3.
C
C      Si II 3s2 3p 2P3/2
   40 ELIM=65747.55+287.45
C  3s2 3p2 1S
C     ELEV=15394.370
      IF(WAVENO.LT.ELIM-ELEV(24))GO TO 50
C     GLEV=1.
      EPS=(WAVENO-70000.)*2./6500.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
      RESON1=(97.E-18*EPS+94.E-18)/(EPS**2+1.)
C     EPS=(WAVENO-89700.)*2./75.
C     RESON2=900.E-18/(EPS**2+1.)
      X(24)=X(24)+(37.E-18*(50640.630/WAVENO)**2.40+RESON1)*2./3.
C     X(23)=X(23)+46.E-18*(50353.180/WAVENO)**.5*2./3.
C  3s2 3p2 1D
C     ELEV=6298.850
      IF(WAVENO.LT.ELIM-ELEV(25))GO TO 50
C     GLEV=5.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C      IF(WAVENO.LT.59448.700)GO TO 30
      EPS=(WAVENO-78600.)*2./13000.
      RESON1=(-10.E-18*EPS+77.E-18)/(EPS**2+1.)
C     EPS=(WAVENO-98000.)*2./400.
C     RESON2=(65.E-18*EPS+65.E-18)/(EPS**2+1.)
C     EPS=(WAVENO-99500.)*2./50.
C     RESON3=204.E-18/(EPS**2+1.)
      X(25)=X(25)+(24.5E-18*(59448.700/WAVENO)**1.85+RESON1)*2./3.
C     X(24)=X(24)+35.E-18*(59448.700/WAVENO)**3*2./3.
C  3s2 3p2 3P2
C     ELEV=223.157
      IF(WAVENO.LT.ELIM-ELEV(26))GO TO 50
C     GLEV=5.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     RESON1=0.
C     RESON2=0.
C     RESON3=0.
C     IF(WAVENO.LT.100000.)THEN
C     EPS=(WAVENO-92200.)*2./950.
C     RESON1=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.92200.AND.WAVENO.LT.103600.)THEN
C     EPS=(WAVENO-100000.)*2./300.
C     RESON2=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.100000.AND.WAVENO.LT.105000.)THEN
C     EPS=(WAVENO-103600.)*2./150.
C     RESON3=20.E-18*EPS/(EPS**2+1.)
C     ENDIF
      IF(WAVENO.LE.74000.)X(26)=
     1 X(26)+72.E-18*(65524.393/WAVENO)**1.90*2./3.
      IF(WAVENO.GT.74000.)X(26)=
     1 X(26)+93.E-18*(65524.393/WAVENO)**4.00*2./3.
C     X(25)=X(25)+(RESON1+RESON2+RESON3)*2./3.
C     X(25)=X(25)+37.E-18*MIN(1.D0,(74000./WAVENO)**5)*2./3.
C  3s2 3p2 3P1
C     ELEV=77.115
      IF(WAVENO.LT.ELIM-ELEV(27))GO TO 50
C     GLEV=3.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     RESON1=0.
C     RESON2=0.
C     RESON3=0.
C     IF(WAVENO.LT.100000.)THEN
C     EPS=(WAVENO-92200.)*2./950.
C     RESON1=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.92200.AND.WAVENO.LT.103600.)THEN
C     EPS=(WAVENO-100000.)*2./300.
C     RESON2=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.100000.AND.WAVENO.LT.105000.)THEN
C     EPS=(WAVENO-103600.)*2./150.
C     RESON3=20.E-18*EPS/(EPS**2+1.)
C     ENDIF
      IF(WAVENO.LE.74000.)X(27)=
     1 X(27)+72.E-18*(65524.393/WAVENO)**1.90*2./3.
      IF(WAVENO.GT.74000.)X(27)=
     1 X(27)+93.E-18*(65524.393/WAVENO)**4.00*2./3.
C     X(26)=X(26)+(RESON1+RESON2+RESON3)*2./3.
C     X(26)=37.E-18*MIN(1.D0,(74000./WAVENO)**5)*2./3.
C  3s2 3p2 3P0
C     ELEV=0.00
      IF(WAVENO.LT.ELIM-ELEV(28))GO TO 50
C     GLEV=1.
C     fits to Nahar, S.N. and Pradhan, A.K. J.Phys.B 26, 1109-1127, 1993.
C     RESON1=0.
C     RESON2=0.
C     RESON3=0.
C     IF(WAVENO.LT.100000.)THEN
C     EPS=(WAVENO-92200.)*2./950.
C     RESON1=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.92200.AND.WAVENO.LT.103600.)THEN
C     EPS=(WAVENO-100000.)*2./300.
C     RESON2=30.E-18*EPS/(EPS**2+1.)
C     ENDIF
C     IF(WAVENO.GT.100000.AND.WAVENO.LT.105000.)THEN
C     EPS=(WAVENO-103600.)*2./150.
C     RESON3=20.E-18*EPS/(EPS**2+1.)
C     ENDIF
      IF(WAVENO.LE.74000.)X(28)=
     1 X(28)+72.E-18*(65524.393/WAVENO)**1.90*2./3.
      IF(WAVENO.GT.74000.)X(28)=
     1 X(28)+93.E-18*(65524.393/WAVENO)**4.00*2./3.
C     X(27)=X(27)+(RESON1+RESON2+RESON3)*2./3.
C     X(27)=X(27)+37.E-18*MIN(1.D0,(74000./WAVENO)**5)*2./3.
C
C      Si II 3s 3p2 4P1/2
   50 ELIM=65747.5+42824.35
C  3s3p3 1P
C     ELEV=94000.
      IF(WAVENO.LT.ELIM-ELEV(29))GO TO 60
C     GLEV=3.
      DEGEN=3.
      ZEFF2=9./RYD*(ELIM-ELEV(29))
      X(29)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
C  3s3p3 3S
c     guess
C     ELEV=79664.0
      IF(WAVENO.LT.ELIM-ELEV(30))GO TO 60
C     GLEV=3.
      DEGEN=3.
      ZEFF2=9./RYD*(ELIM-ELEV(30))
      X(30)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
C  3s3p3 1D
c     guess
C     ELEV=72000.
      IF(WAVENO.LT.ELIM-ELEV(31))GO TO 60
C     GLEV=5.
      ZEFF2=9./RYD*(ELIM-ELEV(31))
      X(31)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
C  3s3p3 3P
C     ELEV=56698.738
      IF(WAVENO.LT.ELIM-ELEV(32))GO TO 60
C     GLEV=12.
      ZEFF2=9./RYD*(ELIM-ELEV(32))
      X(32)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
CCC
CC  2s2p3 3D
CC     ELEV=45303.310
CC      IF(WAVENO.LT.ELIM-ELEV(32))GO TO 60
CCC     GLEV=15.
CC      ZEFF2=9./RYD*(ELIM-ELEV(32))
CC      X(32)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
C  2s2p3 5S
C     ELEV=33326.053
      IF(WAVENO.LT.ELIM-ELEV(33))GO TO 60
C     GLEV=5.
      ZEFF2=9./RYD*(ELIM-ELEV(33))
cc      X(33)=XKARSAS(FREQ,ZEFF2,3,1)*DEGEN
      x(33)=52.4E-18*(75423.767/waveno)**3.5
C
   60 DO 100 J=1,NRHOX
      ELIM=65747.55
      GFACTOR=6.
C  N=5 TO INFINITY
      H=FREQ3*GFACTOR*2./2./(RYD*Z**2*HCKT(J))*
     1(EXP(-MAX(ELIM-RYD*Z**2/5.**2,ELIM-WAVENO)*HCKT(J))
     2-EXP(-ELIM*HCKT(J)))
      DO 90 I=1,33
   90 H=H+X(I)*BOLT(I,J)
  100 ASI1(J)=H*STIM(J)
      RETURN
      END
        function si1seaton3p4p3s(freq)
	implicit real*8 (A-H,O-Z)
	PARAMETER(kw=99)
	DIMENSION FLAM3p4p3s(29), X3p4p3s(29),FREQS(29)
	DATA FLAM3p4p3s/
	1 2069.28, 2081.70, 2104.23, 2217.88, 2258.00, 2284.87, 2314.16, 
	2 2324.52, 2335.20, 2346.21, 2357.57, 2369.29, 2393.88, 2406.80,
	3 2420.15, 2448.24, 2494.23, 2768.43, 2959.12, 3170.60, 3525.02,
	4 4071.66, 4471.89, 4814.83, 5245.71, 5505.27, 5802.79, 6147.16,
	5 6591.82/
	DATA X3p4p3s/
	1   0.943,   1.129,   1.348,   2.062,   2.416,   2.793,   3.400, 
	2   3.429,   2.702,   1.107,   0.265,   0.293,   0.793,   1.004,
	3   1.179,   1.453,   1.764,   3.019,   3.955,   5.120,   7.154,
	4   9.578,  10.390,  10.490,   9.964,   9.350,   8.413,   7.093,
	5   5.228/
	si1seaton3p4p3s=0.   
	DO 11 I=1,29
11	FREQS(I)=2.99792458E18/FLAM3p4p3s(I)
	IF(FREQ.GT.FREQS(1))RETURN
	DO 1 I=2,29
	IF(FREQ.GT.FREQS(I))GO TO 2
1	CONTINUE
2	X=(FREQ-FREQS(I))/(FREQS(I-1)-FREQS(I))*
	1 (X3p4p3s(I-1)-X3p4p3s(I))+X3p4p3s(I)
	si1seaton3p4p3s=x*1.D-18
	RETURN
	END 
      function si1seaton3p4p1d(freq)
	implicit real*8 (A-H,O-Z)
	PARAMETER(kw=99)
	DIMENSION FLAM3p4p1d(22), X3p4p1d(22),FREQS(22)
	DATA FLAM3p4p1d/
	1 1886.54, 1888.90, 1891.36, 1893.92, 1897.28, 1907.68, 1915.27, 
	2 1923.68, 1937.57, 1985.57, 2188.16, 2356.14, 2503.61, 2641.37,
	3 2776.86, 3024.33, 3841.03, 4712.79, 5322.58, 5874.98, 6611.74,
	4 7128.99/
	DATA X3p4p1d/
	1   0.446,   0.430,   0.440,   0.476,   0.553,   0.875,   1.059, 
	2   1.181,   1.274,   1.367,   1.688,   2.014,   2.407,   2.897,
	3   3.524,   4.925,   7.984,  10.400,  12.180,  14.080,  17.100,
	4  19.490/
	si1seaton3p4p1d=0.   
	DO 11 I=1,22
11	FREQS(I)=2.99792458E18/FLAM3p4p1d(I)
	IF(FREQ.GT.FREQS(1))RETURN
	DO 1 I=2,22
	IF(FREQ.GT.FREQS(I))GO TO 2
1	CONTINUE
2	X=(FREQ-FREQS(I))/(FREQS(I-1)-FREQS(I))*
	1 (X3p4p1d(I-1)-X3p4p1d(I))+X3p4p1d(I)
	si1seaton3p4p1d=x*1.D-18
	RETURN
	END 
      function si1seaton3p3d3p(freq)
	implicit real*8 (A-H,O-Z)
	PARAMETER(kw=99)
	DIMENSION FLAM3p3d3p(41), X3p3d3p(41),FREQS(41)
	DATA FLAM3p3d3p/
	1 2007.57, 2010.35, 2028.40, 2031.61, 2034.88, 2038.22, 2041.61,
	2 2045.06, 2052.21, 2055.88, 2059.63, 2063.45, 2067.35, 2071.33,
	3 2075.39, 2079.54, 2083.78, 2235.67, 2278.14, 2306.66, 2327.12,
	4 2337.82, 2348.85, 2360.23, 2371.98, 2384.11, 2396.63, 2409.58,
	5 2422.96, 2436.80, 2451.12, 2465.94, 2481.30, 2513.73, 2719.51,
	6 2860.71, 3041.18, 3279.06, 4201.09, 5258.93, 6612.72/
	DATA X3p3d3p/
	1   0.649,   0.656,   0.568,   0.567,   0.625,   0.791,   0.894,
	2   0.830,   0.590,   0.485,   0.461,   0.590,   0.800,   0.962,
	3   1.052,   1.096,   1.117,   1.262,   1.243,   1.154,   1.031,
	4   1.031,   1.166,   1.247,   1.181,   1.027,   0.836,   0.712,
	5   0.823,   1.183,   1.578,   1.871,   2.068,   2.304,   3.167,
	6   3.874,   4.942,   6.521,  11.900,  14.870,  16.440/
	si1seaton3p3d3p=0.   
	DO 11 I=1,41
11	FREQS(I)=2.99792458E18/FLAM3p3d3p(I)
	IF(FREQ.GT.FREQS(1))RETURN
	DO 1 I=2,41
	IF(FREQ.GT.FREQS(I))GO TO 2
1	CONTINUE
2	X=(FREQ-FREQS(I))/(FREQS(I-1)-FREQS(I))*
	1 (X3p3d3p(I-1)-X3p3d3p(I))+X3p3d3p(I)
	si1seaton3p3d3p=x*1.D-18
	RETURN
	END 
      FUNCTION FE1OP(J)
C     CROSS-SECTION TIMES PARTITION FUNCTION
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      DIMENSION BOLT(48,kw),G(48),E(48),WNO(48),XSECT(48)
      DATA G/25.,35.,21.,15.,9.,35.,33.,21.,27.,49.,9.,21.,27.,9.,9.,
     1 25.,33.,15.,35.,3.,5.,11.,15.,13.,15.,9.,21.,15.,21.,25.,35.,
     2 9.,5.,45.,27.,21.,15.,21.,15.,25.,21.,35.,5.,15.,45.,35.,55.,25./
      DATA E/500.,7500.,12500.,17500.,19000.,19500.,19500.,21000.,
     1 22000.,23000.,23000.,24000.,24000.,24500.,24500.,26000.,26500.,
     2 26500.,27000.,27500.,28500.,29000.,29500.,29500.,29500.,30000.,
     3 31500.,31500.,33500.,33500.,34000.,34500.,34500.,35000.,35500.,
     4 37000.,37000.,37000.,38500.,40000.,40000.,41000.,41000.,43000.,
     5 43000.,43000.,43000.,44000./
      DATA WNO/63500.,58500.,53500.,59500.,45000.,44500.,44500.,43000.,
     1 58000.,41000.,54000.,40000.,40000.,57500.,55500.,38000.,57500.,
     2 57500.,37000.,54500.,53500.,55000.,34500.,34500.,34500.,34000.,
     3 32500.,32500.,32500.,32500.,32000.,29500.,29500.,31000.,30500.,
     4 29000.,27000.,54000.,27500.,24000.,47000.,23000.,44000.,42000.,
     5 42000.,21000.,42000.,42000./
      DATA ITEMP1/0/,FREQ1/0./
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 10 K=1,NRHOX
      DO 10 I=1,48
   10 BOLT(I,K)=G(I)*EXP(-E(I)*2.99792458E10*HKT(K))
   20 IF(FREQ.EQ.FREQ1)GO TO 30
      FREQ1=FREQ
      WAVENO=FREQ/2.99792458E10
      IF(WAVENO.LT.21000.)GO TO 30
      DO 25 I=1,48
      XSECT(I)=0.
      IF(WNO(I).LT.WAVENO)
     1XSECT(I)= 3.E-18/(1.+((WNO(I)+3000.-WAVENO)/WNO(I)/.1)**4)
   25 CONTINUE
   30 FE1OP=0.
      IF(WAVENO.LT.21000.)RETURN
      DO 35 I=1,48
   35 FE1OP=FE1OP+XSECT(I)*BOLT(I,J)
      RETURN
      END
      FUNCTION CHOP(J)
C     CROSS-SECTION TIMES PARTITION FUNCTION
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      DIMENSION CROSSCH(15,105),PARTCH(41),CROSSCHT(15)
      DIMENSION C1(150),C2(150),C3(150),C4(150),C5(150)
      DIMENSION C6(150),C7(150),C8(150),C9(150),C10(150)
      DIMENSION C11(75)
      EQUIVALENCE (CROSSCH(1, 1),C1(1)),(CROSSCH(1,11),C2(1))
      EQUIVALENCE (CROSSCH(1,21),C3(1)),(CROSSCH(1,31),C4(1))
      EQUIVALENCE (CROSSCH(1,41),C5(1)),(CROSSCH(1,51),C6(1))
      EQUIVALENCE (CROSSCH(1,61),C7(1)),(CROSSCH(1,71),C8(1))
      EQUIVALENCE (CROSSCH(1,81),C9(1)),(CROSSCH(1,91),C10(1))
      EQUIVALENCE (CROSSCH(1,101),C11(1))
      DATA C1/-38.000,-38.000,-38.000,-38.000,-38.000,-38.000,-38.000,   0.1
     1-38.000,-38.000,-38.000,-38.000,-38.000,-38.000,-38.000,-38.000,   0.1
     2        -32.727,-31.151,-30.133,-29.432,-28.925,-28.547,-28.257,   0.2
     2-28.030,-27.848,-27.701,-27.580,-27.479,-27.395,-27.322,-27.261,   0.2
     3        -31.588,-30.011,-28.993,-28.290,-27.784,-27.405,-27.115,   0.3
     3-26.887,-26.705,-26.558,-26.437,-26.336,-26.251,-26.179,-26.117,   0.3
     4        -30.407,-28.830,-27.811,-27.108,-26.601,-26.223,-25.932,   0.4
     4-25.705,-25.523,-25.376,-25.255,-25.154,-25.069,-24.997,-24.935,   0.4
     5        -29.513,-27.937,-26.920,-26.218,-25.712,-25.334,-25.043,   0.5
     5-24.816,-24.635,-24.487,-24.366,-24.266,-24.181,-24.109,-24.047,   0.5
     6        -28.910,-27.341,-26.327,-25.628,-25.123,-24.746,-24.457,   0.6
     6-24.230,-24.049,-23.902,-23.782,-23.681,-23.597,-23.525,-23.464,   0.6
     7        -28.517,-26.961,-25.955,-25.261,-24.760,-24.385,-24.098,   0.7
     7-23.873,-23.694,-23.548,-23.429,-23.329,-23.245,-23.174,-23.113,   0.7
     8        -28.213,-26.675,-25.680,-24.993,-24.497,-24.127,-23.843,   0.8
     8-23.620,-23.443,-23.299,-23.181,-23.082,-22.999,-22.929,-22.869,   0.8
     9        -27.942,-26.427,-25.446,-24.769,-24.280,-23.915,-23.635,   0.9
     9-23.416,-23.241,-23.100,-22.983,-22.887,-22.805,-22.736,-22.677,   0.9
     A        -27.706,-26.210,-25.241,-24.572,-24.088,-23.728,-23.451,   1.0
     A-23.235,-23.063,-22.923,-22.808,-22.713,-22.633,-22.565,-22.507/   1.0
      DATA C2/-27.475,-26.000,-25.043,-24.382,-23.905,-23.548,-23.275,   1.1
     1-23.062,-22.891,-22.753,-22.640,-22.546,-22.467,-22.400,-22.343,   1.1
     2        -27.221,-25.783,-24.844,-24.193,-23.723,-23.372,-23.102,   1.2
     2-22.892,-22.724,-22.588,-22.476,-22.384,-22.306,-22.240,-22.184,   1.2
     3        -26.863,-25.506,-24.607,-23.979,-23.523,-23.182,-22.919,   1.3
     3-22.714,-22.550,-22.417,-22.309,-22.218,-22.142,-22.078,-22.023,   1.3
     4        -26.685,-25.347,-24.457,-23.835,-23.382,-23.044,-22.784,   1.4
     4-22.580,-22.418,-22.286,-22.178,-22.089,-22.014,-21.950,-21.896,   1.4
     5        -26.085,-24.903,-24.105,-23.538,-23.120,-22.805,-22.561,   1.5
     5-22.370,-22.217,-22.093,-21.991,-21.906,-21.835,-21.775,-21.723,   1.5
     6        -25.902,-24.727,-23.936,-23.376,-22.964,-22.654,-22.415,   1.6
     6-22.227,-22.076,-21.955,-21.855,-21.772,-21.702,-21.644,-21.593,   1.6
     7        -25.215,-24.196,-23.510,-23.019,-22.655,-22.378,-22.163,   1.7
     7-21.992,-21.855,-21.744,-21.653,-21.577,-21.513,-21.459,-21.412,   1.7
     8        -24.914,-23.937,-23.284,-22.820,-22.475,-22.212,-22.007,   1.8
     8-21.845,-21.715,-21.609,-21.522,-21.449,-21.388,-21.336,-21.292,   1.8
     9        -24.519,-23.637,-23.039,-22.606,-22.281,-22.030,-21.834,   1.9
     9-21.678,-21.552,-21.450,-21.365,-21.295,-21.236,-21.185,-21.142,   1.9
     A        -24.086,-23.222,-22.650,-22.246,-21.948,-21.722,-21.546,   2.0
     A-21.407,-21.296,-21.205,-21.131,-21.070,-21.018,-20.974,-20.937/   2.0
      DATA C3/-23.850,-23.018,-22.472,-22.088,-21.805,-21.590,-21.422,   2.1
     1-21.289,-21.182,-21.095,-21.024,-20.964,-20.914,-20.872,-20.835,   2.1
     2        -23.136,-22.445,-21.994,-21.676,-21.440,-21.259,-21.117,   2.2
     2-21.004,-20.912,-20.837,-20.775,-20.723,-20.679,-20.642,-20.611,   2.2
     3        -23.199,-22.433,-21.927,-21.573,-21.314,-21.119,-20.969,   2.3
     3-20.851,-20.758,-20.682,-20.621,-20.571,-20.529,-20.493,-20.463,   2.3
     4        -22.696,-22.020,-21.585,-21.286,-21.071,-20.912,-20.791,   2.4
     4-20.697,-20.622,-20.563,-20.514,-20.475,-20.442,-20.414,-20.391,   2.4
     5        -22.119,-21.557,-21.194,-20.943,-20.761,-20.624,-20.518,   2.5
     5-20.434,-20.367,-20.313,-20.268,-20.231,-20.201,-20.175,-20.153,   2.5
     6        -21.855,-21.300,-20.931,-20.673,-20.485,-20.344,-20.235,   2.6
     6-20.151,-20.084,-20.031,-19.988,-19.953,-19.924,-19.900,-19.880,   2.6
     7        -21.126,-20.673,-20.382,-20.184,-20.044,-19.943,-19.868,   2.7
     7-19.811,-19.769,-19.736,-19.710,-19.690,-19.674,-19.662,-19.652,   2.7
     8        -20.502,-20.150,-19.922,-19.766,-19.657,-19.578,-19.520,   2.8
     8-19.478,-19.446,-19.422,-19.404,-19.390,-19.379,-19.371,-19.365,   2.8
     9        -20.030,-19.724,-19.530,-19.399,-19.309,-19.245,-19.199,   2.9
     9-19.166,-19.142,-19.125,-19.112,-19.103,-19.096,-19.091,-19.088,   2.9
     A        -19.640,-19.364,-19.189,-19.074,-18.996,-18.943,-18.906,   3.0
     A-18.881,-18.863,-18.852,-18.844,-18.839,-18.837,-18.836,-18.836/   3.0
      DATA C4/-19.333,-19.092,-18.939,-18.838,-18.770,-18.725,-18.695,   3.1
     1-18.675,-18.662,-18.655,-18.651,-18.649,-18.649,-18.651,-18.653,   3.1
     2        -19.070,-18.880,-18.756,-18.674,-18.621,-18.585,-18.562,   3.2
     2-18.548,-18.540,-18.536,-18.536,-18.537,-18.539,-18.542,-18.546,   3.2
     3        -18.851,-18.708,-18.617,-18.558,-18.521,-18.498,-18.484,   3.3
     3-18.477,-18.475,-18.476,-18.478,-18.482,-18.487,-18.493,-18.498,   3.3
     4        -18.709,-18.599,-18.533,-18.494,-18.471,-18.459,-18.454,   3.4
     4-18.454,-18.457,-18.462,-18.469,-18.476,-18.483,-18.490,-18.498,   3.4
     5        -18.656,-18.572,-18.524,-18.497,-18.485,-18.480,-18.482,   3.5
     5-18.486,-18.493,-18.501,-18.510,-18.519,-18.527,-18.536,-18.544,   3.5
     6        -18.670,-18.613,-18.582,-18.566,-18.561,-18.562,-18.568,   3.6
     6-18.575,-18.583,-18.592,-18.601,-18.610,-18.619,-18.627,-18.635,   3.6
     7        -18.728,-18.700,-18.687,-18.683,-18.685,-18.691,-18.698,   3.7
     7-18.706,-18.715,-18.723,-18.731,-18.739,-18.745,-18.752,-18.758,   3.7
     8        -18.839,-18.835,-18.836,-18.842,-18.849,-18.857,-18.865,   3.8
     8-18.872,-18.878,-18.883,-18.888,-18.892,-18.895,-18.898,-18.900,   3.8
     9        -19.034,-19.041,-19.049,-19.057,-19.064,-19.069,-19.071,   3.9
     9-19.071,-19.070,-19.068,-19.065,-19.061,-19.058,-19.054,-19.051,   3.9
     A        -19.372,-19.378,-19.382,-19.380,-19.372,-19.359,-19.341,   4.0
     A-19.321,-19.300,-19.280,-19.261,-19.243,-19.227,-19.212,-19.199/   4.0
      DATA C5/-19.780,-19.777,-19.763,-19.732,-19.686,-19.631,-19.573,   4.1
     1-19.517,-19.465,-19.419,-19.379,-19.344,-19.314,-19.288,-19.265,   4.1
     2        -20.151,-20.133,-20.087,-20.009,-19.911,-19.810,-19.715,   4.2
     2-19.631,-19.559,-19.497,-19.446,-19.402,-19.365,-19.333,-19.306,   4.2
     3        -20.525,-20.454,-20.312,-20.138,-19.970,-19.825,-19.705,   4.3
     3-19.607,-19.528,-19.464,-19.411,-19.367,-19.330,-19.300,-19.274,   4.3
     4        -20.869,-20.655,-20.366,-20.104,-19.894,-19.731,-19.604,   4.4
     4-19.505,-19.426,-19.363,-19.312,-19.271,-19.236,-19.208,-19.184,   4.4
     5        -21.179,-20.768,-20.380,-20.081,-19.856,-19.686,-19.556,   4.5
     5-19.454,-19.375,-19.311,-19.260,-19.218,-19.184,-19.155,-19.131,   4.5
     6        -21.167,-20.601,-20.206,-19.925,-19.719,-19.565,-19.447,   4.6
     6-19.355,-19.283,-19.226,-19.180,-19.143,-19.112,-19.087,-19.066,   4.6
     7        -20.918,-20.348,-19.976,-19.720,-19.536,-19.401,-19.299,   4.7
     7-19.220,-19.159,-19.112,-19.073,-19.043,-19.018,-18.998,-18.981,   4.7
     8        -20.753,-20.204,-19.847,-19.602,-19.427,-19.299,-19.203,   4.8
     8-19.129,-19.072,-19.028,-18.993,-18.965,-18.942,-18.924,-18.909,   4.8
     9        -20.456,-19.987,-19.677,-19.460,-19.302,-19.186,-19.098,   4.9
     9-19.030,-18.978,-18.937,-18.904,-18.878,-18.857,-18.841,-18.827,   4.9
     A        -20.154,-19.734,-19.461,-19.272,-19.136,-19.035,-18.960,   5.0
     A-18.902,-18.858,-18.824,-18.797,-18.775,-18.759,-18.745,-18.735/   5.0
      DATA C6/-19.941,-19.544,-19.288,-19.114,-18.992,-18.903,-18.837,   5.1
     1-18.788,-18.751,-18.723,-18.701,-18.684,-18.671,-18.661,-18.654,   5.1
     2        -19.657,-19.321,-19.104,-18.956,-18.853,-18.779,-18.724,   5.2
     2-18.684,-18.655,-18.632,-18.615,-18.602,-18.592,-18.585,-18.579,   5.2
     3        -19.388,-19.109,-18.930,-18.810,-18.725,-18.664,-18.620,   5.3
     3-18.586,-18.562,-18.543,-18.529,-18.518,-18.510,-18.503,-18.498,   5.3
     4        -19.201,-18.953,-18.794,-18.686,-18.611,-18.556,-18.515,   5.4
     4-18.485,-18.462,-18.446,-18.433,-18.423,-18.416,-18.410,-18.406,   5.4
     5        -18.923,-18.719,-18.588,-18.500,-18.439,-18.396,-18.365,   5.5
     5-18.344,-18.328,-18.318,-18.311,-18.307,-18.304,-18.303,-18.302,   5.5
     6        -18.614,-18.458,-18.361,-18.298,-18.258,-18.232,-18.216,   5.6
     6-18.206,-18.202,-18.201,-18.202,-18.205,-18.208,-18.213,-18.218,   5.6
     7        -18.419,-18.295,-18.222,-18.178,-18.153,-18.139,-18.132,   5.7
     7-18.131,-18.133,-18.138,-18.143,-18.150,-18.157,-18.164,-18.172,   5.7
     8        -18.296,-18.201,-18.148,-18.118,-18.101,-18.094,-18.091,   5.8
     8-18.093,-18.096,-18.101,-18.107,-18.113,-18.120,-18.126,-18.132,   5.8
     9        -18.021,-17.992,-17.977,-17.970,-17.967,-17.968,-17.970,   5.9
     9-17.974,-17.978,-17.983,-17.989,-17.994,-18.000,-18.005,-18.011,   5.9
     A        -17.694,-17.686,-17.686,-17.691,-17.698,-17.708,-17.718,   6.0
     A-17.729,-17.740,-17.750,-17.761,-17.771,-17.781,-17.790,-17.798/   6.0
      DATA C7/-17.374,-17.384,-17.400,-17.420,-17.440,-17.462,-17.483,   6.1
     1-17.503,-17.523,-17.541,-17.558,-17.575,-17.590,-17.603,-17.616,   6.1
     2        -17.169,-17.199,-17.230,-17.262,-17.293,-17.323,-17.351,   6.2
     2-17.378,-17.404,-17.427,-17.449,-17.469,-17.488,-17.505,-17.520,   6.2
     3        -17.151,-17.184,-17.217,-17.250,-17.282,-17.313,-17.342,   6.3
     3-17.369,-17.395,-17.418,-17.440,-17.461,-17.480,-17.497,-17.513,   6.3
     4        -17.230,-17.260,-17.290,-17.320,-17.348,-17.375,-17.401,   6.4
     4-17.425,-17.448,-17.469,-17.489,-17.508,-17.525,-17.541,-17.556,   6.4
     5        -17.379,-17.403,-17.425,-17.446,-17.467,-17.486,-17.505,   6.5
     5-17.524,-17.541,-17.558,-17.574,-17.588,-17.602,-17.615,-17.627,   6.5
     6        -17.596,-17.604,-17.609,-17.612,-17.616,-17.622,-17.628,   6.6
     6-17.636,-17.644,-17.652,-17.661,-17.670,-17.679,-17.687,-17.695,   6.6
     7        -17.846,-17.823,-17.795,-17.770,-17.750,-17.735,-17.725,   6.7
     7-17.719,-17.716,-17.715,-17.716,-17.719,-17.722,-17.726,-17.730,   6.7
     8        -18.089,-18.015,-17.942,-17.882,-17.836,-17.802,-17.777,   6.8
     8-17.760,-17.748,-17.740,-17.736,-17.734,-17.733,-17.734,-17.736,   6.8
     9        -18.299,-18.156,-18.038,-17.947,-17.881,-17.833,-17.798,   6.9
     9-17.774,-17.757,-17.745,-17.738,-17.733,-17.730,-17.729,-17.729,   6.9
     A        -18.441,-18.243,-18.096,-17.991,-17.915,-17.860,-17.821,   7.0
     A-17.792,-17.772,-17.757,-17.746,-17.738,-17.733,-17.730,-17.728/   7.0
      DATA C8/-18.474,-18.262,-18.111,-18.004,-17.926,-17.869,-17.826,   7.1
     1-17.795,-17.771,-17.753,-17.740,-17.730,-17.722,-17.717,-17.713,   7.1
     2        -18.387,-18.191,-18.053,-17.952,-17.878,-17.823,-17.782,   7.2
     2-17.752,-17.729,-17.711,-17.698,-17.689,-17.681,-17.676,-17.672,   7.2
     3        -18.161,-17.990,-17.874,-17.793,-17.736,-17.696,-17.668,   7.3
     3-17.648,-17.634,-17.625,-17.619,-17.616,-17.614,-17.614,-17.615,   7.3
     4        -17.908,-17.774,-17.690,-17.637,-17.604,-17.583,-17.572,   7.4
     4-17.567,-17.566,-17.568,-17.571,-17.576,-17.581,-17.587,-17.593,   7.4
     5        -17.681,-17.589,-17.540,-17.515,-17.506,-17.505,-17.511,   7.5
     5-17.520,-17.530,-17.542,-17.554,-17.566,-17.578,-17.589,-17.600,   7.5
     6        -17.647,-17.606,-17.584,-17.575,-17.573,-17.576,-17.582,   7.6
     6-17.589,-17.597,-17.605,-17.614,-17.623,-17.631,-17.639,-17.646,   7.6
     7        -17.300,-17.291,-17.291,-17.297,-17.307,-17.319,-17.333,   7.7
     7-17.347,-17.361,-17.375,-17.389,-17.402,-17.415,-17.427,-17.438,   7.7
     8        -16.786,-16.802,-16.825,-16.853,-16.883,-16.914,-16.944,   7.8
     8-16.974,-17.003,-17.030,-17.055,-17.079,-17.101,-17.122,-17.141,   7.8
     9        -16.489,-16.533,-16.579,-16.625,-16.670,-16.713,-16.754,   7.9
     9-16.793,-16.830,-16.864,-16.896,-16.925,-16.952,-16.977,-17.000,   7.9
     A        -16.694,-16.724,-16.756,-16.789,-16.823,-16.856,-16.888,   8.0
     A-16.919,-16.949,-16.976,-17.002,-17.026,-17.048,-17.069,-17.088/   8.0
      DATA C9/-16.935,-16.951,-16.971,-16.993,-17.016,-17.040,-17.064,   8.1
     1-17.088,-17.111,-17.132,-17.153,-17.172,-17.190,-17.206,-17.222,   8.1
     2        -17.200,-17.208,-17.220,-17.235,-17.251,-17.269,-17.286,   8.2
     2-17.304,-17.322,-17.338,-17.354,-17.369,-17.384,-17.397,-17.409,   8.2
     3        -17.597,-17.591,-17.589,-17.590,-17.594,-17.600,-17.608,   8.3
     3-17.617,-17.626,-17.635,-17.645,-17.654,-17.662,-17.671,-17.679,   8.3
     4        -18.166,-18.134,-18.107,-18.085,-18.068,-18.056,-18.047,   8.4
     4-18.041,-18.038,-18.036,-18.035,-18.035,-18.036,-18.038,-18.039,   8.4
     5        -19.000,-18.917,-18.838,-18.770,-18.714,-18.669,-18.632,   8.5
     5-18.603,-18.579,-18.560,-18.545,-18.532,-18.522,-18.514,-18.507,   8.5
     6        -20.313,-19.982,-19.754,-19.592,-19.472,-19.380,-19.309,   8.6
     6-19.253,-19.208,-19.172,-19.143,-19.119,-19.099,-19.083,-19.069,   8.6
     7        -19.751,-19.611,-19.520,-19.461,-19.423,-19.398,-19.382,   8.7
     7-19.372,-19.366,-19.364,-19.363,-19.364,-19.366,-19.368,-19.371,   8.7
     8        -19.581,-19.431,-19.337,-19.277,-19.240,-19.218,-19.207,   8.8
     8-19.202,-19.203,-19.207,-19.212,-19.220,-19.228,-19.236,-19.245,   8.8
     9        -19.685,-19.506,-19.389,-19.311,-19.258,-19.222,-19.199,   8.9
     9-19.184,-19.175,-19.170,-19.168,-19.169,-19.171,-19.174,-19.177,   8.9
     A        -19.977,-19.756,-19.606,-19.501,-19.425,-19.370,-19.330,   9.0
     A-19.300,-19.278,-19.262,-19.250,-19.241,-19.235,-19.230,-19.227/   9.0
      DATAC10/-20.445,-20.158,-19.958,-19.815,-19.711,-19.633,-19.574,   9.1
     1-19.528,-19.493,-19.465,-19.442,-19.425,-19.410,-19.398,-19.389,   9.1
     2        -20.980,-20.625,-20.391,-20.229,-20.110,-20.020,-19.949,   9.2
     2-19.892,-19.846,-19.807,-19.775,-19.748,-19.724,-19.704,-19.687,   9.2
     3        -21.404,-21.023,-20.771,-20.594,-20.461,-20.358,-20.274,   9.3
     3-20.205,-20.148,-20.099,-20.058,-20.022,-19.991,-19.965,-19.942,   9.3
     4        -21.309,-20.970,-20.753,-20.603,-20.495,-20.412,-20.348,   9.4
     4-20.295,-20.252,-20.215,-20.185,-20.158,-20.135,-20.115,-20.098,   9.4
     5        -21.221,-20.906,-20.707,-20.574,-20.480,-20.412,-20.361,   9.5
     5-20.322,-20.292,-20.268,-20.249,-20.233,-20.221,-20.210,-20.201,   9.5
     6        -21.441,-21.097,-20.878,-20.728,-20.623,-20.546,-20.489,   9.6
     6-20.446,-20.413,-20.387,-20.368,-20.352,-20.340,-20.330,-20.322,   9.6
     7        -21.668,-21.305,-21.071,-20.911,-20.797,-20.713,-20.650,   9.7
     7-20.602,-20.565,-20.536,-20.514,-20.496,-20.481,-20.470,-20.460,   9.7
     8        -21.926,-21.556,-21.316,-21.150,-21.031,-20.942,-20.874,   9.8
     8-20.822,-20.782,-20.750,-20.724,-20.704,-20.687,-20.674,-20.663,   9.8
     9        -22.319,-21.937,-21.686,-21.510,-21.380,-21.282,-21.206,   9.9
     9-21.147,-21.099,-21.061,-21.031,-21.006,-20.985,-20.968,-20.954,   9.9
     A        -22.969,-22.561,-22.288,-22.092,-21.945,-21.832,-21.743,  10.0
     A-21.672,-21.616,-21.570,-21.533,-21.503,-21.477,-21.457,-21.439/  10.0
      DATAC11/-24.001,-23.527,-23.199,-22.957,-22.772,-22.629,-22.516,  10.1
     1-22.427,-22.355,-22.297,-22.250,-22.212,-22.180,-22.153,-22.131,  10.1
     2        -24.233,-23.774,-23.477,-23.273,-23.128,-23.022,-22.943,  10.2
     2-22.883,-22.837,-22.802,-22.774,-22.752,-22.735,-22.721,-22.710,  10.2
     3        -24.550,-23.913,-23.521,-23.266,-23.094,-22.976,-22.893,  10.3
     3-22.836,-22.796,-22.768,-22.750,-22.737,-22.730,-22.726,-22.725,  10.3
     4        -24.301,-23.665,-23.274,-23.019,-22.848,-22.730,-22.648,  10.4
     4-22.591,-22.552,-22.525,-22.507,-22.495,-22.489,-22.485,-22.485,  10.4
     5        -24.519,-23.883,-23.491,-23.237,-23.065,-22.948,-22.866,  10.5
     5-22.809,-22.770,-22.743,-22.724,-22.713,-22.706,-22.703,-22.702/  10.5
      DATA PARTCH/
     1     203.741,  249.643,  299.341,  353.477,  412.607,  477.237,
     2     547.817,  624.786,  708.543,  799.463,  897.912, 1004.227,
     3    1118.738, 1241.761, 1373.588, 1514.481, 1664.677, 1824.394,
     4    1993.801, 2173.050, 2362.234, 2561.424, 2770.674, 2989.930,
     5    3219.204, 3458.378, 3707.355, 3966.005, 4234.155, 4511.604,
     6    4798.135, 5093.554, 5397.593, 5709.948, 6030.401, 6358.646,
     7    6694.379, 7037.313, 7387.147, 7743.579, 8106.313/
      DATA FREQ1/0./
   10 CHOP=0.
      IF(FREQ.EQ.FREQ1)GO TO 30
      FREQ1=FREQ
      WAVENO=FREQ/2.99792458E10
      EVOLT=WAVENO/8065.479
      N=EVOLT*10.
      EN=FLOAT(N)*.1
      IF(N.LT.20)RETURN
      IF(N.GE.105)RETURN
      DO 21 IT=1,15
   21 CROSSCHT(IT)=(CROSSCH(IT,N)+(CROSSCH(IT,N+1)-CROSSCH(IT,N))*
     1(EVOLT-EN)/.1)
C      PRINT 26,CROSSCHT
C   26 FORMAT(3H0CH,15F8.3)
   30 IF(T(J).GE.9000.)RETURN
      IF(N.LT.20)RETURN
      IF(N.GE.105)RETURN
      IT=(T(J)-1000.)/200.+1.
      IT=MAX0(IT,1)
      TN=FLOAT(IT)*200.+800.
      PART=PARTCH(IT)+(PARTCH(IT+1)-PARTCH(IT))*(T(J)-TN)/200.
      IT=(T(J)-2000.)/500.+1.
      IT=MAX0(IT,1)
      TN=FLOAT(IT)*500.+1500.
      CHOP=EXP((CROSSCHT(IT)+(CROSSCHT(IT+1)-CROSSCHT(IT))*
     1(T(J)-TN)/500.)*2.30258509299405E0)*PART
      RETURN
      END
      FUNCTION OHOP(J)
C     CROSS-SECTION TIMES PARTITION FUNCTION
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      DIMENSION CROSSOH(15,130),PARTOH(41),CROSSOHT(15)
      DIMENSION C1(150),C2(150),C3(150),C4(150),C5(150)
      DIMENSION C6(150),C7(150),C8(150),C9(150),C10(150)
      DIMENSION C11(150),C12(150),C13(150)
      EQUIVALENCE (CROSSOH(1, 1),C1(1)),(CROSSOH(1,11),C2(1))
      EQUIVALENCE (CROSSOH(1,21),C3(1)),(CROSSOH(1,31),C4(1))
      EQUIVALENCE (CROSSOH(1,41),C5(1)),(CROSSOH(1,51),C6(1))
      EQUIVALENCE (CROSSOH(1,61),C7(1)),(CROSSOH(1,71),C8(1))
      EQUIVALENCE (CROSSOH(1,81),C9(1)),(CROSSOH(1,91),C10(1))
      EQUIVALENCE (CROSSOH(1,101),C11(1))
      EQUIVALENCE (CROSSOH(1,111),C12(1))
      EQUIVALENCE (CROSSOH(1,121),C13(1))
      DATA C1/-30.855,-29.121,-27.976,-27.166,-26.566,-26.106,-25.742,   2.1
     1-25.448,-25.207,-25.006,-24.836,-24.691,-24.566,-24.457,-24.363,   2.1
     2        -30.494,-28.760,-27.615,-26.806,-26.206,-25.745,-25.381,   2.2
     2-25.088,-24.846,-24.645,-24.475,-24.330,-24.205,-24.097,-24.002,   2.2
     3        -30.157,-28.425,-27.280,-26.472,-25.872,-25.411,-25.048,   2.3
     3-24.754,-24.513,-24.312,-24.142,-23.997,-23.872,-23.764,-23.669,   2.3
     4        -29.848,-28.117,-26.974,-26.165,-25.566,-25.105,-24.742,   2.4
     4-24.448,-24.207,-24.006,-23.836,-23.692,-23.567,-23.458,-23.364,   2.4
     5        -29.567,-27.837,-26.693,-25.885,-25.286,-24.826,-24.462,   2.5
     5-24.169,-23.928,-23.727,-23.557,-23.412,-23.287,-23.179,-23.084,   2.5
     6        -29.307,-27.578,-26.436,-25.628,-25.029,-24.569,-24.205,   2.6
     6-23.912,-23.671,-23.470,-23.300,-23.155,-23.031,-22.922,-22.828,   2.6
     7        -29.068,-27.341,-26.199,-25.391,-24.792,-24.332,-23.969,   2.7
     7-23.676,-23.435,-23.234,-23.064,-22.920,-22.795,-22.687,-22.592,   2.7
     8        -28.820,-27.115,-25.978,-25.172,-24.574,-24.115,-23.752,   2.8
     8-23.459,-23.218,-23.017,-22.848,-22.703,-22.579,-22.470,-22.376,   2.8
     9        -28.540,-26.891,-25.768,-24.968,-24.372,-23.914,-23.552,   2.9
     9-23.259,-23.019,-22.818,-22.649,-22.504,-22.380,-22.272,-22.177,   2.9
     A        -28.275,-26.681,-25.574,-24.779,-24.186,-23.729,-23.368,   3.0
     A-23.076,-22.836,-22.636,-22.467,-22.322,-22.198,-22.090,-21.996/   3.0
      DATA C2/-27.993,-26.470,-25.388,-24.602,-24.014,-23.560,-23.200,   3.1
     1-22.909,-22.669,-22.470,-22.301,-22.157,-22.033,-21.925,-21.831,   3.1
     2        -27.698,-26.252,-25.204,-24.433,-23.851,-23.401,-23.043,   3.2
     2-22.754,-22.515,-22.316,-22.148,-22.005,-21.881,-21.773,-21.679,   3.2
     3        -27.398,-26.026,-25.019,-24.267,-23.696,-23.251,-22.896,   3.3
     3-22.609,-22.372,-22.174,-22.007,-21.864,-21.741,-21.634,-21.540,   3.3
     4        -27.100,-25.791,-24.828,-24.102,-23.543,-23.106,-22.756,   3.4
     4-22.472,-22.238,-22.041,-21.875,-21.733,-21.611,-21.504,-21.411,   3.4
     5        -26.807,-25.549,-24.631,-23.933,-23.391,-22.964,-22.621,   3.5
     5-22.341,-22.109,-21.915,-21.751,-21.610,-21.488,-21.383,-21.290,   3.5
     6        -26.531,-25.310,-24.431,-23.761,-23.238,-22.823,-22.488,   3.6
     6-22.214,-21.986,-21.795,-21.633,-21.494,-21.374,-21.269,-21.178,   3.6
     7        -26.239,-25.066,-24.225,-23.585,-23.082,-22.681,-22.356,   3.7
     7-22.089,-21.866,-21.679,-21.520,-21.383,-21.265,-21.162,-21.072,   3.7
     8        -25.945,-24.824,-24.017,-23.405,-22.923,-22.538,-22.223,   3.8
     8-21.964,-21.748,-21.565,-21.410,-21.276,-21.160,-21.059,-20.970,   3.8
     9        -25.663,-24.587,-23.810,-23.222,-22.761,-22.391,-22.088,   3.9
     9-21.838,-21.629,-21.452,-21.300,-21.170,-21.057,-20.958,-20.872,   3.9
     A        -25.372,-24.350,-23.603,-23.038,-22.596,-22.241,-21.950,   4.0
     A-21.710,-21.508,-21.337,-21.190,-21.064,-20.954,-20.858,-20.774/   4.0
      DATA C3/-25.076,-24.111,-23.396,-22.853,-22.429,-22.088,-21.809,   4.1
     1-21.578,-21.384,-21.220,-21.078,-20.957,-20.851,-20.758,-20.676,   4.1
     2        -24.779,-23.870,-23.189,-22.669,-22.261,-21.934,-21.667,   4.2
     2-21.445,-21.259,-21.101,-20.965,-20.848,-20.746,-20.656,-20.578,   4.2
     3        -24.486,-23.629,-22.983,-22.486,-22.095,-21.781,-21.524,   4.3
     3-21.311,-21.132,-20.980,-20.850,-20.737,-20.639,-20.553,-20.478,   4.3
     4        -24.183,-23.382,-22.774,-22.302,-21.928,-21.627,-21.381,   4.4
     4-21.177,-21.005,-20.859,-20.734,-20.625,-20.531,-20.449,-20.376,   4.4
     5        -23.867,-23.127,-22.561,-22.116,-21.761,-21.474,-21.238,   4.5
     5-21.043,-20.878,-20.738,-20.617,-20.513,-20.423,-20.344,-20.274,   4.5
     6        -23.538,-22.862,-22.340,-21.926,-21.592,-21.320,-21.096,   4.6
     6-20.909,-20.751,-20.617,-20.502,-20.402,-20.315,-20.239,-20.172,   4.6
     7        -23.234,-22.604,-22.120,-21.734,-21.422,-21.166,-20.953,   4.7
     7-20.776,-20.625,-20.497,-20.387,-20.291,-20.208,-20.135,-20.071,   4.7
     8        -22.934,-22.347,-21.898,-21.541,-21.250,-21.010,-20.811,   4.8
     8-20.643,-20.500,-20.378,-20.273,-20.182,-20.102,-20.033,-19.971,   4.8
     9        -22.637,-22.092,-21.676,-21.345,-21.075,-20.853,-20.666,   4.9
     9-20.508,-20.374,-20.259,-20.159,-20.073,-19.997,-19.931,-19.872,   4.9
     A        -22.337,-21.835,-21.452,-21.147,-20.899,-20.693,-20.520,   5.0
     A-20.373,-20.247,-20.139,-20.046,-19.964,-19.892,-19.830,-19.774/   5.0
      DATA C4/-22.049,-21.584,-21.230,-20.950,-20.721,-20.531,-20.372,   5.1
     1-20.236,-20.119,-20.019,-19.931,-19.855,-19.788,-19.729,-19.676,   5.1
     2        -21.768,-21.337,-21.011,-20.754,-20.544,-20.370,-20.223,   5.2
     2-20.098,-19.991,-19.898,-19.817,-19.746,-19.683,-19.628,-19.579,   5.2
     3        -21.494,-21.096,-20.796,-20.559,-20.367,-20.208,-20.074,   5.3
     3-19.960,-19.861,-19.776,-19.701,-19.636,-19.578,-19.527,-19.482,   5.3
     4        -21.233,-20.861,-20.585,-20.368,-20.193,-20.048,-19.926,   5.4
     4-19.821,-19.732,-19.654,-19.586,-19.526,-19.473,-19.426,-19.384,   5.4
     5        -20.983,-20.635,-20.380,-20.181,-20.021,-19.889,-19.778,   5.5
     5-19.683,-19.602,-19.531,-19.469,-19.415,-19.367,-19.324,-19.286,   5.5
     6        -20.743,-20.418,-20.182,-19.999,-19.853,-19.733,-19.633,   5.6
     6-19.547,-19.474,-19.410,-19.354,-19.305,-19.261,-19.223,-19.189,   5.6
     7        -20.515,-20.210,-19.991,-19.824,-19.690,-19.581,-19.490,   5.7
     7-19.413,-19.347,-19.290,-19.240,-19.196,-19.157,-19.122,-19.092,   5.7
     8        -20.297,-20.011,-19.808,-19.654,-19.532,-19.434,-19.352,   5.8
     8-19.282,-19.223,-19.172,-19.127,-19.088,-19.054,-19.023,-18.996,   5.8
     9        -20.090,-19.822,-19.633,-19.491,-19.381,-19.291,-19.218,   5.9
     9-19.156,-19.103,-19.057,-19.018,-18.983,-18.952,-18.925,-18.901,   5.9
     A        -19.893,-19.642,-19.467,-19.337,-19.236,-19.155,-19.089,   6.0
     A-19.034,-18.987,-18.946,-18.912,-18.881,-18.854,-18.831,-18.810/   6.0
      DATA C5/-19.705,-19.472,-19.309,-19.190,-19.098,-19.025,-18.966,   6.1
     1-18.917,-18.876,-18.840,-18.810,-18.783,-18.760,-18.739,-18.721,   6.1
     2        -19.527,-19.310,-19.161,-19.051,-18.968,-18.903,-18.851,   6.2
     2-18.807,-18.771,-18.740,-18.713,-18.690,-18.670,-18.653,-18.637,   6.2
     3        -19.357,-19.159,-19.022,-18.922,-18.847,-18.789,-18.743,   6.3
     3-18.704,-18.673,-18.646,-18.623,-18.603,-18.586,-18.571,-18.558,   6.3
     4        -19.195,-19.016,-18.892,-18.803,-18.736,-18.684,-18.643,   6.4
     4-18.610,-18.583,-18.560,-18.540,-18.523,-18.509,-18.496,-18.485,   6.4
     5        -19.042,-18.883,-18.772,-18.693,-18.634,-18.589,-18.553,   6.5
     5-18.525,-18.501,-18.481,-18.465,-18.451,-18.438,-18.428,-18.419,   6.5
     6        -18.894,-18.758,-18.662,-18.593,-18.542,-18.503,-18.473,   6.6
     6-18.448,-18.428,-18.412,-18.398,-18.386,-18.376,-18.367,-18.359,   6.6
     7        -18.752,-18.639,-18.559,-18.501,-18.458,-18.426,-18.400,   6.7
     7-18.380,-18.363,-18.350,-18.338,-18.328,-18.320,-18.313,-18.306,   6.7
     8        -18.611,-18.523,-18.460,-18.415,-18.381,-18.355,-18.334,   6.8
     8-18.318,-18.304,-18.293,-18.284,-18.276,-18.269,-18.263,-18.258,   6.8
     9        -18.471,-18.408,-18.362,-18.329,-18.304,-18.285,-18.269,   6.9
     9-18.257,-18.247,-18.238,-18.231,-18.224,-18.219,-18.214,-18.210,   6.9
     A        -18.330,-18.290,-18.261,-18.239,-18.223,-18.211,-18.201,   7.0
     A-18.192,-18.185,-18.179,-18.174,-18.169,-18.165,-18.162,-18.159/   7.0
      DATA C6/-18.190,-18.168,-18.154,-18.143,-18.135,-18.129,-18.124,   7.1
     1-18.120,-18.116,-18.112,-18.109,-18.106,-18.104,-18.102,-18.100,   7.1
     2        -18.055,-18.047,-18.043,-18.042,-18.040,-18.039,-18.039,   7.2
     2-18.038,-18.037,-18.036,-18.035,-18.034,-18.033,-18.033,-18.032,   7.2
     3        -17.929,-17.931,-17.935,-17.939,-17.943,-17.946,-17.948,   7.3
     3-17.950,-17.952,-17.953,-17.955,-17.956,-17.957,-17.958,-17.959,   7.3
     4        -17.818,-17.826,-17.834,-17.842,-17.849,-17.855,-17.860,   7.4
     4-17.865,-17.869,-17.872,-17.875,-17.878,-17.881,-17.883,-17.886,   7.4
     5        -17.724,-17.736,-17.747,-17.758,-17.767,-17.775,-17.782,   7.5
     5-17.788,-17.793,-17.798,-17.803,-17.807,-17.811,-17.815,-17.819,   7.5
     6        -17.651,-17.665,-17.678,-17.690,-17.701,-17.710,-17.718,   7.6
     6-17.725,-17.732,-17.738,-17.744,-17.749,-17.755,-17.760,-17.765,   7.6
     7        -17.601,-17.615,-17.629,-17.642,-17.653,-17.663,-17.672,   7.7
     7-17.680,-17.688,-17.695,-17.701,-17.708,-17.714,-17.720,-17.726,   7.7
     8        -17.572,-17.587,-17.602,-17.614,-17.626,-17.636,-17.645,   7.8
     8-17.654,-17.662,-17.670,-17.677,-17.684,-17.691,-17.698,-17.704,   7.8
     9        -17.565,-17.581,-17.595,-17.607,-17.619,-17.629,-17.638,   7.9
     9-17.647,-17.656,-17.664,-17.671,-17.679,-17.686,-17.693,-17.700,   7.9
     A        -17.580,-17.594,-17.608,-17.620,-17.630,-17.640,-17.650,   8.0
     A-17.658,-17.667,-17.675,-17.682,-17.690,-17.697,-17.704,-17.711/   8.0
      DATA C7/-17.613,-17.626,-17.639,-17.649,-17.659,-17.669,-17.677,   8.1
     1-17.686,-17.694,-17.701,-17.709,-17.716,-17.723,-17.730,-17.737,   8.1
     2        -17.663,-17.675,-17.685,-17.695,-17.703,-17.711,-17.719,   8.2
     2-17.727,-17.734,-17.741,-17.748,-17.755,-17.761,-17.768,-17.774,   8.2
     3        -17.728,-17.737,-17.745,-17.752,-17.759,-17.766,-17.772,   8.3
     3-17.778,-17.785,-17.791,-17.797,-17.803,-17.808,-17.814,-17.820,   8.3
     4        -17.803,-17.809,-17.814,-17.818,-17.823,-17.828,-17.832,   8.4
     4-17.837,-17.842,-17.847,-17.852,-17.856,-17.861,-17.866,-17.871,   8.4
     5        -17.884,-17.886,-17.888,-17.889,-17.891,-17.893,-17.896,   8.5
     5-17.899,-17.902,-17.905,-17.908,-17.912,-17.915,-17.919,-17.922,   8.5
     6        -17.966,-17.964,-17.961,-17.959,-17.958,-17.958,-17.958,   8.6
     6-17.959,-17.960,-17.961,-17.963,-17.964,-17.966,-17.968,-17.970,   8.6
     7        -18.040,-18.034,-18.028,-18.023,-18.019,-18.016,-18.013,   8.7
     7-18.012,-18.010,-18.010,-18.009,-18.009,-18.009,-18.009,-18.010,   8.7
     8        -18.096,-18.087,-18.078,-18.071,-18.065,-18.059,-18.055,   8.8
     8-18.051,-18.047,-18.045,-18.042,-18.040,-18.039,-18.037,-18.036,   8.8
     9        -18.125,-18.115,-18.105,-18.097,-18.089,-18.082,-18.076,   8.9
     9-18.070,-18.065,-18.061,-18.057,-18.053,-18.051,-18.048,-18.046,   8.9
     A        -18.120,-18.112,-18.103,-18.095,-18.087,-18.079,-18.072,   9.0
     A-18.066,-18.060,-18.055,-18.050,-18.046,-18.042,-18.039,-18.036/   9.0
      DATA C8/-18.083,-18.078,-18.071,-18.064,-18.057,-18.050,-18.044,   9.1
     1-18.037,-18.032,-18.026,-18.022,-18.017,-18.014,-18.010,-18.007,   9.1
     2        -18.025,-18.022,-18.017,-18.012,-18.006,-18.000,-17.994,   9.2
     2-17.989,-17.984,-17.979,-17.975,-17.971,-17.968,-17.965,-17.963,   9.2
     3        -17.957,-17.955,-17.952,-17.948,-17.943,-17.938,-17.934,   9.3
     3-17.929,-17.925,-17.922,-17.918,-17.916,-17.913,-17.911,-17.910,   9.3
     4        -17.890,-17.889,-17.886,-17.882,-17.879,-17.875,-17.871,   9.4
     4-17.867,-17.864,-17.862,-17.860,-17.858,-17.857,-17.856,-17.855,   9.4
     5        -17.831,-17.829,-17.826,-17.822,-17.819,-17.815,-17.812,   9.5
     5-17.810,-17.807,-17.806,-17.804,-17.803,-17.803,-17.803,-17.803,   9.5
     6        -17.786,-17.782,-17.777,-17.773,-17.769,-17.766,-17.763,   9.6
     6-17.761,-17.759,-17.758,-17.757,-17.757,-17.757,-17.758,-17.759,   9.6
     7        -17.753,-17.747,-17.741,-17.735,-17.731,-17.727,-17.724,   9.7
     7-17.722,-17.721,-17.720,-17.720,-17.720,-17.721,-17.722,-17.724,   9.7
     8        -17.733,-17.724,-17.716,-17.709,-17.703,-17.699,-17.696,   9.8
     8-17.694,-17.693,-17.692,-17.692,-17.693,-17.694,-17.695,-17.697,   9.8
     9        -17.723,-17.711,-17.700,-17.691,-17.685,-17.680,-17.676,   9.9
     9-17.674,-17.673,-17.672,-17.673,-17.673,-17.675,-17.676,-17.678,   9.9
     A        -17.718,-17.702,-17.689,-17.679,-17.672,-17.667,-17.663,  10.0
     A-17.660,-17.659,-17.659,-17.659,-17.660,-17.661,-17.663,-17.665/  10.0
      DATA C9/-17.713,-17.695,-17.681,-17.670,-17.662,-17.656,-17.653,  10.1
     1-17.650,-17.649,-17.649,-17.649,-17.650,-17.651,-17.653,-17.655,  10.1
     2        -17.705,-17.686,-17.671,-17.660,-17.652,-17.647,-17.643,  10.2
     2-17.641,-17.640,-17.640,-17.640,-17.641,-17.643,-17.645,-17.647,  10.2
     3        -17.690,-17.671,-17.657,-17.647,-17.640,-17.635,-17.632,  10.3
     3-17.630,-17.630,-17.630,-17.631,-17.632,-17.634,-17.636,-17.639,  10.3
     4        -17.667,-17.649,-17.637,-17.629,-17.623,-17.619,-17.618,  10.4
     4-17.617,-17.617,-17.618,-17.619,-17.621,-17.623,-17.626,-17.628,  10.4
     5        -17.635,-17.621,-17.611,-17.605,-17.601,-17.600,-17.599,  10.5
     5-17.599,-17.601,-17.602,-17.604,-17.607,-17.609,-17.612,-17.615,  10.5
     6        -17.596,-17.585,-17.579,-17.576,-17.575,-17.575,-17.576,  10.6
     6-17.578,-17.580,-17.582,-17.585,-17.588,-17.591,-17.595,-17.598,  10.6
     7        -17.550,-17.544,-17.542,-17.542,-17.544,-17.546,-17.548,  10.7
     7-17.552,-17.555,-17.558,-17.562,-17.566,-17.570,-17.573,-17.577,  10.7
     8        -17.501,-17.500,-17.501,-17.504,-17.508,-17.513,-17.517,  10.8
     8-17.521,-17.526,-17.530,-17.535,-17.539,-17.544,-17.548,-17.553,  10.8
     9        -17.449,-17.452,-17.457,-17.463,-17.470,-17.476,-17.482,  10.9
     9-17.488,-17.493,-17.499,-17.504,-17.509,-17.514,-17.519,-17.524,  10.9
     A        -17.396,-17.403,-17.412,-17.420,-17.429,-17.437,-17.444,  11.0
     A-17.451,-17.458,-17.464,-17.470,-17.476,-17.481,-17.487,-17.492/  11.0
      DATAC10/-17.344,-17.355,-17.366,-17.377,-17.387,-17.396,-17.405,  11.1
     1-17.413,-17.420,-17.427,-17.434,-17.440,-17.446,-17.452,-17.458,  11.1
     2        -17.295,-17.307,-17.321,-17.333,-17.345,-17.355,-17.365,  11.2
     2-17.373,-17.382,-17.389,-17.397,-17.404,-17.410,-17.417,-17.423,  11.2
     3        -17.249,-17.264,-17.278,-17.292,-17.304,-17.316,-17.326,  11.3
     3-17.335,-17.344,-17.352,-17.360,-17.368,-17.375,-17.382,-17.389,  11.3
     4        -17.209,-17.225,-17.241,-17.255,-17.268,-17.280,-17.291,  11.4
     4-17.301,-17.310,-17.319,-17.327,-17.335,-17.343,-17.350,-17.357,  11.4
     5        -17.177,-17.194,-17.210,-17.225,-17.239,-17.251,-17.262,  11.5
     5-17.272,-17.282,-17.291,-17.300,-17.308,-17.316,-17.324,-17.331,  11.5
     6        -17.154,-17.172,-17.189,-17.204,-17.218,-17.230,-17.242,  11.6
     6-17.252,-17.262,-17.272,-17.280,-17.289,-17.298,-17.306,-17.314,  11.6
     7        -17.144,-17.162,-17.179,-17.194,-17.208,-17.220,-17.232,  11.7
     7-17.242,-17.253,-17.262,-17.271,-17.280,-17.289,-17.297,-17.306,  11.7
     8        -17.146,-17.164,-17.181,-17.196,-17.210,-17.222,-17.234,  11.8
     8-17.245,-17.255,-17.265,-17.274,-17.283,-17.292,-17.301,-17.309,  11.8
     9        -17.163,-17.180,-17.197,-17.212,-17.225,-17.237,-17.249,  11.9
     9-17.260,-17.270,-17.280,-17.289,-17.298,-17.307,-17.316,-17.325,  11.9
     A        -17.193,-17.211,-17.227,-17.241,-17.254,-17.266,-17.277,  12.0
     A-17.288,-17.298,-17.308,-17.317,-17.327,-17.336,-17.345,-17.353/  12.0
      DATAC11/-17.239,-17.256,-17.271,-17.284,-17.297,-17.309,-17.320,  12.1
     1-17.330,-17.340,-17.350,-17.359,-17.369,-17.378,-17.387,-17.395,  12.1
     2        -17.299,-17.315,-17.329,-17.342,-17.354,-17.365,-17.376,  12.2
     2-17.386,-17.396,-17.405,-17.415,-17.424,-17.433,-17.442,-17.451,  12.2
     3        -17.373,-17.388,-17.402,-17.414,-17.425,-17.436,-17.446,  12.3
     3-17.456,-17.466,-17.475,-17.484,-17.493,-17.502,-17.511,-17.520,  12.3
     4        -17.462,-17.476,-17.489,-17.500,-17.511,-17.521,-17.531,  12.4
     4-17.541,-17.550,-17.559,-17.569,-17.578,-17.587,-17.595,-17.604,  12.4
     5        -17.567,-17.581,-17.592,-17.603,-17.613,-17.623,-17.632,  12.5
     5-17.641,-17.651,-17.660,-17.669,-17.678,-17.686,-17.695,-17.704,  12.5
     6        -17.689,-17.701,-17.712,-17.722,-17.732,-17.741,-17.750,  12.6
     6-17.759,-17.768,-17.777,-17.786,-17.795,-17.803,-17.812,-17.821,  12.6
     7        -17.829,-17.840,-17.851,-17.860,-17.869,-17.878,-17.887,  12.7
     7-17.896,-17.904,-17.913,-17.922,-17.930,-17.939,-17.948,-17.956,  12.7
     8        -17.988,-18.000,-18.010,-18.019,-18.028,-18.036,-18.045,  12.8
     8-18.053,-18.062,-18.070,-18.079,-18.087,-18.096,-18.104,-18.112,  12.8
     9        -18.171,-18.183,-18.192,-18.201,-18.210,-18.218,-18.227,  12.9
     9-18.235,-18.243,-18.252,-18.260,-18.268,-18.277,-18.285,-18.293,  12.9
     A        -18.381,-18.393,-18.403,-18.413,-18.422,-18.430,-18.438,  13.0
     A-18.447,-18.455,-18.463,-18.471,-18.479,-18.487,-18.495,-18.503/  13.0
      DATAC12/-18.625,-18.638,-18.650,-18.660,-18.669,-18.678,-18.687,  13.1
     1-18.695,-18.703,-18.711,-18.719,-18.726,-18.734,-18.742,-18.750,  13.1
     2        -18.912,-18.929,-18.943,-18.955,-18.966,-18.975,-18.984,  13.2
     2-18.993,-19.001,-19.008,-19.016,-19.023,-19.031,-19.038,-19.045,  13.2
     3        -19.260,-19.283,-19.303,-19.320,-19.333,-19.345,-19.355,  13.3
     3-19.364,-19.372,-19.380,-19.387,-19.394,-19.400,-19.407,-19.413,  13.3
     4        -19.704,-19.740,-19.771,-19.796,-19.816,-19.832,-19.845,  13.4
     4-19.855,-19.863,-19.870,-19.876,-19.882,-19.887,-19.892,-19.897,  13.4
     5        -20.339,-20.386,-20.424,-20.454,-20.476,-20.492,-20.502,  13.5
     5-20.509,-20.513,-20.516,-20.518,-20.520,-20.521,-20.523,-20.524,  13.5
     6        -21.052,-21.075,-21.093,-21.105,-21.114,-21.120,-21.123,  13.6
     6-21.125,-21.126,-21.127,-21.128,-21.130,-21.131,-21.133,-21.135,  13.6
     7        -21.174,-21.203,-21.230,-21.255,-21.278,-21.299,-21.320,  13.7
     7-21.339,-21.357,-21.375,-21.392,-21.408,-21.424,-21.439,-21.454,  13.7
     8        -21.285,-21.317,-21.346,-21.372,-21.395,-21.416,-21.435,  13.8
     8-21.452,-21.468,-21.483,-21.497,-21.511,-21.524,-21.536,-21.548,  13.8
     9        -21.396,-21.429,-21.459,-21.486,-21.511,-21.532,-21.551,  13.9
     9-21.569,-21.585,-21.600,-21.614,-21.627,-21.640,-21.652,-21.663,  13.9
     A        -21.516,-21.549,-21.580,-21.609,-21.635,-21.658,-21.678,  14.0
     A-21.696,-21.713,-21.728,-21.742,-21.755,-21.767,-21.779,-21.790/  14.0
      DATAC13/-21.651,-21.681,-21.711,-21.738,-21.763,-21.785,-21.804,  14.1
     1-21.821,-21.837,-21.851,-21.864,-21.876,-21.887,-21.898,-21.908,  14.1
     2        -21.810,-21.831,-21.853,-21.874,-21.893,-21.910,-21.925,  14.2
     2-21.938,-21.950,-21.961,-21.971,-21.980,-21.989,-21.998,-22.006,  14.2
     3        -22.009,-22.016,-22.026,-22.037,-22.048,-22.058,-22.066,  14.3
     3-22.074,-22.081,-22.088,-22.094,-22.099,-22.105,-22.111,-22.117,  14.3
     4        -22.353,-22.317,-22.296,-22.284,-22.276,-22.270,-22.266,  14.4
     4-22.262,-22.260,-22.258,-22.257,-22.257,-22.257,-22.258,-22.259,  14.4
     5        -22.705,-22.609,-22.552,-22.515,-22.488,-22.468,-22.451,  14.5
     5-22.438,-22.427,-22.418,-22.410,-22.405,-22.400,-22.397,-22.395,  14.5
     6        -22.889,-22.791,-22.731,-22.690,-22.659,-22.634,-22.612,  14.6
     6-22.594,-22.579,-22.566,-22.555,-22.546,-22.539,-22.533,-22.528,  14.6
     7        -23.211,-23.109,-23.041,-22.989,-22.945,-22.906,-22.872,  14.7
     7-22.842,-22.816,-22.793,-22.774,-22.757,-22.743,-22.732,-22.722,  14.7
     8        -25.312,-24.669,-24.250,-23.959,-23.746,-23.587,-23.463,  14.8
     8-23.366,-23.288,-23.225,-23.173,-23.131,-23.095,-23.066,-23.041,  14.8
     9        -25.394,-24.752,-24.333,-24.041,-23.829,-23.669,-23.546,  14.9
     9-23.449,-23.371,-23.308,-23.256,-23.214,-23.178,-23.149,-23.124,  14.9
     A        -25.430,-24.787,-24.369,-24.077,-23.865,-23.705,-23.582,  15.0
     A-23.484,-23.407,-23.344,-23.292,-23.249,-23.214,-23.185,-23.160/  15.0
      DATA PARTOH/
     1   145.979,  178.033,  211.618,  247.053,  284.584,  324.398,
     2   366.639,  411.425,  458.854,  509.012,  561.976,  617.823,
     3   676.626,  738.448,  803.363,  871.437,  942.735, 1017.330,
     4  1095.284, 1176.654, 1261.510, 1349.898, 1441.875, 1537.483,
     5  1636.753, 1739.733, 1846.434, 1956.883, 2071.080, 2189.029,
     6  2310.724, 2436.155, 2565.283, 2698.103, 2834.571, 2974.627,
     7  3118.242, 3265.366, 3415.912, 3569.837, 3727.077/
      DATA FREQ1/0./
   10 OHOP=0.
      IF(FREQ.EQ.FREQ1)GO TO 30
      FREQ1=FREQ
      WAVENO=FREQ/2.99792458E10
      EVOLT=WAVENO/8065.479
      N=EVOLT*10.-20.
      EN=FLOAT(N)*.1+2.
      IF(N.LE.0)RETURN
      IF(N.GE.130)RETURN
      DO 21 IT=1,15
   21 CROSSOHT(IT)=(CROSSOH(IT,N)+(CROSSOH(IT,N+1)-CROSSOH(IT,N))*
     1(EVOLT-EN)/.1)
C      PRINT 26,CROSSOHT
C   26 FORMAT(3H0OH,15F8.3)
   30 IF(T(J).GE.9000.)RETURN
      IF(N.LE.0)RETURN
      IF(N.GE.130)RETURN
      IT=(T(J)-1000.)/200.+1.
      IT=MAX0(IT,1)
      TN=FLOAT(IT)*200.+800.
      PART=PARTOH(IT)+(PARTOH(IT+1)-PARTOH(IT))*(T(J)-TN)/200.
      IT=(T(J)-2000.)/500.+1.
      IT=MAX0(IT,1)
      TN=FLOAT(IT)*500.+1500.
      OHOP=EXP((CROSSOHT(IT)+(CROSSOHT(IT+1)-CROSSOHT(IT))*
     1(T(J)-TN)/500.)*2.30258509299405E0)*PART
      RETURN
      END
      SUBROUTINE H2COLLOP(AH2COLL)
C     H2-H2 and H2-He collision induced dipole
C     Borysow, A., Jorgensen, U.G., and Zheng, C. A&A 324, 185-195, 1997.
C     also www.astro.ku.dk/~aborysow
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION XNH2(kw),AH2COLL(kw)
      DIMENSION H2HE(7,81),H2H2(7,81),H2HENU(7),H2H2NU(7)
      DIMENSION H2HE1(7,9),H2HE2(7,9),H2HE3(7,9),H2HE4(7,9),H2HE5(7,9)
      DIMENSION H2HE6(7,9),H2HE7(7,9),H2HE8(7,9),H2HE9(7,9)
      DIMENSION H2H21(7,9),H2H22(7,9),H2H23(7,9),H2H24(7,9),H2H25(7,9)
      DIMENSION H2H26(7,9),H2H27(7,9),H2H28(7,9),H2H29(7,9)
      EQUIVALENCE (H2HE(1, 1),H2HE1(1,1)),(H2HE(1,10),H2HE2(1,1))
      EQUIVALENCE (H2HE(1,19),H2HE3(1,1)),(H2HE(1,28),H2HE4(1,1))
      EQUIVALENCE (H2HE(1,37),H2HE5(1,1)),(H2HE(1,46),H2HE6(1,1))
      EQUIVALENCE (H2HE(1,55),H2HE7(1,1)),(H2HE(1,64),H2HE8(1,1))
      EQUIVALENCE (H2HE(1,73),H2HE9(1,1))
      EQUIVALENCE (H2H2(1, 1),H2H21(1,1)),(H2H2(1,10),H2H22(1,1))
      EQUIVALENCE (H2H2(1,19),H2H23(1,1)),(H2H2(1,28),H2H24(1,1))
      EQUIVALENCE (H2H2(1,37),H2H25(1,1)),(H2H2(1,46),H2H26(1,1))
      EQUIVALENCE (H2H2(1,55),H2H27(1,1)),(H2H2(1,64),H2H28(1,1))
      EQUIVALENCE (H2H2(1,73),H2H29(1,1))
      DATA H2H21/
     1 -46.000,-46.000,-46.000,-46.000,-46.000,-46.000,-46.000,
     2 -45.350,-45.350,-45.350,-45.350,-45.350,-45.350,-45.350,
     3 -44.850,-44.850,-44.850,-44.850,-44.850,-45.850,-45.850,
     4 -44.375,-44.465,-44.497,-44.504,-44.502,-44.657,-44.656,
     5 -44.161,-44.216,-44.249,-44.255,-44.245,-44.231,-44.227,
     6 -44.160,-44.081,-44.081,-44.076,-44.063,-44.047,-44.042,
     7 -44.249,-44.017,-43.966,-43.940,-43.918,-43.898,-43.891,
     8 -44.450,-44.020,-43.900,-43.844,-43.806,-43.776,-43.764,
     9 -44.712,-44.080,-43.881,-43.785,-43.726,-43.682,-43.662/
      DATA H2H22/
     1 -45.016,-44.186,-43.902,-43.763,-43.677,-43.616,-43.586,
     2 -45.308,-44.319,-43.958,-43.773,-43.659,-43.579,-43.537,
     3 -45.452,-44.442,-44.034,-43.810,-43.669,-43.570,-43.514,
     4 -45.306,-44.500,-44.100,-43.858,-43.697,-43.580,-43.511,
     5 -45.081,-44.452,-44.111,-43.887,-43.724,-43.598,-43.518,
     6 -44.801,-44.302,-44.049,-43.876,-43.734,-43.608,-43.522,
     7 -44.494,-44.104,-43.945,-43.832,-43.720,-43.603,-43.516,
     8 -44.177,-43.936,-43.849,-43.783,-43.704,-43.596,-43.511,
     9 -44.042,-43.865,-43.807,-43.767,-43.712,-43.611,-43.527/
      DATA H2H23/
     1 -44.148,-43.922,-43.846,-43.806,-43.763,-43.662,-43.578,
     2 -44.293,-44.042,-43.936,-43.884,-43.843,-43.742,-43.653,
     3 -44.444,-44.179,-44.052,-43.984,-43.937,-43.832,-43.739,
     4 -44.594,-44.311,-44.173,-44.091,-44.033,-43.924,-43.827,
     5 -44.818,-44.448,-44.292,-44.196,-44.124,-44.012,-43.910,
     6 -45.097,-44.600,-44.414,-44.300,-44.210,-44.095,-43.989,
     7 -45.437,-44.782,-44.548,-44.409,-44.294,-44.177,-44.068,
     8 -45.771,-44.992,-44.702,-44.533,-44.391,-44.269,-44.154,
     9 -46.088,-45.218,-44.873,-44.672,-44.503,-44.374,-44.251/
      DATA H2H24/
     1 -46.371,-45.438,-45.046,-44.813,-44.621,-44.483,-44.351,
     2 -46.554,-45.632,-45.209,-44.949,-44.738,-44.590,-44.448,
     3 -46.593,-45.788,-45.352,-45.074,-44.848,-44.692,-44.542,
     4 -46.513,-45.887,-45.463,-45.181,-44.950,-44.786,-44.627,
     5 -46.391,-45.917,-45.542,-45.271,-45.041,-44.873,-44.707,
     6 -46.197,-45.896,-45.601,-45.350,-45.124,-44.952,-44.781,
     7 -46.086,-45.911,-45.664,-45.423,-45.198,-45.023,-44.848,
     8 -46.127,-45.958,-45.723,-45.487,-45.265,-45.089,-44.913,
     9 -46.077,-45.963,-45.755,-45.534,-45.322,-45.149,-44.973/
      DATA H2H25/
     1 -46.057,-45.947,-45.770,-45.571,-45.371,-45.204,-45.030,
     2 -46.122,-45.959,-45.792,-45.610,-45.422,-45.260,-45.088,
     3 -46.302,-46.023,-45.840,-45.662,-45.480,-45.322,-45.149,
     4 -46.560,-46.146,-45.928,-45.741,-45.557,-45.394,-45.218,
     5 -46.891,-46.327,-46.058,-45.844,-45.648,-45.477,-45.292,
     6 -47.245,-46.558,-46.226,-45.967,-45.753,-45.568,-45.372,
     7 -47.527,-46.793,-46.408,-46.110,-45.871,-45.668,-45.457,
     8 -47.729,-47.001,-46.589,-46.254,-45.992,-45.771,-45.544,
     9 -47.829,-47.161,-46.750,-46.391,-46.111,-45.872,-45.630/
      DATA H2H26/
     1 -47.825,-47.265,-46.879,-46.547,-46.239,-45.980,-45.719,
     2 -47.740,-47.317,-46.979,-46.658,-46.345,-46.075,-45.803,
     3 -47.635,-47.340,-47.055,-46.755,-46.444,-46.166,-45.882,
     4 -47.593,-47.358,-47.122,-46.844,-46.536,-46.252,-45.961,
     5 -47.488,-47.375,-47.178,-46.921,-46.621,-46.334,-46.036,
     6 -47.517,-47.387,-47.213,-46.982,-46.696,-46.412,-46.109,
     7 -47.511,-47.385,-47.234,-47.031,-46.765,-46.485,-46.180,
     8 -47.601,-47.428,-47.274,-47.084,-46.834,-46.558,-46.251,
     9 -47.740,-47.509,-47.339,-47.150,-46.906,-46.632,-46.322/
      DATA H2H27/
     1 -48.007,-47.632,-47.429,-47.233,-46.988,-46.710,-46.395,
     2 -48.371,-47.825,-47.563,-47.341,-47.081,-46.794,-46.469,
     3 -48.778,-48.074,-47.739,-47.476,-47.189,-46.884,-46.547,
     4 -49.170,-48.341,-47.936,-47.625,-47.304,-46.977,-46.625,
     5 -49.531,-48.604,-48.136,-47.780,-47.424,-47.074,-46.704,
     6 -49.869,-48.850,-48.328,-47.932,-47.543,-47.170,-46.784,
     7 -50.189,-49.080,-48.510,-48.078,-47.660,-47.264,-46.863,
     8 -50.496,-49.299,-48.682,-48.218,-47.774,-47.358,-46.940,
     9 -50.797,-49.508,-48.847,-48.353,-47.885,-47.449,-47.018/
      DATA H2H28/
     1 -51.088,-49.711,-49.008,-48.484,-47.993,-47.540,-47.094,
     2 -51.374,-49.907,-49.163,-48.613,-48.100,-47.629,-47.170,
     3 -51.655,-50.102,-49.317,-48.740,-48.205,-47.717,-47.246,
     4 -51.931,-50.293,-49.468,-48.865,-48.309,-47.804,-47.321,
     5 -52.205,-50.481,-49.617,-48.989,-48.413,-47.891,-47.396,
     6 -52.475,-50.670,-49.767,-49.112,-48.516,-47.978,-47.470,
     7 -52.742,-50.855,-49.915,-49.235,-48.619,-48.064,-47.545,
     8 -53.010,-51.038,-50.062,-49.358,-48.721,-48.150,-47.619,
     9 -53.277,-51.221,-50.209,-49.481,-48.824,-48.236,-47.692/
      DATA H2H29/
     1 -53.545,-51.399,-50.353,-49.602,-48.925,-48.321,-47.765,
     2 -53.812,-51.575,-50.496,-49.722,-49.026,-48.405,-47.839,
     3 -54.080,-51.748,-50.634,-49.840,-49.125,-48.489,-47.911,
     4 -54.347,-51.918,-50.769,-49.954,-49.222,-48.571,-47.984,
     5 -54.615,-52.086,-50.900,-50.065,-49.317,-48.653,-48.055,
     6 -54.882,-52.253,-51.029,-50.174,-49.411,-48.733,-48.125,
     7 -55.150,-52.419,-51.158,-50.282,-49.506,-48.813,-48.196,
     8 -55.417,-52.584,-51.288,-50.399,-49.642,-48.903,-48.268,
     9 -55.685,-52.778,-51.420,-50.527,-49.732,-48.981,-48.338/
      DATA H2HE1/
     1 -46.000,-46.000,-46.000,-46.000,-46.000,-46.000,-46.000,
     2 -44.288,-44.288,-44.288,-44.288,-44.288,-44.288,-44.288,
     3 -44.288,-44.142,-44.045,-43.997,-43.949,-44.900,-43.852,
     4 -44.362,-44.090,-43.978,-43.901,-43.833,-43.939,-43.716,
     5 -44.461,-44.114,-43.954,-43.863,-43.786,-43.717,-43.654,
     6 -44.601,-44.195,-43.973,-43.875,-43.791,-43.715,-43.646,
     7 -44.777,-44.292,-44.012,-43.905,-43.813,-43.732,-43.658,
     8 -45.000,-44.402,-44.061,-43.946,-43.844,-43.756,-43.678,
     9 -45.268,-44.530,-44.122,-43.996,-43.883,-43.786,-43.703/
      DATA H2HE2/
     1 -45.562,-44.680,-44.199,-44.059,-43.932,-43.823,-43.733,
     2 -45.841,-44.841,-44.289,-44.128,-43.983,-43.862,-43.766,
     3 -46.012,-44.969,-44.371,-44.182,-44.017,-43.891,-43.789,
     4 -45.931,-44.975,-44.394,-44.173,-43.999,-43.872,-43.779,
     5 -45.621,-44.790,-44.293,-44.062,-43.905,-43.793,-43.726,
     6 -45.151,-44.469,-44.084,-43.871,-43.755,-43.705,-43.666,
     7 -44.620,-44.131,-43.871,-43.715,-43.640,-43.644,-43.628,
     8 -44.166,-43.892,-43.748,-43.674,-43.639,-43.628,-43.625,
     9 -44.023,-43.837,-43.743,-43.710,-43.691,-43.663,-43.660/
      DATA H2HE3/
     1 -44.190,-43.942,-43.830,-43.782,-43.755,-43.735,-43.719,
     2 -44.446,-44.120,-43.967,-43.884,-43.839,-43.807,-43.776,
     3 -44.689,-44.312,-44.120,-44.011,-43.932,-43.872,-43.826,
     4 -44.904,-44.491,-44.269,-44.134,-44.022,-43.941,-43.881,
     5 -45.133,-44.656,-44.407,-44.244,-44.115,-44.016,-43.941,
     6 -45.398,-44.824,-44.543,-44.359,-44.217,-44.098,-44.006,
     7 -45.701,-45.010,-44.686,-44.481,-44.322,-44.186,-44.076,
     8 -46.024,-45.221,-44.843,-44.610,-44.431,-44.275,-44.147,
     9 -46.350,-45.449,-45.015,-44.747,-44.542,-44.366,-44.219/
      DATA H2HE4/
     1 -46.736,-45.674,-45.189,-44.887,-44.657,-44.458,-44.294,
     2 -46.993,-45.865,-45.347,-45.023,-44.771,-44.551,-44.367,
     3 -47.031,-45.981,-45.469,-45.141,-44.878,-44.640,-44.437,
     4 -46.787,-46.008,-45.553,-45.244,-44.979,-44.727,-44.506,
     5 -46.496,-45.969,-45.618,-45.343,-45.085,-44.820,-44.579,
     6 -46.310,-45.953,-45.689,-45.449,-45.198,-44.919,-44.656,
     7 -46.295,-46.001,-45.787,-45.572,-45.321,-45.021,-44.732,
     8 -46.434,-46.122,-45.919,-45.717,-45.453,-45.123,-44.804,
     9 -46.671,-46.306,-46.085,-45.896,-45.588,-45.224,-44.873/
      DATA H2HE5/
     1 -46.964,-46.539,-46.284,-46.068,-45.723,-45.320,-44.937,
     2 -47.295,-46.807,-46.501,-46.241,-45.858,-45.412,-44.998,
     3 -47.662,-47.097,-46.723,-46.415,-45.996,-45.500,-45.056,
     4 -48.050,-47.399,-46.949,-46.583,-46.135,-45.587,-45.111,
     5 -48.416,-47.683,-47.169,-46.749,-46.274,-45.671,-45.165,
     6 -48.678,-47.892,-47.359,-46.907,-46.412,-45.752,-45.215,
     7 -48.720,-47.963,-47.494,-47.044,-46.551,-45.828,-45.263,
     8 -48.583,-47.912,-47.566,-47.160,-46.689,-45.901,-45.309,
     9 -48.380,-47.807,-47.574,-47.236,-46.828,-45.972,-45.354/
      DATA H2HE6/
     1 -48.164,-47.692,-47.543,-47.281,-46.953,-46.041,-45.397,
     2 -47.988,-47.603,-47.513,-47.300,-47.028,-46.106,-45.438,
     3 -47.874,-47.562,-47.506,-47.326,-47.085,-46.171,-45.479,
     4 -47.846,-47.571,-47.518,-47.361,-47.141,-46.235,-45.519,
     5 -47.827,-47.577,-47.536,-47.397,-47.194,-46.298,-45.558,
     6 -47.841,-47.583,-47.548,-47.416,-47.234,-46.357,-45.596,
     7 -47.949,-47.631,-47.550,-47.411,-47.253,-46.412,-45.632,
     8 -48.168,-47.763,-47.580,-47.428,-47.282,-46.467,-45.668,
     9 -48.442,-47.955,-47.682,-47.516,-47.360,-46.528,-45.704/
      DATA H2HE7/
     1 -48.685,-48.145,-47.839,-47.654,-47.473,-46.593,-45.741,
     2 -48.859,-48.310,-47.990,-47.778,-47.575,-46.655,-45.777,
     3 -48.989,-48.445,-48.118,-47.878,-47.660,-46.714,-45.813,
     4 -49.121,-48.560,-48.250,-47.981,-47.749,-46.773,-45.847,
     5 -49.277,-48.667,-48.390,-48.094,-47.842,-46.831,-45.881,
     6 -49.469,-48.778,-48.525,-48.202,-47.933,-46.888,-45.916,
     7 -49.697,-48.907,-48.650,-48.303,-48.019,-46.943,-45.949,
     8 -49.939,-49.059,-48.774,-48.403,-48.104,-46.996,-45.982,
     9 -50.225,-49.227,-48.898,-48.504,-48.190,-47.049,-46.015/
      DATA H2HE8/
     1 -50.537,-49.406,-49.016,-48.603,-48.273,-47.101,-46.048,
     2 -50.831,-49.598,-49.130,-48.697,-48.354,-47.152,-46.080,
     3 -50.981,-49.807,-49.239,-48.791,-48.435,-47.202,-46.112,
     4 -51.106,-50.006,-49.345,-48.882,-48.514,-47.251,-46.145,
     5 -51.231,-50.131,-49.445,-48.972,-48.591,-47.299,-46.176,
     6 -51.356,-50.256,-49.540,-49.060,-48.667,-47.347,-46.208,
     7 -51.481,-50.381,-49.629,-49.143,-48.741,-47.392,-46.239,
     8 -51.606,-50.506,-49.711,-49.225,-48.813,-47.437,-46.271,
     9 -51.731,-50.631,-49.787,-49.303,-48.885,-47.481,-46.302/
      DATA H2HE9/
     1 -51.856,-50.756,-49.858,-49.377,-48.955,-47.523,-46.333,
     2 -51.981,-50.881,-49.929,-49.449,-49.023,-47.566,-46.364,
     3 -52.106,-51.006,-50.000,-49.517,-49.089,-47.607,-46.395,
     4 -52.231,-51.131,-50.069,-49.581,-49.154,-47.647,-46.425,
     5 -52.356,-51.256,-50.133,-49.642,-49.217,-47.687,-46.456,
     6 -52.481,-51.381,-50.204,-49.699,-49.278,-47.726,-46.486,
     7 -52.606,-51.506,-50.275,-49.752,-49.337,-47.765,-46.517,
     8 -52.731,-51.631,-50.347,-49.803,-49.396,-47.802,-46.548,
     9 -52.856,-51.756,-50.418,-49.850,-49.450,-47.839,-46.578/
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 11 J=1,NRHOX
   11 XNH2(J)=(XNFPH(J,1)*2.*BHYD(J,1))**2*EXP(4.477/TKEV(J)-4.6628E1+
     1(1.8031E-3+(-5.0239E-7+(8.1424E-11-5.0501E-15*T(J))*T(J))*T(J))*
     2T(J)-1.5*TLOG(J))
C      PRINT 12,XNH2
   12 FORMAT(1P10E12.3)
   20 WAVENO=FREQ/2.99792458E10
      IF(WAVENO.GT.20000.)THEN
      DO 19 J=1,NRHOX
   19 AH2COLL(J)=0.
      RETURN
      ENDIF
      NU=WAVENO/250.
      NU=NU+1
      NU=MIN(80,NU)
      DELNU=(WAVENO-250.*(NU-1))/250.
C     NU=MIN(79,NU)
C     DELNU=(WAVENO-250.*NU)/250.
C      PRINT 12,WAVENO,DELNU
      DO 21 IT=1,7
      H2H2NU(IT)=H2H2(IT,NU)*(1.-DELNU)+H2H2(IT,NU+1)*DELNU
   21 H2HENU(IT)=H2HE(IT,NU)*(1.-DELNU)+H2HE(IT,NU+1)*DELNU
C     H2H2NU(IT)=H2H2(IT,NU+1)*DELNU+H2H2(IT,NU+2)*(1.-DELNU)
C  21 H2HENU(IT)=H2H2(IT,NU+1)*DELNU+H2HE(IT,NU+2)*(1.-DELNU)
      DO 22 J=1,NRHOX
      IT=T(J)/1000.
      IT=MAX(1,MIN(6,IT))
      DELT=(T(J)-1000.*IT)/1000.
      DELT=MAX(0.D0,MIN(1.D0,DELT))
      XH2H2=H2H2NU(IT)*(1.-DELT)+H2H2NU(IT+1)*DELT
      XH2HE=H2HENU(IT)*(1.-DELT)+H2HENU(IT+1)*DELT
C     XH2H2=H2H2NU(IT)*DELT+H2H2NU(IT+1)*(1.-DELT)
C     XH2HE=H2HENU(IT)*DELT+H2HENU(IT+1)*(1.-DELT)
C      PRINT 12, XH2H2,XH2HE,XNFHE(J,1),XNH2(J),RHO(J)
   22 AH2COLL(J)=(10.**XH2HE*XNFHE(J,1)+10.**XH2H2*XNH2(J))*XNH2(J)/
     1 RHO(J)*STIM(J)
C      PRINT 12, AH2COLL
      RETURN
      END
      SUBROUTINE LUKEOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     SI2,MG2,CA2,N1,O1
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /OPS/D1(kw,9),ALUKE(kw),D2(kw,15)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /XNFP/XNFPC(kw,4),XNFPN(kw,5),XNFPO(kw,6),XNFPNE(kw,6),
     1             XNFPAL(kw,1),XNFPMG(kw,2),XNFPSI(kw,2),XNFPCA(kw,2),
     2             XNFPFE(kw,1),XNFPCH(kw),XNFPOH(kw)
      REAL*8 N1OP,MG2OP
      DO 11 J=1,NRHOX
   11 ALUKE(J)=(N1OP(J)*XNFPN(J,1)+O1OP(J)*XNFPO(J,1)+MG2OP(J)*
     1XNFPMG(J,2)+SI2OP(J)*XNFPSI(J,2)+CA2OP(J)*XNFPCA(J,2))*
     2STIM(J)/RHO(J)
      RETURN
      END
      FUNCTION N1OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      REAL*8 N1OP
      DIMENSION C1130(kw),C1020(kw)
      DATA FREQ1,ITEMP1/0.,0/
      IF(ITEMP.EQ.ITEMP1)GO TO 30
      ITEMP1=ITEMP
      DO 20 K=1,NRHOX
      C1130(K)=6.*EXP(-3.575/TKEV(K))
   20 C1020(K)=10.*EXP(-2.384/TKEV(K))
   30 IF(FREQ.EQ.FREQ1)GO TO 40
      X1130=0.
      X1020=0.
      X853=0.
      IF(FREQ.GE.3.517915E15)X853=
     1SEATON(3.517915D15,1.142D-17,2.D0,4.29D0)
      IF(FREQ.GE.2.941534E15)X1020=
     1SEATON(2.941534D15,4.41D-18,1.5D0,3.85D0)
      IF(FREQ.GE.2.653317E15)X1130=
     1SEATON(2.653317D15,4.2D-18,1.5D0,4.34D0)
      FREQ1=FREQ
   40 N1OP=X853*4.+X1020*C1020(J)+X1130*C1130(J)
      RETURN
      END
      FUNCTION O1OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     FROM DEANE PETERSON AFTER PEACH
C     CROSS-SECTION TIMES PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      DATA FREQ1/0./
      IF(FREQ.EQ.FREQ1)GO TO 1
      X911=0.
      IF(FREQ.GE.3.28805E15)X911=
     1SEATON(3.28805D15,2.94D-18,1.D0,2.66D0)
      FREQ1=FREQ
    1 O1OP=X911*9.
      RETURN
      END
      FUNCTION MG2OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      REAL*8 MG2OP
      DIMENSION C1169(kw)
      DATA FREQ1,ITEMP1/0.,0/
      IF(ITEMP.EQ.ITEMP1)GO TO 30
      ITEMP1=ITEMP
      DO 20 K=1,NRHOX
   20 C1169(K)=6.*EXP(-4.43/TKEV(K))
   30 IF(FREQ.EQ.FREQ1)GO TO 40
      X1169=0.
      X824=0.
      IF(FREQ.GE.3.635492E15)X824=
     1SEATON(3.635492D15,1.40D-19,4.D0,6.7D0)
      IF(FREQ.GE.2.564306E15)X1169=5.11E-19*(2.564306E15/FREQ)**3
      FREQ1=FREQ
   40 MG2OP=X824*2.+X1169*C1169(J)
      RETURN
      END
      FUNCTION SI2OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES THE PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION FLOG(9),FREQSI(7),PEACH(6,14),X(6),TLG(6),DT(kw),NT(kw)
      DATA PEACH/
C         10000     12000     14000     16000     18000     20000       WAVE(A)
     1  -43.8941, -43.8941, -43.8941, -43.8941, -43.8941, -43.8941,      500
     2  -42.2444, -42.2444, -42.2444, -42.2444, -42.2444, -42.2444,      600
     3  -40.6054, -40.6054, -40.6054, -40.6054, -40.6054, -40.6054,      759
     4  -54.2389, -52.2906, -50.8799, -49.8033, -48.9485, -48.2490,      760
     5  -50.4108, -48.4892, -47.1090, -46.0672, -45.2510, -44.5933,     1905
     6  -52.0936, -50.0741, -48.5999, -47.4676, -46.5649, -45.8246,     1906
     7  -51.9548, -49.9371, -48.4647, -47.3340, -46.4333, -45.6947,     1975
     8  -54.2407, -51.7319, -49.9178, -48.5395, -47.4529, -46.5709,     1976
     9  -52.7355, -50.2218, -48.4059, -47.0267, -45.9402, -45.0592,     3245
     T  -53.5387, -50.9189, -49.0200, -47.5750, -46.4341, -45.5082,     3246
     1  -53.2417, -50.6234, -48.7252, -47.2810, -46.1410, -45.2153,     3576
     2  -53.5097, -50.8535, -48.9263, -47.4586, -46.2994, -45.3581,     3577
     3  -54.0561, -51.2365, -49.1980, -47.6497, -46.4302, -45.4414,     3900
     4  -53.8469, -51.0256, -48.9860, -47.4368, -46.2162, -45.2266/     4200
      DATA FREQSI/4.9965417E15,3.9466738E15,1.5736321E15,1.5171539E15,
     1 9.2378947E14,8.3825004E14,7.6869872E14/
C     2P,2D,2P,2D,2P
      DATA FLOG/36.32984,36.14752,35.91165,34.99216,34.95561,34.45951,
     1 34.36234,34.27572,34.20161/
      DATA TLG/9.21034,9.39266,9.54681,9.68034,9.79813,9.90349/
      DATA FREQ1,ITEMP1/0.,0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 11 K=1,NRHOX
      N=MAX0(MIN0(5, INT(T(K)/2000.)-4),1)
      NT(K)=N
   11 DT(K)=(TLOG(K)-TLG(N))/(TLG(N+1)-TLG(N))
      GO TO 21
   20 IF(FREQ.EQ.FREQ1)GO TO 30
   21 FREQ1=FREQ
      DO 22 N=1,7
      IF(FREQ.GT.FREQSI(N))GO TO 23
   22 CONTINUE
      N=8
   23 D=(FREQLG-FLOG(N))/(FLOG(N+1)-FLOG(N))
      IF(N.GT.2)N=2*N-2
      IF(N.EQ.14)N=13
      D1=1.-D
      DO 24 IT=1,6
   24 X(IT)=PEACH(IT,N+1)*D+PEACH(IT,N)*D1
   30 N=NT(J)
      SI2OP=EXP(X(N)*(1.-DT(J))+X(N+1)*DT(J))*6.
      RETURN
      END
      FUNCTION CA2OP(J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     CROSS-SECTION TIMES THE PARTITION FUNCTION
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION C1218(kw),C1420(kw)
      DATA FREQ1,ITEMP1/0.,0/
      IF(ITEMP.EQ.ITEMP1)GO TO 30
      ITEMP1=ITEMP
      DO 20 K=1,NRHOX
      C1218(K)=10.*EXP(-1.697/TKEV(K))
   20 C1420(K)=6.*EXP(-3.142/TKEV(K))
   30 IF(FREQ.EQ.FREQ1)GO TO 40
      X1420=0.
      X1218=0.
      X1044=0.
      IF(FREQ.GE.2.870454E15)X1044=5.4E-20*(2.870454E15/FREQ)**3
      IF(FREQ.GE.2.460127E15)X1218=1.64E-17*SQRT(2.460127E15/FREQ)
      IF(FREQ.GE.2.110779E15)X1420=
     1SEATON(2.110779D15,4.13D-18,3.D0,.69D0)
      FREQ1=FREQ
   40 CA2OP=X1044*2.+X1218*C1218(J)+X1420*C1420(J)
      RETURN
      END
      SUBROUTINE HOTOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /OPS/D1(kw,10),AHOT(kw),D2(kw,14)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /XNF/XNFC(kw,6),XNFN(kw,6),XNFO(kw,6),XNFNE(kw,6),
     1            XNFMG(kw,6),XNFSI(kw,6),XNFS(kw,6),XNFFE(kw,5)
C     COMMON /XNFP/XNFPC(kw,4),XNFPN(kw,5),XNFPO(kw,6),XNFPNE(kw,6),
      COMMON /XNFP/XNFP(kw,21),
     1             XNFPAL(kw,1),XNFPMG(kw,2),XNFPSI(kw,2),XNFPCA(kw,2),
     2             XNFPFE(kw,1),XNFPCH(kw),XNFPOH(kw)
      DIMENSION AC2OP(kw),AC3OP(kw),AC4OP(kw)
      DIMENSION AN2OP(kw),AN3OP(kw),AN4OP(kw),AN5OP(kw)
      DIMENSION AO2OP(kw),AO3OP(kw),AO4OP(kw),AO5OP(kw),AO6OP(kw)
      DIMENSION A(420)
      DIMENSION A1(63),A2(63),A3(63),A4(63),A5(63),A6(63),A7(42)
      EQUIVALENCE (A(1),A1(1)),(A(64),A2(1)),(A(127),A3(1))
      EQUIVALENCE (A(190),A4(1)),(A(253),A5(1)),(A(316),A6(1))
      EQUIVALENCE (A(379),A7(1))
      DATA A1/
     1 4.149945E15, 6.90E-18, 1.000, 6.,  6.,  13.71,  2.,              6.01
     2 4.574341E15, 2.50E-18, 1.000, 4.,  2.,  11.96,  2.,              6.01
     3 5.220770E15, 1.08E-17, 1.000, 4., 10.,   9.28,  2.,              6.01
     4 5.222307E15, 5.35E-18, 3.769, 2.,  1.,   0.00, 16.,              10.00
     5 5.892577E15, 4.60E-18, 1.950, 6.,  6.,   0.00,  2.,              6.01
     6 6.177022E15, 3.50E-18, 1.000, 4., 12.,   5.33,  2.,              6.01
     7 6.181062E15, 6.75E-18, 3.101, 5.,  1.,   4.05,  6.,              7.01
     8 6.701879E15, 6.65E-18, 2.789, 5.,  5.,   1.90,  6.,              7.01
     9 7.158382E15, 6.65E-18, 2.860, 6.,  9.,   0.00,  6./              7.01
      DATA A2/
     1 7.284488E15, 3.43E-18, 4.174, 5.,  6.,   5.02, 11.,              8.01
     2 7.693612E15, 3.53E-18, 3.808, 5., 10.,   3.33, 11.,              8.01
     3 7.885955E15, 2.32E-18, 3.110, 5.,  6.,   5.02, 11.,              8.01
     4 8.295079E15, 3.97E-18, 3.033, 5., 10.,   3.33, 11.,              8.01
     5 8.497686E15, 7.32E-18, 3.837, 5.,  4.,   0.00, 11.,              8.01
     6 8.509966E15, 2.00E-18, 1.750, 7.,  3.,  12.69,  3.,              6.02
     7 8.572854E15, 1.68E-18, 3.751, 5.,  6.,   5.02, 11.,              8.01
     8 9.906370E15, 4.16E-18, 2.717, 3.,  6.,   0.00, 17.,              10.01
     9 1.000693E16, 2.40E-18, 1.750, 7.,  9.,   6.50,  3./              6.02
      DATA A3/
     1 1.046078E16, 4.80E-18, 1.000, 4., 10.,  12.53,  7.,              7.02
     2 1.067157E16, 2.71E-18, 2.148, 3.,  6.,   0.00, 17.,              10.01
     3 1.146734E16, 2.06E-18, 1.626, 6.,  6.,   0.00,  7.,              7.02
     4 1.156813E16, 5.20E-19, 2.126, 3.,  6.,   0.00, 17.,              10.01
     5 1.157840E16, 9.10E-19, 4.750, 4.,  1.,   0.00,  3.,              6.02
     6 1.177220E16, 5.30E-18, 1.000, 4., 12.,   7.10,  7.,              7.02
     7 1.198813E16, 3.97E-18, 2.780, 6.,  1.,   5.35, 12.,              8.02
     8 1.325920E16, 3.79E-18, 2.777, 6.,  5.,   2.51, 12.,              8.02
     9 1.327649E16, 3.65E-18, 2.014, 6.,  9.,   0.00, 12./              8.02
      DATA A4/
     1 1.361466E16, 7.00E-18, 1.000, 2.,  5.,   7.48, 12.,              8.02
     2 1.365932E16, 9.30E-19, 1.500, 7.,  6.,   8.00,  4.,              6.03
     3 1.481487E16, 1.10E-18, 1.750, 7.,  3.,  16.20,  8.,              7.03
     4 1.490032E16, 5.49E-18, 3.000, 5.,  1.,   6.91, 18.,              10.02
     5 1.533389E16, 1.80E-18, 2.277, 4.,  9.,   0.00, 18.,              10.02
     6 1.559452E16, 8.70E-19, 3.000, 6.,  2.,   0.00,  4.,              6.03
     7 1.579688E16, 4.17E-18, 2.074, 4.,  5.,   3.20, 18.,              10.02
     8 1.643205E16, 1.39E-18, 2.792, 5.,  5.,   3.20, 18.,              10.02
     9 1.656208E16, 2.50E-18, 2.346, 5.,  9.,   0.00, 18./              10.02
      DATA A5/
     1 1.671401E16, 1.30E-18, 1.750, 7.,  9.,   8.35,  8.,              7.03
     2 1.719725E16, 1.48E-18, 2.225, 5.,  9.,   0.00, 18.,              10.02
     3 1.737839E16, 2.70E-18, 1.000, 4., 10.,  15.74, 13.,              8.03
     4 1.871079E16, 1.27E-18,  .831, 6.,  6.,   0.00, 13.,              8.03
     5 1.873298E16, 9.10E-19, 3.000, 4.,  1.,   0.00,  8.,              7.03
     6 1.903597E16, 2.90E-18, 1.000, 4., 12.,   8.88, 13.,              8.03
     7 2.060738E16, 4.60E-18, 1.000, 3., 12.,  22.84, 19.,              10.03
     8 2.125492E16, 5.90E-19, 1.000, 6.,  6.,   9.99,  9.,              7.04
     9 2.162610E16, 1.69E-18, 1.937, 5.,  6.,   7.71, 19./              10.03
      DATA A6/
     1 2.226127E16, 1.69E-18, 1.841, 5., 10.,   5.08, 19.,              10.03
     2 2.251163E16, 9.30E-19, 2.455, 6.,  6.,   7.71, 19.,              10.03
     3 2.278001E16, 7.90E-19, 1.000, 6.,  9.,  10.20, 14.,              8.04
     4 2.317678E16, 1.65E-18, 2.277, 6., 10.,   5.08, 19.,              10.03
     5 2.348946E16, 3.11E-18, 1.963, 6.,  4.,   0.00, 19.,              10.03
     6 2.351911E16, 7.30E-19, 1.486, 5.,  6.,   7.71, 19.,              10.03
     7 2.366973E16, 5.00E-19, 1.000, 4.,  2.,   0.00,  9.,              7.04
     8 2.507544E16, 6.90E-19, 1.000, 6.,  3.,  19.69, 14.,              8.04
     9 2.754065E16, 7.60E-19, 1.000, 2.,  1.,   0.00, 14./              8.04
      DATA A7/
     1 2.864850E16, 1.54E-18, 2.104, 6.,  1.,   7.92, 20.,              10.04
     2 2.965598E16, 1.53E-18, 2.021, 6.,  5.,   3.76, 20.,              10.04
     3 3.054151E16, 1.40E-18, 1.471, 6.,  9.,   0.00, 20.,              10.04
     4 3.085141E16, 2.80E-18, 1.000, 4.,  5.,  11.01, 20.,              10.04
     5 3.339687E16, 3.60E-19, 1.000, 6.,  2.,   0.00, 15.,              8.05
     6 3.818757E16, 4.90E-19, 1.145, 6.,  6.,   0.00, 21./              10.05
      DATA NUM/60/
C      IF(FREQ.LT.A(1))RETURN
C
C     FREE-FREE
      DO 200 J=1,NRHOX
      FREE=COULFF(J,1)*1.**2*(XNFC(J,2)+XNFN(J,2)+XNFO(J,2)+XNFNE(J,2)+
     1                     XNFMG(J,2)+XNFSI(J,2)+XNFS(J,2)+XNFFE(J,2))+
     2     COULFF(J,2)*2.**2*(XNFC(J,3)+XNFN(J,3)+XNFO(J,3)+XNFNE(J,3)+
     3                     XNFMG(J,3)+XNFSI(J,3)+XNFS(J,3)+XNFFE(J,3))+
     4     COULFF(J,3)*3.**2*(XNFC(J,4)+XNFN(J,4)+XNFO(J,4)+XNFNE(J,4)+
     5                     XNFMG(J,4)+XNFSI(J,4)+XNFS(J,4)+XNFFE(J,4))+
     6     COULFF(J,4)*4.**2*(XNFC(J,5)+XNFN(J,5)+XNFO(J,5)+XNFNE(J,5)+
     7                     XNFMG(J,5)+XNFSI(J,5)+XNFS(J,5)+XNFFE(J,5))+
     8     COULFF(J,5)*5.**2*(XNFC(J,6)+XNFN(J,6)+XNFO(J,6)+XNFNE(J,6)+
     9                       XNFMG(J,6)+XNFSI(J,6)+XNFS(J,6)          )
  200 AHOT(J)=FREE*3.6919E8/FREQ**3*XNE(J)/SQRT(T(J))
C
C
      DO 700 J=1,NRHOX
      AC2OP(J)=0.
      AC3OP(J)=0.
      AC4OP(J)=0.
      AN2OP(J)=0.
      AN3OP(J)=0.
      AN4OP(J)=0.
      AN5OP(J)=0.
      AO2OP(J)=0.
      AO3OP(J)=0.
      AO4OP(J)=0.
      AO5OP(J)=0.
      AO6OP(J)=0.
  700 CONTINUE
      CALL C2OP(AC2OP)
      CALL C3OP(AC3OP)
      CALL C4OP(AC4OP)
      CALL N2OP(AN2OP)
      CALL N3OP(AN3OP)
      CALL N4OP(AN4OP)
      CALL N5OP(AN5OP)
      CALL O2OP(AO2OP)
      CALL O3OP(AO3OP)
      CALL O4OP(AO4OP)
      CALL O5OP(AO5OP)
      CALL O6OP(AO6OP)
      DO 701 J=1,NRHOX
  701 AHOT(J)=AHOT(J)+
     1 AC2OP(J)+AC3OP(J)+AC4OP(J)+
     2 AN2OP(J)+AN3OP(J)+AN4OP(J)+AN5OP(J)+
     3 AO2OP(J)+AO3OP(J)+AO4OP(J)+AO5OP(J)+AO6OP(J)
C
C
      L=-6
      DO 20 I=1,NUM
      L=L+7
      IF(FREQ.LT.A(L))GO TO 20
      XSECT=A(L+1)*(A(L+2)+(A(L)/FREQ)-A(L+2)*(A(L)/FREQ))*
     1 SQRT((A(L)/FREQ)** INT(A(L+3)))
      ID=A(L+6)
      DO 10 J=1,NRHOX
      XX=XSECT*XNFP(J,ID)*A(L+4)
      IF(XX.GT.AHOT(J)/100.)AHOT(J)=AHOT(J)+XX/EXP(A(L+5)/TKEV(J))
   10 CONTINUE
   20 CONTINUE
      DO 30 J=1,NRHOX
   30 AHOT(J)=AHOT(J)*STIM(J)/RHO(J)
      RETURN
      END
      SUBROUTINE C2OP(AC2OP)
      RETURN
      END
      SUBROUTINE C3OP(AC3OP)
      RETURN
      END
      SUBROUTINE C4OP(AC4OP)
      RETURN
      END
      SUBROUTINE N2OP(AN2OP)
      RETURN
      END
      SUBROUTINE N3OP(AN3OP)
      RETURN
      END
      SUBROUTINE N4OP(AN4OP)
      RETURN
      END
      SUBROUTINE N5OP(AN5OP)
      RETURN
      END
      SUBROUTINE O2OP(AO2OP)
      RETURN
      END
      SUBROUTINE O3OP(AO3OP)
      RETURN
      END
      SUBROUTINE O4OP(AO4OP)
      RETURN
      END
      SUBROUTINE O5OP(AO5OP)
      RETURN
      END
      SUBROUTINE O6OP(AO6OP)
      RETURN
      END
      SUBROUTINE ELECOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /OPS/D1(kw,11),SIGEL(kw),D2(kw,13)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      DO 1 J=1,NRHOX
    1 SIGEL(J)=.6653E-24*XNE(J)/RHO(J)
      RETURN
      END
      SUBROUTINE H2RAOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,12),SIGH2(kw),D2(kw,12)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION XNH2(kw)
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 11 J=1,NRHOX
   11 XNH2(J)=(XNFPH(J,1)*2.*BHYD(J,1))**2*EXP(4.477/TKEV(J)-4.6628E1+
     1(1.8031E-3+(-5.0239E-7+(8.1424E-11-5.0501E-15*T(J))*T(J))*T(J))*
     2T(J)-1.5*TLOG(J))/RHO(J)
   20 WAVE=2.997925E18/DMIN1(FREQ,2.922D15)
      WW=WAVE**2
      SIG=(8.14E-13+1.28E-6/WW+1.61/(WW*WW))/(WW*WW)
      DO 21 J=1,NRHOX
   21 SIGH2(J)=SIG*XNH2(J)
      RETURN
      END
      SUBROUTINE HLINOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     REQUIRES STARK AND COULX
      COMMON /DEPART/BHYD(kw,6),BMIN(kw),NLTEON
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IONS/XNFPH(kw,2),XNFPHE(kw,3),XNFH(kw,2),XNFHE(kw,3)
      COMMON /OPS/D1(kw,13),AHLINE(kw),D2(kw,8),SHLINE(kw),D3(kw,2)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION BOLT(kw,4),MLAST(kw)
      DATA ITEMP1/0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      DO 10 J=1,NRHOX
      MLAST(J)=1100./XNE(J)**.133333333
      DO 10 N=1,4
   10 BOLT(J,N)=EXP(-(13.595-13.595/DFLOAT(N*N))/TKEV(J))*2.*
     1DFLOAT(N*N)*BHYD(J,N)*XNFPH(J,1)/RHO(J)
      ITEMP1=ITEMP
   20 N=SQRT(3.28805E15/FREQ)
      IF(N.EQ.0.OR.N.GT.4)RETURN
      GO TO (21,22,30,30),N
   21 IF(FREQ.LT.2.E15)RETURN
      GO TO 30
   22 IF(FREQ.LT.4.44E14)RETURN
   30 MFREQ=SQRT(3.28805E15/(3.28805E15/DFLOAT(N*N)-FREQ))
      DO 50 J=1,NRHOX
      M1=MFREQ
      M2=M1+1
      M1=MAX0(M1,N+1)
      H=0.
      S=0.
      IF(M1.LE.6)GO TO 39
      IF(M1.GT.MLAST(J))GO TO 45
      M1=M1-1
      M2=M2+3
      IF(N.LT.4.OR.M1.GT.8)GO TO 39
      H=STARK(3,4,J)*(1.-EHVKT(J)*BHYD(J,4)/BHYD(J,3))*BOLT(J,3)
      S=H*BNU(J)*STIM(J)/(BHYD(J,3)/BHYD(J,4)-EHVKT(J))
   39 DO 40 M=M1,M2
      BHYDJM=1.
      IF(M.LE.6)BHYDJM=BHYD(J,M)
C     ASSUMING FREQ APROXIMATELY FREQNM
      A=STARK(N,M,J)*(1.-EHVKT(J)*BHYDJM/BHYD(J,N))*BOLT(J,N)
      H=H+A
   40 S=S+A*BNU(J)*STIM(J)/(BHYD(J,N)/BHYDJM-EHVKT(J))
      AHLINE(J)=H
      SHLINE(J)=S/H
      GO TO 50
   45 AHLINE(J)=COULX(N,3.28806E15/DFLOAT(N*N),1.D0)*(1.-EHVKT(J)/
     1BHYD(J,N))*BOLT(J,N)
      SHLINE(J)=BNU(J)*STIM(J)/(BHYD(J,N)-EHVKT(J))
   50 CONTINUE
      RETURN
      END
      FUNCTION STARK(N,M,J)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      DIMENSION F0(kw)
      DIMENSION KNMTAB(5,4),FSTARK(10,4)
      REAL*8 NN,MM,IMPACT,KNM,KNMTAB
      DATA KNMTAB/.000356,.000523,.00109,.00149,.00225,.0125,.0177,.028,
     1.0348,.0493,.124,.171,.223,.261,.342,.683,.866,1.02,1.19,1.46/
      DATA FSTARK/.1387,.07910,.02126,.01394,.006462,.004814,.002779,
     1 .002216,.001443,.001201,.3921,.1193,.03766,.02209,.01139,
     2 .008036,.005007,.003850,.002658,.002151,.6103,.1506,.04931,
     3 .02768,.01485,.01023,.006588,.004996,.003542,.002838,.8163,.1788,
     4 .05985,.03189,.01762,.01196,.007825,.005882,.004233,.003375/
C     IF YOUR RYDBERG IS DIFFERENT YOU MAY GET LINES IN STRANGE PLACES
      DATA RYD/3.28805E15/
      DATA ITEMP1/0/
      EXINT(X)=-DLOG(X)-.57516+(.97996-(.21654-(.033572-(.0029222-
     1 1.05439E-4*X)*X)*X)*X)*X
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      DO 10 K=1,NRHOX
   10 F0(K)=1.25E-9*XNE(K)**.6666667
      ITEMP1=ITEMP
   20 XN=N
      XM=M
      X=XN/XM
      XX=X**2
      NN=N*N
      MM=M*M
      MMINN=M-N
      IF(MMINN.GT.5)GO TO 21
      KNM=KNMTAB(MMINN,N)
      GO TO 22
   21 KNM=5.5E-5*(NN*MM)**2/(MM-NN)
   22 IF(MMINN.GT.10)GO TO 23
      FNM=FSTARK(MMINN,N)
      GO TO 30
   23 FNM=FSTARK(10,N)*((20.*XN+100.)/(XN+10.)/XM/(1.-XX))**3
   30 FREQNM=RYD*(1./NN-1./MM)
      DEL=ABS(FREQ-FREQNM)
      DBETA=2.997925E18/FREQNM**2/F0(J)/KNM
      BETA=DBETA*DEL
      Y1=MM*DEL*HKT(J)/2.
      Y2=(3.14159*3.14159/2./.0265384/2.997925E10)*DEL**2/XNE(J)
      QSTAT=1.5+.5*(Y1**2-1.384)/(Y1**2+1.384)
      IMPACT=0.
      IF(Y1.GT.8..OR.Y1.GE.Y2)GO TO 40
      EXY2=0.
      IF(Y2.LE.8.)EXY2=EXINT(Y2)
      IMPACT=1.438*SQRT(Y1*(1.-XX))*(.4*EXP(-Y1)+EXINT(Y1)-.5*EXY2)
   40 IF(BETA.GT.20.)GO TO 45
      PROF=8./(80.+BETA**3)
      RATIO=QSTAT+IMPACT
      GO TO 50
   45 PROF=1.5/BETA/BETA/SQRT(BETA)
      DIOI=6.28*1.48E-25*(2.*MM*RYD/DEL)*XNE(J)*(SQRT(2.*MM*RYD/DEL)*
     1(1.3*QSTAT+.30*IMPACT)-3.9*RYD*HKT(J))
      RATIO=QSTAT*DMIN1(1.+DIOI,1.25D0)+IMPACT
   50 STARK=.0265384*FNM*PROF*DBETA*RATIO
      RETURN
      END
      SUBROUTINE LINOP(N,NSTEPS,STEPWT)
C     READS A BIG OR LIT DF FILE ONE WAVELENGTH AT A TIME
C     ASSUMES THAT VTURB IS CONSTANT AND THAT THE OPACITY FILE IS GIVEN
C     ONLY FOR THAT VTURB
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
C     COMMON /BIGLIT/WAVELIT(1213),WAVEBIG(329)
      COMMON /BIGLIT/WAVEDF(1213,2)
      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
      COMMON /OPS/D1(kw,14),ALINES(kw),SIGLIN(kw),D2(kw,9)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
C     INTEGER*2 KAP(21,56,12,5)
      INTEGER*2 KAP(25,57,12)
CDROM BYTE KAPBYTE(2,14112),ONEBYTE
CDROM EQUIVALENCE (KAPBYTE(1,1),KAP(1,1,1))
      CHARACTER*3 IDFREQ
      DIMENSION WT(12)
      REAL*4 CO1(kw),CO2(kw),CO3(kw),CO4(kw),CO5(kw),CO6(kw),A
      DIMENSION IPJ(kw),ITJ(kw),IVJ(kw),FSCAT(kw)
      DIMENSION TABT(57),TABP(25),TABV(5)
      DATA TABT/3.30,3.32,3.34,3.36,3.38,3.40,3.42,3.44,3.46,3.48,3.50,
	1 3.52,
     1 3.54,3.56,3.58,3.60,3.62,3.64,3.66,3.68,3.70,3.73,3.76,3.79,3.82,
     2 3.85,3.88,3.91,3.94,3.97,4.00,4.05,4.10,4.15,4.20,4.25,4.30,4.35,
     3 4.40,4.45,4.50,4.55,4.60,4.65,4.70,4.75,4.80,4.85,4.90,4.95,5.00,
     4 5.05,5.10,5.15,5.20,5.25,5.30/
      DATA TABP/-4.0, -3.5, -3.0, -2.5,-2.,-1.5,-1.,-.5,0.,.5,1.,1.5,2.,
     1 2.5, 3.,3.5,4.,4.5,5.,5.5,6.,6.5,7.0,7.5,8.0/
      DATA TABV/0.,1.D5,2.D5,4.D5,8.D5/
      DATA ITEMP1/0/
      DATA TENLOG/2.30258509299405E0/
      IF(ITEMP.EQ.ITEMP1)GO TO 20
      ITEMP1=ITEMP
      DO 19 J=1,NRHOX
      TL=DMIN1(DMAX1(TLOG(J)/TENLOG,3.30D0),5.3D0)
      DO 10 IT=2,57
      IF(TL.LT.TABT(IT))GO TO 11
   10 CONTINUE
      IT=57
   11 PLOG=DMIN1(DMAX1(DLOG10(P(J)),-4.D0),8.0D0)
      DO 12 IP=2,25
      IF(PLOG.LT.TABP(IP))GO TO 13
   12 CONTINUE
      IP=25
   13 CONTINUE
C   13 VTUR=DMIN1(DMAX1(VTURB(J),0.D5),8.0D5)
C      DO 14 IV=2,5
C      IF(VTUR.LT.TABV(IV))GO TO 15
C   14 CONTINUE
C      IV=5
   15 IPJ(J)=IP
      ITJ(J)=IT
C      IVJ(J)=IV
      X=(TL-TABT(IT-1))/(TABT(IT)-TABT(IT-1))
      Y=(PLOG-TABP(IP-1))/(TABP(IP)-TABP(IP-1))
C      Z=(VTUR-TABV(IV-1))/(TABV(IV)-TABV(IV-1))
      CO1(J)=(1.-X)*(1.-Y)*TENLOG*.001
      CO2(J)=(1.-X)*Y*TENLOG*.001
      CO3(J)=X*(1.-Y)*TENLOG*.001
      CO4(J)=X*Y*TENLOG*.001
C      CO5(J)=Z
C      CO6(J)=1.-Z
C     THE STEPS HAVE BEEN SCALED BY 1000
      FSCAT(J)=0.
      IF(TAUSCAT.GT.0.)FSCAT(J)=EXP(-TAUROS(J)/TAUSCAT)
   19 CONTINUE
      WT(1)=1./60.
      WT(2)=2./60.
      WT(3)=3./60.
      WT(4)=6./60.
      WT(5)=6./60.
      WT(6)=6./60.
      WT(7)=6./60.
      WT(8)=6./60.
      WT(9)=6./60.
      WT(10)=6./60.
      WT(11)=6./60.
      WT(12)=6./60.
      REWIND 9
      WRITE(IDFREQ,'(3A1)')FREQID(1),FREQID(2),FREQID(3)
      IF(IDFREQ.EQ.'BIG')IBIGLIT=2
      IF(IDFREQ.EQ.'LIT')IBIGLIT=1
      IWLREAD=0
      WLEND=0.
   20 WAVE=2.997925E17/FREQ
   21 IF(WAVE.LT.WLEND)GO TO 22
C     READ(9)WLBEG,WLEND,KAP
      IF(WLEND.GT.9999.)WLEND=1000000.
      IWLREAD=IWLREAD+1
      WLBEG=WAVEDF(IWLREAD,IBIGLIT)
      WLEND=WAVEDF(IWLREAD+1,IBIGLIT)
      do 55 itt=1,57
55      READ(9)((KAP(ipp,itt,istep),istep=1,12),ipp=1,25)
CC     SOME COMPUTERS REQUIRE BYTE ROTATION
C      DO 2222 I=1,14112
C      ONEBYTE=KAPBYTE(1,I)
C      KAPBYTE(1,I)=KAPBYTE(2,I)
C 2222 KAPBYTE(2,I)=ONEBYTE
      GO TO 21
   22 NSTEPS=12
      N12=13-N
  222 STEPWT=WT(N)
C
      DO 25 J=1,NRHOX
      IT=ITJ(J)
      IP=IPJ(J)
C      IV=IVJ(J)
C      A=EXP((CO1(J)*KAP(IP-1,IT-1,N12,IV  )+
C     1       CO2(J)*KAP(IP  ,IT-1,N12,IV  )+
C     2       CO3(J)*KAP(IP-1,IT  ,N12,IV  )+
C     3       CO4(J)*KAP(IP  ,IT  ,N12,IV  ))*CO5(J)+
C     4      (CO1(J)*KAP(IP-1,IT-1,N12,IV-1)+
C     5       CO2(J)*KAP(IP  ,IT-1,N12,IV-1)+
C     6       CO3(J)*KAP(IP-1,IT  ,N12,IV-1)+
C     7       CO4(J)*KAP(IP  ,IT  ,N12,IV-1))*CO6(J))
      A=EXP( CO1(J)*KAP(IP-1,IT-1,N12)+
     1       CO2(J)*KAP(IP  ,IT-1,N12)+
     2       CO3(J)*KAP(IP-1,IT  ,N12)+
     3       CO4(J)*KAP(IP  ,IT  ,N12))
      SIGLIN(J)=FSCAT(J)*A
   25 ALINES(J)=(1.-FSCAT(J))*A
      RETURN
      END
C      SUBROUTINE LINOP(N,NSTEPS,STEPWT)
CC     READS 5 BIG OR LIT DF FILES FOR VTURB 0,1,2,4,8 ONE WAVELENGTH AT A TIME
CC     INTERPOLATES TO AN ARBITRARY VTURB
C      IMPLICIT REAL*8 (A-H,O-Z)
C      PARAMETER (kw=99)
C      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
CC     COMMON /BIGLIT/WAVELIT(1213),WAVEBIG(329)
C      COMMON /BIGLIT/WAVEDF(1213,2)
C      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
C      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
C      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
C      COMMON /OPS/D1(kw,14),ALINES(kw),SIGLIN(kw),D2(kw,9)
C      COMMON /RHOX/RHOX(kw),NRHOX
C      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
C      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),ITEMP
C      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
C     1               IFTURB
C      INTEGER*2 KAP(21,56,12,5),KAP0(21,56,12),KAP1(21,56,12)
C      INTEGER*2 KAP2(21,56,12),KAP4(21,56,12),KAP8(21,56,12)
C      EQUIVALENCE (KAP(1,1,1,1),KAP0(1,1,1))
C      EQUIVALENCE (KAP(1,1,1,2),KAP1(1,1,1))
C      EQUIVALENCE (KAP(1,1,1,3),KAP2(1,1,1))
C      EQUIVALENCE (KAP(1,1,1,4),KAP4(1,1,1))
C      EQUIVALENCE (KAP(1,1,1,5),KAP8(1,1,1))
CCDROM BYTE KAPBYTE(2,70560),ONEBYTE
CCDROM EQUIVALENCE (KAPBYTE(1,1),KAP(1,1,1,1))
C      CHARACTER*3 IDFREQ
C      DIMENSION WT(12)
C      REAL*4 CO1(kw),CO2(kw),CO3(kw),CO4(kw),CO5(kw),CO6(kw),A
C      DIMENSION IPJ(kw),ITJ(kw),IVJ(kw),FSCAT(kw)
C      DIMENSION TABT(56),TABP(21),TABV(5)
C      DATA TABT/ 3.32,3.34,3.36,3.38,3.40,3.42,3.44,3.46,3.48,3.50,3.52,
C     1 3.54,3.56,3.58,3.60,3.62,3.64,3.66,3.68,3.70,3.73,3.76,3.79,3.82,
C     2 3.85,3.88,3.91,3.94,3.97,4.00,4.05,4.10,4.15,4.20,4.25,4.30,4.35,
C     3 4.40,4.45,4.50,4.55,4.60,4.65,4.70,4.75,4.80,4.85,4.90,4.95,5.00,
C     4 5.05,5.10,5.15,5.20,5.25,5.30/
C      DATA TABP/-2.,-1.5,-1.,-.5,0.,.5,1.,1.5,2.,2.5,
C     1 3.,3.5,4.,4.5,5.,5.5,6.,6.5,7.0,7.5,8.0/
C      DATA TABV/0.,1.D5,2.D5,4.D5,8.D5/
C      DATA ITEMP1/0/
C      DATA TENLOG/2.30258509299405E0/
C      IF(ITEMP.EQ.ITEMP1)GO TO 20
C      ITEMP1=ITEMP
C      DO 19 J=1,NRHOX
C      TL=DMIN1(DMAX1(TLOG(J)/TENLOG,3.32D0),5.3D0)
C      DO 10 IT=2,56
C      IF(TL.LT.TABT(IT))GO TO 11
C   10 CONTINUE
C      IT=56
C   11 PLOG=DMIN1(DMAX1(DLOG10(P(J)),-2.D0),8.0D0)
C      DO 12 IP=2,21
C      IF(PLOG.LT.TABP(IP))GO TO 13
C   12 CONTINUE
C      IP=21
C   13 VTUR=DMIN1(DMAX1(VTURB(J),0.D5),8.0D5)
C      DO 14 IV=2,5
C      IF(VTUR.LT.TABV(IV))GO TO 15
C   14 CONTINUE
C      IV=5
C   15 IPJ(J)=IP
C      ITJ(J)=IT
C      IVJ(J)=IV
C      X=(TL-TABT(IT-1))/(TABT(IT)-TABT(IT-1))
C      Y=(PLOG-TABP(IP-1))/(TABP(IP)-TABP(IP-1))
C      Z=(VTUR-TABV(IV-1))/(TABV(IV)-TABV(IV-1))
C      CO1(J)=(1.-X)*(1.-Y)*TENLOG*.001
C      CO2(J)=(1.-X)*Y*TENLOG*.001
C      CO3(J)=X*(1.-Y)*TENLOG*.001
C      CO4(J)=X*Y*TENLOG*.001
C      CO5(J)=Z
C      CO6(J)=1.-Z
CC     THE STEPS HAVE BEEN SCALED BY 1000
C      FSCAT(J)=0.
C      IF(TAUSCAT.GT.0.)FSCAT(J)=EXP(-TAUROS(J)/TAUSCAT)
C   19 CONTINUE
C      WT(1)=1./60.
C      WT(2)=2./60.
C      WT(3)=3./60.
C      WT(4)=6./60.
C      WT(5)=6./60.
C      WT(6)=6./60.
C      WT(7)=6./60.
C      WT(8)=6./60.
C      WT(9)=6./60.
C      WT(10)=6./60.
C      WT(11)=6./60.
C      WT(12)=6./60.
C      REWIND 20
C      REWIND 21
C      REWIND 22
C      REWIND 24
C      REWIND 28
C      WRITE(IDFREQ,'(3A1)')FREQID(1),FREQID(2),FREQID(3)
C      IF(IDFREQ.EQ.'BIG')IBIGLIT=2
C      IF(IDFREQ.EQ.'LIT')IBIGLIT=1
C      IWLREAD=0
C      WLEND=0.
C   20 WAVE=2.997925E17/FREQ
C   21 IF(WAVE.LT.WLEND)GO TO 22
CC     READ(20)WLBEG,WLEND,KAP0
CC     READ(21)WLBEG,WLEND,KAP1
CC     READ(22)WLBEG,WLEND,KAP2
CC     READ(24)WLBEG,WLEND,KAP4
CC     READ(28)WLBEG,WLEND,KAP8
C      IF(WLEND.GT.9999.)WLEND=1000000.
C      IWLREAD=IWLREAD+1
C      WLBEG=WAVEDF(IWLREAD,IBIGLIT)
C      WLEND=WAVEDF(IWLREAD+1,IBIGLIT)
C      READ(20)KAP0
C      READ(21)KAP1
C      READ(22)KAP2
C      READ(24)KAP4
C      READ(28)KAP8
CCC     IF COMPUTER REQUIRES BYTE ROTATION
CC      DO 2222 I=1,70560
CC      ONEBYTE=KAPBYTE(1,I)
CC      KAPBYTE(1,I)=KAPBYTE(2,I)
CC 2222 KAPBYTE(2,I)=ONEBYTE
C      GO TO 21
C   22 NSTEPS=12
C      N12=13-N
C  222 STEPWT=WT(N)
CC
C      DO 25 J=1,NRHOX
C      IT=ITJ(J)
C      IP=IPJ(J)
C      IV=IVJ(J)
C      A=EXP((CO1(J)*KAP(IP-1,IT-1,N12,IV  )+
C     1       CO2(J)*KAP(IP  ,IT-1,N12,IV  )+
C     2       CO3(J)*KAP(IP-1,IT  ,N12,IV  )+
C     3       CO4(J)*KAP(IP  ,IT  ,N12,IV  ))*CO5(J)+
C     4      (CO1(J)*KAP(IP-1,IT-1,N12,IV-1)+
C     5       CO2(J)*KAP(IP  ,IT-1,N12,IV-1)+
C     6       CO3(J)*KAP(IP-1,IT  ,N12,IV-1)+
C     7       CO4(J)*KAP(IP  ,IT  ,N12,IV-1))*CO6(J))
C      SIGLIN(J)=FSCAT(J)*A
C   25 ALINES(J)=(1.-FSCAT(J))*A
C      RETURN
C      END
C      SUBROUTINE LINOP(N,NSTEPS,STEPWT)
CC     READS A BIG DF FILE INTO MEMORY TO MINIMIZE IO
CC     ASSUMES THAT VTURB IS CONSTANT AND THAT THE DF FILE IS GIVEN
CC     ONLY FOR THAT VTURB
C      IMPLICIT REAL*8 (A-H,O-Z)
C      PARAMETER (kw=99)
C      COMMON /ABROSS/ABROSS(kw),TAUROS(kw)
CC     COMMON /BIGLIT/WAVELIT(1213),WAVEBIG(329)
C      COMMON /BIGLIT/WAVEDF(1213,2)
C      COMMON /FREQ/FREQ,FREQLG,EHVKT(kw),STIM(kw),BNU(kw)
C      COMMON /IF/IFCORR,IFPRES,IFSURF,IFSCAT,TAUSCAT,IFMOL
C      COMMON /JUNK/TITLE(74),FREQID(6),WLTE,XSCALE
C      COMMON /OPS/D1(kw,14),ALINES(kw),SIGLIN(kw),D2(kw,9)
C      COMMON /RHOX/RHOX(kw),NRHOX
C      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
C      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
C      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
C     1               IFTURB
CC     INTEGER*2 KAP(21,56,12,5)
C      INTEGER*2 KAP(21,56,12),KAPWL(21,56,12,328)
CCDROM BYTE KAPBYTE(2,21,56,12),ONEBYTE
CCDROM EQUIVALENCE (KAPBYTE(1,1,1,1),KAP(1,1,1))
C      DIMENSION WLBEG(328),WLEND(328)
C      DIMENSION WT(12)
C      REAL*4 CO1(kw),CO2(kw),CO3(kw),CO4(kw),CO5(kw),CO6(kw),A
C      DIMENSION IPJ(kw),ITJ(kw),IVJ(kw),FSCAT(kw)
C      DIMENSION TABT(56),TABP(21),TABV(5)
C      DATA TABT/ 3.32,3.34,3.36,3.38,3.40,3.42,3.44,3.46,3.48,3.50,3.52,
C     1 3.54,3.56,3.58,3.60,3.62,3.64,3.66,3.68,3.70,3.73,3.76,3.79,3.82,
C     2 3.85,3.88,3.91,3.94,3.97,4.00,4.05,4.10,4.15,4.20,4.25,4.30,4.35,
C     3 4.40,4.45,4.50,4.55,4.60,4.65,4.70,4.75,4.80,4.85,4.90,4.95,5.00,
C     4 5.05,5.10,5.15,5.20,5.25,5.30/
C      DATA TABP/-2.,-1.5,-1.,-.5,0.,.5,1.,1.5,2.,2.5,
C     1 3.,3.5,4.,4.5,5.,5.5,6.,6.5,7.0,7.5,8.0/
C      DATA TABV/0.,1.D5,2.D5,4.D5,8.D5/
C      DATA ITEMP1/0/
C      DATA IREAD/0/
C      DATA TENLOG/2.30258509299405E0/
C      IF(ITEMP.EQ.ITEMP1)GO TO 20
C      ITEMP1=ITEMP
C      IF(IREAD.EQ.0)THEN
C      IREAD=1
C      DO 5 IWL=1,328
CC     READ(9)WLBEG(IWL),WLEND(IWL),KAP
C      READ(9)KAP
C      WLBEG(IWL)=WAVEDF(IWL,2)
C      WLEND(IWL)=WAVEDF(IWL+1,2)
C      DO 5 IP=1,21
C      DO 5 IT=1,56
C      DO 5 ISTEP=1,12
CC      SOME COMPUTERS REQUIRE BYTE REVERSAL
CC      ONEBYTE=KAPBYTE(1,IP,IT,ISTEP)
CC      KAPBYTE(1,IP,IT,ISTEP)=KAPBYTE(2,IP,IT,ISTEP)
CC      KAPBYTE(2,IP,IT,ISTEP)=ONEBYTE
C      KAPWL(IP,IT,ISTEP,IWL)=KAP(IP,IT,ISTEP)
C    5 CONTINUE
C      WLEND(328)=1000000.
C      CLOSE(UNIT=9)
C      ENDIF
C    7 DO 19 J=1,NRHOX
C      TL=DMIN1(DMAX1(TLOG(J)/TENLOG,3.32D0),5.3D0)
C      DO 10 IT=2,56
C      IF(TL.LT.TABT(IT))GO TO 11
C   10 CONTINUE
C      IT=56
C   11 PLOG=DMIN1(DMAX1(DLOG10(P(J)),-2.D0),8.0D0)
C      DO 12 IP=2,21
C      IF(PLOG.LT.TABP(IP))GO TO 13
C   12 CONTINUE
C      IP=21
C   13 CONTINUE
CC   13 VTUR=DMIN1(DMAX1(VTURB(J),0.D5),8.0D5)
CC      DO 14 IV=2,5
CC      IF(VTUR.LT.TABV(IV))GO TO 15
CC   14 CONTINUE
CC      IV=5
C   15 IPJ(J)=IP
C      ITJ(J)=IT
CC      IVJ(J)=IV
C      X=(TL-TABT(IT-1))/(TABT(IT)-TABT(IT-1))
C      Y=(PLOG-TABP(IP-1))/(TABP(IP)-TABP(IP-1))
CC      Z=(VTUR-TABV(IV-1))/(TABV(IV)-TABV(IV-1))
C      CO1(J)=(1.-X)*(1.-Y)*TENLOG*.001
C      CO2(J)=(1.-X)*Y*TENLOG*.001
C      CO3(J)=X*(1.-Y)*TENLOG*.001
C      CO4(J)=X*Y*TENLOG*.001
CC      CO5(J)=Z
CC      CO6(J)=1.-Z
CC     THE STEPS HAVE BEEN SCALED BY 1000
C      FSCAT(J)=0.
C      IF(TAUSCAT.GT.0.)FSCAT(J)=EXP(-TAUROS(J)/TAUSCAT)
C   19 CONTINUE
C      WT(1)=1./60.
C      WT(2)=2./60.
C      WT(3)=3./60.
C      WT(4)=6./60.
C      WT(5)=6./60.
C      WT(6)=6./60.
C      WT(7)=6./60.
C      WT(8)=6./60.
C      WT(9)=6./60.
C      WT(10)=6./60.
C      WT(11)=6./60.
C      WT(12)=6./60.
CC      REWIND 9
C      IWL=1
CC      WLEND=0.
C   20 WAVE=2.997925E17/FREQ
C   21 IF(WAVE.LT.WLEND(IWL))GO TO 22
CC      READ(9)WLBEG,WLEND,KAP
CC      IF(WLEND.GT.9999.)WLEND=1000000.
C      IWL=IWL+1
C      GO TO 21
C   22 NSTEPS=12
C      N12=13-N
C  222 STEPWT=WT(N)
CC
C      DO 25 J=1,NRHOX
C      IT=ITJ(J)
C      IP=IPJ(J)
CC      IV=IVJ(J)
CC      A=EXP((CO1(J)*KAP(IP-1,IT-1,N12,IV  )+
CC     1       CO2(J)*KAP(IP  ,IT-1,N12,IV  )+
CC     2       CO3(J)*KAP(IP-1,IT  ,N12,IV  )+
CC     3       CO4(J)*KAP(IP  ,IT  ,N12,IV  ))*CO5(J)+
CC     4      (CO1(J)*KAP(IP-1,IT-1,N12,IV-1)+
CC     5       CO2(J)*KAP(IP  ,IT-1,N12,IV-1)+
CC     6       CO3(J)*KAP(IP-1,IT  ,N12,IV-1)+
CC     7       CO4(J)*KAP(IP  ,IT  ,N12,IV-1))*CO6(J))
CC      A=EXP( CO1(J)*KAP(IP-1,IT-1,N12)+
CC     1       CO2(J)*KAP(IP  ,IT-1,N12)+
CC     2       CO3(J)*KAP(IP-1,IT  ,N12)+
CC     3       CO4(J)*KAP(IP  ,IT  ,N12))
C      A=EXP( CO1(J)*KAPWL(IP-1,IT-1,N12,IWL)+
C     1       CO2(J)*KAPWL(IP  ,IT-1,N12,IWL)+
C     2       CO3(J)*KAPWL(IP-1,IT  ,N12,IWL)+
C     3       CO4(J)*KAPWL(IP  ,IT  ,N12,IWL))
C      SIGLIN(J)=FSCAT(J)*A
C   25 ALINES(J)=(1.-FSCAT(J))*A
C      RETURN
C      END
      SUBROUTINE BLOCKBIG
      IMPLICIT REAL*8 (A-H,O-Z)
C     COMMON /BIGLIT/WAVELIT(1213),WAVEBIG(329)
      COMMON /BIGLIT/WAVELIT(1213),WAVEBIG(1213)
C     REAL*8 BIGA(95),BIGB(125),BIGC(109)
      REAL*8 BIGA(95),BIGB(125),BIGC(993)
      REAL*8 LITA(95),LITB(190),LITC(190),LITD(190),LITE(190)
      REAL*8 LITF(190),LITG(168)
      EQUIVALENCE (WAVEBIG(1),BIGA(1)),(WAVEBIG(96),BIGB(1))
      EQUIVALENCE (WAVEBIG(221),BIGC(1))
      EQUIVALENCE (WAVELIT(1),LITA(1)),(WAVELIT(96),LITB(1))
      EQUIVALENCE (WAVELIT(286),LITC(1)),(WAVELIT(476),LITD(1))
      EQUIVALENCE (WAVELIT(666),LITE(1)),(WAVELIT(856),LITF(1))
      EQUIVALENCE (WAVELIT(1046),LITG(1))
      DATA BIGA/
     1     8.97666,     9.2,         9.5,         9.71730,     9.81590,
     2    10.10901,    10.3,        10.46451,    10.65,       10.88545,
     3    11.2,        11.6,        11.95562,    12.3,        12.66565,
     4    12.74676,    12.93504,    13.16033,    13.31723,    13.46700,
     5    13.86253,    14.10462,    14.54782,    14.9,        15.3,
     6    15.74874,    16.00346,    16.4,        16.8,        17.25088,
     7    17.43258,    17.93660,    18.10114,    18.24438,    18.97796,
     8    19.22422,    19.55098,    20.11987,    20.23592,    20.8,
     9    21.3,        21.94783,    22.01983,    22.58070,    22.78377,
     A    23.2,        23.65221,    24.3,        25.00744,    25.46614,
     1    25.89239,    26.14316,    26.6,        27.1,        27.6,
     2    28.09263,    28.65871,    29.3,        29.95849,    30.26260,
     3    31.3,        32.3,        33.3,        34.3,        35.27931,
     4    36.14100,    37.,         38.01600,    38.96642,    40.,
     5    41.,         41.87992,    42.5,        43.5,        44.73260,
     6    45.5,        46.5,        47.5,        48.50178,    49.5,
     7    50.42590,    50.87630,    52.,         54.,         56.,
     8    57.40614,    59.5,        61.5,        63.5,        65.53786,
     9    67.,         69.,         71.,         72.24011,    74./
      DATA BIGB/
     1    76.,         78.,         80.,         82.,         84.,
     2    86.,         88.,         90.,         91.17535,    94.,
     3    98.,         102.,       106.,        110.03056,   113., 
     4   116.,         120.,       123.92928,   128.,        132.,
     5   136.,         140.,       144.43391,   148.,        151.43485,
     6   157.,         162.15072,  167.40282,   171.,        175.,
     7   180.,         184.,       188.,        193.,        197.46990,
     8   202.,         207.13210,  210.,        215.,        220.,
     9   225.,         230.,       235.,        240.,        245.,
     A   251.12621,    255.,       260.,        265.,        270.,
     1   275.,         280.,       285.,        290.,        300.,
     2   310.,         320.,       330.,        340.,        350.,
     3   360.,         364.70183,  370.,        380.,        390.,
     4   400.,   410., 420., 430., 450., 460.,  470., 480.,  490., 500.,
     5   510.,   520., 530., 540., 550., 560.,  570., 580.,  590., 600.,
     6   610.,   620., 630., 640., 650., 660.,  670., 680.,  690., 700.,
     7   710.,   720., 730., 740., 750., 760.,  770., 780.,  790., 800.,
     8   810.,820.58271,830.,840., 850., 860.,  870., 880.,  890., 900.,
     9   910.,   920., 930., 940., 950., 960.,  970., 980.,  990.,1000./
      DATA BIGC/
     1 1025.,1050.,1075.,1100.,1125.,1150.,1175.,1200.,1225.,1250.,
     2 1275.,1300.,1325.,1350.,1375.,1400.,1425.,1458.81670,1475.,1500.,
     3 1525.,1550.,1575.,1600.,1640.,1680.,1720.,1760.,1800.,1840.,
     4 1880.,1920.,1960.,2000.,2050.,2100.,2150.,2200.,2250.,2279.40330,
     5 2300.,2350.,2400.,2450.,2500.,2550.,2600.,2650.,2700.,2750.,
     6 2800.,2850.,2900.,2950.,3000.,3050.,3100.,3150.,3200.,3282.34320,
     7 3400.,3500.,3600.,3700.,3800.,3900.,4000.,4100.,4200.,4300.,
     8 4400.,4500.,4600.,4700.,4800.,4900.,5000.,5100.,5200.,5300.,
     9 5400.,5500.,5600.,5700.,5800.,5900.,6000.,6100.,6200.,6300.,
     A 6400.,6600.,6800.,7000.,7200.,7400.,7600.,7800.,8000.,8200.,
     1 8400.,8600.,8800.,9000.,9200.,9400.,9600.,9800.,10000000.,
     2 884*0./
      DATA LITA/
     1     8.97666,     9.2,         9.5,         9.71730,     9.81590,
     2    10.10901,    10.3,        10.46451,    10.65000,    10.88545,
     3    11.2,        11.6,        11.95562,    12.3,        12.66565,
     4    12.74676,    12.93504,    13.16033,    13.31723,    13.46700,
     5    13.86253,    14.10462,    14.54782,    14.9,        15.3,
     6    15.74874,    16.00346,    16.4,        16.8,        17.25088,
     7    17.43258,    17.93660,    18.10114,    18.24438,    18.97796,
     8    19.22422,    19.55098,    20.11987,    20.23592,    20.8,
     9    21.3,        21.94783,    22.01983,    22.58070,    22.78377,
     A    23.2,        23.65221,    24.3,        25.00744,    25.46614,
     1    25.89239,    26.14316,    26.6,        27.1,        27.6,
     2    28.09263,    28.65871,    29.3,        29.95849,    30.26260,
     3    31.3,        32.3,        33.3,        34.3,        35.27931,
     4    36.14100,    37.,         38.01600,    38.96642,    40.,
     5    41.,         41.87992,    42.5,        43.5,        44.73260,
     6    45.5,        46.5,        47.5,        48.50178,    49.5,
     7    50.42590,    50.87630,    51.5,        52.5,        53.5,
     8    54.5,        55.5,        56.5,        57.40614,    58.5,
     9    59.5,        60.5,        61.5,        62.5,        63.5/
      DATA LITB/ 
     1  64.5, 65.53786, 66., 67., 68., 69., 70., 71., 72.24011, 73.,
     2  74., 75., 76., 77., 78., 79., 80., 81., 82., 83.,
     3  84., 85., 86., 87., 88., 89., 90., 91.17535, 92., 93.,
     4  94., 95., 96., 97., 98., 99., 100., 101., 102., 103.,
     5 104., 105., 106., 107., 108., 109., 110.03056, 111., 112., 113.,
     6 114., 115., 116., 117., 118., 119., 120., 121., 122., 123.,
     7 123.92928, 125., 126., 127., 128., 129., 130., 131., 132., 133.,
     8 134., 135., 136., 137., 138., 139., 140., 141., 142., 143.,
     9 144.,144.43391,145.,146.,147.,148.,149.,150.,151.,151.43485,
     A 152., 153., 154., 155., 156., 157., 158., 159., 160., 161.,
     1 162.15072,163.,164.,165.,166.,167.,167.40282,168.,169.,170.,
     2 171., 172., 173., 174., 175., 176., 177., 178., 179., 180.,
     3 181., 182., 183., 184., 185., 186., 187., 188., 189., 190.,
     4 191.,192.,193.,194.,195.,196.,197.46990,197.81149,199.,200.,
     5 201.,202.,203.,204.,205.,206.,207.13210,207.61400,208.,209.,
     6 210., 211., 212., 213., 214., 215., 216., 217., 218., 219.,
     7 220., 221., 222., 223., 224., 225., 226., 227., 228., 229.,
     8 230., 231., 232., 233., 234., 235., 236., 237., 238., 239.,
     9 240., 241., 242., 243., 244., 245., 246., 247., 248., 249./
      DATA LITC/
     1 250.,251.12621,251.51005,252.,253.,254.,255.,256.,257.,258.,
     2 259., 260., 261., 262., 263., 264., 265., 266., 267., 268.,
     3 269., 270., 271., 272., 273., 274., 275., 276., 277., 278.,
     4 279., 280., 281., 282., 283., 284., 285., 286., 287., 288.,
     5 289., 290., 292., 294., 296., 298., 300., 302., 304., 306.,
     6 308., 310., 312., 314., 316., 318., 320., 322., 324., 326.,
     7 328., 330., 332., 334., 336., 338., 340., 342., 344., 346.,
     8 348., 350., 352., 354., 356., 358., 360., 362., 364., 364.70183,
     9 366., 368., 370., 372., 374., 376., 378., 380., 382., 384.,
     A 386., 388., 390., 392., 394., 396., 398., 400., 402., 404.,
     1 406., 408., 410., 412., 414., 416., 418., 420., 422., 424.,
     2 426., 428., 430., 432., 434., 436., 438., 440., 442., 444.,
     3 446., 448., 450., 452., 454., 456., 458., 460., 462., 464.,
     4 466., 468., 470., 472., 474., 476., 478., 480., 482., 484.,
     5 486., 488., 490., 492., 494., 496., 498., 500., 502., 504.,
     6 506., 508., 510., 512., 514., 516., 518., 520., 522., 524.,
     7 526., 528., 530., 532., 534., 536., 538., 540., 542., 544.,
     8 546., 548., 550., 552., 554., 556., 558., 560., 562., 564.,
     9 566., 568., 570., 572., 574., 576., 578., 580., 582., 584./
      DATA LITD/
     1 586., 588., 590., 592., 594., 596., 598., 600., 602., 604.,
     2 606., 608., 610., 612., 614., 616., 618., 620., 622., 624.,
     3 626., 628., 630., 632., 634., 636., 638., 640., 642., 644.,
     4 646., 648., 650., 652., 654., 656., 658., 660., 662., 664.,
     5 666., 668., 670., 672., 674., 676., 678., 680., 682., 684.,
     6 686., 688., 690., 692., 694., 696., 698., 700., 702., 704.,
     7 706., 708., 710., 712., 714., 716., 718., 720., 722., 724.,
     8 726., 728., 730., 732., 734., 736., 738., 740., 742., 744.,
     9 746., 748., 750., 752., 754., 756., 758., 760., 762., 764.,
     A 766., 768., 770., 772., 774., 776., 778., 780., 782., 784.,
     1 786., 788., 790., 792., 794., 796., 798., 800., 802., 804.,
     2 806., 808., 810., 812., 814., 816., 818., 820.58271, 822., 824.,
     3 826., 828., 830., 832., 834., 836., 838., 840., 842., 844.,
     4 846., 848., 850., 852., 854., 856., 858., 860., 862., 864.,
     5 866., 868., 870., 872., 874., 876., 878., 880., 882., 884.,
     6 886., 888., 890., 892., 894., 896., 898., 900., 902., 904.,
     7 906., 908., 910., 912., 914., 916., 918., 920., 922., 924.,
     8 926., 928., 930., 932., 934., 936., 938., 940., 942., 944.,
     9 946., 948., 950., 952., 954., 956., 958., 960., 962., 964./
      DATA LITE/
     1 966., 968., 970., 972., 974., 976., 978., 980., 982., 984.,
     2 986., 988., 990., 992., 994., 996., 998.,1000.,1005.,1010.,
     3 1015.,1020.,1025.,1030.,1035.,1040.,1045.,1050.,1055.,1060.,
     4 1065.,1070.,1075.,1080.,1085.,1090.,1095.,1100.,1105.,1110.,
     5 1115.,1120.,1125.,1130.,1135.,1140.,1145.,1150.,1155.,1160.,
     6 1165.,1170.,1175.,1180.,1185.,1190.,1195.,1200.,1205.,1210.,
     7 1215.,1220.,1225.,1230.,1235.,1240.,1245.,1250.,1255.,1260.,
     8 1265.,1270.,1275.,1280.,1285.,1290.,1295.,1300.,1305.,1310.,
     9 1315.,1320.,1325.,1330.,1335.,1340.,1345.,1350.,1355.,1360.,
     A 1365.,1370.,1375.,1380.,1385.,1390.,1395.,1400.,1405.,1410.,
     1 1415.,1420.,1425.,1430.,1435.,1440.,1445.,1450.,1455.,1458.81670,
     2 1465.,1470.,1475.,1480.,1485.,1490.,1495.,1500.,1505.,1510.,
     3 1515.,1520.,1525.,1530.,1535.,1540.,1545.,1550.,1555.,1560.,
     4 1565.,1570.,1575.,1580.,1585.,1590.,1595.,1600.,1610.,1620.,
     5 1630.,1640.,1650.,1660.,1670.,1680.,1690.,1700.,1710.,1720.,
     6 1730.,1740.,1750.,1760.,1770.,1780.,1790.,1800.,1810.,1820.,
     7 1830.,1840.,1850.,1860.,1870.,1880.,1890.,1900.,1910.,1920.,
     8 1930.,1940.,1950.,1960.,1970.,1980.,1990.,2000.,2010.,2020.,
     9 2030.,2040.,2050.,2060.,2070.,2080.,2090.,2100.,2110.,2120./
      DATA LITF/     
     1 2130.,2140.,2150.,2160.,2170.,2180.,2190.,2200.,2210.,2220.,
     2 2230.,2240.,2250.,2260.,2270.,2279.40330,2290.,2300.,2310.,2320.,
     3 2330.,2340.,2350.,2360.,2370.,2380.,2390.,2400.,2410.,2420.,
     4 2430.,2440.,2450.,2460.,2470.,2480.,2490.,2500.,2510.,2520.,
     5 2530.,2540.,2550.,2560.,2570.,2580.,2590.,2600.,2610.,2620.,
     6 2630.,2640.,2650.,2660.,2670.,2680.,2690.,2700.,2710.,2720.,
     7 2730.,2740.,2750.,2760.,2770.,2780.,2790.,2800.,2810.,2820.,
     8 2830.,2840.,2850.,2860.,2870.,2880.,2890.,2900.,2910.,2920.,
     9 2930.,2940.,2950.,2960.,2970.,2980.,2990.,3000.,3010.,3020.,
     A 3030.,3040.,3050.,3060.,3070.,3080.,3090.,3100.,3110.,3120.,
     1 3130.,3140.,3150.,3160.,3170.,3180.,3190.,3200.,3220.,3240.,
     2 3260.,3282.34820,3300.,3320.,3340.,3360.,3380.,3400.,3420.,3440.,
     3 3460.,3480.,3500.,3520.,3540.,3560.,3580.,3600.,3620.,3640.,
     4 3660.,3680.,3700.,3720.,3740.,3760.,3780.,3800.,3820.,3840.,
     5 3860.,3880.,3900.,3920.,3940.,3960.,3980.,4000.,4020.,4040.,
     6 4060.,4080.,4100.,4120.,4140.,4160.,4180.,4200.,4220.,4240.,
     7 4260.,4280.,4300.,4320.,4340.,4360.,4380.,4400.,4420.,4440.,
     8 4460.,4480.,4500.,4520.,4540.,4560.,4580.,4600.,4620.,4640.,
     9 4660.,4680.,4700.,4720.,4740.,4760.,4780.,4800.,4820.,4840./
      DATA LITG/     
     1 4860.,4880.,4900.,4920.,4940.,4960.,4980.,5000.,5020.,5040.,
     2 5060.,5080.,5100.,5120.,5140.,5160.,5180.,5200.,5220.,5240.,
     3 5260.,5280.,5300.,5320.,5340.,5360.,5380.,5400.,5420.,5440.,
     4 5460.,5480.,5500.,5520.,5540.,5560.,5580.,5600.,5620.,5640.,
     5 5660.,5680.,5700.,5720.,5740.,5760.,5780.,5800.,5820.,5840.,
     6 5860.,5880.,5900.,5920.,5940.,5960.,5980.,6000.,6020.,6040.,
     7 6060.,6080.,6100.,6120.,6140.,6160.,6180.,6200.,6220.,6240.,
     8 6260.,6280.,6300.,6320.,6340.,6360.,6380.,6400.,6440.,6480.,
     9 6520.,6560.,6600.,6640.,6680.,6720.,6760.,6800.,6840.,6880.,
     A 6920.,6960.,7000.,7040.,7080.,7120.,7160.,7200.,7240.,7280.,
     1 7320.,7360.,7400.,7440.,7480.,7520.,7560.,7600.,7640.,7680.,
     2 7720.,7760.,7800.,7840.,7880.,7920.,7960.,8000.,8040.,8080.,
     3 8120.,8160.,8200.,8240.,8280.,8320.,8360.,8400.,8440.,8480.,
     4 8520.,8560.,8600.,8640.,8680.,8720.,8760.,8800.,8840.,8880.,
     5 8920.,8960.,9000.,9040.,9080.,9120.,9160.,9200.,9240.,9280.,
     6 9320.,9360.,9400.,9440.,9480.,9520.,9560.,9600.,9640.,9680.,
     7 9720.,9760.,9800.,9840.,9880.,9920.,9960.,10000000./
      RETURN
      END
      SUBROUTINE LINSOP(J,NSTEPS,STEPWT)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /OPS/D1(kw,15),SIGLIN(kw),D2(kw,9)
C     DUMMY FOR LINE ABSORPTION DISTRIBUTION FUNCTIONS    S=J
      RETURN
      END
      SUBROUTINE XLINOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /OPS/D1(kw,16),AXLINE(kw),D2(kw,6),SXLINE(kw),D3(kw)
C     DUMMY LINE OPACITY ROUTINE
      RETURN
      END
      SUBROUTINE XLISOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /OPS/D1(kw,17),SIGXL(kw),D2(kw,7)
C     DUMMY LINE SCATTERING ROUTINE
      RETURN
      END
      SUBROUTINE XCONOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /OPS/D1(kw,18),AXCONT(kw),D2(kw,5),SXCONT(kw)
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /STATE/P(kw),XNE(kw),XNATOM(kw),RHO(kw)
      COMMON /TEMP/T(kw),TKEV(kw),TK(kw),HKT(kw),TLOG(kw),HCKT(kw),ITEMP
      COMMON /TURBPR/VTURB(kw),PTURB(kw),TRBFDG,TRBCON,TRBPOW,TRBSND,
     1               IFTURB
      DO 25 J=1,NRHOX
      AXCONT(J)=ROSSTAB(T(J),P(J),VTURB(J))
   25 SXCONT(J)=5.667E-5/12.5664*T(J)**4*4.
      RETURN
      END
      SUBROUTINE XSOP
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
      COMMON /OPS/D1(kw,19),SIGX(kw),D2(kw,5)
C     DUMMY SCATTERING ROUTINE
      RETURN
      END
      SUBROUTINE JOSH(IFSCAT,IFSURF,freq)
      IMPLICIT REAL*8 (A-H,O-Z)
      PARAMETER (kw=99)
C     IFSCAT=1  SOLVE INTEGRAL EQUATION FOR SOURCE FUNCTION
C     IFSCAT=0  SET SNU=SBAR
C     IFSURF=0  CALCULATE J AND H
C     IFSURF=1  CALCULATE SURFACE FLUX
C     IFSURF=2  CALCULATE SURFACE SPECIFIC INTENSITY
      COMMON /ABTOT/ABTOT(kw),ALPHA(kw)
C      COMMON /MATX/COEFJ(51,51),COEFH(51,51),XTAU(51),NXTAU
      COMMON /MATXJ/COEFJ(51,51)
      COMMON /MATXH/COEFH(51,51)
      REAL*4 COEFJ,COEFH,XTAU
      COMMON /MUS/ANGLE(20),SURFI(20),NMU
      COMMON /OPTOT/ACONT(kw),SCONT(kw),ALINE(kw),SLINE(kw),SIGMAC(kw),
     1              SIGMAL(kw)
      COMMON /PRD/PRDDOP,PRDPOW,ITPRD,NITPRD,SIGPRD(kw),NUPRD,LINPRD
      COMMON /PZERO/PZERO,PCON,PRAD0,PTURB0,KNU(kw),PRADK(kw),RADEN(kw)
      REAL*8 KNU
      COMMON /RHOX/RHOX(kw),NRHOX
      COMMON /TAUSHJ/TAUNU(kw),SNU(kw),HNU(kw),JNU(kw),JMINS(kw)
      REAL*8 JNU,JMINS
      REAL*4 XS(51),XSBAR(51),XALPHA(51),DIAG(51),XH(51),XJS(51)
      REAL*4 CK(51),CH(51),DELXS,ERRORX,XJ,XBETA(51),XK
      REAL*8 XSBAR8(51),XALPHA8(51),XS8(51),XH8(51),XJS8(51),XTAU8(51)
      REAL*8 XBETA8(51)
      REAL*8 BETA(kw)
      REAL*8 A(kw),B(kw),C(kw),SNUBAR(kw),CTWO(kw),B2CT(kw),B2CT1(kw)
      REAL*8 EXTAU(51,20),NEW
      DATA CH/
     1 7.15528131E-07, 1.49142693E-06, 1.52106577E-06, 2.98150826E-06,
     2 5.33941056E-06, 9.13329677E-06, 1.61715943E-05, 2.97035986E-05,
     3 5.33166603E-05, 9.11154202E-05, 1.61084638E-04, 2.95118050E-04,
     4 5.27450291E-04, 8.67939554E-04, 1.61498412E-03, 2.50720908E-03,
     5 3.20994272E-03, 5.61912498E-03, 8.60872678E-03, 1.04706492E-02,
     6 1.33110350E-02, 1.62635669E-02, 1.90288834E-02, 2.18877215E-02,
     7 2.36015432E-02, 2.10819542E-02, 1.80345085E-02, 1.64786074E-02,
     8 1.49382707E-02, 1.19676525E-02, 9.90213640E-03, 8.17766134E-03,
     8 6.11252524E-03, 4.84035723E-03, 3.06078210E-03, 2.40512565E-03,
     9 2.01712688E-03, 1.33288081E-03, 7.83530239E-04, 4.31428343E-04,
     T 1.76504589E-04, 4.75738016E-05, 1.65963702E-05, 5.41117970E-06,
     1 2.08043571E-06, 7.11612643E-07, 8.08788982E-08, 1.95130507E-08,
     3 4.33638281E-09, 8.87765583E-10, 3.90236420E-11/
      DATA CK/
     1 3.57771910E-07, 7.45730404E-07, 7.60575176E-07, 1.49091113E-06,
     2 2.67016185E-06, 4.56793896E-06, 8.08956065E-06, 1.48632944E-05,
     3 2.66928291E-05, 4.56529851E-05, 8.08134864E-05, 1.48363324E-04,
     4 2.66052346E-04, 4.39771306E-04, 8.25088180E-04, 1.29440730E-03,
     5 1.67680858E-03, 2.98973685E-03, 4.68314718E-03, 5.84855257E-03,
     6 7.64854718E-03, 9.63155832E-03, 1.16419578E-02, 1.38551742E-02,
     7 1.54840983E-02, 1.42877987E-02, 1.25930300E-02, 1.17983138E-02,
     8 1.09717194E-02, 8.98320694E-03, 7.59950886E-03, 6.38808031E-03,
     9 4.86854184E-03, 3.91568616E-03, 2.51398841E-03, 2.00142385E-03,
     T 1.70069211E-03, 1.14058319E-03, 6.80292083E-04, 3.80097074E-04,
     1 1.57705377E-04, 4.31706540E-05, 1.51795348E-05, 4.98576401E-06,
     2 1.92979223E-06, 6.63957223E-07, 7.65236692E-08, 1.84933668E-08,
     3 4.12596224E-09, 8.47334369E-10, 3.81791959E-11/
      DATA XTAU8/0.,.0000032,.0000056,.00001,.000018,.000032,.000056,
     1.0001,.00018,.00032,.00056,.001,.0018,.0032,.0056,.01,.016,.025,
     2.042,.065,.096,.139,.196,.273,.375,.5,.63,.78,.95,1.15,1.35,1.6,
     3 1.85,2.15,2.45,2.75,3.15,3.65,4.25,5.0,6.,7.,8.,9.,10.,11.5,
     4 13.,14.5,16.,18.,20./
      DATA NXTAU/51/
      DATA EXTAU/1020*0./
	wavelam=2.99792458E18/freq
      DO 10 J=1,NRHOX
      ABTOT(J)=ACONT(J)+ALINE(J)+SIGMAC(J)+SIGMAL(J)
      ALPHA(J)=(SIGMAC(J)+SIGMAL(J))/ABTOT(J)
C     ALPHA(J)=(SIGMAC(J)+SIGMAL(J)+SIGPRD(J))/ABTOT(J)
C     BETA(J)=(ACONT(J)+ALINE(J))/ABTOT(J)
   10 SNUBAR(J)=(ACONT(J)*SCONT(J)+ALINE(J)*SLINE(J))/
     1(ACONT(J)+ALINE(J))
      CALL INTEG(RHOX,ABTOT,TAUNU,NRHOX,ABTOT(1)*RHOX(1))
c	if(wavelam.gt.10000.)then
c	do 199 j=2,nrhox
c	if(abtot(j).le.abtot(j-1))type*,wavelam,j,abtot(j)
c199	continue
c	endif
      MAXJ=0
      IF(IFSCAT.EQ.1)GO TO 30
C
      DO 20 J=1,NRHOX
   20 SNU(J)=SNUBAR(J)
      IF(IFSURF.EQ.2)GO TO 70
      MAXJ=MAP1(TAUNU,SNU,NRHOX,XTAU8,XS8,NXTAU)
      DO 22 L=1,NXTAU
   22 XS(L)=XS8(L)
      IF(IFSURF.EQ.1)GO TO 60
      DO 21 J=1,NRHOX
   21 ALPHA(J)=0.
C
   30 IF(TAUNU(1).GT.XTAU8(NXTAU))MAXJ=1
      IF(MAXJ.EQ.1)GO TO 401
      MAXJ=MAP1(TAUNU,SNUBAR,NRHOX,XTAU8,XSBAR8,NXTAU)
      MAXJ=MAP1(TAUNU,ALPHA,NRHOX,XTAU8,XALPHA8,NXTAU)
C     MAXJ=MAP1(TAUNU,BETA,NRHOX,XTAU8,XBETA8,NXTAU)
      DO 31 L=1,NXTAU
C     IN CASE OF BAD INTERPOLATION
      XALPHA(L)=MAX(XALPHA8(L),0.D0)
      XSBAR(L)=MAX(XSBAR8(L),1.D-38)
C     XBETA(L)=MAX(XBETA8(L),0.D0)
      IF(XTAU8(L).LT.TAUNU(1))THEN
      XSBAR(L)=MAX(SNUBAR(1),1.D-38)
      XALPHA(L)=MAX(ALPHA(1),0.D0)
C     XBETA(L)=MAX(BETA(1),0.D0)
      ENDIF
      XS(L)=XSBAR(L)
      DIAG(L)=1.-XALPHA(L)*COEFJ(L,L)
C  31 XSBAR(L)=XBETA(L)*XSBAR(L)
   31 XSBAR(L)=(1.-XALPHA(L))*XSBAR(L)
C     THE LIMIT ON DO 34, THE MAXIMUM NUMBER OF ITERATIONS, IS ARBITRARY
	nxtau2=2*nxtau
      DO 34 L=1,NXTAU2
      IFERR=0
      K=NXTAU+1
      DO 33 KK=1,NXTAU
      K=K-1
      DELXS=0.
      DO 32 M=1,NXTAU
   32 DELXS=DELXS+COEFJ(K,M)*XS(M)
      DELXS=(DELXS*XALPHA(K)+XSBAR(K)-XS(K))/DIAG(K)
      ERRORX=ABS(DELXS/XS(K))
      IF(ERRORX.GT..00001)IFERR=1
   33 XS(K)=MAX(XS(K)+DELXS,1.D-38)
   39 IF(IFERR.EQ.0)GO TO 35
   34 CONTINUE
c	type*,wavelam,k,xs(k)
C
   35 IF(IFSURF.EQ.1)GO TO 60
      DO 305 M=1,NXTAU
  305 XS8(M)=XS(M)
      IF(IFSURF.EQ.2)GO TO 670
      MDUMMY=MAP1(XTAU8,XS8,NXTAU,TAUNU,SNU,MAXJ)
      IF(MAXJ.EQ.NRHOX)GO TO 46
  401 MAXJ1=MAXJ+1
      IF(MAXJ.EQ.1)MAXJ1=1
      DO 40 J=MAXJ1,NRHOX
   40 SNU(J)=SNUBAR(J)
      M=MAX0(MAXJ-1,1)
      NM1=NRHOX-M+1
      NMJ=NRHOX-MAXJ+1
C     THE LIMIT ON DO 45 IS ARBITRARY
      DO 45 L=1,NXTAU
      ERROR=0.
      CALL DERIV(TAUNU(M),SNU(M),HNU(M),NM1)
      DO 41 J=M,NRHOX
   41 HNU(J)=HNU(J)/3.
      CALL DERIV(TAUNU(MAXJ),HNU(MAXJ),JMINS(MAXJ),NMJ)
      DO 43 J=MAXJ1,NRHOX
      JNU(J)=JMINS(J)+SNU(J)
C     SNEW=BETA(J)*SNUBAR(J)+ALPHA(J)*JNU(J)
      SNEW=(1.-ALPHA(J))*SNUBAR(J)+ALPHA(J)*JNU(J)
      if(snew.eq.0)go to 46
      ERROR=ABS(SNEW-SNU(J))/SNEW+ERROR
   43 SNU(J)=SNEW
      IF(ERROR.LT..00001)GO TO 46
   45 CONTINUE
   46 IF(IFSURF.EQ.2)GO TO 70
      IF(MAXJ.EQ.1)THEN
      KNU(1)=JNU(1)/3.
      RETURN
      ENDIF
C
   50 DO 51 L=1,NXTAU
      XJS(L)=-XS(L)
      DO 501 M=1,NXTAU
  501 XJS(L)=XJS(L)+COEFJ(L,M)*XS(M)
      XJS8(L)=XJS(L)
      XH(L)=0.
      DO 502 M=1,NXTAU
  502 XH(L)=XH(L)+COEFH(L,M)*XS(M)
   51 XH8(L)=XH(L)
      MDUMMY=MAP1(XTAU8,XJS8,NXTAU,TAUNU,JMINS,MAXJ)
      MDUMMY=MAP1(XTAU8,XH8,NXTAU,TAUNU,HNU,MAXJ)
      XK=0.
      DO 52 M=1,NXTAU
   52 XK=XK+CK(M)*XS(M)
      KNU(1)=XK
      DO 53 J=1,MAXJ
   53 JNU(J)=JMINS(J)+SNU(J)
      RETURN
C
   60 XH(1)=0.
      DO 61 M=1,NXTAU
   61 XH(1)=XH(1)+CH(M)*XS(M)
      HNU(1)=XH(1)
      RETURN
C
C     ASSUMES REAL*8 AND LARGE EXPONENT RANGE
  670 CALL PARCOE(XS8,XTAU8,A,B,C,NXTAU)
      N1=NXTAU-1
      DO 671 J=1,NXTAU
      CTWO(J)=C(J)*2.
  671 B2CT(J)=B(J)+CTWO(J)*XTAU8(J)
      DO 672 J=1,N1
  672 B2CT1(J)=B(J)+CTWO(J)*XTAU8(J+1)
      IF(EXTAU(1,1).EQ.0.)THEN
      DO 673 MU=1,NMU
      DO 673 J=1,NXTAU
      TANGLE=XTAU8(J)/ANGLE(MU)
      IF(TANGLE.LT.300.)EXTAU(J,MU)=EXP(-TANGLE)
  673 CONTINUE
      ENDIF
      DO 675 MU=1,NMU
      SURFI(MU)=0.
      DO 674 J=1,N1
      IF(EXTAU(J,MU).EQ.0.)GO TO 675
  674 SURFI(MU)=SURFI(MU)+
     1EXTAU(J,MU)*(XS8(J)+(B2CT(J)+CTWO(J)*ANGLE(MU))*ANGLE(MU))-
     2EXTAU(J+1,MU)*(XS8(J+1)+(B2CT1(J)+CTWO(J)*ANGLE(MU))*ANGLE(MU))
      SURFI(MU)=SURFI(MU)+EXTAU(NXTAU,MU)*(XS8(NXTAU)+(B2CT(NXTAU)+
     1CTWO(NXTAU)*ANGLE(MU))*ANGLE(MU))
  675 CONTINUE
      RETURN
C
   70 CALL PARCOE(SNU,TAUNU,A,B,C,NRHOX)
      N1=NRHOX-1
      DO 71 J=1,NRHOX
      CTWO(J)=C(J)*2.
   71 B2CT(J)=B(J)+CTWO(J)*TAUNU(J)
      DO 710 J=1,N1
  710 B2CT1(J)=B(J)+CTWO(J)*TAUNU(J+1)
      DO 75 MU=1,NMU
      OLD=1.
      SUM=0.
      DO 73 J=1,N1
      TANGLE=TAUNU(J+1)/ANGLE(MU)
      NEW=EXP(-TANGLE)
      D=TANGLE-TAUNU(J)/ANGLE(MU)
      IF(D.LE..03)GO TO 72
      SUM=SUM+OLD*(SNU(J)+(B2CT(J)+CTWO(J)*ANGLE(MU))*ANGLE(MU))-
     1     NEW*(SNU(J+1)+(B2CT1(J)+CTWO(J)*ANGLE(MU))*ANGLE(MU))
C     REAL*4
C     IF(TANGLE.LT.50.)GO TO 73
C     REAL*8 G-FLOATING
      IF(TANGLE.LT.300.)GO TO 73
      SURFI(MU)=SUM
      GO TO 75
   72 DDDDD=1.
      IF(D.GT..001)DDDDD=((((D/9.+1.)*D/8.+1.)*D/7.+1.)*D/6.+1.)*D/5.+1.
      SUM=SUM+NEW*(SNU(J)+(SNU(J)+B2CT(J)*ANGLE(MU)+(SNU(J)+(B2CT(J)+
     1CTWO(J)*ANGLE(MU))*ANGLE(MU))*(DDDDD*D/4.+1.)*D/3.)*D/2.)*D
   73 OLD=NEW
      SURFI(MU)=SUM+OLD*(SNU(NRHOX)+(B2CT(NRHOX)+CTWO(NRHOX)*ANGLE(MU))*
     1ANGLE(MU))
   75 CONTINUE
      RETURN
      END
      SUBROUTINE BLOCKJ
C      COMMON /MATX/CJ(2601),CH(2601),XTAU(51),NXTAU
      COMMON /MATXJ/CJ(2601)
      DIMENSION CJ   1(36),CJ   2(36),CJ   3(36),CJ   4(36),CJ   5(36)
      DIMENSION CJ   6(36),CJ   7(36),CJ   8(36),CJ   9(36),CJ  10(36)
      DIMENSION CJ  11(36),CJ  12(36),CJ  13(36),CJ  14(36),CJ  15(36)
      DIMENSION CJ  16(36),CJ  17(36),CJ  18(36),CJ  19(36),CJ  20(36)
      DIMENSION CJ  21(36),CJ  22(36),CJ  23(36),CJ  24(36),CJ  25(36)
      DIMENSION CJ  26(36),CJ  27(36),CJ  28(36),CJ  29(36),CJ  30(36)
      DIMENSION CJ  31(36),CJ  32(36),CJ  33(36),CJ  34(36),CJ  35(36)
      DIMENSION CJ  36(36),CJ  37(36),CJ  38(36),CJ  39(36),CJ  40(36)
      DIMENSION CJ  41(36),CJ  42(36),CJ  43(36),CJ  44(36),CJ  45(36)
      DIMENSION CJ  46(36),CJ  47(36),CJ  48(36),CJ  49(36),CJ  50(36)
      DIMENSION CJ  51(36),CJ  52(36),CJ  53(36),CJ  54(36),CJ  55(36)
      DIMENSION CJ  56(36),CJ  57(36),CJ  58(36),CJ  59(36),CJ  60(36)
      DIMENSION CJ  61(36),CJ  62(36),CJ  63(36),CJ  64(36),CJ  65(36)
      DIMENSION CJ  66(36),CJ  67(36),CJ  68(36),CJ  69(36),CJ  70(36)
      DIMENSION CJ  71(36),CJ  72(36),CJ  73( 9)
      EQUIVALENCE (CJ   1(1),CJ (   1)),(CJ   2(1),CJ (  37))
      EQUIVALENCE (CJ   3(1),CJ (  73)),(CJ   4(1),CJ ( 109))
      EQUIVALENCE (CJ   5(1),CJ ( 145)),(CJ   6(1),CJ ( 181))
      EQUIVALENCE (CJ   7(1),CJ ( 217)),(CJ   8(1),CJ ( 253))
      EQUIVALENCE (CJ   9(1),CJ ( 289)),(CJ  10(1),CJ ( 325))
      EQUIVALENCE (CJ  11(1),CJ ( 361)),(CJ  12(1),CJ ( 397))
      EQUIVALENCE (CJ  13(1),CJ ( 433)),(CJ  14(1),CJ ( 469))
      EQUIVALENCE (CJ  15(1),CJ ( 505)),(CJ  16(1),CJ ( 541))
      EQUIVALENCE (CJ  17(1),CJ ( 577)),(CJ  18(1),CJ ( 613))
      EQUIVALENCE (CJ  19(1),CJ ( 649)),(CJ  20(1),CJ ( 685))
      EQUIVALENCE (CJ  21(1),CJ ( 721)),(CJ  22(1),CJ ( 757))
      EQUIVALENCE (CJ  23(1),CJ ( 793)),(CJ  24(1),CJ ( 829))
      EQUIVALENCE (CJ  25(1),CJ ( 865)),(CJ  26(1),CJ ( 901))
      EQUIVALENCE (CJ  27(1),CJ ( 937)),(CJ  28(1),CJ ( 973))
      EQUIVALENCE (CJ  29(1),CJ (1009)),(CJ  30(1),CJ (1045))
      EQUIVALENCE (CJ  31(1),CJ (1081)),(CJ  32(1),CJ (1117))
      EQUIVALENCE (CJ  33(1),CJ (1153)),(CJ  34(1),CJ (1189))
      EQUIVALENCE (CJ  35(1),CJ (1225)),(CJ  36(1),CJ (1261))
      EQUIVALENCE (CJ  37(1),CJ (1297)),(CJ  38(1),CJ (1333))
      EQUIVALENCE (CJ  39(1),CJ (1369)),(CJ  40(1),CJ (1405))
      EQUIVALENCE (CJ  41(1),CJ (1441)),(CJ  42(1),CJ (1477))
      EQUIVALENCE (CJ  43(1),CJ (1513)),(CJ  44(1),CJ (1549))
      EQUIVALENCE (CJ  45(1),CJ (1585)),(CJ  46(1),CJ (1621))
      EQUIVALENCE (CJ  47(1),CJ (1657)),(CJ  48(1),CJ (1693))
      EQUIVALENCE (CJ  49(1),CJ (1729)),(CJ  50(1),CJ (1765))
      EQUIVALENCE (CJ  51(1),CJ (1801)),(CJ  52(1),CJ (1837))
      EQUIVALENCE (CJ  53(1),CJ (1873)),(CJ  54(1),CJ (1909))
      EQUIVALENCE (CJ  55(1),CJ (1945)),(CJ  56(1),CJ (1981))
      EQUIVALENCE (CJ  57(1),CJ (2017)),(CJ  58(1),CJ (2053))
      EQUIVALENCE (CJ  59(1),CJ (2089)),(CJ  60(1),CJ (2125))
      EQUIVALENCE (CJ  61(1),CJ (2161)),(CJ  62(1),CJ (2197))
      EQUIVALENCE (CJ  63(1),CJ (2233)),(CJ  64(1),CJ (2269))
      EQUIVALENCE (CJ  65(1),CJ (2305)),(CJ  66(1),CJ (2341))
      EQUIVALENCE (CJ  67(1),CJ (2377)),(CJ  68(1),CJ (2413))
      EQUIVALENCE (CJ  69(1),CJ (2449)),(CJ  70(1),CJ (2485))
      EQUIVALENCE (CJ  71(1),CJ (2521)),(CJ  72(1),CJ (2557))
      EQUIVALENCE (CJ  73(1),CJ (2593))
      DATA CJ   1/
     1 9.79744820E-06, 8.96296860E-06, 8.35934549E-06, 7.89335126E-06,
     2 7.44161783E-06, 7.01338932E-06, 6.60406268E-06, 6.18398056E-06,
     3 5.76053476E-06, 5.34734829E-06, 4.94621727E-06, 4.53113519E-06,
     4 4.11083148E-06, 3.69997631E-06, 3.30117385E-06, 2.88937415E-06,
     5 2.55730770E-06, 2.24433006E-06, 1.88506336E-06, 1.58859300E-06,
     6 1.33086897E-06, 1.09505641E-06, 8.86720269E-07, 6.98736456E-07,
     7 5.33933743E-07, 4.00542516E-07, 3.06250782E-07, 2.30467716E-07,
     8 1.70827079E-07, 1.22755304E-07, 8.97411915E-08, 6.17573521E-08,
     9 4.31436590E-08, 2.84810947E-08, 1.90445828E-08, 1.28647073E-08/
      DATA CJ   2/
     1 7.72163607E-09, 4.14498085E-09, 2.00041016E-09, 8.21655030E-10,
     2 2.57654521E-10, 8.26321572E-11, 2.69513765E-11, 8.90661828E-12,
     3 2.97449037E-12, 5.83155356E-13, 1.16051514E-13, 2.33699420E-14,
     4 4.75155459E-15, 5.75016867E-16, 7.03774182E-17, 1.84495605E-05,
     5 2.04340585E-05, 1.83893753E-05, 1.67455934E-05, 1.56681842E-05,
     6 1.47030431E-05, 1.38123877E-05, 1.29157909E-05, 1.20215185E-05,
     7 1.11539807E-05, 1.03144214E-05, 9.44721432E-06, 8.57000031E-06,
     8 7.71299640E-06, 6.88139393E-06, 6.02284144E-06, 5.33058911E-06,
     9 4.67816358E-06, 3.92926961E-06, 3.31128764E-06, 2.77407705E-06/
      DATA CJ   3/
     1 2.28254302E-06, 1.84828352E-06, 1.45644794E-06, 1.11293201E-06,
     2 8.34890799E-07, 6.38348903E-07, 4.80386613E-07, 3.56071674E-07,
     3 2.55870903E-07, 1.87056331E-07, 1.28726866E-07, 8.99285240E-08,
     4 5.93659104E-08, 3.96964700E-08, 2.68151550E-08, 1.60949529E-08,
     5 8.63978399E-09, 4.16964794E-09, 1.71265479E-09, 5.37054134E-10,
     6 1.72238158E-10, 5.61773464E-11, 1.85649208E-11, 6.20001617E-12,
     7 1.21552673E-12, 2.41897316E-13, 4.87122141E-14, 9.90412136E-15,
     8 1.19856284E-15, 1.46694406E-16, 1.73787847E-05, 1.87918674E-05,
     9 2.08999830E-05, 1.83387653E-05, 1.62807705E-05, 1.51671131E-05/
      DATA CJ   4/
     1 1.41811027E-05, 1.32240507E-05, 1.22888417E-05, 1.13916825E-05,
     2 1.05286937E-05, 9.64030881E-06, 8.74342375E-06, 7.86815095E-06,
     3 7.01932516E-06, 6.14328580E-06, 5.43706123E-06, 4.77153058E-06,
     4 4.00764123E-06, 3.37730951E-06, 2.82937491E-06, 2.32803523E-06,
     5 1.88511642E-06, 1.48546973E-06, 1.13510730E-06, 8.51525287E-07,
     6 6.51067057E-07, 4.89957364E-07, 3.63165556E-07, 2.60968439E-07,
     7 1.90782877E-07, 1.31291340E-07, 9.17200485E-08, 6.05485677E-08,
     8 4.04872778E-08, 2.73493468E-08, 1.64155829E-08, 8.81189759E-09,
     9 4.25271133E-09, 1.74677236E-09, 5.47752673E-10, 1.75669266E-10/
      DATA CJ   5/
     1 5.72964369E-11, 1.89347458E-11, 6.32352422E-12, 1.23974071E-12,
     2 2.46716040E-13, 4.96825863E-14, 1.01014163E-14, 1.22243878E-15,
     3 1.49616625E-16, 3.25551939E-05, 3.36923300E-05, 3.51339037E-05,
     4 3.88807453E-05, 3.39978572E-05, 3.01736404E-05, 2.80557516E-05,
     5 2.60587444E-05, 2.41623827E-05, 2.23709199E-05, 2.06616637E-05,
     6 1.89100581E-05, 1.71462550E-05, 1.54274129E-05, 1.37618090E-05,
     7 1.20435652E-05, 1.06587206E-05, 9.35383616E-06, 7.85622517E-06,
     8 6.62051755E-06, 5.54637186E-06, 4.56358554E-06, 3.69533249E-06,
     9 2.91191152E-06, 2.22510520E-06, 1.66920873E-06, 1.27625797E-06/
      DATA CJ   6/
     1 9.60441144E-07, 7.11896566E-07, 5.11564087E-07, 3.73982533E-07,
     2 2.57364048E-07, 1.79794324E-07, 1.18690371E-07, 7.93652009E-08,
     3 5.36115600E-08, 3.21786438E-08, 1.72735185E-08, 8.33637456E-09,
     4 3.42410898E-09, 1.07373157E-09, 3.44355456E-10, 1.12315261E-10,
     5 3.71168073E-11, 1.23956785E-11, 2.43019968E-12, 4.83624689E-13,
     6 9.73902009E-14, 1.98012828E-14, 2.39628331E-15, 2.93285700E-16,
     7 5.51439894E-05, 5.61737699E-05, 5.70971222E-05, 5.97158543E-05,
     8 6.64856520E-05, 5.78678247E-05, 5.11761113E-05, 4.71765037E-05,
     9 4.35390905E-05, 4.02099897E-05, 3.70855896E-05, 3.39125099E-05/
      DATA CJ   7/
     1 3.07335362E-05, 2.76442550E-05, 2.46552200E-05, 2.15743729E-05,
     2 1.90924626E-05, 1.67544242E-05, 1.40714918E-05, 1.18579707E-05,
     3 9.93395930E-06, 8.17364957E-06, 6.61851880E-06, 5.21535125E-06,
     4 3.98524025E-06, 2.98960335E-06, 2.28581302E-06, 1.72017429E-06,
     5 1.27502343E-06, 9.16222511E-07, 6.69810519E-07, 4.60944116E-07,
     6 3.22015062E-07, 2.12576632E-07, 1.42144487E-07, 9.60192338E-08,
     7 5.76324937E-08, 3.09371550E-08, 1.49305800E-08, 6.13263252E-09,
     8 1.92306956E-09, 6.16745755E-10, 2.01158282E-10, 6.64767407E-11,
     9 2.22008383E-11, 4.35252215E-12, 8.66178627E-13, 1.74427211E-13/
      DATA CJ   8/
     1 3.54643725E-14, 4.29177646E-15, 5.25278713E-16, 8.91694801E-05,
     2 9.01232630E-05, 9.09107328E-05, 9.25454757E-05, 9.72160435E-05,
     3 1.08952038E-04, 9.40609395E-05, 8.21386656E-05, 7.52804540E-05,
     4 6.92140241E-05, 6.36798786E-05, 5.81457739E-05, 5.26491551E-05,
     5 4.73328076E-05, 4.22021470E-05, 3.69215245E-05, 3.26707758E-05,
     6 2.86680627E-05, 2.40761116E-05, 2.02882014E-05, 1.69960157E-05,
     7 1.39841085E-05, 1.13233607E-05, 8.92267193E-06, 6.81810177E-06,
     8 5.11470759E-06, 3.91063057E-06, 2.94291447E-06, 2.18133635E-06,
     9 1.56749018E-06, 1.14592288E-06, 7.88590043E-07, 5.50907755E-07/
      DATA CJ   9/
     1 3.63678755E-07, 2.43182435E-07, 1.64270749E-07, 9.85982526E-08,
     2 5.29275745E-08, 2.55433660E-08, 1.04917571E-08, 3.29000168E-09,
     3 1.05513294E-09, 3.44142921E-10, 1.13728830E-10, 3.79813302E-11,
     4 7.44632040E-12, 1.48186329E-12, 2.98411029E-13, 6.06726381E-14,
     5 7.34239348E-15, 8.98649491E-16, 1.48734554E-04, 1.49668443E-04,
     6 1.50406412E-04, 1.51853966E-04, 1.54848007E-04, 1.63105701E-04,
     7 1.83690606E-04, 1.57030317E-04, 1.35729830E-04, 1.23968355E-04,
     8 1.13534508E-04, 1.03387927E-04, 9.34668387E-05, 8.39522065E-05,
     9 7.48117928E-05, 6.54283214E-05, 5.78852350E-05, 5.07874030E-05/
      DATA CJ  10/
     1 4.26485228E-05, 3.59366977E-05, 3.01041834E-05, 2.47687422E-05,
     2 2.00556632E-05, 1.58034172E-05, 1.20757841E-05, 9.05877784E-06,
     3 6.92617657E-06, 5.21222091E-06, 3.86337217E-06, 2.77618035E-06,
     4 2.02953927E-06, 1.39666621E-06, 9.75707553E-07, 6.44107267E-07,
     5 4.30697222E-07, 2.90937554E-07, 1.74625805E-07, 9.37391181E-08,
     6 4.52393852E-08, 1.85817455E-08, 5.82685384E-09, 1.86872322E-09,
     7 6.09503895E-10, 2.01422551E-10, 6.72678568E-11, 1.31880025E-11,
     8 2.62449257E-12, 5.28508532E-13, 1.07455822E-13, 1.30039311E-14,
     9 1.59157564E-15, 2.56079901E-04, 2.57031747E-04, 2.57766555E-04/
      DATA CJ  11/
     1 2.59163661E-04, 2.61888194E-04, 2.67327121E-04, 2.81742190E-04,
     2 3.19354058E-04, 2.70603482E-04, 2.32425980E-04, 2.11306977E-04,
     3 1.91402222E-04, 1.72512615E-04, 1.54685828E-04, 1.37706011E-04,
     4 1.20357383E-04, 1.06446541E-04, 9.33741396E-05, 7.83973100E-05,
     5 6.60530846E-05, 5.53292123E-05, 4.55210463E-05, 3.68579859E-05,
     6 2.90425875E-05, 2.21917680E-05, 1.66471758E-05, 1.27280184E-05,
     7 9.57827123E-06, 7.09951281E-06, 5.10161560E-06, 3.72954698E-06,
     8 2.56655106E-06, 1.79298202E-06, 1.18362336E-06, 7.91455799E-07,
     9 5.34630571E-07, 3.20894151E-07, 1.72255713E-07, 8.31321299E-08/
      DATA CJ  12/
     1 3.41458713E-08, 1.07074315E-08, 3.43396440E-09, 1.12002317E-09,
     2 3.70133495E-10, 1.23611166E-10, 2.42342125E-11, 4.82275355E-12,
     3 9.71184154E-13, 1.97460132E-13, 2.38959340E-14, 2.92466775E-15,
     4 4.28478665E-04, 4.29422059E-04, 4.30140918E-04, 4.31484994E-04,
     5 4.34020658E-04, 4.38774835E-04, 4.48007289E-04, 4.74192413E-04,
     6 5.41887598E-04, 4.55714167E-04, 3.88809223E-04, 3.48834385E-04,
     7 3.12498533E-04, 2.79274664E-04, 2.48145828E-04, 2.16625539E-04,
     8 1.91470492E-04, 1.67889720E-04, 1.40916781E-04, 1.18707073E-04,
     9 9.94231585E-05, 8.17917639E-05, 6.62222043E-05, 5.21781154E-05/
      DATA CJ  13/
     1 3.98685750E-05, 2.99067370E-05, 2.28655892E-05, 1.72069282E-05,
     2 1.27538260E-05, 9.16465428E-06, 6.69979937E-06, 4.61055441E-06,
     3 3.22090046E-06, 2.12624430E-06, 1.42175560E-06, 9.60397422E-07,
     4 5.76444952E-07, 3.09434371E-07, 1.49335410E-07, 6.13382136E-08,
     5 1.92343401E-08, 6.16860678E-09, 2.01195275E-09, 6.64888375E-10,
     6 2.22048435E-10, 4.35329925E-11, 8.66332015E-12, 1.74457896E-12,
     7 3.54705773E-13, 4.29252289E-14, 5.25369629E-15, 6.81346346E-04,
     8 6.82255817E-04, 6.82943987E-04, 6.84219429E-04, 6.86585612E-04,
     9 6.90881586E-04, 6.98754285E-04, 7.15098144E-04, 7.61797141E-04/
      DATA CJ  14/
     1 8.79148726E-04, 7.30251735E-04, 6.11067411E-04, 5.42551059E-04,
     2 4.82001904E-04, 4.26857355E-04, 3.71876578E-04, 3.28350939E-04,
     3 2.87718988E-04, 2.41367155E-04, 2.03264175E-04, 1.70210809E-04,
     4 1.40006824E-04, 1.13344596E-04, 8.93004808E-05, 6.82295010E-05,
     5 5.11791622E-05, 3.91286652E-05, 2.94446879E-05, 2.18241298E-05,
     6 1.56821832E-05, 1.14643071E-05, 7.88923736E-06, 5.51132513E-06,
     7 3.63822025E-06, 2.43275575E-06, 1.64332221E-06, 9.86342258E-07,
     8 5.29464043E-07, 2.55522410E-07, 1.04953205E-07, 3.29109410E-08,
     9 1.05547740E-08, 3.44253802E-09, 1.13765089E-09, 3.79933350E-10/
      DATA CJ  15/
     1 7.44864964E-11, 1.48232305E-11, 2.98503002E-12, 6.06912361E-13,
     2 7.34463078E-14, 8.98921998E-15, 1.11484772E-03, 1.11575700E-03,
     3 1.11644237E-03, 1.11770657E-03, 1.12003104E-03, 1.12418195E-03,
     4 1.13155813E-03, 1.14602725E-03, 1.17595605E-03, 1.25851233E-03,
     5 1.46433575E-03, 1.19777795E-03, 9.84898023E-04, 8.67486801E-04,
     6 7.63496933E-04, 6.62669548E-04, 5.84007289E-04, 5.11122829E-04,
     7 4.28377739E-04, 3.60559179E-04, 3.01823315E-04, 2.48203963E-04,
     8 2.00902454E-04, 1.58263961E-04, 1.20908862E-04, 9.06877167E-05,
     9 6.93314047E-05, 5.21706171E-05, 3.86672514E-05, 2.77844799E-05/
      DATA CJ  16/
     1 2.03112075E-05, 1.39770538E-05, 9.76407481E-06, 6.44553426E-06,
     2 4.30987268E-06, 2.91128982E-06, 1.74737828E-06, 9.37977549E-07,
     3 4.52670223E-07, 1.85928420E-07, 5.83025562E-08, 1.86979588E-08,
     4 6.09849176E-09, 2.01535459E-09, 6.73052396E-10, 1.31952557E-10,
     5 2.62592423E-11, 5.28794933E-12, 1.07513735E-12, 1.30108980E-13,
     6 1.59242422E-14, 1.87645118E-03, 1.87738833E-03, 1.87809318E-03,
     7 1.87938984E-03, 1.88176229E-03, 1.88596108E-03, 1.89330275E-03,
     8 1.90726205E-03, 1.93448596E-03, 1.98883781E-03, 2.13292357E-03,
     9 2.50895650E-03, 2.02160072E-03, 1.64022652E-03, 1.42967764E-03/
      DATA CJ  17/
     1 1.23180309E-03, 1.08166934E-03, 9.44527709E-04, 7.90233024E-04,
     2 6.64466714E-04, 5.55869126E-04, 4.56912546E-04, 3.69718850E-04,
     3 2.91182454E-04, 2.22414806E-04, 1.66800680E-04, 1.27509362E-04,
     4 9.59420089E-05, 7.11054588E-05, 5.10907704E-05, 3.73475053E-05,
     5 2.56997018E-05, 1.79528489E-05, 1.18509126E-05, 7.92410065E-06,
     6 5.35260374E-06, 3.21262703E-06, 1.72448625E-06, 8.32230538E-07,
     7 3.41823776E-07, 1.07186229E-07, 3.43749330E-08, 1.12115909E-08,
     8 3.70504943E-09, 1.23734148E-09, 2.42580742E-10, 4.82746345E-11,
     9 9.72126355E-12, 1.97650655E-12, 2.39188535E-13, 2.92745938E-14/
      DATA CJ  18/
     1 3.05596719E-03, 3.05690144E-03, 3.05760323E-03, 3.05889229E-03,
     2 3.06124422E-03, 3.06538575E-03, 3.07256282E-03, 3.08598245E-03,
     3 3.11130067E-03, 3.15877520E-03, 3.25098448E-03, 3.51262193E-03,
     4 4.18929515E-03, 3.32802567E-03, 2.66019874E-03, 2.26255826E-03,
     5 1.97241133E-03, 1.71470116E-03, 1.42979273E-03, 1.19998887E-03,
     6 1.00267078E-03, 8.23483583E-04, 6.65943148E-04, 5.24251321E-04,
     7 4.00308105E-04, 3.00140478E-04, 2.29403448E-04, 1.72588821E-04,
     8 1.27898063E-04, 9.18898504E-05, 6.71676646E-05, 4.62170248E-05,
     9 3.22840871E-05, 2.13103008E-05, 1.42486670E-05, 9.62450663E-06/
      DATA CJ  19/
     1 5.77646456E-06, 3.10063265E-06, 1.49631817E-06, 6.14572206E-07,
     2 1.92708225E-07, 6.18011032E-08, 2.01565561E-08, 6.66099210E-09,
     3 2.22449327E-09, 4.36107753E-10, 8.67867310E-11, 1.74765026E-11,
     4 3.55326822E-12, 4.29999393E-13, 5.26279611E-14, 4.58905399E-03,
     5 4.58994482E-03, 4.59061355E-03, 4.59184086E-03, 4.59407675E-03,
     6 4.59800330E-03, 4.60477562E-03, 4.61732873E-03, 4.64062203E-03,
     7 4.68292875E-03, 4.76051134E-03, 4.92176307E-03, 5.38442458E-03,
     8 6.54922376E-03, 5.03719066E-03, 3.84919968E-03, 3.34188460E-03,
     9 2.88688751E-03, 2.39518284E-03, 2.00456361E-03, 1.67194936E-03/
      DATA CJ  20/
     1 1.37143155E-03, 1.10808371E-03, 8.71743749E-04, 6.65317431E-04,
     2 4.98659080E-04, 3.81044905E-04, 2.86621113E-04, 2.12371138E-04,
     3 1.52561656E-04, 1.11506092E-04, 7.67190760E-05, 5.35872980E-05,
     4 3.53701589E-05, 2.36483834E-05, 1.59731092E-05, 9.58640571E-06,
     5 5.14549598E-06, 2.48305034E-06, 1.01981189E-06, 3.19766809E-07,
     6 1.02546081E-07, 3.34450069E-08, 1.10521721E-08, 3.69092105E-09,
     7 7.23588135E-10, 1.43994616E-10, 2.89963727E-11, 5.89541038E-12,
     8 7.13428630E-13, 8.73165412E-14, 7.63344239E-03, 7.63436095E-03,
     9 7.63505020E-03, 7.63631460E-03, 7.63861604E-03, 7.64265143E-03/
      DATA CJ  21/
     1 7.64959272E-03, 7.66239614E-03, 7.68593738E-03, 7.72797518E-03,
     2 7.80267307E-03, 7.94918588E-03, 8.25219168E-03, 9.08595967E-03,
     3 1.11718179E-02, 8.50948584E-03, 6.67067668E-03, 5.66624412E-03,
     4 4.63749691E-03, 3.85370081E-03, 3.20032500E-03, 2.61728999E-03,
     5 2.11034644E-03, 1.65770792E-03, 1.26373000E-03, 9.46397409E-04,
     6 7.22788157E-04, 5.43449520E-04, 4.02532513E-04, 2.89087221E-04,
     7 2.11247909E-04, 1.45315957E-04, 1.01486491E-04, 6.69768382E-05,
     8 4.47757942E-05, 3.02408867E-05, 1.81477045E-05, 9.73991532E-06,
     9 4.69979281E-06, 1.93010363E-06, 6.05148839E-07, 1.94054898E-07/
      DATA CJ  22/
     1 6.32876542E-08, 2.09132360E-08, 6.98388223E-09, 1.36911508E-09,
     2 2.72448318E-10, 5.48621737E-11, 1.11541473E-11, 1.34978709E-12,
     3 1.65198131E-13, 1.06716479E-02, 1.06724962E-02, 1.06731327E-02,
     4 1.06743000E-02, 1.06764237E-02, 1.06801444E-02, 1.06865355E-02,
     5 1.06982944E-02, 1.07198145E-02, 1.07579188E-02, 1.08245983E-02,
     6 1.09515714E-02, 1.11999257E-02, 1.16984658E-02, 1.30537716E-02,
     7 1.64947744E-02, 1.24602153E-02, 9.56746194E-03, 7.64827637E-03,
     8 6.27825452E-03, 5.17676322E-03, 4.21361197E-03, 3.38651398E-03,
     9 2.65388823E-03, 2.01962478E-03, 1.51059058E-03, 1.15272726E-03/
      DATA CJ  23/
     1 8.66154710E-04, 6.41233882E-04, 4.60319778E-04, 3.36269473E-04,
     2 2.31249862E-04, 1.61465725E-04, 1.06538851E-04, 7.12127109E-05,
     3 4.80898278E-05, 2.88550145E-05, 1.54845115E-05, 7.47082608E-06,
     4 3.06775966E-06, 9.61734204E-07, 3.08377280E-07, 1.00565701E-07,
     5 3.32300398E-08, 1.10965833E-08, 2.17526303E-09, 4.32852492E-10,
     6 8.71597423E-11, 1.77202052E-11, 2.14430323E-12, 2.62432019E-13,
     7 1.24208536E-02, 1.24215406E-02, 1.24220560E-02, 1.24230012E-02,
     8 1.24247202E-02, 1.24277306E-02, 1.24328975E-02, 1.24423905E-02,
     9 1.24597184E-02, 1.24902550E-02, 1.25432456E-02, 1.26425720E-02/
      DATA CJ  24/
     1 1.28308312E-02, 1.31867664E-02, 1.38836281E-02, 1.61371087E-02,
     2 2.09342998E-02, 1.50640284E-02, 1.04396460E-02, 8.52366488E-03,
     3 6.96923411E-03, 5.63914478E-03, 4.51383247E-03, 3.52682352E-03,
     4 2.67803436E-03, 1.99989867E-03, 1.52453504E-03, 1.14460280E-03,
     5 8.46833440E-04, 6.07587365E-04, 4.43675885E-04, 3.05000337E-04,
     6 2.12901324E-04, 1.40441165E-04, 9.38549059E-05, 6.33698772E-05,
     7 3.80168928E-05, 2.03976823E-05, 9.83979455E-06, 4.03995811E-06,
     8 1.26634031E-06, 4.06007089E-07, 1.32393704E-07, 4.37443103E-08,
     9 1.46069081E-08, 2.86322161E-09, 5.69721947E-10, 1.14715681E-10/
      DATA CJ  25/
     1 2.33218140E-11, 2.82205447E-12, 3.45369833E-13, 1.94810935E-02,
     2 1.94818503E-02, 1.94824179E-02, 1.94834588E-02, 1.94853517E-02,
     3 1.94886657E-02, 1.94943513E-02, 1.95047890E-02, 1.95238140E-02,
     4 1.95572554E-02, 1.96150267E-02, 1.97224258E-02, 1.99228219E-02,
     5 2.02906364E-02, 2.09790973E-02, 2.24766315E-02, 2.59060675E-02,
     6 3.37894606E-02, 2.36650522E-02, 1.67865205E-02, 1.34852146E-02,
     7 1.07554640E-02, 8.52894897E-03, 6.62031125E-03, 5.00327821E-03,
     8 3.72392321E-03, 2.83262704E-03, 2.12313739E-03, 1.56873156E-03,
     9 1.12430016E-03, 8.20332823E-04, 5.63506593E-04, 3.93125304E-04/
      DATA CJ  26/
     1 2.59191151E-04, 1.73143499E-04, 1.16866620E-04, 7.00863842E-05,
     2 3.75917115E-05, 1.81285895E-05, 7.44097441E-06, 2.33174953E-06,
     3 7.47439487E-07, 2.43692177E-07, 8.05085341E-08, 2.68803496E-08,
     4 5.26840946E-09, 1.04820661E-09, 2.11044554E-10, 4.29029307E-11,
     5 5.19111983E-12, 6.35267562E-13, 2.68144794E-02, 2.68152340E-02,
     6 2.68158000E-02, 2.68168377E-02, 2.68187248E-02, 2.68220282E-02,
     7 2.68276939E-02, 2.68380900E-02, 2.68570222E-02, 2.68902478E-02,
     8 2.69474868E-02, 2.70533594E-02, 2.72490323E-02, 2.76017887E-02,
     9 2.82397420E-02, 2.95368461E-02, 3.16415686E-02, 3.66967999E-02/
      DATA CJ  27/
     1 4.98810707E-02, 3.43114781E-02, 2.40016204E-02, 1.87161429E-02,
     2 1.45996143E-02, 1.12081149E-02, 8.40567489E-03, 6.22335553E-03,
     3 4.71782027E-03, 3.52695811E-03, 2.60069160E-03, 1.86076446E-03,
     4 1.35601978E-03, 9.30420718E-04, 6.48541490E-04, 4.27250986E-04,
     5 2.85234445E-04, 1.92429775E-04, 1.15342167E-04, 6.18339132E-05,
     6 2.98055973E-05, 1.22285626E-05, 3.83040581E-06, 1.22745361E-06,
     7 4.00099709E-07, 1.32156222E-07, 4.41179135E-08, 8.64532737E-09,
     8 1.71983935E-09, 3.46231251E-10, 7.03783355E-11, 8.51470572E-12,
     9 1.04191002E-12, 2.93105845E-02, 2.93111926E-02, 2.93116486E-02/
      DATA CJ  28/
     1 2.93124848E-02, 2.93140052E-02, 2.93166665E-02, 2.93212301E-02,
     2 2.93296012E-02, 2.93448369E-02, 2.93715472E-02, 2.94174786E-02,
     3 2.95021568E-02, 2.96577012E-02, 2.99349550E-02, 3.04259264E-02,
     4 3.13820917E-02, 3.28196439E-02, 3.52993354E-02, 4.37293513E-02,
     5 6.16813834E-02, 4.10710605E-02, 2.73272861E-02, 2.08412122E-02,
     6 1.57078159E-02, 1.16349995E-02, 8.54306269E-03, 6.44256291E-03,
     7 4.79727031E-03, 3.52654009E-03, 2.51682379E-03, 1.83075442E-03,
     8 1.25402197E-03, 8.72988704E-04, 5.74439671E-04, 3.83149531E-04,
     9 2.58298944E-04, 1.54704606E-04, 8.28739739E-05, 3.99203092E-05/
      DATA CJ  29/
     1 1.63679751E-05, 5.12384714E-06, 1.64119506E-06, 5.34777682E-07,
     2 1.76593238E-07, 5.89393441E-08, 1.15466876E-08, 2.29654360E-09,
     3 4.62254965E-10, 9.39497631E-11, 1.13648268E-11, 1.39050368E-12,
     4 3.38719415E-02, 3.38724916E-02, 3.38729041E-02, 3.38736604E-02,
     5 3.38750357E-02, 3.38774427E-02, 3.38815700E-02, 3.38891395E-02,
     6 3.39029120E-02, 3.39270440E-02, 3.39685030E-02, 3.40448073E-02,
     7 3.41845344E-02, 3.44321947E-02, 3.48663543E-02, 3.56957363E-02,
     8 3.69034406E-02, 3.89082216E-02, 4.34786937E-02, 5.48837934E-02,
     9 7.92311401E-02, 5.11201902E-02, 3.29130965E-02, 2.41709942E-02/
      DATA CJ  30/
     1 1.75449024E-02, 1.27168996E-02, 9.51480609E-03, 7.04353074E-03,
     2 5.15471899E-03, 3.66546818E-03, 2.65931636E-03, 1.81718603E-03,
     3 1.26276077E-03, 8.29549046E-04, 5.52603530E-04, 3.72158022E-04,
     4 2.22659715E-04, 1.19153630E-04, 5.73421433E-05, 2.34905250E-05,
     5 7.34723417E-06, 2.35189262E-06, 7.65991588E-07, 2.52849277E-07,
     6 8.43647141E-08, 1.65217439E-08, 3.28511655E-09, 6.61088474E-10,
     7 1.34336273E-10, 1.62470060E-11, 1.98752421E-12, 3.78705822E-02,
     8 3.78710789E-02, 3.78714514E-02, 3.78721343E-02, 3.78733761E-02,
     9 3.78755493E-02, 3.78792755E-02, 3.78861088E-02, 3.78985392E-02/
      DATA CJ  31/
     1 3.79203122E-02, 3.79576958E-02, 3.80264251E-02, 3.81520308E-02,
     2 3.83738644E-02, 3.87602803E-02, 3.94896661E-02, 4.05309718E-02,
     3 4.22050142E-02, 4.58079989E-02, 5.18680175E-02, 6.69949177E-02,
     4 9.99650283E-02, 6.22151021E-02, 3.79264661E-02, 2.68360813E-02,
     5 1.90636001E-02, 1.40947336E-02, 1.03444628E-02, 7.52188726E-03,
     6 5.32118372E-03, 3.84637814E-03, 2.61953759E-03, 1.81578530E-03,
     7 1.19014956E-03, 7.91436695E-04, 5.32265138E-04, 3.17985329E-04,
     8 1.69927045E-04, 8.16723406E-05, 3.34177509E-05, 1.04402136E-05,
     9 3.33917358E-06, 1.08684559E-06, 3.58580423E-07, 1.19593740E-07/
      DATA CJ  32/
     1 2.34095416E-08, 4.65290141E-09, 9.36054907E-10, 1.90163622E-10,
     2 2.29927543E-11, 2.81213504E-12, 4.07045732E-02, 4.07050138E-02,
     3 4.07053442E-02, 4.07059501E-02, 4.07070517E-02, 4.07089796E-02,
     4 4.07122849E-02, 4.07183460E-02, 4.07293704E-02, 4.07486759E-02,
     5 4.07818096E-02, 4.08426810E-02, 4.09537773E-02, 4.11495151E-02,
     6 4.14890357E-02, 4.21248963E-02, 4.30212543E-02, 4.44338295E-02,
     7 4.73542676E-02, 5.19486346E-02, 5.96595030E-02, 8.00440021E-02,
     8 1.23805652E-01, 7.36099127E-02, 4.22094370E-02, 2.93020252E-02,
     9 2.12632345E-02, 1.53999160E-02, 1.10899988E-02, 7.78581980E-03/
      DATA CJ  33/
     1 5.59792888E-03, 3.79408528E-03, 2.62063726E-03, 1.71219569E-03,
     2 1.13580719E-03, 7.62385553E-04, 4.54536615E-04, 2.42425104E-04,
     3 1.16311835E-04, 4.75131868E-05, 1.48204245E-05, 4.73468735E-06,
     4 1.53971465E-06, 5.07644565E-07, 1.69215319E-07, 3.31006873E-08,
     5 6.57573986E-09, 1.32234067E-09, 2.68548744E-10, 3.24584914E-11,
     6 3.96867843E-12, 4.32342833E-02, 4.32346787E-02, 4.32349753E-02,
     7 4.32355189E-02, 4.32365074E-02, 4.32382374E-02, 4.32412033E-02,
     8 4.32466417E-02, 4.32565325E-02, 4.32738504E-02, 4.33035646E-02,
     9 4.33581273E-02, 4.34576211E-02, 4.36326376E-02, 4.39353696E-02/
      DATA CJ  34/
     1 4.44994366E-02, 4.52881489E-02, 4.65156962E-02, 4.89934064E-02,
     2 5.27270383E-02, 5.86246340E-02, 6.89792766E-02, 9.55178919E-02,
     3 1.53805931E-01, 8.72665990E-02, 4.81287151E-02, 3.42518696E-02,
     4 2.42867642E-02, 1.72256496E-02, 1.19534085E-02, 8.52602534E-03,
     5 5.73789848E-03, 3.94296355E-03, 2.56435298E-03, 1.69519482E-03,
     6 1.13475697E-03, 6.74616532E-04, 3.58827677E-04, 1.71739540E-04,
     7 6.99968308E-05, 2.17862780E-05, 6.94913635E-06, 2.25715388E-06,
     8 7.43486392E-07, 2.47641764E-07, 4.83984298E-08, 9.60806708E-09,
     9 1.93104607E-09, 3.91989428E-10, 4.73549560E-11, 5.78776151E-12/
      DATA CJ  35/
     1 4.32087632E-02, 4.32091029E-02, 4.32093576E-02, 4.32098246E-02,
     2 4.32106738E-02, 4.32121598E-02, 4.32147075E-02, 4.32193789E-02,
     3 4.32278743E-02, 4.32427472E-02, 4.32682614E-02, 4.33150958E-02,
     4 4.34004438E-02, 4.35504092E-02, 4.38093044E-02, 4.42899816E-02,
     5 4.49583505E-02, 4.59898809E-02, 4.80394281E-02, 5.10451508E-02,
     6 5.55906118E-02, 6.30744680E-02, 7.57836932E-02, 1.10123496E-01,
     7 1.85653774E-01, 1.03646665E-01, 5.94714146E-02, 4.05637117E-02,
     8 2.79429568E-02, 1.89929637E-02, 1.33657202E-02, 8.89196126E-03,
     9 6.06091784E-03, 3.91386910E-03, 2.57362900E-03, 1.71569689E-03/
      DATA CJ  36/
     1 1.01565207E-03, 5.38061069E-04, 2.56602824E-04, 1.04242060E-04,
     2 3.23436807E-05, 1.02933846E-05, 3.33770653E-06, 1.09794325E-06,
     3 3.65311742E-07, 7.13048076E-08, 1.41415068E-08, 2.83995095E-09,
     4 5.76120933E-10, 6.95510376E-11, 8.49584676E-12, 3.61991027E-02,
     5 3.61993546E-02, 3.61995435E-02, 3.61998898E-02, 3.62005195E-02,
     6 3.62016216E-02, 3.62035109E-02, 3.62069750E-02, 3.62132746E-02,
     7 3.62243025E-02, 3.62432184E-02, 3.62779330E-02, 3.63411687E-02,
     8 3.64521995E-02, 3.66436361E-02, 3.69982490E-02, 3.74895600E-02,
     9 3.82437785E-02, 3.97276968E-02, 4.18684883E-02, 4.50254746E-02/
      DATA CJ  37/
     1 5.00133841E-02, 5.80103385E-02, 7.21340556E-02, 1.13025502E-01,
     2 1.99418938E-01, 1.09586908E-01, 5.94793914E-02, 3.95984015E-02,
     3 2.61425920E-02, 1.80656790E-02, 1.18401639E-02, 7.98800065E-03,
     4 5.11311185E-03, 3.34058255E-03, 2.21597730E-03, 1.30517128E-03,
     5 6.88176910E-04, 3.26823531E-04, 1.32263645E-04, 4.08905223E-05,
     6 1.29798657E-05, 4.20064215E-06, 1.37970996E-06, 4.58502450E-07,
     7 8.93659154E-08, 1.77037640E-08, 3.55218722E-09, 7.20086542E-10,
     8 8.68632550E-11, 1.06039398E-11, 2.93072216E-02, 2.93074062E-02,
     9 2.93075447E-02, 2.93077986E-02, 2.93082602E-02, 2.93090679E-02/
      DATA CJ  38/
     1 2.93104528E-02, 2.93129919E-02, 2.93176092E-02, 2.93256917E-02,
     2 2.93395542E-02, 2.93649910E-02, 2.94113137E-02, 2.94926082E-02,
     3 2.96326546E-02, 2.98916735E-02, 3.02496816E-02, 3.07973230E-02,
     4 3.18679302E-02, 3.33963795E-02, 3.56156824E-02, 3.90380654E-02,
     5 4.43148129E-02, 5.31920594E-02, 6.91640591E-02, 1.16575775E-01,
     6 2.09934433E-01, 1.12013093E-01, 5.82642687E-02, 3.70523334E-02,
     7 2.49076025E-02, 1.59750451E-02, 1.06254412E-02, 6.72152469E-03,
     8 4.35445309E-03, 2.87016476E-03, 1.67963537E-03, 8.80394242E-04,
     9 4.15953076E-04, 1.67551113E-04, 5.15743081E-05, 1.63204537E-05/
      DATA CJ  39/
     1 5.26947577E-06, 1.72764130E-06, 5.73294937E-07, 1.11549698E-07,
     2 2.20694579E-08, 4.42352504E-09, 8.95959064E-10, 1.07979712E-10,
     3 1.31720886E-11, 2.56383409E-02, 2.56384908E-02, 2.56386032E-02,
     4 2.56388093E-02, 2.56391840E-02, 2.56398398E-02, 2.56409641E-02,
     5 2.56430254E-02, 2.56467737E-02, 2.56533350E-02, 2.56645878E-02,
     6 2.56852340E-02, 2.57228259E-02, 2.57887774E-02, 2.59023307E-02,
     7 2.61121441E-02, 2.64017019E-02, 2.68436483E-02, 2.77041846E-02,
     8 2.89248481E-02, 3.06808077E-02, 3.33507344E-02, 3.73782881E-02,
     9 4.39205671E-02, 5.52858594E-02, 7.56826005E-02, 1.25832006E-01/
      DATA CJ  40/
     1 2.30642137E-01, 1.18332498E-01, 5.71643469E-02, 3.76047112E-02,
     2 2.34557191E-02, 1.53226318E-02, 9.55330997E-03, 6.12663729E-03,
     3 4.00811123E-03, 2.32818065E-03, 1.21213576E-03, 5.69369511E-04,
     4 2.28164697E-04, 6.98955884E-05, 2.20433677E-05, 7.09934098E-06,
     5 2.32303675E-06, 7.69668743E-07, 1.49486186E-07, 2.95334964E-08,
     6 5.91300771E-09, 1.19656261E-09, 1.44067978E-10, 1.75607129E-11,
     7 2.22761665E-02, 2.22762878E-02, 2.22763789E-02, 2.22765457E-02,
     8 2.22768492E-02, 2.22773802E-02, 2.22782905E-02, 2.22799595E-02,
     9 2.22829944E-02, 2.22883068E-02, 2.22974173E-02, 2.23141315E-02/
      DATA CJ  41/
     1 2.23445596E-02, 2.23979289E-02, 2.24897765E-02, 2.26593445E-02,
     2 2.28930634E-02, 2.32491203E-02, 2.39401206E-02, 2.49151104E-02,
     3 2.63070342E-02, 2.83995587E-02, 3.15019911E-02, 3.64043040E-02,
     4 4.45264732E-02, 5.81378958E-02, 7.88629990E-02, 1.36137259E-01,
     5 2.57211631E-01, 1.30192772E-01, 6.63608831E-02, 3.93311909E-02,
     6 2.48502333E-02, 1.51148435E-02, 9.53662310E-03, 6.16693160E-03,
     7 3.54233209E-03, 1.82616568E-03, 8.50690362E-04, 3.38428996E-04,
     8 1.02988259E-04, 3.23302532E-05, 1.03769100E-05, 3.38662021E-06,
     9 1.11972018E-06, 2.16945941E-07, 4.27817069E-08, 8.55290917E-09/
      DATA CJ  42/
     1 1.72871725E-09, 2.07874878E-10, 2.53124541E-11, 1.72345593E-02,
     2 1.72346481E-02, 1.72347146E-02, 1.72348367E-02, 1.72350586E-02,
     3 1.72354470E-02, 1.72361127E-02, 1.72373334E-02, 1.72395531E-02,
     4 1.72434383E-02, 1.72501011E-02, 1.72623239E-02, 1.72845732E-02,
     5 1.73235899E-02, 1.73907151E-02, 1.75145682E-02, 1.76851231E-02,
     6 1.79446101E-02, 1.84470178E-02, 1.91532719E-02, 2.01562308E-02,
     7 2.16523609E-02, 2.38450945E-02, 2.72488293E-02, 3.27267114E-02,
     8 4.14736368E-02, 5.40800824E-02, 7.55433816E-02, 1.36071502E-01,
     9 2.66937747E-01, 1.30878244E-01, 5.70704857E-02, 3.54810703E-02/
      DATA CJ  43/
     1 2.10071223E-02, 1.30176391E-02, 8.31203265E-03, 4.71755468E-03,
     2 2.40684877E-03, 1.11154500E-03, 4.38918146E-04, 1.32672849E-04,
     3 4.14559690E-05, 1.32607288E-05, 4.31651874E-06, 1.42423313E-06,
     4 2.75284873E-07, 5.41870348E-08, 1.08174709E-08, 2.18388654E-09,
     5 2.62281135E-10, 3.19056755E-11, 1.37799601E-02, 1.37800274E-02,
     6 1.37800778E-02, 1.37801704E-02, 1.37803386E-02, 1.37806330E-02,
     7 1.37811376E-02, 1.37820629E-02, 1.37837454E-02, 1.37866904E-02,
     8 1.37917405E-02, 1.38010045E-02, 1.38178664E-02, 1.38474308E-02,
     9 1.38982799E-02, 1.39920548E-02, 1.41210902E-02, 1.43171872E-02/
      DATA CJ  44/
     1 1.46961074E-02, 1.52270987E-02, 1.59778404E-02, 1.70905750E-02,
     2 1.87061758E-02, 2.11789725E-02, 2.50716330E-02, 3.10732443E-02,
     3 3.92866830E-02, 5.24646620E-02, 7.45948113E-02, 1.44921051E-01,
     4 2.88593785E-01, 1.37313825E-01, 6.35764233E-02, 3.58313861E-02,
     5 2.14391887E-02, 1.33813743E-02, 7.44208358E-03, 3.73383866E-03,
     6 1.70148693E-03, 6.64396181E-04, 1.98863645E-04, 6.17263113E-05,
     7 1.96498532E-05, 6.37293608E-06, 2.09672615E-06, 4.03929604E-07,
     8 7.93103504E-08, 1.58017896E-08, 3.18509708E-09, 3.81879489E-10,
     9 4.63921497E-11, 1.10836014E-02, 1.10836534E-02, 1.10836924E-02/
      DATA CJ  45/
     1 1.10837639E-02, 1.10838939E-02, 1.10841214E-02, 1.10845115E-02,
     2 1.10852267E-02, 1.10865271E-02, 1.10888033E-02, 1.10927065E-02,
     3 1.10998664E-02, 1.11128976E-02, 1.11357432E-02, 1.11750288E-02,
     4 1.12474539E-02, 1.13470595E-02, 1.14983165E-02, 1.17902001E-02,
     5 1.21983629E-02, 1.27737467E-02, 1.36229698E-02, 1.48484789E-02,
     6 1.67074935E-02, 1.95944437E-02, 2.39552086E-02, 2.97559740E-02,
     7 3.86981296E-02, 5.32679383E-02, 8.05305435E-02, 1.50256705E-01,
     8 3.10028330E-01, 1.43359269E-01, 5.79514507E-02, 3.41359790E-02,
     9 2.07888262E-02, 1.13072749E-02, 5.57200234E-03, 2.50380051E-03/
      DATA CJ  46/
     1 9.66527996E-04, 2.86446076E-04, 8.83262559E-05, 2.79849270E-05,
     2 9.04393983E-06, 2.96723592E-06, 5.69809173E-07, 1.11611337E-07,
     3 2.21956566E-08, 4.46712809E-09, 5.34730172E-10, 6.48783939E-11,
     4 8.05345169E-03, 8.05348793E-03, 8.05351512E-03, 8.05356495E-03,
     5 8.05365555E-03, 8.05381410E-03, 8.05408592E-03, 8.05458428E-03,
     6 8.05549048E-03, 8.05707659E-03, 8.05979643E-03, 8.06478541E-03,
     7 8.07386492E-03, 8.08978091E-03, 8.11714522E-03, 8.16757597E-03,
     8 8.23689741E-03, 8.34208772E-03, 8.54480995E-03, 8.82771009E-03,
     9 9.22537505E-03, 9.80990903E-03, 1.06485399E-02, 1.19099547E-02/
      DATA CJ  47/
     1 1.38442261E-02, 1.67118796E-02, 2.04310483E-02, 2.59634497E-02,
     2 3.44927631E-02, 4.92459652E-02, 7.17143792E-02, 1.53427244E-01,
     3 3.26514616E-01, 1.45742764E-01, 6.13074379E-02, 3.60649980E-02,
     4 1.88174151E-02, 8.98850140E-03, 3.94809638E-03, 1.49719844E-03,
     5 4.37206538E-04, 1.33525468E-04, 4.20207143E-05, 1.35118440E-05,
     6 4.41591581E-06, 8.44260219E-07, 1.64822984E-07, 3.26934692E-08,
     7 6.56642250E-09, 7.84314417E-10, 9.49969176E-11, 6.23899214E-03,
     8 6.23901934E-03, 6.23903975E-03, 6.23907716E-03, 6.23914519E-03,
     9 6.23926423E-03, 6.23946831E-03, 6.23984247E-03, 6.24052283E-03/
      DATA CJ  48/
     1 6.24171365E-03, 6.24375562E-03, 6.24750111E-03, 6.25431728E-03,
     2 6.26626487E-03, 6.28680368E-03, 6.32464677E-03, 6.37664705E-03,
     3 6.45551338E-03, 6.60736780E-03, 6.81898452E-03, 7.11587158E-03,
     4 7.55107120E-03, 8.17302480E-03, 9.10333057E-03, 1.05183121E-02,
     5 1.25918504E-02, 1.52408962E-02, 1.91039365E-02, 2.48947623E-02,
     6 3.45085256E-02, 4.88880645E-02, 7.83625393E-02, 1.60081234E-01,
     7 3.50633150E-01, 1.58268933E-01, 6.90948156E-02, 3.39747806E-02,
     8 1.55020551E-02, 6.60454805E-03, 2.44930269E-03, 7.02699419E-04,
     9 2.12238793E-04, 6.62828734E-05, 2.11942671E-05, 6.89702873E-06/
      DATA CJ  49/
     1 1.31225577E-06, 2.55272620E-07, 5.04948874E-08, 1.01195427E-08,
     2 1.20591545E-09, 1.45796071E-10, 3.86282087E-03, 3.86283723E-03,
     3 3.86284949E-03, 3.86287197E-03, 3.86291285E-03, 3.86298440E-03,
     4 3.86310704E-03, 3.86333191E-03, 3.86374079E-03, 3.86445644E-03,
     5 3.86568359E-03, 3.86793446E-03, 3.87203051E-03, 3.87920970E-03,
     6 3.89154986E-03, 3.91428208E-03, 3.94550854E-03, 3.99284634E-03,
     7 4.08391991E-03, 4.21067527E-03, 4.38819654E-03, 4.64778015E-03,
     8 5.01747072E-03, 5.56772337E-03, 6.39868712E-03, 7.60416847E-03,
     9 9.12449772E-03, 1.13047814E-02, 1.44977905E-02, 1.96168808E-02/
      DATA CJ  50/
     1 2.68935185E-02, 4.08571483E-02, 6.32813848E-02, 1.50625472E-01,
     2 3.39572661E-01, 1.48214255E-01, 4.93249265E-02, 2.20913623E-02,
     3 9.10755191E-03, 3.29653797E-03, 9.28076731E-04, 2.77064012E-04,
     4 8.58448019E-05, 2.72917711E-05, 8.84251505E-06, 1.67419032E-06,
     5 3.24506159E-07, 6.40121059E-08, 1.28003362E-08, 1.52186166E-09,
     6 1.83661677E-10, 2.98227701E-03, 2.98228934E-03, 2.98229858E-03,
     7 2.98231552E-03, 2.98234633E-03, 2.98240025E-03, 2.98249267E-03,
     8 2.98266213E-03, 2.98297027E-03, 2.98350958E-03, 2.98443436E-03,
     9 2.98613057E-03, 2.98921719E-03, 2.99462686E-03, 3.00392462E-03/
      DATA CJ  51/
     1 3.02104965E-03, 3.04456802E-03, 3.08020825E-03, 3.14873479E-03,
     2 3.24401847E-03, 3.37728863E-03, 3.57180598E-03, 3.84811665E-03,
     3 4.25788866E-03, 4.87350005E-03, 5.76017191E-03, 6.86845602E-03,
     4 8.44008711E-03, 1.07075673E-02, 1.42674113E-02, 1.91878660E-02,
     5 2.82561307E-02, 4.26527329E-02, 7.23734657E-02, 1.66053959E-01,
     6 3.70990169E-01, 1.46316337E-01, 4.02698622E-02, 1.66654154E-02,
     7 5.85171602E-03, 1.60804097E-03, 4.73088651E-04, 1.45155849E-04,
     8 4.58264260E-05, 1.47698909E-05, 2.78019464E-06, 5.36593606E-07,
     9 1.05505562E-07, 2.10437806E-08, 2.49526484E-09, 3.00506659E-10/
      DATA CJ  52/
     1 2.45811060E-03, 2.45812052E-03, 2.45812796E-03, 2.45814160E-03,
     2 2.45816641E-03, 2.45820983E-03, 2.45828425E-03, 2.45842070E-03,
     3 2.45866882E-03, 2.45910309E-03, 2.45984773E-03, 2.46121352E-03,
     4 2.46369880E-03, 2.46805437E-03, 2.47553979E-03, 2.48932478E-03,
     5 2.50825196E-03, 2.53692541E-03, 2.59202576E-03, 2.66857395E-03,
     6 2.77551117E-03, 2.93133156E-03, 3.15215542E-03, 3.47856747E-03,
     7 3.96667106E-03, 4.66523184E-03, 5.53158490E-03, 6.74834637E-03,
     8 8.48186839E-03, 1.11569348E-02, 1.47721717E-02, 2.12195479E-02,
     9 3.09773686E-02, 5.02403557E-02, 8.47913144E-02, 1.81191796E-01/
      DATA CJ  53/
     1 4.35742447E-01, 1.57375913E-01, 3.77857605E-02, 1.33290042E-02,
     2 3.53494257E-03, 1.01785399E-03, 3.07954790E-04, 9.62707958E-05,
     3 3.08028604E-05, 5.75212773E-06, 1.10383599E-06, 2.16097638E-07,
     4 4.29560091E-08, 5.07558302E-09, 6.09587246E-10, 1.59316061E-03,
     5 1.59316688E-03, 1.59317159E-03, 1.59318020E-03, 1.59319588E-03,
     6 1.59322330E-03, 1.59327032E-03, 1.59335653E-03, 1.59351327E-03,
     7 1.59378762E-03, 1.59425804E-03, 1.59512085E-03, 1.59669084E-03,
     8 1.59944218E-03, 1.60417019E-03, 1.61287589E-03, 1.62482628E-03,
     9 1.64292426E-03, 1.67768186E-03, 1.72592489E-03, 1.79323589E-03/
      DATA CJ  54/
     1 1.89114489E-03, 2.02956203E-03, 2.23347321E-03, 2.53694524E-03,
     2 2.96846806E-03, 3.49945234E-03, 4.23810820E-03, 5.27764154E-03,
     3 6.85566320E-03, 8.94419422E-03, 1.25605380E-02, 1.78083775E-02,
     4 2.75074712E-02, 4.34318231E-02, 6.94569400E-02, 1.80213811E-01,
     5 4.82085871E-01, 1.59332134E-01, 2.91552500E-02, 7.98884103E-03,
     6 2.23838591E-03, 6.64530586E-04, 2.04998005E-04, 6.49535002E-05,
     7 1.20017500E-05, 2.28581804E-06, 4.44969147E-07, 8.80630041E-08,
     8 1.03581918E-08, 1.23968941E-09, 9.19353157E-04, 9.19356689E-04,
     9 9.19359338E-04, 9.19364194E-04, 9.19373024E-04, 9.19388477E-04/
      DATA CJ  55/
     1 9.19414967E-04, 9.19463536E-04, 9.19551848E-04, 9.19706417E-04,
     2 9.19971453E-04, 9.20457558E-04, 9.21342061E-04, 9.22892046E-04,
     3 9.25555409E-04, 9.30458801E-04, 9.37188357E-04, 9.47376741E-04,
     4 9.66933632E-04, 9.94056491E-04, 1.03185805E-03, 1.08675904E-03,
     5 1.16420985E-03, 1.27797277E-03, 1.44658757E-03, 1.68503220E-03,
     6 1.97650300E-03, 2.37877954E-03, 2.93932288E-03, 3.77931108E-03,
     7 4.87354280E-03, 6.72829417E-03, 9.34450658E-03, 1.39897358E-02,
     8 2.12049787E-02, 3.26161983E-02, 5.81647722E-02, 1.80163994E-01,
     9 5.28527592E-01, 1.49377768E-01, 1.15278749E-02, 4.59015236E-03/
      DATA CJ  56/
     1 1.38941231E-03, 4.28560071E-04, 1.35327423E-04, 2.48657102E-05,
     2 4.71313230E-06, 9.13883767E-07, 1.80285390E-07, 2.11329971E-08,
     3 2.52237838E-09, 4.97079819E-04, 4.97081685E-04, 4.97083085E-04,
     4 4.97085651E-04, 4.97090317E-04, 4.97098482E-04, 4.97112480E-04,
     5 4.97138144E-04, 4.97184809E-04, 4.97266483E-04, 4.97406528E-04,
     6 4.97663382E-04, 4.98130737E-04, 4.98949688E-04, 5.00356809E-04,
     7 5.02947077E-04, 5.06501374E-04, 5.11881044E-04, 5.22202627E-04,
     8 5.36506913E-04, 5.56423251E-04, 5.85308796E-04, 6.25981209E-04,
     9 6.85566078E-04, 7.73559903E-04, 8.97395372E-04, 1.04790530E-03/
      DATA CJ  57/
     1 1.25423681E-03, 1.53936087E-03, 1.96212602E-03, 2.50592714E-03,
     2 3.41272196E-03, 4.66542054E-03, 6.82886520E-03, 1.00691970E-02,
     3 1.49757493E-02, 2.58195605E-02, 5.09895938E-02, 1.82142093E-01,
     4 6.01661913E-01, 1.50263934E-01, 1.58288354E-02, 5.51672004E-03,
     5 1.65384948E-03, 5.09052680E-04, 9.09755702E-05, 1.69166221E-05,
     6 3.23492020E-06, 6.31498526E-07, 7.32461577E-08, 8.67314425E-09,
     7 1.99897580E-04, 1.99898314E-04, 1.99898865E-04, 1.99899876E-04,
     8 1.99901713E-04, 1.99904927E-04, 1.99910438E-04, 1.99920541E-04,
     9 1.99938912E-04, 1.99971066E-04, 2.00026199E-04, 2.00127316E-04/
      DATA CJ  58/
     1 2.00311299E-04, 2.00633683E-04, 2.01187569E-04, 2.02207070E-04,
     2 2.03605772E-04, 2.05722301E-04, 2.09781451E-04, 2.15403274E-04,
     3 2.23223904E-04, 2.34552788E-04, 2.50477950E-04, 2.73755006E-04,
     4 3.08022036E-04, 3.56046650E-04, 4.14131503E-04, 4.93307223E-04,
     5 6.01961696E-04, 7.61675253E-04, 9.65031926E-04, 1.29979774E-03,
     6 1.75495195E-03, 2.52510301E-03, 3.64908014E-03, 5.29931482E-03,
     7 8.79054164E-03, 1.67919264E-02, 3.55701775E-02, 1.66679011E-01,
     8 6.41873216E-01, 1.58308363E-01, 1.77085013E-02, 6.03634025E-03,
     9 1.80763238E-03, 3.11806787E-04, 5.65880157E-05, 1.06367396E-05/
      DATA CJ  59/
     1 2.05017106E-06, 2.34827287E-07, 2.75486735E-08, 5.28818603E-05,
     2 5.28820503E-05, 5.28821928E-05, 5.28824541E-05, 5.28829291E-05,
     3 5.28837603E-05, 5.28851853E-05, 5.28877980E-05, 5.28925486E-05,
     4 5.29008632E-05, 5.29151200E-05, 5.29412674E-05, 5.29888416E-05,
     5 5.30722006E-05, 5.32154105E-05, 5.34789783E-05, 5.38405186E-05,
     6 5.43874713E-05, 5.54359909E-05, 5.68872122E-05, 5.89042335E-05,
     7 6.18224554E-05, 6.59176796E-05, 7.18895835E-05, 8.06530367E-05,
     8 9.28834987E-05, 1.07603823E-04, 1.27556001E-04, 1.54750330E-04,
     9 1.94387175E-04, 2.44363059E-04, 3.25638255E-04, 4.34517962E-04/
      DATA CJ  60/
     1 6.15363065E-04, 8.73306817E-04, 1.24206340E-03, 1.99323939E-03,
     2 3.61586646E-03, 7.36911421E-03, 1.44074720E-02, 1.54062035E-01,
     3 6.33582634E-01, 1.56936612E-01, 1.73635032E-02, 5.93902443E-03,
     4 9.83219604E-04, 1.72819923E-04, 3.17727814E-05, 6.02693095E-06,
     5 6.79784799E-07, 7.88643246E-08, 1.82807098E-05, 1.82807748E-05,
     6 1.82808235E-05, 1.82809129E-05, 1.82810753E-05, 1.82813597E-05,
     7 1.82818471E-05, 1.82827408E-05, 1.82843657E-05, 1.82872098E-05,
     8 1.82920863E-05, 1.83010300E-05, 1.83173026E-05, 1.83458148E-05,
     9 1.83947973E-05, 1.84849417E-05, 1.86085855E-05, 1.87956191E-05/
      DATA CJ  61/
     1 1.91541013E-05, 1.96501256E-05, 2.03392769E-05, 2.13358157E-05,
     2 2.27332848E-05, 2.47691753E-05, 2.77527835E-05, 3.19096345E-05,
     3 3.69028889E-05, 4.36557463E-05, 5.28355375E-05, 6.61732519E-05,
     4 8.29308083E-05, 1.10069853E-04, 1.46252852E-04, 2.06020283E-04,
     5 2.90747496E-04, 4.11136869E-04, 6.54752904E-04, 1.17836636E-03,
     6 2.40810384E-03, 5.96195264E-03, 1.74408453E-02, 1.57214854E-01,
     7 6.34718148E-01, 1.61430142E-01, 2.17755787E-02, 3.57256008E-03,
     8 5.94303637E-04, 1.05566722E-04, 1.95664621E-05, 2.16074217E-06,
     9 2.47019226E-07, 5.90993561E-06, 5.90995641E-06, 5.90997201E-06/
      DATA CJ  62/
     1 5.91000062E-06, 5.91005263E-06, 5.91014365E-06, 5.91029968E-06,
     2 5.91058575E-06, 5.91110593E-06, 5.91201634E-06, 5.91357737E-06,
     3 5.91644034E-06, 5.92164933E-06, 5.93077618E-06, 5.94645523E-06,
     4 5.97530877E-06, 6.01488215E-06, 6.07473829E-06, 6.18944359E-06,
     5 6.34811763E-06, 6.56849358E-06, 6.88701017E-06, 7.33337610E-06,
     6 7.98307221E-06, 8.93403352E-06, 1.02568260E-05, 1.18428606E-05,
     7 1.39833327E-05, 1.68858911E-05, 2.10905717E-05, 2.63556257E-05,
     8 3.48481793E-05, 4.61177632E-05, 6.46293202E-05, 9.07018097E-05,
     9 1.27489574E-04, 2.01259458E-04, 3.57792631E-04, 7.19204235E-04/
      DATA CJ  63/
     1 1.74517798E-03, 5.82749688E-03, 1.69669437E-02, 1.55348802E-01,
     2 6.23701145E-01, 1.43451922E-01,-3.48187206E-03, 6.67723197E-04,
     3 1.48321433E-04, 2.94977261E-05, 3.38985522E-06, 3.95018156E-07,
     4 2.25483171E-06, 2.25483958E-06, 2.25484548E-06, 2.25485630E-06,
     5 2.25487597E-06, 2.25491039E-06, 2.25496940E-06, 2.25507759E-06,
     6 2.25527431E-06, 2.25561862E-06, 2.25620898E-06, 2.25729171E-06,
     7 2.25926164E-06, 2.26271320E-06, 2.26864252E-06, 2.27955359E-06,
     8 2.29451754E-06, 2.31714912E-06, 2.36051277E-06, 2.42048496E-06,
     9 2.50375229E-06, 2.62405024E-06, 2.79253700E-06, 3.03758083E-06/
      DATA CJ  64/
     1 3.39586922E-06, 3.89356224E-06, 4.48935327E-06, 5.29197530E-06,
     2 6.37805708E-06, 7.94736586E-06, 9.90683609E-06, 1.30567384E-05,
     3 1.72201765E-05, 2.40272738E-05, 3.35631444E-05, 4.69403195E-05,
     4 7.35652864E-05, 1.29461927E-04, 2.56623835E-04, 6.10103049E-04,
     5 1.98016924E-03, 6.61162926E-03, 1.97409592E-02, 1.66436919E-01,
     6 6.81084221E-01, 1.26300556E-01,-4.66188632E-04, 8.88047485E-04,
     7 1.80476316E-04, 2.02474567E-05, 2.30519837E-06, 7.66178811E-07,
     8 7.66181465E-07, 7.66183455E-07, 7.66187103E-07, 7.66193736E-07,
     9 7.66205345E-07, 7.66225246E-07, 7.66261733E-07, 7.66328077E-07/
      DATA CJ  65/
     1 7.66444192E-07, 7.66643289E-07, 7.67008435E-07, 7.67672784E-07,
     2 7.68836788E-07, 7.70836355E-07, 7.74515824E-07, 7.79561768E-07,
     3 7.87192752E-07, 8.01812442E-07, 8.22027724E-07, 8.50088062E-07,
     4 8.90613005E-07, 9.47343962E-07, 1.02979830E-06, 1.15025096E-06,
     5 1.31737793E-06, 1.51718372E-06, 1.78595349E-06, 2.14900946E-06,
     6 2.67250263E-06, 3.32462241E-06, 4.37002472E-06, 5.74739251E-06,
     7 7.99091094E-06, 1.11202703E-05, 1.54900517E-05, 2.41361492E-05,
     8 4.21368915E-05, 8.26176837E-05, 1.93279196E-04, 6.10921593E-04,
     9 1.98181686E-03, 6.63905502E-03, 2.11121110E-02, 1.47647210E-01/
      DATA CJ  66/
     1 7.41809339E-01, 1.33790339E-01, 5.01487182E-04, 1.04568765E-03,
     2 1.20288596E-04, 1.34382316E-05, 8.57088619E-08, 8.57091533E-08,
     3 8.57093719E-08, 8.57097727E-08, 8.57105014E-08, 8.57117766E-08,
     4 8.57139628E-08, 8.57179708E-08, 8.57252587E-08, 8.57380140E-08,
     5 8.57598846E-08, 8.57999953E-08, 8.58729720E-08, 8.60008310E-08,
     6 8.62204624E-08, 8.66245821E-08, 8.71787179E-08, 8.80165955E-08,
     7 8.96213548E-08, 9.18393144E-08, 9.49161071E-08, 9.93558454E-08,
     8 1.05563824E-07, 1.14572453E-07, 1.27704487E-07, 1.45874719E-07,
     9 1.67529054E-07, 1.96553240E-07, 2.35594091E-07, 2.91602843E-07/
      DATA CJ  67/
     1 3.60979046E-07, 4.71448010E-07, 6.15864232E-07, 8.48941386E-07,
     2 1.17061211E-06, 1.61468936E-06, 2.48048153E-06, 4.24535627E-06,
     3 8.09776422E-06, 1.81670384E-05, 5.32821613E-05, 1.54559697E-04,
     4 4.28901135E-04, 9.55275430E-04,-3.76288900E-03, 1.28758626E-01,
     5 7.30925185E-01, 1.35950613E-01, 3.50239034E-03, 7.39490102E-04,
     6 7.93709107E-05, 2.06439653E-08, 2.06440354E-08, 2.06440880E-08,
     7 2.06441844E-08, 2.06443596E-08, 2.06446663E-08, 2.06451920E-08,
     8 2.06461559E-08, 2.06479084E-08, 2.06509758E-08, 2.06562352E-08,
     9 2.06658810E-08, 2.06834303E-08, 2.07141775E-08, 2.07669938E-08/
      DATA CJ  68/
     1 2.08641748E-08, 2.09974301E-08, 2.11989155E-08, 2.15848062E-08,
     2 2.21181348E-08, 2.28579477E-08, 2.39254208E-08, 2.54179319E-08,
     3 2.75835584E-08, 3.07400247E-08, 3.51068015E-08, 4.03100133E-08,
     4 4.72828475E-08, 5.66603189E-08, 7.01107091E-08, 8.67680891E-08,
     5 1.13287218E-07, 1.47950783E-07, 2.03890911E-07, 2.81096290E-07,
     6 3.87699179E-07, 5.95628575E-07, 1.01992811E-06, 1.94824133E-06,
     7 4.38748695E-06, 1.30179794E-05, 3.88485065E-05, 1.16417342E-04,
     8 3.47961738E-04, 1.00762108E-03, 2.73564972E-04, 1.32228865E-01,
     9 7.23792490E-01, 1.23663010E-01,-9.29885927E-03,-1.23193146E-04/
      DATA CJ  69/
     1 4.56812442E-09, 4.56813986E-09, 4.56815144E-09, 4.56817267E-09,
     2 4.56821126E-09, 4.56827881E-09, 4.56839460E-09, 4.56860689E-09,
     3 4.56899290E-09, 4.56966849E-09, 4.57082688E-09, 4.57295137E-09,
     4 4.57681661E-09, 4.58358866E-09, 4.59522127E-09, 4.61662468E-09,
     5 4.64597233E-09, 4.69034496E-09, 4.77532270E-09, 4.89275528E-09,
     6 5.05562923E-09, 5.29059184E-09, 5.61901966E-09, 6.09538996E-09,
     7 6.78936667E-09, 7.74882510E-09, 8.89123179E-09, 1.04209298E-08,
     8 1.24762158E-08, 1.54208935E-08, 1.90632192E-08, 2.48537007E-08,
     9 3.24104017E-08, 4.45831096E-08, 6.13489390E-08, 8.44499966E-08/
      DATA CJ  70/
     1 1.29392210E-07, 2.20783682E-07, 4.19850164E-07, 9.39902731E-07,
     2 2.76543520E-06, 8.18408673E-06, 2.43693695E-05, 7.29812344E-05,
     3 2.19196312E-04, 1.10653705E-03, 8.66793851E-04, 1.36464968E-01,
     4 7.60579030E-01, 1.08315064E-01,-7.14703041E-03, 9.32044857E-10,
     5 9.32047995E-10, 9.32050349E-10, 9.32054664E-10, 9.32062510E-10,
     6 9.32076240E-10, 9.32099779E-10, 9.32142934E-10, 9.32221403E-10,
     7 9.32358740E-10, 9.32594222E-10, 9.33026093E-10, 9.33811827E-10,
     8 9.35188459E-10, 9.37553133E-10, 9.41903948E-10, 9.47869514E-10,
     9 9.56888953E-10, 9.74161074E-10, 9.98027764E-10, 1.03112604E-09/
      DATA CJ  71/
     1 1.07886618E-09, 1.14558244E-09, 1.24232345E-09, 1.38320084E-09,
     2 1.57787370E-09, 1.80953521E-09, 2.11953699E-09, 2.53574655E-09,
     3 3.13154835E-09, 3.86780770E-09, 5.03700719E-09, 6.56094325E-09,
     4 9.01229904E-09, 1.23833002E-08, 1.70205327E-08, 2.60240567E-08,
     5 4.42839754E-08, 8.39202093E-08, 1.86998871E-07, 5.46516447E-07,
     6 1.60572524E-06, 4.74612620E-06, 1.41224686E-05, 4.23264569E-05,
     7 2.22304979E-04, 1.15531950E-03, 2.47181017E-03, 1.20822713E-01,
     8 8.05702466E-01, 1.42819359E-02, 3.98573562E-11, 3.98574863E-11,
     9 3.98575839E-11, 3.98577629E-11, 3.98580882E-11, 3.98586575E-11/
      DATA CJ  72/
     1 3.98596336E-11, 3.98614230E-11, 3.98646767E-11, 3.98703713E-11,
     2 3.98801355E-11, 3.98980426E-11, 3.99306215E-11, 3.99876986E-11,
     3 4.00857347E-11, 4.02660912E-11, 4.05133383E-11, 4.08870542E-11,
     4 4.16023791E-11, 4.25901010E-11, 4.39585256E-11, 4.59296366E-11,
     5 4.86791694E-11, 5.26561680E-11, 5.84281163E-11, 6.63696338E-11,
     6 7.57734928E-11, 8.82877885E-11, 1.04980903E-10, 1.28693399E-10,
     7 1.57746760E-10, 2.03423868E-10, 2.62280518E-10, 3.55705134E-10,
     8 4.82255574E-10, 6.53598367E-10, 9.79681374E-10, 1.62290687E-09,
     9 2.96780567E-09, 6.28523094E-09, 1.69238753E-08, 4.47834951E-08/
      DATA CJ  73/
     1 1.15119869E-07, 2.80762913E-07, 6.12865151E-07, 7.29517944E-07,
     2-1.85281351E-05,-3.70871197E-04,-9.85146118E-03, 9.43947195E-02,
     3 9.92892411E-01/
C      DATA XTAU/0.,.0000032,.0000056,.00001,.000018,
C     A.000032,.000056,.0001,.00018,.00032,
C     1.00056,.001,.0018,.0032,.0056,.01,.016,.025,.042,.065,
C     2.096,.139,.196,.273,.375,.5,.63,.78,.95,1.15,1.35,1.6,1.85,2.15,
C     32.45,2.75,3.15,3.65,4.25,5.0,6.,7.,8.,9.,10.,11.5,13.,14.5,16.,
C     4 18.,20./
C      DATA NXTAU/51/
      END
      SUBROUTINE BLOCKH
C      COMMON /MATX/CJ(2601),CH(2601),XTAU(51),NXTAU
      COMMON /MATXH/CH(2601)
      DIMENSION CH   1(36),CH   2(36),CH   3(36),CH   4(36),CH   5(36)
      DIMENSION CH   6(36),CH   7(36),CH   8(36),CH   9(36),CH  10(36)
      DIMENSION CH  11(36),CH  12(36),CH  13(36),CH  14(36),CH  15(36)
      DIMENSION CH  16(36),CH  17(36),CH  18(36),CH  19(36),CH  20(36)
      DIMENSION CH  21(36),CH  22(36),CH  23(36),CH  24(36),CH  25(36)
      DIMENSION CH  26(36),CH  27(36),CH  28(36),CH  29(36),CH  30(36)
      DIMENSION CH  31(36),CH  32(36),CH  33(36),CH  34(36),CH  35(36)
      DIMENSION CH  36(36),CH  37(36),CH  38(36),CH  39(36),CH  40(36)
      DIMENSION CH  41(36),CH  42(36),CH  43(36),CH  44(36),CH  45(36)
      DIMENSION CH  46(36),CH  47(36),CH  48(36),CH  49(36),CH  50(36)
      DIMENSION CH  51(36),CH  52(36),CH  53(36),CH  54(36),CH  55(36)
      DIMENSION CH  56(36),CH  57(36),CH  58(36),CH  59(36),CH  60(36)
      DIMENSION CH  61(36),CH  62(36),CH  63(36),CH  64(36),CH  65(36)
      DIMENSION CH  66(36),CH  67(36),CH  68(36),CH  69(36),CH  70(36)
      DIMENSION CH  71(36),CH  72(36),CH  73( 9)
      EQUIVALENCE (CH   1(1),CH (   1)),(CH   2(1),CH (  37))
      EQUIVALENCE (CH   3(1),CH (  73)),(CH   4(1),CH ( 109))
      EQUIVALENCE (CH   5(1),CH ( 145)),(CH   6(1),CH ( 181))
      EQUIVALENCE (CH   7(1),CH ( 217)),(CH   8(1),CH ( 253))
      EQUIVALENCE (CH   9(1),CH ( 289)),(CH  10(1),CH ( 325))
      EQUIVALENCE (CH  11(1),CH ( 361)),(CH  12(1),CH ( 397))
      EQUIVALENCE (CH  13(1),CH ( 433)),(CH  14(1),CH ( 469))
      EQUIVALENCE (CH  15(1),CH ( 505)),(CH  16(1),CH ( 541))
      EQUIVALENCE (CH  17(1),CH ( 577)),(CH  18(1),CH ( 613))
      EQUIVALENCE (CH  19(1),CH ( 649)),(CH  20(1),CH ( 685))
      EQUIVALENCE (CH  21(1),CH ( 721)),(CH  22(1),CH ( 757))
      EQUIVALENCE (CH  23(1),CH ( 793)),(CH  24(1),CH ( 829))
      EQUIVALENCE (CH  25(1),CH ( 865)),(CH  26(1),CH ( 901))
      EQUIVALENCE (CH  27(1),CH ( 937)),(CH  28(1),CH ( 973))
      EQUIVALENCE (CH  29(1),CH (1009)),(CH  30(1),CH (1045))
      EQUIVALENCE (CH  31(1),CH (1081)),(CH  32(1),CH (1117))
      EQUIVALENCE (CH  33(1),CH (1153)),(CH  34(1),CH (1189))
      EQUIVALENCE (CH  35(1),CH (1225)),(CH  36(1),CH (1261))
      EQUIVALENCE (CH  37(1),CH (1297)),(CH  38(1),CH (1333))
      EQUIVALENCE (CH  39(1),CH (1369)),(CH  40(1),CH (1405))
      EQUIVALENCE (CH  41(1),CH (1441)),(CH  42(1),CH (1477))
      EQUIVALENCE (CH  43(1),CH (1513)),(CH  44(1),CH (1549))
      EQUIVALENCE (CH  45(1),CH (1585)),(CH  46(1),CH (1621))
      EQUIVALENCE (CH  47(1),CH (1657)),(CH  48(1),CH (1693))
      EQUIVALENCE (CH  49(1),CH (1729)),(CH  50(1),CH (1765))
      EQUIVALENCE (CH  51(1),CH (1801)),(CH  52(1),CH (1837))
      EQUIVALENCE (CH  53(1),CH (1873)),(CH  54(1),CH (1909))
      EQUIVALENCE (CH  55(1),CH (1945)),(CH  56(1),CH (1981))
      EQUIVALENCE (CH  57(1),CH (2017)),(CH  58(1),CH (2053))
      EQUIVALENCE (CH  59(1),CH (2089)),(CH  60(1),CH (2125))
      EQUIVALENCE (CH  61(1),CH (2161)),(CH  62(1),CH (2197))
      EQUIVALENCE (CH  63(1),CH (2233)),(CH  64(1),CH (2269))
      EQUIVALENCE (CH  65(1),CH (2305)),(CH  66(1),CH (2341))
      EQUIVALENCE (CH  67(1),CH (2377)),(CH  68(1),CH (2413))
      EQUIVALENCE (CH  69(1),CH (2449)),(CH  70(1),CH (2485))
      EQUIVALENCE (CH  71(1),CH (2521)),(CH  72(1),CH (2557))
      EQUIVALENCE (CH  73(1),CH (2593))
      DATA CH   1/
     1 7.15528120E-07,-7.63679981E-07,-7.15500186E-07,-7.15459313E-07,
     2-7.15399161E-07,-7.15312983E-07,-7.15165254E-07,-7.14858701E-07,
     3-7.14382582E-07,-7.13607800E-07,-7.12377050E-07,-7.10300825E-07,
     4-7.06860448E-07,-7.01420388E-07,-6.93063611E-07,-6.79532139E-07,
     5-6.63270842E-07,-6.41769994E-07,-6.06941637E-07,-5.67254987E-07,
     6-5.22282879E-07,-4.70473751E-07,-4.14388755E-07,-3.53840218E-07,
     7-2.91560381E-07,-2.33727889E-07,-1.88154634E-07,-1.48244615E-07,
     8-1.14444272E-07,-8.53987435E-08,-6.43470333E-08,-4.56539380E-08,
     9-3.26942276E-08,-2.21150989E-08,-1.50875635E-08,-1.03652019E-08/
      DATA CH   2/
     1-6.33939388E-09,-3.46859459E-09,-1.70493170E-09,-7.13016572E-10,
     2-2.27726935E-10,-7.40657549E-11,-2.44269562E-11,-8.14546806E-12,
     3-2.74070206E-12,-5.42231753E-13,-1.08693370E-13,-2.20183137E-14,
     4-4.49889022E-15,-5.47402692E-16,-6.72957970E-17, 1.49142688E-06,
     5-3.90281313E-07,-1.61431531E-06,-1.49134752E-06,-1.49120973E-06,
     6-1.49097554E-06,-1.49063560E-06,-1.49006119E-06,-1.48907404E-06,
     7-1.48745761E-06,-1.48489081E-06,-1.48056166E-06,-1.47338907E-06,
     8-1.46204838E-06,-1.44462816E-06,-1.41642180E-06,-1.38252570E-06,
     9-1.33770838E-06,-1.26511114E-06,-1.18238754E-06,-1.08864711E-06/
      DATA CH   3/
     1-9.80655730E-07,-8.63751857E-07,-7.37544289E-07,-6.07728094E-07,
     2-4.87182021E-07,-3.92189148E-07,-3.09000744E-07,-2.38547359E-07,
     3-1.78004914E-07,-1.34124776E-07,-9.51609333E-08,-6.81477476E-08,
     4-4.60966417E-08,-3.14484678E-08,-2.16051921E-08,-1.32138108E-08,
     5-7.22992635E-09,-3.55375351E-09,-1.48620912E-09,-4.74673171E-10,
     6-1.54382378E-10,-5.09154535E-11,-1.69783820E-11,-5.71270866E-12,
     7-1.13022573E-12,-2.26560028E-13,-4.58948851E-14,-9.37746872E-15,
     8-1.14100396E-15,-1.40271087E-16, 1.52106578E-06, 1.68212841E-06,
     9 4.09944249E-07,-1.75645270E-06,-1.52097046E-06,-1.52073553E-06/
      DATA CH   4/
     1-1.52034786E-06,-1.51978995E-06,-1.51877481E-06,-1.51712012E-06,
     2-1.51449942E-06,-1.51008118E-06,-1.50276284E-06,-1.49119345E-06,
     3-1.47342353E-06,-1.44465254E-06,-1.41007905E-06,-1.36436695E-06,
     4-1.29032132E-06,-1.20594808E-06,-1.11033885E-06,-1.00019498E-06,
     5-8.80961299E-07,-7.52238763E-07,-6.19835885E-07,-4.96887979E-07,
     6-4.00002484E-07,-3.15156696E-07,-2.43299681E-07,-1.81551082E-07,
     7-1.36796756E-07,-9.70566781E-08,-6.95053428E-08,-4.70149442E-08,
     8-3.20749578E-08,-2.20355911E-08,-1.34770434E-08,-7.37395328E-09,
     9-3.62454737E-09,-1.51581560E-09,-4.84129008E-10,-1.57457780E-10/
      DATA CH   5/
     1-5.19297218E-11,-1.73166017E-11,-5.82650912E-12,-1.15274044E-12,
     2-2.31073221E-13,-4.68091342E-14,-9.56427242E-15,-1.16373329E-15,
     3-1.43065350E-16, 2.98150821E-06, 2.98161961E-06, 3.02985925E-06,
     4 5.50707149E-07,-3.40191479E-06,-2.98116452E-06,-2.98048320E-06,
     5-2.97927252E-06,-2.97725646E-06,-2.97401344E-06,-2.96886903E-06,
     6-2.96020082E-06,-2.94584763E-06,-2.92316158E-06,-2.88832120E-06,
     7-2.83191590E-06,-2.76413769E-06,-2.67452550E-06,-2.52937199E-06,
     8-2.36397499E-06,-2.17655345E-06,-1.96064093E-06,-1.72691069E-06,
     9-1.47458038E-06,-1.21503614E-06,-9.74026455E-07,-7.84106027E-07/
      DATA CH   6/
     1-6.17786634E-07,-4.76928629E-07,-3.55885746E-07,-2.68155970E-07,
     2-1.90255412E-07,-1.36247871E-07,-9.21610475E-08,-6.28749313E-08,
     3-4.31952603E-08,-2.64183673E-08,-1.44547867E-08,-7.10501576E-09,
     4-2.97137592E-09,-9.49013288E-10,-3.08656397E-10,-1.01795161E-10,
     5-3.39448415E-11,-1.14214051E-11,-2.25965748E-12,-4.52960874E-13,
     6-9.17575200E-14,-1.87483472E-14,-2.28120596E-15,-2.80443572E-16,
     7 5.33941059E-06, 5.33959050E-06, 5.33971838E-06, 5.46288397E-06,
     8 9.45594076E-07,-5.99346507E-06,-5.33838396E-06,-5.33622077E-06,
     9-5.33261638E-06,-5.32678301E-06,-5.31753886E-06,-5.30199406E-06/
      DATA CH   7/
     1-5.27626139E-06,-5.23560527E-06,-5.17318158E-06,-5.07213438E-06,
     2-4.95072325E-06,-4.79020869E-06,-4.53021687E-06,-4.23397287E-06,
     3-3.89828536E-06,-3.51157189E-06,-3.09294861E-06,-2.64101390E-06,
     4-2.17616046E-06,-1.74450433E-06,-1.40435137E-06,-1.10646897E-06,
     5-8.54188854E-07,-6.37398304E-07,-4.80272397E-07,-3.40750911E-07,
     6-2.44022354E-07,-1.65062027E-07,-1.12610064E-07,-7.73634273E-08,
     7-4.73157247E-08,-2.58887527E-08,-1.27251939E-08,-5.32177962E-09,
     8-1.69969699E-09,-5.52808151E-10,-1.82316613E-10,-6.07956998E-11,
     9-2.04558995E-11,-4.04707848E-12,-8.11259273E-13,-1.64338996E-13/
      DATA CH   8/
     1-3.35785494E-14,-4.08567126E-15,-5.02278278E-16, 9.13329675E-06,
     2 9.13358176E-06, 9.13380306E-06, 9.13420159E-06, 9.37031962E-06,
     3 1.47104366E-06,-1.03630349E-05,-9.13025211E-06,-9.12398505E-06,
     4-9.11390737E-06,-9.09802697E-06,-9.07135096E-06,-9.02725015E-06,
     5-8.95762338E-06,-8.85075952E-06,-8.67781716E-06,-8.47005078E-06,
     6-8.19539043E-06,-7.75053819E-06,-7.24367751E-06,-6.66934449E-06,
     7-6.00772113E-06,-5.29151194E-06,-4.51831779E-06,-3.72302663E-06,
     8-2.98453429E-06,-2.40259068E-06,-1.89296597E-06,-1.46135960E-06,
     9-1.09047012E-06,-8.21656389E-07,-5.82960842E-07,-4.17476248E-07/
      DATA CH   9/
     1-2.82389890E-07,-1.92654440E-07,-1.32354098E-07,-8.09481724E-08,
     2-4.42906997E-08,-2.17703641E-08,-9.10454075E-09,-2.90785360E-09,
     3-9.45747879E-10,-3.11908427E-10,-1.04009658E-10,-3.49960749E-11,
     4-6.92376506E-12,-1.38790687E-12,-2.81152041E-13,-5.74463594E-14,
     5-6.98978740E-15,-8.59300205E-16, 1.61715949E-05, 1.61720720E-05,
     6 1.61724330E-05, 1.61730963E-05, 1.61743243E-05, 1.65968833E-05,
     7 3.13002612E-06,-1.85271744E-05,-1.61620847E-05,-1.61440014E-05,
     8-1.61156455E-05,-1.60681414E-05,-1.59898028E-05,-1.58662617E-05,
     9-1.56767807E-05,-1.53702665E-05,-1.50021225E-05,-1.45155180E-05/
      DATA CH  10/
     1-1.37274731E-05,-1.28296443E-05,-1.18123413E-05,-1.06404566E-05,
     2-9.37191392E-06,-8.00246045E-06,-6.59388527E-06,-5.28591985E-06,
     3-4.25522842E-06,-3.35262610E-06,-2.58820551E-06,-1.93132270E-06,
     4-1.45522738E-06,-1.03247504E-06,-7.39386642E-07,-5.00136599E-07,
     5-3.41207244E-07,-2.34410137E-07,-1.43365879E-07,-7.84424320E-08,
     6-3.85570653E-08,-1.61248655E-08,-5.15003730E-09,-1.67499319E-09,
     7-5.52413963E-10,-1.84209108E-10,-6.19807297E-11,-1.22625154E-11,
     8-2.45808833E-12,-4.97941514E-13,-1.01741831E-13,-1.23794385E-14,
     9-1.52188503E-15, 2.97035986E-05, 2.97044194E-05, 2.97050368E-05/
      DATA CH  11/
     1 2.97061753E-05, 2.97082586E-05, 2.97119611E-05, 3.03723299E-05,
     2 5.59251004E-06,-3.39127760E-05,-2.96749188E-05,-2.96219260E-05,
     3-2.95338145E-05,-2.93890504E-05,-2.91612567E-05,-2.88123315E-05,
     4-2.82483380E-05,-2.75712512E-05,-2.66765293E-05,-2.52278235E-05,
     5-2.35775061E-05,-2.17077264E-05,-1.95539426E-05,-1.72226003E-05,
     6-1.47058714E-05,-1.21172992E-05,-9.71365644E-06,-7.81957905E-06,
     7-6.16090061E-06,-4.75616197E-06,-3.54904619E-06,-2.67415660E-06,
     8-1.89729441E-06,-1.35870797E-06,-9.19057204E-07,-6.27005937E-07,
     9-4.30754070E-07,-2.63450092E-07,-1.44146186E-07,-7.08525779E-08/
      DATA CH  12/
     1-2.96310732E-08,-9.46370616E-09,-3.07796454E-09,-1.01511437E-09,
     2-3.38501999E-10,-1.13895526E-10,-2.25335364E-11,-4.51696914E-12,
     3-9.15014236E-13,-1.86960114E-13,-2.27483682E-14,-2.79660454E-15,
     4 5.33166603E-05, 5.33180333E-05, 5.33190646E-05, 5.33209602E-05,
     5 5.33244220E-05, 5.33305318E-05, 5.33411700E-05, 5.45903715E-05,
     6 9.45344212E-06,-5.98750523E-05,-5.32379559E-05,-5.30766673E-05,
     7-5.28137644E-05,-5.24019279E-05,-5.17726607E-05,-5.07570460E-05,
     8-4.95388096E-05,-4.79297869E-05,-4.53254263E-05,-4.23593245E-05,
     9-3.89992680E-05,-3.51292236E-05,-3.09404208E-05,-2.64187551E-05/
      DATA CH  13/
     1-2.17681883E-05,-1.74499821E-05,-1.40472898E-05,-1.10675313E-05,
     2-8.54399479E-06,-6.37549656E-06,-4.80383043E-06,-3.40827054E-06,
     3-2.44075547E-06,-1.65097143E-06,-1.12633544E-06,-7.73792885E-07,
     4-4.73252449E-07,-2.58938632E-07,-1.27276602E-07,-5.32279265E-08,
     5-1.70001466E-08,-5.52910028E-09,-1.82349841E-09,-6.08066807E-10,
     6-2.04595667E-10,-4.04779745E-11,-8.11402352E-12,-1.64367808E-12,
     7-3.35844075E-13,-4.08638019E-14,-5.02365045E-15, 9.11154221E-05,
     8 9.11176038E-05, 9.11192420E-05, 9.11222497E-05, 9.11277327E-05,
     9 9.11373748E-05, 9.11540492E-05, 9.11851448E-05, 9.35975830E-05/
      DATA CH  14/
     1 1.47063950E-05,-1.03462574E-04,-9.08852267E-05,-9.04268484E-05,
     2-8.97143077E-05,-8.86303398E-05,-8.68853564E-05,-8.47952605E-05,
     3-8.20369956E-05,-7.75751291E-05,-7.24955321E-05,-6.67426582E-05,
     4-6.01176981E-05,-5.29478997E-05,-4.52090066E-05,-3.72500018E-05,
     5-2.98601473E-05,-2.40372258E-05,-1.89381774E-05,-1.46199094E-05,
     6-1.09092379E-05,-8.21988044E-06,-5.83189075E-06,-4.17635691E-06,
     7-2.82495145E-06,-1.92724820E-06,-1.32401640E-06,-8.09767079E-07,
     8-4.43060175E-07,-2.17777566E-07,-9.10757716E-08,-2.90880576E-08,
     9-9.46053242E-09,-3.12008024E-09,-1.04042571E-09,-3.50070669E-10/
      DATA CH  15/
     1-6.92592007E-11,-1.38833572E-11,-2.81238403E-12,-5.74639184E-13,
     2-6.99191232E-14,-8.59560278E-15, 1.61084635E-04, 1.61088204E-04,
     3 1.61090883E-04, 1.61095798E-04, 1.61104749E-04, 1.61120458E-04,
     4 1.61147526E-04, 1.61197628E-04, 1.61290476E-04, 1.65663482E-04,
     5 3.12833434E-05,-1.84767463E-04,-1.60383520E-04,-1.59095632E-04,
     6-1.57151752E-04,-1.54037373E-04,-1.50316849E-04,-1.45414273E-04,
     7-1.37492118E-04,-1.28479528E-04,-1.18276734E-04,-1.06530685E-04,
     8-9.38212441E-05,-8.01050512E-05,-6.60003185E-05,-5.29053047E-05,
     9-4.25875346E-05,-3.35527875E-05,-2.59017163E-05,-1.93273550E-05/
      DATA CH  16/
     1-1.45626021E-05,-1.03318579E-05,-7.39883160E-06,-5.00464369E-06,
     2-3.41426413E-06,-2.34558186E-06,-1.43454739E-06,-7.84901321E-07,
     3-3.85800856E-07,-1.61343209E-07,-5.15300229E-08,-1.67594408E-08,
     4-5.52724107E-09,-1.84311601E-09,-6.20149585E-10,-1.22692260E-10,
     5-2.45942378E-11,-4.98210441E-12,-1.01796509E-12,-1.23860554E-13,
     6-1.52269488E-14, 2.95118060E-04, 2.95124067E-04, 2.95128573E-04,
     7 2.95136840E-04, 2.95151884E-04, 2.95178258E-04, 2.95223609E-04,
     8 2.95307219E-04, 2.95460872E-04, 2.95735401E-04, 3.02765668E-04,
     9 5.58676964E-05,-3.37573852E-04,-2.93054973E-04,-2.89397464E-04/
      DATA CH  17/
     1-2.83590510E-04,-2.76688687E-04,-2.67619889E-04,-2.52994639E-04,
     2-2.36378122E-04,-2.17582125E-04,-1.95954621E-04,-1.72562085E-04,
     3-1.47323476E-04,-1.21375266E-04,-9.72882826E-05,-7.83117813E-05,
     4-6.16962878E-05,-4.76263106E-05,-3.55369461E-05,-2.67755473E-05,
     5-1.89963282E-05,-1.36034154E-05,-9.20135573E-06,-6.27727001E-06,
     6-4.31241145E-06,-2.63742438E-06,-1.44303115E-06,-7.09283125E-07,
     7-2.96621802E-07,-9.47346057E-08,-3.08109284E-08,-1.01613469E-08,
     8-3.38839182E-09,-1.14008132E-09,-2.25556130E-10,-4.52136250E-11,
     9-9.15898950E-12,-1.87139993E-12,-2.27701364E-13,-2.79926878E-14/
      DATA CH  18/
     1 5.27450267E-04, 5.27460048E-04, 5.27467385E-04, 5.27480841E-04,
     2 5.27505322E-04, 5.27548208E-04, 5.27621863E-04, 5.27757350E-04,
     3 5.28005233E-04, 5.28444089E-04, 5.29212981E-04, 5.42982886E-04,
     4 9.43257257E-05,-5.94289096E-04,-5.21949862E-04,-5.11218873E-04,
     5-4.98593747E-04,-4.82097985E-04,-4.55597512E-04,-4.25563821E-04,
     6-3.91641331E-04,-3.52647471E-04,-3.10500866E-04,-2.65051281E-04,
     7-2.18341644E-04,-1.74994619E-04,-1.40851146E-04,-1.10959921E-04,
     8-8.56508809E-05,-6.39065263E-05,-4.81490961E-05,-3.41589441E-05,
     9-2.44608124E-05,-1.65448705E-05,-1.12868617E-05,-7.75380763E-06/
      DATA CH  19/
     1-4.74205493E-06,-2.59450211E-06,-1.27523489E-06,-5.33293310E-07,
     2-1.70319442E-07,-5.53929789E-08,-1.82682443E-08,-6.09165942E-09,
     3-2.04962735E-09,-4.05499382E-10,-8.12834463E-11,-1.64656199E-11,
     4-3.36430424E-12,-4.09347595E-13,-5.03233504E-14, 8.67939526E-04,
     5 8.67954213E-04, 8.67965230E-04, 8.67985431E-04, 8.68022175E-04,
     6 8.68086519E-04, 8.68196952E-04, 8.68399838E-04, 8.68770152E-04,
     7 8.69422777E-04, 8.70555855E-04, 8.72685043E-04, 9.00316828E-04,
     8 1.18726820E-04,-1.05068040E-03,-8.51640282E-04,-8.30180005E-04,
     9-8.02328563E-04,-7.57838031E-04,-7.07603820E-04,-6.50991942E-04/
      DATA CH  20/
     1-5.86013815E-04,-5.15855799E-04,-4.40257134E-04,-3.62606802E-04,
     2-2.90576808E-04,-2.33857067E-04,-1.84211669E-04,-1.42183646E-04,
     3-1.06079989E-04,-7.99196360E-05,-5.66953416E-05,-4.05972023E-05,
     4-2.74581721E-05,-1.87312937E-05,-1.28676222E-05,-7.86932554E-06,
     5-4.30539149E-06,-2.11610499E-06,-8.84915842E-07,-2.82610874E-07,
     6-9.19117308E-08,-3.03114320E-08,-1.01074120E-08,-3.40075163E-09,
     7-6.72798403E-10,-1.34862967E-10,-2.73190325E-11,-5.58186980E-12,
     8-6.79162392E-13,-8.34926889E-14, 1.61498414E-03, 1.61500857E-03,
     9 1.61502689E-03, 1.61506049E-03, 1.61512159E-03, 1.61522856E-03/
      DATA CH  21/
     1 1.61541206E-03, 1.61574893E-03, 1.61636286E-03, 1.61744182E-03,
     2 1.61930543E-03, 1.62277036E-03, 1.62924770E-03, 1.68333458E-03,
     3 3.60899758E-04,-1.82730765E-03,-1.58410667E-03,-1.52899488E-03,
     4-1.44234855E-03,-1.34546950E-03,-1.23689296E-03,-1.11271628E-03,
     5-9.78971597E-04,-8.35109934E-04,-6.87538020E-04,-5.50779439E-04,
     6-4.43161682E-04,-3.49011624E-04,-2.69337615E-04,-2.00915634E-04,
     7-1.51349791E-04,-1.07355641E-04,-7.68658545E-05,-5.19840976E-05,
     8-3.54597507E-05,-2.43579442E-05,-1.48953901E-05,-8.14890300E-06,
     9-4.00495346E-06,-1.67469957E-06,-5.34808728E-07,-1.73924801E-07/
      DATA CH  22/
     1-5.73564345E-08,-1.91250993E-08,-6.43470743E-09,-1.27299579E-09,
     2-2.55167484E-10,-5.16880700E-11,-1.05608383E-11,-1.28494760E-12,
     3-1.57962724E-13, 2.50720905E-03, 2.50724320E-03, 2.50726881E-03,
     4 2.50731578E-03, 2.50740118E-03, 2.50755068E-03, 2.50780708E-03,
     5 2.50827754E-03, 2.50913426E-03, 2.51063770E-03, 2.51322757E-03,
     6 2.51801809E-03, 2.52687709E-03, 2.54289614E-03, 2.63774332E-03,
     7 1.76260415E-04,-2.78126196E-03,-2.45704320E-03,-2.31262955E-03,
     8-2.15394575E-03,-1.97774832E-03,-1.77739883E-03,-1.56245308E-03,
     9-1.33188374E-03,-1.09584644E-03,-8.77427902E-04,-7.05726344E-04/
      DATA CH  23/
     1-5.55621605E-04,-4.28668973E-04,-3.19696027E-04,-2.40783539E-04,
     2-1.70762699E-04,-1.22247776E-04,-8.26646695E-05,-5.63817215E-05,
     3-3.87261829E-05,-2.36795672E-05,-1.29532571E-05,-6.36557648E-06,
     4-2.66157673E-06,-8.49889370E-07,-2.76373703E-07,-9.11370404E-08,
     5-3.03877430E-08,-1.02237148E-08,-2.02250217E-09,-4.05390165E-10,
     6-8.21157965E-11,-1.67774240E-11,-2.04127682E-12,-2.50935807E-13,
     7 3.20994276E-03, 3.20998251E-03, 3.21001232E-03, 3.21006698E-03,
     8 3.21016637E-03, 3.21034034E-03, 3.21063867E-03, 3.21118592E-03,
     9 3.21218201E-03, 3.21392850E-03, 3.21693250E-03, 3.22247328E-03/
      DATA CH  24/
     1 3.23266196E-03, 3.25087011E-03, 3.28333413E-03, 3.52880121E-03,
     2 2.90599435E-04,-3.99201557E-03,-3.07880403E-03,-2.86239707E-03,
     3-2.62426711E-03,-2.35540482E-03,-2.06836350E-03,-1.76152461E-03,
     4-1.44821000E-03,-1.15882208E-03,-9.31623746E-04,-7.33184814E-04,
     5-5.65473991E-04,-4.21599458E-04,-3.17461291E-04,-2.25092147E-04,
     6-1.61113538E-04,-1.08927603E-04,-7.42843836E-05,-5.10170507E-05,
     7-3.11911486E-05,-1.70601847E-05,-8.38286988E-06,-3.50466057E-06,
     8-1.11897755E-06,-3.63847665E-07,-1.19974679E-07,-4.00009634E-08,
     9-1.34574290E-08,-2.66207243E-09,-5.33563710E-10,-1.08075026E-10/
      DATA CH  25/
     1-2.20806555E-11,-2.68642989E-12,-3.30236900E-13, 5.61912502E-03,
     2 5.61918736E-03, 5.61923412E-03, 5.61931984E-03, 5.61947572E-03,
     3 5.61974854E-03, 5.62021633E-03, 5.62107432E-03, 5.62263546E-03,
     4 5.62537113E-03, 5.63007179E-03, 5.63872596E-03, 5.65458361E-03,
     5 5.68273038E-03, 5.73223829E-03, 5.82772200E-03, 6.17039808E-03,
     6 1.43639190E-03,-6.68103918E-03,-5.37711410E-03,-4.91201049E-03,
     7-4.39582996E-03,-3.85110759E-03,-3.27335460E-03,-2.68668446E-03,
     8-2.14696473E-03,-1.72437761E-03,-1.35598680E-03,-1.04510471E-03,
     9-7.78728323E-04,-5.86104634E-04,-4.15382293E-04,-2.97210854E-04/
      DATA CH  26/
     1-2.00873337E-04,-1.36950183E-04,-9.40333957E-05,-5.74765590E-05,
     2-3.14294076E-05,-1.54399049E-05,-6.45358275E-06,-2.06005782E-06,
     3-6.69737788E-07,-2.20809596E-07,-7.36127593E-08,-2.47632234E-08,
     4-4.89800939E-09,-9.81635331E-10,-1.98820044E-10,-4.06183901E-11,
     5-4.94151282E-12,-6.07419294E-13, 8.60872637E-03, 8.60881218E-03,
     6 8.60887654E-03, 8.60899453E-03, 8.60920907E-03, 8.60958456E-03,
     7 8.61022836E-03, 8.61140900E-03, 8.61355681E-03, 8.61731911E-03,
     8 8.62377964E-03, 8.63565978E-03, 8.65738046E-03, 8.69577446E-03,
     9 8.76277550E-03, 8.88981793E-03, 9.07314195E-03, 9.60580772E-03/
      DATA CH  27/
     1 5.68967448E-04,-1.02680807E-02,-8.28490183E-03,-7.37632354E-03,
     2-6.43680808E-03,-5.45363991E-03,-4.46443150E-03,-3.56017279E-03,
     3-2.85517842E-03,-2.24242398E-03,-1.72651510E-03,-1.28528029E-03,
     4-9.66674652E-04,-6.84627687E-04,-4.89594200E-04,-3.30726916E-04,
     5-2.25387410E-04,-1.54703712E-04,-9.45251600E-05,-5.16691993E-05,
     6-2.53739882E-05,-1.06022757E-05,-3.38323341E-06,-1.09963342E-06,
     7-3.62473002E-07,-1.20820939E-07,-4.06387087E-08,-8.03682131E-09,
     8-1.61050138E-09,-3.26157577E-10,-6.66275604E-11,-8.10497456E-12,
     9-9.96203776E-13, 1.04706488E-02, 1.04707426E-02, 1.04708129E-02/
      DATA CH  28/
     1 1.04709419E-02, 1.04711764E-02, 1.04715868E-02, 1.04722905E-02,
     2 1.04735808E-02, 1.04759277E-02, 1.04800379E-02, 1.04870926E-02,
     3 1.05000549E-02, 1.05237187E-02, 1.05654328E-02, 1.06378618E-02,
     4 1.07738115E-02, 1.09663337E-02, 1.12726017E-02, 1.26399636E-02,
     5 1.00257118E-03,-1.32448573E-02,-1.02003884E-02,-8.84301595E-03,
     6-7.45329555E-03,-6.07603131E-03,-4.82977802E-03,-3.86459789E-03,
     7-3.02952045E-03,-2.32888278E-03,-1.73132600E-03,-1.30078168E-03,
     8-9.20311543E-04,-6.57610360E-04,-4.43884672E-04,-3.02318135E-04,
     9-2.07403662E-04,-1.26655650E-04,-6.91945397E-05,-3.39630183E-05/
      DATA CH  29/
     1-1.41841204E-05,-4.52398956E-06,-1.46986400E-06,-4.84372815E-07,
     2-1.61415718E-07,-5.42826409E-08,-1.07326218E-08,-2.15032417E-09,
     3-4.35418135E-10,-8.89365256E-11,-1.08173327E-11,-1.32944308E-12,
     4 1.33110352E-02, 1.33111436E-02, 1.33112249E-02, 1.33113740E-02,
     5 1.33116450E-02, 1.33121192E-02, 1.33129323E-02, 1.33144233E-02,
     6 1.33171350E-02, 1.33218831E-02, 1.33300305E-02, 1.33449935E-02,
     7 1.33722851E-02, 1.34203163E-02, 1.35034721E-02, 1.36586923E-02,
     8 1.38764431E-02, 1.42174069E-02, 1.49161828E-02, 1.68840513E-02,
     9 1.68049676E-03,-1.75585958E-02,-1.31968210E-02,-1.10288702E-02/
      DATA CH  30/
     1-8.93226417E-03,-7.06568073E-03,-5.63477235E-03,-4.40515439E-03,
     2-3.37877289E-03,-2.50692076E-03,-1.88069912E-03,-1.32869378E-03,
     3-9.48354161E-04,-6.39452497E-04,-4.35142460E-04,-2.98317864E-04,
     4-1.82035567E-04,-9.93745215E-05,-4.87418148E-05,-2.03423910E-05,
     5-6.48375458E-06,-2.10552910E-06,-6.93572266E-07,-2.31057278E-07,
     6-7.76821776E-08,-1.53542835E-08,-3.07552806E-09,-6.22636771E-10,
     7-1.27155755E-10,-1.54631131E-11,-1.90012484E-12, 1.62635669E-02,
     8 1.62636881E-02, 1.62637789E-02, 1.62639456E-02, 1.62642486E-02,
     9 1.62647788E-02, 1.62656879E-02, 1.62673547E-02, 1.62703861E-02/
      DATA CH  31/
     1 1.62756934E-02, 1.62847988E-02, 1.63015153E-02, 1.63319866E-02,
     2 1.63855544E-02, 1.64781138E-02, 1.66502535E-02, 1.68902874E-02,
     3 1.72624926E-02, 1.80097009E-02, 1.91301740E-02, 2.20507234E-02,
     4 1.60598467E-03,-2.29301685E-02,-1.64041170E-02,-1.31520191E-02,
     5-1.03269818E-02,-8.19508155E-03,-6.38158993E-03,-4.87910449E-03,
     6-3.61017455E-03,-2.70275023E-03,-1.90566618E-03,-1.35806528E-03,
     7-9.14371740E-04,-6.21497638E-04,-4.25669633E-04,-2.59477519E-04,
     8-1.41505510E-04,-6.93399826E-05,-2.89124421E-05,-9.20687979E-06,
     9-2.98779009E-06,-9.83669747E-07,-3.27560755E-07,-1.10088386E-07/
      DATA CH  32/
     1-2.17503608E-08,-4.35523904E-09,-8.81474870E-10,-1.79975890E-10,
     2-2.18811141E-11,-2.68824340E-12, 1.90288838E-02, 1.90290141E-02,
     3 1.90291117E-02, 1.90292909E-02, 1.90296165E-02, 1.90301864E-02,
     4 1.90311635E-02, 1.90329549E-02, 1.90362129E-02, 1.90419163E-02,
     5 1.90517000E-02, 1.90696574E-02, 1.91023759E-02, 1.91598480E-02,
     6 1.92590133E-02, 1.94429574E-02, 1.96983785E-02, 2.00918628E-02,
     7 2.08715613E-02, 2.20119512E-02, 2.37371486E-02, 2.83114149E-02,
     8 2.46456465E-03,-2.93002107E-02,-1.96758212E-02,-1.52741478E-02,
     9-1.20287271E-02,-9.31144019E-03,-7.08564280E-03,-5.22193919E-03/
      DATA CH  33/
     1-3.89775767E-03,-2.74046750E-03,-1.94871813E-03,-1.30935747E-03,
     2-8.88519151E-04,-6.07746487E-04,-3.69934554E-04,-2.01457063E-04,
     3-9.85867634E-05,-4.10554077E-05,-1.30573022E-05,-4.23335105E-06,
     4-1.39273145E-06,-4.63507528E-07,-1.55703706E-07,-3.07449815E-08,
     5-6.15350944E-09,-1.24497731E-09,-2.54117234E-10,-3.08848439E-11,
     6-3.79339169E-12, 2.18877223E-02, 2.18878607E-02, 2.18879644E-02,
     7 2.18881547E-02, 2.18885006E-02, 2.18891059E-02, 2.18901436E-02,
     8 2.18920464E-02, 2.18955065E-02, 2.19015636E-02, 2.19119529E-02,
     9 2.19310185E-02, 2.19657448E-02, 2.20267078E-02, 2.21317887E-02/
      DATA CH  34/
     1 2.23263409E-02, 2.25956922E-02, 2.30087684E-02, 2.38202866E-02,
     2 2.49891583E-02, 2.67122164E-02, 2.94459970E-02, 3.60952709E-02,
     3 2.92743075E-03,-3.73647840E-02,-2.38681375E-02,-1.85748279E-02,
     4-1.42447859E-02,-1.07616185E-02,-7.88376564E-03,-5.85888497E-03,
     5-4.10243568E-03,-2.90808105E-03,-1.94826632E-03,-1.31904346E-03,
     6-9.00545180E-04,-5.47062546E-04,-2.97330725E-04,-1.45238774E-04,
     7-6.03779764E-05,-1.91696902E-05,-6.20711878E-06,-2.04005630E-06,
     8-6.78401904E-07,-2.27744155E-07,-4.49348897E-08,-8.98804938E-09,
     9-1.81755780E-09,-3.70836723E-10,-4.50505020E-11,-5.53125955E-12/
      DATA CH  35/
     1 2.36015431E-02, 2.36016814E-02, 2.36017851E-02, 2.36019752E-02,
     2 2.36023209E-02, 2.36029258E-02, 2.36039630E-02, 2.36058645E-02,
     3 2.36093224E-02, 2.36153754E-02, 2.36257567E-02, 2.36448050E-02,
     4 2.36794912E-02, 2.37403567E-02, 2.38451879E-02, 2.40390035E-02,
     5 2.43067409E-02, 2.47159813E-02, 2.55150365E-02, 2.66539649E-02,
     6 2.83052241E-02, 3.08509749E-02, 3.47923899E-02, 4.46119530E-02,
     7 3.20503910E-03,-4.47187614E-02,-2.99247790E-02,-2.25420281E-02,
     8-1.68110438E-02,-1.21916112E-02,-8.99598614E-03,-6.25826949E-03,
     9-4.41481615E-03,-2.94457279E-03,-1.98669550E-03,-1.35260584E-03/
      DATA CH  36/
     1-8.19247514E-04,-4.43981117E-04,-2.16298007E-04,-8.96923905E-05,
     2-2.84065921E-05,-9.18119435E-06,-3.01326406E-06,-1.00090450E-06,
     3-3.35701359E-07,-6.61622460E-08,-1.32225530E-08,-2.67198497E-09,
     4-5.44850998E-10,-6.61487149E-11,-8.11753486E-12, 2.10819534E-02,
     5 2.10820692E-02, 2.10821561E-02, 2.10823154E-02, 2.10826050E-02,
     6 2.10831118E-02, 2.10839807E-02, 2.10855737E-02, 2.10884705E-02,
     7 2.10935411E-02, 2.11022372E-02, 2.11181919E-02, 2.11472395E-02,
     8 2.11981948E-02, 2.12859096E-02, 2.14479200E-02, 2.16713789E-02,
     9 2.20121631E-02, 2.26748079E-02, 2.36128573E-02, 2.49588564E-02/
      DATA CH  37/
     1 2.69994181E-02, 3.00695593E-02, 3.50546660E-02, 4.82036877E-02,
     2-7.97111783E-04,-4.87438566E-02,-3.09328678E-02,-2.26544845E-02,
     3-1.62047269E-02,-1.18463299E-02,-8.17351975E-03,-5.73132332E-03,
     4-3.80196984E-03,-2.55452966E-03,-1.73345966E-03,-1.04625341E-03,
     5-5.65090551E-04,-2.74450106E-04,-1.13476006E-04,-3.58373195E-05,
     6-1.15586552E-05,-3.78744381E-06,-1.25645208E-06,-4.20972316E-07,
     7-8.28645553E-08,-1.65443178E-08,-3.34060400E-09,-6.80748360E-10,
     8-8.25891906E-11,-1.01292468E-11, 1.80345087E-02, 1.80346025E-02,
     9 1.80346728E-02, 1.80348018E-02, 1.80350362E-02, 1.80354466E-02/
      DATA CH  38/
     1 1.80361500E-02, 1.80374397E-02, 1.80397849E-02, 1.80438900E-02,
     2 1.80509298E-02, 1.80638448E-02, 1.80873553E-02, 1.81285880E-02,
     3 1.81995382E-02, 1.83304906E-02, 1.85109119E-02, 1.87856137E-02,
     4 1.93181999E-02, 2.00685569E-02, 2.11377479E-02, 2.27412677E-02,
     5 2.51123942E-02, 2.88515368E-02, 3.50495187E-02, 5.16632021E-02,
     6 3.00500586E-03,-5.10502016E-02,-3.11834652E-02,-2.18472301E-02,
     7-1.57558003E-02,-1.07467788E-02,-7.47494351E-03,-4.92345064E-03,
     8-3.29037961E-03,-2.22343494E-03,-1.33610350E-03,-7.18622045E-04,
     9-3.47694325E-04,-1.43252461E-04,-4.50864884E-05,-1.45053799E-05/
      DATA CH  39/
     1-4.74387966E-06,-1.57134883E-06,-5.25827462E-07,-1.03351743E-07,
     2-2.06108848E-08,-4.15785767E-09,-8.46641867E-10,-1.02630428E-10,
     3-1.25787831E-11, 1.64786075E-02, 1.64786895E-02, 1.64787510E-02,
     4 1.64788638E-02, 1.64790690E-02, 1.64794279E-02, 1.64800433E-02,
     5 1.64811715E-02, 1.64832231E-02, 1.64868141E-02, 1.64929723E-02,
     6 1.65042692E-02, 1.65248325E-02, 1.65608906E-02, 1.66229198E-02,
     7 1.67373508E-02, 1.68948904E-02, 1.71344875E-02, 1.75980955E-02,
     8 1.82492013E-02, 1.91727468E-02, 2.05483911E-02, 2.25612944E-02,
     9 2.56821454E-02, 3.07104584E-02, 3.88090757E-02, 5.60828824E-02/
      DATA CH  40/
     1 1.38016993E-03,-5.70339351E-02,-3.20806211E-02,-2.27479574E-02,
     2-1.52901387E-02,-1.05291477E-02,-6.87599889E-03,-4.56641458E-03,
     3-3.07072472E-03,-1.83601908E-03,-9.82842417E-04,-4.73524685E-04,
     4-1.94334826E-04,-6.09350428E-05,-1.95508802E-05,-6.38070901E-06,
     5-2.11006760E-06,-7.05164855E-07,-1.38381964E-07,-2.75628064E-08,
     6-5.55478372E-09,-1.13017307E-09,-1.36879731E-10,-1.67645870E-11,
     7 1.49382707E-02, 1.49383419E-02, 1.49383954E-02, 1.49384934E-02,
     8 1.49386716E-02, 1.49389835E-02, 1.49395182E-02, 1.49404985E-02,
     9 1.49422810E-02, 1.49454010E-02, 1.49507513E-02, 1.49605658E-02/
      DATA CH  41/
     1 1.49784293E-02, 1.50097490E-02, 1.50636142E-02, 1.51629417E-02,
     2 1.52995974E-02, 1.55072323E-02, 1.59083061E-02, 1.64700506E-02,
     3 1.72637549E-02, 1.84392393E-02, 2.01445276E-02, 2.27531418E-02,
     4 2.68624659E-02, 3.32277631E-02, 4.20505558E-02, 6.32993021E-02,
     5 4.77638112E-03,-6.19856622E-02,-3.71436880E-02,-2.42903955E-02,
     6-1.64402688E-02,-1.05882308E-02,-6.96335960E-03,-4.64839913E-03,
     7-2.75889880E-03,-1.46685643E-03,-7.02504829E-04,-2.86746026E-04,
     8-8.94499336E-05,-2.85938507E-05,-9.30594132E-06,-3.07068166E-06,
     9-1.02437882E-06,-2.00603757E-07,-3.98910777E-08,-8.02885662E-09/
      DATA CH  42/
     1-1.63180516E-09,-1.97406377E-10,-2.41552084E-11, 1.19676523E-02,
     2 1.19677075E-02, 1.19677488E-02, 1.19678247E-02, 1.19679626E-02,
     3 1.19682039E-02, 1.19686175E-02, 1.19693759E-02, 1.19707550E-02,
     4 1.19731688E-02, 1.19773080E-02, 1.19849008E-02, 1.19987195E-02,
     5 1.20229452E-02, 1.20646023E-02, 1.21413936E-02, 1.22469917E-02,
     6 1.24073222E-02, 1.27166280E-02, 1.31489715E-02, 1.37581127E-02,
     7 1.46565416E-02, 1.59520156E-02, 1.79155963E-02, 2.09638003E-02,
     8 2.55738576E-02, 3.17370854E-02, 4.13539855E-02, 6.47330583E-02,
     9-3.13002439E-03,-6.64300268E-02,-3.38972397E-02,-2.25383908E-02/
      DATA CH  43/
     1-1.42927434E-02,-9.29930308E-03,-6.15889710E-03,-3.62688409E-03,
     2-1.91468013E-03,-9.11336795E-04,-3.69930636E-04,-1.14801546E-04,
     3-3.65621381E-05,-1.18661438E-05,-3.90696388E-06,-1.30108568E-06,
     4-2.54265702E-07,-5.04812466E-08,-1.01473767E-08,-2.06022904E-09,
     5-2.48953995E-10,-3.04351150E-11, 9.90213654E-03, 9.90218064E-03,
     6 9.90221371E-03, 9.90227434E-03, 9.90238459E-03, 9.90257751E-03,
     7 9.90290825E-03, 9.90351464E-03, 9.90461728E-03, 9.90654721E-03,
     8 9.90985662E-03, 9.91592702E-03, 9.92697457E-03, 9.94634027E-03,
     9 9.97963508E-03, 1.00409936E-02, 1.01253323E-02, 1.02533023E-02/
      DATA CH  44/
     1 1.04998993E-02, 1.08439750E-02, 1.13275447E-02, 1.20382071E-02,
     2 1.30576130E-02, 1.45908932E-02, 1.69430759E-02, 2.04359677E-02,
     3 2.49835860E-02, 3.18044908E-02, 4.24883980E-02, 7.17810122E-02,
     4 8.67332704E-03,-6.89895852E-02,-3.75877207E-02,-2.31267135E-02,
     5-1.47569239E-02,-9.64269831E-03,-5.60654549E-03,-2.92702753E-03,
     6-1.38022587E-03,-5.55694562E-04,-1.71160116E-04,-5.42248495E-05,
     7-1.75297441E-05,-5.75424343E-06,-1.91162598E-06,-3.72520712E-07,
     8-7.37975875E-08,-1.48084838E-08,-3.00232238E-09,-3.62241875E-10,
     9-4.42306309E-11, 8.17766125E-03, 8.17769672E-03, 8.17772332E-03/
      DATA CH  45/
     1 8.17777209E-03, 8.17786076E-03, 8.17801593E-03, 8.17828196E-03,
     2 8.17876969E-03, 8.17965656E-03, 8.18120883E-03, 8.18387062E-03,
     3 8.18875298E-03, 8.19763809E-03, 8.21321213E-03, 8.23998502E-03,
     4 8.28931430E-03, 8.35709735E-03, 8.45989986E-03, 8.65784069E-03,
     5 8.93367940E-03, 9.32067034E-03, 9.88797957E-03, 1.06988496E-02,
     6 1.19121548E-02, 1.37590627E-02, 1.64702835E-02, 1.99453256E-02,
     7 2.50435890E-02, 3.27774721E-02, 4.59347375E-02, 7.42013248E-02,
     8-3.84440691E-03,-7.61316789E-02,-3.61005009E-02,-2.25876634E-02,
     9-1.45415779E-02,-8.33864216E-03,-4.30235527E-03,-2.00920297E-03/
      DATA CH  46/
     1-8.02224334E-04,-2.45245798E-04,-7.72927354E-05,-2.48915407E-05,
     2-8.14674445E-06,-2.70011013E-06,-5.24735849E-07,-1.03734098E-07,
     3-2.07811051E-08,-4.20755327E-09,-5.06922737E-10,-6.18247845E-11,
     4 6.11252521E-03, 6.11255098E-03, 6.11257031E-03, 6.11260575E-03,
     5 6.11267017E-03, 6.11278293E-03, 6.11297622E-03, 6.11333061E-03,
     6 6.11397502E-03, 6.11510290E-03, 6.11703692E-03, 6.12058433E-03,
     7 6.12703979E-03, 6.13835434E-03, 6.15780263E-03, 6.19362889E-03,
     8 6.24284199E-03, 6.31744633E-03, 6.46097742E-03, 6.66074206E-03,
     9 6.94051524E-03, 7.34963242E-03, 7.93233789E-03, 8.79983611E-03/
      DATA CH  47/
     1 1.01105399E-02, 1.20139653E-02, 1.44190263E-02, 1.78794221E-02,
     2 2.29776191E-02, 3.12457639E-02, 4.32092822E-02, 8.03682628E-02,
     3 7.96504037E-03,-7.77435659E-02,-3.82082769E-02,-2.39372959E-02,
     4-1.33928966E-02,-6.77602270E-03,-3.11640595E-03,-1.22867876E-03,
     5-3.71486061E-04,-1.16205869E-04,-3.72204288E-05,-1.21315871E-05,
     6-4.00773967E-06,-7.75921754E-07,-1.52950062E-07,-3.05712348E-08,
     7-6.17843471E-09,-7.42915499E-10,-9.04651545E-11, 4.84035718E-03,
     8 4.84037714E-03, 4.84039212E-03, 4.84041957E-03, 4.84046948E-03,
     9 4.84055683E-03, 4.84070657E-03, 4.84098112E-03, 4.84148033E-03/
      DATA CH  48/
     1 4.84235409E-03, 4.84385235E-03, 4.84660042E-03, 4.85160115E-03,
     2 4.86036555E-03, 4.87542922E-03, 4.90317432E-03, 4.94127798E-03,
     3 4.99902191E-03, 5.11005101E-03, 5.26444026E-03, 5.48039520E-03,
     4 5.79563422E-03, 6.24351713E-03, 6.90795579E-03, 7.90675700E-03,
     5 9.34685632E-03, 1.11498855E-02, 1.37134602E-02, 1.74284831E-02,
     6 2.33075143E-02, 3.15464164E-02, 4.71303961E-02, 8.31860584E-02,
     7-1.39809080E-03,-8.27387920E-02,-4.26914313E-02,-2.30114305E-02,
     8-1.13291684E-02,-5.10872289E-03,-1.98326793E-03,-5.91887189E-04,
     9-1.83572375E-04,-5.84402378E-05,-1.89608675E-05,-6.24146835E-06/
      DATA CH  49/
     1-1.20342928E-06,-2.36485698E-07,-4.71534551E-08,-9.51109020E-09,
     2-1.14126675E-09,-1.38742936E-10, 3.06078216E-03, 3.06079452E-03,
     3 3.06080379E-03, 3.06082079E-03, 3.06085169E-03, 3.06090577E-03,
     4 3.06099849E-03, 3.06116847E-03, 3.06147755E-03, 3.06201853E-03,
     5 3.06294614E-03, 3.06464754E-03, 3.06774352E-03, 3.07316939E-03,
     6 3.08249429E-03, 3.09966707E-03, 3.12324631E-03, 3.15896846E-03,
     7 3.22761787E-03, 3.32299780E-03, 3.45626012E-03, 3.65047653E-03,
     8 3.92579238E-03, 4.33292826E-03, 4.94215751E-03, 5.81499105E-03,
     9 6.89908541E-03, 8.42487188E-03, 1.06056083E-02, 1.39880458E-02/
      DATA CH  50/
     1 1.85952310E-02, 2.69222098E-02, 3.97570231E-02, 8.17551485E-02,
     2-2.09131453E-03,-8.11066235E-02,-3.25775813E-02,-1.56223141E-02,
     3-6.89366661E-03,-2.63175306E-03,-7.74659828E-04,-2.38122772E-04,
     4-7.53309275E-05,-2.43267140E-05,-7.97870666E-06,-1.53201107E-06,
     5-3.00117305E-07,-5.96957156E-08,-1.20174531E-08,-1.43902739E-09,
     6-1.74654400E-10, 2.40512571E-03, 2.40513525E-03, 2.40514241E-03,
     7 2.40515553E-03, 2.40517939E-03, 2.40522114E-03, 2.40529272E-03,
     8 2.40542396E-03, 2.40566258E-03, 2.40608023E-03, 2.40679639E-03,
     9 2.40810991E-03, 2.41050005E-03, 2.41468874E-03, 2.42188700E-03/
      DATA CH  51/
     1 2.43514190E-03, 2.45333866E-03, 2.48089982E-03, 2.53384359E-03,
     2 2.60735450E-03, 2.70997012E-03, 2.85933438E-03, 3.07069863E-03,
     3 3.38249757E-03, 3.84744668E-03, 4.51040248E-03, 5.32899596E-03,
     4 6.47276667E-03, 8.09200038E-03, 1.05707708E-02, 1.38891885E-02,
     5 1.97365176E-02, 2.84560234E-02, 4.53047976E-02, 8.93548007E-02,
     6 1.14633644E-02,-8.50321604E-02,-2.84309792E-02,-1.22811274E-02,
     7-4.58861788E-03,-1.32715400E-03,-4.03446003E-04,-1.26653331E-04,
     8-4.06694747E-05,-1.32809492E-05,-2.53758515E-06,-4.95287716E-07,
     9-9.82372640E-08,-1.97315428E-08,-2.35709284E-09,-2.85539273E-10/
      DATA CH  52/
     1 2.01712685E-03, 2.01713472E-03, 2.01714062E-03, 2.01715144E-03,
     2 2.01717110E-03, 2.01720552E-03, 2.01726451E-03, 2.01737268E-03,
     3 2.01756936E-03, 2.01791361E-03, 2.01850388E-03, 2.01958652E-03,
     4 2.02155648E-03, 2.02500871E-03, 2.03094102E-03, 2.04186369E-03,
     5 2.05685634E-03, 2.07955939E-03, 2.12315372E-03, 2.18364614E-03,
     6 2.26801810E-03, 2.39068326E-03, 2.56398272E-03, 2.81904874E-03,
     7 3.19818241E-03, 3.73643021E-03, 4.39752935E-03, 5.31530603E-03,
     8 6.60386497E-03, 8.55456517E-03, 1.11290500E-02, 1.55742879E-02,
     9 2.20122110E-02, 3.39250844E-02, 5.36878777E-02, 9.95979074E-02/
      DATA CH  53/
     1 7.38783044E-03,-9.50072179E-02,-2.79356771E-02,-1.01851683E-02,
     2-2.87000689E-03,-8.58470434E-04,-2.66568783E-04,-8.49241131E-05,
     3-2.75671564E-05,-5.23211420E-06,-1.01618882E-06,-2.00793527E-07,
     4-4.02097603E-08,-4.78825897E-09,-5.78618369E-10, 1.33288084E-03,
     5 1.33288594E-03, 1.33288976E-03, 1.33289677E-03, 1.33290952E-03,
     6 1.33293182E-03, 1.33297006E-03, 1.33304017E-03, 1.33316764E-03,
     7 1.33339075E-03, 1.33377332E-03, 1.33447498E-03, 1.33575171E-03,
     8 1.33798900E-03, 1.34183333E-03, 1.34891082E-03, 1.35862388E-03,
     9 1.37332860E-03, 1.40155268E-03, 1.44069144E-03, 1.49523153E-03/
      DATA CH  54/
     1 1.57442635E-03, 1.68611825E-03, 1.85011482E-03, 2.09306390E-03,
     2 2.43641543E-03, 2.85584007E-03, 3.43430215E-03, 4.23973960E-03,
     3 5.44579212E-03, 7.01592436E-03, 9.67657467E-03, 1.34312915E-02,
     4 2.01127759E-02, 3.05514315E-02, 4.72151598E-02, 1.06374254E-01,
     5 6.17009581E-03,-9.96689690E-02,-2.29826081E-02,-6.35395069E-03,
     6-1.86016685E-03,-5.69117121E-04,-1.79391630E-04,-5.77685069E-05,
     7-1.08675594E-05,-2.09713305E-06,-4.12348604E-07,-8.22550044E-08,
     8-9.75547377E-09,-1.17513816E-09, 7.83530263E-04, 7.83533205E-04,
     9 7.83535411E-04, 7.83539456E-04, 7.83546811E-04, 7.83559683E-04/
      DATA CH  55/
     1 7.83581748E-04, 7.83622204E-04, 7.83695764E-04, 7.83824512E-04,
     2 7.84045274E-04, 7.84450168E-04, 7.85186888E-04, 7.86477851E-04,
     3 7.88695987E-04, 7.92779208E-04, 7.98382125E-04, 8.06862583E-04,
     4 8.23133638E-04, 8.45683544E-04, 8.77081467E-04, 9.22621229E-04,
     5 9.86747741E-04, 1.08070159E-03, 1.21947081E-03, 1.41480537E-03,
     6 1.65228363E-03, 1.97796366E-03, 2.42825567E-03, 3.09645031E-03,
     7 3.95688231E-03, 5.39401252E-03, 7.38417265E-03, 1.08343660E-02,
     8 1.60328684E-02, 2.39734579E-02, 4.17194172E-02, 1.11167234E-01,
     9 8.12147389E-03,-1.03787203E-01,-1.21664585E-02,-3.86675215E-03/
      DATA CH  56/
     1-1.18915115E-03,-3.73896986E-04,-1.19964593E-04,-2.24513332E-05,
     2-4.31383088E-06,-8.45232000E-07,-1.68121328E-07,-1.98775513E-08,
     3-2.38852128E-09, 4.31428330E-04, 4.31429921E-04, 4.31431114E-04,
     4 4.31433301E-04, 4.31437277E-04, 4.31444237E-04, 4.31456167E-04,
     5 4.31478041E-04, 4.31517814E-04, 4.31587425E-04, 4.31706786E-04,
     6 4.31925702E-04, 4.32324019E-04, 4.33021975E-04, 4.34221142E-04,
     7 4.36428406E-04, 4.39456738E-04, 4.44039416E-04, 4.52828828E-04,
     8 4.65003230E-04, 4.81941729E-04, 5.06483608E-04, 5.40992089E-04,
     9 5.91451062E-04, 6.65773945E-04, 7.70012232E-04, 8.96197259E-04/
      DATA CH  57/
     1 1.06838152E-03, 1.30498580E-03, 1.65337178E-03, 2.09788586E-03,
     2 2.83167264E-03, 3.83295521E-03, 5.53558430E-03, 8.03725864E-03,
     3 1.17425654E-02, 1.96937155E-02, 3.83110605E-02, 1.16965943E-01,
     4 1.70596981E-02,-1.04676812E-01,-1.49791483E-02,-4.61490244E-03,
     5-1.41336984E-03,-4.44019379E-04,-8.12146998E-05,-1.53549240E-05,
     6-2.97292628E-06,-5.85942629E-07,-6.86335825E-08,-8.18846903E-09,
     7 1.76504596E-04, 1.76505236E-04, 1.76505716E-04, 1.76506595E-04,
     8 1.76508194E-04, 1.76510993E-04, 1.76515791E-04, 1.76524587E-04,
     9 1.76540581E-04, 1.76568575E-04, 1.76616575E-04, 1.76704609E-04/
      DATA CH  58/
     1 1.76864784E-04, 1.77145446E-04, 1.77627631E-04, 1.78515097E-04,
     2 1.79732531E-04, 1.81574490E-04, 1.85106158E-04, 1.89995492E-04,
     3 1.96793481E-04, 2.06633635E-04, 2.20451953E-04, 2.40621411E-04,
     4 2.70257059E-04, 3.11687506E-04, 3.61652140E-04, 4.29533409E-04,
     5 5.22318426E-04, 6.58041955E-04, 8.29891879E-04, 1.11086753E-03,
     6 1.48978818E-03, 2.12459025E-03, 3.04004297E-03, 4.36637098E-03,
     7 7.12331778E-03, 1.32969150E-02, 2.85096991E-02, 1.11666537E-01,
     8-4.21396883E-03,-1.10284816E-01,-1.64598789E-02,-5.04576505E-03,
     9-1.54500498E-03,-2.74412953E-04,-5.08407627E-05,-9.70061455E-06/
      DATA CH  59/
     1-1.89099014E-06,-2.19067018E-07,-2.59202504E-08, 4.75737999E-05,
     2 4.75739692E-05, 4.75740961E-05, 4.75743288E-05, 4.75747518E-05,
     3 4.75754922E-05, 4.75767614E-05, 4.75790884E-05, 4.75833196E-05,
     4 4.75907252E-05, 4.76034231E-05, 4.76267115E-05, 4.76690835E-05,
     5 4.77433262E-05, 4.78708713E-05, 4.81055985E-05, 4.84275557E-05,
     6 4.89145775E-05, 4.98480482E-05, 5.11396923E-05, 5.29342760E-05,
     7 5.55293882E-05, 5.91687194E-05, 6.44709356E-05, 7.22419364E-05,
     8 8.30697594E-05, 9.60776780E-05, 1.13671693E-04, 1.37592294E-04,
     9 1.72353366E-04, 2.16035135E-04, 2.86792225E-04, 3.81147735E-04/
      DATA CH  60/
     1 5.37033212E-04, 7.58041404E-04, 1.07204934E-03, 1.70711650E-03,
     2 3.06896932E-03, 6.23597647E-03, 1.46455423E-02, 1.10928995E-01,
     3 3.32637354E-04,-1.09275276E-01,-1.61840066E-02,-4.96436691E-03,
     4-8.49428119E-04,-1.53251063E-04,-2.87008566E-05,-5.51873468E-06,
     5-6.30811811E-07,-7.39041184E-08, 1.65963707E-05, 1.65964292E-05,
     6 1.65964730E-05, 1.65965535E-05, 1.65966997E-05, 1.65969557E-05,
     7 1.65973944E-05, 1.65981988E-05, 1.65996615E-05, 1.66022215E-05,
     8 1.66066110E-05, 1.66146615E-05, 1.66293089E-05, 1.66549730E-05,
     9 1.66990618E-05, 1.67801970E-05, 1.68914772E-05, 1.70597947E-05/
      DATA CH  61/
     1 1.73823576E-05, 1.78285817E-05, 1.84483554E-05, 1.93441974E-05,
     2 2.05997413E-05, 2.24274540E-05, 2.51031596E-05, 2.88259537E-05,
     3 3.32908189E-05, 3.93183762E-05, 4.74950377E-05, 5.93453073E-05,
     4 7.41919140E-05, 9.81549891E-05, 1.29978323E-04, 1.82300609E-04,
     5 2.56075790E-04, 3.60299807E-04, 5.69642755E-04, 1.01491888E-03,
     6 2.04637231E-03, 4.98400307E-03, 1.62482170E-02, 1.09495330E-01,
     7 4.87780468E-04,-1.07070311E-01,-1.85042259E-02,-2.99110492E-03,
     8-5.16537201E-04,-9.40606513E-05,-1.77389579E-05,-1.99116462E-06,
     9-2.30294703E-07, 5.41117987E-06, 5.41119878E-06, 5.41121296E-06/
      DATA CH  62/
     1 5.41123897E-06, 5.41128625E-06, 5.41136899E-06, 5.41151083E-06,
     2 5.41177089E-06, 5.41224376E-06, 5.41307138E-06, 5.41449045E-06,
     3 5.41709305E-06, 5.42182829E-06, 5.43012499E-06, 5.44437766E-06,
     4 5.47060549E-06, 5.50657593E-06, 5.56097877E-06, 5.66522125E-06,
     5 5.80939544E-06, 6.00958333E-06, 6.29882216E-06, 6.70396889E-06,
     6 7.29329526E-06, 8.15515016E-06, 9.35265992E-06, 1.07866473E-05,
     7 1.27191268E-05, 1.53351846E-05, 1.91171055E-05, 2.38419814E-05,
     8 3.14425618E-05, 4.14968487E-05, 5.79511291E-05, 8.10274507E-05,
     9 1.13439313E-04, 1.78053573E-04, 3.14022833E-04, 6.24374131E-04/
      DATA CH  63/
     1 1.49124696E-03, 4.87119183E-03, 1.58675957E-02, 1.08112412E-01,
     2-5.64721193E-03,-1.07343941E-01,-1.38176932E-03,-6.67356397E-04,
     3-1.37885383E-04,-2.72730427E-05,-3.15302305E-06,-3.70214196E-07,
     4 2.08043565E-06, 2.08044287E-06, 2.08044828E-06, 2.08045820E-06,
     5 2.08047624E-06, 2.08050781E-06, 2.08056193E-06, 2.08066115E-06,
     6 2.08084156E-06, 2.08115733E-06, 2.08169875E-06, 2.08269172E-06,
     7 2.08449834E-06, 2.08766372E-06, 2.09310134E-06, 2.10310735E-06,
     8 2.11682952E-06, 2.13758185E-06, 2.17734083E-06, 2.23231940E-06,
     9 2.30863775E-06, 2.41886513E-06, 2.57318772E-06, 2.79751407E-06/
      DATA CH  64/
     1 3.12527806E-06, 3.58015346E-06, 4.12411732E-06, 4.85605468E-06,
     2 5.84511401E-06, 7.27185995E-06, 9.05002713E-06, 1.19022183E-05,
     3 1.56626318E-05, 2.17926082E-05, 3.03508050E-05, 4.23131053E-05,
     4 6.60120571E-05, 1.15442162E-04, 2.26886841E-04, 5.32684722E-04,
     5 1.69371530E-03, 5.52770775E-03, 1.80892239E-02, 1.16234750E-01,
     6 2.76168404E-02,-9.53568850E-02,-2.93943754E-03,-8.38438697E-04,
     7-1.65138689E-04,-1.86290604E-05,-2.14192535E-06, 7.11612643E-07,
     8 7.11615095E-07, 7.11616934E-07, 7.11620305E-07, 7.11626435E-07,
     9 7.11637161E-07, 7.11655550E-07, 7.11689265E-07, 7.11750569E-07/
      DATA CH  65/
     1 7.11857863E-07, 7.12041833E-07, 7.12379237E-07, 7.12993109E-07,
     2 7.14068666E-07, 7.15916272E-07, 7.19316041E-07, 7.23978257E-07,
     3 7.31028596E-07, 7.44534757E-07, 7.63207949E-07, 7.89123296E-07,
     4 8.26541566E-07, 8.78906601E-07, 9.54982163E-07, 1.06605075E-06,
     5 1.22003998E-06, 1.40397899E-06, 1.65116303E-06, 1.98467729E-06,
     6 2.46491486E-06, 3.06223933E-06, 4.01807902E-06, 5.27484361E-06,
     7 7.31698881E-06, 1.01576386E-05, 1.41127191E-05, 2.19093204E-05,
     8 3.80573906E-05, 7.41150532E-05, 1.71687225E-04, 5.33923293E-04,
     9 1.69603350E-03, 5.53819650E-03, 1.83971155E-02, 1.02940053E-01/
      DATA CH  66/
     1-6.16317670E-03,-1.00741788E-01,-3.73960779E-03,-9.74975681E-04,
     2-1.09756316E-04,-1.23812238E-05, 8.08788948E-08, 8.08791690E-08,
     3 8.08793747E-08, 8.08797519E-08, 8.08804375E-08, 8.08816375E-08,
     4 8.08836946E-08, 8.08874661E-08, 8.08943238E-08, 8.09063263E-08,
     5 8.09269060E-08, 8.09646492E-08, 8.10333184E-08, 8.11536300E-08,
     6 8.13602954E-08, 8.17405538E-08, 8.22619620E-08, 8.30503349E-08,
     7 8.45602162E-08, 8.66469097E-08, 8.95413560E-08, 9.37174735E-08,
     8 9.95558916E-08, 1.08026390E-07, 1.20370367E-07, 1.37443819E-07,
     9 1.57782504E-07, 1.85030552E-07, 2.21662610E-07, 2.74182728E-07/
      DATA CH  67/
     1 3.39193538E-07, 4.42631225E-07, 5.77739664E-07, 7.95587506E-07,
     2 1.09593305E-06, 1.51015281E-06, 2.31679844E-06, 3.95882473E-06,
     3 7.53797472E-06, 1.68839094E-05, 4.95306923E-05, 1.44789965E-04,
     4 4.15382842E-04, 1.09942732E-03, 1.31208811E-03, 1.02365061E-01,
     5 4.70799162E-04,-9.82089711E-02,-5.38213464E-03,-6.63214122E-04,
     6-7.19592889E-05, 1.95130503E-08, 1.95131164E-08, 1.95131659E-08,
     7 1.95132568E-08, 1.95134219E-08, 1.95137110E-08, 1.95142064E-08,
     8 1.95151148E-08, 1.95167666E-08, 1.95196575E-08, 1.95246144E-08,
     9 1.95337053E-08, 1.95502450E-08, 1.95792233E-08, 1.96290007E-08/
      DATA CH  68/
     1 1.97205891E-08, 1.98461735E-08, 2.00360556E-08, 2.03997073E-08,
     2 2.09022661E-08, 2.15993323E-08, 2.26049996E-08, 2.40108548E-08,
     3 2.60502724E-08, 2.90218592E-08, 3.31312256E-08, 3.80255045E-08,
     4 4.45810213E-08, 5.33920847E-08, 6.60213059E-08, 8.16498384E-08,
     5 1.06509044E-07, 1.38970511E-07, 1.91297283E-07, 2.63424155E-07,
     6 3.62884506E-07, 5.56570399E-07, 9.50953805E-07, 1.81143275E-06,
     7 4.06430324E-06, 1.19959897E-05, 3.56109619E-05, 1.06274847E-04,
     8 3.17923256E-04, 9.41771985E-04, 3.54841289E-03, 9.95277362E-02,
     9-4.11990696E-03,-9.78057270E-02, 3.72452157E-03, 5.71822715E-05/
      DATA CH  69/
     1 4.33638262E-09, 4.33639724E-09, 4.33640820E-09, 4.33642830E-09,
     2 4.33646485E-09, 4.33652880E-09, 4.33663844E-09, 4.33683946E-09,
     3 4.33720496E-09, 4.33784467E-09, 4.33894153E-09, 4.34095316E-09,
     4 4.34461307E-09, 4.35102535E-09, 4.36203991E-09, 4.38230594E-09,
     5 4.41009364E-09, 4.45210675E-09, 4.53256276E-09, 4.64374017E-09,
     6 4.79792631E-09, 5.02033171E-09, 5.33116143E-09, 5.78191679E-09,
     7 6.43840166E-09, 7.34571416E-09, 8.42561144E-09, 9.87098040E-09,
     8 1.18119837E-08, 1.45912712E-08, 1.80267803E-08, 2.34843331E-08,
     9 3.06004650E-08, 4.20522909E-08, 5.78080613E-08, 7.94929896E-08/
      DATA CH  70/
     1 1.21621788E-07, 2.07132769E-07, 3.92943235E-07, 8.76821801E-07,
     2 2.56764760E-06, 7.55935688E-06, 2.23853323E-05, 6.66856982E-05,
     3 1.99641258E-04, 1.02807083E-03, 4.04552113E-03, 1.02726581E-01,
     4 1.79886089E-02,-8.60501553E-02, 2.60616271E-03, 8.87765567E-10,
     5 8.87768549E-10, 8.87770786E-10, 8.87774887E-10, 8.87782344E-10,
     6 8.87795393E-10, 8.87817763E-10, 8.87858776E-10, 8.87933351E-10,
     7 8.88063871E-10, 8.88287666E-10, 8.88698102E-10, 8.89444837E-10,
     8 8.90753137E-10, 8.93000426E-10, 8.97135224E-10, 9.02804526E-10,
     9 9.11375875E-10, 9.27789361E-10, 9.50468423E-10, 9.81917510E-10/
      DATA CH  71/
     1 1.02727458E-09, 1.09065231E-09, 1.18253624E-09, 1.31630906E-09,
     2 1.50110859E-09, 1.72094560E-09, 2.01501193E-09, 2.40965166E-09,
     3 2.97428145E-09, 3.67162075E-09, 4.77827845E-09, 6.21961604E-09,
     4 8.53612265E-09, 1.17186469E-08, 1.60922937E-08, 2.45737478E-08,
     5 4.17468094E-08, 7.89451660E-08, 1.75412258E-07, 5.10501814E-07,
     6 1.49282957E-06, 4.38903313E-06, 1.29827929E-05, 3.86624380E-05,
     7 2.01282979E-04, 1.05423514E-03, 4.64098366E-03, 9.04415425E-02,
     8-1.89214643E-03,-1.71716873E-01, 3.90236429E-11, 3.90237704E-11,
     9 3.90238661E-11, 3.90240415E-11, 3.90243603E-11, 3.90249183E-11/
      DATA CH  72/
     1 3.90258750E-11, 3.90276288E-11, 3.90308179E-11, 3.90363993E-11,
     2 3.90459694E-11, 3.90635206E-11, 3.90954520E-11, 3.91513949E-11,
     3 3.92474829E-11, 3.94242567E-11, 3.96665942E-11, 4.00328934E-11,
     4 4.07340360E-11, 4.17022052E-11, 4.30435973E-11, 4.49758834E-11,
     5 4.76714763E-11, 5.15708862E-11, 5.72310912E-11, 6.50204295E-11,
     6 7.42462624E-11, 8.65270039E-11, 1.02913995E-10, 1.26201174E-10,
     7 1.54746928E-10, 1.99652158E-10, 2.57554840E-10, 3.49544435E-10,
     8 4.74280527E-10, 6.43363594E-10, 9.65652637E-10, 1.60290389E-09,
     9 2.94005367E-09, 6.25723494E-09, 1.70097397E-08, 4.56909069E-08/
      DATA CH  73/
     1 1.20421289E-07, 3.07324137E-07, 7.38632443E-07, 2.00511821E-06,
     2-4.66809104E-06,-1.85535655E-04,-4.04881136E-03, 8.50154847E-02,
     3 1.69140724E-01/
      END
C      SUBROUTINE ABORT
C      PARAMETER (SS$_ABORT='002C'X)
C      CALL LIB$STOP(%VAL(SS$_ABORT))
C      END
